package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Feed: ImageVector
    get() {
        if (_feed != null) {
            return _feed!!
        }
        _feed = Builder(name = "Feed", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.5f,
                    strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(12.552f, 8.0f)
                curveTo(11.9997f, 8.0f, 11.552f, 8.4477f, 11.552f, 9.0f)
                curveTo(11.552f, 9.5523f, 11.9997f, 10.0f, 12.552f, 10.0f)
                horizontalLineTo(16.552f)
                curveTo(17.1043f, 10.0f, 17.552f, 9.5523f, 17.552f, 9.0f)
                curveTo(17.552f, 8.4477f, 17.1043f, 8.0f, 16.552f, 8.0f)
                horizontalLineTo(12.552f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.5f,
                    strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(12.552f, 17.0f)
                curveTo(11.9997f, 17.0f, 11.552f, 17.4477f, 11.552f, 18.0f)
                curveTo(11.552f, 18.5523f, 11.9997f, 19.0f, 12.552f, 19.0f)
                horizontalLineTo(16.552f)
                curveTo(17.1043f, 19.0f, 17.552f, 18.5523f, 17.552f, 18.0f)
                curveTo(17.552f, 17.4477f, 17.1043f, 17.0f, 16.552f, 17.0f)
                horizontalLineTo(12.552f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.8f,
                    strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(12.552f, 5.0f)
                curveTo(11.9997f, 5.0f, 11.552f, 5.4477f, 11.552f, 6.0f)
                curveTo(11.552f, 6.5523f, 11.9997f, 7.0f, 12.552f, 7.0f)
                horizontalLineTo(20.552f)
                curveTo(21.1043f, 7.0f, 21.552f, 6.5523f, 21.552f, 6.0f)
                curveTo(21.552f, 5.4477f, 21.1043f, 5.0f, 20.552f, 5.0f)
                horizontalLineTo(12.552f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.8f,
                    strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(12.552f, 14.0f)
                curveTo(11.9997f, 14.0f, 11.552f, 14.4477f, 11.552f, 15.0f)
                curveTo(11.552f, 15.5523f, 11.9997f, 16.0f, 12.552f, 16.0f)
                horizontalLineTo(20.552f)
                curveTo(21.1043f, 16.0f, 21.552f, 15.5523f, 21.552f, 15.0f)
                curveTo(21.552f, 14.4477f, 21.1043f, 14.0f, 20.552f, 14.0f)
                horizontalLineTo(12.552f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.448f, 4.0021f)
                curveTo(2.8957f, 4.0021f, 2.448f, 4.4498f, 2.448f, 5.0021f)
                verticalLineTo(10.0021f)
                curveTo(2.448f, 10.5544f, 2.8957f, 11.0021f, 3.448f, 11.0021f)
                horizontalLineTo(8.448f)
                curveTo(9.0003f, 11.0021f, 9.448f, 10.5544f, 9.448f, 10.0021f)
                verticalLineTo(5.0021f)
                curveTo(9.448f, 4.4498f, 9.0003f, 4.0021f, 8.448f, 4.0021f)
                horizontalLineTo(3.448f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.448f, 12.9979f)
                curveTo(2.8957f, 12.9979f, 2.448f, 13.4456f, 2.448f, 13.9979f)
                verticalLineTo(18.9979f)
                curveTo(2.448f, 19.5502f, 2.8957f, 19.9979f, 3.448f, 19.9979f)
                horizontalLineTo(8.448f)
                curveTo(9.0003f, 19.9979f, 9.448f, 19.5502f, 9.448f, 18.9979f)
                verticalLineTo(13.9979f)
                curveTo(9.448f, 13.4456f, 9.0003f, 12.9979f, 8.448f, 12.9979f)
                horizontalLineTo(3.448f)
                close()
            }
        }
        .build()
        return _feed!!
    }

private var _feed: ImageVector? = null
