package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Tally: ImageVector
    get() {
        if (_tally != null) {
            return _tally!!
        }
        _tally = Builder(name = "Tally", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.6612f, 2.6712f)
                curveTo(3.7134f, 2.4f, 3.9796f, 2.1802f, 4.2557f, 2.1802f)
                horizontalLineTo(6.2557f)
                curveTo(6.5318f, 2.1802f, 6.7134f, 2.4f, 6.6612f, 2.6712f)
                lineTo(5.3388f, 9.5451f)
                curveTo(5.2866f, 9.8163f, 5.0205f, 10.0361f, 4.7443f, 10.0361f)
                horizontalLineTo(2.7443f)
                curveTo(2.4682f, 10.0361f, 2.2866f, 9.8163f, 2.3388f, 9.5451f)
                lineTo(3.6612f, 2.6712f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.6612f, 2.6712f)
                curveTo(8.7134f, 2.4f, 8.9796f, 2.1802f, 9.2557f, 2.1802f)
                horizontalLineTo(11.2557f)
                curveTo(11.5318f, 2.1802f, 11.7134f, 2.4f, 11.6612f, 2.6712f)
                lineTo(8.0717f, 21.329f)
                curveTo(8.0195f, 21.6002f, 7.7534f, 21.82f, 7.4772f, 21.82f)
                horizontalLineTo(5.4772f)
                curveTo(5.2011f, 21.82f, 5.0195f, 21.6002f, 5.0717f, 21.329f)
                lineTo(8.6612f, 2.6712f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.6612f, 2.6712f)
                curveTo(13.7134f, 2.4f, 13.9796f, 2.1802f, 14.2557f, 2.1802f)
                horizontalLineTo(16.2557f)
                curveTo(16.5318f, 2.1802f, 16.7134f, 2.4f, 16.6612f, 2.6712f)
                lineTo(13.0717f, 21.329f)
                curveTo(13.0195f, 21.6002f, 12.7534f, 21.82f, 12.4772f, 21.82f)
                horizontalLineTo(10.4772f)
                curveTo(10.2011f, 21.82f, 10.0195f, 21.6002f, 10.0717f, 21.329f)
                lineTo(13.6612f, 2.6712f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.6612f, 2.6712f)
                curveTo(18.7134f, 2.4f, 18.9796f, 2.1802f, 19.2557f, 2.1802f)
                horizontalLineTo(21.2557f)
                curveTo(21.5318f, 2.1802f, 21.7134f, 2.4f, 21.6612f, 2.6712f)
                lineTo(20.3388f, 9.5451f)
                curveTo(20.2866f, 9.8163f, 20.0205f, 10.0361f, 19.7443f, 10.0361f)
                horizontalLineTo(17.7443f)
                curveTo(17.4682f, 10.0361f, 17.2866f, 9.8163f, 17.3388f, 9.5451f)
                lineTo(18.6612f, 2.6712f)
                close()
            }
        }
        .build()
        return _tally!!
    }

private var _tally: ImageVector? = null
