package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayCloudyGusts: ImageVector
    get() {
        if (_dayCloudyGusts != null) {
            return _dayCloudyGusts!!
        }
        _dayCloudyGusts = Builder(name = "DayCloudyGusts", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.35f, 21.01f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.27f, 0.6f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.61f, 0.25f)
                horizontalLineToRelative(5.88f)
                curveToRelative(0.26f, 0.0f, 0.48f, 0.09f, 0.68f, 0.28f)
                curveToRelative(0.2f, 0.19f, 0.3f, 0.42f, 0.3f, 0.68f)
                reflectiveCurveToRelative(-0.1f, 0.5f, -0.3f, 0.69f)
                curveToRelative(-0.2f, 0.19f, -0.42f, 0.29f, -0.68f, 0.29f)
                curveToRelative(-0.26f, 0.0f, -0.48f, -0.1f, -0.68f, -0.3f)
                curveToRelative(-0.18f, -0.16f, -0.38f, -0.24f, -0.61f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                curveToRelative(-0.16f, 0.16f, -0.24f, 0.36f, -0.24f, 0.6f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.6f)
                curveToRelative(0.53f, 0.53f, 1.16f, 0.8f, 1.89f, 0.8f)
                curveToRelative(0.74f, 0.0f, 1.37f, -0.26f, 1.88f, -0.78f)
                curveToRelative(0.52f, -0.52f, 0.78f, -1.15f, 0.78f, -1.89f)
                reflectiveCurveToRelative(-0.26f, -1.37f, -0.78f, -1.89f)
                curveToRelative(-0.52f, -0.53f, -1.15f, -0.79f, -1.88f, -0.79f)
                horizontalLineTo(1.23f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.09f, -0.62f, 0.26f)
                reflectiveCurveTo(0.35f, 20.78f, 0.35f, 21.01f)
                close()
                moveTo(0.35f, 18.0f)
                curveToRelative(0.0f, 0.22f, 0.09f, 0.41f, 0.27f, 0.57f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.61f, 0.25f)
                horizontalLineTo(12.2f)
                curveToRelative(0.74f, 0.0f, 1.37f, -0.26f, 1.89f, -0.78f)
                curveToRelative(0.52f, -0.52f, 0.78f, -1.15f, 0.78f, -1.89f)
                curveToRelative(0.0f, -0.74f, -0.26f, -1.36f, -0.78f, -1.88f)
                curveToRelative(-0.52f, -0.51f, -1.15f, -0.77f, -1.89f, -0.77f)
                curveToRelative(-0.76f, 0.0f, -1.38f, 0.25f, -1.88f, 0.76f)
                curveToRelative(-0.16f, 0.16f, -0.23f, 0.37f, -0.23f, 0.61f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.23f, 0.6f)
                curveToRelative(0.15f, 0.15f, 0.35f, 0.23f, 0.6f, 0.23f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.62f, -0.23f)
                curveToRelative(0.19f, -0.19f, 0.41f, -0.28f, 0.67f, -0.28f)
                curveToRelative(0.26f, 0.0f, 0.49f, 0.09f, 0.68f, 0.28f)
                curveToRelative(0.19f, 0.19f, 0.29f, 0.42f, 0.29f, 0.68f)
                curveToRelative(0.0f, 0.27f, -0.1f, 0.5f, -0.29f, 0.69f)
                curveToRelative(-0.19f, 0.19f, -0.42f, 0.29f, -0.68f, 0.29f)
                horizontalLineTo(1.23f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.09f, -0.62f, 0.26f)
                curveTo(0.43f, 17.57f, 0.35f, 17.77f, 0.35f, 18.0f)
                close()
                moveTo(3.0f, 15.65f)
                curveToRelative(0.0f, 0.08f, 0.06f, 0.12f, 0.17f, 0.12f)
                horizontalLineTo(4.6f)
                curveToRelative(0.07f, 0.0f, 0.13f, -0.05f, 0.2f, -0.14f)
                curveToRelative(0.22f, -0.54f, 0.57f, -0.99f, 1.05f, -1.35f)
                curveToRelative(0.47f, -0.35f, 1.0f, -0.55f, 1.6f, -0.6f)
                lineToRelative(0.53f, -0.07f)
                curveToRelative(0.12f, 0.0f, 0.19f, -0.06f, 0.19f, -0.17f)
                lineToRelative(0.07f, -0.52f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.98f, 1.37f, -2.71f)
                curveToRelative(0.81f, -0.73f, 1.76f, -1.09f, 2.85f, -1.09f)
                curveToRelative(1.1f, 0.0f, 2.05f, 0.36f, 2.86f, 1.08f)
                reflectiveCurveToRelative(1.27f, 1.63f, 1.38f, 2.71f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.18f, 0.18f, 0.18f)
                horizontalLineToRelative(1.63f)
                curveToRelative(0.9f, 0.0f, 1.67f, 0.31f, 2.3f, 0.94f)
                curveToRelative(0.63f, 0.63f, 0.95f, 1.39f, 0.95f, 2.27f)
                curveToRelative(0.0f, 0.89f, -0.32f, 1.66f, -0.95f, 2.29f)
                curveToRelative(-0.63f, 0.63f, -1.4f, 0.95f, -2.3f, 0.95f)
                horizontalLineToRelative(-6.9f)
                curveToRelative(-0.13f, 0.0f, -0.19f, 0.06f, -0.19f, 0.18f)
                verticalLineToRelative(1.37f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.19f, 0.17f)
                horizontalLineToRelative(6.9f)
                curveToRelative(0.89f, 0.0f, 1.72f, -0.22f, 2.48f, -0.67f)
                curveToRelative(0.76f, -0.44f, 1.36f, -1.05f, 1.8f, -1.81f)
                curveToRelative(0.44f, -0.76f, 0.66f, -1.59f, 0.66f, -2.48f)
                curveToRelative(0.0f, -0.74f, -0.14f, -1.41f, -0.42f, -2.03f)
                curveToRelative(0.76f, -0.99f, 1.13f, -2.1f, 1.13f, -3.31f)
                curveToRelative(0.0f, -0.94f, -0.24f, -1.81f, -0.71f, -2.62f)
                reflectiveCurveToRelative(-1.11f, -1.45f, -1.92f, -1.92f)
                curveToRelative(-0.81f, -0.47f, -1.68f, -0.71f, -2.62f, -0.71f)
                curveToRelative(-1.54f, 0.0f, -2.83f, 0.58f, -3.86f, 1.73f)
                curveToRelative(-0.8f, -0.41f, -1.69f, -0.61f, -2.67f, -0.61f)
                curveToRelative(-1.41f, 0.0f, -2.65f, 0.44f, -3.73f, 1.31f)
                reflectiveCurveToRelative(-1.77f, 1.99f, -2.06f, 3.34f)
                curveToRelative(-0.85f, 0.2f, -1.6f, 0.61f, -2.25f, 1.23f)
                curveToRelative(-0.65f, 0.62f, -1.11f, 1.35f, -1.36f, 2.19f)
                verticalLineToRelative(0.04f)
                curveTo(3.01f, 15.59f, 3.0f, 15.62f, 3.0f, 15.65f)
                close()
                moveTo(11.18f, 4.62f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.43f, 0.27f, 0.6f)
                lineToRelative(0.61f, 0.65f)
                curveToRelative(0.16f, 0.16f, 0.37f, 0.24f, 0.61f, 0.24f)
                curveToRelative(0.25f, 0.0f, 0.45f, -0.08f, 0.61f, -0.23f)
                curveToRelative(0.16f, -0.15f, 0.24f, -0.35f, 0.24f, -0.6f)
                curveToRelative(0.0f, -0.24f, -0.07f, -0.44f, -0.23f, -0.6f)
                lineToRelative(-0.66f, -0.65f)
                curveToRelative(-0.16f, -0.17f, -0.35f, -0.26f, -0.59f, -0.26f)
                reflectiveCurveToRelative(-0.44f, 0.08f, -0.61f, 0.25f)
                curveTo(11.26f, 4.19f, 11.18f, 4.39f, 11.18f, 4.62f)
                close()
                moveTo(16.5f, 9.03f)
                curveToRelative(0.72f, -0.68f, 1.54f, -1.02f, 2.48f, -1.02f)
                curveToRelative(0.97f, 0.0f, 1.8f, 0.35f, 2.51f, 1.05f)
                curveToRelative(0.7f, 0.7f, 1.05f, 1.54f, 1.05f, 2.51f)
                curveToRelative(0.0f, 0.65f, -0.17f, 1.26f, -0.52f, 1.83f)
                curveToRelative(-0.96f, -0.96f, -2.11f, -1.43f, -3.46f, -1.43f)
                horizontalLineToRelative(-0.34f)
                curveTo(17.99f, 10.88f, 17.41f, 9.9f, 16.5f, 9.03f)
                close()
                moveTo(18.12f, 3.79f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.59f)
                curveToRelative(0.17f, 0.16f, 0.37f, 0.24f, 0.6f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                verticalLineTo(1.74f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.61f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.25f)
                reflectiveCurveToRelative(-0.25f, 0.37f, -0.25f, 0.61f)
                verticalLineTo(3.79f)
                close()
                moveTo(23.67f, 6.06f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.23f, 0.6f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.61f, 0.26f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.57f, -0.26f)
                lineToRelative(1.46f, -1.43f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.37f, 0.25f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.61f, -0.25f)
                reflectiveCurveTo(25.49f, 3.84f, 25.33f, 4.0f)
                lineTo(23.9f, 5.47f)
                curveTo(23.75f, 5.63f, 23.67f, 5.82f, 23.67f, 6.06f)
                close()
                moveTo(24.44f, 17.89f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.6f)
                lineToRelative(0.64f, 0.65f)
                curveToRelative(0.2f, 0.16f, 0.41f, 0.24f, 0.62f, 0.24f)
                curveToRelative(0.19f, 0.0f, 0.39f, -0.08f, 0.59f, -0.24f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.37f, 0.25f, -0.6f)
                curveToRelative(0.0f, -0.22f, -0.08f, -0.42f, -0.25f, -0.61f)
                lineToRelative(-0.64f, -0.65f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.58f, -0.24f)
                curveToRelative(-0.25f, 0.0f, -0.46f, 0.08f, -0.63f, 0.25f)
                curveTo(24.52f, 17.45f, 24.44f, 17.65f, 24.44f, 17.89f)
                close()
                moveTo(25.95f, 11.57f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.43f, 0.25f, 0.59f)
                curveToRelative(0.15f, 0.18f, 0.34f, 0.26f, 0.57f, 0.26f)
                horizontalLineToRelative(2.02f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.25f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.37f, 0.25f, -0.6f)
                curveToRelative(0.0f, -0.23f, -0.09f, -0.43f, -0.26f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.26f, -0.6f, -0.26f)
                horizontalLineToRelative(-2.02f)
                curveToRelative(-0.24f, 0.0f, -0.43f, 0.08f, -0.59f, 0.25f)
                curveTo(26.03f, 11.13f, 25.95f, 11.33f, 25.95f, 11.57f)
                close()
            }
        }
        .build()
        return _dayCloudyGusts!!
    }

private var _dayCloudyGusts: ImageVector? = null
