package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayHail: ImageVector
    get() {
        if (_dayHail != null) {
            return _dayHail!!
        }
        _dayHail = Builder(name = "DayHail", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.48f, 16.88f)
                curveToRelative(0.0f, 1.34f, 0.47f, 2.49f, 1.4f, 3.45f)
                reflectiveCurveToRelative(2.07f, 1.47f, 3.4f, 1.53f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.18f, -0.18f, -0.18f)
                curveToRelative(-0.86f, -0.04f, -1.59f, -0.39f, -2.19f, -1.03f)
                reflectiveCurveToRelative(-0.9f, -1.4f, -0.9f, -2.26f)
                curveToRelative(0.0f, -0.83f, 0.28f, -1.55f, 0.85f, -2.17f)
                reflectiveCurveToRelative(1.27f, -0.97f, 2.1f, -1.07f)
                lineToRelative(0.53f, -0.04f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.18f)
                lineToRelative(0.07f, -0.55f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.99f, 1.37f, -2.71f)
                curveToRelative(0.81f, -0.73f, 1.76f, -1.09f, 2.86f, -1.09f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.36f, 2.86f, 1.09f)
                curveToRelative(0.82f, 0.73f, 1.29f, 1.63f, 1.4f, 2.71f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.19f, 0.17f, 0.19f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.89f, 0.0f, 1.67f, 0.32f, 2.32f, 0.96f)
                curveToRelative(0.65f, 0.64f, 0.98f, 1.4f, 0.98f, 2.27f)
                curveToRelative(0.0f, 0.87f, -0.3f, 1.62f, -0.91f, 2.26f)
                curveToRelative(-0.61f, 0.64f, -1.34f, 0.98f, -2.19f, 1.03f)
                curveToRelative(-0.13f, 0.0f, -0.2f, 0.06f, -0.2f, 0.18f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.2f, 0.17f)
                curveToRelative(1.34f, -0.04f, 2.47f, -0.55f, 3.39f, -1.51f)
                curveToRelative(0.93f, -0.97f, 1.39f, -2.12f, 1.39f, -3.46f)
                curveToRelative(0.0f, -0.74f, -0.14f, -1.41f, -0.41f, -2.01f)
                curveToRelative(0.79f, -0.96f, 1.18f, -2.07f, 1.18f, -3.33f)
                curveToRelative(0.0f, -0.94f, -0.24f, -1.82f, -0.71f, -2.63f)
                curveToRelative(-0.48f, -0.81f, -1.12f, -1.45f, -1.93f, -1.93f)
                curveToRelative(-0.81f, -0.47f, -1.69f, -0.71f, -2.63f, -0.71f)
                curveToRelative(-1.56f, 0.0f, -2.86f, 0.58f, -3.9f, 1.75f)
                curveToRelative(-0.8f, -0.44f, -1.7f, -0.66f, -2.71f, -0.66f)
                curveToRelative(-1.41f, 0.0f, -2.67f, 0.44f, -3.76f, 1.31f)
                reflectiveCurveToRelative(-1.8f, 2.0f, -2.11f, 3.37f)
                curveToRelative(-1.11f, 0.26f, -2.02f, 0.84f, -2.74f, 1.74f)
                curveTo(1.84f, 14.7f, 1.48f, 15.73f, 1.48f, 16.88f)
                close()
                moveTo(6.82f, 23.94f)
                curveToRelative(0.1f, 0.22f, 0.25f, 0.37f, 0.46f, 0.45f)
                curveToRelative(0.2f, 0.1f, 0.41f, 0.11f, 0.63f, 0.02f)
                curveToRelative(0.22f, -0.08f, 0.37f, -0.23f, 0.45f, -0.45f)
                curveToRelative(0.1f, -0.22f, 0.11f, -0.43f, 0.02f, -0.65f)
                curveToRelative(-0.08f, -0.21f, -0.23f, -0.36f, -0.45f, -0.44f)
                curveToRelative(-0.2f, -0.11f, -0.41f, -0.12f, -0.62f, -0.03f)
                curveToRelative(-0.22f, 0.09f, -0.37f, 0.24f, -0.47f, 0.47f)
                curveTo(6.74f, 23.49f, 6.73f, 23.7f, 6.82f, 23.94f)
                close()
                moveTo(7.46f, 21.1f)
                curveToRelative(0.0f, 0.14f, 0.03f, 0.27f, 0.09f, 0.38f)
                curveToRelative(0.19f, 0.31f, 0.49f, 0.46f, 0.89f, 0.46f)
                curveToRelative(0.32f, 0.0f, 0.55f, -0.22f, 0.69f, -0.65f)
                lineToRelative(1.04f, -3.22f)
                curveToRelative(0.08f, -0.24f, 0.06f, -0.47f, -0.07f, -0.67f)
                reflectiveCurveToRelative(-0.31f, -0.33f, -0.55f, -0.37f)
                curveTo(9.34f, 16.98f, 9.13f, 17.0f, 8.93f, 17.1f)
                curveToRelative(-0.2f, 0.11f, -0.34f, 0.28f, -0.41f, 0.5f)
                lineToRelative(-1.03f, 3.22f)
                curveTo(7.47f, 20.92f, 7.46f, 21.02f, 7.46f, 21.1f)
                close()
                moveTo(9.33f, 26.72f)
                curveToRelative(0.0f, 0.13f, 0.02f, 0.23f, 0.05f, 0.29f)
                curveToRelative(0.09f, 0.22f, 0.24f, 0.37f, 0.45f, 0.45f)
                curveToRelative(0.09f, 0.05f, 0.21f, 0.07f, 0.35f, 0.07f)
                curveToRelative(0.06f, 0.0f, 0.16f, -0.02f, 0.3f, -0.06f)
                curveToRelative(0.22f, -0.08f, 0.38f, -0.23f, 0.47f, -0.45f)
                reflectiveCurveToRelative(0.1f, -0.44f, 0.0f, -0.66f)
                curveToRelative(-0.1f, -0.22f, -0.25f, -0.37f, -0.45f, -0.45f)
                reflectiveCurveToRelative(-0.41f, -0.08f, -0.62f, 0.0f)
                curveToRelative(-0.19f, 0.07f, -0.33f, 0.19f, -0.42f, 0.35f)
                curveTo(9.37f, 26.42f, 9.33f, 26.58f, 9.33f, 26.72f)
                close()
                moveTo(9.94f, 4.57f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.45f, 0.24f, 0.6f)
                lineToRelative(0.65f, 0.65f)
                curveToRelative(0.16f, 0.16f, 0.34f, 0.25f, 0.54f, 0.27f)
                curveToRelative(0.21f, 0.03f, 0.41f, -0.05f, 0.61f, -0.23f)
                curveToRelative(0.2f, -0.18f, 0.3f, -0.4f, 0.3f, -0.64f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.6f)
                lineToRelative(-0.64f, -0.64f)
                curveToRelative(-0.19f, -0.17f, -0.39f, -0.25f, -0.62f, -0.25f)
                curveToRelative(-0.24f, 0.0f, -0.45f, 0.08f, -0.61f, 0.24f)
                curveTo(10.02f, 4.14f, 9.94f, 4.34f, 9.94f, 4.57f)
                close()
                moveTo(10.06f, 24.03f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.32f, 0.16f, 0.48f)
                reflectiveCurveToRelative(0.27f, 0.27f, 0.48f, 0.33f)
                curveToRelative(0.11f, 0.02f, 0.19f, 0.04f, 0.24f, 0.04f)
                curveToRelative(0.15f, 0.0f, 0.28f, -0.03f, 0.38f, -0.08f)
                curveToRelative(0.2f, -0.08f, 0.34f, -0.27f, 0.43f, -0.57f)
                lineToRelative(1.8f, -6.14f)
                curveToRelative(0.07f, -0.24f, 0.05f, -0.45f, -0.06f, -0.65f)
                curveToRelative(-0.11f, -0.2f, -0.27f, -0.33f, -0.5f, -0.39f)
                curveToRelative(-0.24f, -0.07f, -0.46f, -0.05f, -0.66f, 0.06f)
                curveToRelative(-0.2f, 0.11f, -0.34f, 0.27f, -0.41f, 0.51f)
                lineToRelative(-1.84f, 6.19f)
                curveTo(10.07f, 23.92f, 10.06f, 24.0f, 10.06f, 24.03f)
                close()
                moveTo(13.51f, 23.64f)
                curveToRelative(0.0f, 0.13f, 0.02f, 0.23f, 0.07f, 0.31f)
                curveToRelative(0.09f, 0.21f, 0.24f, 0.35f, 0.45f, 0.44f)
                curveToRelative(0.11f, 0.05f, 0.22f, 0.08f, 0.35f, 0.08f)
                curveToRelative(0.06f, 0.0f, 0.16f, -0.02f, 0.3f, -0.06f)
                curveToRelative(0.23f, -0.09f, 0.38f, -0.23f, 0.46f, -0.44f)
                curveToRelative(0.08f, -0.22f, 0.08f, -0.43f, 0.0f, -0.63f)
                curveToRelative(-0.08f, -0.2f, -0.22f, -0.35f, -0.42f, -0.45f)
                curveToRelative(-0.23f, -0.11f, -0.44f, -0.12f, -0.66f, -0.03f)
                curveToRelative(-0.21f, 0.09f, -0.37f, 0.24f, -0.48f, 0.47f)
                curveTo(13.53f, 23.41f, 13.51f, 23.51f, 13.51f, 23.64f)
                close()
                moveTo(14.23f, 21.08f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.31f, 0.15f, 0.45f)
                curveToRelative(0.1f, 0.15f, 0.26f, 0.25f, 0.46f, 0.31f)
                curveToRelative(0.09f, 0.02f, 0.17f, 0.03f, 0.25f, 0.03f)
                curveToRelative(0.39f, 0.0f, 0.65f, -0.2f, 0.79f, -0.61f)
                lineToRelative(1.03f, -3.18f)
                curveToRelative(0.08f, -0.23f, 0.05f, -0.45f, -0.07f, -0.65f)
                reflectiveCurveToRelative(-0.29f, -0.33f, -0.52f, -0.39f)
                curveToRelative(-0.24f, -0.07f, -0.45f, -0.05f, -0.64f, 0.06f)
                reflectiveCurveToRelative(-0.32f, 0.27f, -0.4f, 0.51f)
                lineToRelative(-1.02f, 3.2f)
                curveTo(14.25f, 20.94f, 14.23f, 21.03f, 14.23f, 21.08f)
                close()
                moveTo(15.3f, 9.0f)
                curveToRelative(0.67f, -0.64f, 1.5f, -0.97f, 2.48f, -0.97f)
                curveToRelative(0.98f, 0.0f, 1.81f, 0.34f, 2.5f, 1.03f)
                curveToRelative(0.69f, 0.68f, 1.04f, 1.51f, 1.04f, 2.49f)
                curveToRelative(0.0f, 0.62f, -0.17f, 1.24f, -0.52f, 1.85f)
                curveToRelative(-0.96f, -0.96f, -2.12f, -1.44f, -3.51f, -1.44f)
                horizontalLineTo(17.0f)
                curveTo(16.7f, 10.8f, 16.14f, 9.81f, 15.3f, 9.0f)
                close()
                moveTo(16.92f, 3.73f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.25f, 0.61f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.61f, 0.25f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.37f, 0.24f, -0.61f)
                verticalLineTo(1.67f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.61f)
                curveToRelative(-0.16f, -0.17f, -0.35f, -0.25f, -0.59f, -0.25f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.61f, 0.25f)
                curveToRelative(-0.17f, 0.17f, -0.25f, 0.37f, -0.25f, 0.61f)
                verticalLineTo(3.73f)
                close()
                moveTo(22.47f, 6.02f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.25f, 0.6f)
                curveToRelative(0.15f, 0.17f, 0.34f, 0.26f, 0.58f, 0.26f)
                curveToRelative(0.23f, 0.0f, 0.44f, -0.09f, 0.6f, -0.26f)
                lineToRelative(1.44f, -1.44f)
                curveToRelative(0.18f, -0.15f, 0.27f, -0.35f, 0.27f, -0.6f)
                curveToRelative(0.0f, -0.24f, -0.09f, -0.44f, -0.26f, -0.61f)
                curveToRelative(-0.17f, -0.17f, -0.38f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.09f, -0.57f, 0.27f)
                lineToRelative(-1.45f, 1.43f)
                curveTo(22.56f, 5.57f, 22.47f, 5.78f, 22.47f, 6.02f)
                close()
                moveTo(23.28f, 17.92f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.24f, 0.6f)
                lineToRelative(0.66f, 0.63f)
                curveToRelative(0.14f, 0.18f, 0.34f, 0.27f, 0.6f, 0.27f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.09f, 0.57f, -0.27f)
                curveToRelative(0.18f, -0.16f, 0.27f, -0.36f, 0.27f, -0.6f)
                curveToRelative(0.0f, -0.24f, -0.09f, -0.44f, -0.27f, -0.61f)
                lineToRelative(-0.65f, -0.62f)
                curveToRelative(-0.16f, -0.18f, -0.35f, -0.26f, -0.58f, -0.26f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(23.36f, 17.48f, 23.28f, 17.69f, 23.28f, 17.92f)
                close()
                moveTo(24.74f, 11.55f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.26f, 0.6f)
                curveToRelative(0.18f, 0.18f, 0.38f, 0.26f, 0.62f, 0.26f)
                horizontalLineToRelative(2.03f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.25f)
                curveToRelative(0.17f, -0.17f, 0.26f, -0.37f, 0.26f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.59f)
                curveToRelative(-0.17f, -0.16f, -0.38f, -0.24f, -0.62f, -0.24f)
                horizontalLineToRelative(-2.03f)
                curveToRelative(-0.25f, 0.0f, -0.46f, 0.08f, -0.63f, 0.24f)
                curveTo(24.83f, 11.12f, 24.74f, 11.32f, 24.74f, 11.55f)
                close()
            }
        }
        .build()
        return _dayHail!!
    }

private var _dayHail: ImageVector? = null
