package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayThunderstorm: ImageVector
    get() {
        if (_dayThunderstorm != null) {
            return _dayThunderstorm!!
        }
        _dayThunderstorm = Builder(name = "DayThunderstorm", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.52f, 16.9f)
                curveToRelative(0.0f, 1.11f, 0.33f, 2.09f, 0.98f, 2.96f)
                reflectiveCurveToRelative(1.51f, 1.46f, 2.57f, 1.78f)
                lineToRelative(-0.64f, 1.7f)
                curveToRelative(-0.04f, 0.14f, 0.0f, 0.21f, 0.14f, 0.21f)
                horizontalLineTo(6.7f)
                lineTo(5.45f, 27.5f)
                horizontalLineToRelative(0.29f)
                lineToRelative(4.17f, -5.39f)
                curveToRelative(0.04f, -0.04f, 0.04f, -0.09f, 0.01f, -0.14f)
                curveTo(9.9f, 21.92f, 9.85f, 21.9f, 9.78f, 21.9f)
                horizontalLineTo(7.61f)
                lineToRelative(2.47f, -4.63f)
                curveToRelative(0.07f, -0.14f, 0.02f, -0.22f, -0.14f, -0.22f)
                horizontalLineTo(7.0f)
                curveToRelative(-0.09f, 0.0f, -0.17f, 0.05f, -0.23f, 0.14f)
                lineTo(5.7f, 20.07f)
                curveToRelative(-0.71f, -0.18f, -1.3f, -0.57f, -1.77f, -1.16f)
                curveToRelative(-0.47f, -0.59f, -0.7f, -1.26f, -0.7f, -2.01f)
                curveToRelative(0.0f, -0.83f, 0.28f, -1.55f, 0.85f, -2.17f)
                reflectiveCurveToRelative(1.27f, -0.97f, 2.1f, -1.07f)
                lineTo(6.7f, 13.6f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.18f)
                lineToRelative(0.06f, -0.51f)
                curveToRelative(0.11f, -1.08f, 0.57f, -1.99f, 1.38f, -2.72f)
                curveToRelative(0.81f, -0.73f, 1.77f, -1.1f, 2.86f, -1.1f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.37f, 2.85f, 1.1f)
                reflectiveCurveToRelative(1.28f, 1.64f, 1.4f, 2.72f)
                lineToRelative(0.06f, 0.58f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.18f, 0.17f)
                horizontalLineToRelative(1.61f)
                curveToRelative(0.91f, 0.0f, 1.68f, 0.32f, 2.32f, 0.95f)
                curveToRelative(0.64f, 0.63f, 0.96f, 1.39f, 0.96f, 2.29f)
                curveToRelative(0.0f, 0.85f, -0.3f, 1.59f, -0.89f, 2.21f)
                curveToRelative(-0.59f, 0.62f, -1.32f, 0.97f, -2.19f, 1.04f)
                curveToRelative(-0.13f, 0.0f, -0.2f, 0.06f, -0.2f, 0.18f)
                verticalLineToRelative(1.37f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.2f, 0.17f)
                curveToRelative(1.33f, -0.04f, 2.46f, -0.55f, 3.39f, -1.51f)
                curveToRelative(0.93f, -0.96f, 1.39f, -2.11f, 1.39f, -3.45f)
                curveToRelative(0.0f, -0.74f, -0.14f, -1.41f, -0.43f, -2.01f)
                curveToRelative(0.79f, -0.96f, 1.18f, -2.06f, 1.18f, -3.32f)
                curveToRelative(0.0f, -0.94f, -0.24f, -1.81f, -0.71f, -2.62f)
                curveToRelative(-0.47f, -0.81f, -1.11f, -1.45f, -1.92f, -1.92f)
                curveToRelative(-0.81f, -0.47f, -1.68f, -0.71f, -2.62f, -0.71f)
                curveToRelative(-1.54f, 0.0f, -2.84f, 0.58f, -3.88f, 1.73f)
                curveToRelative(-0.81f, -0.43f, -1.71f, -0.65f, -2.7f, -0.65f)
                curveToRelative(-1.41f, 0.0f, -2.67f, 0.44f, -3.76f, 1.31f)
                reflectiveCurveToRelative(-1.79f, 1.99f, -2.1f, 3.36f)
                curveToRelative(-1.11f, 0.26f, -2.02f, 0.83f, -2.73f, 1.73f)
                reflectiveCurveTo(1.52f, 15.75f, 1.52f, 16.9f)
                close()
                moveTo(9.61f, 26.48f)
                curveToRelative(-0.01f, 0.15f, 0.03f, 0.3f, 0.14f, 0.44f)
                reflectiveCurveToRelative(0.26f, 0.25f, 0.46f, 0.33f)
                curveToRelative(0.07f, 0.02f, 0.14f, 0.03f, 0.21f, 0.03f)
                curveToRelative(0.17f, 0.0f, 0.34f, -0.05f, 0.51f, -0.15f)
                reflectiveCurveToRelative(0.28f, -0.26f, 0.34f, -0.47f)
                lineToRelative(2.29f, -8.57f)
                curveToRelative(0.06f, -0.23f, 0.04f, -0.45f, -0.07f, -0.64f)
                curveToRelative(-0.11f, -0.2f, -0.27f, -0.33f, -0.49f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.45f, -0.05f, -0.65f, 0.07f)
                curveToRelative(-0.2f, 0.11f, -0.34f, 0.28f, -0.4f, 0.51f)
                lineToRelative(-2.31f, 8.6f)
                curveTo(9.62f, 26.3f, 9.61f, 26.39f, 9.61f, 26.48f)
                close()
                moveTo(9.94f, 4.63f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.43f, 0.25f, 0.59f)
                lineToRelative(0.64f, 0.66f)
                curveTo(11.0f, 6.05f, 11.2f, 6.13f, 11.44f, 6.14f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.57f, -0.26f)
                curveToRelative(0.19f, -0.15f, 0.28f, -0.35f, 0.28f, -0.6f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.25f, -0.59f)
                lineToRelative(-0.63f, -0.66f)
                curveToRelative(-0.17f, -0.16f, -0.38f, -0.24f, -0.61f, -0.24f)
                curveToRelative(-0.25f, 0.0f, -0.46f, 0.08f, -0.62f, 0.24f)
                curveTo(10.02f, 4.19f, 9.94f, 4.39f, 9.94f, 4.63f)
                close()
                moveTo(13.77f, 23.43f)
                curveToRelative(0.0f, 0.12f, 0.04f, 0.24f, 0.11f, 0.38f)
                curveToRelative(0.13f, 0.2f, 0.29f, 0.34f, 0.5f, 0.43f)
                curveToRelative(0.07f, 0.03f, 0.17f, 0.05f, 0.3f, 0.05f)
                curveToRelative(0.15f, 0.0f, 0.26f, -0.02f, 0.33f, -0.06f)
                curveToRelative(0.2f, -0.08f, 0.34f, -0.28f, 0.41f, -0.58f)
                lineToRelative(1.49f, -5.55f)
                curveToRelative(0.06f, -0.24f, 0.04f, -0.45f, -0.07f, -0.65f)
                curveToRelative(-0.11f, -0.19f, -0.28f, -0.32f, -0.51f, -0.39f)
                curveToRelative(-0.23f, -0.07f, -0.45f, -0.05f, -0.64f, 0.07f)
                curveToRelative(-0.2f, 0.11f, -0.33f, 0.28f, -0.39f, 0.51f)
                lineTo(13.8f, 23.2f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.06f, -0.02f, 0.11f)
                curveTo(13.77f, 23.37f, 13.77f, 23.4f, 13.77f, 23.43f)
                close()
                moveTo(15.3f, 9.04f)
                curveToRelative(0.67f, -0.64f, 1.49f, -0.97f, 2.48f, -0.97f)
                curveToRelative(0.97f, 0.0f, 1.81f, 0.34f, 2.5f, 1.02f)
                curveToRelative(0.69f, 0.68f, 1.04f, 1.51f, 1.04f, 2.48f)
                curveToRelative(0.0f, 0.62f, -0.17f, 1.24f, -0.52f, 1.85f)
                curveToRelative(-0.99f, -0.98f, -2.16f, -1.47f, -3.5f, -1.47f)
                horizontalLineToRelative(-0.31f)
                curveTo(16.68f, 10.78f, 16.11f, 9.81f, 15.3f, 9.04f)
                close()
                moveTo(16.91f, 3.79f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.43f, 0.26f, 0.6f)
                reflectiveCurveToRelative(0.37f, 0.26f, 0.6f, 0.26f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.23f, -0.37f, 0.23f, -0.61f)
                verticalLineTo(1.73f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.23f, -0.61f)
                reflectiveCurveToRelative(-0.35f, -0.25f, -0.59f, -0.25f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                reflectiveCurveToRelative(-0.26f, 0.37f, -0.26f, 0.61f)
                verticalLineTo(3.79f)
                close()
                moveTo(22.44f, 6.07f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.26f, 0.6f)
                curveToRelative(0.14f, 0.17f, 0.33f, 0.25f, 0.57f, 0.25f)
                reflectiveCurveToRelative(0.44f, -0.08f, 0.6f, -0.25f)
                lineToRelative(1.44f, -1.45f)
                curveToRelative(0.17f, -0.16f, 0.26f, -0.35f, 0.26f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.61f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.61f, -0.25f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.09f, -0.57f, 0.26f)
                lineTo(22.7f, 5.47f)
                curveTo(22.53f, 5.63f, 22.44f, 5.83f, 22.44f, 6.07f)
                close()
                moveTo(23.25f, 17.93f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.42f, 0.24f, 0.6f)
                lineToRelative(0.66f, 0.63f)
                curveToRelative(0.12f, 0.14f, 0.31f, 0.23f, 0.54f, 0.24f)
                lineToRelative(0.01f, 0.01f)
                curveToRelative(0.01f, 0.0f, 0.03f, 0.0f, 0.05f, 0.0f)
                curveToRelative(0.02f, 0.0f, 0.03f, 0.0f, 0.05f, 0.0f)
                curveToRelative(0.19f, 0.0f, 0.36f, -0.09f, 0.53f, -0.26f)
                curveToRelative(0.17f, -0.16f, 0.26f, -0.36f, 0.26f, -0.6f)
                curveToRelative(0.0f, -0.23f, -0.09f, -0.43f, -0.26f, -0.61f)
                lineToRelative(-0.65f, -0.61f)
                curveToRelative(-0.16f, -0.18f, -0.36f, -0.27f, -0.58f, -0.27f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(23.33f, 17.49f, 23.25f, 17.7f, 23.25f, 17.93f)
                close()
                moveTo(24.7f, 11.58f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.43f, 0.27f, 0.6f)
                curveToRelative(0.18f, 0.18f, 0.38f, 0.27f, 0.61f, 0.27f)
                horizontalLineToRelative(2.03f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.09f, 0.6f, -0.26f)
                reflectiveCurveToRelative(0.26f, -0.38f, 0.26f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.59f)
                curveToRelative(-0.17f, -0.16f, -0.37f, -0.24f, -0.61f, -0.24f)
                horizontalLineToRelative(-2.03f)
                curveToRelative(-0.25f, 0.0f, -0.46f, 0.08f, -0.63f, 0.24f)
                curveTo(24.78f, 11.15f, 24.7f, 11.35f, 24.7f, 11.58f)
                close()
            }
        }
        .build()
        return _dayThunderstorm!!
    }

private var _dayThunderstorm: ImageVector? = null
