package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.Dust: ImageVector
    get() {
        if (_dust != null) {
            return _dust!!
        }
        _dust = Builder(name = "Dust", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.33f, 16.58f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.41f, 0.23f, -0.56f)
                curveToRelative(0.16f, -0.15f, 0.37f, -0.22f, 0.64f, -0.22f)
                horizontalLineToRelative(5.71f)
                curveToRelative(0.27f, 0.0f, 0.48f, 0.07f, 0.64f, 0.22f)
                curveToRelative(0.16f, 0.15f, 0.23f, 0.33f, 0.23f, 0.56f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.49f, -0.23f, 0.64f)
                reflectiveCurveToRelative(-0.37f, 0.23f, -0.64f, 0.23f)
                horizontalLineTo(8.2f)
                curveToRelative(-0.27f, 0.0f, -0.48f, -0.08f, -0.64f, -0.23f)
                reflectiveCurveTo(7.33f, 16.86f, 7.33f, 16.58f)
                close()
                moveTo(7.33f, 10.67f)
                curveToRelative(0.0f, -0.22f, 0.08f, -0.41f, 0.23f, -0.55f)
                curveTo(7.72f, 9.97f, 7.93f, 9.9f, 8.2f, 9.9f)
                horizontalLineToRelative(2.96f)
                curveToRelative(0.27f, 0.0f, 0.48f, 0.07f, 0.64f, 0.22f)
                curveToRelative(0.16f, 0.14f, 0.24f, 0.33f, 0.24f, 0.55f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.48f, -0.24f, 0.64f)
                curveToRelative(-0.16f, 0.16f, -0.37f, 0.24f, -0.64f, 0.24f)
                horizontalLineTo(8.2f)
                curveToRelative(-0.27f, 0.0f, -0.48f, -0.08f, -0.64f, -0.23f)
                reflectiveCurveTo(7.33f, 10.94f, 7.33f, 10.67f)
                close()
                moveTo(8.32f, 19.54f)
                curveToRelative(0.0f, -0.22f, 0.09f, -0.42f, 0.28f, -0.6f)
                curveToRelative(0.18f, -0.18f, 0.39f, -0.28f, 0.6f, -0.28f)
                curveToRelative(0.26f, 0.0f, 0.46f, 0.09f, 0.62f, 0.27f)
                reflectiveCurveToRelative(0.24f, 0.38f, 0.24f, 0.61f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.49f, -0.23f, 0.65f)
                curveToRelative(-0.15f, 0.16f, -0.36f, 0.23f, -0.63f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(8.4f, 20.01f, 8.32f, 19.8f, 8.32f, 19.54f)
                close()
                moveTo(9.74f, 13.61f)
                curveToRelative(0.0f, -0.23f, 0.07f, -0.44f, 0.22f, -0.61f)
                curveToRelative(0.15f, -0.18f, 0.33f, -0.27f, 0.54f, -0.27f)
                curveToRelative(0.26f, 0.0f, 0.48f, 0.09f, 0.64f, 0.27f)
                curveToRelative(0.16f, 0.18f, 0.24f, 0.38f, 0.24f, 0.61f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.49f, -0.23f, 0.65f)
                curveToRelative(-0.16f, 0.16f, -0.37f, 0.23f, -0.65f, 0.23f)
                curveToRelative(-0.23f, 0.0f, -0.41f, -0.08f, -0.55f, -0.24f)
                reflectiveCurveTo(9.74f, 13.88f, 9.74f, 13.61f)
                close()
                moveTo(10.73f, 19.54f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.44f, 0.24f, -0.61f)
                reflectiveCurveToRelative(0.38f, -0.27f, 0.64f, -0.27f)
                horizontalLineToRelative(3.83f)
                lineToRelative(0.88f, 0.88f)
                curveToRelative(0.0f, 0.26f, -0.09f, 0.47f, -0.27f, 0.64f)
                reflectiveCurveToRelative(-0.38f, 0.24f, -0.61f, 0.24f)
                horizontalLineToRelative(-3.83f)
                curveToRelative(-0.27f, 0.0f, -0.49f, -0.08f, -0.65f, -0.24f)
                reflectiveCurveTo(10.73f, 19.81f, 10.73f, 19.54f)
                close()
                moveTo(12.05f, 13.61f)
                curveToRelative(0.0f, -0.22f, 0.09f, -0.42f, 0.28f, -0.6f)
                curveToRelative(0.18f, -0.18f, 0.39f, -0.28f, 0.6f, -0.28f)
                horizontalLineToRelative(3.83f)
                curveToRelative(0.26f, 0.0f, 0.47f, 0.09f, 0.63f, 0.27f)
                curveToRelative(0.16f, 0.18f, 0.24f, 0.38f, 0.24f, 0.61f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.49f, -0.23f, 0.65f)
                curveToRelative(-0.16f, 0.16f, -0.37f, 0.23f, -0.64f, 0.23f)
                horizontalLineToRelative(-3.83f)
                curveToRelative(-0.23f, 0.0f, -0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(12.14f, 14.09f, 12.05f, 13.88f, 12.05f, 13.61f)
                close()
                moveTo(12.81f, 10.67f)
                curveToRelative(0.0f, -0.22f, 0.08f, -0.41f, 0.24f, -0.55f)
                curveToRelative(0.16f, -0.14f, 0.37f, -0.22f, 0.64f, -0.22f)
                horizontalLineToRelative(5.71f)
                curveToRelative(0.23f, 0.0f, 0.43f, 0.08f, 0.61f, 0.23f)
                curveToRelative(0.18f, 0.15f, 0.27f, 0.33f, 0.27f, 0.54f)
                curveToRelative(0.0f, 0.26f, -0.09f, 0.48f, -0.27f, 0.64f)
                curveToRelative(-0.18f, 0.16f, -0.38f, 0.24f, -0.61f, 0.24f)
                horizontalLineToRelative(-5.71f)
                curveToRelative(-0.27f, 0.0f, -0.49f, -0.08f, -0.65f, -0.24f)
                curveTo(12.88f, 11.15f, 12.81f, 10.94f, 12.81f, 10.67f)
                close()
                moveTo(15.44f, 16.58f)
                curveToRelative(0.0f, -0.21f, 0.09f, -0.4f, 0.27f, -0.55f)
                curveToRelative(0.18f, -0.15f, 0.38f, -0.23f, 0.61f, -0.23f)
                reflectiveCurveToRelative(0.43f, 0.08f, 0.61f, 0.23f)
                curveToRelative(0.18f, 0.15f, 0.27f, 0.34f, 0.27f, 0.55f)
                curveToRelative(0.0f, 0.26f, -0.09f, 0.47f, -0.27f, 0.63f)
                curveToRelative(-0.18f, 0.16f, -0.38f, 0.24f, -0.61f, 0.24f)
                curveToRelative(-0.23f, 0.0f, -0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(15.53f, 17.06f, 15.44f, 16.85f, 15.44f, 16.58f)
                close()
                moveTo(16.98f, 19.54f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.44f, 0.24f, -0.61f)
                curveToRelative(0.16f, -0.18f, 0.37f, -0.27f, 0.63f, -0.27f)
                horizontalLineToRelative(1.87f)
                curveToRelative(0.26f, 0.0f, 0.47f, 0.09f, 0.63f, 0.26f)
                curveToRelative(0.16f, 0.17f, 0.24f, 0.38f, 0.24f, 0.62f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.49f, -0.23f, 0.65f)
                curveToRelative(-0.15f, 0.16f, -0.37f, 0.23f, -0.64f, 0.23f)
                horizontalLineToRelative(-1.87f)
                curveToRelative(-0.27f, 0.0f, -0.48f, -0.08f, -0.64f, -0.23f)
                curveTo(17.06f, 20.03f, 16.98f, 19.81f, 16.98f, 19.54f)
                close()
                moveTo(17.85f, 16.58f)
                curveToRelative(0.0f, -0.21f, 0.09f, -0.4f, 0.27f, -0.55f)
                curveToRelative(0.18f, -0.15f, 0.38f, -0.23f, 0.61f, -0.23f)
                horizontalLineToRelative(3.07f)
                curveToRelative(0.22f, 0.0f, 0.4f, 0.08f, 0.54f, 0.23f)
                curveToRelative(0.14f, 0.15f, 0.22f, 0.33f, 0.22f, 0.55f)
                curveToRelative(0.0f, 0.27f, -0.07f, 0.48f, -0.21f, 0.64f)
                curveToRelative(-0.14f, 0.16f, -0.32f, 0.23f, -0.55f, 0.23f)
                horizontalLineToRelative(-3.07f)
                curveToRelative(-0.23f, 0.0f, -0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(17.94f, 17.06f, 17.85f, 16.85f, 17.85f, 16.58f)
                close()
                moveTo(18.29f, 13.61f)
                curveToRelative(0.0f, -0.22f, 0.09f, -0.42f, 0.28f, -0.6f)
                curveToRelative(0.18f, -0.18f, 0.39f, -0.28f, 0.6f, -0.28f)
                horizontalLineToRelative(1.96f)
                curveToRelative(0.21f, 0.0f, 0.39f, 0.09f, 0.54f, 0.27f)
                curveToRelative(0.15f, 0.18f, 0.23f, 0.38f, 0.23f, 0.61f)
                curveToRelative(0.0f, 0.27f, -0.07f, 0.48f, -0.22f, 0.64f)
                curveToRelative(-0.14f, 0.16f, -0.33f, 0.24f, -0.55f, 0.24f)
                horizontalLineToRelative(-1.96f)
                curveToRelative(-0.23f, 0.0f, -0.44f, -0.08f, -0.61f, -0.24f)
                curveTo(18.38f, 14.09f, 18.29f, 13.88f, 18.29f, 13.61f)
                close()
                moveTo(21.03f, 10.67f)
                curveToRelative(0.0f, -0.22f, 0.07f, -0.4f, 0.22f, -0.55f)
                curveTo(21.4f, 9.97f, 21.58f, 9.9f, 21.8f, 9.9f)
                curveToRelative(0.27f, 0.0f, 0.48f, 0.07f, 0.64f, 0.22f)
                curveToRelative(0.16f, 0.14f, 0.24f, 0.33f, 0.24f, 0.55f)
                curveToRelative(0.0f, 0.27f, -0.08f, 0.48f, -0.24f, 0.64f)
                curveToRelative(-0.16f, 0.16f, -0.37f, 0.24f, -0.64f, 0.24f)
                curveToRelative(-0.23f, 0.0f, -0.41f, -0.08f, -0.55f, -0.24f)
                curveTo(21.1f, 11.15f, 21.03f, 10.94f, 21.03f, 10.67f)
                close()
            }
        }
        .build()
        return _dust!!
    }

private var _dust: ImageVector? = null
