package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.Hot: ImageVector
    get() {
        if (_hot != null) {
            return _hot!!
        }
        _hot = Builder(name = "Hot", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp, viewportWidth
                = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.14f, 14.76f)
                curveToRelative(0.0f, -0.24f, 0.09f, -0.44f, 0.27f, -0.61f)
                curveToRelative(0.17f, -0.17f, 0.38f, -0.25f, 0.62f, -0.25f)
                horizontalLineToRelative(2.06f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.08f, 0.6f, 0.25f)
                curveToRelative(0.17f, 0.17f, 0.25f, 0.37f, 0.25f, 0.61f)
                curveToRelative(0.0f, 0.25f, -0.08f, 0.46f, -0.25f, 0.63f)
                curveToRelative(-0.17f, 0.17f, -0.37f, 0.25f, -0.6f, 0.25f)
                horizontalLineTo(5.03f)
                curveToRelative(-0.25f, 0.0f, -0.46f, -0.08f, -0.63f, -0.25f)
                curveTo(4.22f, 15.22f, 4.14f, 15.01f, 4.14f, 14.76f)
                close()
                moveTo(7.06f, 7.74f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.44f, 0.24f, -0.62f)
                curveTo(7.5f, 6.96f, 7.71f, 6.87f, 7.96f, 6.87f)
                curveToRelative(0.21f, 0.0f, 0.41f, 0.08f, 0.59f, 0.25f)
                lineToRelative(1.45f, 1.48f)
                curveToRelative(0.17f, 0.16f, 0.25f, 0.36f, 0.25f, 0.6f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.44f, -0.25f, 0.6f)
                curveToRelative(-0.17f, 0.17f, -0.36f, 0.25f, -0.6f, 0.25f)
                curveToRelative(-0.26f, 0.0f, -0.46f, -0.08f, -0.61f, -0.25f)
                lineToRelative(-1.5f, -1.44f)
                curveTo(7.15f, 8.19f, 7.06f, 7.98f, 7.06f, 7.74f)
                close()
                moveTo(9.67f, 14.76f)
                curveToRelative(0.0f, -0.71f, 0.14f, -1.39f, 0.43f, -2.04f)
                curveToRelative(0.28f, -0.65f, 0.67f, -1.22f, 1.14f, -1.69f)
                curveToRelative(0.48f, -0.47f, 1.05f, -0.85f, 1.7f, -1.13f)
                reflectiveCurveTo(14.28f, 9.47f, 15.0f, 9.47f)
                curveToRelative(0.96f, 0.0f, 1.84f, 0.24f, 2.66f, 0.72f)
                curveToRelative(0.82f, 0.48f, 1.47f, 1.12f, 1.94f, 1.94f)
                curveToRelative(0.47f, 0.81f, 0.71f, 1.69f, 0.71f, 2.63f)
                curveToRelative(0.0f, 0.15f, -0.01f, 0.29f, -0.03f, 0.42f)
                curveToRelative(-0.28f, -0.17f, -0.6f, -0.25f, -0.97f, -0.25f)
                curveToRelative(-0.24f, 0.0f, -0.48f, 0.05f, -0.72f, 0.15f)
                curveToRelative(0.01f, -0.07f, 0.01f, -0.18f, 0.01f, -0.32f)
                curveToRelative(0.0f, -0.98f, -0.35f, -1.81f, -1.06f, -2.5f)
                curveToRelative(-0.71f, -0.69f, -1.56f, -1.04f, -2.55f, -1.04f)
                curveToRelative(-0.99f, 0.0f, -1.83f, 0.35f, -2.54f, 1.04f)
                reflectiveCurveToRelative(-1.05f, 1.52f, -1.05f, 2.5f)
                verticalLineToRelative(0.18f)
                curveToRelative(-0.29f, 0.02f, -0.57f, 0.1f, -0.84f, 0.25f)
                curveToRelative(-0.01f, 0.01f, -0.04f, 0.03f, -0.1f, 0.07f)
                reflectiveCurveToRelative(-0.12f, 0.09f, -0.19f, 0.14f)
                reflectiveCurveToRelative(-0.14f, 0.11f, -0.23f, 0.19f)
                reflectiveCurveToRelative(-0.18f, 0.16f, -0.26f, 0.24f)
                curveTo(9.7f, 15.51f, 9.67f, 15.15f, 9.67f, 14.76f)
                close()
                moveTo(9.7f, 18.41f)
                verticalLineToRelative(-0.15f)
                curveToRelative(-0.01f, -0.09f, 0.0f, -0.2f, 0.02f, -0.33f)
                curveToRelative(0.05f, -0.36f, 0.19f, -0.7f, 0.42f, -1.02f)
                curveToRelative(0.13f, -0.16f, 0.22f, -0.27f, 0.27f, -0.31f)
                curveToRelative(0.01f, -0.02f, 0.02f, -0.04f, 0.04f, -0.06f)
                lineToRelative(0.04f, -0.04f)
                curveToRelative(0.03f, -0.01f, 0.07f, -0.05f, 0.12f, -0.1f)
                curveToRelative(0.02f, -0.02f, 0.05f, -0.05f, 0.08f, -0.08f)
                reflectiveCurveToRelative(0.06f, -0.04f, 0.07f, -0.06f)
                curveToRelative(0.05f, -0.05f, 0.1f, -0.08f, 0.14f, -0.1f)
                lineToRelative(0.17f, -0.11f)
                curveToRelative(0.14f, -0.09f, 0.31f, -0.14f, 0.5f, -0.14f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.1f, 0.0f, 0.19f, 0.01f, 0.26f, 0.03f)
                curveToRelative(0.03f, 0.01f, 0.07f, 0.03f, 0.13f, 0.07f)
                verticalLineToRelative(0.01f)
                curveToRelative(0.14f, 0.06f, 0.26f, 0.16f, 0.34f, 0.29f)
                curveToRelative(0.08f, 0.13f, 0.13f, 0.27f, 0.13f, 0.42f)
                curveToRelative(0.0f, 0.17f, -0.05f, 0.31f, -0.14f, 0.42f)
                curveToRelative(-0.06f, 0.09f, -0.14f, 0.17f, -0.22f, 0.23f)
                curveToRelative(-0.02f, 0.01f, -0.04f, 0.02f, -0.06f, 0.03f)
                curveToRelative(-0.02f, 0.01f, -0.04f, 0.02f, -0.04f, 0.02f)
                lineToRelative(-0.06f, 0.04f)
                curveToRelative(-0.04f, 0.03f, -0.07f, 0.06f, -0.1f, 0.08f)
                reflectiveCurveToRelative(-0.06f, 0.06f, -0.11f, 0.11f)
                curveToRelative(-0.04f, 0.05f, -0.08f, 0.09f, -0.11f, 0.14f)
                curveToRelative(-0.03f, 0.04f, -0.06f, 0.1f, -0.09f, 0.15f)
                curveToRelative(-0.03f, 0.06f, -0.05f, 0.12f, -0.05f, 0.17f)
                verticalLineToRelative(0.15f)
                curveToRelative(0.04f, 0.15f, 0.08f, 0.27f, 0.11f, 0.36f)
                curveToRelative(0.07f, 0.14f, 0.18f, 0.28f, 0.34f, 0.44f)
                curveToRelative(0.01f, 0.02f, 0.09f, 0.1f, 0.24f, 0.25f)
                curveToRelative(0.86f, 0.78f, 1.27f, 1.62f, 1.21f, 2.5f)
                curveToRelative(-0.02f, 0.3f, -0.09f, 0.59f, -0.21f, 0.87f)
                curveToRelative(-0.12f, 0.28f, -0.26f, 0.51f, -0.43f, 0.7f)
                curveToRelative(-0.16f, 0.19f, -0.29f, 0.33f, -0.39f, 0.43f)
                curveToRelative(-0.1f, 0.09f, -0.18f, 0.16f, -0.25f, 0.21f)
                curveToRelative(-0.01f, 0.01f, -0.03f, 0.02f, -0.06f, 0.04f)
                curveToRelative(-0.03f, 0.02f, -0.06f, 0.04f, -0.07f, 0.04f)
                curveToRelative(-0.08f, 0.04f, -0.15f, 0.06f, -0.22f, 0.07f)
                curveToRelative(-0.09f, 0.01f, -0.15f, 0.02f, -0.2f, 0.02f)
                curveToRelative(-0.3f, 0.0f, -0.54f, -0.1f, -0.71f, -0.3f)
                curveToRelative(-0.14f, -0.17f, -0.2f, -0.37f, -0.18f, -0.59f)
                curveToRelative(0.02f, -0.22f, 0.13f, -0.4f, 0.33f, -0.53f)
                lineTo(11.0f, 22.75f)
                curveToRelative(0.01f, -0.01f, 0.03f, -0.03f, 0.05f, -0.04f)
                curveToRelative(0.02f, -0.02f, 0.04f, -0.04f, 0.07f, -0.06f)
                curveToRelative(0.03f, -0.02f, 0.06f, -0.05f, 0.08f, -0.08f)
                curveToRelative(0.03f, -0.03f, 0.06f, -0.07f, 0.08f, -0.1f)
                curveToRelative(0.03f, -0.04f, 0.06f, -0.08f, 0.08f, -0.12f)
                curveToRelative(0.03f, -0.04f, 0.06f, -0.09f, 0.08f, -0.14f)
                curveToRelative(0.03f, -0.05f, 0.05f, -0.1f, 0.07f, -0.15f)
                curveToRelative(0.02f, -0.05f, 0.03f, -0.1f, 0.05f, -0.16f)
                curveToRelative(0.01f, -0.06f, 0.02f, -0.12f, 0.02f, -0.17f)
                curveToRelative(0.02f, -0.2f, -0.03f, -0.4f, -0.15f, -0.6f)
                curveToRelative(-0.05f, -0.11f, -0.12f, -0.22f, -0.22f, -0.33f)
                curveToRelative(-0.07f, -0.08f, -0.12f, -0.13f, -0.15f, -0.16f)
                curveToRelative(-0.09f, -0.11f, -0.14f, -0.17f, -0.15f, -0.18f)
                curveToRelative(-0.02f, -0.01f, -0.04f, -0.03f, -0.07f, -0.06f)
                reflectiveCurveToRelative(-0.05f, -0.04f, -0.06f, -0.05f)
                curveToRelative(-0.15f, -0.14f, -0.26f, -0.26f, -0.34f, -0.36f)
                curveToRelative(-0.12f, -0.16f, -0.21f, -0.26f, -0.24f, -0.32f)
                curveToRelative(-0.19f, -0.26f, -0.32f, -0.52f, -0.39f, -0.78f)
                curveToRelative(-0.04f, -0.14f, -0.07f, -0.25f, -0.08f, -0.32f)
                curveToRelative(0.0f, -0.02f, -0.01f, -0.05f, -0.02f, -0.08f)
                reflectiveCurveTo(9.7f, 18.44f, 9.7f, 18.41f)
                close()
                moveTo(13.58f, 18.08f)
                curveToRelative(0.0f, -0.06f, 0.0f, -0.1f, 0.01f, -0.14f)
                curveToRelative(0.02f, -0.22f, 0.09f, -0.43f, 0.2f, -0.64f)
                curveToRelative(0.11f, -0.21f, 0.22f, -0.39f, 0.35f, -0.53f)
                curveToRelative(0.13f, -0.14f, 0.25f, -0.27f, 0.38f, -0.38f)
                reflectiveCurveToRelative(0.23f, -0.19f, 0.31f, -0.25f)
                lineToRelative(0.12f, -0.07f)
                curveToRelative(0.15f, -0.09f, 0.32f, -0.14f, 0.5f, -0.14f)
                curveToRelative(0.11f, 0.0f, 0.21f, 0.01f, 0.3f, 0.03f)
                curveToRelative(0.01f, 0.0f, 0.02f, 0.01f, 0.05f, 0.02f)
                curveToRelative(0.03f, 0.02f, 0.05f, 0.03f, 0.06f, 0.04f)
                curveToRelative(0.01f, 0.0f, 0.02f, 0.0f, 0.03f, 0.01f)
                curveToRelative(0.01f, 0.0f, 0.03f, 0.02f, 0.07f, 0.05f)
                curveToRelative(0.2f, 0.12f, 0.32f, 0.3f, 0.38f, 0.54f)
                curveToRelative(0.0f, 0.02f, 0.0f, 0.04f, 0.0f, 0.07f)
                curveToRelative(0.0f, 0.02f, 0.0f, 0.04f, 0.0f, 0.05f)
                curveToRelative(0.0f, 0.03f, -0.01f, 0.07f, -0.02f, 0.12f)
                reflectiveCurveToRelative(-0.02f, 0.08f, -0.02f, 0.09f)
                curveToRelative(-0.07f, 0.23f, -0.21f, 0.39f, -0.42f, 0.5f)
                curveToRelative(-0.33f, 0.22f, -0.51f, 0.45f, -0.53f, 0.69f)
                curveToRelative(-0.01f, 0.08f, -0.01f, 0.15f, 0.0f, 0.22f)
                curveToRelative(0.02f, 0.12f, 0.08f, 0.25f, 0.17f, 0.39f)
                curveToRelative(0.11f, 0.16f, 0.19f, 0.27f, 0.24f, 0.32f)
                curveToRelative(0.16f, 0.16f, 0.25f, 0.25f, 0.28f, 0.27f)
                curveToRelative(0.12f, 0.11f, 0.28f, 0.28f, 0.47f, 0.51f)
                curveToRelative(0.54f, 0.65f, 0.79f, 1.32f, 0.74f, 2.0f)
                curveToRelative(-0.02f, 0.3f, -0.09f, 0.59f, -0.21f, 0.87f)
                curveToRelative(-0.12f, 0.28f, -0.26f, 0.51f, -0.43f, 0.7f)
                curveToRelative(-0.16f, 0.18f, -0.3f, 0.33f, -0.4f, 0.43f)
                curveToRelative(-0.11f, 0.1f, -0.19f, 0.17f, -0.25f, 0.21f)
                lineToRelative(-0.12f, 0.08f)
                curveToRelative(-0.11f, 0.04f, -0.17f, 0.06f, -0.21f, 0.07f)
                curveToRelative(-0.11f, 0.01f, -0.18f, 0.02f, -0.2f, 0.02f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.08f, 0.0f, -0.14f, -0.01f, -0.19f, -0.02f)
                curveToRelative(-0.02f, 0.0f, -0.05f, 0.0f, -0.08f, -0.01f)
                curveToRelative(-0.03f, -0.01f, -0.06f, -0.01f, -0.07f, -0.01f)
                curveToRelative(-0.01f, 0.0f, -0.02f, 0.0f, -0.03f, -0.01f)
                curveToRelative(-0.01f, -0.01f, -0.02f, -0.01f, -0.04f, -0.02f)
                curveToRelative(-0.01f, -0.01f, -0.02f, -0.01f, -0.03f, -0.01f)
                curveToRelative(-0.15f, -0.11f, -0.24f, -0.17f, -0.26f, -0.21f)
                curveToRelative(-0.16f, -0.18f, -0.22f, -0.38f, -0.19f, -0.6f)
                curveToRelative(0.03f, -0.22f, 0.14f, -0.39f, 0.34f, -0.53f)
                lineToRelative(0.03f, -0.04f)
                curveToRelative(0.02f, -0.02f, 0.05f, -0.05f, 0.09f, -0.08f)
                lineToRelative(0.12f, -0.12f)
                lineToRelative(0.13f, -0.16f)
                lineToRelative(0.12f, -0.19f)
                lineToRelative(0.09f, -0.22f)
                lineToRelative(0.04f, -0.24f)
                curveToRelative(0.01f, -0.4f, -0.22f, -0.82f, -0.69f, -1.27f)
                curveToRelative(-0.19f, -0.17f, -0.33f, -0.31f, -0.44f, -0.43f)
                curveTo(13.79f, 19.37f, 13.54f, 18.72f, 13.58f, 18.08f)
                close()
                moveTo(14.12f, 6.92f)
                verticalLineTo(4.85f)
                curveToRelative(0.0f, -0.24f, 0.09f, -0.45f, 0.26f, -0.62f)
                curveToRelative(0.17f, -0.17f, 0.38f, -0.25f, 0.61f, -0.25f)
                curveToRelative(0.24f, 0.0f, 0.45f, 0.08f, 0.62f, 0.25f)
                curveToRelative(0.17f, 0.17f, 0.25f, 0.38f, 0.25f, 0.62f)
                verticalLineToRelative(2.07f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.43f, -0.25f, 0.59f)
                reflectiveCurveTo(15.24f, 7.74f, 15.0f, 7.74f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.61f, -0.23f)
                curveTo(14.21f, 7.35f, 14.12f, 7.16f, 14.12f, 6.92f)
                close()
                moveTo(17.48f, 17.93f)
                curveToRelative(0.02f, -0.22f, 0.09f, -0.43f, 0.2f, -0.64f)
                curveToRelative(0.11f, -0.21f, 0.22f, -0.39f, 0.35f, -0.53f)
                curveToRelative(0.13f, -0.14f, 0.25f, -0.27f, 0.38f, -0.38f)
                curveToRelative(0.12f, -0.11f, 0.22f, -0.19f, 0.3f, -0.25f)
                lineToRelative(0.13f, -0.07f)
                curveToRelative(0.02f, -0.02f, 0.06f, -0.04f, 0.1f, -0.08f)
                curveToRelative(0.11f, -0.04f, 0.24f, -0.07f, 0.38f, -0.07f)
                curveToRelative(0.34f, 0.0f, 0.59f, 0.13f, 0.77f, 0.38f)
                curveToRelative(0.05f, 0.07f, 0.08f, 0.14f, 0.1f, 0.23f)
                curveToRelative(0.01f, 0.02f, 0.02f, 0.05f, 0.02f, 0.08f)
                verticalLineToRelative(0.11f)
                curveToRelative(0.0f, 0.31f, -0.15f, 0.55f, -0.45f, 0.7f)
                curveToRelative(-0.32f, 0.21f, -0.49f, 0.44f, -0.52f, 0.69f)
                curveToRelative(-0.04f, 0.34f, 0.19f, 0.74f, 0.68f, 1.2f)
                curveToRelative(0.88f, 0.77f, 1.28f, 1.61f, 1.23f, 2.5f)
                curveToRelative(-0.02f, 0.3f, -0.09f, 0.59f, -0.21f, 0.87f)
                curveToRelative(-0.12f, 0.28f, -0.27f, 0.51f, -0.43f, 0.7f)
                curveToRelative(-0.17f, 0.19f, -0.3f, 0.33f, -0.39f, 0.43f)
                reflectiveCurveToRelative(-0.18f, 0.16f, -0.25f, 0.21f)
                curveToRelative(-0.16f, 0.1f, -0.3f, 0.15f, -0.41f, 0.16f)
                curveToRelative(-0.03f, 0.01f, -0.08f, 0.01f, -0.15f, 0.01f)
                curveToRelative(-0.3f, 0.0f, -0.53f, -0.1f, -0.69f, -0.3f)
                curveToRelative(-0.15f, -0.17f, -0.21f, -0.37f, -0.19f, -0.59f)
                reflectiveCurveToRelative(0.13f, -0.4f, 0.32f, -0.53f)
                curveToRelative(0.03f, -0.01f, 0.09f, -0.06f, 0.18f, -0.14f)
                reflectiveCurveToRelative(0.18f, -0.21f, 0.29f, -0.38f)
                curveToRelative(0.1f, -0.18f, 0.16f, -0.35f, 0.17f, -0.53f)
                curveToRelative(0.02f, -0.4f, -0.22f, -0.82f, -0.7f, -1.27f)
                curveToRelative(-0.41f, -0.36f, -0.73f, -0.75f, -0.94f, -1.16f)
                curveTo(17.51f, 18.86f, 17.42f, 18.4f, 17.48f, 17.93f)
                close()
                moveTo(19.77f, 9.21f)
                curveToRelative(0.0f, -0.25f, 0.08f, -0.45f, 0.23f, -0.6f)
                lineToRelative(1.46f, -1.48f)
                curveToRelative(0.18f, -0.17f, 0.38f, -0.25f, 0.61f, -0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.09f, 0.61f, 0.26f)
                reflectiveCurveToRelative(0.26f, 0.38f, 0.26f, 0.61f)
                curveToRelative(0.0f, 0.25f, -0.09f, 0.46f, -0.26f, 0.62f)
                lineToRelative(-1.48f, 1.44f)
                curveToRelative(-0.18f, 0.17f, -0.38f, 0.25f, -0.61f, 0.25f)
                curveToRelative(-0.23f, 0.0f, -0.43f, -0.08f, -0.58f, -0.25f)
                curveTo(19.85f, 9.65f, 19.77f, 9.44f, 19.77f, 9.21f)
                close()
                moveTo(22.07f, 14.76f)
                curveToRelative(0.0f, -0.22f, 0.09f, -0.42f, 0.26f, -0.61f)
                curveToRelative(0.16f, -0.17f, 0.35f, -0.25f, 0.58f, -0.25f)
                horizontalLineToRelative(2.06f)
                curveToRelative(0.24f, 0.0f, 0.45f, 0.09f, 0.62f, 0.26f)
                reflectiveCurveToRelative(0.27f, 0.37f, 0.27f, 0.6f)
                curveToRelative(0.0f, 0.24f, -0.09f, 0.45f, -0.26f, 0.62f)
                curveToRelative(-0.18f, 0.17f, -0.38f, 0.26f, -0.63f, 0.26f)
                horizontalLineToRelative(-2.06f)
                curveToRelative(-0.24f, 0.0f, -0.45f, -0.08f, -0.6f, -0.25f)
                curveTo(22.15f, 15.22f, 22.07f, 15.01f, 22.07f, 14.76f)
                close()
            }
        }
        .build()
        return _hot!!
    }

private var _hot: ImageVector? = null
