package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.NightAltRainMix: ImageVector
    get() {
        if (_nightAltRainMix != null) {
            return _nightAltRainMix!!
        }
        _nightAltRainMix = Builder(name = "NightAltRainMix", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.07f, 16.93f)
                curveToRelative(0.0f, 1.33f, 0.47f, 2.47f, 1.4f, 3.43f)
                reflectiveCurveToRelative(2.07f, 1.47f, 3.4f, 1.51f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.17f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.11f, -0.06f, -0.17f, -0.18f, -0.17f)
                curveToRelative(-0.85f, -0.04f, -1.58f, -0.39f, -2.18f, -1.03f)
                reflectiveCurveToRelative(-0.91f, -1.39f, -0.91f, -2.23f)
                curveToRelative(0.0f, -0.85f, 0.28f, -1.59f, 0.85f, -2.21f)
                curveToRelative(0.57f, -0.62f, 1.27f, -0.97f, 2.1f, -1.04f)
                lineToRelative(0.53f, -0.07f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.18f)
                lineToRelative(0.07f, -0.51f)
                curveToRelative(0.11f, -1.1f, 0.56f, -2.02f, 1.37f, -2.75f)
                curveToRelative(0.81f, -0.73f, 1.76f, -1.1f, 2.86f, -1.1f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.37f, 2.86f, 1.1f)
                curveToRelative(0.82f, 0.73f, 1.29f, 1.64f, 1.4f, 2.72f)
                lineToRelative(0.07f, 0.57f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.19f, 0.17f, 0.19f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.91f, 0.0f, 1.68f, 0.32f, 2.33f, 0.97f)
                curveToRelative(0.65f, 0.64f, 0.97f, 1.41f, 0.97f, 2.31f)
                curveToRelative(0.0f, 0.55f, -0.14f, 1.07f, -0.41f, 1.56f)
                reflectiveCurveToRelative(-0.65f, 0.89f, -1.13f, 1.2f)
                curveToRelative(-0.48f, 0.31f, -1.0f, 0.48f, -1.56f, 0.51f)
                curveToRelative(-0.13f, 0.0f, -0.2f, 0.06f, -0.2f, 0.17f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.2f, 0.17f)
                curveToRelative(0.88f, -0.02f, 1.69f, -0.26f, 2.42f, -0.71f)
                curveToRelative(0.73f, -0.45f, 1.31f, -1.05f, 1.73f, -1.8f)
                curveToRelative(0.42f, -0.75f, 0.63f, -1.56f, 0.63f, -2.43f)
                curveToRelative(0.0f, -0.88f, -0.23f, -1.72f, -0.68f, -2.51f)
                curveToRelative(0.83f, -0.74f, 1.36f, -1.62f, 1.58f, -2.62f)
                lineToRelative(0.14f, -0.68f)
                curveToRelative(0.02f, -0.02f, 0.03f, -0.04f, 0.03f, -0.07f)
                curveToRelative(0.0f, -0.06f, -0.06f, -0.11f, -0.17f, -0.16f)
                lineToRelative(-0.55f, -0.18f)
                curveToRelative(-0.57f, -0.17f, -1.07f, -0.45f, -1.47f, -0.85f)
                curveToRelative(-0.41f, -0.4f, -0.7f, -0.81f, -0.87f, -1.25f)
                curveToRelative(-0.17f, -0.43f, -0.26f, -0.86f, -0.26f, -1.29f)
                curveToRelative(-0.02f, -0.21f, 0.01f, -0.49f, 0.09f, -0.82f)
                lineToRelative(0.13f, -0.58f)
                curveToRelative(0.04f, -0.1f, 0.0f, -0.18f, -0.13f, -0.23f)
                lineToRelative(-0.8f, -0.24f)
                curveToRelative(-0.41f, -0.11f, -0.84f, -0.17f, -1.29f, -0.17f)
                curveToRelative(-0.36f, 0.0f, -0.74f, 0.04f, -1.12f, 0.13f)
                curveToRelative(-0.38f, 0.09f, -0.78f, 0.22f, -1.19f, 0.41f)
                reflectiveCurveToRelative(-0.81f, 0.46f, -1.2f, 0.81f)
                curveToRelative(-0.39f, 0.35f, -0.72f, 0.76f, -1.0f, 1.23f)
                curveToRelative(-0.81f, -0.31f, -1.6f, -0.46f, -2.35f, -0.46f)
                curveToRelative(-1.41f, 0.0f, -2.67f, 0.44f, -3.76f, 1.32f)
                reflectiveCurveToRelative(-1.8f, 2.0f, -2.11f, 3.37f)
                curveToRelative(-1.12f, 0.29f, -2.04f, 0.88f, -2.75f, 1.77f)
                curveTo(4.42f, 14.74f, 4.07f, 15.77f, 4.07f, 16.93f)
                close()
                moveTo(9.48f, 23.98f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.34f, 0.16f, 0.51f)
                curveToRelative(0.11f, 0.17f, 0.27f, 0.28f, 0.47f, 0.35f)
                curveToRelative(0.23f, 0.07f, 0.44f, 0.06f, 0.64f, -0.04f)
                reflectiveCurveToRelative(0.32f, -0.28f, 0.39f, -0.56f)
                lineToRelative(0.14f, -0.61f)
                curveToRelative(0.05f, -0.23f, 0.02f, -0.44f, -0.09f, -0.63f)
                curveToRelative(-0.11f, -0.2f, -0.28f, -0.33f, -0.52f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.44f, -0.04f, -0.64f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.3f, -0.4f, 0.53f)
                lineTo(9.5f, 23.79f)
                curveTo(9.48f, 23.83f, 9.48f, 23.89f, 9.48f, 23.98f)
                close()
                moveTo(10.24f, 21.08f)
                curveToRelative(0.0f, 0.21f, 0.08f, 0.4f, 0.25f, 0.57f)
                curveToRelative(0.16f, 0.17f, 0.34f, 0.25f, 0.56f, 0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.24f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.35f, 0.24f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.24f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.58f, 0.23f)
                reflectiveCurveTo(10.24f, 20.85f, 10.24f, 21.08f)
                close()
                moveTo(10.85f, 18.81f)
                curveToRelative(-0.01f, 0.16f, 0.03f, 0.31f, 0.14f, 0.45f)
                curveToRelative(0.1f, 0.15f, 0.26f, 0.25f, 0.48f, 0.32f)
                curveToRelative(0.21f, 0.06f, 0.41f, 0.04f, 0.62f, -0.07f)
                curveToRelative(0.21f, -0.11f, 0.34f, -0.28f, 0.41f, -0.51f)
                lineToRelative(0.28f, -0.9f)
                curveToRelative(0.07f, -0.24f, 0.05f, -0.46f, -0.07f, -0.65f)
                curveToRelative(-0.12f, -0.19f, -0.3f, -0.32f, -0.54f, -0.39f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.05f, -0.63f, 0.07f)
                curveToRelative(-0.2f, 0.11f, -0.34f, 0.28f, -0.41f, 0.5f)
                lineToRelative(-0.24f, 0.92f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.06f, -0.02f, 0.12f)
                curveTo(10.85f, 18.72f, 10.85f, 18.77f, 10.85f, 18.81f)
                close()
                moveTo(12.01f, 27.1f)
                curveToRelative(0.0f, 0.18f, 0.05f, 0.34f, 0.15f, 0.5f)
                curveToRelative(0.1f, 0.16f, 0.26f, 0.27f, 0.48f, 0.33f)
                curveToRelative(0.08f, 0.02f, 0.17f, 0.03f, 0.25f, 0.03f)
                curveToRelative(0.43f, 0.0f, 0.69f, -0.2f, 0.79f, -0.61f)
                lineToRelative(0.14f, -0.59f)
                curveToRelative(0.06f, -0.26f, 0.03f, -0.48f, -0.08f, -0.68f)
                reflectiveCurveToRelative(-0.29f, -0.32f, -0.52f, -0.37f)
                curveToRelative(-0.21f, -0.07f, -0.42f, -0.05f, -0.63f, 0.07f)
                curveToRelative(-0.21f, 0.12f, -0.34f, 0.29f, -0.41f, 0.51f)
                lineToRelative(-0.14f, 0.59f)
                curveTo(12.02f, 26.97f, 12.01f, 27.04f, 12.01f, 27.1f)
                close()
                moveTo(12.79f, 24.2f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.41f, 0.25f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.35f, 0.24f, 0.57f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.23f, -0.58f)
                reflectiveCurveToRelative(-0.35f, -0.23f, -0.59f, -0.23f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.59f, 0.23f)
                curveTo(12.87f, 23.77f, 12.79f, 23.97f, 12.79f, 24.2f)
                close()
                moveTo(13.42f, 21.93f)
                curveToRelative(-0.01f, 0.15f, 0.03f, 0.31f, 0.13f, 0.47f)
                reflectiveCurveToRelative(0.25f, 0.26f, 0.45f, 0.3f)
                curveToRelative(0.23f, 0.06f, 0.44f, 0.04f, 0.64f, -0.06f)
                curveToRelative(0.19f, -0.1f, 0.33f, -0.29f, 0.41f, -0.56f)
                lineToRelative(0.27f, -0.9f)
                curveToRelative(0.07f, -0.22f, 0.05f, -0.43f, -0.07f, -0.63f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.33f, -0.53f, -0.4f)
                curveToRelative(-0.22f, -0.07f, -0.43f, -0.04f, -0.64f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.3f, -0.41f, 0.53f)
                lineToRelative(-0.22f, 0.9f)
                curveTo(13.43f, 21.74f, 13.42f, 21.83f, 13.42f, 21.93f)
                close()
                moveTo(16.17f, 24.08f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.32f, 0.15f, 0.48f)
                reflectiveCurveToRelative(0.26f, 0.27f, 0.46f, 0.33f)
                curveToRelative(0.03f, 0.0f, 0.08f, 0.01f, 0.14f, 0.02f)
                curveToRelative(0.06f, 0.01f, 0.1f, 0.02f, 0.14f, 0.02f)
                curveToRelative(0.41f, 0.0f, 0.66f, -0.22f, 0.76f, -0.66f)
                lineToRelative(0.14f, -0.6f)
                curveToRelative(0.07f, -0.21f, 0.05f, -0.42f, -0.07f, -0.63f)
                curveToRelative(-0.11f, -0.21f, -0.28f, -0.34f, -0.51f, -0.41f)
                curveToRelative(-0.25f, -0.06f, -0.48f, -0.04f, -0.68f, 0.08f)
                reflectiveCurveToRelative(-0.34f, 0.29f, -0.41f, 0.53f)
                lineToRelative(-0.09f, 0.59f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.07f, -0.02f, 0.12f)
                curveTo(16.18f, 24.0f, 16.17f, 24.04f, 16.17f, 24.08f)
                close()
                moveTo(16.91f, 21.12f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.42f, 0.25f, 0.57f)
                curveToRelative(0.15f, 0.16f, 0.34f, 0.24f, 0.57f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                reflectiveCurveToRelative(0.23f, -0.35f, 0.23f, -0.58f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.23f, -0.59f)
                reflectiveCurveToRelative(-0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.43f, 0.08f, -0.59f, 0.23f)
                reflectiveCurveTo(16.91f, 20.88f, 16.91f, 21.12f)
                close()
                moveTo(17.52f, 18.81f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.33f, 0.16f, 0.48f)
                reflectiveCurveToRelative(0.27f, 0.26f, 0.49f, 0.32f)
                curveToRelative(0.02f, 0.0f, 0.06f, 0.01f, 0.12f, 0.02f)
                curveToRelative(0.06f, 0.01f, 0.11f, 0.02f, 0.14f, 0.02f)
                curveToRelative(0.1f, 0.0f, 0.22f, -0.03f, 0.36f, -0.09f)
                curveToRelative(0.21f, -0.11f, 0.35f, -0.29f, 0.41f, -0.52f)
                lineToRelative(0.24f, -0.9f)
                curveToRelative(0.06f, -0.23f, 0.04f, -0.44f, -0.08f, -0.63f)
                curveToRelative(-0.11f, -0.2f, -0.28f, -0.33f, -0.51f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.44f, -0.05f, -0.64f, 0.06f)
                reflectiveCurveToRelative(-0.32f, 0.27f, -0.39f, 0.51f)
                lineToRelative(-0.28f, 0.91f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.06f, -0.02f, 0.12f)
                curveTo(17.53f, 18.74f, 17.52f, 18.78f, 17.52f, 18.81f)
                close()
                moveTo(17.59f, 8.76f)
                curveToRelative(0.32f, -0.58f, 0.76f, -1.02f, 1.31f, -1.34f)
                curveToRelative(0.56f, -0.32f, 1.13f, -0.47f, 1.73f, -0.46f)
                curveToRelative(0.09f, 0.0f, 0.19f, 0.01f, 0.3f, 0.03f)
                verticalLineTo(7.3f)
                curveToRelative(-0.01f, 0.98f, 0.25f, 1.9f, 0.77f, 2.76f)
                curveToRelative(0.53f, 0.86f, 1.27f, 1.5f, 2.22f, 1.94f)
                curveToRelative(-0.19f, 0.41f, -0.46f, 0.78f, -0.8f, 1.11f)
                curveToRelative(-0.92f, -0.76f, -2.0f, -1.14f, -3.23f, -1.14f)
                horizontalLineToRelative(-0.31f)
                curveTo(19.27f, 10.66f, 18.61f, 9.59f, 17.59f, 8.76f)
                close()
            }
        }
        .build()
        return _nightAltRainMix!!
    }

private var _nightAltRainMix: ImageVector? = null
