package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.NightAltStormShowers: ImageVector
    get() {
        if (_nightAltStormShowers != null) {
            return _nightAltStormShowers!!
        }
        _nightAltStormShowers = Builder(name = "NightAltStormShowers", defaultWidth = 30.0.dp,
                defaultHeight = 30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.09f, 16.89f)
                curveToRelative(0.0f, 1.11f, 0.33f, 2.1f, 0.99f, 2.97f)
                curveToRelative(0.66f, 0.87f, 1.52f, 1.47f, 2.58f, 1.79f)
                lineToRelative(-0.65f, 1.7f)
                curveToRelative(-0.04f, 0.14f, 0.0f, 0.21f, 0.14f, 0.21f)
                horizontalLineToRelative(2.12f)
                lineToRelative(-1.29f, 4.18f)
                horizontalLineToRelative(0.28f)
                lineToRelative(4.23f, -5.62f)
                curveToRelative(0.04f, -0.04f, 0.04f, -0.09f, 0.02f, -0.14f)
                curveToRelative(-0.03f, -0.05f, -0.07f, -0.07f, -0.14f, -0.07f)
                horizontalLineToRelative(-2.18f)
                lineToRelative(2.47f, -4.64f)
                curveToRelative(0.07f, -0.14f, 0.03f, -0.22f, -0.13f, -0.22f)
                horizontalLineTo(9.57f)
                curveToRelative(-0.09f, 0.0f, -0.16f, 0.05f, -0.22f, 0.15f)
                lineToRelative(-1.07f, 2.88f)
                curveToRelative(-0.71f, -0.18f, -1.3f, -0.57f, -1.78f, -1.17f)
                reflectiveCurveToRelative(-0.71f, -1.27f, -0.71f, -2.01f)
                curveToRelative(0.0f, -0.83f, 0.28f, -1.55f, 0.85f, -2.17f)
                curveToRelative(0.57f, -0.61f, 1.27f, -0.97f, 2.1f, -1.07f)
                lineToRelative(0.53f, -0.07f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.18f)
                lineToRelative(0.07f, -0.51f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.99f, 1.37f, -2.72f)
                curveToRelative(0.81f, -0.73f, 1.76f, -1.1f, 2.85f, -1.1f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.37f, 2.86f, 1.1f)
                curveToRelative(0.82f, 0.73f, 1.28f, 1.64f, 1.4f, 2.71f)
                lineToRelative(0.07f, 0.57f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.19f, 0.17f, 0.19f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.91f, 0.0f, 1.68f, 0.32f, 2.33f, 0.95f)
                reflectiveCurveToRelative(0.97f, 1.4f, 0.97f, 2.28f)
                curveToRelative(0.0f, 0.85f, -0.3f, 1.59f, -0.9f, 2.21f)
                curveToRelative(-0.6f, 0.62f, -1.33f, 0.97f, -2.2f, 1.03f)
                curveToRelative(-0.12f, 0.0f, -0.19f, 0.06f, -0.19f, 0.19f)
                verticalLineToRelative(1.36f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.18f, 0.19f, 0.18f)
                curveToRelative(1.33f, -0.04f, 2.46f, -0.55f, 3.39f, -1.51f)
                curveToRelative(0.93f, -0.97f, 1.39f, -2.12f, 1.39f, -3.45f)
                curveToRelative(0.0f, -0.87f, -0.22f, -1.68f, -0.66f, -2.45f)
                curveToRelative(0.76f, -0.74f, 1.27f, -1.61f, 1.51f, -2.62f)
                lineToRelative(0.19f, -0.68f)
                curveToRelative(0.01f, -0.01f, 0.01f, -0.03f, 0.01f, -0.07f)
                curveToRelative(0.0f, -0.08f, -0.05f, -0.13f, -0.15f, -0.16f)
                lineToRelative(-0.62f, -0.17f)
                curveToRelative(-0.57f, -0.17f, -1.06f, -0.45f, -1.46f, -0.84f)
                curveToRelative(-0.4f, -0.39f, -0.68f, -0.8f, -0.85f, -1.22f)
                reflectiveCurveToRelative(-0.25f, -0.84f, -0.24f, -1.26f)
                curveToRelative(0.0f, -0.28f, 0.03f, -0.56f, 0.1f, -0.85f)
                lineToRelative(0.11f, -0.61f)
                curveToRelative(0.02f, -0.1f, -0.02f, -0.18f, -0.14f, -0.23f)
                lineToRelative(-0.8f, -0.24f)
                curveToRelative(-0.47f, -0.09f, -0.88f, -0.14f, -1.24f, -0.14f)
                curveToRelative(-0.37f, -0.01f, -0.75f, 0.03f, -1.13f, 0.12f)
                curveToRelative(-0.38f, 0.08f, -0.78f, 0.22f, -1.19f, 0.4f)
                curveToRelative(-0.41f, 0.18f, -0.8f, 0.45f, -1.18f, 0.79f)
                curveToRelative(-0.38f, 0.34f, -0.71f, 0.74f, -0.99f, 1.2f)
                curveTo(15.3f, 7.55f, 14.51f, 7.4f, 13.77f, 7.4f)
                curveToRelative(-1.41f, 0.0f, -2.67f, 0.44f, -3.76f, 1.32f)
                reflectiveCurveToRelative(-1.8f, 2.0f, -2.11f, 3.36f)
                curveToRelative(-1.11f, 0.26f, -2.02f, 0.84f, -2.74f, 1.74f)
                curveTo(4.45f, 14.71f, 4.09f, 15.74f, 4.09f, 16.89f)
                close()
                moveTo(12.26f, 26.76f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.31f, 0.15f, 0.47f)
                curveToRelative(0.1f, 0.16f, 0.25f, 0.27f, 0.45f, 0.33f)
                curveToRelative(0.16f, 0.03f, 0.25f, 0.05f, 0.27f, 0.05f)
                curveToRelative(0.09f, 0.0f, 0.22f, -0.03f, 0.37f, -0.1f)
                curveToRelative(0.21f, -0.1f, 0.35f, -0.27f, 0.42f, -0.53f)
                lineToRelative(0.28f, -1.05f)
                curveToRelative(0.06f, -0.22f, 0.04f, -0.43f, -0.08f, -0.63f)
                reflectiveCurveToRelative(-0.29f, -0.34f, -0.53f, -0.41f)
                curveToRelative(-0.22f, -0.06f, -0.43f, -0.03f, -0.63f, 0.08f)
                curveToRelative(-0.2f, 0.12f, -0.34f, 0.3f, -0.41f, 0.53f)
                lineToRelative(-0.27f, 1.0f)
                lineTo(12.26f, 26.76f)
                close()
                moveTo(13.6f, 22.0f)
                curveToRelative(0.0f, 0.43f, 0.2f, 0.68f, 0.61f, 0.75f)
                curveToRelative(0.14f, 0.03f, 0.23f, 0.05f, 0.27f, 0.05f)
                curveToRelative(0.38f, 0.0f, 0.63f, -0.21f, 0.77f, -0.63f)
                lineToRelative(0.3f, -1.02f)
                curveToRelative(0.06f, -0.22f, 0.03f, -0.43f, -0.08f, -0.63f)
                reflectiveCurveToRelative(-0.3f, -0.34f, -0.53f, -0.41f)
                curveToRelative(-0.22f, -0.07f, -0.44f, -0.05f, -0.64f, 0.07f)
                curveToRelative(-0.2f, 0.12f, -0.34f, 0.29f, -0.41f, 0.53f)
                lineToRelative(-0.25f, 1.01f)
                curveTo(13.61f, 21.81f, 13.6f, 21.9f, 13.6f, 22.0f)
                close()
                moveTo(16.41f, 23.67f)
                curveToRelative(0.01f, 0.17f, 0.07f, 0.33f, 0.18f, 0.48f)
                reflectiveCurveToRelative(0.27f, 0.27f, 0.48f, 0.34f)
                curveToRelative(0.16f, 0.04f, 0.27f, 0.06f, 0.33f, 0.06f)
                curveToRelative(0.34f, 0.0f, 0.58f, -0.23f, 0.71f, -0.68f)
                lineToRelative(0.24f, -1.02f)
                curveToRelative(0.07f, -0.23f, 0.05f, -0.45f, -0.06f, -0.66f)
                curveToRelative(-0.11f, -0.21f, -0.28f, -0.34f, -0.5f, -0.41f)
                curveToRelative(-0.25f, -0.06f, -0.48f, -0.03f, -0.68f, 0.08f)
                curveToRelative(-0.2f, 0.12f, -0.33f, 0.3f, -0.37f, 0.53f)
                lineToRelative(-0.29f, 1.03f)
                curveToRelative(0.0f, 0.02f, -0.01f, 0.06f, -0.02f, 0.12f)
                curveTo(16.41f, 23.61f, 16.41f, 23.65f, 16.41f, 23.67f)
                close()
                moveTo(17.59f, 8.77f)
                curveToRelative(0.33f, -0.56f, 0.78f, -0.99f, 1.34f, -1.29f)
                reflectiveCurveToRelative(1.15f, -0.45f, 1.76f, -0.45f)
                horizontalLineToRelative(0.22f)
                verticalLineToRelative(0.32f)
                curveToRelative(0.0f, 0.64f, 0.11f, 1.26f, 0.34f, 1.86f)
                curveToRelative(0.23f, 0.6f, 0.56f, 1.15f, 1.02f, 1.66f)
                curveToRelative(0.45f, 0.51f, 0.99f, 0.91f, 1.61f, 1.21f)
                curveToRelative(-0.17f, 0.38f, -0.42f, 0.72f, -0.76f, 1.03f)
                curveToRelative(-0.91f, -0.78f, -1.98f, -1.17f, -3.22f, -1.17f)
                horizontalLineToRelative(-0.33f)
                curveTo(19.28f, 10.68f, 18.62f, 9.62f, 17.59f, 8.77f)
                close()
                moveTo(17.78f, 18.87f)
                curveToRelative(0.0f, 0.43f, 0.22f, 0.71f, 0.65f, 0.82f)
                curveToRelative(0.14f, 0.02f, 0.24f, 0.04f, 0.3f, 0.04f)
                curveToRelative(0.36f, 0.0f, 0.61f, -0.22f, 0.74f, -0.65f)
                lineToRelative(0.28f, -1.04f)
                curveToRelative(0.01f, -0.05f, 0.01f, -0.12f, 0.01f, -0.22f)
                curveToRelative(0.01f, -0.17f, -0.03f, -0.33f, -0.14f, -0.49f)
                curveToRelative(-0.11f, -0.16f, -0.27f, -0.27f, -0.49f, -0.33f)
                curveToRelative(-0.01f, 0.0f, -0.05f, 0.0f, -0.1f, -0.01f)
                curveToRelative(-0.05f, -0.01f, -0.1f, -0.01f, -0.13f, -0.01f)
                curveToRelative(-0.16f, 0.0f, -0.32f, 0.05f, -0.48f, 0.15f)
                reflectiveCurveToRelative(-0.27f, 0.26f, -0.33f, 0.47f)
                lineToRelative(-0.29f, 1.02f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.04f, -0.01f, 0.1f)
                curveTo(17.79f, 18.79f, 17.78f, 18.84f, 17.78f, 18.87f)
                close()
            }
        }
        .build()
        return _nightAltStormShowers!!
    }

private var _nightAltStormShowers: ImageVector? = null
