package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.WindBeaufort6: ImageVector
    get() {
        if (_windBeaufort6 != null) {
            return _windBeaufort6!!
        }
        _windBeaufort6 = Builder(name = "WindBeaufort6", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.92f, 13.5f)
                curveToRelative(0.0f, 0.18f, 0.06f, 0.31f, 0.17f, 0.4f)
                curveToRelative(0.12f, 0.11f, 0.26f, 0.17f, 0.42f, 0.17f)
                horizontalLineToRelative(10.4f)
                curveToRelative(0.18f, 0.0f, 0.33f, 0.06f, 0.46f, 0.19f)
                curveToRelative(0.13f, 0.12f, 0.2f, 0.28f, 0.2f, 0.46f)
                reflectiveCurveToRelative(-0.07f, 0.34f, -0.2f, 0.47f)
                reflectiveCurveToRelative(-0.28f, 0.2f, -0.46f, 0.2f)
                curveToRelative(-0.18f, 0.0f, -0.34f, -0.07f, -0.47f, -0.21f)
                curveToRelative(-0.13f, -0.11f, -0.26f, -0.16f, -0.4f, -0.16f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.05f, -0.41f, 0.16f)
                curveToRelative(-0.11f, 0.11f, -0.16f, 0.24f, -0.16f, 0.39f)
                curveToRelative(0.0f, 0.16f, 0.06f, 0.3f, 0.17f, 0.41f)
                curveToRelative(0.36f, 0.36f, 0.78f, 0.53f, 1.28f, 0.53f)
                curveToRelative(0.49f, 0.0f, 0.91f, -0.17f, 1.26f, -0.52f)
                curveToRelative(0.35f, -0.35f, 0.52f, -0.77f, 0.52f, -1.27f)
                curveToRelative(0.0f, -0.49f, -0.17f, -0.92f, -0.52f, -1.27f)
                curveToRelative(-0.35f, -0.35f, -0.77f, -0.53f, -1.26f, -0.53f)
                horizontalLineTo(5.51f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.06f, -0.42f, 0.17f)
                curveTo(4.98f, 13.21f, 4.92f, 13.34f, 4.92f, 13.5f)
                close()
                moveTo(4.92f, 11.48f)
                curveToRelative(0.0f, 0.17f, 0.06f, 0.3f, 0.17f, 0.39f)
                curveToRelative(0.12f, 0.11f, 0.26f, 0.16f, 0.42f, 0.16f)
                horizontalLineToRelative(13.81f)
                curveToRelative(0.49f, 0.0f, 0.92f, -0.18f, 1.27f, -0.52f)
                curveToRelative(0.35f, -0.35f, 0.52f, -0.77f, 0.52f, -1.27f)
                curveToRelative(0.0f, -0.49f, -0.17f, -0.91f, -0.52f, -1.26f)
                reflectiveCurveToRelative(-0.77f, -0.52f, -1.27f, -0.52f)
                curveToRelative(-0.49f, 0.0f, -0.91f, 0.17f, -1.27f, 0.51f)
                curveToRelative(-0.11f, 0.12f, -0.16f, 0.27f, -0.16f, 0.42f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.3f, 0.16f, 0.4f)
                curveToRelative(0.11f, 0.1f, 0.24f, 0.15f, 0.4f, 0.15f)
                curveToRelative(0.15f, 0.0f, 0.29f, -0.05f, 0.41f, -0.16f)
                curveToRelative(0.12f, -0.12f, 0.27f, -0.18f, 0.45f, -0.18f)
                curveToRelative(0.17f, 0.0f, 0.33f, 0.06f, 0.46f, 0.18f)
                curveToRelative(0.13f, 0.12f, 0.2f, 0.27f, 0.2f, 0.45f)
                curveToRelative(0.0f, 0.18f, -0.07f, 0.34f, -0.2f, 0.47f)
                curveToRelative(-0.13f, 0.13f, -0.28f, 0.2f, -0.46f, 0.2f)
                horizontalLineTo(5.51f)
                curveToRelative(-0.16f, 0.0f, -0.3f, 0.06f, -0.42f, 0.17f)
                curveTo(4.98f, 11.18f, 4.92f, 11.32f, 4.92f, 11.48f)
                close()
                moveTo(18.33f, 18.72f)
                curveToRelative(0.0f, 0.96f, 0.25f, 1.73f, 0.75f, 2.31f)
                curveToRelative(0.5f, 0.58f, 1.26f, 0.87f, 2.29f, 0.87f)
                curveToRelative(0.95f, 0.0f, 1.73f, -0.29f, 2.35f, -0.87f)
                curveToRelative(0.62f, -0.58f, 0.92f, -1.34f, 0.92f, -2.28f)
                curveToRelative(0.0f, -0.64f, -0.22f, -1.17f, -0.67f, -1.57f)
                reflectiveCurveToRelative(-0.99f, -0.6f, -1.65f, -0.6f)
                curveToRelative(-0.73f, 0.0f, -1.3f, 0.25f, -1.72f, 0.75f)
                horizontalLineToRelative(-0.02f)
                curveToRelative(0.33f, -1.16f, 0.88f, -1.74f, 1.65f, -1.74f)
                curveToRelative(0.25f, 0.0f, 0.44f, 0.05f, 0.58f, 0.14f)
                curveToRelative(0.12f, 0.09f, 0.2f, 0.22f, 0.23f, 0.41f)
                horizontalLineToRelative(2.11f)
                curveToRelative(-0.01f, -0.31f, -0.08f, -0.59f, -0.19f, -0.84f)
                curveToRelative(-0.12f, -0.25f, -0.26f, -0.46f, -0.44f, -0.62f)
                reflectiveCurveToRelative(-0.39f, -0.3f, -0.63f, -0.4f)
                curveToRelative(-0.24f, -0.11f, -0.49f, -0.18f, -0.75f, -0.23f)
                curveToRelative(-0.26f, -0.04f, -0.52f, -0.07f, -0.8f, -0.07f)
                curveToRelative(-0.62f, 0.0f, -1.18f, 0.12f, -1.68f, 0.36f)
                reflectiveCurveToRelative(-0.88f, 0.54f, -1.17f, 0.89f)
                curveToRelative(-0.28f, 0.35f, -0.52f, 0.75f, -0.71f, 1.2f)
                curveToRelative(-0.19f, 0.45f, -0.31f, 0.86f, -0.38f, 1.23f)
                curveTo(18.36f, 18.04f, 18.33f, 18.39f, 18.33f, 18.72f)
                close()
                moveTo(20.38f, 19.17f)
                curveToRelative(0.0f, -0.37f, 0.12f, -0.65f, 0.37f, -0.84f)
                curveToRelative(0.24f, -0.19f, 0.52f, -0.29f, 0.82f, -0.29f)
                curveToRelative(0.19f, 0.0f, 0.35f, 0.03f, 0.48f, 0.08f)
                reflectiveCurveToRelative(0.23f, 0.12f, 0.3f, 0.19f)
                curveToRelative(0.07f, 0.07f, 0.12f, 0.16f, 0.15f, 0.27f)
                curveToRelative(0.04f, 0.11f, 0.06f, 0.19f, 0.07f, 0.25f)
                curveToRelative(0.01f, 0.06f, 0.01f, 0.12f, 0.01f, 0.19f)
                curveToRelative(0.0f, 0.31f, -0.11f, 0.58f, -0.32f, 0.79f)
                reflectiveCurveToRelative(-0.5f, 0.32f, -0.85f, 0.32f)
                curveToRelative(-0.31f, 0.0f, -0.55f, -0.09f, -0.75f, -0.27f)
                curveTo(20.48f, 19.69f, 20.38f, 19.46f, 20.38f, 19.17f)
                close()
            }
        }
        .build()
        return _windBeaufort6!!
    }

private var _windBeaufort6: ImageVector? = null
