package compose.icons.evaicons.fill

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.evaicons.FillGroup

public val FillGroup.Radio: ImageVector
    get() {
        if (_radio != null) {
            return _radio!!
        }
        _radio = Builder(name = "Radio", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.0f, strokeAlpha
                    = 0.0f, strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                horizontalLineToRelative(24.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(-24.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 8.0f)
                arcToRelative(3.0f, 3.0f, 0.0f, false, false, -1.0f, 5.83f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 11.0f, 14.0f)
                verticalLineToRelative(6.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 2.0f, 0.0f)
                verticalLineTo(14.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.0f, -0.17f)
                arcTo(3.0f, 3.0f, 0.0f, false, false, 12.0f, 8.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.5f, 11.0f)
                arcTo(6.87f, 6.87f, 0.0f, false, true, 6.14f, 5.77f)
                arcTo(1.0f, 1.0f, 0.0f, true, false, 4.86f, 4.23f)
                arcTo(8.84f, 8.84f, 0.0f, false, false, 1.5f, 11.0f)
                arcToRelative(8.84f, 8.84f, 0.0f, false, false, 3.36f, 6.77f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, false, 1.28f, -1.54f)
                arcTo(6.87f, 6.87f, 0.0f, false, true, 3.5f, 11.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.64f, 6.24f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -1.28f, 1.52f)
                arcTo(4.28f, 4.28f, 0.0f, false, true, 17.0f, 11.0f)
                arcToRelative(4.28f, 4.28f, 0.0f, false, true, -1.64f, 3.24f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 16.0f, 16.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.64f, -0.24f)
                arcTo(6.2f, 6.2f, 0.0f, false, false, 19.0f, 11.0f)
                arcTo(6.2f, 6.2f, 0.0f, false, false, 16.64f, 6.24f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.76f, 6.36f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -1.4f, -0.12f)
                arcTo(6.2f, 6.2f, 0.0f, false, false, 5.0f, 11.0f)
                arcToRelative(6.2f, 6.2f, 0.0f, false, false, 2.36f, 4.76f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 1.4f, -0.12f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.12f, -1.4f)
                arcTo(4.28f, 4.28f, 0.0f, false, true, 7.0f, 11.0f)
                arcTo(4.28f, 4.28f, 0.0f, false, true, 8.64f, 7.76f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 8.76f, 6.36f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.14f, 4.23f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, false, -1.28f, 1.54f)
                arcTo(6.87f, 6.87f, 0.0f, false, true, 20.5f, 11.0f)
                arcToRelative(6.87f, 6.87f, 0.0f, false, true, -2.64f, 5.23f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 1.28f, 1.54f)
                arcTo(8.84f, 8.84f, 0.0f, false, false, 22.5f, 11.0f)
                arcTo(8.84f, 8.84f, 0.0f, false, false, 19.14f, 4.23f)
                close()
            }
        }
        .build()
        return _radio!!
    }

private var _radio: ImageVector? = null
