package compose.icons.evaicons.fill

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.evaicons.FillGroup

public val FillGroup.Shake: ImageVector
    get() {
        if (_shake != null) {
            return _shake!!
        }
        _shake = Builder(name = "Shake", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.0f, strokeAlpha
                    = 0.0f, strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                horizontalLineToRelative(24.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(-24.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.5f, 18.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.64f, -0.24f)
                arcTo(8.81f, 8.81f, 0.0f, false, true, 1.5f, 11.0f)
                arcTo(8.81f, 8.81f, 0.0f, false, true, 4.86f, 4.24f)
                arcTo(1.0f, 1.0f, 0.0f, true, true, 6.14f, 5.76f)
                arcTo(6.9f, 6.9f, 0.0f, false, false, 3.5f, 11.0f)
                arcToRelative(6.9f, 6.9f, 0.0f, false, false, 2.64f, 5.24f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.13f, 1.4f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 5.5f, 18.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 7.0f)
                arcToRelative(4.09f, 4.09f, 0.0f, false, true, 1.0f, 0.14f)
                verticalLineTo(3.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -2.0f, 0.0f)
                verticalLineTo(7.14f)
                arcTo(4.09f, 4.09f, 0.0f, false, true, 12.0f, 7.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 15.0f)
                arcToRelative(4.09f, 4.09f, 0.0f, false, true, -1.0f, -0.14f)
                verticalLineTo(20.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 2.0f, 0.0f)
                verticalLineTo(14.86f)
                arcTo(4.09f, 4.09f, 0.0f, false, true, 12.0f, 15.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 16.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.77f, -0.36f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.13f, -1.4f)
                arcTo(4.28f, 4.28f, 0.0f, false, false, 17.0f, 11.0f)
                arcToRelative(4.28f, 4.28f, 0.0f, false, false, -1.64f, -3.24f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, true, 1.28f, -1.52f)
                arcTo(6.2f, 6.2f, 0.0f, false, true, 19.0f, 11.0f)
                arcToRelative(6.2f, 6.2f, 0.0f, false, true, -2.36f, 4.76f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 16.0f, 16.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 16.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.64f, -0.24f)
                arcTo(6.2f, 6.2f, 0.0f, false, true, 5.0f, 11.0f)
                arcTo(6.2f, 6.2f, 0.0f, false, true, 7.36f, 6.24f)
                arcTo(1.0f, 1.0f, 0.0f, true, true, 8.64f, 7.76f)
                arcTo(4.28f, 4.28f, 0.0f, false, false, 7.0f, 11.0f)
                arcToRelative(4.28f, 4.28f, 0.0f, false, false, 1.64f, 3.24f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.13f, 1.4f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 8.0f, 16.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.5f, 18.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.77f, -0.36f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.13f, -1.4f)
                arcTo(6.9f, 6.9f, 0.0f, false, false, 20.5f, 11.0f)
                arcToRelative(6.9f, 6.9f, 0.0f, false, false, -2.64f, -5.24f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, true, 1.28f, -1.52f)
                arcTo(8.81f, 8.81f, 0.0f, false, true, 22.5f, 11.0f)
                arcToRelative(8.81f, 8.81f, 0.0f, false, true, -3.36f, 6.76f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 18.5f, 18.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 12.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, true, 1.0f, -1.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 12.0f, 12.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
                moveTo(12.0f, 11.0f)
                close()
            }
        }
        .build()
        return _shake!!
    }

private var _shake: ImageVector? = null
