package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.AcquisitionsIncorporated: ImageVector
    get() {
        if (_acquisitionsIncorporated != null) {
            return _acquisitionsIncorporated!!
        }
        _acquisitionsIncorporated = Builder(name = "AcquisitionsIncorporated", defaultWidth =
                384.0.dp, defaultHeight = 512.0.dp, viewportWidth = 384.0f, viewportHeight =
                512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(357.45f, 468.2f)
                curveToRelative(-1.2f, -7.7f, -1.3f, -7.6f, -9.6f, -7.6f)
                curveToRelative(-99.8f, 0.2f, -111.8f, -2.4f, -112.7f, -2.6f)
                curveToRelative(-12.3f, -1.7f, -20.6f, -10.5f, -21.0f, -23.1f)
                curveToRelative(-0.1f, -1.6f, -0.2f, -71.6f, -1.0f, -129.1f)
                curveToRelative(-0.1f, -4.7f, 1.6f, -6.4f, 5.9f, -7.5f)
                curveToRelative(12.5f, -3.0f, 24.9f, -6.1f, 37.3f, -9.7f)
                curveToRelative(4.3f, -1.3f, 6.8f, -0.2f, 8.4f, 3.5f)
                curveToRelative(4.5f, 10.3f, 8.8f, 20.6f, 13.2f, 30.9f)
                curveToRelative(1.6f, 3.7f, 0.1f, 4.4f, -3.4f, 4.4f)
                curveToRelative(-10.0f, -0.2f, -20.0f, -0.1f, -30.4f, -0.1f)
                verticalLineToRelative(27.0f)
                horizontalLineToRelative(116.0f)
                curveToRelative(-1.4f, -9.5f, -2.7f, -18.1f, -4.0f, -27.5f)
                curveToRelative(-7.0f, 0.0f, -13.8f, 0.4f, -20.4f, -0.1f)
                curveToRelative(-22.6f, -1.6f, -18.3f, -4.4f, -84.0f, -158.6f)
                curveToRelative(-8.8f, -20.1f, -27.9f, -62.1f, -36.5f, -89.2f)
                curveToRelative(-4.4f, -14.0f, 5.5f, -25.4f, 18.9f, -26.6f)
                curveToRelative(18.6f, -1.7f, 37.5f, -1.6f, 56.2f, -2.0f)
                curveToRelative(20.6f, -0.4f, 41.2f, -0.4f, 61.8f, -0.5f)
                curveToRelative(3.1f, 0.0f, 4.0f, -1.4f, 4.3f, -4.3f)
                curveToRelative(1.2f, -9.8f, 2.7f, -19.5f, 4.0f, -29.2f)
                curveToRelative(0.8f, -5.3f, 1.6f, -10.7f, 2.4f, -16.1f)
                lineTo(23.75f, 0.0f)
                curveToRelative(-3.6f, 0.0f, -5.3f, 1.1f, -4.6f, 5.3f)
                curveToRelative(2.2f, 13.2f, -0.8f, 0.8f, 6.4f, 45.3f)
                curveToRelative(63.4f, 0.0f, 71.8f, 0.9f, 101.8f, 0.5f)
                curveToRelative(12.3f, -0.2f, 37.0f, 3.5f, 37.7f, 22.1f)
                curveToRelative(0.4f, 11.4f, -1.1f, 11.3f, -32.6f, 87.4f)
                curveToRelative(-53.8f, 129.8f, -50.7f, 120.3f, -67.3f, 161.0f)
                curveToRelative(-1.7f, 4.1f, -3.6f, 5.2f, -7.6f, 5.2f)
                curveToRelative(-8.5f, -0.2f, -17.0f, -0.3f, -25.4f, 0.1f)
                curveToRelative(-1.9f, 0.1f, -5.2f, 1.8f, -5.5f, 3.2f)
                curveToRelative(-1.5f, 8.1f, -2.2f, 16.3f, -3.2f, 24.9f)
                horizontalLineToRelative(114.3f)
                verticalLineToRelative(-27.6f)
                curveToRelative(-6.9f, 0.0f, -33.5f, 0.4f, -35.3f, -2.9f)
                curveToRelative(5.3f, -12.3f, 10.4f, -24.4f, 15.7f, -36.7f)
                curveToRelative(16.3f, 4.0f, 31.9f, 7.8f, 47.6f, 11.7f)
                curveToRelative(3.4f, 0.9f, 4.6f, 3.0f, 4.6f, 6.8f)
                curveToRelative(-0.1f, 42.9f, 0.1f, 85.9f, 0.2f, 128.8f)
                curveToRelative(0.0f, 10.2f, -5.5f, 19.1f, -14.9f, 23.1f)
                curveToRelative(-6.5f, 2.7f, -3.3f, 3.4f, -121.4f, 2.4f)
                curveToRelative(-5.3f, 0.0f, -7.1f, 2.0f, -7.6f, 6.8f)
                curveToRelative(-1.5f, 12.9f, -2.9f, 25.9f, -5.0f, 38.8f)
                curveToRelative(-0.8f, 5.0f, 1.3f, 5.7f, 5.3f, 5.7f)
                curveToRelative(183.2f, 0.6f, -30.7f, 0.0f, 337.1f, 0.0f)
                curveToRelative(-2.5f, -15.0f, -4.4f, -29.4f, -6.6f, -43.7f)
                close()
                moveTo(182.55f, 262.5f)
                curveToRelative(-13.3f, -4.2f, -26.6f, -8.2f, -39.9f, -12.5f)
                arcToRelative(44.53f, 44.53f, 0.0f, false, true, -5.8f, -2.9f)
                curveToRelative(17.2f, -44.3f, 34.2f, -88.1f, 51.3f, -132.1f)
                curveToRelative(7.5f, 2.4f, 7.9f, -0.8f, 9.4f, 0.0f)
                curveToRelative(9.3f, 22.5f, 18.1f, 60.1f, 27.0f, 82.8f)
                curveToRelative(6.6f, 16.7f, 13.0f, 33.5f, 19.7f, 50.9f)
                arcToRelative(35.78f, 35.78f, 0.0f, false, true, -3.9f, 2.1f)
                curveToRelative(-13.1f, 3.9f, -26.4f, 7.5f, -39.4f, 11.7f)
                arcToRelative(27.66f, 27.66f, 0.0f, false, true, -18.4f, 0.0f)
                close()
            }
        }
        .build()
        return _acquisitionsIncorporated!!
    }

private var _acquisitionsIncorporated: ImageVector? = null
