package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CriticalRole: ImageVector
    get() {
        if (_criticalRole != null) {
            return _criticalRole!!
        }
        _criticalRole = Builder(name = "CriticalRole", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(225.82f, 0.0f)
                curveToRelative(0.26f, 0.15f, 216.57f, 124.51f, 217.12f, 124.72f)
                curveToRelative(3.0f, 1.18f, 3.7f, 3.46f, 3.7f, 6.56f)
                quadToRelative(-0.11f, 125.17f, 0.0f, 250.36f)
                arcToRelative(5.88f, 5.88f, 0.0f, false, true, -3.38f, 5.78f)
                curveToRelative(-21.37f, 12.0f, -207.86f, 118.29f, -218.93f, 124.58f)
                horizontalLineToRelative(-3.0f)
                curveTo(142.0f, 466.34f, 3.08f, 386.56f, 2.93f, 386.48f)
                arcToRelative(3.29f, 3.29f, 0.0f, false, true, -1.88f, -3.24f)
                curveToRelative(0.0f, -0.87f, 0.0f, -225.94f, -0.05f, -253.1f)
                arcToRelative(5.0f, 5.0f, 0.0f, false, true, 2.93f, -4.93f)
                curveTo(27.19f, 112.11f, 213.2f, 6.0f, 224.07f, 0.0f)
                close()
                moveTo(215.4f, 20.42f)
                lineToRelative(-0.22f, -0.16f)
                quadTo(118.06f, 75.55f, 21.0f, 130.87f)
                curveToRelative(0.0f, 0.12f, 0.08f, 0.23f, 0.13f, 0.35f)
                lineToRelative(30.86f, 11.64f)
                curveToRelative(-7.71f, 6.0f, -8.32f, 6.0f, -10.65f, 5.13f)
                curveToRelative(-0.1f, 0.0f, -24.17f, -9.28f, -26.8f, -10.0f)
                verticalLineToRelative(230.43f)
                curveToRelative(0.88f, -1.41f, 64.07f, -110.91f, 64.13f, -111.0f)
                curveToRelative(1.62f, -2.82f, 3.0f, -1.92f, 9.12f, -1.52f)
                curveToRelative(1.4f, 0.09f, 1.48f, 0.22f, 0.78f, 1.42f)
                curveToRelative(-41.19f, 71.33f, -36.4f, 63.0f, -67.48f, 116.94f)
                curveToRelative(-0.81f, 1.4f, -0.61f, 1.13f, 1.25f, 1.13f)
                horizontalLineToRelative(186.5f)
                curveToRelative(1.44f, 0.0f, 1.69f, -0.23f, 1.7f, -1.64f)
                verticalLineToRelative(-8.88f)
                curveToRelative(0.0f, -1.34f, 2.36f, -0.81f, -18.37f, -1.0f)
                curveToRelative(-7.46f, -0.07f, -14.14f, -3.22f, -21.38f, -12.7f)
                curveToRelative(-7.38f, -9.66f, -14.62f, -19.43f, -21.85f, -29.21f)
                curveToRelative(-2.28f, -3.08f, -3.45f, -2.38f, -16.76f, -2.38f)
                curveToRelative(-1.75f, 0.0f, -1.78f, 0.0f, -1.76f, 1.82f)
                curveToRelative(0.29f, 26.21f, 0.15f, 25.27f, 1.0f, 32.66f)
                curveToRelative(0.52f, 4.37f, 2.16f, 4.2f, 9.69f, 4.81f)
                curveToRelative(3.14f, 0.26f, 3.88f, 4.08f, 0.52f, 4.92f)
                curveToRelative(-1.57f, 0.39f, -31.6f, 0.51f, -33.67f, -0.1f)
                arcToRelative(2.42f, 2.42f, 0.0f, false, true, 0.3f, -4.73f)
                curveToRelative(3.29f, -0.76f, 6.16f, 0.81f, 6.66f, -4.44f)
                curveToRelative(1.3f, -13.66f, 1.17f, -9.0f, 1.1f, -79.42f)
                curveToRelative(0.0f, -10.82f, -0.35f, -12.58f, -5.36f, -13.55f)
                curveToRelative(-1.22f, -0.24f, -3.54f, -0.16f, -4.69f, -0.55f)
                curveToRelative(-2.88f, -1.0f, -2.0f, -4.84f, 1.77f, -4.85f)
                curveToRelative(33.67f, 0.0f, 46.08f, -1.07f, 56.06f, 4.86f)
                curveToRelative(7.74f, 4.61f, 12.0f, 11.48f, 12.51f, 20.4f)
                curveToRelative(0.88f, 14.59f, -6.51f, 22.35f, -15.0f, 32.59f)
                arcToRelative(1.46f, 1.46f, 0.0f, false, false, 0.0f, 2.22f)
                curveToRelative(2.6f, 3.25f, 5.0f, 6.63f, 7.71f, 9.83f)
                curveToRelative(27.56f, 33.23f, 24.11f, 30.54f, 41.28f, 33.06f)
                curveToRelative(0.89f, 0.13f, 1.0f, -0.42f, 1.0f, -1.15f)
                verticalLineToRelative(-11.0f)
                curveToRelative(0.0f, -1.0f, 0.32f, -1.43f, 1.41f, -1.26f)
                arcToRelative(72.37f, 72.37f, 0.0f, false, false, 23.58f, -0.3f)
                curveToRelative(1.08f, -0.15f, 1.5f, 0.2f, 1.48f, 1.33f)
                curveToRelative(0.0f, 0.11f, 0.88f, 26.69f, 0.87f, 26.8f)
                curveToRelative(-0.05f, 1.52f, 0.67f, 1.62f, 1.89f, 1.62f)
                horizontalLineToRelative(186.71f)
                quadTo(386.51f, 304.6f, 346.0f, 234.33f)
                curveToRelative(2.26f, -0.66f, -0.4f, 0.0f, 6.69f, -1.39f)
                curveToRelative(2.0f, -0.39f, 2.05f, -0.41f, 3.11f, 1.44f)
                curveToRelative(7.31f, 12.64f, 77.31f, 134.0f, 77.37f, 134.06f)
                lineTo(433.17f, 138.0f)
                curveToRelative(-1.72f, 0.5f, -103.3f, 38.72f, -105.76f, 39.68f)
                curveToRelative(-1.08f, 0.42f, -1.55f, 0.2f, -1.91f, -0.88f)
                curveToRelative(-0.63f, -1.9f, -1.34f, -3.76f, -2.09f, -5.62f)
                curveToRelative(-0.32f, -0.79f, -0.09f, -1.13f, 0.65f, -1.39f)
                curveToRelative(0.1f, 0.0f, 95.53f, -35.85f, 103.0f, -38.77f)
                curveToRelative(-65.42f, -37.57f, -130.56f, -75.0f, -196.0f, -112.6f)
                lineToRelative(86.82f, 150.39f)
                lineToRelative(-0.28f, 0.33f)
                curveToRelative(-9.57f, -0.9f, -10.46f, -1.6f, -11.8f, -3.94f)
                curveToRelative(-1.0f, -1.69f, -73.5f, -127.71f, -82.0f, -142.16f)
                curveToRelative(-9.1f, 14.67f, -83.56f, 146.21f, -85.37f, 146.32f)
                curveToRelative(-2.93f, 0.17f, -5.88f, 0.08f, -9.25f, 0.08f)
                quadToRelative(43.25f, -74.74f, 86.18f, -149.0f)
                close()
                moveTo(267.33f, 150.34f)
                arcToRelative(37.68f, 37.68f, 0.0f, false, false, 5.54f, -0.85f)
                curveToRelative(1.69f, -0.3f, 2.53f, 0.2f, 2.6f, 1.92f)
                curveToRelative(0.0f, 0.11f, 0.07f, 19.06f, -0.86f, 20.45f)
                reflectiveCurveToRelative(-1.88f, 1.22f, -2.6f, -0.19f)
                curveToRelative(-5.0f, -9.69f, 6.22f, -9.66f, -39.12f, -12.0f)
                curveToRelative(-0.7f, 0.0f, -1.0f, 0.23f, -1.0f, 0.93f)
                curveToRelative(0.0f, 0.13f, 3.72f, 122.0f, 3.73f, 122.11f)
                curveToRelative(0.0f, 0.89f, 0.52f, 1.2f, 1.21f, 1.51f)
                arcToRelative(83.92f, 83.92f, 0.0f, false, true, 8.7f, 4.05f)
                curveToRelative(7.31f, 4.33f, 11.38f, 10.84f, 12.41f, 19.31f)
                curveToRelative(1.44f, 11.8f, -2.77f, 35.77f, -32.21f, 37.14f)
                curveToRelative(-2.75f, 0.13f, -28.26f, 1.08f, -34.14f, -23.25f)
                curveToRelative(-4.66f, -19.26f, 8.26f, -32.7f, 19.89f, -36.4f)
                arcToRelative(2.45f, 2.45f, 0.0f, false, false, 2.0f, -2.66f)
                curveToRelative(0.1f, -5.63f, 3.0f, -107.1f, 3.71f, -121.35f)
                curveToRelative(0.05f, -1.08f, -0.62f, -1.16f, -1.35f, -1.15f)
                curveToRelative(-32.35f, 0.52f, -36.75f, -0.34f, -40.22f, 8.52f)
                curveToRelative(-2.42f, 6.18f, -4.14f, 1.32f, -3.95f, 0.23f)
                quadToRelative(1.59f, -9.0f, 3.31f, -18.0f)
                curveToRelative(0.4f, -2.11f, 1.43f, -2.61f, 3.43f, -1.86f)
                curveToRelative(5.59f, 2.11f, 6.72f, 1.7f, 37.25f, 1.92f)
                curveToRelative(1.73f, 0.0f, 1.78f, -0.08f, 1.82f, -1.85f)
                curveToRelative(0.68f, -27.49f, 0.58f, -22.59f, 1.0f, -29.55f)
                arcToRelative(2.69f, 2.69f, 0.0f, false, false, -1.63f, -2.8f)
                curveToRelative(-5.6f, -2.91f, -8.75f, -7.55f, -8.9f, -13.87f)
                curveToRelative(-0.35f, -14.81f, 17.72f, -21.67f, 27.38f, -11.51f)
                curveToRelative(6.84f, 7.19f, 5.8f, 18.91f, -2.45f, 24.15f)
                arcToRelative(4.35f, 4.35f, 0.0f, false, false, -2.22f, 4.34f)
                curveToRelative(0.0f, 0.59f, -0.11f, -4.31f, 1.0f, 30.05f)
                curveToRelative(0.0f, 0.9f, 0.43f, 1.12f, 1.24f, 1.11f)
                curveToRelative(0.1f, 0.0f, 23.0f, -0.09f, 34.47f, -0.37f)
                close()
                moveTo(68.27f, 141.7f)
                curveToRelative(19.84f, -4.51f, 32.68f, -0.56f, 52.49f, 1.69f)
                curveToRelative(2.76f, 0.31f, 3.74f, 1.22f, 3.62f, 4.0f)
                curveToRelative(-0.21f, 5.0f, -1.16f, 22.33f, -1.24f, 23.15f)
                arcToRelative(2.65f, 2.65f, 0.0f, false, true, -1.63f, 2.34f)
                curveToRelative(-4.06f, 1.7f, -3.61f, -4.45f, -4.0f, -7.29f)
                curveToRelative(-3.13f, -22.43f, -73.87f, -32.7f, -74.63f, 25.4f)
                curveToRelative(-0.31f, 23.92f, 17.0f, 53.63f, 54.08f, 50.88f)
                curveToRelative(27.24f, -2.0f, 19.0f, -20.19f, 24.84f, -20.47f)
                arcToRelative(2.72f, 2.72f, 0.0f, false, true, 3.0f, 3.36f)
                curveToRelative(-1.83f, 10.85f, -3.42f, 18.95f, -3.45f, 19.15f)
                curveToRelative(-1.54f, 9.17f, -86.7f, 22.09f, -93.35f, -42.06f)
                curveToRelative(-2.71f, -25.85f, 10.44f, -53.37f, 40.27f, -60.15f)
                close()
                moveTo(148.27f, 229.37f)
                horizontalLineToRelative(-19.49f)
                arcToRelative(2.57f, 2.57f, 0.0f, false, true, -2.66f, -1.79f)
                curveToRelative(2.38f, -3.75f, 5.89f, 0.92f, 5.86f, -6.14f)
                curveToRelative(-0.08f, -25.75f, 0.21f, -38.0f, 0.23f, -40.1f)
                curveToRelative(0.0f, -3.42f, -0.53f, -4.65f, -3.32f, -4.94f)
                curveToRelative(-7.0f, -0.72f, -3.11f, -3.37f, -1.11f, -3.38f)
                curveToRelative(11.84f, -0.1f, 22.62f, -0.18f, 30.05f, 0.72f)
                curveToRelative(8.77f, 1.07f, 16.71f, 12.63f, 7.93f, 22.62f)
                curveToRelative(-2.0f, 2.25f, -4.0f, 4.42f, -6.14f, 6.73f)
                curveToRelative(0.95f, 1.15f, 6.9f, 8.82f, 17.28f, 19.68f)
                curveToRelative(2.66f, 2.78f, 6.15f, 3.51f, 9.88f, 3.13f)
                arcToRelative(2.21f, 2.21f, 0.0f, false, false, 2.23f, -2.12f)
                curveToRelative(0.3f, -3.42f, 0.26f, 4.73f, 0.45f, -40.58f)
                curveToRelative(0.0f, -5.65f, -0.34f, -6.58f, -3.23f, -6.83f)
                curveToRelative(-3.95f, -0.35f, -4.0f, -2.26f, -0.69f, -3.37f)
                lineToRelative(19.09f, -0.09f)
                curveToRelative(0.32f, 0.0f, 4.49f, 0.53f, 1.0f, 3.38f)
                curveToRelative(0.0f, 0.05f, -0.16f, 0.0f, -0.24f, 0.0f)
                curveToRelative(-3.61f, 0.26f, -3.94f, 1.0f, -4.0f, 4.62f)
                curveToRelative(-0.27f, 43.93f, 0.07f, 40.23f, 0.41f, 42.82f)
                curveToRelative(0.11f, 0.84f, 0.27f, 2.23f, 5.1f, 2.14f)
                curveToRelative(2.49f, 0.0f, 3.86f, 3.37f, 0.0f, 3.4f)
                curveToRelative(-10.37f, 0.08f, -20.74f, 0.0f, -31.11f, 0.07f)
                curveToRelative(-10.67f, 0.0f, -13.47f, -6.2f, -24.21f, -20.82f)
                curveToRelative(-1.6f, -2.18f, -8.31f, -2.36f, -8.2f, -0.37f)
                curveToRelative(0.88f, 16.47f, 0.0f, 17.78f, 4.0f, 17.67f)
                curveToRelative(4.75f, -0.1f, 4.73f, 3.57f, 0.83f, 3.55f)
                close()
                moveTo(423.27f, 219.22f)
                curveToRelative(-1.21f, 7.13f, 0.17f, 10.38f, -5.3f, 10.34f)
                curveToRelative(-61.55f, -0.42f, -47.82f, -0.22f, -50.72f, -0.31f)
                arcToRelative(18.4f, 18.4f, 0.0f, false, true, -3.63f, -0.73f)
                curveToRelative(-2.53f, -0.6f, 1.48f, -1.23f, -0.38f, -5.6f)
                curveToRelative(-1.43f, -3.37f, -2.78f, -6.78f, -4.11f, -10.19f)
                arcToRelative(1.94f, 1.94f, 0.0f, false, false, -2.0f, -1.44f)
                arcToRelative(138.0f, 138.0f, 0.0f, false, false, -14.58f, 0.07f)
                arcToRelative(2.23f, 2.23f, 0.0f, false, false, -1.62f, 1.06f)
                curveToRelative(-1.58f, 3.62f, -3.07f, 7.29f, -4.51f, 11.0f)
                curveToRelative(-1.27f, 3.23f, 7.86f, 1.32f, 12.19f, 2.16f)
                curveToRelative(3.0f, 0.57f, 4.53f, 3.72f, 0.66f, 3.73f)
                lineTo(322.9f, 229.31f)
                curveToRelative(-2.92f, 0.0f, -3.09f, -3.15f, -0.74f, -3.21f)
                arcToRelative(6.3f, 6.3f, 0.0f, false, false, 5.92f, -3.47f)
                curveToRelative(1.5f, -3.0f, 2.8f, -6.0f, 4.11f, -9.09f)
                curveToRelative(18.18f, -42.14f, 17.06f, -40.17f, 18.42f, -41.61f)
                arcToRelative(1.83f, 1.83f, 0.0f, false, true, 3.0f, 0.0f)
                curveToRelative(2.93f, 3.34f, 18.4f, 44.71f, 23.62f, 51.92f)
                curveToRelative(2.0f, 2.7f, 5.74f, 2.0f, 6.36f, 2.0f)
                curveToRelative(3.61f, 0.13f, 4.0f, -1.11f, 4.13f, -4.29f)
                curveToRelative(0.09f, -1.87f, 0.08f, 1.17f, 0.07f, -41.24f)
                curveToRelative(0.0f, -4.46f, -2.36f, -3.74f, -5.55f, -4.27f)
                curveToRelative(-0.26f, 0.0f, -2.56f, -0.63f, -0.08f, -3.06f)
                curveToRelative(0.21f, -0.2f, -0.89f, -0.24f, 21.7f, -0.15f)
                curveToRelative(2.32f, 0.0f, 5.32f, 2.75f, -1.21f, 3.45f)
                arcToRelative(2.56f, 2.56f, 0.0f, false, false, -2.66f, 2.83f)
                curveToRelative(-0.07f, 1.63f, -0.19f, 38.89f, 0.29f, 41.21f)
                arcToRelative(3.06f, 3.06f, 0.0f, false, false, 3.23f, 2.43f)
                curveToRelative(13.25f, 0.43f, 14.92f, 0.44f, 16.0f, -3.41f)
                curveToRelative(1.67f, -5.78f, 4.13f, -2.52f, 3.73f, -0.19f)
                close()
                moveTo(318.55f, 283.59f)
                curveToRelative(-4.24f, 0.0f, -4.42f, -3.39f, -0.61f, -3.41f)
                curveToRelative(35.91f, -0.16f, 28.11f, 0.38f, 37.19f, -0.65f)
                curveToRelative(1.68f, -0.19f, 2.38f, 0.24f, 2.25f, 1.89f)
                curveToRelative(-0.26f, 3.39f, -0.64f, 6.78f, -1.0f, 10.16f)
                curveToRelative(-0.25f, 2.16f, -3.2f, 2.61f, -3.4f, -0.15f)
                curveToRelative(-0.38f, -5.31f, -2.15f, -4.45f, -15.63f, -5.08f)
                curveToRelative(-1.58f, -0.07f, -1.64f, 0.0f, -1.64f, 1.52f)
                lineTo(335.71f, 304.0f)
                curveToRelative(0.0f, 1.65f, 0.0f, 1.6f, 1.62f, 1.47f)
                curveToRelative(3.12f, -0.25f, 10.31f, 0.34f, 15.69f, -1.52f)
                curveToRelative(0.47f, -0.16f, 3.3f, -1.79f, 3.07f, 1.76f)
                curveToRelative(0.0f, 0.21f, -0.76f, 10.35f, -1.18f, 11.39f)
                curveToRelative(-0.53f, 1.29f, -1.88f, 1.51f, -2.58f, 0.32f)
                curveToRelative(-1.17f, -2.0f, 0.0f, -5.08f, -3.71f, -5.3f)
                curveToRelative(-15.42f, -0.9f, -12.91f, -2.55f, -12.91f, 6.0f)
                curveToRelative(0.0f, 12.25f, -0.76f, 16.11f, 3.89f, 16.24f)
                curveToRelative(16.64f, 0.48f, 14.4f, 0.0f, 16.43f, -5.71f)
                curveToRelative(0.84f, -2.37f, 3.5f, -1.77f, 3.18f, 0.58f)
                curveToRelative(-0.44f, 3.21f, -0.85f, 6.43f, -1.23f, 9.64f)
                curveToRelative(0.0f, 0.36f, -0.16f, 2.4f, -4.66f, 2.39f)
                curveToRelative(-37.16f, -0.08f, -34.54f, -0.19f, -35.21f, -0.31f)
                curveToRelative(-2.72f, -0.51f, -2.2f, -3.0f, 0.22f, -3.45f)
                curveToRelative(1.1f, -0.19f, 4.0f, 0.54f, 4.16f, -2.56f)
                curveToRelative(2.44f, -56.22f, -0.07f, -51.34f, -3.91f, -51.33f)
                close()
                moveTo(318.14f, 174.07f)
                curveToRelative(2.46f, 0.61f, 3.13f, 1.76f, 2.95f, 4.65f)
                curveToRelative(-0.33f, 5.3f, -0.34f, 9.0f, -0.55f, 9.69f)
                curveToRelative(-0.66f, 2.23f, -3.15f, 2.12f, -3.34f, -0.27f)
                curveToRelative(-0.38f, -4.81f, -3.05f, -7.82f, -7.57f, -9.15f)
                curveToRelative(-26.28f, -7.73f, -32.81f, 15.46f, -27.17f, 30.22f)
                curveToRelative(5.88f, 15.41f, 22.0f, 15.92f, 28.86f, 13.78f)
                curveToRelative(5.92f, -1.85f, 5.88f, -6.5f, 6.91f, -7.58f)
                curveToRelative(1.23f, -1.3f, 2.25f, -1.84f, 3.12f, 1.1f)
                curveToRelative(0.0f, 0.1f, 0.57f, 11.89f, -6.0f, 12.75f)
                curveToRelative(-1.6f, 0.21f, -19.38f, 3.69f, -32.68f, -3.39f)
                curveToRelative(-21.0f, -11.19f, -16.74f, -35.47f, -6.88f, -45.33f)
                curveToRelative(14.0f, -14.06f, 39.91f, -7.06f, 42.32f, -6.47f)
                close()
                moveTo(289.8f, 280.14f)
                curveToRelative(3.28f, 0.0f, 3.66f, 3.0f, 0.16f, 3.43f)
                curveToRelative(-2.61f, 0.32f, -5.0f, -0.42f, -5.0f, 5.46f)
                curveToRelative(0.0f, 2.0f, -0.19f, 29.05f, 0.4f, 41.45f)
                curveToRelative(0.11f, 2.29f, 1.15f, 3.52f, 3.44f, 3.65f)
                curveToRelative(22.0f, 1.21f, 14.95f, -1.65f, 18.79f, -6.34f)
                curveToRelative(1.83f, -2.24f, 2.76f, 0.84f, 2.76f, 1.08f)
                curveToRelative(0.35f, 13.62f, -4.0f, 12.39f, -5.19f, 12.4f)
                lineToRelative(-38.16f, -0.19f)
                curveToRelative(-1.93f, -0.23f, -2.06f, -3.0f, -0.42f, -3.38f)
                curveToRelative(2.0f, -0.48f, 4.94f, 0.4f, 5.13f, -2.8f)
                curveToRelative(1.0f, -15.87f, 0.57f, -44.65f, 0.34f, -47.81f)
                curveToRelative(-0.27f, -3.77f, -2.8f, -3.27f, -5.68f, -3.71f)
                curveToRelative(-2.47f, -0.38f, -2.0f, -3.22f, 0.34f, -3.22f)
                curveToRelative(1.45f, -0.02f, 17.97f, -0.03f, 23.09f, -0.02f)
                close()
                moveTo(258.17f, 222.35f)
                curveToRelative(0.07f, 4.08f, 2.86f, 3.46f, 6.0f, 3.58f)
                curveToRelative(2.61f, 0.1f, 2.53f, 3.41f, -0.07f, 3.43f)
                curveToRelative(-6.48f, 0.0f, -13.7f, 0.0f, -21.61f, -0.06f)
                curveToRelative(-3.84f, 0.0f, -3.38f, -3.35f, 0.0f, -3.37f)
                curveToRelative(4.49f, 0.0f, 3.24f, 1.61f, 3.41f, -45.54f)
                curveToRelative(0.0f, -5.08f, -3.27f, -3.54f, -4.72f, -4.23f)
                curveToRelative(-2.58f, -1.23f, -1.36f, -3.09f, 0.41f, -3.15f)
                curveToRelative(1.29f, 0.0f, 20.19f, -0.41f, 21.17f, 0.21f)
                reflectiveCurveToRelative(1.87f, 1.65f, -0.42f, 2.86f)
                curveToRelative(-1.0f, 0.52f, -3.86f, -0.28f, -4.15f, 2.47f)
                curveToRelative(0.0f, 0.21f, -0.82f, 1.63f, -0.07f, 43.8f)
                close()
                moveTo(221.26f, 496.62f)
                arcToRelative(2.93f, 2.93f, 0.0f, false, false, 3.26f, 0.0f)
                curveToRelative(17.0f, -9.79f, 182.0f, -103.57f, 197.42f, -112.51f)
                curveToRelative(-0.14f, -0.43f, 11.26f, -0.18f, -181.52f, -0.27f)
                curveToRelative(-1.22f, 0.0f, -1.57f, 0.37f, -1.53f, 1.56f)
                curveToRelative(0.0f, 0.1f, 1.25f, 44.51f, 1.22f, 50.38f)
                arcToRelative(28.33f, 28.33f, 0.0f, false, true, -1.36f, 7.71f)
                curveToRelative(-0.55f, 1.83f, 0.38f, -0.5f, -13.5f, 32.23f)
                curveToRelative(-0.73f, 1.72f, -1.0f, 2.21f, -2.0f, -0.08f)
                curveToRelative(-4.19f, -10.34f, -8.28f, -20.72f, -12.57f, -31.0f)
                arcToRelative(23.6f, 23.6f, 0.0f, false, true, -2.0f, -10.79f)
                curveToRelative(0.16f, -2.46f, 0.8f, -16.12f, 1.51f, -48.0f)
                curveToRelative(0.0f, -1.95f, 0.0f, -2.0f, -2.0f, -2.0f)
                horizontalLineToRelative(-183.0f)
                curveToRelative(2.58f, 1.63f, 178.32f, 102.57f, 196.0f, 112.76f)
                close()
                moveTo(130.36f, 307.87f)
                curveToRelative(0.0f, 2.4f, 0.36f, 2.79f, 2.76f, 3.0f)
                curveToRelative(11.54f, 1.17f, 21.0f, 3.74f, 25.64f, -7.32f)
                curveToRelative(6.0f, -14.46f, 2.66f, -34.41f, -12.48f, -38.84f)
                curveToRelative(-2.0f, -0.59f, -16.0f, -2.76f, -15.94f, 1.51f)
                curveToRelative(0.05f, 8.04f, 0.01f, 11.61f, 0.02f, 41.65f)
                close()
                moveTo(236.11f, 292.82f)
                curveToRelative(0.0f, 2.13f, 1.07f, 38.68f, 1.09f, 39.13f)
                curveToRelative(0.34f, 9.94f, -25.58f, 5.77f, -25.23f, -2.59f)
                curveToRelative(0.08f, -2.0f, 1.37f, -37.42f, 1.1f, -39.43f)
                curveToRelative(-14.1f, 7.44f, -14.42f, 40.21f, 6.44f, 48.8f)
                arcToRelative(17.9f, 17.9f, 0.0f, false, false, 22.39f, -7.07f)
                curveToRelative(4.91f, -7.76f, 6.84f, -29.47f, -5.43f, -39.0f)
                arcToRelative(2.53f, 2.53f, 0.0f, false, true, -0.36f, 0.12f)
                close()
                moveTo(223.83f, 94.82f)
                curveToRelative(-9.83f, 0.0f, -9.73f, 14.75f, -0.07f, 14.87f)
                reflectiveCurveToRelative(10.1f, -14.88f, 0.07f, -14.91f)
                close()
                moveTo(143.68f, 198.65f)
                curveToRelative(0.0f, 1.8f, 0.41f, 2.4f, 2.17f, 2.58f)
                curveToRelative(13.62f, 1.39f, 12.51f, -11.0f, 12.16f, -13.36f)
                curveToRelative(-1.69f, -11.22f, -14.38f, -10.2f, -14.35f, -7.81f)
                curveToRelative(0.05f, 4.5f, -0.03f, 13.68f, 0.02f, 18.59f)
                close()
                moveTo(356.0f, 205.05f)
                lineToRelative(-6.1f, -15.84f)
                curveToRelative(-2.16f, 5.48f, -4.16f, 10.57f, -6.23f, 15.84f)
                close()
            }
        }
        .build()
        return _criticalRole!!
    }

private var _criticalRole: ImageVector? = null
