package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Empire: ImageVector
    get() {
        if (_empire != null) {
            return _empire!!
        }
        _empire = Builder(name = "Empire", defaultWidth = 496.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(287.6f, 54.2f)
                curveToRelative(-10.8f, -2.2f, -22.1f, -3.3f, -33.5f, -3.6f)
                lineTo(254.1f, 32.4f)
                curveToRelative(78.1f, 2.2f, 146.1f, 44.0f, 184.6f, 106.6f)
                lineToRelative(-15.8f, 9.1f)
                curveToRelative(-6.1f, -9.7f, -12.7f, -18.8f, -20.2f, -27.1f)
                lineToRelative(-18.0f, 15.5f)
                curveToRelative(-26.0f, -29.6f, -61.4f, -50.7f, -101.9f, -58.4f)
                lineToRelative(4.8f, -23.9f)
                close()
                moveTo(53.4f, 322.4f)
                lineToRelative(23.0f, -7.7f)
                curveToRelative(-6.4f, -18.3f, -10.0f, -38.2f, -10.0f, -58.7f)
                reflectiveCurveToRelative(3.3f, -40.4f, 9.7f, -58.7f)
                lineToRelative(-22.7f, -7.7f)
                curveToRelative(3.6f, -10.8f, 8.3f, -21.3f, 13.6f, -31.0f)
                lineToRelative(-15.8f, -9.1f)
                curveTo(34.0f, 181.0f, 24.1f, 217.5f, 24.1f, 256.0f)
                reflectiveCurveToRelative(10.0f, 75.0f, 27.1f, 106.6f)
                lineToRelative(15.8f, -9.1f)
                curveToRelative(-5.3f, -10.0f, -9.7f, -20.3f, -13.6f, -31.1f)
                close()
                moveTo(213.1f, 434.0f)
                curveToRelative(-40.4f, -8.0f, -75.8f, -29.1f, -101.9f, -58.7f)
                lineToRelative(-18.0f, 15.8f)
                curveToRelative(-7.5f, -8.6f, -14.4f, -17.7f, -20.2f, -27.4f)
                lineToRelative(-16.0f, 9.4f)
                curveToRelative(38.5f, 62.3f, 106.8f, 104.3f, 184.9f, 106.6f)
                verticalLineToRelative(-18.3f)
                curveToRelative(-11.3f, -0.3f, -22.7f, -1.7f, -33.5f, -3.6f)
                lineToRelative(4.7f, -23.8f)
                close()
                moveTo(93.3f, 120.9f)
                lineToRelative(18.0f, 15.5f)
                curveToRelative(26.0f, -29.6f, 61.4f, -50.7f, 101.9f, -58.4f)
                lineToRelative(-4.7f, -23.8f)
                curveToRelative(10.8f, -2.2f, 22.1f, -3.3f, 33.5f, -3.6f)
                lineTo(242.0f, 32.4f)
                curveTo(163.9f, 34.6f, 95.9f, 76.4f, 57.4f, 139.0f)
                lineToRelative(15.8f, 9.1f)
                curveToRelative(6.0f, -9.7f, 12.6f, -18.9f, 20.1f, -27.2f)
                close()
                moveTo(402.7f, 391.1f)
                lineToRelative(-18.0f, -15.8f)
                curveToRelative(-26.0f, 29.6f, -61.4f, 50.7f, -101.9f, 58.7f)
                lineToRelative(4.7f, 23.8f)
                curveToRelative(-10.8f, 1.9f, -22.1f, 3.3f, -33.5f, 3.6f)
                verticalLineToRelative(18.3f)
                curveToRelative(78.1f, -2.2f, 146.4f, -44.3f, 184.9f, -106.6f)
                lineToRelative(-16.1f, -9.4f)
                curveToRelative(-5.7f, 9.7f, -12.6f, 18.8f, -20.1f, 27.4f)
                close()
                moveTo(496.0f, 256.0f)
                curveToRelative(0.0f, 137.0f, -111.0f, 248.0f, -248.0f, 248.0f)
                reflectiveCurveTo(0.0f, 393.0f, 0.0f, 256.0f)
                reflectiveCurveTo(111.0f, 8.0f, 248.0f, 8.0f)
                reflectiveCurveToRelative(248.0f, 111.0f, 248.0f, 248.0f)
                close()
                moveTo(483.8f, 256.0f)
                curveToRelative(0.0f, -130.1f, -105.7f, -235.8f, -235.8f, -235.8f)
                reflectiveCurveTo(12.2f, 125.9f, 12.2f, 256.0f)
                reflectiveCurveTo(117.9f, 491.8f, 248.0f, 491.8f)
                reflectiveCurveTo(483.8f, 386.1f, 483.8f, 256.0f)
                close()
                moveTo(444.8f, 149.4f)
                lineToRelative(-15.8f, 9.1f)
                curveToRelative(5.3f, 9.7f, 10.0f, 20.2f, 13.6f, 31.0f)
                lineToRelative(-22.7f, 7.7f)
                curveToRelative(6.4f, 18.3f, 9.7f, 38.2f, 9.7f, 58.7f)
                reflectiveCurveToRelative(-3.6f, 40.4f, -10.0f, 58.7f)
                lineToRelative(23.0f, 7.7f)
                curveToRelative(-3.9f, 10.8f, -8.3f, 21.0f, -13.6f, 31.0f)
                lineToRelative(15.8f, 9.1f)
                curveTo(462.0f, 331.0f, 471.9f, 294.5f, 471.9f, 256.0f)
                reflectiveCurveToRelative(-9.9f, -75.0f, -27.1f, -106.6f)
                close()
                moveTo(261.8f, 327.1f)
                curveToRelative(16.3f, -3.3f, 30.4f, -11.6f, 40.7f, -23.5f)
                lineToRelative(51.2f, 44.8f)
                curveToRelative(11.9f, -13.6f, 21.3f, -29.3f, 27.1f, -46.8f)
                lineToRelative(-64.2f, -22.1f)
                curveToRelative(2.5f, -7.5f, 3.9f, -15.2f, 3.9f, -23.5f)
                reflectiveCurveToRelative(-1.4f, -16.1f, -3.9f, -23.5f)
                lineToRelative(64.5f, -22.1f)
                curveToRelative(-6.1f, -17.4f, -15.5f, -33.2f, -27.4f, -46.8f)
                lineToRelative(-51.2f, 44.8f)
                curveToRelative(-10.2f, -11.9f, -24.4f, -20.5f, -40.7f, -23.8f)
                lineToRelative(13.3f, -66.4f)
                curveToRelative(-8.6f, -1.9f, -17.7f, -2.8f, -27.1f, -2.8f)
                curveToRelative(-9.4f, 0.0f, -18.5f, 0.8f, -27.1f, 2.8f)
                lineToRelative(13.3f, 66.4f)
                curveToRelative(-16.3f, 3.3f, -30.4f, 11.9f, -40.7f, 23.8f)
                lineToRelative(-51.2f, -44.8f)
                curveToRelative(-11.9f, 13.6f, -21.3f, 29.3f, -27.4f, 46.8f)
                lineToRelative(64.5f, 22.1f)
                curveToRelative(-2.5f, 7.5f, -3.9f, 15.2f, -3.9f, 23.5f)
                reflectiveCurveToRelative(1.4f, 16.1f, 3.9f, 23.5f)
                lineToRelative(-64.2f, 22.1f)
                curveToRelative(5.8f, 17.4f, 15.2f, 33.2f, 27.1f, 46.8f)
                lineToRelative(51.2f, -44.8f)
                curveToRelative(10.2f, 11.9f, 24.4f, 20.2f, 40.7f, 23.5f)
                lineToRelative(-13.3f, 66.7f)
                curveToRelative(8.6f, 1.7f, 17.7f, 2.8f, 27.1f, 2.8f)
                curveToRelative(9.4f, 0.0f, 18.5f, -1.1f, 27.1f, -2.8f)
                lineToRelative(-13.3f, -66.7f)
                close()
            }
        }
        .build()
        return _empire!!
    }

private var _empire: ImageVector? = null
