package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.OldRepublic: ImageVector
    get() {
        if (_oldRepublic != null) {
            return _oldRepublic!!
        }
        _oldRepublic = Builder(name = "OldRepublic", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(235.76f, 10.23f)
                curveToRelative(7.5f, -0.31f, 15.0f, -0.28f, 22.5f, -0.09f)
                curveToRelative(3.61f, 0.14f, 7.2f, 0.4f, 10.79f, 0.73f)
                curveToRelative(4.92f, 0.27f, 9.79f, 1.03f, 14.67f, 1.62f)
                curveToRelative(2.93f, 0.43f, 5.83f, 0.98f, 8.75f, 1.46f)
                curveToRelative(7.9f, 1.33f, 15.67f, 3.28f, 23.39f, 5.4f)
                curveToRelative(12.24f, 3.47f, 24.19f, 7.92f, 35.76f, 13.21f)
                curveToRelative(26.56f, 12.24f, 50.94f, 29.21f, 71.63f, 49.88f)
                curveToRelative(20.03f, 20.09f, 36.72f, 43.55f, 48.89f, 69.19f)
                curveToRelative(1.13f, 2.59f, 2.44f, 5.1f, 3.47f, 7.74f)
                curveToRelative(2.81f, 6.43f, 5.39f, 12.97f, 7.58f, 19.63f)
                curveToRelative(4.14f, 12.33f, 7.34f, 24.99f, 9.42f, 37.83f)
                curveToRelative(0.57f, 3.14f, 1.04f, 6.3f, 1.4f, 9.47f)
                curveToRelative(0.55f, 3.83f, 0.94f, 7.69f, 1.18f, 11.56f)
                curveToRelative(0.83f, 8.34f, 0.84f, 16.73f, 0.77f, 25.1f)
                curveToRelative(-0.07f, 4.97f, -0.26f, 9.94f, -0.75f, 14.89f)
                curveToRelative(-0.24f, 3.38f, -0.51f, 6.76f, -0.98f, 10.12f)
                curveToRelative(-0.39f, 2.72f, -0.63f, 5.46f, -1.11f, 8.17f)
                curveToRelative(-0.9f, 5.15f, -1.7f, 10.31f, -2.87f, 15.41f)
                curveToRelative(-4.1f, 18.5f, -10.3f, 36.55f, -18.51f, 53.63f)
                curveToRelative(-15.77f, 32.83f, -38.83f, 62.17f, -67.12f, 85.12f)
                arcToRelative(246.503f, 246.503f, 0.0f, false, true, -56.91f, 34.86f)
                curveToRelative(-6.21f, 2.68f, -12.46f, 5.25f, -18.87f, 7.41f)
                curveToRelative(-3.51f, 1.16f, -7.01f, 2.38f, -10.57f, 3.39f)
                curveToRelative(-6.62f, 1.88f, -13.29f, 3.64f, -20.04f, 5.0f)
                curveToRelative(-4.66f, 0.91f, -9.34f, 1.73f, -14.03f, 2.48f)
                curveToRelative(-5.25f, 0.66f, -10.5f, 1.44f, -15.79f, 1.74f)
                curveToRelative(-6.69f, 0.66f, -13.41f, 0.84f, -20.12f, 0.81f)
                curveToRelative(-6.82f, 0.03f, -13.65f, -0.12f, -20.45f, -0.79f)
                curveToRelative(-3.29f, -0.23f, -6.57f, -0.5f, -9.83f, -0.95f)
                curveToRelative(-2.72f, -0.39f, -5.46f, -0.63f, -8.17f, -1.11f)
                curveToRelative(-4.12f, -0.72f, -8.25f, -1.37f, -12.35f, -2.22f)
                curveToRelative(-4.25f, -0.94f, -8.49f, -1.89f, -12.69f, -3.02f)
                curveToRelative(-8.63f, -2.17f, -17.08f, -5.01f, -25.41f, -8.13f)
                curveToRelative(-10.49f, -4.12f, -20.79f, -8.75f, -30.64f, -14.25f)
                curveToRelative(-2.14f, -1.15f, -4.28f, -2.29f, -6.35f, -3.57f)
                curveToRelative(-11.22f, -6.58f, -21.86f, -14.1f, -31.92f, -22.34f)
                curveToRelative(-34.68f, -28.41f, -61.41f, -66.43f, -76.35f, -108.7f)
                curveToRelative(-3.09f, -8.74f, -5.71f, -17.65f, -7.8f, -26.68f)
                curveToRelative(-1.48f, -6.16f, -2.52f, -12.42f, -3.58f, -18.66f)
                curveToRelative(-0.4f, -2.35f, -0.61f, -4.73f, -0.95f, -7.09f)
                curveToRelative(-0.6f, -3.96f, -0.75f, -7.96f, -1.17f, -11.94f)
                curveToRelative(-0.8f, -9.47f, -0.71f, -18.99f, -0.51f, -28.49f)
                curveToRelative(0.14f, -3.51f, 0.34f, -7.01f, 0.7f, -10.51f)
                curveToRelative(0.31f, -3.17f, 0.46f, -6.37f, 0.92f, -9.52f)
                curveToRelative(0.41f, -2.81f, 0.65f, -5.65f, 1.16f, -8.44f)
                curveToRelative(0.7f, -3.94f, 1.3f, -7.9f, 2.12f, -11.82f)
                curveToRelative(3.43f, -16.52f, 8.47f, -32.73f, 15.26f, -48.18f)
                curveToRelative(1.15f, -2.92f, 2.59f, -5.72f, 3.86f, -8.59f)
                curveToRelative(8.05f, -16.71f, 17.9f, -32.56f, 29.49f, -47.06f)
                curveToRelative(20.0f, -25.38f, 45.1f, -46.68f, 73.27f, -62.47f)
                curveToRelative(7.5f, -4.15f, 15.16f, -8.05f, 23.07f, -11.37f)
                curveToRelative(15.82f, -6.88f, 32.41f, -11.95f, 49.31f, -15.38f)
                curveToRelative(3.51f, -0.67f, 7.04f, -1.24f, 10.56f, -1.85f)
                curveToRelative(2.62f, -0.47f, 5.28f, -0.7f, 7.91f, -1.08f)
                curveToRelative(3.53f, -0.53f, 7.1f, -0.68f, 10.65f, -1.04f)
                curveToRelative(2.46f, -0.24f, 4.91f, -0.36f, 7.36f, -0.51f)
                moveToRelative(8.64f, 24.41f)
                curveToRelative(-9.23f, 0.1f, -18.43f, 0.99f, -27.57f, 2.23f)
                curveToRelative(-7.3f, 1.08f, -14.53f, 2.6f, -21.71f, 4.3f)
                curveToRelative(-13.91f, 3.5f, -27.48f, 8.34f, -40.46f, 14.42f)
                curveToRelative(-10.46f, 4.99f, -20.59f, 10.7f, -30.18f, 17.22f)
                curveToRelative(-4.18f, 2.92f, -8.4f, 5.8f, -12.34f, 9.03f)
                curveToRelative(-5.08f, 3.97f, -9.98f, 8.17f, -14.68f, 12.59f)
                curveToRelative(-2.51f, 2.24f, -4.81f, 4.7f, -7.22f, 7.06f)
                curveToRelative(-28.22f, 28.79f, -48.44f, 65.39f, -57.5f, 104.69f)
                curveToRelative(-2.04f, 8.44f, -3.54f, 17.02f, -4.44f, 25.65f)
                curveToRelative(-1.1f, 8.89f, -1.44f, 17.85f, -1.41f, 26.8f)
                curveToRelative(0.11f, 7.14f, 0.38f, 14.28f, 1.22f, 21.37f)
                curveToRelative(0.62f, 7.12f, 1.87f, 14.16f, 3.2f, 21.18f)
                curveToRelative(1.07f, 4.65f, 2.03f, 9.32f, 3.33f, 13.91f)
                curveToRelative(6.29f, 23.38f, 16.5f, 45.7f, 30.07f, 65.75f)
                curveToRelative(8.64f, 12.98f, 18.78f, 24.93f, 29.98f, 35.77f)
                curveToRelative(16.28f, 15.82f, 35.05f, 29.04f, 55.34f, 39.22f)
                curveToRelative(7.28f, 3.52f, 14.66f, 6.87f, 22.27f, 9.63f)
                curveToRelative(5.04f, 1.76f, 10.06f, 3.57f, 15.22f, 4.98f)
                curveToRelative(11.26f, 3.23f, 22.77f, 5.6f, 34.39f, 7.06f)
                curveToRelative(2.91f, 0.29f, 5.81f, 0.61f, 8.72f, 0.9f)
                curveToRelative(13.82f, 1.08f, 27.74f, 1.0f, 41.54f, -0.43f)
                curveToRelative(4.45f, -0.6f, 8.92f, -0.99f, 13.35f, -1.78f)
                curveToRelative(3.63f, -0.67f, 7.28f, -1.25f, 10.87f, -2.1f)
                curveToRelative(4.13f, -0.98f, 8.28f, -1.91f, 12.36f, -3.07f)
                curveToRelative(26.5f, -7.34f, 51.58f, -19.71f, 73.58f, -36.2f)
                curveToRelative(15.78f, -11.82f, 29.96f, -25.76f, 42.12f, -41.28f)
                curveToRelative(3.26f, -4.02f, 6.17f, -8.31f, 9.13f, -12.55f)
                curveToRelative(3.39f, -5.06f, 6.58f, -10.25f, 9.6f, -15.54f)
                curveToRelative(2.4f, -4.44f, 4.74f, -8.91f, 6.95f, -13.45f)
                curveToRelative(5.69f, -12.05f, 10.28f, -24.62f, 13.75f, -37.49f)
                curveToRelative(2.59f, -10.01f, 4.75f, -20.16f, 5.9f, -30.45f)
                curveToRelative(1.77f, -13.47f, 1.94f, -27.1f, 1.29f, -40.65f)
                curveToRelative(-0.29f, -3.89f, -0.67f, -7.77f, -1.0f, -11.66f)
                curveToRelative(-2.23f, -19.08f, -6.79f, -37.91f, -13.82f, -55.8f)
                curveToRelative(-5.95f, -15.13f, -13.53f, -29.63f, -22.61f, -43.13f)
                curveToRelative(-12.69f, -18.8f, -28.24f, -35.68f, -45.97f, -49.83f)
                curveToRelative(-25.05f, -20.0f, -54.47f, -34.55f, -85.65f, -42.08f)
                curveToRelative(-7.78f, -1.93f, -15.69f, -3.34f, -23.63f, -4.45f)
                curveToRelative(-3.91f, -0.59f, -7.85f, -0.82f, -11.77f, -1.24f)
                curveToRelative(-7.39f, -0.57f, -14.81f, -0.72f, -22.22f, -0.58f)
                close()
                moveTo(139.26f, 83.53f)
                curveToRelative(13.3f, -8.89f, 28.08f, -15.38f, 43.3f, -20.18f)
                curveToRelative(-3.17f, 1.77f, -6.44f, 3.38f, -9.53f, 5.29f)
                curveToRelative(-11.21f, 6.68f, -21.52f, 14.9f, -30.38f, 24.49f)
                curveToRelative(-6.8f, 7.43f, -12.76f, 15.73f, -17.01f, 24.89f)
                curveToRelative(-3.29f, 6.86f, -5.64f, 14.19f, -6.86f, 21.71f)
                curveToRelative(-0.93f, 4.85f, -1.3f, 9.81f, -1.17f, 14.75f)
                curveToRelative(0.13f, 13.66f, 4.44f, 27.08f, 11.29f, 38.82f)
                curveToRelative(5.92f, 10.22f, 13.63f, 19.33f, 22.36f, 27.26f)
                curveToRelative(4.85f, 4.36f, 10.24f, 8.09f, 14.95f, 12.6f)
                curveToRelative(2.26f, 2.19f, 4.49f, 4.42f, 6.43f, 6.91f)
                curveToRelative(2.62f, 3.31f, 4.89f, 6.99f, 5.99f, 11.1f)
                curveToRelative(0.9f, 3.02f, 0.66f, 6.2f, 0.69f, 9.31f)
                curveToRelative(0.02f, 4.1f, -0.04f, 8.2f, 0.03f, 12.3f)
                curveToRelative(0.14f, 3.54f, -0.02f, 7.09f, 0.11f, 10.63f)
                curveToRelative(0.08f, 2.38f, 0.02f, 4.76f, 0.05f, 7.14f)
                curveToRelative(0.16f, 5.77f, 0.06f, 11.53f, 0.15f, 17.3f)
                curveToRelative(0.11f, 2.91f, 0.02f, 5.82f, 0.13f, 8.74f)
                curveToRelative(0.03f, 1.63f, 0.13f, 3.28f, -0.03f, 4.91f)
                curveToRelative(-0.91f, 0.12f, -1.82f, 0.18f, -2.73f, 0.16f)
                curveToRelative(-10.99f, 0.0f, -21.88f, -2.63f, -31.95f, -6.93f)
                curveToRelative(-6.0f, -2.7f, -11.81f, -5.89f, -17.09f, -9.83f)
                curveToRelative(-5.75f, -4.19f, -11.09f, -8.96f, -15.79f, -14.31f)
                curveToRelative(-6.53f, -7.24f, -11.98f, -15.39f, -16.62f, -23.95f)
                curveToRelative(-1.07f, -2.03f, -2.24f, -4.02f, -3.18f, -6.12f)
                curveToRelative(-1.16f, -2.64f, -2.62f, -5.14f, -3.67f, -7.82f)
                curveToRelative(-4.05f, -9.68f, -6.57f, -19.94f, -8.08f, -30.31f)
                curveToRelative(-0.49f, -4.44f, -1.09f, -8.88f, -1.2f, -13.35f)
                curveToRelative(-0.7f, -15.73f, 0.84f, -31.55f, 4.67f, -46.82f)
                curveToRelative(2.12f, -8.15f, 4.77f, -16.18f, 8.31f, -23.83f)
                curveToRelative(6.32f, -14.2f, 15.34f, -27.18f, 26.3f, -38.19f)
                curveToRelative(6.28f, -6.2f, 13.13f, -11.84f, 20.53f, -16.67f)
                close()
                moveTo(314.63f, 63.41f)
                curveToRelative(2.74f, 0.74f, 5.41f, 1.74f, 8.09f, 2.68f)
                curveToRelative(6.36f, 2.33f, 12.68f, 4.84f, 18.71f, 7.96f)
                curveToRelative(13.11f, 6.44f, 25.31f, 14.81f, 35.82f, 24.97f)
                curveToRelative(10.2f, 9.95f, 18.74f, 21.6f, 25.14f, 34.34f)
                curveToRelative(1.28f, 2.75f, 2.64f, 5.46f, 3.81f, 8.26f)
                curveToRelative(6.31f, 15.1f, 10.0f, 31.26f, 11.23f, 47.57f)
                curveToRelative(0.41f, 4.54f, 0.44f, 9.09f, 0.45f, 13.64f)
                curveToRelative(0.07f, 11.64f, -1.49f, 23.25f, -4.3f, 34.53f)
                curveToRelative(-1.97f, 7.27f, -4.35f, 14.49f, -7.86f, 21.18f)
                curveToRelative(-3.18f, 6.64f, -6.68f, 13.16f, -10.84f, 19.24f)
                curveToRelative(-6.94f, 10.47f, -15.6f, 19.87f, -25.82f, 27.22f)
                curveToRelative(-10.48f, 7.64f, -22.64f, 13.02f, -35.4f, 15.38f)
                curveToRelative(-3.51f, 0.69f, -7.08f, 1.08f, -10.66f, 1.21f)
                curveToRelative(-1.85f, 0.06f, -3.72f, 0.16f, -5.56f, -0.1f)
                curveToRelative(-0.28f, -2.15f, 0.0f, -4.31f, -0.01f, -6.46f)
                curveToRelative(-0.03f, -3.73f, 0.14f, -7.45f, 0.1f, -11.17f)
                curveToRelative(0.19f, -7.02f, 0.02f, -14.05f, 0.21f, -21.07f)
                curveToRelative(0.03f, -2.38f, -0.03f, -4.76f, 0.03f, -7.14f)
                curveToRelative(0.17f, -5.07f, -0.04f, -10.14f, 0.14f, -15.21f)
                curveToRelative(0.1f, -2.99f, -0.24f, -6.04f, 0.51f, -8.96f)
                curveToRelative(0.66f, -2.5f, 1.78f, -4.86f, 3.09f, -7.08f)
                curveToRelative(4.46f, -7.31f, 11.06f, -12.96f, 17.68f, -18.26f)
                curveToRelative(5.38f, -4.18f, 10.47f, -8.77f, 15.02f, -13.84f)
                curveToRelative(7.68f, -8.37f, 14.17f, -17.88f, 18.78f, -28.27f)
                curveToRelative(2.5f, -5.93f, 4.52f, -12.1f, 5.55f, -18.46f)
                curveToRelative(0.86f, -4.37f, 1.06f, -8.83f, 1.01f, -13.27f)
                curveToRelative(-0.02f, -7.85f, -1.4f, -15.65f, -3.64f, -23.17f)
                curveToRelative(-1.75f, -5.73f, -4.27f, -11.18f, -7.09f, -16.45f)
                curveToRelative(-3.87f, -6.93f, -8.65f, -13.31f, -13.96f, -19.2f)
                curveToRelative(-9.94f, -10.85f, -21.75f, -19.94f, -34.6f, -27.1f)
                curveToRelative(-1.85f, -1.02f, -3.84f, -1.82f, -5.63f, -2.97f)
                close()
                moveTo(213.83f, 121.86f)
                curveToRelative(0.98f, -1.18f, 1.99f, -2.33f, 3.12f, -3.38f)
                curveToRelative(-0.61f, 0.93f, -1.27f, 1.81f, -1.95f, 2.68f)
                curveToRelative(-3.1f, 3.88f, -5.54f, 8.31f, -7.03f, 13.06f)
                curveToRelative(-0.87f, 3.27f, -1.68f, 6.6f, -1.73f, 10.0f)
                curveToRelative(-0.07f, 2.52f, -0.08f, 5.07f, 0.32f, 7.57f)
                curveToRelative(1.13f, 7.63f, 4.33f, 14.85f, 8.77f, 21.12f)
                curveToRelative(2.0f, 2.7f, 4.25f, 5.27f, 6.92f, 7.33f)
                curveToRelative(1.62f, 1.27f, 3.53f, 2.09f, 5.34f, 3.05f)
                curveToRelative(3.11f, 1.68f, 6.32f, 3.23f, 9.07f, 5.48f)
                curveToRelative(2.67f, 2.09f, 4.55f, 5.33f, 4.4f, 8.79f)
                curveToRelative(-0.01f, 73.67f, 0.0f, 147.34f, -0.01f, 221.02f)
                curveToRelative(0.0f, 1.35f, -0.08f, 2.7f, 0.04f, 4.04f)
                curveToRelative(0.13f, 1.48f, 0.82f, 2.83f, 1.47f, 4.15f)
                curveToRelative(0.86f, 1.66f, 1.78f, 3.34f, 3.18f, 4.62f)
                curveToRelative(0.85f, 0.77f, 1.97f, 1.4f, 3.15f, 1.24f)
                curveToRelative(1.5f, -0.2f, 2.66f, -1.35f, 3.45f, -2.57f)
                curveToRelative(0.96f, -1.51f, 1.68f, -3.16f, 2.28f, -4.85f)
                curveToRelative(0.76f, -2.13f, 0.44f, -4.42f, 0.54f, -6.63f)
                curveToRelative(0.14f, -4.03f, -0.02f, -8.06f, 0.14f, -12.09f)
                curveToRelative(0.03f, -5.89f, 0.03f, -11.77f, 0.06f, -17.66f)
                curveToRelative(0.14f, -3.62f, 0.03f, -7.24f, 0.11f, -10.86f)
                curveToRelative(0.15f, -4.03f, -0.02f, -8.06f, 0.14f, -12.09f)
                curveToRelative(0.03f, -5.99f, 0.03f, -11.98f, 0.07f, -17.97f)
                curveToRelative(0.14f, -3.62f, 0.02f, -7.24f, 0.11f, -10.86f)
                curveToRelative(0.14f, -3.93f, -0.02f, -7.86f, 0.14f, -11.78f)
                curveToRelative(0.03f, -5.99f, 0.03f, -11.98f, 0.06f, -17.97f)
                curveToRelative(0.16f, -3.94f, -0.01f, -7.88f, 0.19f, -11.82f)
                curveToRelative(0.29f, 1.44f, 0.13f, 2.92f, 0.22f, 4.38f)
                curveToRelative(0.19f, 3.61f, 0.42f, 7.23f, 0.76f, 10.84f)
                curveToRelative(0.32f, 3.44f, 0.44f, 6.89f, 0.86f, 10.32f)
                curveToRelative(0.37f, 3.1f, 0.51f, 6.22f, 0.95f, 9.31f)
                curveToRelative(0.57f, 4.09f, 0.87f, 8.21f, 1.54f, 12.29f)
                curveToRelative(1.46f, 9.04f, 2.83f, 18.11f, 5.09f, 26.99f)
                curveToRelative(1.13f, 4.82f, 2.4f, 9.61f, 4.0f, 14.3f)
                curveToRelative(2.54f, 7.9f, 5.72f, 15.67f, 10.31f, 22.62f)
                curveToRelative(1.73f, 2.64f, 3.87f, 4.98f, 6.1f, 7.21f)
                curveToRelative(0.27f, 0.25f, 0.55f, 0.51f, 0.88f, 0.71f)
                curveToRelative(0.6f, 0.25f, 1.31f, -0.07f, 1.7f, -0.57f)
                curveToRelative(0.71f, -0.88f, 1.17f, -1.94f, 1.7f, -2.93f)
                curveToRelative(4.05f, -7.8f, 8.18f, -15.56f, 12.34f, -23.31f)
                curveToRelative(0.7f, -1.31f, 1.44f, -2.62f, 2.56f, -3.61f)
                curveToRelative(1.75f, -1.57f, 3.84f, -2.69f, 5.98f, -3.63f)
                curveToRelative(2.88f, -1.22f, 5.9f, -2.19f, 9.03f, -2.42f)
                curveToRelative(6.58f, -0.62f, 13.11f, 0.75f, 19.56f, 1.85f)
                curveToRelative(3.69f, 0.58f, 7.4f, 1.17f, 11.13f, 1.41f)
                curveToRelative(3.74f, 0.1f, 7.48f, 0.05f, 11.21f, -0.28f)
                curveToRelative(8.55f, -0.92f, 16.99f, -2.96f, 24.94f, -6.25f)
                curveToRelative(5.3f, -2.24f, 10.46f, -4.83f, 15.31f, -7.93f)
                curveToRelative(11.46f, -7.21f, 21.46f, -16.57f, 30.04f, -27.01f)
                curveToRelative(1.17f, -1.42f, 2.25f, -2.9f, 3.46f, -4.28f)
                curveToRelative(-1.2f, 3.24f, -2.67f, 6.37f, -4.16f, 9.48f)
                curveToRelative(-1.25f, 2.9f, -2.84f, 5.61f, -4.27f, 8.42f)
                curveToRelative(-5.16f, 9.63f, -11.02f, 18.91f, -17.75f, 27.52f)
                curveToRelative(-4.03f, 5.21f, -8.53f, 10.05f, -13.33f, 14.57f)
                curveToRelative(-6.64f, 6.05f, -14.07f, 11.37f, -22.43f, 14.76f)
                curveToRelative(-8.21f, 3.37f, -17.31f, 4.63f, -26.09f, 3.29f)
                curveToRelative(-3.56f, -0.58f, -7.01f, -1.69f, -10.41f, -2.88f)
                curveToRelative(-2.79f, -0.97f, -5.39f, -2.38f, -8.03f, -3.69f)
                curveToRelative(-3.43f, -1.71f, -6.64f, -3.81f, -9.71f, -6.08f)
                curveToRelative(2.71f, 3.06f, 5.69f, 5.86f, 8.7f, 8.61f)
                curveToRelative(4.27f, 3.76f, 8.74f, 7.31f, 13.63f, 10.23f)
                curveToRelative(3.98f, 2.45f, 8.29f, 4.4f, 12.84f, 5.51f)
                curveToRelative(1.46f, 0.37f, 2.96f, 0.46f, 4.45f, 0.6f)
                curveToRelative(-1.25f, 1.1f, -2.63f, 2.04f, -3.99f, 2.98f)
                curveToRelative(-9.61f, 6.54f, -20.01f, 11.86f, -30.69f, 16.43f)
                curveToRelative(-20.86f, 8.7f, -43.17f, 13.97f, -65.74f, 15.34f)
                curveToRelative(-4.66f, 0.24f, -9.32f, 0.36f, -13.98f, 0.36f)
                curveToRelative(-4.98f, -0.11f, -9.97f, -0.13f, -14.92f, -0.65f)
                curveToRelative(-11.2f, -0.76f, -22.29f, -2.73f, -33.17f, -5.43f)
                curveToRelative(-10.35f, -2.71f, -20.55f, -6.12f, -30.3f, -10.55f)
                curveToRelative(-8.71f, -3.86f, -17.12f, -8.42f, -24.99f, -13.79f)
                curveToRelative(-1.83f, -1.31f, -3.74f, -2.53f, -5.37f, -4.08f)
                curveToRelative(6.6f, -1.19f, 13.03f, -3.39f, 18.99f, -6.48f)
                curveToRelative(5.74f, -2.86f, 10.99f, -6.66f, 15.63f, -11.07f)
                curveToRelative(2.24f, -2.19f, 4.29f, -4.59f, 6.19f, -7.09f)
                curveToRelative(-3.43f, 2.13f, -6.93f, 4.15f, -10.62f, 5.78f)
                curveToRelative(-4.41f, 2.16f, -9.07f, 3.77f, -13.81f, 5.02f)
                curveToRelative(-5.73f, 1.52f, -11.74f, 1.73f, -17.61f, 1.14f)
                curveToRelative(-8.13f, -0.95f, -15.86f, -4.27f, -22.51f, -8.98f)
                curveToRelative(-4.32f, -2.94f, -8.22f, -6.43f, -11.96f, -10.06f)
                curveToRelative(-9.93f, -10.16f, -18.2f, -21.81f, -25.66f, -33.86f)
                curveToRelative(-3.94f, -6.27f, -7.53f, -12.75f, -11.12f, -19.22f)
                curveToRelative(-1.05f, -2.04f, -2.15f, -4.05f, -3.18f, -6.1f)
                curveToRelative(2.85f, 2.92f, 5.57f, 5.97f, 8.43f, 8.88f)
                curveToRelative(8.99f, 8.97f, 18.56f, 17.44f, 29.16f, 24.48f)
                curveToRelative(7.55f, 4.9f, 15.67f, 9.23f, 24.56f, 11.03f)
                curveToRelative(3.11f, 0.73f, 6.32f, 0.47f, 9.47f, 0.81f)
                curveToRelative(2.77f, 0.28f, 5.56f, 0.2f, 8.34f, 0.3f)
                curveToRelative(5.05f, 0.06f, 10.11f, 0.04f, 15.16f, -0.16f)
                curveToRelative(3.65f, -0.16f, 7.27f, -0.66f, 10.89f, -1.09f)
                curveToRelative(2.07f, -0.25f, 4.11f, -0.71f, 6.14f, -1.2f)
                curveToRelative(3.88f, -0.95f, 8.11f, -0.96f, 11.83f, 0.61f)
                curveToRelative(4.76f, 1.85f, 8.44f, 5.64f, 11.38f, 9.71f)
                curveToRelative(2.16f, 3.02f, 4.06f, 6.22f, 5.66f, 9.58f)
                curveToRelative(1.16f, 2.43f, 2.46f, 4.79f, 3.55f, 7.26f)
                curveToRelative(1.0f, 2.24f, 2.15f, 4.42f, 3.42f, 6.52f)
                curveToRelative(0.67f, 1.02f, 1.4f, 2.15f, 2.62f, 2.55f)
                curveToRelative(1.06f, -0.75f, 1.71f, -1.91f, 2.28f, -3.03f)
                curveToRelative(2.1f, -4.16f, 3.42f, -8.65f, 4.89f, -13.05f)
                curveToRelative(2.02f, -6.59f, 3.78f, -13.27f, 5.19f, -20.02f)
                curveToRelative(2.21f, -9.25f, 3.25f, -18.72f, 4.54f, -28.13f)
                curveToRelative(0.56f, -3.98f, 0.83f, -7.99f, 1.31f, -11.97f)
                curveToRelative(0.87f, -10.64f, 1.9f, -21.27f, 2.24f, -31.94f)
                curveToRelative(0.08f, -1.86f, 0.24f, -3.71f, 0.25f, -5.57f)
                curveToRelative(0.01f, -4.35f, 0.25f, -8.69f, 0.22f, -13.03f)
                curveToRelative(-0.01f, -2.38f, -0.01f, -4.76f, 0.0f, -7.13f)
                curveToRelative(0.05f, -5.07f, -0.2f, -10.14f, -0.22f, -15.21f)
                curveToRelative(-0.2f, -6.61f, -0.71f, -13.2f, -1.29f, -19.78f)
                curveToRelative(-0.73f, -5.88f, -1.55f, -11.78f, -3.12f, -17.51f)
                curveToRelative(-2.05f, -7.75f, -5.59f, -15.03f, -9.8f, -21.82f)
                curveToRelative(-3.16f, -5.07f, -6.79f, -9.88f, -11.09f, -14.03f)
                curveToRelative(-3.88f, -3.86f, -8.58f, -7.08f, -13.94f, -8.45f)
                curveToRelative(-1.5f, -0.41f, -3.06f, -0.45f, -4.59f, -0.64f)
                curveToRelative(0.07f, -2.99f, 0.7f, -5.93f, 1.26f, -8.85f)
                curveToRelative(1.59f, -7.71f, 3.8f, -15.3f, 6.76f, -22.6f)
                curveToRelative(1.52f, -4.03f, 3.41f, -7.9f, 5.39f, -11.72f)
                curveToRelative(3.45f, -6.56f, 7.62f, -12.79f, 12.46f, -18.46f)
                close()
                moveTo(245.1f, 123.56f)
                curveToRelative(0.35f, -0.06f, 0.71f, -0.12f, 1.07f, -0.19f)
                curveToRelative(0.19f, 1.79f, 0.09f, 3.58f, 0.1f, 5.37f)
                verticalLineToRelative(38.13f)
                curveToRelative(-0.01f, 1.74f, 0.13f, 3.49f, -0.15f, 5.22f)
                curveToRelative(-0.36f, -0.03f, -0.71f, -0.05f, -1.06f, -0.05f)
                curveToRelative(-0.95f, -3.75f, -1.72f, -7.55f, -2.62f, -11.31f)
                curveToRelative(-0.38f, -1.53f, -0.58f, -3.09f, -1.07f, -4.59f)
                curveToRelative(-1.7f, -0.24f, -3.43f, -0.17f, -5.15f, -0.2f)
                curveToRelative(-5.06f, -0.01f, -10.13f, 0.0f, -15.19f, -0.01f)
                curveToRelative(-1.66f, -0.01f, -3.32f, 0.09f, -4.98f, -0.03f)
                curveToRelative(-0.03f, -0.39f, -0.26f, -0.91f, 0.16f, -1.18f)
                curveToRelative(1.28f, -0.65f, 2.72f, -0.88f, 4.06f, -1.35f)
                curveToRelative(3.43f, -1.14f, 6.88f, -2.16f, 10.31f, -3.31f)
                curveToRelative(1.39f, -0.48f, 2.9f, -0.72f, 4.16f, -1.54f)
                curveToRelative(0.04f, -0.56f, 0.02f, -1.13f, -0.05f, -1.68f)
                curveToRelative(-1.23f, -0.55f, -2.53f, -0.87f, -3.81f, -1.28f)
                curveToRelative(-3.13f, -1.03f, -6.29f, -1.96f, -9.41f, -3.02f)
                curveToRelative(-1.79f, -0.62f, -3.67f, -1.0f, -5.41f, -1.79f)
                curveToRelative(-0.03f, -0.37f, -0.07f, -0.73f, -0.11f, -1.09f)
                curveToRelative(5.09f, -0.19f, 10.2f, 0.06f, 15.3f, -0.12f)
                curveToRelative(3.36f, -0.13f, 6.73f, 0.08f, 10.09f, -0.07f)
                curveToRelative(0.12f, -0.39f, 0.26f, -0.77f, 0.37f, -1.16f)
                curveToRelative(1.08f, -4.94f, 2.33f, -9.83f, 3.39f, -14.75f)
                close()
                moveTo(251.07f, 123.36f)
                curveToRelative(0.36f, 0.05f, 0.72f, 0.12f, 1.08f, 0.2f)
                curveToRelative(0.98f, 3.85f, 1.73f, 7.76f, 2.71f, 11.61f)
                curveToRelative(0.36f, 1.42f, 0.56f, 2.88f, 1.03f, 4.27f)
                curveToRelative(2.53f, 0.18f, 5.07f, -0.01f, 7.61f, 0.05f)
                curveToRelative(5.16f, 0.12f, 10.33f, 0.12f, 15.49f, 0.07f)
                curveToRelative(0.76f, -0.01f, 1.52f, 0.03f, 2.28f, 0.08f)
                curveToRelative(-0.04f, 0.36f, -0.07f, 0.72f, -0.1f, 1.08f)
                curveToRelative(-1.82f, 0.83f, -3.78f, 1.25f, -5.67f, 1.89f)
                curveToRelative(-3.73f, 1.23f, -7.48f, 2.39f, -11.22f, 3.57f)
                curveToRelative(-0.57f, 0.17f, -1.12f, 0.42f, -1.67f, 0.64f)
                curveToRelative(-0.15f, 0.55f, -0.18f, 1.12f, -0.12f, 1.69f)
                curveToRelative(0.87f, 0.48f, 1.82f, 0.81f, 2.77f, 1.09f)
                curveToRelative(4.88f, 1.52f, 9.73f, 3.14f, 14.63f, 4.6f)
                curveToRelative(0.38f, 0.13f, 0.78f, 0.27f, 1.13f, 0.49f)
                curveToRelative(0.4f, 0.27f, 0.23f, 0.79f, 0.15f, 1.18f)
                curveToRelative(-1.66f, 0.13f, -3.31f, 0.03f, -4.97f, 0.04f)
                curveToRelative(-5.17f, 0.01f, -10.33f, -0.01f, -15.5f, 0.01f)
                curveToRelative(-1.61f, 0.03f, -3.22f, -0.02f, -4.82f, 0.21f)
                curveToRelative(-0.52f, 1.67f, -0.72f, 3.42f, -1.17f, 5.11f)
                curveToRelative(-0.94f, 3.57f, -1.52f, 7.24f, -2.54f, 10.78f)
                curveToRelative(-0.36f, 0.01f, -0.71f, 0.02f, -1.06f, 0.06f)
                curveToRelative(-0.29f, -1.73f, -0.15f, -3.48f, -0.15f, -5.22f)
                verticalLineToRelative(-38.13f)
                curveToRelative(0.02f, -1.78f, -0.08f, -3.58f, 0.11f, -5.37f)
                close()
                moveTo(65.05f, 168.33f)
                curveToRelative(1.12f, -2.15f, 2.08f, -4.4f, 3.37f, -6.46f)
                curveToRelative(-1.82f, 7.56f, -2.91f, 15.27f, -3.62f, 23.0f)
                curveToRelative(-0.8f, 7.71f, -0.85f, 15.49f, -0.54f, 23.23f)
                curveToRelative(1.05f, 19.94f, 5.54f, 39.83f, 14.23f, 57.88f)
                curveToRelative(2.99f, 5.99f, 6.35f, 11.83f, 10.5f, 17.11f)
                curveToRelative(6.12f, 7.47f, 12.53f, 14.76f, 19.84f, 21.09f)
                curveToRelative(4.8f, 4.1f, 9.99f, 7.78f, 15.54f, 10.8f)
                curveToRelative(3.27f, 1.65f, 6.51f, 3.39f, 9.94f, 4.68f)
                curveToRelative(5.01f, 2.03f, 10.19f, 3.61f, 15.42f, 4.94f)
                curveToRelative(3.83f, 0.96f, 7.78f, 1.41f, 11.52f, 2.71f)
                curveToRelative(5.0f, 1.57f, 9.47f, 4.61f, 13.03f, 8.43f)
                curveToRelative(4.93f, 5.23f, 8.09f, 11.87f, 10.2f, 18.67f)
                curveToRelative(0.99f, 2.9f, 1.59f, 5.91f, 2.17f, 8.92f)
                curveToRelative(0.15f, 0.75f, 0.22f, 1.52f, 0.16f, 2.29f)
                curveToRelative(-6.5f, 2.78f, -13.26f, 5.06f, -20.26f, 6.18f)
                curveToRelative(-4.11f, 0.78f, -8.29f, 0.99f, -12.46f, 1.08f)
                curveToRelative(-10.25f, 0.24f, -20.47f, -1.76f, -30.12f, -5.12f)
                curveToRelative(-3.74f, -1.42f, -7.49f, -2.85f, -11.03f, -4.72f)
                curveToRelative(-8.06f, -3.84f, -15.64f, -8.7f, -22.46f, -14.46f)
                curveToRelative(-2.92f, -2.55f, -5.83f, -5.13f, -8.4f, -8.03f)
                curveToRelative(-9.16f, -9.83f, -16.3f, -21.41f, -21.79f, -33.65f)
                curveToRelative(-2.39f, -5.55f, -4.61f, -11.18f, -6.37f, -16.96f)
                curveToRelative(-1.17f, -3.94f, -2.36f, -7.89f, -3.26f, -11.91f)
                curveToRelative(-0.75f, -2.94f, -1.22f, -5.95f, -1.87f, -8.92f)
                curveToRelative(-0.46f, -2.14f, -0.69f, -4.32f, -1.03f, -6.48f)
                curveToRelative(-0.85f, -5.43f, -1.28f, -10.93f, -1.33f, -16.43f)
                curveToRelative(0.11f, -6.18f, 0.25f, -12.37f, 1.07f, -18.5f)
                curveToRelative(0.4f, -2.86f, 0.67f, -5.74f, 1.15f, -8.6f)
                curveToRelative(0.98f, -5.7f, 2.14f, -11.37f, 3.71f, -16.93f)
                curveToRelative(3.09f, -11.65f, 7.48f, -22.95f, 12.69f, -33.84f)
                close()
                moveTo(428.78f, 161.89f)
                curveToRelative(1.1f, 1.66f, 1.91f, 3.48f, 2.78f, 5.26f)
                curveToRelative(2.1f, 4.45f, 4.24f, 8.9f, 6.02f, 13.49f)
                curveToRelative(7.61f, 18.76f, 12.3f, 38.79f, 13.04f, 59.05f)
                curveToRelative(0.02f, 1.76f, 0.07f, 3.52f, 0.11f, 5.29f)
                curveToRelative(0.13f, 9.57f, -1.27f, 19.09f, -3.18f, 28.45f)
                curveToRelative(-0.73f, 3.59f, -1.54f, 7.17f, -2.58f, 10.69f)
                curveToRelative(-4.04f, 14.72f, -10.0f, 29.0f, -18.41f, 41.78f)
                curveToRelative(-8.21f, 12.57f, -19.01f, 23.55f, -31.84f, 31.41f)
                curveToRelative(-5.73f, 3.59f, -11.79f, 6.64f, -18.05f, 9.19f)
                curveToRelative(-5.78f, 2.19f, -11.71f, 4.03f, -17.8f, 5.11f)
                curveToRelative(-6.4f, 1.05f, -12.91f, 1.52f, -19.4f, 1.23f)
                curveToRelative(-7.92f, -0.48f, -15.78f, -2.07f, -23.21f, -4.85f)
                curveToRelative(-1.94f, -0.8f, -3.94f, -1.46f, -5.84f, -2.33f)
                curveToRelative(-0.21f, -1.51f, 0.25f, -2.99f, 0.53f, -4.46f)
                curveToRelative(1.16f, -5.74f, 3.03f, -11.36f, 5.7f, -16.58f)
                curveToRelative(2.37f, -4.51f, 5.52f, -8.65f, 9.46f, -11.9f)
                curveToRelative(2.43f, -2.05f, 5.24f, -3.61f, 8.16f, -4.83f)
                curveToRelative(3.58f, -1.5f, 7.47f, -1.97f, 11.24f, -2.83f)
                curveToRelative(7.23f, -1.71f, 14.37f, -3.93f, 21.15f, -7.0f)
                curveToRelative(10.35f, -4.65f, 19.71f, -11.38f, 27.65f, -19.46f)
                curveToRelative(1.59f, -1.61f, 3.23f, -3.18f, 4.74f, -4.87f)
                curveToRelative(3.37f, -3.76f, 6.71f, -7.57f, 9.85f, -11.53f)
                curveToRelative(7.48f, -10.07f, 12.82f, -21.59f, 16.71f, -33.48f)
                curveToRelative(1.58f, -5.3f, 3.21f, -10.6f, 4.21f, -16.05f)
                curveToRelative(0.63f, -2.87f, 1.04f, -5.78f, 1.52f, -8.68f)
                curveToRelative(0.87f, -6.09f, 1.59f, -12.22f, 1.68f, -18.38f)
                curveToRelative(0.12f, -6.65f, 0.14f, -13.32f, -0.53f, -19.94f)
                curveToRelative(-0.73f, -7.99f, -1.87f, -15.96f, -3.71f, -23.78f)
                close()
            }
        }
        .build()
        return _oldRepublic!!
    }

private var _oldRepublic: ImageVector? = null
