package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.OptinMonster: ImageVector
    get() {
        if (_optinMonster != null) {
            return _optinMonster!!
        }
        _optinMonster = Builder(name = "OptinMonster", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(572.6f, 421.4f)
                curveToRelative(5.6f, -9.5f, 4.7f, -15.2f, -5.4f, -11.6f)
                curveToRelative(-3.0f, -4.9f, -7.0f, -9.5f, -11.1f, -13.8f)
                curveToRelative(2.9f, -9.7f, -0.7f, -14.2f, -10.8f, -9.2f)
                curveToRelative(-4.6f, -3.2f, -10.3f, -6.5f, -15.9f, -9.2f)
                curveToRelative(0.0f, -15.1f, -11.6f, -11.6f, -17.6f, -5.7f)
                curveToRelative(-10.4f, -1.5f, -18.7f, -0.3f, -26.8f, 5.7f)
                curveToRelative(0.3f, -6.5f, 0.3f, -13.0f, 0.3f, -19.7f)
                curveToRelative(12.6f, 0.0f, 40.2f, -11.0f, 45.9f, -36.2f)
                curveToRelative(1.4f, -6.8f, 1.6f, -13.8f, -0.3f, -21.9f)
                curveToRelative(-3.0f, -13.5f, -14.3f, -21.3f, -25.1f, -25.7f)
                curveToRelative(-0.8f, -5.9f, -7.6f, -14.3f, -14.9f, -15.9f)
                reflectiveCurveToRelative(-12.4f, 4.9f, -14.1f, 10.3f)
                curveToRelative(-8.5f, 0.0f, -19.2f, 2.8f, -21.1f, 8.4f)
                curveToRelative(-5.4f, -0.5f, -11.1f, -1.4f, -16.8f, -1.9f)
                curveToRelative(2.7f, -1.9f, 5.4f, -3.5f, 8.4f, -4.6f)
                curveToRelative(5.4f, -9.2f, 14.6f, -11.4f, 25.7f, -11.6f)
                lineTo(473.0f, 256.0f)
                curveToRelative(19.5f, -0.5f, 43.0f, -5.9f, 53.8f, -18.1f)
                curveToRelative(12.7f, -13.8f, 14.6f, -37.3f, 12.4f, -55.1f)
                curveToRelative(-2.4f, -17.3f, -9.7f, -37.6f, -24.6f, -48.1f)
                curveToRelative(-8.4f, -5.9f, -21.6f, -0.8f, -22.7f, 9.5f)
                curveToRelative(-2.2f, 19.6f, 1.2f, 30.0f, -38.6f, 25.1f)
                curveToRelative(-10.3f, -23.8f, -24.6f, -44.6f, -42.7f, -60.0f)
                curveTo(341.0f, 49.6f, 242.9f, 55.5f, 166.4f, 71.7f)
                curveToRelative(19.7f, 4.6f, 41.1f, 8.6f, 59.7f, 16.5f)
                curveToRelative(-26.2f, 2.4f, -52.7f, 11.3f, -76.2f, 23.2f)
                curveToRelative(-32.8f, 17.0f, -44.0f, 29.9f, -56.7f, 42.4f)
                curveToRelative(14.9f, -2.2f, 28.9f, -5.1f, 43.8f, -3.8f)
                curveToRelative(-9.7f, 5.4f, -18.4f, 12.2f, -26.5f, 20.0f)
                curveToRelative(-25.8f, 0.9f, -23.8f, -5.3f, -26.2f, -25.9f)
                curveToRelative(-1.1f, -10.5f, -14.3f, -15.4f, -22.7f, -9.7f)
                curveToRelative(-28.1f, 19.9f, -33.5f, 79.9f, -12.2f, 103.5f)
                curveToRelative(10.8f, 12.2f, 35.1f, 17.3f, 54.9f, 17.8f)
                curveToRelative(-0.3f, 1.1f, -0.3f, 1.9f, -0.3f, 2.7f)
                curveToRelative(10.8f, 0.5f, 19.5f, 2.7f, 24.6f, 11.6f)
                curveToRelative(3.0f, 1.1f, 5.7f, 2.7f, 8.1f, 4.6f)
                curveToRelative(-5.4f, 0.5f, -11.1f, 1.4f, -16.5f, 1.9f)
                curveToRelative(-3.3f, -6.6f, -13.7f, -8.1f, -21.1f, -8.1f)
                curveToRelative(-1.6f, -5.7f, -6.5f, -12.2f, -14.1f, -10.3f)
                curveToRelative(-6.8f, 1.9f, -14.1f, 10.0f, -14.9f, 15.9f)
                curveToRelative(-22.5f, 9.5f, -30.1f, 26.8f, -25.1f, 47.6f)
                curveToRelative(5.3f, 24.8f, 33.0f, 36.2f, 45.9f, 36.2f)
                verticalLineToRelative(19.7f)
                curveToRelative(-6.6f, -5.0f, -14.3f, -7.5f, -26.8f, -5.7f)
                curveToRelative(-5.5f, -5.5f, -17.3f, -10.1f, -17.3f, 5.7f)
                curveToRelative(-5.9f, 2.7f, -11.4f, 5.9f, -15.9f, 9.2f)
                curveToRelative(-9.8f, -4.9f, -13.6f, -1.7f, -11.1f, 9.2f)
                curveToRelative(-4.1f, 4.3f, -7.8f, 8.6f, -11.1f, 13.8f)
                curveToRelative(-10.2f, -3.7f, -11.0f, 2.2f, -5.4f, 11.6f)
                curveToRelative(-1.1f, 3.5f, -1.6f, 7.0f, -1.9f, 10.8f)
                curveToRelative(-0.5f, 31.6f, 44.6f, 64.0f, 73.5f, 65.1f)
                curveToRelative(17.3f, 0.5f, 34.6f, -8.4f, 43.0f, -23.5f)
                curveToRelative(113.2f, 4.9f, 226.7f, 4.1f, 340.2f, 0.0f)
                curveToRelative(8.1f, 15.1f, 25.4f, 24.3f, 42.7f, 23.5f)
                curveToRelative(29.2f, -1.1f, 74.3f, -33.5f, 73.5f, -65.1f)
                curveToRelative(0.2f, -3.7f, -0.7f, -7.2f, -1.7f, -10.7f)
                close()
                moveTo(498.8f, 167.4f)
                curveToRelative(1.1f, -3.0f, 2.4f, -8.4f, 2.4f, -14.6f)
                curveToRelative(0.0f, -5.9f, 6.8f, -8.1f, 14.1f, -0.8f)
                curveToRelative(11.1f, 11.6f, 14.9f, 40.5f, 13.8f, 51.1f)
                curveToRelative(-4.1f, -13.6f, -13.0f, -29.0f, -30.3f, -35.7f)
                close()
                moveTo(494.2f, 174.1f)
                curveToRelative(19.5f, 6.2f, 28.6f, 27.6f, 29.7f, 48.9f)
                curveToRelative(-1.1f, 2.7f, -3.0f, 5.4f, -4.9f, 7.6f)
                curveToRelative(-5.7f, 5.9f, -15.4f, 10.0f, -26.2f, 12.2f)
                curveToRelative(4.3f, -21.3f, 0.3f, -47.3f, -12.7f, -63.0f)
                curveToRelative(4.9f, -0.8f, 10.9f, -2.4f, 14.1f, -5.7f)
                close()
                moveTo(470.1f, 180.9f)
                curveToRelative(13.8f, 11.9f, 20.0f, 39.2f, 14.1f, 63.5f)
                curveToRelative(-4.1f, 0.5f, -8.1f, 0.8f, -11.6f, 0.8f)
                curveToRelative(-1.9f, -21.9f, -6.8f, -44.0f, -14.3f, -64.6f)
                curveToRelative(3.7f, 0.3f, 8.1f, 0.3f, 11.8f, 0.3f)
                close()
                moveTo(47.5f, 203.0f)
                curveToRelative(-1.1f, -10.5f, 2.4f, -39.5f, 13.8f, -51.1f)
                curveToRelative(7.0f, -7.3f, 14.1f, -5.1f, 14.1f, 0.8f)
                curveToRelative(0.0f, 6.2f, 1.4f, 11.6f, 2.4f, 14.6f)
                curveToRelative(-17.3f, 6.8f, -26.2f, 22.2f, -30.3f, 35.7f)
                close()
                moveTo(57.2f, 230.6f)
                curveToRelative(-1.9f, -2.2f, -3.5f, -4.9f, -4.9f, -7.6f)
                curveToRelative(1.4f, -21.3f, 10.3f, -42.7f, 29.7f, -48.9f)
                curveToRelative(3.2f, 3.2f, 9.2f, 4.9f, 14.1f, 5.7f)
                curveToRelative(-13.0f, 15.7f, -17.0f, 41.6f, -12.7f, 63.0f)
                curveToRelative(-10.8f, -2.2f, -20.5f, -6.0f, -26.2f, -12.2f)
                close()
                moveTo(105.1f, 245.2f)
                curveToRelative(-4.1f, 0.0f, -8.1f, -0.3f, -12.7f, -0.8f)
                curveToRelative(-4.6f, -18.6f, -1.9f, -38.9f, 5.4f, -53.0f)
                verticalLineToRelative(0.3f)
                lineToRelative(12.2f, -5.1f)
                curveToRelative(4.9f, -1.9f, 9.7f, -3.8f, 14.9f, -4.9f)
                curveToRelative(-10.7f, 19.7f, -17.4f, 41.3f, -19.8f, 63.5f)
                close()
                moveTo(289.1f, 82.5f)
                curveToRelative(41.9f, 0.0f, 76.2f, 34.0f, 76.2f, 75.9f)
                curveToRelative(0.0f, 42.2f, -34.3f, 76.2f, -76.2f, 76.2f)
                reflectiveCurveToRelative(-76.2f, -34.0f, -76.2f, -76.2f)
                curveToRelative(0.0f, -41.8f, 34.3f, -75.9f, 76.2f, -75.9f)
                close()
                moveTo(404.7f, 256.8f)
                curveToRelative(-0.3f, 17.8f, -7.0f, 48.9f, -23.0f, 57.0f)
                curveToRelative(-13.2f, 6.6f, -6.5f, -7.5f, -16.5f, -58.1f)
                curveToRelative(13.3f, 0.3f, 26.6f, 0.3f, 39.5f, 1.1f)
                close()
                moveTo(350.7f, 255.2f)
                curveToRelative(0.8f, 4.9f, 3.8f, 40.3f, -1.6f, 41.9f)
                curveToRelative(-11.6f, 3.5f, -40.0f, 4.3f, -51.1f, -1.1f)
                curveToRelative(-4.1f, -3.0f, -4.6f, -35.9f, -4.3f, -41.1f)
                verticalLineToRelative(0.3f)
                curveToRelative(18.9f, -0.3f, 38.1f, -0.3f, 57.0f, 0.0f)
                close()
                moveTo(278.3f, 309.0f)
                curveToRelative(-13.0f, 3.5f, -41.6f, 4.1f, -54.6f, -1.6f)
                curveToRelative(-6.5f, -2.7f, -3.8f, -42.4f, -1.9f, -51.6f)
                curveToRelative(19.2f, -0.5f, 38.4f, -0.5f, 57.8f, -0.8f)
                verticalLineToRelative(0.3f)
                curveToRelative(1.1f, 8.3f, 3.3f, 51.2f, -1.3f, 53.7f)
                close()
                moveTo(171.8f, 257.9f)
                curveToRelative(12.2f, -0.8f, 24.6f, -1.4f, 36.8f, -1.6f)
                curveToRelative(-2.4f, 15.4f, -3.0f, 43.5f, -4.9f, 52.2f)
                curveToRelative(-1.1f, 6.8f, -4.3f, 6.8f, -9.7f, 4.3f)
                curveToRelative(-21.9f, -9.8f, -27.6f, -35.2f, -22.2f, -54.9f)
                close()
                moveTo(136.4f, 289.2f)
                curveToRelative(7.8f, -1.1f, 15.7f, -1.9f, 23.5f, -2.7f)
                curveToRelative(1.6f, 6.2f, 3.8f, 11.9f, 7.0f, 17.6f)
                curveToRelative(10.0f, 17.0f, 44.0f, 35.7f, 45.1f, 7.0f)
                curveToRelative(6.2f, 14.9f, 40.8f, 12.2f, 54.9f, 10.8f)
                curveToRelative(15.7f, -1.4f, 23.8f, -1.4f, 26.8f, -14.3f)
                curveToRelative(12.4f, 4.3f, 30.8f, 4.1f, 44.0f, 3.0f)
                curveToRelative(11.3f, -0.8f, 20.8f, -0.5f, 24.6f, -8.9f)
                curveToRelative(1.1f, 5.1f, 1.9f, 11.6f, 4.6f, 16.8f)
                curveToRelative(10.8f, 21.3f, 37.3f, 1.4f, 46.8f, -31.6f)
                curveToRelative(8.6f, 0.8f, 17.6f, 1.9f, 26.5f, 2.7f)
                curveToRelative(-0.4f, 1.3f, -3.8f, 7.3f, 7.3f, 11.6f)
                curveToRelative(-47.6f, 47.0f, -95.7f, 87.8f, -163.2f, 107.0f)
                curveToRelative(-63.2f, -20.8f, -112.1f, -59.5f, -155.9f, -106.5f)
                curveToRelative(9.6f, -3.4f, 10.4f, -8.8f, 8.0f, -12.5f)
                close()
                moveTo(114.8f, 461.7f)
                curveToRelative(-3.8f, 17.8f, -21.9f, 29.7f, -39.7f, 28.9f)
                curveToRelative(-19.2f, -0.8f, -46.5f, -17.0f, -59.2f, -36.5f)
                curveToRelative(-2.7f, -31.1f, 43.8f, -61.3f, 66.2f, -54.6f)
                curveToRelative(14.9f, 4.3f, 27.8f, 30.8f, 33.5f, 54.0f)
                curveToRelative(0.0f, 3.0f, -0.3f, 5.7f, -0.8f, 8.2f)
                close()
                moveTo(106.1f, 395.7f)
                curveToRelative(-0.5f, -13.5f, -0.5f, -27.0f, -0.3f, -40.5f)
                horizontalLineToRelative(0.3f)
                curveToRelative(2.7f, -1.6f, 5.7f, -3.8f, 7.8f, -6.5f)
                curveToRelative(6.5f, -1.6f, 13.0f, -5.1f, 15.1f, -9.2f)
                curveToRelative(3.3f, -7.1f, -7.0f, -7.5f, -5.4f, -12.4f)
                curveToRelative(2.7f, -1.1f, 5.7f, -2.2f, 7.8f, -3.5f)
                curveToRelative(29.2f, 29.2f, 58.6f, 56.5f, 97.3f, 77.0f)
                curveToRelative(-36.8f, 11.3f, -72.4f, 27.6f, -105.9f, 47.0f)
                curveToRelative(-1.2f, -18.6f, -7.7f, -35.9f, -16.7f, -51.9f)
                close()
                moveTo(443.7f, 460.3f)
                curveToRelative(-103.0f, 3.5f, -206.2f, 4.1f, -309.4f, 0.0f)
                curveToRelative(0.0f, 0.3f, 0.0f, 0.3f, -0.3f, 0.3f)
                verticalLineToRelative(-0.3f)
                horizontalLineToRelative(0.3f)
                curveToRelative(35.1f, -21.6f, 72.2f, -39.2f, 112.4f, -50.8f)
                curveToRelative(11.6f, 5.1f, 23.0f, 9.5f, 34.9f, 13.2f)
                curveToRelative(2.2f, 0.8f, 2.2f, 0.8f, 4.3f, 0.0f)
                curveToRelative(14.3f, -4.1f, 28.4f, -9.2f, 42.2f, -15.4f)
                curveToRelative(41.5f, 11.7f, 78.8f, 31.7f, 115.6f, 53.0f)
                close()
                moveTo(454.2f, 447.9f)
                curveToRelative(-35.9f, -19.5f, -73.0f, -35.9f, -111.9f, -47.6f)
                curveToRelative(38.1f, -20.0f, 71.9f, -47.3f, 103.5f, -76.7f)
                curveToRelative(2.2f, 1.4f, 4.6f, 2.4f, 7.6f, 3.2f)
                curveToRelative(0.0f, 0.8f, 0.3f, 1.9f, 0.5f, 2.4f)
                curveToRelative(-4.6f, 2.7f, -7.8f, 6.2f, -5.9f, 10.3f)
                curveToRelative(2.2f, 3.8f, 8.6f, 7.6f, 15.1f, 8.9f)
                curveToRelative(2.4f, 2.7f, 5.1f, 5.1f, 8.1f, 6.8f)
                curveToRelative(0.0f, 13.8f, -0.3f, 27.6f, -0.8f, 41.3f)
                lineToRelative(0.3f, -0.3f)
                curveToRelative(-9.3f, 15.9f, -15.5f, 37.0f, -16.5f, 51.7f)
                close()
                moveTo(560.1f, 454.1f)
                curveToRelative(-12.7f, 19.5f, -40.0f, 35.7f, -59.2f, 36.5f)
                curveToRelative(-19.3f, 0.9f, -40.5f, -13.2f, -40.5f, -37.0f)
                curveToRelative(5.7f, -23.2f, 18.9f, -49.7f, 33.5f, -54.0f)
                curveToRelative(22.7f, -6.9f, 69.2f, 23.4f, 66.2f, 54.5f)
                close()
                moveTo(372.9f, 75.2f)
                curveToRelative(-3.8f, -72.1f, -100.8f, -79.7f, -126.0f, -23.5f)
                curveToRelative(44.6f, -24.3f, 90.3f, -15.7f, 126.0f, 23.5f)
                close()
                moveTo(74.8f, 407.1f)
                curveToRelative(-15.7f, 1.6f, -49.5f, 25.4f, -49.5f, 43.2f)
                curveToRelative(0.0f, 11.6f, 15.7f, 19.5f, 32.2f, 14.9f)
                curveToRelative(12.2f, -3.2f, 31.1f, -17.6f, 35.9f, -27.3f)
                curveToRelative(6.0f, -11.6f, -3.7f, -32.7f, -18.6f, -30.8f)
                close()
                moveTo(290.7f, 230.9f)
                curveToRelative(28.6f, 0.0f, 51.9f, -21.6f, 51.9f, -48.4f)
                curveToRelative(0.0f, -36.1f, -40.5f, -58.1f, -72.2f, -44.3f)
                curveToRelative(9.5f, 3.0f, 16.5f, 11.6f, 16.5f, 21.6f)
                curveToRelative(0.0f, 23.3f, -33.3f, 32.0f, -46.5f, 11.3f)
                curveToRelative(-7.3f, 34.1f, 19.4f, 59.8f, 50.3f, 59.8f)
                close()
                moveTo(68.0f, 474.1f)
                curveToRelative(0.5f, 6.5f, 12.2f, 12.7f, 21.6f, 9.5f)
                curveToRelative(6.8f, -2.7f, 14.6f, -10.5f, 17.3f, -16.2f)
                curveToRelative(3.0f, -7.0f, -1.1f, -20.0f, -9.7f, -18.4f)
                curveToRelative(-8.9f, 1.6f, -29.7f, 16.7f, -29.2f, 25.1f)
                close()
                moveTo(501.2f, 407.1f)
                curveToRelative(-14.9f, -1.9f, -24.6f, 19.2f, -18.9f, 30.8f)
                curveToRelative(4.9f, 9.7f, 24.1f, 24.1f, 36.2f, 27.3f)
                curveToRelative(16.5f, 4.6f, 32.2f, -3.2f, 32.2f, -14.9f)
                curveToRelative(0.0f, -17.8f, -33.8f, -41.6f, -49.5f, -43.2f)
                close()
                moveTo(478.8f, 449.0f)
                curveToRelative(-8.4f, -1.6f, -12.4f, 11.3f, -9.5f, 18.4f)
                curveToRelative(2.4f, 5.7f, 10.3f, 13.5f, 17.3f, 16.2f)
                curveToRelative(9.2f, 3.2f, 21.1f, -3.0f, 21.3f, -9.5f)
                curveToRelative(0.9f, -8.4f, -20.2f, -23.5f, -29.1f, -25.1f)
                close()
            }
        }
        .build()
        return _optinMonster!!
    }

private var _optinMonster: ImageVector? = null
