package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.PhoenixFramework: ImageVector
    get() {
        if (_phoenixFramework != null) {
            return _phoenixFramework!!
        }
        _phoenixFramework = Builder(name = "PhoenixFramework", defaultWidth = 640.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(212.9f, 344.3f)
                curveToRelative(3.8f, -0.1f, 22.8f, -1.4f, 25.6f, -2.2f)
                curveToRelative(-2.4f, -2.6f, -43.6f, -1.0f, -68.0f, -49.6f)
                curveToRelative(-4.3f, -8.6f, -7.5f, -17.6f, -6.4f, -27.6f)
                curveToRelative(2.9f, -25.5f, 32.9f, -30.0f, 52.0f, -18.5f)
                curveToRelative(36.0f, 21.6f, 63.3f, 91.3f, 113.7f, 97.5f)
                curveToRelative(37.0f, 4.5f, 84.6f, -17.0f, 108.2f, -45.4f)
                curveToRelative(-0.6f, -0.1f, -0.8f, -0.2f, -1.0f, -0.1f)
                curveToRelative(-0.4f, 0.1f, -0.8f, 0.2f, -1.1f, 0.3f)
                curveToRelative(-33.3f, 12.1f, -94.3f, 9.7f, -134.7f, -14.8f)
                curveToRelative(-37.6f, -22.8f, -53.1f, -58.7f, -51.8f, -74.6f)
                curveToRelative(1.8f, -21.3f, 22.9f, -23.2f, 35.9f, -19.6f)
                curveToRelative(14.4f, 3.9f, 24.4f, 17.6f, 38.9f, 27.4f)
                curveToRelative(15.6f, 10.4f, 32.9f, 13.7f, 51.3f, 10.3f)
                curveToRelative(14.9f, -2.7f, 34.4f, -12.3f, 36.5f, -14.5f)
                curveToRelative(-1.1f, -0.1f, -1.8f, -0.1f, -2.5f, -0.2f)
                curveToRelative(-6.2f, -0.6f, -12.4f, -0.8f, -18.5f, -1.7f)
                curveTo(279.8f, 194.5f, 262.1f, 47.4f, 138.5f, 37.9f)
                curveTo(94.2f, 34.5f, 39.1f, 46.0f, 2.2f, 72.9f)
                curveToRelative(-0.8f, 0.6f, -1.5f, 1.2f, -2.2f, 1.8f)
                curveToRelative(0.1f, 0.2f, 0.1f, 0.3f, 0.2f, 0.5f)
                curveToRelative(0.8f, 0.0f, 1.6f, -0.1f, 2.4f, -0.2f)
                curveToRelative(6.3f, -1.0f, 12.5f, -0.8f, 18.7f, 0.3f)
                curveToRelative(23.8f, 4.3f, 47.7f, 23.1f, 55.9f, 76.5f)
                curveToRelative(5.3f, 34.3f, -0.7f, 50.8f, 8.0f, 86.1f)
                curveToRelative(19.0f, 77.1f, 91.0f, 107.6f, 127.7f, 106.4f)
                close()
                moveTo(75.3f, 64.9f)
                curveToRelative(-0.9f, -1.0f, -0.9f, -1.2f, -1.3f, -2.0f)
                curveToRelative(12.1f, -2.6f, 24.2f, -4.1f, 36.6f, -4.8f)
                curveToRelative(-1.1f, 14.7f, -22.2f, 21.3f, -35.3f, 6.8f)
                close()
                moveTo(272.2f, 415.4f)
                curveToRelative(-42.8f, 1.2f, -92.0f, -26.7f, -123.5f, -61.4f)
                curveToRelative(-4.6f, -5.0f, -16.8f, -20.2f, -18.6f, -23.4f)
                lineToRelative(0.4f, -0.4f)
                curveToRelative(6.6f, 4.1f, 25.7f, 18.6f, 54.8f, 27.0f)
                curveToRelative(24.2f, 7.0f, 48.1f, 6.3f, 71.6f, -3.3f)
                curveToRelative(22.7f, -9.3f, 41.0f, -0.5f, 43.1f, 2.9f)
                curveToRelative(-18.5f, 3.8f, -20.1f, 4.4f, -24.0f, 7.9f)
                curveToRelative(-5.1f, 4.4f, -4.6f, 11.7f, 7.0f, 17.2f)
                curveToRelative(26.2f, 12.4f, 63.0f, -2.8f, 97.2f, 25.4f)
                curveToRelative(2.4f, 2.0f, 8.1f, 7.8f, 10.1f, 10.7f)
                curveToRelative(-0.1f, 0.2f, -0.3f, 0.3f, -0.4f, 0.5f)
                curveToRelative(-4.8f, -1.5f, -16.4f, -7.5f, -40.2f, -9.3f)
                curveToRelative(-24.7f, -2.0f, -46.3f, 5.3f, -77.5f, 6.2f)
                close()
                moveTo(447.0f, 163.4f)
                curveToRelative(16.4f, -5.2f, 41.3f, -13.4f, 66.5f, -3.3f)
                curveToRelative(16.1f, 6.5f, 26.2f, 18.7f, 32.1f, 34.6f)
                curveToRelative(3.5f, 9.4f, 5.1f, 19.7f, 5.1f, 28.7f)
                curveToRelative(-0.2f, 0.0f, -0.4f, 0.0f, -0.6f, 0.1f)
                curveToRelative(-0.2f, -0.4f, -0.4f, -0.9f, -0.5f, -1.3f)
                curveToRelative(-5.0f, -22.0f, -29.9f, -43.8f, -67.6f, -29.9f)
                curveToRelative(-50.2f, 18.6f, -130.4f, 9.7f, -176.9f, -48.0f)
                curveToRelative(-0.7f, -0.9f, -2.4f, -1.7f, -1.3f, -3.2f)
                curveToRelative(0.1f, -0.2f, 2.1f, 0.6f, 3.0f, 1.3f)
                curveToRelative(18.1f, 13.4f, 38.3f, 21.9f, 60.3f, 26.2f)
                curveToRelative(30.5f, 6.1f, 54.6f, 2.9f, 79.9f, -5.2f)
                close()
                moveTo(549.7f, 280.9f)
                curveToRelative(-32.4f, 0.2f, -33.8f, 50.1f, -103.6f, 64.4f)
                curveToRelative(-18.2f, 3.7f, -38.7f, 4.6f, -44.9f, 4.2f)
                verticalLineToRelative(-0.4f)
                curveToRelative(2.8f, -1.5f, 14.7f, -2.6f, 29.7f, -16.6f)
                curveToRelative(7.9f, -7.3f, 15.3f, -15.1f, 22.8f, -22.9f)
                curveToRelative(19.5f, -20.2f, 41.4f, -42.2f, 81.9f, -39.0f)
                curveToRelative(23.1f, 1.8f, 29.3f, 8.2f, 36.1f, 12.7f)
                curveToRelative(0.3f, 0.2f, 0.4f, 0.5f, 0.7f, 0.9f)
                curveToRelative(-0.5f, 0.0f, -0.7f, 0.1f, -0.9f, 0.0f)
                curveToRelative(-7.0f, -2.7f, -14.3f, -3.3f, -21.8f, -3.3f)
                close()
                moveTo(537.4f, 256.8f)
                curveToRelative(-0.1f, 0.2f, -0.1f, 0.4f, -0.2f, 0.6f)
                curveToRelative(-28.9f, -4.4f, -48.0f, -7.9f, -68.5f, 4.0f)
                curveToRelative(-17.0f, 9.9f, -31.4f, 20.5f, -62.0f, 24.4f)
                curveToRelative(-27.1f, 3.4f, -45.1f, 2.4f, -66.1f, -8.0f)
                curveToRelative(-0.3f, -0.2f, -0.6f, -0.4f, -1.0f, -0.6f)
                curveToRelative(0.0f, -0.2f, 0.1f, -0.3f, 0.1f, -0.5f)
                curveToRelative(24.9f, 3.8f, 36.4f, 5.1f, 55.5f, -5.8f)
                curveToRelative(22.3f, -12.9f, 40.1f, -26.6f, 71.3f, -31.0f)
                curveToRelative(29.6f, -4.1f, 51.3f, 2.5f, 70.9f, 16.9f)
                close()
                moveTo(268.6f, 97.3f)
                curveToRelative(-0.6f, -0.6f, -1.1f, -1.2f, -2.1f, -2.3f)
                curveToRelative(7.6f, 0.0f, 29.7f, -1.2f, 53.4f, 8.4f)
                curveToRelative(19.7f, 8.0f, 32.2f, 21.0f, 50.2f, 32.9f)
                curveToRelative(11.1f, 7.3f, 23.4f, 9.3f, 36.4f, 8.1f)
                curveToRelative(4.3f, -0.4f, 8.5f, -1.2f, 12.8f, -1.7f)
                curveToRelative(0.4f, -0.1f, 0.9f, 0.0f, 1.5f, 0.3f)
                curveToRelative(-0.6f, 0.4f, -1.2f, 0.9f, -1.8f, 1.2f)
                curveToRelative(-8.1f, 4.0f, -16.7f, 6.3f, -25.6f, 7.1f)
                curveToRelative(-26.1f, 2.6f, -50.3f, -3.7f, -73.4f, -15.4f)
                curveToRelative(-19.3f, -9.9f, -36.4f, -22.9f, -51.4f, -38.6f)
                close()
                moveTo(640.0f, 335.7f)
                curveToRelative(-3.5f, 3.1f, -22.7f, 11.6f, -42.7f, 5.3f)
                curveToRelative(-12.3f, -3.9f, -19.5f, -14.9f, -31.6f, -24.1f)
                curveToRelative(-10.0f, -7.6f, -20.9f, -7.9f, -28.1f, -8.4f)
                curveToRelative(0.6f, -0.8f, 0.9f, -1.2f, 1.2f, -1.4f)
                curveToRelative(14.8f, -9.2f, 30.5f, -12.2f, 47.3f, -6.5f)
                curveToRelative(12.5f, 4.2f, 19.2f, 13.5f, 30.4f, 24.2f)
                curveToRelative(10.8f, 10.4f, 21.0f, 9.9f, 23.1f, 10.5f)
                curveToRelative(0.1f, -0.1f, 0.2f, 0.0f, 0.4f, 0.4f)
                close()
                moveTo(427.5f, 472.7f)
                curveToRelative(2.2f, 1.2f, 1.6f, 1.5f, 1.5f, 2.0f)
                curveToRelative(-18.5f, -1.4f, -33.9f, -7.6f, -46.8f, -22.2f)
                curveToRelative(-21.8f, -24.7f, -41.7f, -27.9f, -48.6f, -29.7f)
                curveToRelative(0.5f, -0.2f, 0.8f, -0.4f, 1.1f, -0.4f)
                curveToRelative(13.1f, 0.1f, 26.1f, 0.7f, 38.9f, 3.9f)
                curveToRelative(25.3f, 6.4f, 35.0f, 25.4f, 41.6f, 35.3f)
                curveToRelative(3.2f, 4.8f, 7.3f, 8.3f, 12.3f, 11.1f)
                close()
            }
        }
        .build()
        return _phoenixFramework!!
    }

private var _phoenixFramework: ImageVector? = null
