package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Schlix: ImageVector
    get() {
        if (_schlix != null) {
            return _schlix!!
        }
        _schlix = Builder(name = "Schlix", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(350.5f, 157.7f)
                lineToRelative(-54.2f, -46.1f)
                lineToRelative(73.4f, -39.0f)
                lineToRelative(78.3f, 44.2f)
                lineToRelative(-97.5f, 40.9f)
                close()
                moveTo(192.0f, 122.1f)
                lineToRelative(45.7f, -28.2f)
                lineToRelative(34.7f, 34.6f)
                lineToRelative(-55.4f, 29.0f)
                lineToRelative(-25.0f, -35.4f)
                close()
                moveTo(126.9f, 128.7f)
                lineToRelative(31.9f, -22.1f)
                lineTo(176.0f, 135.0f)
                lineToRelative(-36.7f, 22.5f)
                lineToRelative(-12.4f, -28.8f)
                close()
                moveTo(103.6f, 216.9f)
                lineToRelative(-8.8f, -34.8f)
                lineToRelative(29.6f, -18.3f)
                lineToRelative(13.1f, 35.3f)
                lineToRelative(-33.9f, 17.8f)
                close()
                moveTo(82.4f, 133.2f)
                lineToRelative(23.9f, -18.1f)
                lineToRelative(8.9f, 24.0f)
                lineToRelative(-26.7f, 18.3f)
                lineToRelative(-6.1f, -24.2f)
                close()
                moveTo(59.0f, 206.5f)
                lineToRelative(-3.6f, -28.4f)
                lineToRelative(22.3f, -15.5f)
                lineToRelative(6.1f, 28.7f)
                lineTo(59.0f, 206.5f)
                close()
                moveTo(28.4f, 223.1f)
                lineToRelative(20.8f, -12.8f)
                lineToRelative(3.3f, 33.4f)
                lineToRelative(-22.9f, 12.0f)
                lineToRelative(-1.2f, -32.6f)
                close()
                moveTo(1.4f, 268.0f)
                lineToRelative(19.2f, -10.2f)
                lineToRelative(0.4f, 38.2f)
                lineToRelative(-21.0f, 8.8f)
                lineTo(1.4f, 268.0f)
                close()
                moveTo(60.5f, 327.3f)
                lineToRelative(-28.3f, 8.3f)
                lineToRelative(-1.6f, -46.8f)
                lineToRelative(25.1f, -10.7f)
                lineToRelative(4.8f, 49.2f)
                close()
                moveTo(99.0f, 263.2f)
                lineToRelative(-31.1f, 13.0f)
                lineToRelative(-5.2f, -40.8f)
                lineTo(90.1f, 221.0f)
                lineToRelative(8.9f, 42.2f)
                close()
                moveTo(123.2f, 377.0f)
                lineToRelative(-41.6f, 5.9f)
                lineToRelative(-8.1f, -63.5f)
                lineToRelative(35.2f, -10.8f)
                lineToRelative(14.5f, 68.4f)
                close()
                moveTo(151.7f, 237.1f)
                lineToRelative(21.2f, 57.1f)
                lineToRelative(-46.2f, 13.6f)
                lineToRelative(-13.7f, -54.1f)
                lineToRelative(38.7f, -16.6f)
                close()
                moveTo(237.4f, 467.6f)
                lineToRelative(-70.9f, -3.3f)
                lineToRelative(-24.3f, -95.8f)
                lineToRelative(55.2f, -8.6f)
                lineToRelative(40.0f, 107.7f)
                close()
                moveTo(152.5f, 187.9f)
                lineToRelative(42.2f, -22.4f)
                lineToRelative(28.0f, 45.9f)
                lineToRelative(-50.8f, 21.3f)
                lineToRelative(-19.4f, -44.8f)
                close()
                moveTo(193.5f, 282.8f)
                lineToRelative(61.3f, -18.7f)
                lineToRelative(52.8f, 86.6f)
                lineToRelative(-79.8f, 11.3f)
                lineToRelative(-34.3f, -79.2f)
                close()
                moveTo(244.9f, 197.2f)
                lineToRelative(67.3f, -28.8f)
                lineToRelative(65.5f, 65.4f)
                lineToRelative(-88.6f, 26.2f)
                lineToRelative(-44.2f, -62.8f)
                close()
            }
        }
        .build()
        return _schlix!!
    }

private var _schlix: ImageVector? = null
