package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.StickerMule: ImageVector
    get() {
        if (_stickerMule != null) {
            return _stickerMule!!
        }
        _stickerMule = Builder(name = "StickerMule", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(561.7f, 199.6f)
                curveToRelative(-1.3f, 0.3f, 0.3f, 0.0f, 0.0f, 0.0f)
                close()
                moveTo(555.5f, 122.2f)
                curveToRelative(-7.7f, -22.3f, -5.1f, -7.2f, -13.4f, -36.9f)
                curveToRelative(-1.6f, -6.5f, -3.6f, -14.5f, -6.2f, -20.0f)
                curveToRelative(-4.4f, -8.7f, -4.6f, -7.5f, -4.6f, -9.5f)
                curveToRelative(0.0f, -5.3f, 30.7f, -45.3f, 19.0f, -46.9f)
                curveToRelative(-5.7f, -0.6f, -12.2f, 11.6f, -20.6f, 17.0f)
                curveToRelative(-8.6f, 4.2f, -8.0f, 5.0f, -10.3f, 5.0f)
                curveToRelative(-2.6f, 0.0f, -5.7f, -3.0f, -6.2f, -5.0f)
                curveToRelative(-2.0f, -5.7f, 1.9f, -25.9f, -3.6f, -25.9f)
                curveToRelative(-3.6f, 0.0f, -12.3f, 24.8f, -17.0f, 25.8f)
                curveToRelative(-5.2f, 1.3f, -27.9f, -11.4f, -75.1f, 18.0f)
                curveToRelative(-25.3f, 13.2f, -86.9f, 65.2f, -87.0f, 65.3f)
                curveToRelative(-6.7f, 4.7f, -20.0f, 4.7f, -35.5f, 16.0f)
                curveToRelative(-44.4f, 30.1f, -109.6f, 9.4f, -110.7f, 9.0f)
                curveToRelative(-110.6f, -26.8f, -128.0f, -15.2f, -159.0f, 11.5f)
                curveToRelative(-20.8f, 17.9f, -23.7f, 36.5f, -24.2f, 38.9f)
                curveToRelative(-4.2f, 20.4f, 5.2f, 48.3f, 6.7f, 64.3f)
                curveToRelative(1.8f, 19.3f, -2.7f, 17.7f, 7.7f, 98.3f)
                curveToRelative(0.5f, 1.0f, 4.1f, 0.0f, 5.1f, 1.5f)
                curveToRelative(0.0f, 8.4f, -3.8f, 12.1f, -4.1f, 13.0f)
                curveToRelative(-1.5f, 4.5f, -1.5f, 10.5f, 0.0f, 16.0f)
                curveToRelative(2.3f, 8.2f, 8.2f, 37.2f, 8.2f, 46.9f)
                curveToRelative(0.0f, 41.8f, 0.4f, 44.0f, 2.6f, 49.4f)
                curveToRelative(3.9f, 10.0f, 12.5f, 9.1f, 17.0f, 12.0f)
                curveToRelative(3.1f, 3.5f, -0.5f, 8.5f, 1.0f, 12.5f)
                curveToRelative(0.5f, 2.0f, 3.6f, 4.0f, 6.2f, 5.0f)
                curveToRelative(9.2f, 3.6f, 27.0f, 0.3f, 29.9f, -2.5f)
                curveToRelative(1.6f, -1.5f, 0.5f, -4.5f, 3.1f, -5.0f)
                curveToRelative(5.1f, 0.0f, 10.8f, -0.5f, 14.4f, -2.5f)
                curveToRelative(5.1f, -2.5f, 4.1f, -6.0f, 1.5f, -10.5f)
                curveToRelative(-0.4f, -0.8f, -7.0f, -13.3f, -9.8f, -16.0f)
                curveToRelative(-2.1f, -2.0f, -5.1f, -3.0f, -7.2f, -4.5f)
                curveToRelative(-5.8f, -4.9f, -10.3f, -19.4f, -10.3f, -19.5f)
                curveToRelative(-4.6f, -19.4f, -10.3f, -46.3f, -4.1f, -66.8f)
                curveToRelative(4.6f, -17.2f, 39.5f, -87.7f, 39.6f, -87.8f)
                curveToRelative(4.1f, -6.5f, 17.0f, -11.5f, 27.3f, -7.0f)
                curveToRelative(6.0f, 1.9f, 19.3f, 22.0f, 65.4f, 30.9f)
                curveToRelative(47.9f, 8.7f, 97.4f, -2.0f, 112.2f, -2.0f)
                curveToRelative(2.8f, 2.0f, -1.9f, 13.0f, -0.5f, 38.9f)
                curveToRelative(0.0f, 26.4f, -0.4f, 13.7f, -4.1f, 29.9f)
                curveToRelative(-2.2f, 9.7f, 3.4f, 23.2f, -1.5f, 46.9f)
                curveToRelative(-1.4f, 9.8f, -9.9f, 32.7f, -8.2f, 43.4f)
                curveToRelative(0.5f, 1.0f, 1.0f, 2.0f, 1.5f, 3.5f)
                curveToRelative(0.5f, 4.5f, 1.5f, 8.5f, 4.6f, 10.0f)
                curveToRelative(7.3f, 3.6f, 12.0f, -3.5f, 9.8f, 11.5f)
                curveToRelative(-0.7f, 3.1f, -2.6f, 12.0f, 1.5f, 15.0f)
                curveToRelative(4.4f, 3.7f, 30.6f, 3.4f, 36.5f, 0.5f)
                curveToRelative(2.6f, -1.5f, 1.6f, -4.5f, 6.4f, -7.4f)
                curveToRelative(1.9f, -0.9f, 11.3f, -0.4f, 11.3f, -6.5f)
                curveToRelative(0.3f, -1.8f, -9.2f, -19.9f, -9.3f, -20.0f)
                curveToRelative(-2.6f, -3.5f, -9.2f, -4.5f, -11.3f, -8.0f)
                curveToRelative(-6.9f, -10.1f, -1.7f, -52.6f, 0.5f, -59.4f)
                curveToRelative(3.0f, -11.0f, 5.6f, -22.4f, 8.7f, -32.4f)
                curveToRelative(11.0f, -42.5f, 10.3f, -50.6f, 16.5f, -68.3f)
                curveToRelative(0.8f, -1.8f, 6.4f, -23.1f, 10.3f, -29.9f)
                curveToRelative(9.3f, -17.0f, 21.7f, -32.4f, 33.5f, -47.4f)
                curveToRelative(18.0f, -22.9f, 34.0f, -46.9f, 52.0f, -69.8f)
                curveToRelative(6.1f, -7.0f, 8.2f, -13.7f, 18.0f, -8.0f)
                curveToRelative(10.8f, 5.7f, 21.6f, 7.0f, 31.9f, 17.0f)
                curveToRelative(14.6f, 12.8f, 10.2f, 18.2f, 11.8f, 22.9f)
                curveToRelative(1.5f, 5.0f, 7.7f, 10.5f, 14.9f, 9.5f)
                curveToRelative(10.4f, -2.0f, 13.0f, -2.5f, 13.4f, -2.5f)
                curveToRelative(2.6f, -0.5f, 5.7f, -5.0f, 7.2f, -8.0f)
                curveToRelative(3.1f, -5.5f, 7.2f, -9.0f, 7.2f, -16.5f)
                curveToRelative(0.0f, -7.7f, -0.4f, -2.8f, -20.6f, -52.9f)
                close()
            }
        }
        .build()
        return _stickerMule!!
    }

private var _stickerMule: ImageVector? = null
