package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Supple: ImageVector
    get() {
        if (_supple != null) {
            return _supple!!
        }
        _supple = Builder(name = "Supple", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(640.0f, 262.5f)
                curveToRelative(0.0f, 64.1f, -109.0f, 116.1f, -243.5f, 116.1f)
                curveToRelative(-24.8f, 0.0f, -48.6f, -1.8f, -71.1f, -5.0f)
                curveToRelative(7.7f, 0.4f, 15.5f, 0.6f, 23.4f, 0.6f)
                curveToRelative(134.5f, 0.0f, 243.5f, -56.9f, 243.5f, -127.1f)
                curveToRelative(0.0f, -29.4f, -19.1f, -56.4f, -51.2f, -78.0f)
                curveToRelative(60.0f, 21.1f, 98.9f, 55.1f, 98.9f, 93.4f)
                close()
                moveTo(47.7f, 227.9f)
                curveToRelative(-0.1f, -70.2f, 108.8f, -127.3f, 243.3f, -127.6f)
                curveToRelative(7.9f, 0.0f, 15.6f, 0.2f, 23.3f, 0.5f)
                curveToRelative(-22.5f, -3.2f, -46.3f, -4.9f, -71.0f, -4.9f)
                curveTo(108.8f, 96.3f, -0.1f, 148.5f, 0.0f, 212.6f)
                curveToRelative(0.1f, 38.3f, 39.1f, 72.3f, 99.3f, 93.3f)
                curveToRelative(-32.3f, -21.5f, -51.5f, -48.6f, -51.6f, -78.0f)
                close()
                moveTo(107.9f, 267.8f)
                reflectiveCurveToRelative(10.5f, 13.2f, 29.3f, 13.2f)
                curveToRelative(17.9f, 0.0f, 28.4f, -11.5f, 28.4f, -25.1f)
                curveToRelative(0.0f, -28.0f, -40.2f, -25.1f, -40.2f, -39.7f)
                curveToRelative(0.0f, -5.4f, 5.3f, -9.1f, 12.5f, -9.1f)
                curveToRelative(5.7f, 0.0f, 11.3f, 2.6f, 11.3f, 6.6f)
                verticalLineToRelative(3.9f)
                horizontalLineToRelative(14.2f)
                verticalLineToRelative(-7.9f)
                curveToRelative(0.0f, -12.1f, -15.4f, -16.8f, -25.4f, -16.8f)
                curveToRelative(-16.5f, 0.0f, -28.5f, 10.2f, -28.5f, 24.1f)
                curveToRelative(0.0f, 26.6f, 40.2f, 25.4f, 40.2f, 39.9f)
                curveToRelative(0.0f, 6.6f, -5.8f, 10.1f, -12.3f, 10.1f)
                curveToRelative(-11.9f, 0.0f, -20.7f, -10.1f, -20.7f, -10.1f)
                lineToRelative(-8.8f, 10.9f)
                close()
                moveTo(228.7f, 194.2f)
                verticalLineToRelative(54.4f)
                curveToRelative(0.0f, 11.3f, -7.1f, 17.8f, -17.8f, 17.8f)
                curveToRelative(-10.7f, 0.0f, -17.8f, -6.5f, -17.8f, -17.7f)
                verticalLineToRelative(-54.5f)
                horizontalLineToRelative(-15.8f)
                verticalLineToRelative(55.0f)
                curveToRelative(0.0f, 18.9f, 13.4f, 31.9f, 33.7f, 31.9f)
                curveToRelative(20.1f, 0.0f, 33.4f, -13.0f, 33.4f, -31.9f)
                verticalLineToRelative(-55.0f)
                horizontalLineToRelative(-15.7f)
                close()
                moveTo(263.1f, 279.6f)
                horizontalLineToRelative(15.8f)
                verticalLineToRelative(-29.5f)
                horizontalLineToRelative(15.5f)
                curveToRelative(16.0f, 0.0f, 27.2f, -11.5f, 27.2f, -28.1f)
                reflectiveCurveToRelative(-11.2f, -27.8f, -27.2f, -27.8f)
                horizontalLineToRelative(-39.1f)
                verticalLineToRelative(13.4f)
                horizontalLineToRelative(7.8f)
                verticalLineToRelative(72.0f)
                close()
                moveTo(278.9f, 236.6f)
                verticalLineToRelative(-29.1f)
                horizontalLineToRelative(12.9f)
                curveToRelative(8.7f, 0.0f, 13.7f, 5.7f, 13.7f, 14.4f)
                curveToRelative(0.0f, 8.9f, -5.1f, 14.7f, -14.0f, 14.7f)
                horizontalLineToRelative(-12.6f)
                close()
                moveTo(335.9f, 279.6f)
                horizontalLineToRelative(15.8f)
                verticalLineToRelative(-29.5f)
                horizontalLineToRelative(15.5f)
                curveToRelative(16.0f, 0.0f, 27.2f, -11.5f, 27.2f, -28.1f)
                reflectiveCurveToRelative(-11.2f, -27.8f, -27.2f, -27.8f)
                horizontalLineToRelative(-39.1f)
                verticalLineToRelative(13.4f)
                horizontalLineToRelative(7.8f)
                verticalLineToRelative(72.0f)
                close()
                moveTo(351.6f, 236.6f)
                verticalLineToRelative(-29.1f)
                horizontalLineToRelative(12.9f)
                curveToRelative(8.7f, 0.0f, 13.7f, 5.7f, 13.7f, 14.4f)
                curveToRelative(0.0f, 8.9f, -5.0f, 14.7f, -14.0f, 14.7f)
                horizontalLineToRelative(-12.6f)
                close()
                moveTo(408.7f, 271.4f)
                curveToRelative(0.0f, 5.8f, 2.4f, 8.2f, 8.2f, 8.2f)
                horizontalLineToRelative(37.6f)
                curveToRelative(5.8f, 0.0f, 8.2f, -2.4f, 8.2f, -8.2f)
                verticalLineToRelative(-13.0f)
                horizontalLineToRelative(-14.3f)
                verticalLineToRelative(5.2f)
                curveToRelative(0.0f, 1.7f, -1.0f, 2.6f, -2.6f, 2.6f)
                horizontalLineToRelative(-18.6f)
                curveToRelative(-1.7f, 0.0f, -2.6f, -1.0f, -2.6f, -2.6f)
                verticalLineToRelative(-61.2f)
                curveToRelative(0.0f, -5.7f, -2.4f, -8.2f, -8.2f, -8.2f)
                lineTo(401.0f, 194.2f)
                verticalLineToRelative(13.4f)
                horizontalLineToRelative(5.2f)
                curveToRelative(1.7f, 0.0f, 2.6f, 1.0f, 2.6f, 2.6f)
                verticalLineToRelative(61.2f)
                close()
                moveTo(472.1f, 271.4f)
                curveToRelative(0.0f, 5.8f, 2.4f, 8.2f, 8.2f, 8.2f)
                lineTo(519.0f, 279.6f)
                curveToRelative(5.7f, 0.0f, 8.2f, -2.4f, 8.2f, -8.2f)
                verticalLineToRelative(-13.0f)
                horizontalLineToRelative(-14.3f)
                verticalLineToRelative(5.2f)
                curveToRelative(0.0f, 1.7f, -1.0f, 2.6f, -2.6f, 2.6f)
                horizontalLineToRelative(-19.7f)
                curveToRelative(-1.7f, 0.0f, -2.6f, -1.0f, -2.6f, -2.6f)
                verticalLineToRelative(-20.3f)
                horizontalLineToRelative(27.7f)
                verticalLineToRelative(-13.4f)
                lineTo(488.0f, 229.9f)
                verticalLineToRelative(-22.4f)
                horizontalLineToRelative(19.2f)
                curveToRelative(1.7f, 0.0f, 2.6f, 1.0f, 2.6f, 2.6f)
                verticalLineToRelative(5.2f)
                lineTo(524.0f, 215.3f)
                verticalLineToRelative(-13.0f)
                curveToRelative(0.0f, -5.7f, -2.5f, -8.2f, -8.2f, -8.2f)
                horizontalLineToRelative(-51.6f)
                verticalLineToRelative(13.4f)
                horizontalLineToRelative(7.8f)
                verticalLineToRelative(63.9f)
                close()
                moveTo(531.0f, 195.4f)
                verticalLineToRelative(5.9f)
                horizontalLineToRelative(1.6f)
                verticalLineToRelative(-5.9f)
                horizontalLineToRelative(2.7f)
                verticalLineToRelative(-1.2f)
                horizontalLineToRelative(-7.0f)
                verticalLineToRelative(1.2f)
                horizontalLineToRelative(2.7f)
                close()
                moveTo(536.7f, 194.2f)
                verticalLineToRelative(7.1f)
                horizontalLineToRelative(1.5f)
                verticalLineToRelative(-5.7f)
                lineToRelative(2.3f, 5.7f)
                horizontalLineToRelative(1.3f)
                lineToRelative(2.3f, -5.7f)
                verticalLineToRelative(5.7f)
                horizontalLineToRelative(1.5f)
                verticalLineToRelative(-7.1f)
                horizontalLineToRelative(-2.3f)
                lineToRelative(-2.1f, 5.1f)
                lineToRelative(-2.1f, -5.1f)
                horizontalLineToRelative(-2.4f)
                close()
            }
        }
        .build()
        return _supple!!
    }

private var _supple: ImageVector? = null
