package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Themeisle: ImageVector
    get() {
        if (_themeisle != null) {
            return _themeisle!!
        }
        _themeisle = Builder(name = "Themeisle", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(208.0f, 88.286f)
                curveToRelative(0.0f, -10.0f, 6.286f, -21.714f, 17.715f, -21.714f)
                curveToRelative(11.142f, 0.0f, 17.714f, 11.714f, 17.714f, 21.714f)
                curveToRelative(0.0f, 10.285f, -6.572f, 21.714f, -17.714f, 21.714f)
                curveTo(214.286f, 110.0f, 208.0f, 98.571f, 208.0f, 88.286f)
                close()
                moveTo(512.0f, 248.286f)
                curveToRelative(0.0f, 36.001f, -11.429f, 102.286f, -36.286f, 129.714f)
                curveToRelative(-22.858f, 24.858f, -87.428f, 61.143f, -120.857f, 70.572f)
                lineToRelative(-1.143f, 0.286f)
                verticalLineToRelative(32.571f)
                curveToRelative(0.0f, 16.286f, -12.572f, 30.571f, -29.143f, 30.571f)
                curveToRelative(-10.0f, 0.0f, -19.429f, -5.714f, -24.572f, -14.286f)
                curveToRelative(-5.427f, 8.572f, -14.856f, 14.286f, -24.856f, 14.286f)
                curveToRelative(-10.0f, 0.0f, -19.429f, -5.714f, -24.858f, -14.286f)
                curveToRelative(-5.142f, 8.572f, -14.571f, 14.286f, -24.57f, 14.286f)
                curveToRelative(-10.286f, 0.0f, -19.429f, -5.714f, -24.858f, -14.286f)
                curveToRelative(-5.143f, 8.572f, -14.571f, 14.286f, -24.571f, 14.286f)
                curveToRelative(-18.857f, 0.0f, -29.429f, -15.714f, -29.429f, -32.857f)
                curveToRelative(-16.286f, 12.285f, -35.715f, 19.428f, -56.571f, 19.428f)
                curveToRelative(-22.0f, 0.0f, -43.429f, -8.285f, -60.286f, -22.857f)
                curveToRelative(10.285f, -0.286f, 20.571f, -2.286f, 30.285f, -5.714f)
                curveToRelative(-20.857f, -5.714f, -39.428f, -18.857f, -52.0f, -36.286f)
                curveToRelative(21.37f, 4.645f, 46.209f, 1.673f, 67.143f, -11.143f)
                curveToRelative(-22.0f, -22.0f, -56.571f, -58.857f, -68.572f, -87.428f)
                curveTo(1.143f, 321.714f, 0.0f, 303.714f, 0.0f, 289.429f)
                curveToRelative(0.0f, -49.714f, 20.286f, -160.0f, 86.286f, -160.0f)
                curveToRelative(10.571f, 0.0f, 18.857f, 4.858f, 23.143f, 14.857f)
                arcToRelative(158.792f, 158.792f, 0.0f, false, true, 12.0f, -15.428f)
                curveToRelative(2.0f, -2.572f, 5.714f, -5.429f, 7.143f, -8.286f)
                curveToRelative(7.999f, -12.571f, 11.714f, -21.142f, 21.714f, -34.0f)
                curveTo(182.571f, 45.428f, 232.0f, 17.143f, 285.143f, 17.143f)
                curveToRelative(6.0f, 0.0f, 12.0f, 0.285f, 17.714f, 1.143f)
                curveTo(313.714f, 6.571f, 328.857f, 0.0f, 344.572f, 0.0f)
                curveToRelative(14.571f, 0.0f, 29.714f, 6.0f, 40.0f, 16.286f)
                curveToRelative(0.857f, 0.858f, 1.428f, 2.286f, 1.428f, 3.428f)
                curveToRelative(0.0f, 3.714f, -10.285f, 13.429f, -12.857f, 16.286f)
                curveToRelative(4.286f, 1.429f, 15.714f, 6.858f, 15.714f, 12.0f)
                curveToRelative(0.0f, 2.857f, -2.857f, 5.143f, -4.571f, 7.143f)
                curveToRelative(31.429f, 27.714f, 49.429f, 67.143f, 56.286f, 108.0f)
                curveToRelative(4.286f, -5.143f, 10.285f, -8.572f, 17.143f, -8.572f)
                curveToRelative(10.571f, 0.0f, 20.857f, 7.144f, 28.571f, 14.001f)
                curveTo(507.143f, 187.143f, 512.0f, 221.714f, 512.0f, 248.286f)
                close()
                moveTo(188.0f, 89.428f)
                curveToRelative(0.0f, 18.286f, 12.571f, 37.143f, 32.286f, 37.143f)
                curveToRelative(19.714f, 0.0f, 32.285f, -18.857f, 32.285f, -37.143f)
                curveToRelative(0.0f, -18.0f, -12.571f, -36.857f, -32.285f, -36.857f)
                curveToRelative(-19.715f, 0.0f, -32.286f, 18.858f, -32.286f, 36.857f)
                close()
                moveTo(237.714f, 194.0f)
                curveToRelative(0.0f, -19.714f, 3.714f, -39.143f, 8.571f, -58.286f)
                curveToRelative(-52.039f, 79.534f, -13.531f, 184.571f, 68.858f, 184.571f)
                curveToRelative(21.428f, 0.0f, 42.571f, -7.714f, 60.0f, -20.0f)
                curveToRelative(2.0f, -7.429f, 3.714f, -14.857f, 3.714f, -22.572f)
                curveToRelative(0.0f, -14.286f, -6.286f, -21.428f, -20.572f, -21.428f)
                curveToRelative(-4.571f, 0.0f, -9.143f, 0.857f, -13.429f, 1.714f)
                curveToRelative(-63.343f, 12.668f, -107.142f, 3.669f, -107.142f, -63.999f)
                close()
                moveTo(196.572f, 448.858f)
                curveToRelative(0.0f, -11.143f, -8.858f, -20.857f, -20.286f, -20.857f)
                curveToRelative(-11.429f, 0.0f, -20.0f, 9.715f, -20.0f, 20.857f)
                verticalLineToRelative(32.571f)
                curveToRelative(0.0f, 11.143f, 8.571f, 21.142f, 20.0f, 21.142f)
                curveToRelative(11.428f, 0.0f, 20.286f, -9.715f, 20.286f, -21.142f)
                verticalLineToRelative(-32.571f)
                close()
                moveTo(245.715f, 448.858f)
                curveToRelative(0.0f, -11.143f, -8.572f, -20.857f, -20.0f, -20.857f)
                curveToRelative(-11.429f, 0.0f, -20.286f, 9.715f, -20.286f, 20.857f)
                verticalLineToRelative(32.571f)
                curveToRelative(0.0f, 11.143f, 8.857f, 21.142f, 20.286f, 21.142f)
                curveToRelative(11.428f, 0.0f, 20.0f, -10.0f, 20.0f, -21.142f)
                verticalLineToRelative(-32.571f)
                close()
                moveTo(295.428f, 448.858f)
                curveToRelative(0.0f, -11.143f, -8.857f, -20.857f, -20.285f, -20.857f)
                curveToRelative(-11.429f, 0.0f, -20.286f, 9.715f, -20.286f, 20.857f)
                verticalLineToRelative(32.571f)
                curveToRelative(0.0f, 11.143f, 8.857f, 21.142f, 20.286f, 21.142f)
                curveToRelative(11.428f, 0.0f, 20.285f, -9.715f, 20.285f, -21.142f)
                verticalLineToRelative(-32.571f)
                close()
                moveTo(345.143f, 448.858f)
                curveToRelative(0.0f, -11.143f, -8.857f, -20.857f, -20.286f, -20.857f)
                curveToRelative(-11.428f, 0.0f, -20.286f, 9.715f, -20.286f, 20.857f)
                verticalLineToRelative(32.571f)
                curveToRelative(0.0f, 11.143f, 8.858f, 21.142f, 20.286f, 21.142f)
                curveToRelative(11.429f, 0.0f, 20.286f, -10.0f, 20.286f, -21.142f)
                verticalLineToRelative(-32.571f)
                close()
                moveTo(421.714f, 286.0f)
                curveToRelative(-30.857f, 59.142f, -90.285f, 102.572f, -158.571f, 102.572f)
                curveToRelative(-96.571f, 0.0f, -160.571f, -84.572f, -160.571f, -176.572f)
                curveToRelative(0.0f, -16.857f, 2.0f, -33.429f, 6.0f, -49.714f)
                curveToRelative(-20.0f, 33.715f, -29.714f, 72.572f, -29.714f, 111.429f)
                curveToRelative(0.0f, 60.286f, 24.857f, 121.715f, 71.429f, 160.857f)
                curveToRelative(5.143f, -9.714f, 14.857f, -16.286f, 26.0f, -16.286f)
                curveToRelative(10.0f, 0.0f, 19.428f, 5.714f, 24.571f, 14.286f)
                curveToRelative(5.429f, -8.571f, 14.571f, -14.286f, 24.858f, -14.286f)
                curveToRelative(10.0f, 0.0f, 19.428f, 5.714f, 24.571f, 14.286f)
                curveToRelative(5.429f, -8.571f, 14.857f, -14.286f, 24.858f, -14.286f)
                curveToRelative(10.0f, 0.0f, 19.428f, 5.714f, 24.857f, 14.286f)
                curveToRelative(5.143f, -8.571f, 14.571f, -14.286f, 24.572f, -14.286f)
                curveToRelative(10.857f, 0.0f, 20.857f, 6.572f, 25.714f, 16.0f)
                curveToRelative(43.427f, -36.286f, 68.569f, -92.0f, 71.426f, -148.286f)
                close()
                moveTo(432.286f, 186.286f)
                curveToRelative(0.0f, -53.714f, -34.571f, -105.714f, -92.572f, -105.714f)
                curveToRelative(-30.285f, 0.0f, -58.571f, 15.143f, -78.857f, 36.857f)
                curveTo(240.862f, 183.812f, 233.41f, 254.0f, 302.286f, 254.0f)
                curveToRelative(28.805f, 0.0f, 97.357f, -28.538f, 84.286f, 36.857f)
                curveToRelative(28.857f, -26.0f, 45.714f, -65.714f, 45.714f, -104.571f)
                close()
            }
        }
        .build()
        return _themeisle!!
    }

private var _themeisle: ImageVector? = null
