package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Wordpress: ImageVector
    get() {
        if (_wordpress != null) {
            return _wordpress!!
        }
        _wordpress = Builder(name = "Wordpress", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(61.7f, 169.4f)
                lineToRelative(101.5f, 278.0f)
                curveTo(92.2f, 413.0f, 43.3f, 340.2f, 43.3f, 256.0f)
                curveToRelative(0.0f, -30.9f, 6.6f, -60.1f, 18.4f, -86.6f)
                close()
                moveTo(399.6f, 245.3f)
                curveToRelative(0.0f, -26.3f, -9.4f, -44.5f, -17.5f, -58.7f)
                curveToRelative(-10.8f, -17.5f, -20.9f, -32.4f, -20.9f, -49.9f)
                curveToRelative(0.0f, -19.6f, 14.8f, -37.8f, 35.7f, -37.8f)
                curveToRelative(0.9f, 0.0f, 1.8f, 0.1f, 2.8f, 0.2f)
                curveToRelative(-37.9f, -34.7f, -88.3f, -55.9f, -143.7f, -55.9f)
                curveToRelative(-74.3f, 0.0f, -139.7f, 38.1f, -177.8f, 95.9f)
                curveToRelative(5.0f, 0.2f, 9.7f, 0.3f, 13.7f, 0.3f)
                curveToRelative(22.2f, 0.0f, 56.7f, -2.7f, 56.7f, -2.7f)
                curveToRelative(11.5f, -0.7f, 12.8f, 16.2f, 1.4f, 17.5f)
                curveToRelative(0.0f, 0.0f, -11.5f, 1.3f, -24.3f, 2.0f)
                lineToRelative(77.5f, 230.4f)
                lineTo(249.8f, 247.0f)
                lineToRelative(-33.1f, -90.8f)
                curveToRelative(-11.5f, -0.7f, -22.3f, -2.0f, -22.3f, -2.0f)
                curveToRelative(-11.5f, -0.7f, -10.1f, -18.2f, 1.3f, -17.5f)
                curveToRelative(0.0f, 0.0f, 35.1f, 2.7f, 56.0f, 2.7f)
                curveToRelative(22.2f, 0.0f, 56.7f, -2.7f, 56.7f, -2.7f)
                curveToRelative(11.5f, -0.7f, 12.8f, 16.2f, 1.4f, 17.5f)
                curveToRelative(0.0f, 0.0f, -11.5f, 1.3f, -24.3f, 2.0f)
                lineToRelative(76.9f, 228.7f)
                lineToRelative(21.2f, -70.9f)
                curveToRelative(9.0f, -29.4f, 16.0f, -50.5f, 16.0f, -68.7f)
                close()
                moveTo(259.7f, 274.6f)
                lineToRelative(-63.8f, 185.5f)
                curveToRelative(19.1f, 5.6f, 39.2f, 8.7f, 60.1f, 8.7f)
                curveToRelative(24.8f, 0.0f, 48.5f, -4.3f, 70.6f, -12.1f)
                curveToRelative(-0.6f, -0.9f, -1.1f, -1.9f, -1.5f, -2.9f)
                lineToRelative(-65.4f, -179.2f)
                close()
                moveTo(442.7f, 153.9f)
                curveToRelative(0.9f, 6.8f, 1.4f, 14.0f, 1.4f, 21.9f)
                curveToRelative(0.0f, 21.6f, -4.0f, 45.8f, -16.2f, 76.2f)
                lineToRelative(-65.0f, 187.9f)
                curveTo(426.2f, 403.0f, 468.7f, 334.5f, 468.7f, 256.0f)
                curveToRelative(0.0f, -37.0f, -9.4f, -71.8f, -26.0f, -102.1f)
                close()
                moveTo(504.0f, 256.0f)
                curveToRelative(0.0f, 136.8f, -111.3f, 248.0f, -248.0f, 248.0f)
                curveTo(119.2f, 504.0f, 8.0f, 392.7f, 8.0f, 256.0f)
                curveTo(8.0f, 119.2f, 119.2f, 8.0f, 256.0f, 8.0f)
                curveToRelative(136.7f, 0.0f, 248.0f, 111.2f, 248.0f, 248.0f)
                close()
                moveTo(492.6f, 256.0f)
                curveToRelative(0.0f, -130.5f, -106.2f, -236.6f, -236.6f, -236.6f)
                curveTo(125.5f, 19.4f, 19.4f, 125.5f, 19.4f, 256.0f)
                reflectiveCurveTo(125.6f, 492.6f, 256.0f, 492.6f)
                curveToRelative(130.5f, 0.0f, 236.6f, -106.1f, 236.6f, -236.6f)
                close()
            }
        }
        .build()
        return _wordpress!!
    }

private var _wordpress: ImageVector? = null
