package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Xbox: ImageVector
    get() {
        if (_xbox != null) {
            return _xbox!!
        }
        _xbox = Builder(name = "Xbox", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(369.9f, 318.2f)
                curveToRelative(44.3f, 54.3f, 64.7f, 98.8f, 54.4f, 118.7f)
                curveToRelative(-7.9f, 15.1f, -56.7f, 44.6f, -92.6f, 55.9f)
                curveToRelative(-29.6f, 9.3f, -68.4f, 13.3f, -100.4f, 10.2f)
                curveToRelative(-38.2f, -3.7f, -76.9f, -17.4f, -110.1f, -39.0f)
                curveTo(93.3f, 445.8f, 87.0f, 438.3f, 87.0f, 423.4f)
                curveToRelative(0.0f, -29.9f, 32.9f, -82.3f, 89.2f, -142.1f)
                curveToRelative(32.0f, -33.9f, 76.5f, -73.7f, 81.4f, -72.6f)
                curveToRelative(9.4f, 2.1f, 84.3f, 75.1f, 112.3f, 109.5f)
                close()
                moveTo(188.6f, 143.8f)
                curveToRelative(-29.7f, -26.9f, -58.1f, -53.9f, -86.4f, -63.4f)
                curveToRelative(-15.2f, -5.1f, -16.3f, -4.8f, -28.7f, 8.1f)
                curveToRelative(-29.2f, 30.4f, -53.5f, 79.7f, -60.3f, 122.4f)
                curveToRelative(-5.4f, 34.2f, -6.1f, 43.8f, -4.2f, 60.5f)
                curveToRelative(5.6f, 50.5f, 17.3f, 85.4f, 40.5f, 120.9f)
                curveToRelative(9.5f, 14.6f, 12.1f, 17.3f, 9.3f, 9.9f)
                curveToRelative(-4.2f, -11.0f, -0.3f, -37.5f, 9.5f, -64.0f)
                curveToRelative(14.3f, -39.0f, 53.9f, -112.9f, 120.3f, -194.4f)
                close()
                moveTo(500.2f, 207.3f)
                curveTo(483.3f, 127.3f, 432.7f, 77.0f, 425.6f, 77.0f)
                curveToRelative(-7.3f, 0.0f, -24.2f, 6.5f, -36.0f, 13.9f)
                curveToRelative(-23.3f, 14.5f, -41.0f, 31.4f, -64.3f, 52.8f)
                curveTo(367.7f, 197.0f, 427.5f, 283.1f, 448.2f, 346.0f)
                curveToRelative(6.8f, 20.7f, 9.7f, 41.1f, 7.4f, 52.3f)
                curveToRelative(-1.7f, 8.5f, -1.7f, 8.5f, 1.4f, 4.6f)
                curveToRelative(6.1f, -7.7f, 19.9f, -31.3f, 25.4f, -43.5f)
                curveToRelative(7.4f, -16.2f, 15.0f, -40.2f, 18.6f, -58.7f)
                curveToRelative(4.3f, -22.5f, 3.9f, -70.8f, -0.8f, -93.4f)
                close()
                moveTo(141.3f, 43.0f)
                curveTo(189.0f, 40.5f, 251.0f, 77.5f, 255.6f, 78.4f)
                curveToRelative(0.7f, 0.1f, 10.4f, -4.2f, 21.6f, -9.7f)
                curveToRelative(63.9f, -31.1f, 94.0f, -25.8f, 107.4f, -25.2f)
                curveToRelative(-63.9f, -39.3f, -152.7f, -50.0f, -233.9f, -11.7f)
                curveToRelative(-23.4f, 11.1f, -24.0f, 11.9f, -9.4f, 11.2f)
                close()
            }
        }
        .build()
        return _xbox!!
    }

private var _xbox: ImageVector? = null
