package compose.icons.fontawesomeicons.regular

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.RegularGroup

public val RegularGroup.Dizzy: ImageVector
    get() {
        if (_dizzy != null) {
            return _dizzy!!
        }
        _dizzy = Builder(name = "Dizzy", defaultWidth = 496.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 8.0f)
                curveTo(111.0f, 8.0f, 0.0f, 119.0f, 0.0f, 256.0f)
                reflectiveCurveToRelative(111.0f, 248.0f, 248.0f, 248.0f)
                reflectiveCurveToRelative(248.0f, -111.0f, 248.0f, -248.0f)
                reflectiveCurveTo(385.0f, 8.0f, 248.0f, 8.0f)
                close()
                moveTo(248.0f, 456.0f)
                curveToRelative(-110.3f, 0.0f, -200.0f, -89.7f, -200.0f, -200.0f)
                reflectiveCurveTo(137.7f, 56.0f, 248.0f, 56.0f)
                reflectiveCurveToRelative(200.0f, 89.7f, 200.0f, 200.0f)
                reflectiveCurveToRelative(-89.7f, 200.0f, -200.0f, 200.0f)
                close()
                moveTo(214.2f, 238.1f)
                curveToRelative(7.8f, -7.8f, 7.8f, -20.5f, 0.0f, -28.3f)
                lineTo(196.3f, 192.0f)
                lineToRelative(17.9f, -17.9f)
                curveToRelative(7.8f, -7.8f, 7.8f, -20.5f, 0.0f, -28.3f)
                curveToRelative(-7.8f, -7.8f, -20.5f, -7.8f, -28.3f, 0.0f)
                lineTo(168.0f, 163.7f)
                lineToRelative(-17.8f, -17.8f)
                curveToRelative(-7.8f, -7.8f, -20.5f, -7.8f, -28.3f, 0.0f)
                curveToRelative(-7.8f, 7.8f, -7.8f, 20.5f, 0.0f, 28.3f)
                lineToRelative(17.9f, 17.9f)
                lineToRelative(-17.9f, 17.9f)
                curveToRelative(-7.8f, 7.8f, -7.8f, 20.5f, 0.0f, 28.3f)
                curveToRelative(7.8f, 7.8f, 20.5f, 7.8f, 28.3f, 0.0f)
                lineToRelative(17.8f, -17.8f)
                lineToRelative(17.8f, 17.8f)
                curveToRelative(7.9f, 7.7f, 20.5f, 7.7f, 28.4f, -0.2f)
                close()
                moveTo(374.2f, 145.9f)
                curveToRelative(-7.8f, -7.8f, -20.5f, -7.8f, -28.3f, 0.0f)
                lineTo(328.0f, 163.7f)
                lineToRelative(-17.8f, -17.8f)
                curveToRelative(-7.8f, -7.8f, -20.5f, -7.8f, -28.3f, 0.0f)
                curveToRelative(-7.8f, 7.8f, -7.8f, 20.5f, 0.0f, 28.3f)
                lineToRelative(17.9f, 17.9f)
                lineToRelative(-17.9f, 17.9f)
                curveToRelative(-7.8f, 7.8f, -7.8f, 20.5f, 0.0f, 28.3f)
                curveToRelative(7.8f, 7.8f, 20.5f, 7.8f, 28.3f, 0.0f)
                lineToRelative(17.8f, -17.8f)
                lineToRelative(17.8f, 17.8f)
                curveToRelative(7.8f, 7.8f, 20.5f, 7.8f, 28.3f, 0.0f)
                curveToRelative(7.8f, -7.8f, 7.8f, -20.5f, 0.0f, -28.3f)
                lineToRelative(-17.8f, -18.0f)
                lineToRelative(17.9f, -17.9f)
                curveToRelative(7.7f, -7.8f, 7.7f, -20.4f, 0.0f, -28.2f)
                close()
                moveTo(248.0f, 272.0f)
                curveToRelative(-35.3f, 0.0f, -64.0f, 28.7f, -64.0f, 64.0f)
                reflectiveCurveToRelative(28.7f, 64.0f, 64.0f, 64.0f)
                reflectiveCurveToRelative(64.0f, -28.7f, 64.0f, -64.0f)
                reflectiveCurveToRelative(-28.7f, -64.0f, -64.0f, -64.0f)
                close()
            }
        }
        .build()
        return _dizzy!!
    }

private var _dizzy: ImageVector? = null
