package compose.icons.fontawesomeicons.regular

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.RegularGroup

public val RegularGroup.Snowflake: ImageVector
    get() {
        if (_snowflake != null) {
            return _snowflake!!
        }
        _snowflake = Builder(name = "Snowflake", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(440.1f, 355.2f)
                lineToRelative(-39.2f, -23.0f)
                lineToRelative(34.1f, -9.3f)
                curveToRelative(8.4f, -2.3f, 13.4f, -11.1f, 11.1f, -19.6f)
                lineToRelative(-4.1f, -15.5f)
                curveToRelative(-2.2f, -8.5f, -10.9f, -13.6f, -19.3f, -11.3f)
                lineTo(343.0f, 298.2f)
                lineTo(271.2f, 256.0f)
                lineToRelative(71.9f, -42.2f)
                lineToRelative(79.7f, 21.7f)
                curveToRelative(8.4f, 2.3f, 17.0f, -2.8f, 19.3f, -11.3f)
                lineToRelative(4.1f, -15.5f)
                curveToRelative(2.2f, -8.5f, -2.7f, -17.3f, -11.1f, -19.6f)
                lineToRelative(-34.1f, -9.3f)
                lineToRelative(39.2f, -23.0f)
                curveToRelative(7.5f, -4.4f, 10.1f, -14.2f, 5.8f, -21.9f)
                lineToRelative(-7.9f, -13.9f)
                curveToRelative(-4.3f, -7.7f, -14.0f, -10.3f, -21.5f, -5.9f)
                lineToRelative(-39.2f, 23.0f)
                lineToRelative(9.1f, -34.7f)
                curveToRelative(2.2f, -8.5f, -2.7f, -17.3f, -11.1f, -19.6f)
                lineToRelative(-15.2f, -4.1f)
                curveToRelative(-8.4f, -2.3f, -17.0f, 2.8f, -19.3f, 11.3f)
                lineToRelative(-21.3f, 81.0f)
                lineToRelative(-71.9f, 42.2f)
                verticalLineToRelative(-84.5f)
                lineTo(306.0f, 70.4f)
                curveToRelative(6.1f, -6.2f, 6.1f, -16.4f, 0.0f, -22.6f)
                lineToRelative(-11.1f, -11.3f)
                curveToRelative(-6.1f, -6.2f, -16.1f, -6.2f, -22.2f, 0.0f)
                lineToRelative(-24.9f, 25.4f)
                verticalLineTo(16.0f)
                curveToRelative(0.0f, -8.8f, -7.0f, -16.0f, -15.7f, -16.0f)
                horizontalLineToRelative(-15.7f)
                curveToRelative(-8.7f, 0.0f, -15.7f, 7.2f, -15.7f, 16.0f)
                verticalLineToRelative(46.1f)
                lineToRelative(-24.9f, -25.4f)
                curveToRelative(-6.1f, -6.2f, -16.1f, -6.2f, -22.2f, 0.0f)
                lineTo(142.1f, 48.0f)
                curveToRelative(-6.1f, 6.2f, -6.1f, 16.4f, 0.0f, 22.6f)
                lineToRelative(58.3f, 59.3f)
                verticalLineToRelative(84.5f)
                lineToRelative(-71.9f, -42.2f)
                lineToRelative(-21.3f, -81.0f)
                curveToRelative(-2.2f, -8.5f, -10.9f, -13.6f, -19.3f, -11.3f)
                lineTo(72.7f, 84.0f)
                curveToRelative(-8.4f, 2.3f, -13.4f, 11.1f, -11.1f, 19.6f)
                lineToRelative(9.1f, 34.7f)
                lineToRelative(-39.2f, -23.0f)
                curveToRelative(-7.5f, -4.4f, -17.1f, -1.8f, -21.5f, 5.9f)
                lineToRelative(-7.9f, 13.9f)
                curveToRelative(-4.3f, 7.7f, -1.8f, 17.4f, 5.8f, 21.9f)
                lineToRelative(39.2f, 23.0f)
                lineToRelative(-34.1f, 9.1f)
                curveToRelative(-8.4f, 2.3f, -13.4f, 11.1f, -11.1f, 19.6f)
                lineTo(6.0f, 224.2f)
                curveToRelative(2.2f, 8.5f, 10.9f, 13.6f, 19.3f, 11.3f)
                lineToRelative(79.7f, -21.7f)
                lineToRelative(71.9f, 42.2f)
                lineToRelative(-71.9f, 42.2f)
                lineToRelative(-79.7f, -21.7f)
                curveToRelative(-8.4f, -2.3f, -17.0f, 2.8f, -19.3f, 11.3f)
                lineToRelative(-4.1f, 15.5f)
                curveToRelative(-2.2f, 8.5f, 2.7f, 17.3f, 11.1f, 19.6f)
                lineToRelative(34.1f, 9.3f)
                lineToRelative(-39.2f, 23.0f)
                curveToRelative(-7.5f, 4.4f, -10.1f, 14.2f, -5.8f, 21.9f)
                lineTo(10.0f, 391.0f)
                curveToRelative(4.3f, 7.7f, 14.0f, 10.3f, 21.5f, 5.9f)
                lineToRelative(39.2f, -23.0f)
                lineToRelative(-9.1f, 34.7f)
                curveToRelative(-2.2f, 8.5f, 2.7f, 17.3f, 11.1f, 19.6f)
                lineToRelative(15.2f, 4.1f)
                curveToRelative(8.4f, 2.3f, 17.0f, -2.8f, 19.3f, -11.3f)
                lineToRelative(21.3f, -81.0f)
                lineToRelative(71.9f, -42.2f)
                verticalLineToRelative(84.5f)
                lineToRelative(-58.3f, 59.3f)
                curveToRelative(-6.1f, 6.2f, -6.1f, 16.4f, 0.0f, 22.6f)
                lineToRelative(11.1f, 11.3f)
                curveToRelative(6.1f, 6.2f, 16.1f, 6.2f, 22.2f, 0.0f)
                lineToRelative(24.9f, -25.4f)
                verticalLineTo(496.0f)
                curveToRelative(0.0f, 8.8f, 7.0f, 16.0f, 15.7f, 16.0f)
                horizontalLineToRelative(15.7f)
                curveToRelative(8.7f, 0.0f, 15.7f, -7.2f, 15.7f, -16.0f)
                verticalLineToRelative(-46.1f)
                lineToRelative(24.9f, 25.4f)
                curveToRelative(6.1f, 6.2f, 16.1f, 6.2f, 22.2f, 0.0f)
                lineToRelative(11.1f, -11.3f)
                curveToRelative(6.1f, -6.2f, 6.1f, -16.4f, 0.0f, -22.6f)
                lineToRelative(-58.3f, -59.3f)
                verticalLineToRelative(-84.5f)
                lineToRelative(71.9f, 42.2f)
                lineToRelative(21.3f, 81.0f)
                curveToRelative(2.2f, 8.5f, 10.9f, 13.6f, 19.3f, 11.3f)
                lineTo(375.0f, 428.0f)
                curveToRelative(8.4f, -2.3f, 13.4f, -11.1f, 11.1f, -19.6f)
                lineToRelative(-9.1f, -34.7f)
                lineToRelative(39.2f, 23.0f)
                curveToRelative(7.5f, 4.4f, 17.1f, 1.8f, 21.5f, -5.9f)
                lineToRelative(7.9f, -13.9f)
                curveToRelative(4.6f, -7.5f, 2.1f, -17.3f, -5.5f, -21.7f)
                close()
            }
        }
        .build()
        return _snowflake!!
    }

private var _snowflake: ImageVector? = null
