package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.AmericanSignLanguageInterpreting: ImageVector
    get() {
        if (_americanSignLanguageInterpreting != null) {
            return _americanSignLanguageInterpreting!!
        }
        _americanSignLanguageInterpreting = Builder(name = "AmericanSignLanguageInterpreting",
                defaultWidth = 640.0.dp, defaultHeight = 512.0.dp, viewportWidth = 640.0f,
                viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(290.547f, 189.039f)
                curveToRelative(-20.295f, -10.149f, -44.147f, -11.199f, -64.739f, -3.89f)
                curveToRelative(42.606f, 0.0f, 71.208f, 20.475f, 85.578f, 50.576f)
                curveToRelative(8.576f, 17.899f, -5.148f, 38.071f, -23.617f, 38.071f)
                curveToRelative(18.429f, 0.0f, 32.211f, 20.136f, 23.617f, 38.071f)
                curveToRelative(-14.725f, 30.846f, -46.123f, 50.854f, -80.298f, 50.854f)
                curveToRelative(-0.557f, 0.0f, -94.471f, -8.615f, -94.471f, -8.615f)
                lineToRelative(-66.406f, 33.347f)
                curveToRelative(-9.384f, 4.693f, -19.815f, 0.379f, -23.895f, -7.781f)
                lineTo(1.86f, 290.747f)
                curveToRelative(-4.167f, -8.615f, -1.111f, -18.897f, 6.946f, -23.621f)
                lineToRelative(58.072f, -33.069f)
                lineTo(108.0f, 159.861f)
                curveToRelative(6.39f, -57.245f, 34.731f, -109.767f, 79.743f, -146.726f)
                curveToRelative(11.391f, -9.448f, 28.341f, -7.781f, 37.51f, 3.613f)
                curveToRelative(9.446f, 11.394f, 7.78f, 28.067f, -3.612f, 37.516f)
                curveToRelative(-12.503f, 10.559f, -23.618f, 22.509f, -32.509f, 35.57f)
                curveToRelative(21.672f, -14.729f, 46.679f, -24.732f, 74.186f, -28.067f)
                curveToRelative(14.725f, -1.945f, 28.063f, 8.336f, 29.73f, 23.065f)
                curveToRelative(1.945f, 14.728f, -8.336f, 28.067f, -23.062f, 29.734f)
                curveToRelative(-16.116f, 1.945f, -31.12f, 7.503f, -44.178f, 15.284f)
                curveToRelative(26.114f, -5.713f, 58.712f, -3.138f, 88.079f, 11.115f)
                curveToRelative(13.336f, 6.669f, 18.893f, 22.509f, 12.224f, 35.848f)
                curveToRelative(-6.389f, 13.06f, -22.504f, 18.617f, -35.564f, 12.226f)
                close()
                moveTo(263.318f, 258.511f)
                curveToRelative(-6.112f, -12.505f, -18.338f, -20.286f, -32.231f, -20.286f)
                arcToRelative(35.46f, 35.46f, 0.0f, false, false, -35.565f, 35.57f)
                curveToRelative(0.0f, 21.428f, 17.808f, 35.57f, 35.565f, 35.57f)
                curveToRelative(13.893f, 0.0f, 26.119f, -7.781f, 32.231f, -20.286f)
                curveToRelative(4.446f, -9.449f, 13.614f, -15.006f, 23.339f, -15.284f)
                curveToRelative(-9.725f, -0.277f, -18.893f, -5.835f, -23.339f, -15.284f)
                close()
                moveTo(638.139f, 221.274f)
                curveToRelative(4.168f, 8.615f, 1.111f, 18.897f, -6.946f, 23.621f)
                lineToRelative(-58.071f, 33.069f)
                lineTo(532.0f, 352.16f)
                curveToRelative(-6.39f, 57.245f, -34.731f, 109.767f, -79.743f, 146.726f)
                curveToRelative(-10.932f, 9.112f, -27.799f, 8.144f, -37.51f, -3.613f)
                curveToRelative(-9.446f, -11.394f, -7.78f, -28.067f, 3.613f, -37.516f)
                curveToRelative(12.503f, -10.559f, 23.617f, -22.509f, 32.508f, -35.57f)
                curveToRelative(-21.672f, 14.729f, -46.679f, 24.732f, -74.186f, 28.067f)
                curveToRelative(-10.021f, 2.506f, -27.552f, -5.643f, -29.73f, -23.065f)
                curveToRelative(-1.945f, -14.728f, 8.336f, -28.067f, 23.062f, -29.734f)
                curveToRelative(16.116f, -1.946f, 31.12f, -7.503f, 44.178f, -15.284f)
                curveToRelative(-26.114f, 5.713f, -58.712f, 3.138f, -88.079f, -11.115f)
                curveToRelative(-13.336f, -6.669f, -18.893f, -22.509f, -12.224f, -35.848f)
                curveToRelative(6.389f, -13.061f, 22.505f, -18.619f, 35.565f, -12.227f)
                curveToRelative(20.295f, 10.149f, 44.147f, 11.199f, 64.739f, 3.89f)
                curveToRelative(-42.606f, 0.0f, -71.208f, -20.475f, -85.578f, -50.576f)
                curveToRelative(-8.576f, -17.899f, 5.148f, -38.071f, 23.617f, -38.071f)
                curveToRelative(-18.429f, 0.0f, -32.211f, -20.136f, -23.617f, -38.071f)
                curveToRelative(14.033f, -29.396f, 44.039f, -50.887f, 81.966f, -50.854f)
                lineToRelative(92.803f, 8.615f)
                lineToRelative(66.406f, -33.347f)
                curveToRelative(9.408f, -4.704f, 19.828f, -0.354f, 23.894f, 7.781f)
                lineToRelative(44.455f, 88.926f)
                close()
                moveTo(408.912f, 202.656f)
                curveToRelative(-13.893f, 0.0f, -26.119f, 7.781f, -32.231f, 20.286f)
                curveToRelative(-4.446f, 9.449f, -13.614f, 15.006f, -23.339f, 15.284f)
                curveToRelative(9.725f, 0.278f, 18.893f, 5.836f, 23.339f, 15.284f)
                curveToRelative(6.112f, 12.505f, 18.338f, 20.286f, 32.231f, 20.286f)
                arcToRelative(35.46f, 35.46f, 0.0f, false, false, 35.565f, -35.57f)
                curveToRelative(0.0f, -21.429f, -17.808f, -35.57f, -35.565f, -35.57f)
                close()
            }
        }
        .build()
        return _americanSignLanguageInterpreting!!
    }

private var _americanSignLanguageInterpreting: ImageVector? = null
