package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Atom: ImageVector
    get() {
        if (_atom != null) {
            return _atom!!
        }
        _atom = Builder(name = "Atom", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(223.999f, 224.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, true, false, 32.008f, 32.0f)
                arcTo(32.064f, 32.064f, 0.0f, false, false, 223.999f, 224.0f)
                close()
                moveTo(438.171f, 128.0f)
                curveToRelative(-10.877f, -19.5f, -40.51f, -50.75f, -116.275f, -41.875f)
                curveTo(300.392f, 34.875f, 267.634f, 0.0f, 223.999f, 0.0f)
                reflectiveCurveToRelative(-76.391f, 34.875f, -97.897f, 86.125f)
                curveTo(50.337f, 77.375f, 20.706f, 108.5f, 9.829f, 128.0f)
                curveTo(-6.55f, 157.375f, -5.175f, 201.125f, 34.958f, 256.0f)
                curveTo(-5.175f, 310.875f, -6.55f, 354.625f, 9.829f, 384.0f)
                curveToRelative(29.131f, 52.375f, 101.647f, 43.625f, 116.273f, 41.875f)
                curveTo(147.608f, 477.125f, 180.364f, 512.0f, 223.999f, 512.0f)
                reflectiveCurveToRelative(76.393f, -34.875f, 97.897f, -86.125f)
                curveToRelative(14.629f, 1.75f, 87.145f, 10.5f, 116.275f, -41.875f)
                curveTo(454.55f, 354.625f, 453.175f, 310.875f, 413.04f, 256.0f)
                curveTo(453.175f, 201.125f, 454.55f, 157.375f, 438.171f, 128.0f)
                close()
                moveTo(63.339f, 352.0f)
                curveToRelative(-4.0f, -7.25f, -0.125f, -24.75f, 15.004f, -48.25f)
                curveToRelative(6.877f, 6.5f, 14.129f, 12.875f, 21.881f, 19.125f)
                curveToRelative(1.625f, 13.75f, 4.0f, 27.125f, 6.75f, 40.125f)
                curveTo(82.345f, 363.875f, 67.091f, 358.625f, 63.339f, 352.0f)
                close()
                moveTo(100.224f, 189.125f)
                curveToRelative(-7.752f, 6.25f, -15.004f, 12.625f, -21.881f, 19.125f)
                curveToRelative(-15.129f, -23.5f, -19.004f, -41.0f, -15.004f, -48.25f)
                curveToRelative(3.377f, -6.125f, 16.379f, -11.5f, 37.885f, -11.5f)
                curveToRelative(1.75f, 0.0f, 3.875f, 0.375f, 5.75f, 0.375f)
                curveTo(104.099f, 162.25f, 101.849f, 175.625f, 100.224f, 189.125f)
                close()
                moveTo(223.999f, 64.0f)
                curveToRelative(9.502f, 0.0f, 22.256f, 13.5f, 33.883f, 37.25f)
                curveToRelative(-11.252f, 3.75f, -22.504f, 8.0f, -33.883f, 12.875f)
                curveToRelative(-11.377f, -4.875f, -22.629f, -9.125f, -33.883f, -12.875f)
                curveTo(201.745f, 77.5f, 214.497f, 64.0f, 223.999f, 64.0f)
                close()
                moveTo(223.999f, 448.0f)
                curveToRelative(-9.502f, 0.0f, -22.254f, -13.5f, -33.883f, -37.25f)
                curveToRelative(11.254f, -3.75f, 22.506f, -8.0f, 33.883f, -12.875f)
                curveTo(235.378f, 402.75f, 246.63f, 407.0f, 257.882f, 410.75f)
                curveTo(246.255f, 434.5f, 233.501f, 448.0f, 223.999f, 448.0f)
                close()
                moveTo(223.999f, 336.0f)
                arcToRelative(80.0f, 80.0f, 0.0f, true, true, 80.0f, -80.0f)
                arcTo(80.0f, 80.0f, 0.0f, false, true, 223.999f, 336.0f)
                close()
                moveTo(384.659f, 352.0f)
                curveToRelative(-3.625f, 6.625f, -19.004f, 11.875f, -43.635f, 11.0f)
                curveToRelative(2.752f, -13.0f, 5.127f, -26.375f, 6.752f, -40.125f)
                curveToRelative(7.752f, -6.25f, 15.004f, -12.625f, 21.879f, -19.125f)
                curveTo(384.784f, 327.25f, 388.659f, 344.75f, 384.659f, 352.0f)
                close()
                moveTo(369.655f, 208.25f)
                curveToRelative(-6.875f, -6.5f, -14.127f, -12.875f, -21.879f, -19.125f)
                curveToRelative(-1.625f, -13.5f, -3.875f, -26.875f, -6.752f, -40.25f)
                curveToRelative(1.875f, 0.0f, 4.002f, -0.375f, 5.752f, -0.375f)
                curveToRelative(21.504f, 0.0f, 34.508f, 5.375f, 37.883f, 11.5f)
                curveTo(388.659f, 167.25f, 384.784f, 184.75f, 369.655f, 208.25f)
                close()
            }
        }
        .build()
        return _atom!!
    }

private var _atom: ImageVector? = null
