package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.ChessBoard: ImageVector
    get() {
        if (_chessBoard != null) {
            return _chessBoard!!
        }
        _chessBoard = Builder(name = "ChessBoard", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(255.9f, 0.2f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(0.0f, 64.17f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(128.0f, 0.2f)
                lineTo(64.0f, 0.2f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(192.0f, 256.1f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(0.0f, 192.12f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(383.85f, 0.2f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(511.85f, 0.2f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(128.0f, 256.1f)
                lineTo(64.0f, 256.1f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(511.8f, 448.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                close()
                moveTo(511.8f, 320.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                close()
                moveTo(383.85f, 512.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(511.85f, 192.12f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                close()
                moveTo(128.0f, 512.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(0.0f, 512.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                lineTo(0.0f, 448.0f)
                close()
                moveTo(255.9f, 512.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(0.0f, 320.07f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(319.88f, 128.15f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                close()
                moveTo(255.88f, 256.15f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(191.88f, 384.15f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(319.88f, 320.15f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(319.88f, 192.2f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(319.88f, 384.13f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(64.0f, 384.05f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(192.0f, 128.15f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                close()
                moveTo(383.92f, 384.05f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(255.92f, 192.12f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(64.0f)
                close()
                moveTo(383.92f, 64.17f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(255.92f, 320.07f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
                moveTo(191.92f, 192.12f)
                lineTo(128.0f, 192.12f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(383.84f, 256.12f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                horizontalLineToRelative(-64.0f)
                close()
                moveTo(128.0f, 128.15f)
                lineTo(64.0f, 128.15f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                close()
                moveTo(128.0f, 320.07f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(64.0f)
                verticalLineToRelative(-64.0f)
                close()
            }
        }
        .build()
        return _chessBoard!!
    }

private var _chessBoard: ImageVector? = null
