package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.CloudSunRain: ImageVector
    get() {
        if (_cloudSunRain != null) {
            return _cloudSunRain!!
        }
        _cloudSunRain = Builder(name = "CloudSunRain", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(510.5f, 225.5f)
                curveToRelative(-6.9f, -37.2f, -39.3f, -65.5f, -78.5f, -65.5f)
                curveToRelative(-12.3f, 0.0f, -23.9f, 3.0f, -34.3f, 8.0f)
                curveToRelative(-17.4f, -24.1f, -45.6f, -40.0f, -77.7f, -40.0f)
                curveToRelative(-53.0f, 0.0f, -96.0f, 43.0f, -96.0f, 96.0f)
                curveToRelative(0.0f, 0.5f, 0.2f, 1.1f, 0.2f, 1.6f)
                curveTo(187.6f, 233.0f, 160.0f, 265.2f, 160.0f, 304.0f)
                curveToRelative(0.0f, 44.2f, 35.8f, 80.0f, 80.0f, 80.0f)
                horizontalLineToRelative(256.0f)
                curveToRelative(44.2f, 0.0f, 80.0f, -35.8f, 80.0f, -80.0f)
                curveToRelative(0.0f, -39.2f, -28.2f, -71.7f, -65.5f, -78.5f)
                close()
                moveTo(124.1f, 259.9f)
                curveToRelative(-37.4f, -37.4f, -37.4f, -98.3f, 0.0f, -135.8f)
                curveToRelative(34.6f, -34.6f, 89.1f, -36.8f, 126.7f, -7.4f)
                curveToRelative(20.0f, -12.9f, 43.6f, -20.7f, 69.2f, -20.7f)
                curveToRelative(0.7f, 0.0f, 1.3f, 0.2f, 2.0f, 0.2f)
                lineToRelative(8.9f, -26.7f)
                curveToRelative(3.4f, -10.2f, -6.3f, -19.8f, -16.5f, -16.4f)
                lineToRelative(-75.3f, 25.1f)
                lineToRelative(-35.5f, -71.0f)
                curveToRelative(-4.8f, -9.6f, -18.5f, -9.6f, -23.3f, 0.0f)
                lineToRelative(-35.5f, 71.0f)
                lineToRelative(-75.3f, -25.1f)
                curveToRelative(-10.2f, -3.4f, -19.8f, 6.3f, -16.4f, 16.5f)
                lineToRelative(25.1f, 75.3f)
                lineToRelative(-71.0f, 35.5f)
                curveToRelative(-9.6f, 4.8f, -9.6f, 18.5f, 0.0f, 23.3f)
                lineToRelative(71.0f, 35.5f)
                lineToRelative(-25.1f, 75.3f)
                curveToRelative(-3.4f, 10.2f, 6.3f, 19.8f, 16.5f, 16.5f)
                lineToRelative(59.2f, -19.7f)
                curveToRelative(-0.2f, -2.4f, -0.7f, -4.7f, -0.7f, -7.2f)
                curveToRelative(0.0f, -12.5f, 2.3f, -24.5f, 6.2f, -35.9f)
                curveToRelative(-3.6f, -2.7f, -7.1f, -5.2f, -10.2f, -8.3f)
                close()
                moveTo(193.9f, 201.9f)
                curveToRelative(4.3f, -24.5f, 15.8f, -46.4f, 31.9f, -64.0f)
                curveToRelative(-9.8f, -6.2f, -21.4f, -9.9f, -33.8f, -9.9f)
                curveToRelative(-35.3f, 0.0f, -64.0f, 28.7f, -64.0f, 64.0f)
                curveToRelative(0.0f, 18.7f, 8.2f, 35.4f, 21.1f, 47.1f)
                curveToRelative(11.3f, -15.9f, 26.6f, -28.9f, 44.8f, -37.2f)
                close()
                moveTo(524.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
                moveTo(428.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
                moveTo(332.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
                moveTo(236.5f, 418.1f)
                curveToRelative(-7.6f, -4.3f, -17.4f, -1.8f, -21.8f, 6.0f)
                lineToRelative(-36.6f, 64.0f)
                curveToRelative(-4.4f, 7.7f, -1.7f, 17.4f, 6.0f, 21.8f)
                curveToRelative(2.5f, 1.4f, 5.2f, 2.1f, 7.9f, 2.1f)
                curveToRelative(5.5f, 0.0f, 10.9f, -2.9f, 13.9f, -8.1f)
                lineToRelative(36.6f, -64.0f)
                curveToRelative(4.3f, -7.7f, 1.7f, -17.4f, -6.0f, -21.8f)
                close()
            }
        }
        .build()
        return _cloudSunRain!!
    }

private var _cloudSunRain: ImageVector? = null
