package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Donate: ImageVector
    get() {
        if (_donate != null) {
            return _donate!!
        }
        _donate = Builder(name = "Donate", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(256.0f, 416.0f)
                curveToRelative(114.9f, 0.0f, 208.0f, -93.1f, 208.0f, -208.0f)
                reflectiveCurveTo(370.9f, 0.0f, 256.0f, 0.0f)
                reflectiveCurveTo(48.0f, 93.1f, 48.0f, 208.0f)
                reflectiveCurveToRelative(93.1f, 208.0f, 208.0f, 208.0f)
                close()
                moveTo(233.8f, 97.4f)
                verticalLineTo(80.6f)
                curveToRelative(0.0f, -9.2f, 7.4f, -16.6f, 16.6f, -16.6f)
                horizontalLineToRelative(11.1f)
                curveToRelative(9.2f, 0.0f, 16.6f, 7.4f, 16.6f, 16.6f)
                verticalLineToRelative(17.0f)
                curveToRelative(15.5f, 0.8f, 30.5f, 6.1f, 43.0f, 15.4f)
                curveToRelative(5.6f, 4.1f, 6.2f, 12.3f, 1.2f, 17.1f)
                lineTo(306.0f, 145.6f)
                curveToRelative(-3.8f, 3.7f, -9.5f, 3.8f, -14.0f, 1.0f)
                curveToRelative(-5.4f, -3.4f, -11.4f, -5.1f, -17.8f, -5.1f)
                horizontalLineToRelative(-38.9f)
                curveToRelative(-9.0f, 0.0f, -16.3f, 8.2f, -16.3f, 18.3f)
                curveToRelative(0.0f, 8.2f, 5.0f, 15.5f, 12.1f, 17.6f)
                lineToRelative(62.3f, 18.7f)
                curveToRelative(25.7f, 7.7f, 43.7f, 32.4f, 43.7f, 60.1f)
                curveToRelative(0.0f, 34.0f, -26.4f, 61.5f, -59.1f, 62.4f)
                verticalLineToRelative(16.8f)
                curveToRelative(0.0f, 9.2f, -7.4f, 16.6f, -16.6f, 16.6f)
                horizontalLineToRelative(-11.1f)
                curveToRelative(-9.2f, 0.0f, -16.6f, -7.4f, -16.6f, -16.6f)
                verticalLineToRelative(-17.0f)
                curveToRelative(-15.5f, -0.8f, -30.5f, -6.1f, -43.0f, -15.4f)
                curveToRelative(-5.6f, -4.1f, -6.2f, -12.3f, -1.2f, -17.1f)
                lineToRelative(16.3f, -15.5f)
                curveToRelative(3.8f, -3.7f, 9.5f, -3.8f, 14.0f, -1.0f)
                curveToRelative(5.4f, 3.4f, 11.4f, 5.1f, 17.8f, 5.1f)
                horizontalLineToRelative(38.9f)
                curveToRelative(9.0f, 0.0f, 16.3f, -8.2f, 16.3f, -18.3f)
                curveToRelative(0.0f, -8.2f, -5.0f, -15.5f, -12.1f, -17.6f)
                lineToRelative(-62.3f, -18.7f)
                curveToRelative(-25.7f, -7.7f, -43.7f, -32.4f, -43.7f, -60.1f)
                curveToRelative(0.1f, -34.0f, 26.4f, -61.5f, 59.1f, -62.4f)
                close()
                moveTo(480.0f, 352.0f)
                horizontalLineToRelative(-32.5f)
                curveToRelative(-19.6f, 26.0f, -44.6f, 47.7f, -73.0f, 64.0f)
                horizontalLineToRelative(63.8f)
                curveToRelative(5.3f, 0.0f, 9.6f, 3.6f, 9.6f, 8.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 4.4f, -4.3f, 8.0f, -9.6f, 8.0f)
                horizontalLineTo(73.6f)
                curveToRelative(-5.3f, 0.0f, -9.6f, -3.6f, -9.6f, -8.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -4.4f, 4.3f, -8.0f, 9.6f, -8.0f)
                horizontalLineToRelative(63.8f)
                curveToRelative(-28.4f, -16.3f, -53.3f, -38.0f, -73.0f, -64.0f)
                horizontalLineTo(32.0f)
                curveToRelative(-17.7f, 0.0f, -32.0f, 14.3f, -32.0f, 32.0f)
                verticalLineToRelative(96.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 32.0f, 32.0f)
                horizontalLineToRelative(448.0f)
                curveToRelative(17.7f, 0.0f, 32.0f, -14.3f, 32.0f, -32.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(0.0f, -17.7f, -14.3f, -32.0f, -32.0f, -32.0f)
                close()
            }
        }
        .build()
        return _donate!!
    }

private var _donate: ImageVector? = null
