package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FunnelDollar: ImageVector
    get() {
        if (_funnelDollar != null) {
            return _funnelDollar!!
        }
        _funnelDollar = Builder(name = "FunnelDollar", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(433.46f, 165.94f)
                lineToRelative(101.2f, -111.87f)
                curveTo(554.61f, 34.12f, 540.48f, 0.0f, 512.26f, 0.0f)
                lineTo(31.74f, 0.0f)
                curveTo(3.52f, 0.0f, -10.61f, 34.12f, 9.34f, 54.07f)
                lineTo(192.0f, 256.0f)
                verticalLineToRelative(155.92f)
                curveToRelative(0.0f, 12.59f, 5.93f, 24.44f, 16.0f, 32.0f)
                lineToRelative(79.99f, 60.0f)
                curveToRelative(20.86f, 15.64f, 48.47f, 6.97f, 59.22f, -13.57f)
                curveTo(310.8f, 455.38f, 288.0f, 406.35f, 288.0f, 352.0f)
                curveToRelative(0.0f, -89.79f, 62.05f, -165.17f, 145.46f, -186.06f)
                close()
                moveTo(480.0f, 192.0f)
                curveToRelative(-88.37f, 0.0f, -160.0f, 71.63f, -160.0f, 160.0f)
                reflectiveCurveToRelative(71.63f, 160.0f, 160.0f, 160.0f)
                reflectiveCurveToRelative(160.0f, -71.63f, 160.0f, -160.0f)
                reflectiveCurveToRelative(-71.63f, -160.0f, -160.0f, -160.0f)
                close()
                moveTo(496.0f, 431.88f)
                lineTo(496.0f, 448.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                verticalLineToRelative(-16.29f)
                curveToRelative(-11.29f, -0.58f, -22.27f, -4.52f, -31.37f, -11.35f)
                curveToRelative(-3.9f, -2.93f, -4.1f, -8.77f, -0.57f, -12.14f)
                lineToRelative(11.75f, -11.21f)
                curveToRelative(2.77f, -2.64f, 6.89f, -2.76f, 10.13f, -0.73f)
                curveToRelative(3.87f, 2.42f, 8.26f, 3.72f, 12.82f, 3.72f)
                horizontalLineToRelative(28.11f)
                curveToRelative(6.5f, 0.0f, 11.8f, -5.92f, 11.8f, -13.19f)
                curveToRelative(0.0f, -5.95f, -3.61f, -11.19f, -8.77f, -12.73f)
                lineToRelative(-45.0f, -13.5f)
                curveToRelative(-18.59f, -5.58f, -31.58f, -23.42f, -31.58f, -43.39f)
                curveToRelative(0.0f, -24.52f, 19.05f, -44.44f, 42.67f, -45.07f)
                lineTo(463.99f, 256.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(16.29f)
                curveToRelative(11.29f, 0.58f, 22.27f, 4.51f, 31.37f, 11.35f)
                curveToRelative(3.9f, 2.93f, 4.1f, 8.77f, 0.57f, 12.14f)
                lineToRelative(-11.75f, 11.21f)
                curveToRelative(-2.77f, 2.64f, -6.89f, 2.76f, -10.13f, 0.73f)
                curveToRelative(-3.87f, -2.43f, -8.26f, -3.72f, -12.82f, -3.72f)
                horizontalLineToRelative(-28.11f)
                curveToRelative(-6.5f, 0.0f, -11.8f, 5.92f, -11.8f, 13.19f)
                curveToRelative(0.0f, 5.95f, 3.61f, 11.19f, 8.77f, 12.73f)
                lineToRelative(45.0f, 13.5f)
                curveToRelative(18.59f, 5.58f, 31.58f, 23.42f, 31.58f, 43.39f)
                curveToRelative(0.0f, 24.53f, -19.04f, 44.44f, -42.67f, 45.07f)
                close()
            }
        }
        .build()
        return _funnelDollar!!
    }

private var _funnelDollar: ImageVector? = null
