package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.GlobeAfrica: ImageVector
    get() {
        if (_globeAfrica != null) {
            return _globeAfrica!!
        }
        _globeAfrica = Builder(name = "GlobeAfrica", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 8.0f)
                curveTo(111.03f, 8.0f, 0.0f, 119.03f, 0.0f, 256.0f)
                reflectiveCurveToRelative(111.03f, 248.0f, 248.0f, 248.0f)
                reflectiveCurveToRelative(248.0f, -111.03f, 248.0f, -248.0f)
                reflectiveCurveTo(384.97f, 8.0f, 248.0f, 8.0f)
                close()
                moveTo(408.0f, 223.5f)
                verticalLineToRelative(6.93f)
                curveToRelative(0.0f, 5.87f, -3.32f, 11.24f, -8.57f, 13.86f)
                lineToRelative(-15.39f, 7.7f)
                arcToRelative(15.485f, 15.485f, 0.0f, false, true, -15.53f, -0.97f)
                lineToRelative(-18.21f, -12.14f)
                arcToRelative(15.52f, 15.52f, 0.0f, false, false, -13.5f, -1.81f)
                lineToRelative(-2.65f, 0.88f)
                curveToRelative(-9.7f, 3.23f, -13.66f, 14.79f, -7.99f, 23.3f)
                lineToRelative(13.24f, 19.86f)
                curveToRelative(2.87f, 4.31f, 7.71f, 6.9f, 12.89f, 6.9f)
                horizontalLineToRelative(8.21f)
                curveToRelative(8.56f, 0.0f, 15.5f, 6.94f, 15.5f, 15.5f)
                verticalLineToRelative(11.34f)
                curveToRelative(0.0f, 3.35f, -1.09f, 6.62f, -3.1f, 9.3f)
                lineToRelative(-18.74f, 24.98f)
                curveToRelative(-1.42f, 1.9f, -2.39f, 4.1f, -2.83f, 6.43f)
                lineToRelative(-4.3f, 22.83f)
                curveToRelative(-0.62f, 3.29f, -2.29f, 6.29f, -4.76f, 8.56f)
                arcToRelative(159.608f, 159.608f, 0.0f, false, false, -25.0f, 29.16f)
                lineToRelative(-13.03f, 19.55f)
                arcToRelative(27.756f, 27.756f, 0.0f, false, true, -23.09f, 12.36f)
                curveToRelative(-10.51f, 0.0f, -20.12f, -5.94f, -24.82f, -15.34f)
                arcToRelative(78.902f, 78.902f, 0.0f, false, true, -8.33f, -35.29f)
                lineTo(248.0f, 367.5f)
                curveToRelative(0.0f, -8.56f, -6.94f, -15.5f, -15.5f, -15.5f)
                horizontalLineToRelative(-25.88f)
                curveToRelative(-14.49f, 0.0f, -28.38f, -5.76f, -38.63f, -16.0f)
                arcToRelative(54.659f, 54.659f, 0.0f, false, true, -16.0f, -38.63f)
                verticalLineToRelative(-14.06f)
                curveToRelative(0.0f, -17.19f, 8.1f, -33.38f, 21.85f, -43.7f)
                lineToRelative(27.58f, -20.69f)
                arcToRelative(54.663f, 54.663f, 0.0f, false, true, 32.78f, -10.93f)
                horizontalLineToRelative(0.89f)
                curveToRelative(8.48f, 0.0f, 16.85f, 1.97f, 24.43f, 5.77f)
                lineToRelative(14.72f, 7.36f)
                curveToRelative(3.68f, 1.84f, 7.93f, 2.14f, 11.83f, 0.84f)
                lineToRelative(47.31f, -15.77f)
                curveToRelative(6.33f, -2.11f, 10.6f, -8.03f, 10.6f, -14.7f)
                curveToRelative(0.0f, -8.56f, -6.94f, -15.5f, -15.5f, -15.5f)
                horizontalLineToRelative(-10.09f)
                curveToRelative(-4.11f, 0.0f, -8.05f, -1.63f, -10.96f, -4.54f)
                lineToRelative(-6.92f, -6.92f)
                arcToRelative(15.493f, 15.493f, 0.0f, false, false, -10.96f, -4.54f)
                lineTo(199.5f, 159.99f)
                curveToRelative(-8.56f, 0.0f, -15.5f, -6.94f, -15.5f, -15.5f)
                verticalLineToRelative(-4.4f)
                curveToRelative(0.0f, -7.11f, 4.84f, -13.31f, 11.74f, -15.04f)
                lineToRelative(14.45f, -3.61f)
                curveToRelative(3.74f, -0.94f, 7.0f, -3.23f, 9.14f, -6.44f)
                lineToRelative(8.08f, -12.11f)
                curveToRelative(2.87f, -4.31f, 7.71f, -6.9f, 12.89f, -6.9f)
                horizontalLineToRelative(24.21f)
                curveToRelative(8.56f, 0.0f, 15.5f, -6.94f, 15.5f, -15.5f)
                verticalLineToRelative(-21.7f)
                curveTo(359.23f, 71.63f, 422.86f, 131.02f, 441.93f, 208.0f)
                lineTo(423.5f, 208.0f)
                curveToRelative(-8.56f, 0.0f, -15.5f, 6.94f, -15.5f, 15.5f)
                close()
            }
        }
        .build()
        return _globeAfrica!!
    }

private var _globeAfrica: ImageVector? = null
