package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.GlobeEurope: ImageVector
    get() {
        if (_globeEurope != null) {
            return _globeEurope!!
        }
        _globeEurope = Builder(name = "GlobeEurope", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 8.0f)
                curveTo(111.0f, 8.0f, 0.0f, 119.0f, 0.0f, 256.0f)
                reflectiveCurveToRelative(111.0f, 248.0f, 248.0f, 248.0f)
                reflectiveCurveToRelative(248.0f, -111.0f, 248.0f, -248.0f)
                reflectiveCurveTo(385.0f, 8.0f, 248.0f, 8.0f)
                close()
                moveTo(448.0f, 256.0f)
                curveToRelative(0.0f, 22.5f, -3.9f, 44.2f, -10.8f, 64.4f)
                horizontalLineToRelative(-20.3f)
                curveToRelative(-4.3f, 0.0f, -8.4f, -1.7f, -11.4f, -4.8f)
                lineToRelative(-32.0f, -32.6f)
                curveToRelative(-4.5f, -4.6f, -4.5f, -12.1f, 0.1f, -16.7f)
                lineToRelative(12.5f, -12.5f)
                verticalLineToRelative(-8.7f)
                curveToRelative(0.0f, -3.0f, -1.2f, -5.9f, -3.3f, -8.0f)
                lineToRelative(-9.4f, -9.4f)
                curveToRelative(-2.1f, -2.1f, -5.0f, -3.3f, -8.0f, -3.3f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-6.2f, 0.0f, -11.3f, -5.1f, -11.3f, -11.3f)
                curveToRelative(0.0f, -3.0f, 1.2f, -5.9f, 3.3f, -8.0f)
                lineToRelative(9.4f, -9.4f)
                curveToRelative(2.1f, -2.1f, 5.0f, -3.3f, 8.0f, -3.3f)
                horizontalLineToRelative(32.0f)
                curveToRelative(6.2f, 0.0f, 11.3f, -5.1f, 11.3f, -11.3f)
                verticalLineToRelative(-9.4f)
                curveToRelative(0.0f, -6.2f, -5.1f, -11.3f, -11.3f, -11.3f)
                horizontalLineToRelative(-36.7f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                verticalLineToRelative(4.5f)
                curveToRelative(0.0f, 6.9f, -4.4f, 13.0f, -10.9f, 15.2f)
                lineToRelative(-31.6f, 10.5f)
                curveToRelative(-3.3f, 1.1f, -5.5f, 4.1f, -5.5f, 7.6f)
                verticalLineToRelative(2.2f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                reflectiveCurveToRelative(-3.6f, -8.0f, -8.0f, -8.0f)
                lineTo(247.0f, 208.4f)
                curveToRelative(-3.0f, 0.0f, -5.8f, 1.7f, -7.2f, 4.4f)
                lineToRelative(-9.4f, 18.7f)
                curveToRelative(-2.7f, 5.4f, -8.2f, 8.8f, -14.3f, 8.8f)
                lineTo(194.0f, 240.3f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                lineTo(178.0f, 199.0f)
                curveToRelative(0.0f, -4.2f, 1.7f, -8.3f, 4.7f, -11.3f)
                lineToRelative(20.1f, -20.1f)
                curveToRelative(4.6f, -4.6f, 7.2f, -10.9f, 7.2f, -17.5f)
                curveToRelative(0.0f, -3.4f, 2.2f, -6.5f, 5.5f, -7.6f)
                lineToRelative(40.0f, -13.3f)
                curveToRelative(1.7f, -0.6f, 3.2f, -1.5f, 4.4f, -2.7f)
                lineToRelative(26.8f, -26.8f)
                curveToRelative(2.1f, -2.1f, 3.3f, -5.0f, 3.3f, -8.0f)
                curveToRelative(0.0f, -6.2f, -5.1f, -11.3f, -11.3f, -11.3f)
                lineTo(258.0f, 80.4f)
                lineToRelative(-16.0f, 16.0f)
                verticalLineToRelative(8.0f)
                curveToRelative(0.0f, 4.4f, -3.6f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.4f, 0.0f, -8.0f, -3.6f, -8.0f, -8.0f)
                verticalLineToRelative(-20.0f)
                curveToRelative(0.0f, -2.5f, 1.2f, -4.9f, 3.2f, -6.4f)
                lineToRelative(28.9f, -21.7f)
                curveToRelative(1.9f, -0.1f, 3.8f, -0.3f, 5.7f, -0.3f)
                curveTo(358.3f, 56.0f, 448.0f, 145.7f, 448.0f, 256.0f)
                close()
                moveTo(130.1f, 149.1f)
                curveToRelative(0.0f, -3.0f, 1.2f, -5.9f, 3.3f, -8.0f)
                lineToRelative(25.4f, -25.4f)
                curveToRelative(2.1f, -2.1f, 5.0f, -3.3f, 8.0f, -3.3f)
                curveToRelative(6.2f, 0.0f, 11.3f, 5.1f, 11.3f, 11.3f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 3.0f, -1.2f, 5.9f, -3.3f, 8.0f)
                lineToRelative(-9.4f, 9.4f)
                curveToRelative(-2.1f, 2.1f, -5.0f, 3.3f, -8.0f, 3.3f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-6.2f, 0.0f, -11.3f, -5.1f, -11.3f, -11.3f)
                close()
                moveTo(258.1f, 455.5f)
                verticalLineToRelative(-7.1f)
                curveToRelative(0.0f, -8.8f, -7.2f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-20.2f)
                curveToRelative(-10.8f, 0.0f, -26.7f, -5.3f, -35.4f, -11.8f)
                lineToRelative(-22.2f, -16.7f)
                curveToRelative(-11.5f, -8.6f, -18.2f, -22.1f, -18.2f, -36.4f)
                verticalLineToRelative(-23.9f)
                curveToRelative(0.0f, -16.0f, 8.4f, -30.8f, 22.1f, -39.0f)
                lineToRelative(42.9f, -25.7f)
                curveToRelative(7.1f, -4.2f, 15.2f, -6.5f, 23.4f, -6.5f)
                horizontalLineToRelative(31.2f)
                curveToRelative(10.9f, 0.0f, 21.4f, 3.9f, 29.6f, 10.9f)
                lineToRelative(43.2f, 37.1f)
                horizontalLineToRelative(18.3f)
                curveToRelative(8.5f, 0.0f, 16.6f, 3.4f, 22.6f, 9.4f)
                lineToRelative(17.3f, 17.3f)
                curveToRelative(3.4f, 3.4f, 8.1f, 5.3f, 12.9f, 5.3f)
                lineTo(423.0f, 352.4f)
                curveToRelative(-32.4f, 58.9f, -93.8f, 99.5f, -164.9f, 103.1f)
                close()
            }
        }
        .build()
        return _globeEurope!!
    }

private var _globeEurope: ImageVector? = null
