package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.HandsWash: ImageVector
    get() {
        if (_handsWash != null) {
            return _handsWash!!
        }
        _handsWash = Builder(name = "HandsWash", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(496.0f, 224.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, true, false, -48.0f, -48.0f)
                arcTo(48.0f, 48.0f, 0.0f, false, false, 496.0f, 224.0f)
                close()
                moveTo(311.47f, 178.45f)
                arcTo(56.77f, 56.77f, 0.0f, false, true, 328.0f, 176.0f)
                arcToRelative(56.0f, 56.0f, 0.0f, false, true, 19.0f, 3.49f)
                lineToRelative(15.35f, -48.61f)
                arcTo(24.0f, 24.0f, 0.0f, false, false, 342.0f, 99.74f)
                curveToRelative(-11.53f, -1.35f, -22.21f, 6.44f, -25.71f, 17.51f)
                lineToRelative(-20.9f, 66.17f)
                close()
                moveTo(93.65f, 386.33f)
                curveToRelative(0.8f, -0.19f, 1.54f, -0.54f, 2.35f, -0.71f)
                verticalLineTo(359.93f)
                arcToRelative(156.0f, 156.0f, 0.0f, false, true, 107.06f, -148.0f)
                lineToRelative(73.7f, -22.76f)
                lineTo(310.92f, 81.05f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, -20.33f, -31.11f)
                curveToRelative(-11.53f, -1.34f, -22.22f, 6.45f, -25.72f, 17.52f)
                lineTo(231.42f, 173.88f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -15.26f, -4.83f)
                lineTo(259.53f, 31.26f)
                arcTo(24.0f, 24.0f, 0.0f, false, false, 239.2f, 0.15f)
                curveTo(227.67f, -1.19f, 217.0f, 6.6f, 213.49f, 17.66f)
                lineTo(165.56f, 169.37f)
                arcToRelative(8.0f, 8.0f, 0.0f, true, true, -15.26f, -4.82f)
                lineToRelative(38.56f, -122.0f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, -20.33f, -31.11f)
                curveTo(157.0f, 10.0f, 146.32f, 17.83f, 142.82f, 28.9f)
                lineToRelative(-60.0f, 189.85f)
                lineTo(80.76f, 168.7f)
                arcTo(24.0f, 24.0f, 0.0f, false, false, 56.9f, 144.55f)
                curveToRelative(-13.23f, -0.05f, -24.72f, 10.54f, -24.9f, 23.86f)
                verticalLineTo(281.14f)
                arcTo(123.69f, 123.69f, 0.0f, false, false, 93.65f, 386.33f)
                close()
                moveTo(519.1f, 336.0f)
                horizontalLineTo(360.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 0.0f, -16.0f)
                horizontalLineTo(488.0f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, 23.54f, -28.76f)
                curveTo(509.35f, 279.84f, 498.71f, 272.0f, 487.1f, 272.0f)
                horizontalLineTo(288.0f)
                lineToRelative(47.09f, -17.06f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, -14.18f, -45.88f)
                lineTo(213.19f, 242.31f)
                arcTo(123.88f, 123.88f, 0.0f, false, false, 128.0f, 360.0f)
                verticalLineToRelative(25.65f)
                arcToRelative(79.78f, 79.78f, 0.0f, false, true, 58.0f, 108.63f)
                arcTo(118.9f, 118.9f, 0.0f, false, false, 248.0f, 512.0f)
                horizontalLineTo(456.0f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, 23.54f, -28.76f)
                curveTo(477.35f, 471.84f, 466.71f, 464.0f, 455.1f, 464.0f)
                horizontalLineTo(360.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 0.0f, -16.0f)
                horizontalLineTo(488.0f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, 23.54f, -28.76f)
                curveTo(509.35f, 407.84f, 498.71f, 400.0f, 487.1f, 400.0f)
                horizontalLineTo(360.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, 0.0f, -16.0f)
                horizontalLineTo(520.0f)
                arcToRelative(24.0f, 24.0f, 0.0f, false, false, 23.54f, -28.76f)
                curveTo(541.35f, 343.84f, 530.71f, 336.0f, 519.1f, 336.0f)
                close()
                moveTo(416.0f, 64.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, true, false, -32.0f, -32.0f)
                arcTo(32.0f, 32.0f, 0.0f, false, false, 416.0f, 64.0f)
                close()
                moveTo(112.0f, 416.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, true, false, 48.0f, 48.0f)
                arcTo(48.0f, 48.0f, 0.0f, false, false, 112.0f, 416.0f)
                close()
            }
        }
        .build()
        return _handsWash!!
    }

private var _handsWash: ImageVector? = null
