package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Om: ImageVector
    get() {
        if (_om != null) {
            return _om!!
        }
        _om = Builder(name = "Om", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp, viewportWidth
                = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(360.6f, 60.94f)
                arcToRelative(10.43f, 10.43f, 0.0f, false, false, 14.76f, 0.0f)
                lineToRelative(21.57f, -21.56f)
                arcToRelative(10.43f, 10.43f, 0.0f, false, false, 0.0f, -14.76f)
                lineTo(375.35f, 3.06f)
                curveToRelative(-4.08f, -4.07f, -10.68f, -4.07f, -14.76f, 0.0f)
                lineToRelative(-21.57f, 21.56f)
                arcToRelative(10.43f, 10.43f, 0.0f, false, false, 0.0f, 14.76f)
                lineToRelative(21.58f, 21.56f)
                close()
                moveTo(412.11f, 192.0f)
                curveToRelative(-26.69f, 0.0f, -51.77f, 10.39f, -70.64f, 29.25f)
                lineToRelative(-24.25f, 24.25f)
                curveToRelative(-6.78f, 6.77f, -15.78f, 10.5f, -25.38f, 10.5f)
                lineTo(245.0f, 256.0f)
                curveToRelative(10.54f, -22.1f, 14.17f, -48.11f, 7.73f, -75.23f)
                curveToRelative(-10.1f, -42.55f, -46.36f, -76.11f, -89.52f, -83.19f)
                curveToRelative(-36.15f, -5.93f, -70.9f, 5.04f, -96.01f, 28.78f)
                curveToRelative(-7.36f, 6.96f, -6.97f, 18.85f, 1.12f, 24.93f)
                lineToRelative(26.15f, 19.63f)
                curveToRelative(5.72f, 4.3f, 13.66f, 4.32f, 19.2f, -0.21f)
                curveToRelative(8.45f, -6.9f, 19.02f, -10.71f, 30.27f, -10.71f)
                curveToRelative(26.47f, 0.0f, 48.01f, 21.53f, 48.01f, 48.0f)
                reflectiveCurveToRelative(-21.54f, 48.0f, -48.01f, 48.0f)
                horizontalLineToRelative(-31.9f)
                curveToRelative(-11.96f, 0.0f, -19.74f, 12.58f, -14.39f, 23.28f)
                lineToRelative(16.09f, 32.17f)
                curveToRelative(2.53f, 5.06f, 7.6f, 8.1f, 13.17f, 8.55f)
                horizontalLineToRelative(33.03f)
                curveToRelative(35.3f, 0.0f, 64.01f, 28.7f, 64.01f, 64.0f)
                reflectiveCurveToRelative(-28.71f, 64.0f, -64.01f, 64.0f)
                curveToRelative(-96.02f, 0.0f, -122.35f, -54.02f, -145.15f, -92.03f)
                curveToRelative(-4.53f, -7.55f, -14.77f, -3.58f, -14.79f, 5.22f)
                curveTo(-0.09f, 416.0f, 41.13f, 512.0f, 159.94f, 512.0f)
                curveToRelative(70.59f, 0.0f, 128.02f, -57.42f, 128.02f, -128.0f)
                curveToRelative(0.0f, -23.42f, -6.78f, -45.1f, -17.81f, -64.0f)
                horizontalLineToRelative(21.69f)
                curveToRelative(26.69f, 0.0f, 51.77f, -10.39f, 70.64f, -29.25f)
                lineToRelative(24.25f, -24.25f)
                curveToRelative(6.78f, -6.77f, 15.78f, -10.5f, 25.38f, -10.5f)
                curveToRelative(19.78f, 0.0f, 35.88f, 16.09f, 35.88f, 35.88f)
                lineTo(447.99f, 392.0f)
                curveToRelative(0.0f, 13.23f, -18.77f, 24.0f, -32.01f, 24.0f)
                curveToRelative(-39.4f, 0.0f, -66.67f, -24.24f, -81.82f, -42.89f)
                curveToRelative(-4.77f, -5.87f, -14.2f, -2.54f, -14.2f, 5.02f)
                lineTo(319.96f, 416.0f)
                reflectiveCurveToRelative(0.0f, 64.0f, 96.02f, 64.0f)
                curveToRelative(48.54f, 0.0f, 96.02f, -39.47f, 96.02f, -88.0f)
                lineTo(512.0f, 291.88f)
                curveToRelative(0.0f, -55.08f, -44.8f, -99.88f, -99.89f, -99.88f)
                close()
                moveTo(454.29f, 67.27f)
                curveToRelative(-85.55f, 65.12f, -169.05f, 2.75f, -172.58f, 0.05f)
                curveToRelative(-6.02f, -4.62f, -14.44f, -4.38f, -20.14f, 0.55f)
                curveToRelative(-5.74f, 4.92f, -7.27f, 13.17f, -3.66f, 19.8f)
                curveToRelative(1.61f, 2.95f, 40.37f, 72.34f, 118.8f, 72.34f)
                curveToRelative(79.92f, 0.0f, 98.78f, -31.36f, 101.75f, -37.66f)
                curveToRelative(1.02f, -2.12f, 1.53f, -4.47f, 1.53f, -6.83f)
                lineTo(479.99f, 80.0f)
                curveToRelative(0.0f, -13.22f, -15.14f, -20.69f, -25.7f, -12.73f)
                close()
            }
        }
        .build()
        return _om!!
    }

private var _om: ImageVector? = null
