package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Server: ImageVector
    get() {
        if (_server != null) {
            return _server!!
        }
        _server = Builder(name = "Server", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(480.0f, 160.0f)
                lineTo(32.0f, 160.0f)
                curveToRelative(-17.673f, 0.0f, -32.0f, -14.327f, -32.0f, -32.0f)
                lineTo(0.0f, 64.0f)
                curveToRelative(0.0f, -17.673f, 14.327f, -32.0f, 32.0f, -32.0f)
                horizontalLineToRelative(448.0f)
                curveToRelative(17.673f, 0.0f, 32.0f, 14.327f, 32.0f, 32.0f)
                verticalLineToRelative(64.0f)
                curveToRelative(0.0f, 17.673f, -14.327f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(432.0f, 72.0f)
                curveToRelative(-13.255f, 0.0f, -24.0f, 10.745f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.745f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.745f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.745f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(368.0f, 72.0f)
                curveToRelative(-13.255f, 0.0f, -24.0f, 10.745f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.745f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.745f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.745f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(480.0f, 320.0f)
                lineTo(32.0f, 320.0f)
                curveToRelative(-17.673f, 0.0f, -32.0f, -14.327f, -32.0f, -32.0f)
                verticalLineToRelative(-64.0f)
                curveToRelative(0.0f, -17.673f, 14.327f, -32.0f, 32.0f, -32.0f)
                horizontalLineToRelative(448.0f)
                curveToRelative(17.673f, 0.0f, 32.0f, 14.327f, 32.0f, 32.0f)
                verticalLineToRelative(64.0f)
                curveToRelative(0.0f, 17.673f, -14.327f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(432.0f, 232.0f)
                curveToRelative(-13.255f, 0.0f, -24.0f, 10.745f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.745f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.745f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.745f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(368.0f, 232.0f)
                curveToRelative(-13.255f, 0.0f, -24.0f, 10.745f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.745f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.745f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.745f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(480.0f, 480.0f)
                lineTo(32.0f, 480.0f)
                curveToRelative(-17.673f, 0.0f, -32.0f, -14.327f, -32.0f, -32.0f)
                verticalLineToRelative(-64.0f)
                curveToRelative(0.0f, -17.673f, 14.327f, -32.0f, 32.0f, -32.0f)
                horizontalLineToRelative(448.0f)
                curveToRelative(17.673f, 0.0f, 32.0f, 14.327f, 32.0f, 32.0f)
                verticalLineToRelative(64.0f)
                curveToRelative(0.0f, 17.673f, -14.327f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(432.0f, 392.0f)
                curveToRelative(-13.255f, 0.0f, -24.0f, 10.745f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.745f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.745f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.745f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(368.0f, 392.0f)
                curveToRelative(-13.255f, 0.0f, -24.0f, 10.745f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.745f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.745f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.745f, -24.0f, -24.0f, -24.0f)
                close()
            }
        }
        .build()
        return _server!!
    }

private var _server: ImageVector? = null
