package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.SkiingNordic: ImageVector
    get() {
        if (_skiingNordic != null) {
            return _skiingNordic!!
        }
        _skiingNordic = Builder(name = "SkiingNordic", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(336.0f, 96.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                reflectiveCurveTo(362.5f, 0.0f, 336.0f, 0.0f)
                reflectiveCurveToRelative(-48.0f, 21.5f, -48.0f, 48.0f)
                reflectiveCurveToRelative(21.5f, 48.0f, 48.0f, 48.0f)
                close()
                moveTo(552.0f, 416.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, 10.7f, -24.0f, 24.0f)
                curveToRelative(0.0f, 13.2f, -10.8f, 24.0f, -24.0f, 24.0f)
                horizontalLineToRelative(-69.5f)
                lineTo(460.0f, 285.6f)
                curveToRelative(11.7f, -4.7f, 20.1f, -16.2f, 20.1f, -29.6f)
                curveToRelative(0.0f, -17.7f, -14.3f, -32.0f, -32.0f, -32.0f)
                horizontalLineToRelative(-44.0f)
                lineTo(378.0f, 170.8f)
                curveToRelative(-12.5f, -25.5f, -35.5f, -44.2f, -61.8f, -50.9f)
                lineTo(245.0f, 98.7f)
                curveToRelative(-28.3f, -6.8f, -57.8f, -0.5f, -80.8f, 17.1f)
                lineToRelative(-39.7f, 30.4f)
                curveToRelative(-14.0f, 10.7f, -16.7f, 30.8f, -5.9f, 44.9f)
                curveToRelative(0.7f, 0.9f, 1.7f, 1.3f, 2.4f, 2.1f)
                lineTo(66.9f, 464.0f)
                lineTo(24.0f, 464.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, 10.7f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.8f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(39.7f, 0.0f, 72.0f, -32.3f, 72.0f, -72.0f)
                curveToRelative(0.0f, -13.2f, -10.8f, -24.0f, -24.0f, -24.0f)
                close()
                moveTo(291.5f, 464.0f)
                horizontalLineToRelative(-96.9f)
                lineToRelative(43.1f, -91.0f)
                lineToRelative(-22.0f, -13.0f)
                curveToRelative(-12.1f, -7.2f, -21.9f, -16.9f, -29.5f, -27.8f)
                lineTo(123.7f, 464.0f)
                lineTo(99.5f, 464.0f)
                lineToRelative(52.3f, -261.4f)
                curveToRelative(4.1f, -1.0f, 8.1f, -2.9f, 11.7f, -5.6f)
                lineToRelative(39.7f, -30.4f)
                curveToRelative(7.7f, -5.9f, 17.4f, -8.0f, 25.3f, -6.1f)
                lineToRelative(14.7f, 4.4f)
                lineToRelative(-37.5f, 87.4f)
                curveToRelative(-12.6f, 29.5f, -1.3f, 64.0f, 26.3f, 80.3f)
                lineToRelative(85.0f, 50.2f)
                lineToRelative(-25.5f, 81.2f)
                close()
                moveTo(402.1f, 464.0f)
                horizontalLineToRelative(-43.6f)
                lineToRelative(23.6f, -75.5f)
                curveToRelative(5.9f, -20.8f, -2.9f, -43.1f, -21.6f, -54.4f)
                lineTo(299.3f, 298.0f)
                lineToRelative(31.3f, -78.3f)
                lineToRelative(20.3f, 41.4f)
                curveToRelative(8.0f, 16.3f, 24.9f, 26.9f, 43.1f, 26.9f)
                horizontalLineToRelative(33.3f)
                lineToRelative(-25.2f, 176.0f)
                close()
            }
        }
        .build()
        return _skiingNordic!!
    }

private var _skiingNordic: ImageVector? = null
