package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.TransgenderAlt: ImageVector
    get() {
        if (_transgenderAlt != null) {
            return _transgenderAlt!!
        }
        _transgenderAlt = Builder(name = "TransgenderAlt", defaultWidth = 480.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 480.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(468.0f, 0.0f)
                horizontalLineToRelative(-79.0f)
                curveToRelative(-10.7f, 0.0f, -16.0f, 12.9f, -8.5f, 20.5f)
                lineToRelative(16.9f, 16.9f)
                lineToRelative(-80.7f, 80.7f)
                curveTo(294.5f, 104.1f, 268.2f, 96.0f, 240.0f, 96.0f)
                curveToRelative(-28.2f, 0.0f, -54.5f, 8.1f, -76.7f, 22.1f)
                lineToRelative(-16.5f, -16.5f)
                lineToRelative(19.8f, -19.8f)
                curveToRelative(4.7f, -4.7f, 4.7f, -12.3f, 0.0f, -17.0f)
                lineToRelative(-28.3f, -28.3f)
                curveToRelative(-4.7f, -4.7f, -12.3f, -4.7f, -17.0f, 0.0f)
                lineToRelative(-19.8f, 19.8f)
                lineToRelative(-19.0f, -19.0f)
                lineToRelative(16.9f, -16.9f)
                curveTo(107.1f, 12.9f, 101.7f, 0.0f, 91.0f, 0.0f)
                horizontalLineTo(12.0f)
                curveTo(5.4f, 0.0f, 0.0f, 5.4f, 0.0f, 12.0f)
                verticalLineToRelative(79.0f)
                curveToRelative(0.0f, 10.7f, 12.9f, 16.0f, 20.5f, 8.5f)
                lineToRelative(16.9f, -16.9f)
                lineToRelative(19.0f, 19.0f)
                lineToRelative(-19.8f, 19.8f)
                curveToRelative(-4.7f, 4.7f, -4.7f, 12.3f, 0.0f, 17.0f)
                lineToRelative(28.3f, 28.3f)
                curveToRelative(4.7f, 4.7f, 12.3f, 4.7f, 17.0f, 0.0f)
                lineToRelative(19.8f, -19.8f)
                lineToRelative(16.5f, 16.5f)
                curveTo(104.1f, 185.5f, 96.0f, 211.8f, 96.0f, 240.0f)
                curveToRelative(0.0f, 68.5f, 47.9f, 125.9f, 112.0f, 140.4f)
                verticalLineTo(408.0f)
                horizontalLineToRelative(-36.0f)
                curveToRelative(-6.6f, 0.0f, -12.0f, 5.4f, -12.0f, 12.0f)
                verticalLineToRelative(40.0f)
                curveToRelative(0.0f, 6.6f, 5.4f, 12.0f, 12.0f, 12.0f)
                horizontalLineToRelative(36.0f)
                verticalLineToRelative(28.0f)
                curveToRelative(0.0f, 6.6f, 5.4f, 12.0f, 12.0f, 12.0f)
                horizontalLineToRelative(40.0f)
                curveToRelative(6.6f, 0.0f, 12.0f, -5.4f, 12.0f, -12.0f)
                verticalLineToRelative(-28.0f)
                horizontalLineToRelative(36.0f)
                curveToRelative(6.6f, 0.0f, 12.0f, -5.4f, 12.0f, -12.0f)
                verticalLineToRelative(-40.0f)
                curveToRelative(0.0f, -6.6f, -5.4f, -12.0f, -12.0f, -12.0f)
                horizontalLineToRelative(-36.0f)
                verticalLineToRelative(-27.6f)
                curveToRelative(64.1f, -14.6f, 112.0f, -71.9f, 112.0f, -140.4f)
                curveToRelative(0.0f, -28.2f, -8.1f, -54.5f, -22.1f, -76.7f)
                lineToRelative(80.7f, -80.7f)
                lineToRelative(16.9f, 16.9f)
                curveToRelative(7.6f, 7.6f, 20.5f, 2.2f, 20.5f, -8.5f)
                verticalLineTo(12.0f)
                curveToRelative(0.0f, -6.6f, -5.4f, -12.0f, -12.0f, -12.0f)
                close()
                moveTo(240.0f, 320.0f)
                curveToRelative(-44.1f, 0.0f, -80.0f, -35.9f, -80.0f, -80.0f)
                reflectiveCurveToRelative(35.9f, -80.0f, 80.0f, -80.0f)
                reflectiveCurveToRelative(80.0f, 35.9f, 80.0f, 80.0f)
                reflectiveCurveToRelative(-35.9f, 80.0f, -80.0f, 80.0f)
                close()
            }
        }
        .build()
        return _transgenderAlt!!
    }

private var _transgenderAlt: ImageVector? = null
