package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.UserCog: ImageVector
    get() {
        if (_userCog != null) {
            return _userCog!!
        }
        _userCog = Builder(name = "UserCog", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(610.5f, 373.3f)
                curveToRelative(2.6f, -14.1f, 2.6f, -28.5f, 0.0f, -42.6f)
                lineToRelative(25.8f, -14.9f)
                curveToRelative(3.0f, -1.7f, 4.3f, -5.2f, 3.3f, -8.5f)
                curveToRelative(-6.7f, -21.6f, -18.2f, -41.2f, -33.2f, -57.4f)
                curveToRelative(-2.3f, -2.5f, -6.0f, -3.1f, -9.0f, -1.4f)
                lineToRelative(-25.8f, 14.9f)
                curveToRelative(-10.9f, -9.3f, -23.4f, -16.5f, -36.9f, -21.3f)
                verticalLineToRelative(-29.8f)
                curveToRelative(0.0f, -3.4f, -2.4f, -6.4f, -5.7f, -7.1f)
                curveToRelative(-22.3f, -5.0f, -45.0f, -4.8f, -66.2f, 0.0f)
                curveToRelative(-3.3f, 0.7f, -5.7f, 3.7f, -5.7f, 7.1f)
                verticalLineToRelative(29.8f)
                curveToRelative(-13.5f, 4.8f, -26.0f, 12.0f, -36.9f, 21.3f)
                lineToRelative(-25.8f, -14.9f)
                curveToRelative(-2.9f, -1.7f, -6.7f, -1.1f, -9.0f, 1.4f)
                curveToRelative(-15.0f, 16.2f, -26.5f, 35.8f, -33.2f, 57.4f)
                curveToRelative(-1.0f, 3.3f, 0.4f, 6.8f, 3.3f, 8.5f)
                lineToRelative(25.8f, 14.9f)
                curveToRelative(-2.6f, 14.1f, -2.6f, 28.5f, 0.0f, 42.6f)
                lineToRelative(-25.8f, 14.9f)
                curveToRelative(-3.0f, 1.7f, -4.3f, 5.2f, -3.3f, 8.5f)
                curveToRelative(6.7f, 21.6f, 18.2f, 41.1f, 33.2f, 57.4f)
                curveToRelative(2.3f, 2.5f, 6.0f, 3.1f, 9.0f, 1.4f)
                lineToRelative(25.8f, -14.9f)
                curveToRelative(10.9f, 9.3f, 23.4f, 16.5f, 36.9f, 21.3f)
                verticalLineToRelative(29.8f)
                curveToRelative(0.0f, 3.4f, 2.4f, 6.4f, 5.7f, 7.1f)
                curveToRelative(22.3f, 5.0f, 45.0f, 4.8f, 66.2f, 0.0f)
                curveToRelative(3.3f, -0.7f, 5.7f, -3.7f, 5.7f, -7.1f)
                verticalLineToRelative(-29.8f)
                curveToRelative(13.5f, -4.8f, 26.0f, -12.0f, 36.9f, -21.3f)
                lineToRelative(25.8f, 14.9f)
                curveToRelative(2.9f, 1.7f, 6.7f, 1.1f, 9.0f, -1.4f)
                curveToRelative(15.0f, -16.2f, 26.5f, -35.8f, 33.2f, -57.4f)
                curveToRelative(1.0f, -3.3f, -0.4f, -6.8f, -3.3f, -8.5f)
                lineToRelative(-25.8f, -14.9f)
                close()
                moveTo(496.0f, 400.5f)
                curveToRelative(-26.8f, 0.0f, -48.5f, -21.8f, -48.5f, -48.5f)
                reflectiveCurveToRelative(21.8f, -48.5f, 48.5f, -48.5f)
                reflectiveCurveToRelative(48.5f, 21.8f, 48.5f, 48.5f)
                reflectiveCurveToRelative(-21.7f, 48.5f, -48.5f, 48.5f)
                close()
                moveTo(224.0f, 256.0f)
                curveToRelative(70.7f, 0.0f, 128.0f, -57.3f, 128.0f, -128.0f)
                reflectiveCurveTo(294.7f, 0.0f, 224.0f, 0.0f)
                reflectiveCurveTo(96.0f, 57.3f, 96.0f, 128.0f)
                reflectiveCurveToRelative(57.3f, 128.0f, 128.0f, 128.0f)
                close()
                moveTo(425.2f, 482.5f)
                curveToRelative(-2.3f, -1.2f, -4.6f, -2.6f, -6.8f, -3.9f)
                lineToRelative(-7.9f, 4.6f)
                curveToRelative(-6.0f, 3.4f, -12.8f, 5.3f, -19.6f, 5.3f)
                curveToRelative(-10.9f, 0.0f, -21.4f, -4.6f, -28.9f, -12.6f)
                curveToRelative(-18.3f, -19.8f, -32.3f, -43.9f, -40.2f, -69.6f)
                curveToRelative(-5.5f, -17.7f, 1.9f, -36.4f, 17.9f, -45.7f)
                lineToRelative(7.9f, -4.6f)
                curveToRelative(-0.1f, -2.6f, -0.1f, -5.2f, 0.0f, -7.8f)
                lineToRelative(-7.9f, -4.6f)
                curveToRelative(-16.0f, -9.2f, -23.4f, -28.0f, -17.9f, -45.7f)
                curveToRelative(0.9f, -2.9f, 2.2f, -5.8f, 3.2f, -8.7f)
                curveToRelative(-3.8f, -0.3f, -7.5f, -1.2f, -11.4f, -1.2f)
                horizontalLineToRelative(-16.7f)
                curveToRelative(-22.2f, 10.2f, -46.9f, 16.0f, -72.9f, 16.0f)
                reflectiveCurveToRelative(-50.6f, -5.8f, -72.9f, -16.0f)
                horizontalLineToRelative(-16.7f)
                curveTo(60.2f, 288.0f, 0.0f, 348.2f, 0.0f, 422.4f)
                lineTo(0.0f, 464.0f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(352.0f)
                curveToRelative(10.1f, 0.0f, 19.5f, -3.2f, 27.2f, -8.5f)
                curveToRelative(-1.2f, -3.8f, -2.0f, -7.7f, -2.0f, -11.8f)
                verticalLineToRelative(-9.2f)
                close()
            }
        }
        .build()
        return _userCog!!
    }

private var _userCog: ImageVector? = null
