package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.UsersCog: ImageVector
    get() {
        if (_usersCog != null) {
            return _usersCog!!
        }
        _usersCog = Builder(name = "UsersCog", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(610.5f, 341.3f)
                curveToRelative(2.6f, -14.1f, 2.6f, -28.5f, 0.0f, -42.6f)
                lineToRelative(25.8f, -14.9f)
                curveToRelative(3.0f, -1.7f, 4.3f, -5.2f, 3.3f, -8.5f)
                curveToRelative(-6.7f, -21.6f, -18.2f, -41.2f, -33.2f, -57.4f)
                curveToRelative(-2.3f, -2.5f, -6.0f, -3.1f, -9.0f, -1.4f)
                lineToRelative(-25.8f, 14.9f)
                curveToRelative(-10.9f, -9.3f, -23.4f, -16.5f, -36.9f, -21.3f)
                verticalLineToRelative(-29.8f)
                curveToRelative(0.0f, -3.4f, -2.4f, -6.4f, -5.7f, -7.1f)
                curveToRelative(-22.3f, -5.0f, -45.0f, -4.8f, -66.2f, 0.0f)
                curveToRelative(-3.3f, 0.7f, -5.7f, 3.7f, -5.7f, 7.1f)
                verticalLineToRelative(29.8f)
                curveToRelative(-13.5f, 4.8f, -26.0f, 12.0f, -36.9f, 21.3f)
                lineToRelative(-25.8f, -14.9f)
                curveToRelative(-2.9f, -1.7f, -6.7f, -1.1f, -9.0f, 1.4f)
                curveToRelative(-15.0f, 16.2f, -26.5f, 35.8f, -33.2f, 57.4f)
                curveToRelative(-1.0f, 3.3f, 0.4f, 6.8f, 3.3f, 8.5f)
                lineToRelative(25.8f, 14.9f)
                curveToRelative(-2.6f, 14.1f, -2.6f, 28.5f, 0.0f, 42.6f)
                lineToRelative(-25.8f, 14.9f)
                curveToRelative(-3.0f, 1.7f, -4.3f, 5.2f, -3.3f, 8.5f)
                curveToRelative(6.7f, 21.6f, 18.2f, 41.1f, 33.2f, 57.4f)
                curveToRelative(2.3f, 2.5f, 6.0f, 3.1f, 9.0f, 1.4f)
                lineToRelative(25.8f, -14.9f)
                curveToRelative(10.9f, 9.3f, 23.4f, 16.5f, 36.9f, 21.3f)
                verticalLineToRelative(29.8f)
                curveToRelative(0.0f, 3.4f, 2.4f, 6.4f, 5.7f, 7.1f)
                curveToRelative(22.3f, 5.0f, 45.0f, 4.8f, 66.2f, 0.0f)
                curveToRelative(3.3f, -0.7f, 5.7f, -3.7f, 5.7f, -7.1f)
                verticalLineToRelative(-29.8f)
                curveToRelative(13.5f, -4.8f, 26.0f, -12.0f, 36.9f, -21.3f)
                lineToRelative(25.8f, 14.9f)
                curveToRelative(2.9f, 1.7f, 6.7f, 1.1f, 9.0f, -1.4f)
                curveToRelative(15.0f, -16.2f, 26.5f, -35.8f, 33.2f, -57.4f)
                curveToRelative(1.0f, -3.3f, -0.4f, -6.8f, -3.3f, -8.5f)
                lineToRelative(-25.8f, -14.9f)
                close()
                moveTo(496.0f, 368.5f)
                curveToRelative(-26.8f, 0.0f, -48.5f, -21.8f, -48.5f, -48.5f)
                reflectiveCurveToRelative(21.8f, -48.5f, 48.5f, -48.5f)
                reflectiveCurveToRelative(48.5f, 21.8f, 48.5f, 48.5f)
                reflectiveCurveToRelative(-21.7f, 48.5f, -48.5f, 48.5f)
                close()
                moveTo(96.0f, 224.0f)
                curveToRelative(35.3f, 0.0f, 64.0f, -28.7f, 64.0f, -64.0f)
                reflectiveCurveToRelative(-28.7f, -64.0f, -64.0f, -64.0f)
                reflectiveCurveToRelative(-64.0f, 28.7f, -64.0f, 64.0f)
                reflectiveCurveToRelative(28.7f, 64.0f, 64.0f, 64.0f)
                close()
                moveTo(320.0f, 256.0f)
                curveToRelative(1.9f, 0.0f, 3.7f, -0.5f, 5.6f, -0.6f)
                curveToRelative(8.3f, -21.7f, 20.5f, -42.1f, 36.3f, -59.2f)
                curveToRelative(7.4f, -8.0f, 17.9f, -12.6f, 28.9f, -12.6f)
                curveToRelative(6.9f, 0.0f, 13.7f, 1.8f, 19.6f, 5.3f)
                lineToRelative(7.9f, 4.6f)
                curveToRelative(0.8f, -0.5f, 1.6f, -0.9f, 2.4f, -1.4f)
                curveToRelative(7.0f, -14.6f, 11.2f, -30.8f, 11.2f, -48.0f)
                curveToRelative(0.0f, -61.9f, -50.1f, -112.0f, -112.0f, -112.0f)
                reflectiveCurveTo(208.0f, 82.1f, 208.0f, 144.0f)
                curveToRelative(0.0f, 61.9f, 50.1f, 112.0f, 112.0f, 112.0f)
                close()
                moveTo(425.2f, 450.5f)
                curveToRelative(-2.3f, -1.2f, -4.6f, -2.6f, -6.8f, -3.9f)
                curveToRelative(-8.2f, 4.8f, -15.3f, 9.8f, -27.5f, 9.8f)
                curveToRelative(-10.9f, 0.0f, -21.4f, -4.6f, -28.9f, -12.6f)
                curveToRelative(-18.3f, -19.8f, -32.3f, -43.9f, -40.2f, -69.6f)
                curveToRelative(-10.7f, -34.5f, 24.9f, -49.7f, 25.8f, -50.3f)
                curveToRelative(-0.1f, -2.6f, -0.1f, -5.2f, 0.0f, -7.8f)
                lineToRelative(-7.9f, -4.6f)
                curveToRelative(-3.8f, -2.2f, -7.0f, -5.0f, -9.8f, -8.1f)
                curveToRelative(-3.3f, 0.2f, -6.5f, 0.6f, -9.8f, 0.6f)
                curveToRelative(-24.6f, 0.0f, -47.6f, -6.0f, -68.5f, -16.0f)
                horizontalLineToRelative(-8.3f)
                curveTo(179.6f, 288.0f, 128.0f, 339.6f, 128.0f, 403.2f)
                lineTo(128.0f, 432.0f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(255.4f)
                curveToRelative(-3.7f, -6.0f, -6.2f, -12.8f, -6.2f, -20.3f)
                verticalLineToRelative(-9.2f)
                close()
                moveTo(173.1f, 274.6f)
                curveTo(161.5f, 263.1f, 145.6f, 256.0f, 128.0f, 256.0f)
                lineTo(64.0f, 256.0f)
                curveToRelative(-35.3f, 0.0f, -64.0f, 28.7f, -64.0f, 64.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 32.0f, 32.0f)
                horizontalLineToRelative(65.9f)
                curveToRelative(6.3f, -47.4f, 34.9f, -87.3f, 75.2f, -109.4f)
                close()
            }
        }
        .build()
        return _usersCog!!
    }

private var _usersCog: ImageVector? = null
