package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.AmericanSignLanguageInterpretingSolid: ImageVector
    get() {
        if (_americanSignLanguageInterpretingSolid != null) {
            return _americanSignLanguageInterpretingSolid!!
        }
        _americanSignLanguageInterpretingSolid = Builder(name =
                "AmericanSignLanguageInterpretingSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.2188f, 7.375f)
                lineTo(6.8125f, 10.25f)
                lineTo(6.6563f, 10.4375f)
                lineTo(6.625f, 10.6875f)
                lineTo(6.0f, 13.4063f)
                lineTo(6.0f, 9.0f)
                lineTo(4.0f, 9.0f)
                lineTo(4.0f, 16.0f)
                lineTo(3.0f, 17.0f)
                lineTo(3.0f, 23.0f)
                lineTo(7.375f, 22.0313f)
                lineTo(9.625f, 22.9375f)
                lineTo(9.8125f, 23.0f)
                lineTo(10.625f, 23.0f)
                lineTo(10.8438f, 22.8438f)
                lineTo(13.5313f, 21.25f)
                lineTo(13.7813f, 21.0625f)
                lineTo(13.9375f, 20.7813f)
                lineTo(14.9375f, 18.375f)
                lineTo(13.0625f, 17.625f)
                lineTo(12.1875f, 19.7188f)
                lineTo(10.625f, 20.6875f)
                curveTo(9.8594f, 20.5078f, 8.0f, 19.8711f, 8.0f, 18.0f)
                curveTo(8.0f, 15.668f, 10.0f, 15.0f, 10.0f, 15.0f)
                lineTo(11.5625f, 15.0f)
                lineTo(13.2813f, 16.7188f)
                lineTo(14.7188f, 15.2813f)
                lineTo(12.7188f, 13.2813f)
                lineTo(12.4063f, 13.0f)
                lineTo(10.5625f, 13.0f)
                lineTo(10.75f, 12.7188f)
                lineTo(13.2813f, 11.1563f)
                lineTo(12.2188f, 9.4688f)
                lineTo(9.4688f, 11.1563f)
                lineTo(9.2813f, 11.25f)
                lineTo(8.1563f, 12.9375f)
                lineTo(8.5313f, 11.3125f)
                lineTo(10.7813f, 8.625f)
                close()
                moveTo(21.375f, 9.0f)
                lineTo(21.1563f, 9.1563f)
                lineTo(18.4688f, 10.75f)
                lineTo(18.2188f, 10.9375f)
                lineTo(18.0625f, 11.2188f)
                lineTo(17.0625f, 13.625f)
                lineTo(18.9375f, 14.375f)
                lineTo(19.8125f, 12.2813f)
                lineTo(21.375f, 11.3125f)
                curveTo(22.1406f, 11.4922f, 24.0f, 12.1289f, 24.0f, 14.0f)
                curveTo(24.0f, 16.332f, 22.0f, 17.0f, 22.0f, 17.0f)
                lineTo(20.4375f, 17.0f)
                lineTo(18.7188f, 15.2813f)
                lineTo(17.2813f, 16.7188f)
                lineTo(19.2813f, 18.7188f)
                lineTo(19.5938f, 19.0f)
                lineTo(21.4375f, 19.0f)
                lineTo(21.25f, 19.2813f)
                lineTo(18.7188f, 20.8438f)
                lineTo(19.7813f, 22.5313f)
                lineTo(22.5313f, 20.8438f)
                lineTo(22.7188f, 20.75f)
                lineTo(23.8438f, 19.0625f)
                lineTo(23.4688f, 20.6875f)
                lineTo(21.2188f, 23.375f)
                lineTo(22.7813f, 24.625f)
                lineTo(25.1875f, 21.75f)
                lineTo(25.3438f, 21.5625f)
                lineTo(25.375f, 21.3125f)
                lineTo(26.0f, 18.5938f)
                lineTo(26.0f, 23.0f)
                lineTo(28.0f, 23.0f)
                lineTo(28.0f, 16.0f)
                lineTo(29.0f, 15.0f)
                lineTo(29.0f, 9.0f)
                lineTo(24.625f, 9.9688f)
                lineTo(22.375f, 9.0625f)
                lineTo(22.1875f, 9.0f)
                close()
            }
        }
        .build()
        return _americanSignLanguageInterpretingSolid!!
    }

private var _americanSignLanguageInterpretingSolid: ImageVector? = null
