package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CarAltSolid: ImageVector
    get() {
        if (_carAltSolid != null) {
            return _carAltSolid!!
        }
        _carAltSolid = Builder(name = "CarAltSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.5f, 6.0f)
                curveTo(8.1797f, 6.0f, 7.0039f, 6.8594f, 6.625f, 8.125f)
                lineTo(5.25f, 12.7188f)
                lineTo(3.3125f, 12.0625f)
                lineTo(2.6875f, 13.9375f)
                lineTo(4.6563f, 14.5938f)
                lineTo(4.0313f, 16.7188f)
                curveTo(4.0078f, 16.8086f, 3.9961f, 16.9063f, 4.0f, 17.0f)
                lineTo(4.0f, 24.0f)
                curveTo(4.0f, 24.0313f, 4.0f, 24.0625f, 4.0f, 24.0938f)
                lineTo(4.0f, 25.0f)
                curveTo(4.0f, 25.5508f, 4.4492f, 26.0f, 5.0f, 26.0f)
                lineTo(8.0f, 26.0f)
                lineTo(8.3438f, 25.0f)
                lineTo(23.6563f, 25.0f)
                lineTo(24.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(27.5508f, 26.0f, 28.0f, 25.5508f, 28.0f, 25.0f)
                lineTo(28.0f, 24.1563f)
                curveTo(28.0039f, 24.1055f, 28.0039f, 24.0508f, 28.0f, 24.0f)
                lineTo(28.0f, 17.0f)
                curveTo(28.0039f, 16.9063f, 27.9922f, 16.8086f, 27.9688f, 16.7188f)
                lineTo(27.3438f, 14.5938f)
                lineTo(29.3125f, 13.9375f)
                lineTo(28.6875f, 12.0625f)
                lineTo(26.75f, 12.7188f)
                lineTo(25.375f, 8.125f)
                curveTo(24.9961f, 6.8594f, 23.8203f, 6.0f, 22.5f, 6.0f)
                close()
                moveTo(9.5f, 8.0f)
                lineTo(22.5f, 8.0f)
                curveTo(22.9453f, 8.0f, 23.3398f, 8.293f, 23.4688f, 8.7188f)
                lineTo(24.75f, 13.0f)
                lineTo(7.25f, 13.0f)
                lineTo(8.5313f, 8.7188f)
                curveTo(8.6602f, 8.2891f, 9.0547f, 8.0f, 9.5f, 8.0f)
                close()
                moveTo(11.0f, 13.0f)
                curveTo(12.1055f, 13.0f, 13.0f, 12.1055f, 13.0f, 11.0f)
                curveTo(13.0f, 9.8945f, 12.1055f, 9.0f, 11.0f, 9.0f)
                curveTo(9.8945f, 9.0f, 9.0f, 9.8945f, 9.0f, 11.0f)
                curveTo(9.0f, 12.1055f, 9.8945f, 13.0f, 11.0f, 13.0f)
                close()
                moveTo(21.0f, 13.0f)
                curveTo(22.1055f, 13.0f, 23.0f, 12.1055f, 23.0f, 11.0f)
                curveTo(23.0f, 9.8945f, 22.1055f, 9.0f, 21.0f, 9.0f)
                curveTo(19.8945f, 9.0f, 19.0f, 9.8945f, 19.0f, 11.0f)
                curveTo(19.0f, 12.1055f, 19.8945f, 13.0f, 21.0f, 13.0f)
                close()
                moveTo(16.0f, 9.0f)
                curveTo(15.1719f, 9.0f, 14.5f, 9.6719f, 14.5f, 10.5f)
                curveTo(14.5f, 11.3281f, 15.1719f, 12.0f, 16.0f, 12.0f)
                curveTo(16.8281f, 12.0f, 17.5f, 11.3281f, 17.5f, 10.5f)
                curveTo(17.5f, 9.6719f, 16.8281f, 9.0f, 16.0f, 9.0f)
                close()
                moveTo(6.6563f, 15.0f)
                lineTo(25.3438f, 15.0f)
                lineTo(26.0f, 17.1875f)
                lineTo(26.0f, 23.0f)
                lineTo(6.0f, 23.0f)
                lineTo(6.0f, 17.1875f)
                close()
                moveTo(8.5f, 16.0f)
                curveTo(7.6719f, 16.0f, 7.0f, 16.6719f, 7.0f, 17.5f)
                curveTo(7.0f, 18.3281f, 7.6719f, 19.0f, 8.5f, 19.0f)
                curveTo(9.3281f, 19.0f, 10.0f, 18.3281f, 10.0f, 17.5f)
                curveTo(10.0f, 16.6719f, 9.3281f, 16.0f, 8.5f, 16.0f)
                close()
                moveTo(23.5f, 16.0f)
                curveTo(22.6719f, 16.0f, 22.0f, 16.6719f, 22.0f, 17.5f)
                curveTo(22.0f, 18.3281f, 22.6719f, 19.0f, 23.5f, 19.0f)
                curveTo(24.3281f, 19.0f, 25.0f, 18.3281f, 25.0f, 17.5f)
                curveTo(25.0f, 16.6719f, 24.3281f, 16.0f, 23.5f, 16.0f)
                close()
                moveTo(12.0f, 19.0f)
                lineTo(10.75f, 22.0f)
                lineTo(12.9063f, 22.0f)
                lineTo(13.3438f, 21.0f)
                lineTo(18.6563f, 21.0f)
                lineTo(19.0938f, 22.0f)
                lineTo(21.25f, 22.0f)
                lineTo(20.0f, 19.0f)
                close()
            }
        }
        .build()
        return _carAltSolid!!
    }

private var _carAltSolid: ImageVector? = null
