package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CcApplePay: ImageVector
    get() {
        if (_ccApplePay != null) {
            return _ccApplePay!!
        }
        _ccApplePay = Builder(name = "CcApplePay", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.355f, 6.0f, 2.0f, 7.355f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.645f, 3.355f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.645f, 26.0f, 30.0f, 24.645f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.355f, 28.645f, 6.0f, 27.0f, 6.0f)
                lineTo(5.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.566f, 8.0f, 28.0f, 8.434f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.566f, 27.566f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.434f, 24.0f, 4.0f, 23.566f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.434f, 4.434f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(10.998f, 11.0f)
                curveTo(10.533f, 11.0f, 10.0022f, 11.2653f, 9.6582f, 11.6523f)
                curveTo(9.3922f, 11.9733f, 9.1031f, 12.4832f, 9.2031f, 12.9922f)
                curveTo(9.6801f, 13.0482f, 10.201f, 12.7493f, 10.5f, 12.3613f)
                curveTo(10.832f, 12.0073f, 11.02f, 11.509f, 10.998f, 11.0f)
                close()
                moveTo(13.0f, 13.0f)
                lineTo(13.0f, 19.0f)
                lineTo(13.9316f, 19.0f)
                lineTo(13.9316f, 16.9453f)
                lineTo(15.2285f, 16.9453f)
                curveTo(16.4035f, 16.9453f, 17.2344f, 16.1367f, 17.2344f, 14.9727f)
                curveTo(17.2344f, 13.7977f, 16.414f, 13.0f, 15.25f, 13.0f)
                lineTo(13.0f, 13.0f)
                close()
                moveTo(7.8379f, 13.5234f)
                curveTo(6.7989f, 13.5234f, 6.0f, 14.4333f, 6.0f, 15.7383f)
                curveTo(6.0f, 17.4383f, 7.1945f, 19.0f, 7.9395f, 19.0f)
                curveTo(8.3895f, 19.0f, 8.5543f, 18.6973f, 9.1523f, 18.6973f)
                curveTo(9.7033f, 18.6973f, 9.8767f, 19.0f, 10.3457f, 19.0f)
                curveTo(11.2367f, 19.0f, 11.972f, 17.1901f, 12.0f, 17.0801f)
                curveTo(11.853f, 17.0061f, 10.997f, 16.6029f, 10.998f, 15.6289f)
                curveTo(10.998f, 14.6829f, 11.7794f, 14.2582f, 11.8164f, 14.2402f)
                curveTo(11.3844f, 13.5972f, 10.7043f, 13.5234f, 10.4473f, 13.5234f)
                curveTo(9.8503f, 13.5234f, 9.328f, 13.8457f, 9.043f, 13.8457f)
                curveTo(8.749f, 13.8457f, 8.3159f, 13.5234f, 7.8379f, 13.5234f)
                close()
                moveTo(13.9316f, 13.7871f)
                lineTo(15.0059f, 13.7871f)
                curveTo(15.8149f, 13.7871f, 16.2813f, 14.2187f, 16.2813f, 14.9727f)
                curveTo(16.2813f, 15.7267f, 15.8149f, 16.1699f, 15.0059f, 16.1699f)
                lineTo(13.9316f, 16.1699f)
                lineTo(13.9316f, 13.7871f)
                close()
                moveTo(19.4297f, 14.5313f)
                curveTo(18.4437f, 14.5313f, 17.7115f, 15.097f, 17.6895f, 15.873f)
                lineTo(18.5313f, 15.873f)
                curveTo(18.5982f, 15.507f, 18.9403f, 15.2637f, 19.4063f, 15.2637f)
                curveTo(19.9823f, 15.2637f, 20.2949f, 15.5296f, 20.2949f, 16.0176f)
                lineTo(20.2949f, 16.3496f)
                lineTo(19.1309f, 16.4277f)
                curveTo(18.0559f, 16.4947f, 17.4668f, 16.9381f, 17.4668f, 17.7031f)
                curveTo(17.4668f, 18.4791f, 18.0657f, 19.0f, 18.9297f, 19.0f)
                curveTo(19.5167f, 19.0f, 20.0617f, 18.7004f, 20.3047f, 18.2344f)
                lineTo(20.3262f, 18.2344f)
                lineTo(20.3262f, 18.9551f)
                lineTo(21.1914f, 18.9551f)
                lineTo(21.1914f, 15.9629f)
                curveTo(21.1914f, 15.0979f, 20.4937f, 14.5313f, 19.4297f, 14.5313f)
                close()
                moveTo(21.5742f, 14.5879f)
                lineTo(23.1484f, 18.9668f)
                lineTo(23.0703f, 19.2324f)
                curveTo(22.9263f, 19.6764f, 22.6932f, 19.8535f, 22.2832f, 19.8535f)
                curveTo(22.2062f, 19.8535f, 22.0628f, 19.8418f, 22.0078f, 19.8418f)
                lineTo(22.0078f, 20.5625f)
                curveTo(22.0638f, 20.5735f, 22.2943f, 20.584f, 22.3613f, 20.584f)
                curveTo(23.2703f, 20.584f, 23.7031f, 20.2295f, 24.0801f, 19.1875f)
                lineTo(25.709f, 14.5879f)
                lineTo(24.7656f, 14.5879f)
                lineTo(23.6699f, 18.1348f)
                lineTo(23.6465f, 18.1348f)
                lineTo(22.5508f, 14.5879f)
                lineTo(21.5742f, 14.5879f)
                close()
                moveTo(20.2949f, 16.9805f)
                lineTo(20.2949f, 17.3145f)
                lineTo(20.293f, 17.3145f)
                curveTo(20.293f, 17.8795f, 19.8165f, 18.2773f, 19.1855f, 18.2773f)
                curveTo(18.6865f, 18.2773f, 18.377f, 18.0457f, 18.377f, 17.6797f)
                curveTo(18.377f, 17.3027f, 18.6757f, 17.0799f, 19.2637f, 17.0469f)
                lineTo(20.2949f, 16.9805f)
                close()
            }
        }
        .build()
        return _ccApplePay!!
    }

private var _ccApplePay: ImageVector? = null
