package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ChessSolid: ImageVector
    get() {
        if (_chessSolid != null) {
            return _chessSolid!!
        }
        _chessSolid = Builder(name = "ChessSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 4.0f)
                lineTo(8.0f, 6.0f)
                lineTo(4.8008f, 6.0f)
                lineTo(6.0742f, 12.0f)
                lineTo(6.0f, 12.0f)
                curveTo(5.4f, 12.0f, 5.0f, 12.4f, 5.0f, 13.0f)
                curveTo(5.0f, 13.6f, 5.4f, 14.0f, 6.0f, 14.0f)
                lineTo(6.1094f, 14.0f)
                lineTo(5.0918f, 21.0f)
                lineTo(5.0f, 21.0f)
                curveTo(4.4f, 21.0f, 4.0f, 21.4f, 4.0f, 22.0f)
                curveTo(4.0f, 22.3197f, 4.1195f, 22.5761f, 4.3164f, 22.752f)
                lineTo(3.0f, 24.6992f)
                lineTo(3.0f, 27.0f)
                lineTo(15.0f, 27.0f)
                lineTo(15.0996f, 27.0f)
                lineTo(15.0996f, 24.6992f)
                lineTo(13.7441f, 22.6934f)
                curveTo(13.9035f, 22.52f, 14.0f, 22.2852f, 14.0f, 22.0f)
                curveTo(14.0f, 21.4f, 13.6f, 21.0f, 13.0f, 21.0f)
                lineTo(12.8906f, 21.0f)
                lineTo(11.8086f, 14.0f)
                lineTo(12.0f, 14.0f)
                curveTo(12.6f, 14.0f, 13.0f, 13.6f, 13.0f, 13.0f)
                curveTo(13.0f, 12.4f, 12.6f, 12.0f, 12.0f, 12.0f)
                lineTo(11.9492f, 12.0f)
                lineTo(13.3008f, 6.0f)
                lineTo(10.0f, 6.0f)
                lineTo(10.0f, 4.0f)
                lineTo(8.0f, 4.0f)
                close()
                moveTo(7.1992f, 8.0f)
                lineTo(10.8008f, 8.0f)
                lineTo(9.9004f, 12.0f)
                lineTo(8.0996f, 12.0f)
                lineTo(7.1992f, 8.0f)
                close()
                moveTo(19.0f, 9.0f)
                lineTo(19.0f, 11.0f)
                lineTo(19.0f, 12.0f)
                lineTo(19.0f, 15.4004f)
                lineTo(19.9004f, 16.3008f)
                lineTo(19.1289f, 21.0f)
                lineTo(19.0f, 21.0f)
                curveTo(18.4f, 21.0f, 18.0f, 21.4f, 18.0f, 22.0f)
                curveTo(18.0f, 22.3197f, 18.1195f, 22.5761f, 18.3164f, 22.752f)
                lineTo(17.0f, 24.6992f)
                lineTo(17.0f, 27.0f)
                lineTo(29.0f, 27.0f)
                lineTo(29.0996f, 27.0f)
                lineTo(29.0996f, 24.6992f)
                lineTo(27.7441f, 22.6934f)
                curveTo(27.9035f, 22.52f, 28.0f, 22.2852f, 28.0f, 22.0f)
                curveTo(28.0f, 21.4f, 27.6f, 21.0f, 27.0f, 21.0f)
                lineTo(26.8711f, 21.0f)
                lineTo(26.0996f, 16.3008f)
                lineTo(27.0f, 15.4004f)
                lineTo(27.0f, 12.0f)
                lineTo(27.0f, 11.0f)
                lineTo(27.0f, 9.0f)
                lineTo(25.0f, 9.0f)
                lineTo(25.0f, 11.0f)
                lineTo(24.0f, 11.0f)
                lineTo(24.0f, 9.0f)
                lineTo(22.0f, 9.0f)
                lineTo(22.0f, 11.0f)
                lineTo(21.0f, 11.0f)
                lineTo(21.0f, 9.0f)
                lineTo(19.0f, 9.0f)
                close()
                moveTo(21.0f, 13.0f)
                lineTo(25.0f, 13.0f)
                lineTo(25.0f, 14.5996f)
                lineTo(23.9004f, 15.6992f)
                lineTo(24.8008f, 21.0f)
                lineTo(21.1992f, 21.0f)
                lineTo(22.0996f, 15.6992f)
                lineTo(21.0f, 14.5996f)
                lineTo(21.0f, 13.0f)
                close()
                moveTo(8.1992f, 14.0f)
                lineTo(9.9004f, 14.0f)
                lineTo(10.9004f, 21.0f)
                lineTo(7.1992f, 21.0f)
                lineTo(8.1992f, 14.0f)
                close()
                moveTo(6.5f, 23.0f)
                lineTo(11.5f, 23.0f)
                lineTo(12.8008f, 25.0f)
                lineTo(5.1992f, 25.0f)
                lineTo(6.5f, 23.0f)
                close()
                moveTo(20.5996f, 23.0f)
                lineTo(25.5f, 23.0f)
                lineTo(26.8008f, 25.0f)
                lineTo(19.1992f, 25.0f)
                lineTo(20.5996f, 23.0f)
                close()
            }
        }
        .build()
        return _chessSolid!!
    }

private var _chessSolid: ImageVector? = null
