package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CloneSolid: ImageVector
    get() {
        if (_cloneSolid != null) {
            return _cloneSolid!!
        }
        _cloneSolid = Builder(name = "CloneSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 4.0f)
                curveTo(6.8008f, 4.0f, 5.0f, 5.8008f, 5.0f, 8.0f)
                curveTo(5.0f, 9.1133f, 5.4766f, 10.1172f, 6.2188f, 10.8438f)
                curveTo(4.8867f, 11.7461f, 4.0f, 13.2813f, 4.0f, 15.0f)
                lineTo(4.0f, 20.625f)
                lineTo(6.0f, 21.625f)
                lineTo(6.0f, 28.0f)
                lineTo(12.0f, 28.0f)
                lineTo(12.0f, 21.625f)
                lineTo(14.0f, 20.625f)
                lineTo(14.0f, 19.0f)
                lineTo(12.0f, 19.0f)
                lineTo(12.0f, 19.375f)
                lineTo(10.0f, 20.375f)
                lineTo(10.0f, 26.0f)
                lineTo(8.0f, 26.0f)
                lineTo(8.0f, 20.375f)
                lineTo(6.0f, 19.375f)
                lineTo(6.0f, 15.0f)
                curveTo(6.0f, 13.332f, 7.332f, 12.0f, 9.0f, 12.0f)
                curveTo(10.668f, 12.0f, 12.0f, 13.332f, 12.0f, 15.0f)
                lineTo(14.0f, 15.0f)
                curveTo(14.0f, 13.2813f, 13.1133f, 11.7461f, 11.7813f, 10.8438f)
                curveTo(12.5234f, 10.1172f, 13.0f, 9.1133f, 13.0f, 8.0f)
                curveTo(13.0f, 5.8008f, 11.1992f, 4.0f, 9.0f, 4.0f)
                close()
                moveTo(23.0f, 4.0f)
                curveTo(20.8008f, 4.0f, 19.0f, 5.8008f, 19.0f, 8.0f)
                curveTo(19.0f, 9.1133f, 19.4766f, 10.1172f, 20.2188f, 10.8438f)
                curveTo(18.8867f, 11.7461f, 18.0f, 13.2813f, 18.0f, 15.0f)
                lineTo(18.0f, 20.625f)
                lineTo(20.0f, 21.625f)
                lineTo(20.0f, 28.0f)
                lineTo(26.0f, 28.0f)
                lineTo(26.0f, 21.625f)
                lineTo(28.0f, 20.625f)
                lineTo(28.0f, 15.0f)
                curveTo(28.0f, 13.2813f, 27.1133f, 11.7461f, 25.7813f, 10.8438f)
                curveTo(26.5234f, 10.1172f, 27.0f, 9.1133f, 27.0f, 8.0f)
                curveTo(27.0f, 5.8008f, 25.1992f, 4.0f, 23.0f, 4.0f)
                close()
                moveTo(9.0f, 6.0f)
                curveTo(10.1172f, 6.0f, 11.0f, 6.8828f, 11.0f, 8.0f)
                curveTo(11.0f, 9.1172f, 10.1172f, 10.0f, 9.0f, 10.0f)
                curveTo(7.8828f, 10.0f, 7.0f, 9.1172f, 7.0f, 8.0f)
                curveTo(7.0f, 6.8828f, 7.8828f, 6.0f, 9.0f, 6.0f)
                close()
                moveTo(23.0f, 6.0f)
                curveTo(24.1172f, 6.0f, 25.0f, 6.8828f, 25.0f, 8.0f)
                curveTo(25.0f, 9.1172f, 24.1172f, 10.0f, 23.0f, 10.0f)
                curveTo(21.8828f, 10.0f, 21.0f, 9.1172f, 21.0f, 8.0f)
                curveTo(21.0f, 6.8828f, 21.8828f, 6.0f, 23.0f, 6.0f)
                close()
                moveTo(23.0f, 12.0f)
                curveTo(24.668f, 12.0f, 26.0f, 13.332f, 26.0f, 15.0f)
                lineTo(26.0f, 19.375f)
                lineTo(24.0f, 20.375f)
                lineTo(24.0f, 26.0f)
                lineTo(22.0f, 26.0f)
                lineTo(22.0f, 20.375f)
                lineTo(20.0f, 19.375f)
                lineTo(20.0f, 15.0f)
                curveTo(20.0f, 13.332f, 21.332f, 12.0f, 23.0f, 12.0f)
                close()
                moveTo(15.0f, 14.1875f)
                lineTo(15.0f, 16.0f)
                lineTo(11.0f, 16.0f)
                lineTo(11.0f, 18.0f)
                lineTo(15.0f, 18.0f)
                lineTo(15.0f, 19.8125f)
                lineTo(17.8125f, 17.0f)
                close()
            }
        }
        .build()
        return _cloneSolid!!
    }

private var _cloneSolid: ImageVector? = null
