package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CloudMeatballSolid: ImageVector
    get() {
        if (_cloudMeatballSolid != null) {
            return _cloudMeatballSolid!!
        }
        _cloudMeatballSolid = Builder(name = "CloudMeatballSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(12.773f, 4.0f, 9.9727f, 6.2578f, 9.2188f, 9.3438f)
                curveTo(7.9728f, 9.8278f, 6.9383f, 10.8123f, 6.4063f, 12.0313f)
                curveTo(2.9102f, 11.7723f, 0.0f, 14.555f, 0.0f, 18.0f)
                curveTo(0.0f, 21.309f, 2.691f, 24.0f, 6.0f, 24.0f)
                lineTo(9.0f, 24.0f)
                lineTo(9.0f, 22.0f)
                lineTo(6.0f, 22.0f)
                curveTo(3.793f, 22.0f, 2.0f, 20.207f, 2.0f, 18.0f)
                curveTo(2.0f, 15.793f, 3.793f, 14.0f, 6.0f, 14.0f)
                curveTo(6.277f, 14.0f, 6.559f, 14.0227f, 6.875f, 14.0938f)
                lineTo(7.875f, 14.3125f)
                lineTo(8.0625f, 13.3438f)
                curveTo(8.3085f, 12.2388f, 9.2075f, 11.3597f, 10.3125f, 11.0938f)
                lineTo(10.9688f, 10.9375f)
                lineTo(11.0625f, 10.2813f)
                curveTo(11.4225f, 7.8472f, 13.543f, 6.0f, 16.0f, 6.0f)
                curveTo(17.895f, 6.0f, 19.6127f, 7.055f, 20.4688f, 8.75f)
                lineTo(20.8438f, 9.5313f)
                lineTo(21.6875f, 9.25f)
                curveTo(22.1555f, 9.086f, 22.582f, 9.0f, 23.0f, 9.0f)
                curveTo(25.207f, 9.0f, 27.0f, 10.793f, 27.0f, 13.0f)
                curveTo(27.0f, 13.039f, 27.004f, 13.09f, 27.0f, 13.125f)
                curveTo(26.992f, 13.191f, 26.9767f, 13.2415f, 26.9688f, 13.3125f)
                lineTo(26.9063f, 14.0313f)
                lineTo(27.5625f, 14.3125f)
                curveTo(29.0395f, 14.9405f, 30.0f, 16.395f, 30.0f, 18.0f)
                curveTo(30.0f, 20.207f, 28.207f, 22.0f, 26.0f, 22.0f)
                lineTo(24.0f, 22.0f)
                lineTo(24.0f, 24.0f)
                lineTo(26.0f, 24.0f)
                curveTo(29.309f, 24.0f, 32.0f, 21.309f, 32.0f, 18.0f)
                curveTo(32.0f, 15.836f, 30.844f, 13.8755f, 29.0f, 12.8125f)
                curveTo(28.895f, 9.5945f, 26.242f, 7.0f, 23.0f, 7.0f)
                curveTo(22.609f, 7.0f, 22.2075f, 7.039f, 21.8125f, 7.125f)
                curveTo(20.5235f, 5.18f, 18.371f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(21.0f, 13.0f)
                curveTo(20.363f, 13.0f, 19.8477f, 13.5153f, 19.8477f, 14.1523f)
                curveTo(19.8477f, 14.1953f, 19.8671f, 14.2314f, 19.8711f, 14.2734f)
                curveTo(19.4181f, 13.9054f, 18.7599f, 13.9159f, 18.3379f, 14.3379f)
                curveTo(17.9159f, 14.7599f, 17.9054f, 15.4181f, 18.2734f, 15.8711f)
                curveTo(18.2314f, 15.8661f, 18.1953f, 15.8477f, 18.1523f, 15.8477f)
                curveTo(17.5163f, 15.8467f, 17.0f, 16.363f, 17.0f, 17.0f)
                curveTo(17.0f, 17.637f, 17.5153f, 18.1523f, 18.1523f, 18.1523f)
                curveTo(18.1953f, 18.1523f, 18.2314f, 18.1329f, 18.2734f, 18.1289f)
                curveTo(17.9054f, 18.5819f, 17.9159f, 19.2401f, 18.3379f, 19.6621f)
                curveTo(18.7599f, 20.0841f, 19.4181f, 20.0946f, 19.8711f, 19.7266f)
                curveTo(19.8661f, 19.7686f, 19.8477f, 19.8047f, 19.8477f, 19.8477f)
                curveTo(19.8467f, 20.4837f, 20.363f, 21.0f, 21.0f, 21.0f)
                curveTo(21.637f, 21.0f, 22.1523f, 20.4847f, 22.1523f, 19.8477f)
                curveTo(22.1523f, 19.8047f, 22.1329f, 19.7686f, 22.1289f, 19.7266f)
                curveTo(22.5819f, 20.0946f, 23.2401f, 20.0841f, 23.6621f, 19.6621f)
                curveTo(24.0841f, 19.2401f, 24.0946f, 18.5819f, 23.7266f, 18.1289f)
                curveTo(23.7686f, 18.1339f, 23.8047f, 18.1523f, 23.8477f, 18.1523f)
                curveTo(24.4837f, 18.1533f, 25.0f, 17.637f, 25.0f, 17.0f)
                curveTo(25.0f, 16.363f, 24.4847f, 15.8477f, 23.8477f, 15.8477f)
                curveTo(23.8047f, 15.8477f, 23.7686f, 15.8671f, 23.7266f, 15.8711f)
                curveTo(24.0946f, 15.4181f, 24.0841f, 14.7599f, 23.6621f, 14.3379f)
                curveTo(23.2401f, 13.9159f, 22.5819f, 13.9054f, 22.1289f, 14.2734f)
                curveTo(22.1339f, 14.2314f, 22.1523f, 14.1953f, 22.1523f, 14.1523f)
                curveTo(22.1533f, 13.5163f, 21.637f, 13.0f, 21.0f, 13.0f)
                close()
                moveTo(12.0f, 15.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 11.0f, 16.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 11.0f, 18.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 12.0f, 19.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 13.0f, 18.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 13.0f, 16.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 12.0f, 15.0f)
                close()
                moveTo(15.0f, 21.0f)
                curveTo(14.363f, 21.0f, 13.8477f, 21.5153f, 13.8477f, 22.1523f)
                curveTo(13.8477f, 22.1953f, 13.8671f, 22.2314f, 13.8711f, 22.2734f)
                curveTo(13.4181f, 21.9054f, 12.7599f, 21.9159f, 12.3379f, 22.3379f)
                curveTo(11.9159f, 22.7599f, 11.9054f, 23.4181f, 12.2734f, 23.8711f)
                curveTo(12.2314f, 23.8661f, 12.1953f, 23.8477f, 12.1523f, 23.8477f)
                curveTo(11.5163f, 23.8467f, 11.0f, 24.363f, 11.0f, 25.0f)
                curveTo(11.0f, 25.637f, 11.5153f, 26.1523f, 12.1523f, 26.1523f)
                curveTo(12.1953f, 26.1523f, 12.2314f, 26.1329f, 12.2734f, 26.1289f)
                curveTo(11.9054f, 26.5819f, 11.9159f, 27.2401f, 12.3379f, 27.6621f)
                curveTo(12.7599f, 28.0841f, 13.4181f, 28.0946f, 13.8711f, 27.7266f)
                curveTo(13.8661f, 27.7686f, 13.8477f, 27.8047f, 13.8477f, 27.8477f)
                curveTo(13.8467f, 28.4837f, 14.363f, 29.0f, 15.0f, 29.0f)
                curveTo(15.637f, 29.0f, 16.1523f, 28.4847f, 16.1523f, 27.8477f)
                curveTo(16.1523f, 27.8047f, 16.1329f, 27.7686f, 16.1289f, 27.7266f)
                curveTo(16.5819f, 28.0946f, 17.2401f, 28.0841f, 17.6621f, 27.6621f)
                curveTo(18.0841f, 27.2401f, 18.0946f, 26.5819f, 17.7266f, 26.1289f)
                curveTo(17.7686f, 26.1339f, 17.8047f, 26.1523f, 17.8477f, 26.1523f)
                curveTo(18.4837f, 26.1533f, 19.0f, 25.637f, 19.0f, 25.0f)
                curveTo(19.0f, 24.363f, 18.4847f, 23.8477f, 17.8477f, 23.8477f)
                curveTo(17.8047f, 23.8477f, 17.7686f, 23.8671f, 17.7266f, 23.8711f)
                curveTo(18.0946f, 23.4181f, 18.0841f, 22.7599f, 17.6621f, 22.3379f)
                curveTo(17.2401f, 21.9159f, 16.5819f, 21.9054f, 16.1289f, 22.2734f)
                curveTo(16.1339f, 22.2314f, 16.1523f, 22.1953f, 16.1523f, 22.1523f)
                curveTo(16.1533f, 21.5163f, 15.637f, 21.0f, 15.0f, 21.0f)
                close()
            }
        }
        .build()
        return _cloudMeatballSolid!!
    }

private var _cloudMeatballSolid: ImageVector? = null
