package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CloudShowersHeavySolid: ImageVector
    get() {
        if (_cloudShowersHeavySolid != null) {
            return _cloudShowersHeavySolid!!
        }
        _cloudShowersHeavySolid = Builder(name = "CloudShowersHeavySolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 5.0f)
                curveTo(12.668f, 5.0f, 9.9492f, 7.3711f, 9.25f, 10.5f)
                curveTo(8.0313f, 10.9805f, 7.125f, 11.8711f, 6.5938f, 13.0625f)
                curveTo(6.3945f, 13.0391f, 6.2109f, 13.0f, 6.0f, 13.0f)
                curveTo(2.6992f, 13.0f, 0.0f, 15.6992f, 0.0f, 19.0f)
                curveTo(0.0f, 19.0664f, -0.0039f, 19.1211f, 0.0f, 19.1875f)
                curveTo(0.0938f, 22.0469f, 2.1406f, 24.3555f, 4.8438f, 24.875f)
                lineTo(6.75f, 23.0f)
                lineTo(6.0f, 23.0f)
                curveTo(3.8281f, 23.0f, 2.0703f, 21.293f, 2.0f, 19.125f)
                curveTo(2.0f, 19.082f, 2.0f, 19.043f, 2.0f, 19.0f)
                curveTo(2.0f, 16.7813f, 3.7813f, 15.0f, 6.0f, 15.0f)
                curveTo(6.293f, 15.0f, 6.5781f, 15.0273f, 6.875f, 15.0938f)
                lineTo(7.875f, 15.3125f)
                lineTo(8.0625f, 14.3438f)
                curveTo(8.3086f, 13.2305f, 9.2031f, 12.3594f, 10.3125f, 12.0938f)
                lineTo(10.9688f, 11.9375f)
                lineTo(11.0625f, 11.25f)
                curveTo(11.418f, 8.8359f, 13.4766f, 7.0f, 16.0f, 7.0f)
                curveTo(17.957f, 7.0f, 19.6445f, 8.1211f, 20.4688f, 9.75f)
                lineTo(20.8438f, 10.5313f)
                lineTo(21.6875f, 10.25f)
                curveTo(22.125f, 10.0977f, 22.5547f, 10.0f, 23.0f, 10.0f)
                curveTo(25.2188f, 10.0f, 27.0f, 11.7813f, 27.0f, 14.0f)
                curveTo(27.0f, 13.9922f, 26.9844f, 14.0781f, 26.9688f, 14.3125f)
                lineTo(26.9063f, 15.0313f)
                lineTo(27.5625f, 15.3125f)
                curveTo(28.9922f, 15.9219f, 30.0f, 17.3398f, 30.0f, 19.0f)
                curveTo(30.0f, 21.2188f, 28.2188f, 23.0f, 26.0f, 23.0f)
                lineTo(25.3125f, 23.0f)
                lineTo(23.2813f, 25.0f)
                lineTo(26.0f, 25.0f)
                curveTo(29.3008f, 25.0f, 32.0f, 22.3008f, 32.0f, 19.0f)
                curveTo(32.0f, 16.8359f, 30.7305f, 15.0547f, 29.0f, 14.0f)
                curveTo(29.0f, 10.6992f, 26.3008f, 8.0f, 23.0f, 8.0f)
                curveTo(22.5664f, 8.0f, 22.2031f, 8.1289f, 21.8125f, 8.2188f)
                curveTo(20.5625f, 6.3008f, 18.4531f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(13.5938f, 19.0938f)
                lineTo(3.9375f, 28.5938f)
                lineTo(5.3438f, 30.0f)
                lineTo(15.0f, 20.5f)
                close()
                moveTo(18.5938f, 19.0938f)
                lineTo(8.9375f, 28.5938f)
                lineTo(10.3438f, 30.0f)
                lineTo(20.0f, 20.5f)
                close()
                moveTo(23.5938f, 19.0938f)
                lineTo(13.9375f, 28.5938f)
                lineTo(15.3438f, 30.0f)
                lineTo(25.0f, 20.5f)
                close()
            }
        }
        .build()
        return _cloudShowersHeavySolid!!
    }

private var _cloudShowersHeavySolid: ImageVector? = null
