package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Deploydog: ImageVector
    get() {
        if (_deploydog != null) {
            return _deploydog!!
        }
        _deploydog = Builder(name = "Deploydog", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 6.0f)
                curveTo(3.794f, 6.0f, 2.0f, 7.794f, 2.0f, 10.0f)
                lineTo(2.0f, 22.0f)
                curveTo(2.0f, 24.206f, 3.794f, 26.0f, 6.0f, 26.0f)
                lineTo(26.0f, 26.0f)
                curveTo(28.206f, 26.0f, 30.0f, 24.206f, 30.0f, 22.0f)
                lineTo(30.0f, 10.0f)
                curveTo(30.0f, 7.794f, 28.206f, 6.0f, 26.0f, 6.0f)
                lineTo(6.0f, 6.0f)
                close()
                moveTo(6.0f, 8.0f)
                lineTo(26.0f, 8.0f)
                curveTo(27.103f, 8.0f, 28.0f, 8.897f, 28.0f, 10.0f)
                lineTo(28.0f, 22.0f)
                curveTo(28.0f, 23.103f, 27.103f, 24.0f, 26.0f, 24.0f)
                lineTo(6.0f, 24.0f)
                curveTo(4.897f, 24.0f, 4.0f, 23.103f, 4.0f, 22.0f)
                lineTo(4.0f, 10.0f)
                curveTo(4.0f, 8.897f, 4.897f, 8.0f, 6.0f, 8.0f)
                close()
                moveTo(12.0f, 10.0f)
                lineTo(12.0f, 14.5547f)
                curveTo(11.41f, 14.2107f, 10.732f, 14.0f, 10.0f, 14.0f)
                curveTo(7.791f, 14.0f, 6.0f, 15.791f, 6.0f, 18.0f)
                curveTo(6.0f, 20.209f, 7.791f, 22.0f, 10.0f, 22.0f)
                curveTo(10.732f, 22.0f, 11.41f, 21.7893f, 12.0f, 21.4453f)
                lineTo(12.0f, 22.0f)
                lineTo(15.0f, 22.0f)
                lineTo(15.0f, 10.0f)
                lineTo(12.0f, 10.0f)
                close()
                moveTo(22.0f, 10.0f)
                lineTo(22.0f, 14.5547f)
                curveTo(21.41f, 14.2107f, 20.732f, 14.0f, 20.0f, 14.0f)
                curveTo(17.791f, 14.0f, 16.0f, 15.791f, 16.0f, 18.0f)
                curveTo(16.0f, 20.209f, 17.791f, 22.0f, 20.0f, 22.0f)
                curveTo(20.732f, 22.0f, 21.41f, 21.7893f, 22.0f, 21.4453f)
                lineTo(22.0f, 22.0f)
                lineTo(25.0f, 22.0f)
                lineTo(25.0f, 10.0f)
                lineTo(22.0f, 10.0f)
                close()
                moveTo(10.5f, 16.5f)
                curveTo(11.328f, 16.5f, 12.0f, 17.172f, 12.0f, 18.0f)
                curveTo(12.0f, 18.828f, 11.328f, 19.5f, 10.5f, 19.5f)
                curveTo(9.672f, 19.5f, 9.0f, 18.828f, 9.0f, 18.0f)
                curveTo(9.0f, 17.172f, 9.672f, 16.5f, 10.5f, 16.5f)
                close()
                moveTo(20.5f, 16.5f)
                curveTo(21.328f, 16.5f, 22.0f, 17.172f, 22.0f, 18.0f)
                curveTo(22.0f, 18.828f, 21.328f, 19.5f, 20.5f, 19.5f)
                curveTo(19.672f, 19.5f, 19.0f, 18.828f, 19.0f, 18.0f)
                curveTo(19.0f, 17.172f, 19.672f, 16.5f, 20.5f, 16.5f)
                close()
            }
        }
        .build()
        return _deploydog!!
    }

private var _deploydog: ImageVector? = null
