package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.DumpsterFireSolid: ImageVector
    get() {
        if (_dumpsterFireSolid != null) {
            return _dumpsterFireSolid!!
        }
        _dumpsterFireSolid = Builder(name = "DumpsterFireSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                lineTo(3.0f, 14.0f)
                lineTo(4.334f, 14.0f)
                lineTo(4.666f, 16.0f)
                lineTo(3.0f, 16.0f)
                lineTo(3.0f, 18.0f)
                lineTo(5.0f, 18.0f)
                lineTo(6.0f, 24.0f)
                lineTo(6.0f, 26.0f)
                lineTo(8.0f, 26.0f)
                lineTo(8.0f, 24.0f)
                lineTo(19.6387f, 24.0f)
                curveTo(19.9357f, 23.269f, 20.3091f, 22.604f, 20.7051f, 22.0f)
                lineTo(7.6934f, 22.0f)
                lineTo(6.3613f, 14.0f)
                lineTo(8.1895f, 14.0f)
                lineTo(10.25f, 14.0f)
                lineTo(15.0f, 14.0f)
                lineTo(17.0f, 14.0f)
                lineTo(21.75f, 14.0f)
                lineTo(23.8105f, 14.0f)
                lineTo(25.6387f, 14.0f)
                lineTo(25.0957f, 17.2559f)
                lineTo(26.5547f, 16.1504f)
                curveTo(26.5547f, 16.1504f, 28.6514f, 17.881f, 28.7734f, 18.0f)
                lineTo(29.0f, 18.0f)
                lineTo(29.0f, 16.0f)
                lineTo(27.332f, 16.0f)
                lineTo(27.666f, 14.0f)
                lineTo(29.0f, 14.0f)
                lineTo(27.0f, 6.0f)
                lineTo(17.0f, 6.0f)
                lineTo(15.0f, 6.0f)
                lineTo(5.0f, 6.0f)
                close()
                moveTo(6.5625f, 8.0f)
                lineTo(9.3379f, 8.0f)
                lineTo(8.5723f, 12.0f)
                lineTo(5.5625f, 12.0f)
                lineTo(6.5625f, 8.0f)
                close()
                moveTo(11.3906f, 8.0f)
                lineTo(15.0f, 8.0f)
                lineTo(15.0f, 12.0f)
                lineTo(10.6309f, 12.0f)
                lineTo(11.3906f, 8.0f)
                close()
                moveTo(17.0f, 8.0f)
                lineTo(20.6094f, 8.0f)
                lineTo(21.3691f, 12.0f)
                lineTo(17.0f, 12.0f)
                lineTo(17.0f, 8.0f)
                close()
                moveTo(22.6621f, 8.0f)
                lineTo(25.4375f, 8.0f)
                lineTo(26.4375f, 12.0f)
                lineTo(23.4277f, 12.0f)
                lineTo(22.6621f, 8.0f)
                close()
                moveTo(26.5293f, 18.6602f)
                lineTo(25.8809f, 19.2207f)
                curveTo(25.8809f, 19.2207f, 24.6607f, 20.2009f, 23.4707f, 21.6309f)
                curveTo(22.2807f, 23.0609f, 21.0f, 24.9616f, 21.0f, 27.1016f)
                curveTo(21.0f, 28.6116f, 21.6302f, 29.9212f, 22.6602f, 30.7813f)
                curveTo(23.6802f, 31.6513f, 25.05f, 32.1016f, 26.5f, 32.1016f)
                curveTo(27.95f, 32.1016f, 29.3198f, 31.6513f, 30.3398f, 30.7813f)
                curveTo(31.3698f, 29.9212f, 32.0f, 28.6116f, 32.0f, 27.1016f)
                curveTo(32.0f, 25.1116f, 30.7093f, 23.2903f, 29.5293f, 21.8203f)
                curveTo(28.3493f, 20.3403f, 27.1895f, 19.252f, 27.1895f, 19.252f)
                lineTo(26.5293f, 18.6602f)
                close()
                moveTo(26.4707f, 21.4414f)
                curveTo(26.8607f, 21.8214f, 27.2207f, 22.1403f, 27.9707f, 23.0703f)
                curveTo(29.0407f, 24.4103f, 30.0f, 26.1316f, 30.0f, 27.1016f)
                curveTo(30.0f, 28.0816f, 29.6293f, 28.7813f, 29.0293f, 29.2813f)
                curveTo(28.8493f, 29.4412f, 28.6402f, 29.5814f, 28.4102f, 29.6914f)
                curveTo(28.4602f, 29.5014f, 28.5f, 29.3016f, 28.5f, 29.1016f)
                curveTo(28.5f, 26.1516f, 26.9395f, 24.4102f, 26.9395f, 24.4102f)
                curveTo(26.9395f, 24.4102f, 26.9895f, 27.041f, 26.1895f, 27.041f)
                curveTo(25.6395f, 27.041f, 25.0898f, 26.1914f, 25.0898f, 26.1914f)
                curveTo(25.0898f, 26.1914f, 24.5f, 27.4516f, 24.5f, 29.1016f)
                curveTo(24.5f, 29.3016f, 24.5398f, 29.5014f, 24.5898f, 29.6914f)
                curveTo(24.3598f, 29.5814f, 24.1507f, 29.4412f, 23.9707f, 29.2813f)
                curveTo(23.3707f, 28.7813f, 23.0f, 28.0816f, 23.0f, 27.1016f)
                curveTo(23.0f, 25.8416f, 23.9693f, 24.1802f, 25.0293f, 22.9102f)
                curveTo(25.7593f, 22.0402f, 26.0907f, 21.7814f, 26.4707f, 21.4414f)
                close()
            }
        }
        .build()
        return _dumpsterFireSolid!!
    }

private var _dumpsterFireSolid: ImageVector? = null
