package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Expeditedssl: ImageVector
    get() {
        if (_expeditedssl != null) {
            return _expeditedssl!!
        }
        _expeditedssl = Builder(name = "Expeditedssl", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(9.3828f, 4.0f, 4.0f, 9.3828f, 4.0f, 16.0f)
                curveTo(4.0f, 22.6172f, 9.3828f, 28.0f, 16.0f, 28.0f)
                curveTo(22.6172f, 28.0f, 28.0f, 22.6172f, 28.0f, 16.0f)
                curveTo(28.0f, 9.3828f, 22.6172f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(21.5352f, 6.0f, 26.0f, 10.4648f, 26.0f, 16.0f)
                curveTo(26.0f, 21.5352f, 21.5352f, 26.0f, 16.0f, 26.0f)
                curveTo(10.4648f, 26.0f, 6.0f, 21.5352f, 6.0f, 16.0f)
                curveTo(6.0f, 10.4648f, 10.4648f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(16.0313f, 7.8438f)
                curveTo(13.5938f, 7.8906f, 11.625f, 9.8945f, 11.625f, 12.3438f)
                lineTo(11.625f, 13.5625f)
                curveTo(11.625f, 13.7734f, 11.7891f, 13.9375f, 12.0f, 13.9375f)
                lineTo(12.9375f, 13.9375f)
                curveTo(13.1484f, 13.9375f, 13.3125f, 13.7734f, 13.3125f, 13.5625f)
                lineTo(13.3125f, 12.3438f)
                curveTo(13.3125f, 10.8203f, 14.4805f, 9.5234f, 16.0f, 9.4688f)
                curveTo(17.5977f, 9.4102f, 18.9375f, 10.6953f, 18.9375f, 12.2813f)
                lineTo(18.9375f, 13.5625f)
                curveTo(18.9375f, 13.7734f, 19.1016f, 13.9375f, 19.3125f, 13.9375f)
                lineTo(20.2188f, 13.9375f)
                curveTo(20.4297f, 13.9375f, 20.5938f, 13.7734f, 20.5938f, 13.5625f)
                lineTo(20.5938f, 12.4063f)
                curveTo(20.5938f, 9.8906f, 18.5469f, 7.7969f, 16.0313f, 7.8438f)
                close()
                moveTo(10.4375f, 14.3438f)
                curveTo(9.9766f, 14.3438f, 9.5938f, 14.6953f, 9.5938f, 15.1563f)
                lineTo(9.5938f, 21.625f)
                curveTo(9.5938f, 22.0859f, 9.9766f, 22.4375f, 10.4375f, 22.4375f)
                lineTo(21.75f, 22.4375f)
                curveTo(22.2109f, 22.4375f, 22.5938f, 22.0859f, 22.5938f, 21.625f)
                lineTo(22.5938f, 15.1563f)
                curveTo(22.5938f, 14.6953f, 22.2109f, 14.3438f, 21.75f, 14.3438f)
                close()
                moveTo(10.5938f, 15.1563f)
                lineTo(10.9688f, 15.1563f)
                curveTo(11.0703f, 15.1563f, 11.1563f, 15.2422f, 11.1563f, 15.3438f)
                lineTo(11.1563f, 21.4688f)
                curveTo(11.1563f, 21.5703f, 11.0703f, 21.6563f, 10.9688f, 21.6563f)
                lineTo(10.5938f, 21.6563f)
                curveTo(10.4922f, 21.6563f, 10.4063f, 21.5703f, 10.4063f, 21.4688f)
                lineTo(10.4063f, 15.3438f)
                curveTo(10.4063f, 15.2422f, 10.4922f, 15.1563f, 10.5938f, 15.1563f)
                close()
                moveTo(16.0625f, 15.9688f)
                curveTo(16.9414f, 15.9688f, 17.6563f, 16.6836f, 17.6563f, 17.5625f)
                curveTo(17.6563f, 18.1523f, 17.3477f, 18.6602f, 16.875f, 18.9375f)
                lineTo(16.875f, 20.4375f)
                curveTo(16.875f, 20.6563f, 16.6875f, 20.8125f, 16.4688f, 20.8125f)
                lineTo(15.6563f, 20.8125f)
                curveTo(15.4375f, 20.8125f, 15.25f, 20.6563f, 15.25f, 20.4375f)
                lineTo(15.25f, 18.9375f)
                curveTo(14.7773f, 18.6602f, 14.4688f, 18.1523f, 14.4688f, 17.5625f)
                curveTo(14.4688f, 16.6836f, 15.1836f, 15.9688f, 16.0625f, 15.9688f)
                close()
            }
        }
        .build()
        return _expeditedssl!!
    }

private var _expeditedssl: ImageVector? = null
