package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FighterJetSolid: ImageVector
    get() {
        if (_fighterJetSolid != null) {
            return _fighterJetSolid!!
        }
        _fighterJetSolid = Builder(name = "FighterJetSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.875f, 4.0f)
                lineTo(8.875f, 13.0f)
                lineTo(8.0313f, 13.0f)
                lineTo(6.3125f, 10.4375f)
                lineTo(6.0313f, 10.0f)
                lineTo(1.7813f, 10.0f)
                lineTo(2.0313f, 11.1875f)
                lineTo(3.0f, 16.0f)
                lineTo(2.0313f, 20.8125f)
                lineTo(1.7813f, 22.0f)
                lineTo(6.0313f, 22.0f)
                lineTo(6.3125f, 21.5625f)
                lineTo(8.0313f, 19.0f)
                lineTo(8.875f, 19.0f)
                lineTo(7.875f, 28.0f)
                lineTo(11.4063f, 28.0f)
                lineTo(11.7188f, 27.7188f)
                lineTo(20.4375f, 19.0f)
                lineTo(26.0f, 19.0f)
                curveTo(27.1563f, 19.0f, 27.8945f, 18.3281f, 28.5625f, 17.7813f)
                curveTo(29.2305f, 17.2344f, 29.7188f, 16.6875f, 29.7188f, 16.6875f)
                lineTo(30.375f, 16.0f)
                lineTo(29.7188f, 15.3125f)
                curveTo(29.7188f, 15.3125f, 29.2305f, 14.7656f, 28.5625f, 14.2188f)
                curveTo(27.8945f, 13.6719f, 27.1563f, 13.0f, 26.0f, 13.0f)
                lineTo(20.4375f, 13.0f)
                lineTo(11.7188f, 4.2813f)
                lineTo(11.4063f, 4.0f)
                close()
                moveTo(10.125f, 6.0f)
                lineTo(10.5625f, 6.0f)
                lineTo(19.2813f, 14.7188f)
                lineTo(19.5938f, 15.0f)
                lineTo(26.0f, 15.0f)
                curveTo(25.9492f, 15.0f, 26.7266f, 15.3281f, 27.2813f, 15.7813f)
                curveTo(27.418f, 15.8945f, 27.4141f, 15.8945f, 27.5313f, 16.0f)
                curveTo(27.4141f, 16.1055f, 27.418f, 16.1055f, 27.2813f, 16.2188f)
                curveTo(26.7266f, 16.6719f, 25.9492f, 17.0f, 26.0f, 17.0f)
                lineTo(19.5938f, 17.0f)
                lineTo(19.2813f, 17.2813f)
                lineTo(10.5625f, 26.0f)
                lineTo(10.125f, 26.0f)
                lineTo(11.125f, 17.0f)
                lineTo(6.9375f, 17.0f)
                lineTo(6.6563f, 17.4375f)
                lineTo(4.9375f, 20.0f)
                lineTo(4.2188f, 20.0f)
                lineTo(4.9688f, 16.1875f)
                lineTo(5.0313f, 16.0f)
                lineTo(4.9688f, 15.8125f)
                lineTo(4.2188f, 12.0f)
                lineTo(4.9375f, 12.0f)
                lineTo(6.6563f, 14.5625f)
                lineTo(6.9375f, 15.0f)
                lineTo(11.125f, 15.0f)
                close()
                moveTo(16.0f, 7.0f)
                lineTo(18.0f, 9.0f)
                lineTo(20.0f, 9.0f)
                lineTo(21.0f, 8.0f)
                lineTo(20.0f, 7.0f)
                close()
                moveTo(18.0f, 23.0f)
                lineTo(16.0f, 25.0f)
                lineTo(20.0f, 25.0f)
                lineTo(21.0f, 24.0f)
                lineTo(20.0f, 23.0f)
                close()
            }
        }
        .build()
        return _fighterJetSolid!!
    }

private var _fighterJetSolid: ImageVector? = null
