package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FirstOrderAlt: ImageVector
    get() {
        if (_firstOrderAlt != null) {
            return _firstOrderAlt!!
        }
        _firstOrderAlt = Builder(name = "FirstOrderAlt", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.817f, 3.0f, 3.0f, 8.817f, 3.0f, 16.0f)
                curveTo(3.0f, 23.183f, 8.817f, 29.0f, 16.0f, 29.0f)
                curveTo(23.183f, 29.0f, 29.0f, 23.183f, 29.0f, 16.0f)
                curveTo(29.0f, 8.817f, 23.183f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 4.0f)
                curveTo(22.63f, 4.0f, 28.0f, 9.37f, 28.0f, 16.0f)
                curveTo(28.0f, 22.63f, 22.63f, 28.0f, 16.0f, 28.0f)
                curveTo(9.37f, 28.0f, 4.0f, 22.63f, 4.0f, 16.0f)
                curveTo(4.0f, 9.37f, 9.37f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(9.926f, 5.0f, 5.0f, 9.926f, 5.0f, 16.0f)
                curveTo(5.0f, 22.074f, 9.926f, 27.0f, 16.0f, 27.0f)
                curveTo(22.074f, 27.0f, 27.0f, 22.074f, 27.0f, 16.0f)
                curveTo(27.0f, 9.926f, 22.074f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(21.523f, 6.0f, 26.0f, 10.477f, 26.0f, 16.0f)
                curveTo(26.0f, 21.523f, 21.523f, 26.0f, 16.0f, 26.0f)
                curveTo(10.477f, 26.0f, 6.0f, 21.523f, 6.0f, 16.0f)
                curveTo(6.0f, 10.477f, 10.477f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(15.9902f, 7.0f)
                curveTo(15.5752f, 7.0f, 15.1687f, 7.0289f, 14.7617f, 7.0859f)
                lineTo(14.9844f, 10.8906f)
                lineTo(13.7285f, 7.2891f)
                curveTo(12.9265f, 7.4921f, 12.1642f, 7.8116f, 11.4492f, 8.2266f)
                lineTo(13.1309f, 11.6934f)
                lineTo(10.5703f, 8.8145f)
                curveTo(9.9133f, 9.3165f, 9.3243f, 9.8957f, 8.8223f, 10.5527f)
                lineTo(11.7012f, 13.1211f)
                lineTo(8.2344f, 11.4414f)
                curveTo(7.8194f, 12.1554f, 7.4991f, 12.9189f, 7.2871f, 13.7109f)
                lineTo(10.9297f, 14.9863f)
                lineTo(7.0859f, 14.7637f)
                curveTo(7.0279f, 15.1697f, 6.998f, 15.575f, 6.998f, 16.0f)
                curveTo(6.998f, 16.415f, 7.0272f, 16.8216f, 7.0762f, 17.2266f)
                lineTo(10.9199f, 17.0039f)
                lineTo(7.2891f, 18.2695f)
                curveTo(7.4921f, 19.0715f, 7.8116f, 19.8338f, 8.2266f, 20.5488f)
                lineTo(11.6934f, 18.8672f)
                lineTo(8.8145f, 21.4277f)
                curveTo(9.3165f, 22.0847f, 9.9055f, 22.6738f, 10.5625f, 23.1758f)
                lineTo(13.1211f, 20.2969f)
                lineTo(11.4414f, 23.7637f)
                curveTo(12.1564f, 24.1887f, 12.9187f, 24.4989f, 13.7207f, 24.7109f)
                lineTo(14.9863f, 21.0605f)
                lineTo(14.7637f, 24.9121f)
                curveTo(15.1687f, 24.9701f, 15.5752f, 25.0f, 15.9902f, 25.0f)
                curveTo(16.4152f, 25.0f, 16.8196f, 24.9702f, 17.2246f, 24.9102f)
                lineTo(17.0039f, 21.0391f)
                lineTo(18.2773f, 24.709f)
                curveTo(19.0693f, 24.497f, 19.8319f, 24.1787f, 20.5469f, 23.7637f)
                lineTo(18.8672f, 20.2969f)
                lineTo(21.4258f, 23.1641f)
                curveTo(22.0818f, 22.6721f, 22.6721f, 22.0828f, 23.1641f, 21.4258f)
                lineTo(20.2969f, 18.8672f)
                lineTo(23.7637f, 20.5371f)
                curveTo(24.1797f, 19.8321f, 24.4962f, 19.0615f, 24.6992f, 18.2695f)
                lineTo(21.0684f, 17.0039f)
                lineTo(24.9023f, 17.2266f)
                curveTo(24.9603f, 16.8216f, 24.9902f, 16.415f, 24.9902f, 16.0f)
                curveTo(24.9902f, 15.575f, 24.9604f, 15.1706f, 24.9004f, 14.7656f)
                lineTo(21.0586f, 14.9863f)
                lineTo(24.6992f, 13.7227f)
                curveTo(24.4872f, 12.9207f, 24.1689f, 12.1584f, 23.7539f, 11.4434f)
                lineTo(20.2852f, 13.123f)
                lineTo(23.1641f, 10.5645f)
                curveTo(22.6621f, 9.9085f, 22.0828f, 9.3182f, 21.4258f, 8.8262f)
                lineTo(18.8672f, 11.6934f)
                lineTo(20.5371f, 8.2266f)
                curveTo(19.8321f, 7.8206f, 19.0715f, 7.5011f, 18.2695f, 7.2891f)
                lineTo(17.0039f, 10.9219f)
                lineTo(17.2266f, 7.0879f)
                curveTo(16.8206f, 7.0299f, 16.4152f, 7.0f, 15.9902f, 7.0f)
                close()
            }
        }
        .build()
        return _firstOrderAlt!!
    }

private var _firstOrderAlt: ImageVector? = null
