package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FistRaisedSolid: ImageVector
    get() {
        if (_fistRaisedSolid != null) {
            return _fistRaisedSolid!!
        }
        _fistRaisedSolid = Builder(name = "FistRaisedSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 6.0f)
                curveTo(14.9375f, 6.0f, 14.0039f, 6.5625f, 13.4688f, 7.4063f)
                curveTo(13.0313f, 7.1563f, 12.5352f, 7.0f, 12.0f, 7.0f)
                curveTo(10.3555f, 7.0f, 9.0f, 8.3555f, 9.0f, 10.0f)
                lineTo(9.0f, 13.6563f)
                lineTo(8.875f, 13.8125f)
                curveTo(8.8008f, 13.8984f, 8.7305f, 13.9766f, 8.6563f, 14.0625f)
                curveTo(8.1445f, 14.6602f, 7.6563f, 15.293f, 7.2188f, 15.9375f)
                lineTo(6.9063f, 16.3438f)
                curveTo(6.4805f, 16.8945f, 6.2188f, 17.5352f, 6.0938f, 18.1875f)
                curveTo(6.0781f, 18.2617f, 6.043f, 18.332f, 6.0313f, 18.4063f)
                curveTo(5.8555f, 19.6523f, 6.2266f, 20.9492f, 7.0938f, 21.9375f)
                lineTo(9.4688f, 24.625f)
                curveTo(10.7969f, 26.1367f, 12.707f, 27.0f, 14.7188f, 27.0f)
                lineTo(20.0f, 27.0f)
                curveTo(23.8555f, 27.0f, 27.0f, 23.8555f, 27.0f, 20.0f)
                lineTo(27.0f, 11.0f)
                curveTo(27.0f, 9.3555f, 25.6445f, 8.0f, 24.0f, 8.0f)
                curveTo(23.4648f, 8.0f, 22.9688f, 8.1563f, 22.5313f, 8.4063f)
                curveTo(21.9961f, 7.5625f, 21.0625f, 7.0f, 20.0f, 7.0f)
                curveTo(19.4648f, 7.0f, 18.9688f, 7.1563f, 18.5313f, 7.4063f)
                curveTo(17.9961f, 6.5625f, 17.0625f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(16.5664f, 8.0f, 17.0f, 8.4336f, 17.0f, 9.0f)
                lineTo(17.0f, 11.1875f)
                curveTo(16.6836f, 11.0742f, 16.3516f, 11.0f, 16.0f, 11.0f)
                lineTo(15.0f, 11.0f)
                lineTo(15.0f, 9.0f)
                curveTo(15.0f, 8.4336f, 15.4336f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(12.0f, 9.0f)
                curveTo(12.5664f, 9.0f, 13.0f, 9.4336f, 13.0f, 10.0f)
                lineTo(13.0f, 11.0f)
                lineTo(11.5938f, 11.0f)
                lineTo(11.3125f, 11.2813f)
                curveTo(11.3125f, 11.2813f, 11.0859f, 11.5117f, 11.0f, 11.5938f)
                lineTo(11.0f, 10.0f)
                curveTo(11.0f, 9.4336f, 11.4336f, 9.0f, 12.0f, 9.0f)
                close()
                moveTo(20.0f, 9.0f)
                curveTo(20.5664f, 9.0f, 21.0f, 9.4336f, 21.0f, 10.0f)
                lineTo(21.0f, 13.0f)
                curveTo(21.0f, 13.5664f, 20.5664f, 14.0f, 20.0f, 14.0f)
                curveTo(19.4336f, 14.0f, 19.0f, 13.5664f, 19.0f, 13.0f)
                lineTo(19.0f, 10.0f)
                curveTo(19.0f, 9.4336f, 19.4336f, 9.0f, 20.0f, 9.0f)
                close()
                moveTo(24.0f, 10.0f)
                curveTo(24.5664f, 10.0f, 25.0f, 10.4336f, 25.0f, 11.0f)
                lineTo(25.0f, 13.0f)
                curveTo(25.0f, 13.5664f, 24.5664f, 14.0f, 24.0f, 14.0f)
                curveTo(23.4336f, 14.0f, 23.0f, 13.5664f, 23.0f, 13.0f)
                lineTo(23.0f, 11.0f)
                curveTo(23.0f, 10.4336f, 23.4336f, 10.0f, 24.0f, 10.0f)
                close()
                moveTo(12.4375f, 13.0f)
                lineTo(16.0f, 13.0f)
                curveTo(16.5625f, 13.0f, 17.0f, 13.4375f, 17.0f, 14.0f)
                curveTo(17.0f, 14.5625f, 16.5625f, 15.0f, 16.0f, 15.0f)
                lineTo(12.875f, 15.0f)
                lineTo(12.5938f, 15.375f)
                lineTo(10.25f, 18.3438f)
                lineTo(11.8125f, 19.5938f)
                lineTo(13.6563f, 17.2813f)
                curveTo(14.0156f, 17.4492f, 14.4258f, 17.6992f, 14.875f, 18.0625f)
                curveTo(15.9414f, 18.9297f, 17.0f, 20.3477f, 17.0f, 23.0f)
                lineTo(19.0f, 23.0f)
                curveTo(19.0f, 20.1328f, 17.8555f, 18.1563f, 16.5938f, 16.9375f)
                curveTo(17.4023f, 16.7695f, 18.1016f, 16.2734f, 18.5313f, 15.5938f)
                curveTo(18.9688f, 15.8438f, 19.4648f, 16.0f, 20.0f, 16.0f)
                curveTo(20.7656f, 16.0f, 21.4688f, 15.6992f, 22.0f, 15.2188f)
                curveTo(22.5313f, 15.6992f, 23.2344f, 16.0f, 24.0f, 16.0f)
                curveTo(24.3516f, 16.0f, 24.6836f, 15.9258f, 25.0f, 15.8125f)
                lineTo(25.0f, 20.0f)
                curveTo(25.0f, 22.7734f, 22.7734f, 25.0f, 20.0f, 25.0f)
                lineTo(14.7188f, 25.0f)
                curveTo(13.2813f, 25.0f, 11.918f, 24.3945f, 10.9688f, 23.3125f)
                lineTo(8.5938f, 20.5938f)
                curveTo(8.1641f, 20.1055f, 7.9648f, 19.5078f, 8.0f, 18.9063f)
                curveTo(8.0f, 18.8984f, 8.0273f, 18.832f, 8.0313f, 18.8125f)
                curveTo(8.0352f, 18.7813f, 8.0273f, 18.75f, 8.0313f, 18.7188f)
                curveTo(8.0781f, 18.5f, 8.2305f, 18.0781f, 8.5625f, 17.5313f)
                curveTo(8.6055f, 17.4609f, 8.6719f, 17.3828f, 8.7188f, 17.3125f)
                lineTo(10.1875f, 15.375f)
                curveTo(11.293f, 14.082f, 12.2148f, 13.2109f, 12.4375f, 13.0f)
                close()
            }
        }
        .build()
        return _fistRaisedSolid!!
    }

private var _fistRaisedSolid: ImageVector? = null
