package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FlagUsaSolid: ImageVector
    get() {
        if (_flagUsaSolid != null) {
            return _flagUsaSolid!!
        }
        _flagUsaSolid = Builder(name = "FlagUsaSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.0f, 7.0f)
                lineTo(3.0f, 17.0f)
                lineTo(15.0f, 17.0f)
                lineTo(17.0f, 17.0f)
                lineTo(29.0f, 17.0f)
                lineTo(29.0f, 15.0f)
                lineTo(17.0f, 15.0f)
                lineTo(17.0f, 13.0f)
                lineTo(29.0f, 13.0f)
                lineTo(29.0f, 11.0f)
                lineTo(17.0f, 11.0f)
                lineTo(17.0f, 9.0f)
                lineTo(29.0f, 9.0f)
                lineTo(29.0f, 7.0f)
                lineTo(17.0f, 7.0f)
                lineTo(15.0f, 7.0f)
                lineTo(3.0f, 7.0f)
                close()
                moveTo(5.0f, 8.0f)
                curveTo(5.552f, 8.0f, 6.0f, 8.448f, 6.0f, 9.0f)
                curveTo(6.0f, 9.552f, 5.552f, 10.0f, 5.0f, 10.0f)
                curveTo(4.448f, 10.0f, 4.0f, 9.552f, 4.0f, 9.0f)
                curveTo(4.0f, 8.448f, 4.448f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(9.0f, 8.0f)
                curveTo(9.552f, 8.0f, 10.0f, 8.448f, 10.0f, 9.0f)
                curveTo(10.0f, 9.552f, 9.552f, 10.0f, 9.0f, 10.0f)
                curveTo(8.448f, 10.0f, 8.0f, 9.552f, 8.0f, 9.0f)
                curveTo(8.0f, 8.448f, 8.448f, 8.0f, 9.0f, 8.0f)
                close()
                moveTo(13.0f, 8.0f)
                curveTo(13.552f, 8.0f, 14.0f, 8.448f, 14.0f, 9.0f)
                curveTo(14.0f, 9.552f, 13.552f, 10.0f, 13.0f, 10.0f)
                curveTo(12.448f, 10.0f, 12.0f, 9.552f, 12.0f, 9.0f)
                curveTo(12.0f, 8.448f, 12.448f, 8.0f, 13.0f, 8.0f)
                close()
                moveTo(7.0f, 11.0f)
                curveTo(7.552f, 11.0f, 8.0f, 11.448f, 8.0f, 12.0f)
                curveTo(8.0f, 12.552f, 7.552f, 13.0f, 7.0f, 13.0f)
                curveTo(6.448f, 13.0f, 6.0f, 12.552f, 6.0f, 12.0f)
                curveTo(6.0f, 11.448f, 6.448f, 11.0f, 7.0f, 11.0f)
                close()
                moveTo(11.0f, 11.0f)
                curveTo(11.552f, 11.0f, 12.0f, 11.448f, 12.0f, 12.0f)
                curveTo(12.0f, 12.552f, 11.552f, 13.0f, 11.0f, 13.0f)
                curveTo(10.448f, 13.0f, 10.0f, 12.552f, 10.0f, 12.0f)
                curveTo(10.0f, 11.448f, 10.448f, 11.0f, 11.0f, 11.0f)
                close()
                moveTo(15.0f, 11.0f)
                curveTo(15.552f, 11.0f, 16.0f, 11.448f, 16.0f, 12.0f)
                curveTo(16.0f, 12.552f, 15.552f, 13.0f, 15.0f, 13.0f)
                curveTo(14.448f, 13.0f, 14.0f, 12.552f, 14.0f, 12.0f)
                curveTo(14.0f, 11.448f, 14.448f, 11.0f, 15.0f, 11.0f)
                close()
                moveTo(5.0f, 14.0f)
                curveTo(5.552f, 14.0f, 6.0f, 14.448f, 6.0f, 15.0f)
                curveTo(6.0f, 15.552f, 5.552f, 16.0f, 5.0f, 16.0f)
                curveTo(4.448f, 16.0f, 4.0f, 15.552f, 4.0f, 15.0f)
                curveTo(4.0f, 14.448f, 4.448f, 14.0f, 5.0f, 14.0f)
                close()
                moveTo(9.0f, 14.0f)
                curveTo(9.552f, 14.0f, 10.0f, 14.448f, 10.0f, 15.0f)
                curveTo(10.0f, 15.552f, 9.552f, 16.0f, 9.0f, 16.0f)
                curveTo(8.448f, 16.0f, 8.0f, 15.552f, 8.0f, 15.0f)
                curveTo(8.0f, 14.448f, 8.448f, 14.0f, 9.0f, 14.0f)
                close()
                moveTo(13.0f, 14.0f)
                curveTo(13.552f, 14.0f, 14.0f, 14.448f, 14.0f, 15.0f)
                curveTo(14.0f, 15.552f, 13.552f, 16.0f, 13.0f, 16.0f)
                curveTo(12.448f, 16.0f, 12.0f, 15.552f, 12.0f, 15.0f)
                curveTo(12.0f, 14.448f, 12.448f, 14.0f, 13.0f, 14.0f)
                close()
                moveTo(3.0f, 19.0f)
                lineTo(3.0f, 21.0f)
                lineTo(29.0f, 21.0f)
                lineTo(29.0f, 19.0f)
                lineTo(3.0f, 19.0f)
                close()
                moveTo(3.0f, 23.0f)
                lineTo(3.0f, 25.0f)
                lineTo(29.0f, 25.0f)
                lineTo(29.0f, 23.0f)
                lineTo(3.0f, 23.0f)
                close()
            }
        }
        .build()
        return _flagUsaSolid!!
    }

private var _flagUsaSolid: ImageVector? = null
