package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.FootballBallSolid: ImageVector
    get() {
        if (_footballBallSolid != null) {
            return _footballBallSolid!!
        }
        _footballBallSolid = Builder(name = "FootballBallSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.0313f, 4.0f)
                curveTo(20.293f, 4.0156f, 19.5156f, 4.0859f, 18.7188f, 4.2188f)
                curveTo(15.5313f, 4.75f, 11.9609f, 6.2813f, 9.0938f, 9.0938f)
                curveTo(6.2773f, 11.9648f, 4.75f, 15.5508f, 4.2188f, 18.75f)
                curveTo(3.6875f, 21.9492f, 3.9961f, 24.8086f, 5.5938f, 26.4063f)
                curveTo(7.1836f, 27.9961f, 10.0469f, 28.332f, 13.25f, 27.8125f)
                curveTo(16.4531f, 27.293f, 20.0352f, 25.7773f, 22.9063f, 22.9063f)
                curveTo(25.7266f, 20.0859f, 27.25f, 16.5156f, 27.7813f, 13.3125f)
                curveTo(28.3125f, 10.1094f, 28.0078f, 7.2305f, 26.4375f, 5.5938f)
                lineTo(26.4063f, 5.5938f)
                lineTo(26.4063f, 5.5625f)
                curveTo(25.5898f, 4.7813f, 24.4414f, 4.3359f, 23.125f, 4.125f)
                curveTo(22.4648f, 4.0195f, 21.7695f, 3.9844f, 21.0313f, 4.0f)
                close()
                moveTo(21.0313f, 6.0313f)
                curveTo(21.6641f, 6.0313f, 22.2578f, 6.0703f, 22.7813f, 6.1563f)
                curveTo(23.8086f, 6.3281f, 24.5781f, 6.6406f, 24.9688f, 7.0f)
                curveTo(24.9766f, 7.0078f, 24.9922f, 7.0234f, 25.0f, 7.0313f)
                curveTo(25.7227f, 7.8164f, 26.2773f, 10.1992f, 25.8125f, 13.0f)
                curveTo(25.3438f, 15.8242f, 23.9805f, 19.0195f, 21.5f, 21.5f)
                curveTo(18.9688f, 24.0313f, 15.7578f, 25.3867f, 12.9375f, 25.8438f)
                curveTo(10.1172f, 26.3008f, 7.7109f, 25.7109f, 7.0f, 25.0f)
                curveTo(6.2969f, 24.2969f, 5.7188f, 21.8867f, 6.1875f, 19.0625f)
                curveTo(6.6563f, 16.2383f, 8.0156f, 13.0313f, 10.5f, 10.5f)
                curveTo(13.0313f, 8.0156f, 16.2188f, 6.6563f, 19.0313f, 6.1875f)
                curveTo(19.7344f, 6.0703f, 20.3984f, 6.0313f, 21.0313f, 6.0313f)
                close()
                moveTo(21.2813f, 9.2813f)
                lineTo(19.0f, 11.5625f)
                lineTo(17.2188f, 9.7813f)
                lineTo(15.7813f, 11.2188f)
                lineTo(17.5625f, 13.0f)
                lineTo(16.0f, 14.5625f)
                lineTo(14.2188f, 12.7813f)
                lineTo(12.7813f, 14.2188f)
                lineTo(14.5625f, 16.0f)
                lineTo(13.0f, 17.5625f)
                lineTo(11.2188f, 15.7813f)
                lineTo(9.7813f, 17.2188f)
                lineTo(11.5625f, 19.0f)
                lineTo(9.2813f, 21.2813f)
                lineTo(10.7188f, 22.7188f)
                lineTo(13.0f, 20.4375f)
                lineTo(14.7813f, 22.2188f)
                lineTo(16.2188f, 20.7813f)
                lineTo(14.4375f, 19.0f)
                lineTo(16.0f, 17.4375f)
                lineTo(17.7813f, 19.2188f)
                lineTo(19.2188f, 17.7813f)
                lineTo(17.4375f, 16.0f)
                lineTo(19.0f, 14.4375f)
                lineTo(20.7813f, 16.2188f)
                lineTo(22.2188f, 14.7813f)
                lineTo(20.4375f, 13.0f)
                lineTo(22.7188f, 10.7188f)
                close()
            }
        }
        .build()
        return _footballBallSolid!!
    }

private var _footballBallSolid: ImageVector? = null
