package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GlobeEuropeSolid: ImageVector
    get() {
        if (_globeEuropeSolid != null) {
            return _globeEuropeSolid!!
        }
        _globeEuropeSolid = Builder(name = "GlobeEuropeSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(18.103f, 5.0f, 20.0633f, 5.6048f, 21.7363f, 6.6328f)
                lineTo(21.5f, 7.1992f)
                lineTo(22.6758f, 8.375f)
                lineTo(21.5742f, 9.4746f)
                lineTo(20.0f, 8.0f)
                lineTo(18.0f, 8.0f)
                lineTo(16.0f, 10.5f)
                lineTo(17.0f, 12.6992f)
                lineTo(18.0f, 12.0f)
                lineTo(18.0f, 11.0f)
                lineTo(19.0f, 11.0f)
                lineTo(20.0996f, 11.9004f)
                lineTo(19.0f, 13.0f)
                lineTo(15.0f, 15.0f)
                lineTo(14.0f, 15.0f)
                lineTo(14.0f, 17.0f)
                lineTo(15.0f, 17.0f)
                lineTo(17.0f, 16.0f)
                lineTo(18.0f, 17.0f)
                lineTo(20.0f, 17.0f)
                lineTo(20.0f, 16.0f)
                lineTo(20.8008f, 14.8008f)
                lineTo(23.0f, 14.0f)
                lineTo(23.0f, 16.0f)
                lineTo(21.0f, 16.0f)
                lineTo(21.0f, 17.0f)
                lineTo(23.0f, 17.0f)
                lineTo(25.0f, 20.0f)
                lineTo(26.0f, 19.0f)
                lineTo(26.0f, 18.0f)
                lineTo(25.0f, 18.0f)
                lineTo(25.0f, 17.0f)
                lineTo(26.0f, 17.0f)
                lineTo(26.9609f, 16.793f)
                curveTo(26.8149f, 18.835f, 26.113f, 20.7207f, 25.0f, 22.3047f)
                lineTo(25.0f, 22.0f)
                lineTo(23.9004f, 22.0f)
                lineTo(21.5f, 18.0f)
                lineTo(19.0f, 19.0f)
                lineTo(16.0f, 18.0f)
                lineTo(13.0f, 19.0f)
                lineTo(12.0f, 22.0f)
                lineTo(13.0f, 24.0f)
                lineTo(15.0f, 24.0f)
                lineTo(16.0f, 23.0f)
                lineTo(17.0f, 24.0f)
                lineTo(17.0f, 26.9492f)
                curveTo(16.67f, 26.9792f, 16.338f, 27.0f, 16.0f, 27.0f)
                curveTo(9.935f, 27.0f, 5.0f, 22.065f, 5.0f, 16.0f)
                curveTo(5.0f, 15.073f, 5.1287f, 14.1774f, 5.3457f, 13.3164f)
                lineTo(5.9004f, 13.0f)
                lineTo(7.0f, 13.0f)
                lineTo(7.0f, 9.6953f)
                curveTo(7.167f, 9.4583f, 7.3375f, 9.223f, 7.5215f, 9.0f)
                lineTo(8.4199f, 9.0f)
                lineTo(8.8574f, 7.6504f)
                curveTo(9.4854f, 7.1124f, 10.1722f, 6.6448f, 10.9102f, 6.2578f)
                lineTo(10.0f, 9.0f)
                lineTo(12.0f, 9.0f)
                lineTo(14.0f, 7.0f)
                lineTo(14.0f, 6.0f)
                lineTo(13.0f, 6.0f)
                lineTo(12.0f, 7.0f)
                lineTo(12.0f, 5.7637f)
                curveTo(13.242f, 5.2767f, 14.588f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(14.0f, 11.0f)
                lineTo(14.0f, 13.0f)
                lineTo(15.0f, 13.0f)
                lineTo(15.0f, 11.0f)
                lineTo(14.0f, 11.0f)
                close()
            }
        }
        .build()
        return _globeEuropeSolid!!
    }

private var _globeEuropeSolid: ImageVector? = null
