package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HippoSolid: ImageVector
    get() {
        if (_hippoSolid != null) {
            return _hippoSolid!!
        }
        _hippoSolid = Builder(name = "HippoSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.1602f, 4.0039f)
                curveTo(15.9428f, 3.992f, 15.7234f, 4.0033f, 15.5039f, 4.0391f)
                curveTo(14.0769f, 4.2711f, 13.0f, 5.5914f, 13.0f, 7.1074f)
                lineTo(13.0f, 9.0f)
                lineTo(9.1367f, 9.0f)
                curveTo(5.3586f, 9.0f, 2.2648f, 12.1301f, 2.0234f, 16.0703f)
                lineTo(2.0f, 16.0f)
                lineTo(1.0f, 21.0f)
                lineTo(2.3066f, 19.6934f)
                curveTo(2.4961f, 20.9276f, 2.7538f, 22.2258f, 3.0293f, 23.2422f)
                lineTo(4.2188f, 28.0f)
                lineTo(9.0f, 28.0f)
                lineTo(9.0f, 24.5527f)
                curveTo(9.739f, 24.8017f, 10.627f, 25.0f, 11.5f, 25.0f)
                curveTo(11.89f, 25.0f, 12.918f, 24.9614f, 14.0f, 24.6074f)
                lineTo(14.0f, 28.0f)
                lineTo(18.7813f, 28.0f)
                lineTo(19.9434f, 23.3301f)
                curveTo(19.9764f, 23.2351f, 20.7002f, 21.124f, 20.9512f, 17.0f)
                lineTo(26.0f, 17.0f)
                curveTo(28.206f, 17.0f, 30.0f, 15.206f, 30.0f, 13.0f)
                lineTo(30.0f, 10.8223f)
                curveTo(30.0f, 8.5723f, 28.4183f, 7.002f, 26.1543f, 7.002f)
                curveTo(24.8633f, 7.002f, 23.8814f, 7.341f, 23.2344f, 7.668f)
                curveTo(22.5294f, 6.93f, 21.204f, 6.0f, 19.0f, 6.0f)
                lineTo(18.8281f, 6.0f)
                curveTo(18.6531f, 5.506f, 18.3514f, 5.0628f, 17.9414f, 4.7148f)
                curveTo(17.4382f, 4.2866f, 16.8123f, 4.0395f, 16.1602f, 4.0039f)
                close()
                moveTo(15.8242f, 6.0137f)
                curveTo(16.1282f, 5.9647f, 16.4195f, 6.0443f, 16.6465f, 6.2363f)
                curveTo(16.8715f, 6.4273f, 17.0f, 6.706f, 17.0f, 7.0f)
                lineTo(17.0f, 8.0f)
                lineTo(19.0f, 8.0f)
                curveTo(21.298f, 8.0f, 22.0805f, 9.4003f, 22.1055f, 9.4473f)
                lineTo(22.6855f, 10.5781f)
                lineTo(23.6563f, 9.7539f)
                curveTo(23.6922f, 9.7229f, 24.5613f, 9.002f, 26.1543f, 9.002f)
                curveTo(27.3103f, 9.002f, 28.0f, 9.6813f, 28.0f, 10.8223f)
                lineTo(28.0f, 13.0f)
                curveTo(28.0f, 14.103f, 27.103f, 15.0f, 26.0f, 15.0f)
                lineTo(19.0391f, 15.0f)
                lineTo(19.002f, 15.9609f)
                curveTo(18.828f, 20.3819f, 18.0623f, 22.6508f, 18.0293f, 22.7578f)
                lineTo(17.2188f, 26.0f)
                lineTo(16.0f, 26.0f)
                lineTo(16.0f, 21.0f)
                lineTo(14.4004f, 22.1992f)
                curveTo(13.3854f, 22.9612f, 11.806f, 23.0f, 11.5f, 23.0f)
                curveTo(10.188f, 23.0f, 8.8276f, 22.3602f, 8.6016f, 22.1992f)
                lineTo(7.0f, 20.998f)
                lineTo(7.0f, 26.0f)
                lineTo(5.7813f, 26.0f)
                lineTo(4.9648f, 22.7402f)
                curveTo(4.4598f, 20.8722f, 4.0f, 17.9265f, 4.0f, 16.5625f)
                curveTo(4.0f, 13.4945f, 6.3047f, 11.0f, 9.1367f, 11.0f)
                lineTo(15.0f, 11.0f)
                lineTo(15.0f, 7.1074f)
                curveTo(15.0f, 6.5694f, 15.3612f, 6.0897f, 15.8242f, 6.0137f)
                close()
                moveTo(20.0f, 9.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 20.0f, 11.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 20.0f, 9.0f)
                close()
            }
        }
        .build()
        return _hippoSolid!!
    }

private var _hippoSolid: ImageVector? = null
