package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.KaabaSolid: ImageVector
    get() {
        if (_kaabaSolid != null) {
            return _kaabaSolid!!
        }
        _kaabaSolid = Builder(name = "KaabaSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 5.0f)
                curveTo(15.786f, 5.0f, 15.5722f, 5.0345f, 15.3672f, 5.1035f)
                lineTo(5.0254f, 8.5508f)
                curveTo(4.4124f, 8.7548f, 4.0f, 9.3267f, 4.0f, 9.9727f)
                lineTo(4.0f, 22.8906f)
                curveTo(4.0f, 23.5786f, 4.4687f, 24.1787f, 5.1367f, 24.3457f)
                lineTo(15.5156f, 26.9395f)
                curveTo(15.6746f, 26.9795f, 15.837f, 27.0f, 16.0f, 27.0f)
                curveTo(16.163f, 27.0f, 16.3254f, 26.9795f, 16.4844f, 26.9395f)
                lineTo(26.8633f, 24.3457f)
                curveTo(27.5313f, 24.1797f, 28.0f, 23.5796f, 28.0f, 22.8906f)
                lineTo(28.0f, 9.9727f)
                curveTo(28.0f, 9.3267f, 27.5876f, 8.7548f, 26.9746f, 8.5508f)
                lineTo(16.6328f, 5.1035f)
                curveTo(16.4278f, 5.0345f, 16.214f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(16.0f, 7.0f)
                lineTo(26.0f, 10.332f)
                lineTo(26.0f, 12.877f)
                lineTo(16.8008f, 10.1191f)
                curveTo(16.2758f, 9.9611f, 15.7242f, 9.9611f, 15.1992f, 10.1191f)
                lineTo(6.0f, 12.877f)
                lineTo(6.0f, 10.332f)
                lineTo(16.0f, 7.0f)
                close()
                moveTo(16.0f, 11.6328f)
                curveTo(16.1614f, 11.6328f, 16.3239f, 11.6552f, 16.4824f, 11.7012f)
                lineTo(26.0f, 14.5586f)
                lineTo(26.0f, 22.5f)
                lineTo(16.0f, 25.0f)
                lineTo(6.0f, 22.5f)
                lineTo(6.0f, 14.5586f)
                lineTo(15.5254f, 11.7012f)
                curveTo(15.6794f, 11.6552f, 15.8386f, 11.6328f, 16.0f, 11.6328f)
                close()
                moveTo(15.2207f, 13.0059f)
                curveTo(15.1797f, 12.9974f, 15.1355f, 12.9975f, 15.0918f, 13.0098f)
                lineTo(11.7598f, 13.918f)
                curveTo(11.6428f, 13.952f, 11.5586f, 14.0605f, 11.5586f, 14.1855f)
                lineTo(11.5586f, 14.7676f)
                curveTo(11.5586f, 14.9516f, 11.7332f, 15.0772f, 11.9082f, 15.0352f)
                lineTo(15.2422f, 14.127f)
                curveTo(15.3592f, 14.094f, 15.4414f, 13.9766f, 15.4414f, 13.8516f)
                lineTo(15.4414f, 13.2773f)
                curveTo(15.4414f, 13.1401f, 15.3438f, 13.0312f, 15.2207f, 13.0059f)
                close()
                moveTo(16.7813f, 13.0059f)
                curveTo(16.6582f, 13.031f, 16.5586f, 13.1401f, 16.5586f, 13.2773f)
                lineTo(16.5586f, 13.8535f)
                curveTo(16.5586f, 13.9865f, 16.6428f, 14.0959f, 16.7598f, 14.1289f)
                lineTo(20.0918f, 15.0352f)
                curveTo(20.2668f, 15.0852f, 20.4414f, 14.9525f, 20.4414f, 14.7695f)
                lineTo(20.4414f, 14.1855f)
                curveTo(20.4414f, 14.0605f, 20.3582f, 13.9529f, 20.2422f, 13.9199f)
                lineTo(16.9082f, 13.0117f)
                curveTo(16.8645f, 12.9992f, 16.8223f, 12.9975f, 16.7813f, 13.0059f)
                close()
                moveTo(10.2207f, 14.3711f)
                curveTo(10.1797f, 14.3627f, 10.1355f, 14.3645f, 10.0918f, 14.377f)
                lineTo(7.3164f, 15.1348f)
                curveTo(7.1914f, 15.1688f, 7.1094f, 15.2773f, 7.1094f, 15.4023f)
                lineTo(7.1094f, 15.9766f)
                curveTo(7.1094f, 16.1606f, 7.284f, 16.2941f, 7.459f, 16.2441f)
                lineTo(10.2422f, 15.4863f)
                curveTo(10.3592f, 15.4523f, 10.4414f, 15.3438f, 10.4414f, 15.2188f)
                lineTo(10.4414f, 14.6445f)
                curveTo(10.4414f, 14.5073f, 10.3438f, 14.3963f, 10.2207f, 14.3711f)
                close()
                moveTo(21.7813f, 14.3711f)
                curveTo(21.6582f, 14.3963f, 21.5586f, 14.5073f, 21.5586f, 14.6445f)
                lineTo(21.5586f, 15.2188f)
                curveTo(21.5586f, 15.3438f, 21.6428f, 15.4533f, 21.7598f, 15.4863f)
                lineTo(24.543f, 16.2441f)
                curveTo(24.718f, 16.2941f, 24.8926f, 16.1596f, 24.8926f, 15.9766f)
                lineTo(24.8926f, 15.4023f)
                curveTo(24.8926f, 15.2773f, 24.8076f, 15.1688f, 24.6836f, 15.1348f)
                lineTo(21.9082f, 14.377f)
                curveTo(21.8645f, 14.3645f, 21.8223f, 14.3627f, 21.7813f, 14.3711f)
                close()
            }
        }
        .build()
        return _kaabaSolid!!
    }

private var _kaabaSolid: ImageVector? = null
