package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.KissWinkHeart: ImageVector
    get() {
        if (_kissWinkHeart != null) {
            return _kissWinkHeart!!
        }
        _kissWinkHeart = Builder(name = "KissWinkHeart", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(18.369f, 29.0f, 20.583f, 28.3532f, 22.498f, 27.2422f)
                lineTo(21.0566f, 25.7598f)
                curveTo(19.5406f, 26.5478f, 17.823f, 27.0f, 16.0f, 27.0f)
                curveTo(9.935f, 27.0f, 5.0f, 22.065f, 5.0f, 16.0f)
                curveTo(5.0f, 9.935f, 9.935f, 5.0f, 16.0f, 5.0f)
                curveTo(22.065f, 5.0f, 27.0f, 9.935f, 27.0f, 16.0f)
                curveTo(27.0f, 16.026f, 26.9961f, 16.0512f, 26.9961f, 16.0762f)
                curveTo(27.7151f, 16.1922f, 28.3811f, 16.4593f, 28.9551f, 16.8633f)
                curveTo(28.9741f, 16.5763f, 29.0f, 16.292f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(11.5f, 12.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 11.5f, 15.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 11.5f, 12.0f)
                close()
                moveTo(20.0f, 12.0f)
                curveTo(17.906f, 12.0f, 16.3906f, 13.207f, 16.3906f, 13.207f)
                lineTo(17.6094f, 14.793f)
                curveTo(17.6094f, 14.793f, 18.693f, 14.0f, 20.002f, 14.0f)
                curveTo(21.311f, 14.0f, 22.3926f, 14.793f, 22.3926f, 14.793f)
                lineTo(23.6113f, 13.207f)
                curveTo(23.6093f, 13.207f, 22.094f, 12.0f, 20.0f, 12.0f)
                close()
                moveTo(15.0f, 17.0078f)
                lineTo(15.0f, 18.498f)
                curveTo(15.902f, 18.498f, 16.4766f, 18.9129f, 16.4766f, 19.1289f)
                curveTo(16.4766f, 19.344f, 15.9045f, 19.7545f, 15.0098f, 19.7578f)
                curveTo(15.0064f, 19.7578f, 15.0033f, 19.7578f, 15.0f, 19.7578f)
                lineTo(15.0f, 19.7598f)
                lineTo(15.0f, 21.248f)
                lineTo(15.0f, 21.25f)
                curveTo(15.0033f, 21.25f, 15.0064f, 21.25f, 15.0098f, 21.25f)
                curveTo(15.9055f, 21.2533f, 16.4766f, 21.6638f, 16.4766f, 21.8789f)
                curveTo(16.4766f, 22.0949f, 15.901f, 22.5098f, 15.0f, 22.5098f)
                lineTo(15.0f, 24.0f)
                curveTo(16.669f, 24.0f, 17.9766f, 23.0679f, 17.9766f, 21.8789f)
                curveTo(17.9766f, 21.3466f, 17.7049f, 20.8726f, 17.2656f, 20.5039f)
                curveTo(17.7049f, 20.1352f, 17.9766f, 19.6612f, 17.9766f, 19.1289f)
                curveTo(17.9766f, 17.9399f, 16.669f, 17.0078f, 15.0f, 17.0078f)
                close()
                moveTo(22.75f, 18.0f)
                curveTo(21.22f, 18.0f, 20.0f, 19.2908f, 20.0f, 20.8008f)
                curveTo(20.0f, 21.6788f, 20.5051f, 22.3252f, 20.8691f, 22.6992f)
                lineTo(24.5f, 26.4297f)
                lineTo(28.1406f, 22.6992f)
                curveTo(28.5046f, 22.3262f, 29.0f, 21.8088f, 29.0f, 20.8008f)
                curveTo(29.0f, 19.2908f, 27.78f, 18.0f, 26.25f, 18.0f)
                curveTo(25.52f, 18.0f, 24.92f, 18.25f, 24.5f, 18.5f)
                curveTo(24.08f, 18.25f, 23.48f, 18.0f, 22.75f, 18.0f)
                close()
                moveTo(22.75f, 20.0f)
                curveTo(22.989f, 20.0f, 23.2326f, 20.0737f, 23.4766f, 20.2188f)
                lineTo(24.5f, 20.8281f)
                lineTo(25.5234f, 20.2188f)
                curveTo(25.7674f, 20.0737f, 26.011f, 20.0f, 26.25f, 20.0f)
                curveTo(26.65f, 20.0f, 27.0f, 20.3748f, 27.0f, 20.8008f)
                curveTo(27.0f, 20.9878f, 26.992f, 21.0127f, 26.709f, 21.3027f)
                lineTo(24.502f, 23.5645f)
                lineTo(22.3027f, 21.3047f)
                curveTo(22.1897f, 21.1887f, 22.0f, 20.9688f, 22.0f, 20.8008f)
                curveTo(22.0f, 20.3748f, 22.35f, 20.0f, 22.75f, 20.0f)
                close()
            }
        }
        .build()
        return _kissWinkHeart!!
    }

private var _kissWinkHeart: ImageVector? = null
