package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Leanpub: ImageVector
    get() {
        if (_leanpub != null) {
            return _leanpub!!
        }
        _leanpub = Builder(name = "Leanpub", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.3438f, 6.0f)
                curveTo(6.9531f, 6.0f, 3.4063f, 7.9063f, 3.4063f, 7.9063f)
                lineTo(2.9375f, 8.1563f)
                lineTo(2.875f, 8.6875f)
                lineTo(1.0f, 24.875f)
                lineTo(0.8125f, 26.5938f)
                lineTo(2.4063f, 25.9063f)
                curveTo(2.4063f, 25.9063f, 6.5234f, 24.1875f, 10.4063f, 24.1875f)
                curveTo(12.707f, 24.1875f, 15.4688f, 25.8438f, 15.4688f, 25.8438f)
                lineTo(16.0f, 26.1875f)
                lineTo(16.5313f, 25.8438f)
                curveTo(16.5313f, 25.8438f, 19.293f, 24.1875f, 21.5938f, 24.1875f)
                curveTo(25.4766f, 24.1875f, 29.5938f, 25.9063f, 29.5938f, 25.9063f)
                lineTo(31.1875f, 26.5938f)
                lineTo(31.0f, 24.875f)
                lineTo(29.125f, 8.6875f)
                lineTo(29.0625f, 8.1563f)
                lineTo(28.5938f, 7.9063f)
                curveTo(28.5938f, 7.9063f, 25.0469f, 6.0f, 21.6563f, 6.0f)
                curveTo(18.7773f, 6.0f, 16.6836f, 7.2578f, 16.0f, 7.6875f)
                curveTo(15.3164f, 7.2578f, 13.2227f, 6.0f, 10.3438f, 6.0f)
                close()
                moveTo(10.3438f, 8.0f)
                curveTo(12.9297f, 8.0f, 15.4375f, 9.625f, 15.4375f, 9.625f)
                lineTo(16.0f, 10.0f)
                lineTo(16.5625f, 9.625f)
                curveTo(16.5625f, 9.625f, 19.0703f, 8.0f, 21.6563f, 8.0f)
                curveTo(23.9336f, 8.0f, 26.5195f, 9.1875f, 27.1875f, 9.5f)
                lineTo(28.8125f, 23.5313f)
                curveTo(27.2813f, 22.9805f, 24.7578f, 22.1875f, 21.5938f, 22.1875f)
                curveTo(18.8711f, 22.1875f, 16.6758f, 23.4648f, 16.0f, 23.875f)
                curveTo(15.3242f, 23.4648f, 13.1289f, 22.1875f, 10.4063f, 22.1875f)
                curveTo(7.2422f, 22.1875f, 4.7188f, 22.9805f, 3.1875f, 23.5313f)
                lineTo(4.8125f, 9.5f)
                curveTo(5.4805f, 9.1875f, 8.0664f, 8.0f, 10.3438f, 8.0f)
                close()
                moveTo(10.3438f, 9.5f)
                curveTo(8.8984f, 9.5f, 7.1055f, 10.1328f, 6.1875f, 10.5f)
                lineTo(4.9375f, 21.4375f)
                curveTo(6.8984f, 20.9492f, 8.7305f, 20.6875f, 10.4063f, 20.6875f)
                curveTo(12.5352f, 20.6875f, 14.5859f, 21.4648f, 16.0f, 22.1563f)
                curveTo(17.5078f, 21.4219f, 19.7813f, 20.6055f, 22.0313f, 20.7188f)
                lineTo(20.7813f, 9.5938f)
                curveTo(18.9688f, 9.8711f, 17.3945f, 10.8633f, 17.375f, 10.875f)
                lineTo(16.0f, 11.8125f)
                lineTo(14.5938f, 10.875f)
                curveTo(14.5742f, 10.8633f, 12.4922f, 9.5f, 10.3438f, 9.5f)
                close()
            }
        }
        .build()
        return _leanpub!!
    }

private var _leanpub: ImageVector? = null
