package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Lemon: ImageVector
    get() {
        if (_lemon != null) {
            return _lemon!!
        }
        _lemon = Builder(name = "Lemon", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.0f, 4.0f)
                curveTo(10.418f, 4.0f, 8.1211f, 5.4375f, 6.5313f, 7.625f)
                curveTo(4.9414f, 9.8125f, 4.0f, 12.7656f, 4.0f, 16.0f)
                curveTo(4.0f, 19.2344f, 4.9414f, 22.1875f, 6.5313f, 24.375f)
                curveTo(8.1211f, 26.5625f, 10.418f, 28.0f, 13.0f, 28.0f)
                curveTo(21.2305f, 28.0f, 25.6172f, 23.293f, 26.6875f, 18.3438f)
                curveTo(27.4414f, 17.8008f, 28.0f, 16.9961f, 28.0f, 16.0f)
                curveTo(28.0f, 15.0039f, 27.4414f, 14.1992f, 26.6875f, 13.6563f)
                curveTo(25.5586f, 8.582f, 20.3125f, 4.0f, 13.0f, 4.0f)
                close()
                moveTo(13.0f, 6.0f)
                curveTo(14.8359f, 6.0f, 16.5391f, 7.0156f, 17.8438f, 8.8125f)
                curveTo(19.1484f, 10.6094f, 20.0f, 13.1602f, 20.0f, 16.0f)
                curveTo(20.0f, 18.8398f, 19.1484f, 21.3906f, 17.8438f, 23.1875f)
                curveTo(16.5391f, 24.9844f, 14.8359f, 26.0f, 13.0f, 26.0f)
                curveTo(11.1641f, 26.0f, 9.4609f, 24.9844f, 8.1563f, 23.1875f)
                curveTo(6.8516f, 21.3906f, 6.0f, 18.8398f, 6.0f, 16.0f)
                curveTo(6.0f, 13.1602f, 6.8516f, 10.6094f, 8.1563f, 8.8125f)
                curveTo(9.4609f, 7.0156f, 11.1641f, 6.0f, 13.0f, 6.0f)
                close()
                moveTo(19.375f, 7.5313f)
                curveTo(22.4141f, 9.1406f, 24.3672f, 11.7891f, 24.8438f, 14.375f)
                lineTo(24.9375f, 14.875f)
                lineTo(25.4063f, 15.0938f)
                curveTo(25.7539f, 15.2539f, 26.0f, 15.5898f, 26.0f, 16.0f)
                curveTo(26.0f, 16.4102f, 25.7539f, 16.7461f, 25.4063f, 16.9063f)
                lineTo(24.9375f, 17.125f)
                lineTo(24.8438f, 17.625f)
                curveTo(24.3125f, 20.5195f, 22.5664f, 23.3594f, 19.0625f, 24.875f)
                curveTo(19.1992f, 24.7109f, 19.3398f, 24.5508f, 19.4688f, 24.375f)
                curveTo(21.0586f, 22.1875f, 22.0f, 19.2344f, 22.0f, 16.0f)
                curveTo(22.0f, 12.7656f, 21.0586f, 9.8125f, 19.4688f, 7.625f)
                curveTo(19.4414f, 7.5898f, 19.4023f, 7.5664f, 19.375f, 7.5313f)
                close()
                moveTo(13.0f, 8.0f)
                curveTo(12.2852f, 8.0f, 11.6133f, 8.2578f, 11.0f, 8.6875f)
                lineTo(13.0313f, 13.4688f)
                lineTo(15.0938f, 8.7188f)
                curveTo(14.4609f, 8.2539f, 13.7422f, 8.0f, 13.0f, 8.0f)
                close()
                moveTo(9.5f, 10.2813f)
                curveTo(8.7148f, 11.5117f, 8.1758f, 13.1602f, 8.0313f, 15.0f)
                lineTo(11.5f, 15.0f)
                close()
                moveTo(16.5625f, 10.375f)
                lineTo(14.5313f, 15.0f)
                lineTo(17.9688f, 15.0f)
                curveTo(17.8281f, 13.2031f, 17.3203f, 11.5977f, 16.5625f, 10.375f)
                close()
                moveTo(8.0313f, 17.0f)
                curveTo(8.1719f, 18.7969f, 8.6797f, 20.4023f, 9.4375f, 21.625f)
                lineTo(11.4688f, 17.0f)
                close()
                moveTo(14.5f, 17.0f)
                lineTo(16.5f, 21.7188f)
                curveTo(17.2852f, 20.4883f, 17.8242f, 18.8398f, 17.9688f, 17.0f)
                close()
                moveTo(12.9688f, 18.5313f)
                lineTo(10.9063f, 23.2813f)
                curveTo(11.5391f, 23.7461f, 12.2578f, 24.0f, 13.0f, 24.0f)
                curveTo(13.7148f, 24.0f, 14.3867f, 23.7422f, 15.0f, 23.3125f)
                close()
            }
        }
        .build()
        return _lemon!!
    }

private var _lemon: ImageVector? = null
