package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MehRollingEyesSolid: ImageVector
    get() {
        if (_mehRollingEyesSolid != null) {
            return _mehRollingEyesSolid!!
        }
        _mehRollingEyesSolid = Builder(name = "MehRollingEyesSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(22.065f, 5.0f, 27.0f, 9.935f, 27.0f, 16.0f)
                curveTo(27.0f, 22.065f, 22.065f, 27.0f, 16.0f, 27.0f)
                curveTo(9.935f, 27.0f, 5.0f, 22.065f, 5.0f, 16.0f)
                curveTo(5.0f, 9.935f, 9.935f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(11.0f, 10.0f)
                curveTo(8.794f, 10.0f, 7.0f, 11.794f, 7.0f, 14.0f)
                curveTo(7.0f, 16.206f, 8.794f, 18.0f, 11.0f, 18.0f)
                curveTo(13.206f, 18.0f, 15.0f, 16.206f, 15.0f, 14.0f)
                curveTo(15.0f, 11.794f, 13.206f, 10.0f, 11.0f, 10.0f)
                close()
                moveTo(21.0f, 10.0f)
                curveTo(18.794f, 10.0f, 17.0f, 11.794f, 17.0f, 14.0f)
                curveTo(17.0f, 16.206f, 18.794f, 18.0f, 21.0f, 18.0f)
                curveTo(23.206f, 18.0f, 25.0f, 16.206f, 25.0f, 14.0f)
                curveTo(25.0f, 11.794f, 23.206f, 10.0f, 21.0f, 10.0f)
                close()
                moveTo(10.0195f, 12.2676f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 11.5f, 14.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 12.8262f, 13.1953f)
                curveTo(12.9355f, 13.4422f, 13.0f, 13.713f, 13.0f, 14.0f)
                curveTo(13.0f, 15.103f, 12.103f, 16.0f, 11.0f, 16.0f)
                curveTo(9.897f, 16.0f, 9.0f, 15.103f, 9.0f, 14.0f)
                curveTo(9.0f, 13.2551f, 9.4141f, 12.6117f, 10.0195f, 12.2676f)
                close()
                moveTo(21.9805f, 12.2676f)
                curveTo(22.5859f, 12.6117f, 23.0f, 13.2551f, 23.0f, 14.0f)
                curveTo(23.0f, 15.103f, 22.103f, 16.0f, 21.0f, 16.0f)
                curveTo(19.897f, 16.0f, 19.0f, 15.103f, 19.0f, 14.0f)
                curveTo(19.0f, 13.713f, 19.0645f, 13.4422f, 19.1738f, 13.1953f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 20.5f, 14.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 21.9805f, 12.2676f)
                close()
                moveTo(12.0f, 20.0f)
                lineTo(12.0f, 22.0f)
                lineTo(20.0f, 22.0f)
                lineTo(20.0f, 20.0f)
                lineTo(12.0f, 20.0f)
                close()
            }
        }
        .build()
        return _mehRollingEyesSolid!!
    }

private var _mehRollingEyesSolid: ImageVector? = null
