package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MotorcycleSolid: ImageVector
    get() {
        if (_motorcycleSolid != null) {
            return _motorcycleSolid!!
        }
        _motorcycleSolid = Builder(name = "MotorcycleSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.5f, 6.0f)
                curveTo(21.8438f, 6.0f, 21.2969f, 6.4141f, 21.0938f, 7.0f)
                lineTo(17.0f, 7.0f)
                lineTo(17.0f, 9.0f)
                lineTo(21.25f, 9.0f)
                lineTo(21.5625f, 10.0f)
                lineTo(18.0f, 10.0f)
                curveTo(15.3906f, 10.0f, 14.0781f, 11.4063f, 13.5938f, 12.0f)
                lineTo(10.2188f, 12.0f)
                curveTo(9.832f, 11.7734f, 8.4492f, 11.0f, 6.5f, 11.0f)
                curveTo(4.3398f, 11.0f, 2.5625f, 11.8438f, 2.5625f, 11.8438f)
                lineTo(3.4375f, 13.6563f)
                curveTo(3.4375f, 13.6563f, 4.8672f, 13.0f, 6.5f, 13.0f)
                curveTo(7.3086f, 13.0f, 8.0703f, 13.2461f, 8.625f, 13.4688f)
                lineTo(7.75f, 15.2813f)
                curveTo(7.1992f, 15.1133f, 6.6055f, 15.0f, 6.0f, 15.0f)
                curveTo(2.6914f, 15.0f, 0.0f, 17.6914f, 0.0f, 21.0f)
                curveTo(0.0f, 24.3086f, 2.6914f, 27.0f, 6.0f, 27.0f)
                curveTo(8.9727f, 27.0f, 11.4336f, 24.8398f, 11.9063f, 22.0f)
                lineTo(15.375f, 22.0f)
                curveTo(16.1328f, 22.0f, 16.8516f, 21.5586f, 17.1875f, 20.875f)
                lineTo(17.1563f, 20.875f)
                lineTo(18.25f, 18.6563f)
                curveTo(19.9141f, 17.8906f, 21.2695f, 16.5625f, 22.2188f, 15.3125f)
                curveTo(22.4805f, 14.9688f, 22.7031f, 14.6523f, 22.9063f, 14.3438f)
                lineTo(25.0313f, 21.2813f)
                lineTo(26.9688f, 20.7188f)
                lineTo(25.8438f, 17.0313f)
                curveTo(25.8984f, 17.0273f, 25.9453f, 17.0f, 26.0f, 17.0f)
                curveTo(28.207f, 17.0f, 30.0f, 18.793f, 30.0f, 21.0f)
                curveTo(30.0f, 23.207f, 28.207f, 25.0f, 26.0f, 25.0f)
                curveTo(23.793f, 25.0f, 22.0f, 23.207f, 22.0f, 21.0f)
                curveTo(22.0f, 19.9336f, 22.4102f, 18.9688f, 23.0938f, 18.25f)
                lineTo(22.4688f, 16.1563f)
                curveTo(20.9766f, 17.25f, 20.0f, 19.0156f, 20.0f, 21.0f)
                curveTo(20.0f, 24.3086f, 22.6914f, 27.0f, 26.0f, 27.0f)
                curveTo(29.3086f, 27.0f, 32.0f, 24.3086f, 32.0f, 21.0f)
                curveTo(32.0f, 17.6914f, 29.3086f, 15.0f, 26.0f, 15.0f)
                curveTo(25.7344f, 15.0f, 25.4766f, 15.0273f, 25.2188f, 15.0625f)
                lineTo(23.375f, 9.0f)
                lineTo(25.0f, 9.0f)
                lineTo(25.0f, 6.0f)
                close()
                moveTo(18.0f, 12.0f)
                lineTo(22.0f, 12.0f)
                curveTo(21.8516f, 12.2695f, 21.4063f, 13.0664f, 20.625f, 14.0938f)
                curveTo(19.6953f, 15.3125f, 18.4023f, 16.6094f, 17.1563f, 17.0625f)
                lineTo(16.75f, 17.1875f)
                lineTo(16.5938f, 17.5625f)
                lineTo(15.375f, 20.0f)
                lineTo(6.0f, 20.0f)
                lineTo(6.0f, 22.0f)
                lineTo(9.8438f, 22.0f)
                curveTo(9.3984f, 23.7227f, 7.8594f, 25.0f, 6.0f, 25.0f)
                curveTo(3.793f, 25.0f, 2.0f, 23.207f, 2.0f, 21.0f)
                curveTo(2.0f, 18.793f, 3.793f, 17.0f, 6.0f, 17.0f)
                curveTo(7.4727f, 17.0f, 8.7422f, 17.8086f, 9.4375f, 19.0f)
                lineTo(11.6563f, 19.0f)
                curveTo(11.25f, 17.8516f, 10.4961f, 16.8633f, 9.5313f, 16.1563f)
                lineTo(10.625f, 14.0f)
                lineTo(14.5313f, 14.0f)
                lineTo(14.8438f, 13.5625f)
                curveTo(14.8438f, 13.5625f, 15.8125f, 12.0f, 18.0f, 12.0f)
                close()
            }
        }
        .build()
        return _motorcycleSolid!!
    }

private var _motorcycleSolid: ImageVector? = null
