package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Node: ImageVector
    get() {
        if (_node != null) {
            return _node!!
        }
        _node = Builder(name = "Node", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.3008f, 6.0f)
                curveTo(21.1438f, 6.0f, 21.0f, 6.1258f, 21.0f, 6.3008f)
                lineTo(21.0f, 11.7969f)
                lineTo(19.7539f, 11.0703f)
                curveTo(19.6759f, 11.0243f, 19.588f, 11.002f, 19.5f, 11.002f)
                curveTo(19.412f, 11.002f, 19.3241f, 11.0243f, 19.2461f, 11.0703f)
                lineTo(16.252f, 12.8164f)
                curveTo(16.096f, 12.9064f, 16.0f, 13.073f, 16.0f, 13.252f)
                lineTo(16.0f, 16.748f)
                curveTo(16.0f, 16.928f, 16.096f, 17.0936f, 16.252f, 17.1836f)
                lineTo(19.2461f, 18.9297f)
                curveTo(19.3241f, 18.9757f, 19.412f, 18.998f, 19.5f, 18.998f)
                curveTo(19.588f, 18.998f, 19.6759f, 18.9757f, 19.7539f, 18.9297f)
                lineTo(22.748f, 17.1836f)
                curveTo(22.904f, 17.0936f, 23.0f, 16.927f, 23.0f, 16.748f)
                lineTo(23.0f, 15.0f)
                lineTo(23.0f, 13.252f)
                lineTo(23.0f, 7.2305f)
                curveTo(23.0f, 7.0525f, 22.905f, 6.8888f, 22.752f, 6.7988f)
                lineTo(21.4492f, 6.041f)
                curveTo(21.4002f, 6.013f, 21.3508f, 6.0f, 21.3008f, 6.0f)
                close()
                moveTo(11.5f, 11.002f)
                curveTo(11.4122f, 11.002f, 11.3246f, 11.0248f, 11.2461f, 11.0703f)
                lineTo(8.252f, 12.8164f)
                curveTo(8.096f, 12.9064f, 8.0f, 13.073f, 8.0f, 13.252f)
                lineTo(8.0f, 16.748f)
                curveTo(8.0f, 16.928f, 8.096f, 17.0936f, 8.252f, 17.1836f)
                lineTo(11.2461f, 18.9297f)
                curveTo(11.4031f, 19.0207f, 11.5969f, 19.0207f, 11.7539f, 18.9297f)
                lineTo(14.748f, 17.1836f)
                curveTo(14.904f, 17.0936f, 15.0f, 16.927f, 15.0f, 16.748f)
                lineTo(15.0f, 13.252f)
                curveTo(15.0f, 13.072f, 14.904f, 12.9064f, 14.748f, 12.8164f)
                lineTo(11.7539f, 11.0703f)
                curveTo(11.6754f, 11.0248f, 11.5878f, 11.002f, 11.5f, 11.002f)
                close()
                moveTo(27.5f, 11.002f)
                curveTo(27.412f, 11.002f, 27.3241f, 11.0243f, 27.2461f, 11.0703f)
                lineTo(24.252f, 12.8164f)
                curveTo(24.096f, 12.9064f, 24.0f, 13.073f, 24.0f, 13.252f)
                lineTo(24.0f, 16.748f)
                curveTo(24.0f, 16.928f, 24.096f, 17.0936f, 24.252f, 17.1836f)
                lineTo(27.1563f, 18.9395f)
                curveTo(27.3123f, 19.0345f, 27.508f, 19.0354f, 27.666f, 18.9434f)
                lineTo(29.0938f, 18.1133f)
                curveTo(29.2418f, 18.0283f, 29.2428f, 17.8136f, 29.0938f, 17.7266f)
                lineTo(26.0f, 15.9043f)
                lineTo(26.0f, 14.1094f)
                lineTo(27.5f, 13.2363f)
                lineTo(29.0f, 14.1094f)
                lineTo(29.0f, 15.3594f)
                curveTo(29.0f, 15.5264f, 29.1404f, 15.5521f, 29.2344f, 15.4961f)
                curveTo(29.6124f, 15.2741f, 30.752f, 14.6133f, 30.752f, 14.6133f)
                curveTo(30.905f, 14.5243f, 31.0f, 14.3596f, 31.0f, 14.1816f)
                lineTo(31.0f, 13.252f)
                curveTo(31.0f, 13.072f, 30.904f, 12.9064f, 30.748f, 12.8164f)
                lineTo(27.7539f, 11.0703f)
                curveTo(27.6749f, 11.0243f, 27.588f, 11.002f, 27.5f, 11.002f)
                close()
                moveTo(3.5f, 11.0039f)
                curveTo(3.412f, 11.0039f, 3.3241f, 11.0263f, 3.2461f, 11.0723f)
                lineTo(0.252f, 12.8164f)
                curveTo(0.096f, 12.9074f, 0.0f, 13.0739f, 0.0f, 13.2539f)
                lineTo(0.0f, 17.7168f)
                curveTo(0.0f, 17.9348f, 0.2358f, 18.0699f, 0.4238f, 17.9609f)
                lineTo(1.752f, 17.1875f)
                curveTo(1.905f, 17.0975f, 2.0f, 16.9339f, 2.0f, 16.7559f)
                lineTo(2.0f, 14.1133f)
                lineTo(3.5f, 13.2383f)
                lineTo(5.0f, 14.1133f)
                lineTo(5.0f, 16.7559f)
                curveTo(5.0f, 16.9339f, 5.095f, 17.0975f, 5.248f, 17.1875f)
                lineTo(6.5762f, 17.9609f)
                curveTo(6.7642f, 18.0709f, 7.0f, 17.9348f, 7.0f, 17.7168f)
                lineTo(7.0f, 13.2539f)
                curveTo(7.0f, 13.0739f, 6.904f, 12.9074f, 6.748f, 12.8164f)
                lineTo(3.7539f, 11.0723f)
                curveTo(3.6759f, 11.0263f, 3.588f, 11.0039f, 3.5f, 11.0039f)
                close()
                moveTo(19.5f, 13.2363f)
                lineTo(21.0f, 14.1113f)
                lineTo(21.0f, 15.0f)
                lineTo(21.0f, 15.8887f)
                lineTo(19.5f, 16.7637f)
                lineTo(18.0f, 15.8887f)
                lineTo(18.0f, 14.1113f)
                lineTo(19.5f, 13.2363f)
                close()
                moveTo(27.5f, 14.0039f)
                lineTo(26.6426f, 14.5039f)
                lineTo(26.6426f, 15.502f)
                lineTo(27.5f, 16.0f)
                lineTo(28.3574f, 15.502f)
                lineTo(28.3574f, 14.5039f)
                lineTo(27.5f, 14.0039f)
                close()
                moveTo(15.4063f, 17.998f)
                curveTo(15.3034f, 17.998f, 15.1994f, 18.0232f, 15.1094f, 18.0742f)
                lineTo(12.2969f, 19.6992f)
                curveTo(12.1119f, 19.8012f, 12.0f, 20.0019f, 12.0f, 20.2109f)
                lineTo(12.0f, 23.457f)
                curveTo(12.0f, 23.666f, 12.1169f, 23.8627f, 12.2969f, 23.9688f)
                lineTo(13.0371f, 24.3906f)
                curveTo(13.3921f, 24.5656f, 13.5226f, 24.5664f, 13.6836f, 24.5664f)
                curveTo(14.2136f, 24.5664f, 14.5156f, 24.2495f, 14.5156f, 23.6895f)
                lineTo(14.5156f, 20.4824f)
                curveTo(14.5156f, 20.4334f, 14.4776f, 20.3984f, 14.4336f, 20.3984f)
                lineTo(14.0781f, 20.3984f)
                curveTo(14.0291f, 20.3984f, 13.9941f, 20.4384f, 13.9941f, 20.4824f)
                lineTo(13.9941f, 23.6895f)
                curveTo(13.9941f, 23.9325f, 13.7374f, 24.1817f, 13.3184f, 23.9727f)
                lineTo(12.5488f, 23.5293f)
                curveTo(12.5238f, 23.5143f, 12.5059f, 23.4841f, 12.5059f, 23.4551f)
                lineTo(12.5059f, 20.209f)
                curveTo(12.5059f, 20.18f, 12.5198f, 20.1459f, 12.5488f, 20.1309f)
                lineTo(15.3613f, 18.5098f)
                curveTo(15.3913f, 18.4948f, 15.4252f, 18.4948f, 15.4492f, 18.5098f)
                lineTo(18.2637f, 20.1309f)
                curveTo(18.2927f, 20.1459f, 18.3066f, 20.175f, 18.3066f, 20.209f)
                lineTo(18.3066f, 23.4551f)
                curveTo(18.3066f, 23.4891f, 18.2877f, 23.5182f, 18.2637f, 23.5332f)
                lineTo(15.4492f, 25.1602f)
                curveTo(15.4242f, 25.1752f, 15.3853f, 25.1752f, 15.3613f, 25.1602f)
                lineTo(14.6426f, 24.7324f)
                curveTo(14.6236f, 24.7224f, 14.5932f, 24.7166f, 14.5742f, 24.7266f)
                curveTo(14.3752f, 24.8436f, 14.3354f, 24.8589f, 14.1504f, 24.9219f)
                curveTo(14.1014f, 24.9369f, 14.0348f, 24.9669f, 14.1758f, 25.0449f)
                lineTo(15.1094f, 25.5996f)
                curveTo(15.2024f, 25.6486f, 15.3042f, 25.6777f, 15.4063f, 25.6777f)
                curveTo(15.5133f, 25.6777f, 15.6172f, 25.6487f, 15.6992f, 25.5957f)
                lineTo(18.5117f, 23.9688f)
                curveTo(18.6967f, 23.8668f, 18.8086f, 23.666f, 18.8086f, 23.457f)
                lineTo(18.8086f, 20.2109f)
                curveTo(18.8086f, 20.0019f, 18.6917f, 19.8062f, 18.5117f, 19.6992f)
                lineTo(15.6992f, 18.0742f)
                curveTo(15.6117f, 18.0232f, 15.5091f, 17.998f, 15.4063f, 17.998f)
                close()
                moveTo(19.793f, 19.4961f)
                curveTo(19.506f, 19.4961f, 19.2539f, 19.7282f, 19.2539f, 20.0352f)
                curveTo(19.2539f, 20.3322f, 19.496f, 20.5762f, 19.793f, 20.5762f)
                curveTo(20.09f, 20.5762f, 20.332f, 20.3322f, 20.332f, 20.0352f)
                curveTo(20.332f, 19.7282f, 20.085f, 19.4911f, 19.793f, 19.4961f)
                close()
                moveTo(19.7871f, 19.582f)
                curveTo(20.0411f, 19.582f, 20.2461f, 19.7822f, 20.2461f, 20.0352f)
                curveTo(20.2461f, 20.2832f, 20.0401f, 20.4881f, 19.7871f, 20.4941f)
                curveTo(19.5381f, 20.4941f, 19.3359f, 20.2882f, 19.3359f, 20.0352f)
                curveTo(19.3359f, 19.7822f, 19.5391f, 19.582f, 19.7871f, 19.582f)
                close()
                moveTo(19.5898f, 19.7285f)
                lineTo(19.5898f, 20.3359f)
                lineTo(19.7051f, 20.3359f)
                lineTo(19.7051f, 20.0938f)
                lineTo(19.8125f, 20.0938f)
                curveTo(19.8565f, 20.0938f, 19.867f, 20.1125f, 19.877f, 20.1465f)
                curveTo(19.877f, 20.1515f, 19.8954f, 20.3089f, 19.9004f, 20.3379f)
                lineTo(20.0254f, 20.3379f)
                curveTo(20.0114f, 20.3089f, 20.0011f, 20.2258f, 19.9961f, 20.1758f)
                curveTo(19.9821f, 20.0978f, 19.9775f, 20.0441f, 19.8945f, 20.0391f)
                curveTo(19.9385f, 20.0241f, 20.0117f, 20.0007f, 20.0117f, 19.8887f)
                curveTo(20.0117f, 19.7277f, 19.8718f, 19.7285f, 19.7988f, 19.7285f)
                lineTo(19.5898f, 19.7285f)
                close()
                moveTo(19.7051f, 19.8262f)
                lineTo(19.8027f, 19.8262f)
                curveTo(19.8327f, 19.8262f, 19.8906f, 19.8252f, 19.8906f, 19.9082f)
                curveTo(19.8906f, 19.9422f, 19.8759f, 19.9971f, 19.7969f, 19.9961f)
                lineTo(19.7051f, 19.9961f)
                lineTo(19.7051f, 19.8262f)
                close()
                moveTo(16.1602f, 20.3223f)
                curveTo(15.3572f, 20.3223f, 14.8809f, 20.6645f, 14.8809f, 21.2285f)
                curveTo(14.8809f, 21.8465f, 15.358f, 22.0118f, 16.127f, 22.0898f)
                curveTo(17.047f, 22.1818f, 17.1191f, 22.3141f, 17.1191f, 22.4941f)
                curveTo(17.1191f, 22.8101f, 16.8655f, 22.9414f, 16.2715f, 22.9414f)
                curveTo(15.5265f, 22.9414f, 15.3626f, 22.7567f, 15.3086f, 22.3867f)
                curveTo(15.3036f, 22.3477f, 15.2686f, 22.3184f, 15.2246f, 22.3184f)
                lineTo(14.8594f, 22.3184f)
                curveTo(14.8154f, 22.3184f, 14.7773f, 22.3533f, 14.7773f, 22.4023f)
                curveTo(14.7773f, 22.8743f, 15.0346f, 23.4395f, 16.2656f, 23.4395f)
                curveTo(17.1686f, 23.4385f, 17.6797f, 23.0886f, 17.6797f, 22.4746f)
                curveTo(17.6797f, 21.8666f, 17.2703f, 21.7049f, 16.4043f, 21.5879f)
                curveTo(15.5283f, 21.4709f, 15.4414f, 21.412f, 15.4414f, 21.207f)
                curveTo(15.4414f, 21.037f, 15.5132f, 20.8145f, 16.1602f, 20.8145f)
                curveTo(16.7392f, 20.8145f, 16.955f, 20.9411f, 17.043f, 21.3301f)
                curveTo(17.053f, 21.3691f, 17.0801f, 21.3926f, 17.1191f, 21.3926f)
                lineTo(17.4844f, 21.3926f)
                curveTo(17.5084f, 21.3926f, 17.529f, 21.3831f, 17.543f, 21.3691f)
                curveTo(17.558f, 21.3501f, 17.5675f, 21.3306f, 17.5625f, 21.3066f)
                curveTo(17.5045f, 20.6346f, 17.0612f, 20.3223f, 16.1602f, 20.3223f)
                close()
            }
        }
        .build()
        return _node!!
    }

private var _node: ImageVector? = null
