package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.OtterSolid: ImageVector
    get() {
        if (_otterSolid != null) {
            return _otterSolid!!
        }
        _otterSolid = Builder(name = "OtterSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.5f, 5.0f)
                curveTo(10.789f, 5.0f, 7.4433f, 6.584f, 5.9063f, 9.002f)
                curveTo(4.2952f, 9.052f, 3.0f, 10.377f, 3.0f, 12.0f)
                curveTo(3.0f, 12.899f, 3.407f, 14.0214f, 4.0f, 14.8184f)
                lineTo(4.0f, 27.0f)
                lineTo(6.0f, 27.0f)
                lineTo(6.0f, 14.0684f)
                lineTo(5.7324f, 13.7813f)
                curveTo(5.3004f, 13.3142f, 5.0f, 12.469f, 5.0f, 12.0f)
                curveTo(5.0f, 11.448f, 5.448f, 11.0f, 6.0f, 11.0f)
                curveTo(6.065f, 11.0f, 6.1415f, 11.0112f, 6.2305f, 11.0313f)
                lineTo(7.0137f, 11.2188f)
                lineTo(7.3613f, 10.4902f)
                curveTo(8.3473f, 8.4352f, 11.283f, 7.0f, 14.5f, 7.0f)
                lineTo(17.5f, 7.0f)
                curveTo(20.717f, 7.0f, 23.6527f, 8.4352f, 24.6387f, 10.4902f)
                lineTo(24.9863f, 11.2188f)
                lineTo(25.7695f, 11.0313f)
                curveTo(25.8585f, 11.0112f, 25.935f, 11.0f, 26.0f, 11.0f)
                curveTo(26.552f, 11.0f, 27.0f, 11.448f, 27.0f, 12.0f)
                curveTo(27.0f, 12.469f, 26.6996f, 13.3142f, 26.2676f, 13.7813f)
                lineTo(26.0f, 14.0684f)
                lineTo(26.0f, 27.0f)
                lineTo(28.0f, 27.0f)
                lineTo(28.0f, 14.8184f)
                curveTo(28.593f, 14.0214f, 29.0f, 12.899f, 29.0f, 12.0f)
                curveTo(29.0f, 10.377f, 27.7048f, 9.052f, 26.0938f, 9.002f)
                curveTo(24.5567f, 6.584f, 21.211f, 5.0f, 17.5f, 5.0f)
                lineTo(14.5f, 5.0f)
                close()
                moveTo(10.0f, 12.0f)
                arcTo(1.0f, 1.5f, 0.0f, false, false, 10.0f, 15.0f)
                arcTo(1.0f, 1.5f, 0.0f, false, false, 10.0f, 12.0f)
                close()
                moveTo(22.0f, 12.0f)
                arcTo(1.0f, 1.5f, 0.0f, false, false, 22.0f, 15.0f)
                arcTo(1.0f, 1.5f, 0.0f, false, false, 22.0f, 12.0f)
                close()
                moveTo(16.0f, 13.0176f)
                curveTo(15.085f, 13.0176f, 14.1701f, 13.3408f, 13.3711f, 13.9863f)
                curveTo(9.8141f, 16.8643f, 9.7304f, 16.9356f, 9.4844f, 17.1426f)
                lineTo(9.377f, 17.2324f)
                curveTo(8.489f, 17.9754f, 8.0f, 18.959f, 8.0f, 20.0f)
                curveTo(8.0f, 22.206f, 9.794f, 24.0f, 12.0f, 24.0f)
                curveTo(13.498f, 24.0f, 14.914f, 23.6391f, 16.0f, 22.9941f)
                curveTo(17.086f, 23.6391f, 18.502f, 24.0f, 20.0f, 24.0f)
                curveTo(22.206f, 24.0f, 24.0f, 22.206f, 24.0f, 20.0f)
                curveTo(24.0f, 18.959f, 23.511f, 17.9764f, 22.623f, 17.2324f)
                lineTo(22.5156f, 17.1426f)
                curveTo(22.2696f, 16.9356f, 22.1869f, 16.8634f, 18.6289f, 13.9844f)
                curveTo(17.8309f, 13.3399f, 16.915f, 13.0176f, 16.0f, 13.0176f)
                close()
                moveTo(16.0f, 15.0039f)
                curveTo(16.4634f, 15.0039f, 16.9266f, 15.1825f, 17.3711f, 15.541f)
                curveTo(20.8981f, 18.395f, 20.9836f, 18.4669f, 21.2266f, 18.6719f)
                lineTo(21.3398f, 18.7676f)
                curveTo(21.6408f, 19.0196f, 22.0f, 19.437f, 22.0f, 20.0f)
                curveTo(22.0f, 21.103f, 21.103f, 22.0f, 20.0f, 22.0f)
                curveTo(18.661f, 22.0f, 17.4009f, 21.6289f, 16.6289f, 21.0059f)
                lineTo(16.0332f, 20.5254f)
                curveTo(16.1078f, 19.6563f, 16.3862f, 19.0f, 17.0f, 19.0f)
                curveTo(18.105f, 19.0f, 19.0f, 18.7984f, 19.0f, 18.2734f)
                curveTo(19.0f, 17.5694f, 17.657f, 17.0f, 16.0f, 17.0f)
                curveTo(14.343f, 17.0f, 13.0f, 17.5694f, 13.0f, 18.2734f)
                curveTo(13.0f, 18.7984f, 13.895f, 19.0f, 15.0f, 19.0f)
                curveTo(15.6138f, 19.0f, 15.8922f, 19.6563f, 15.9668f, 20.5254f)
                lineTo(15.3711f, 21.0059f)
                curveTo(14.5991f, 21.6289f, 13.339f, 22.0f, 12.0f, 22.0f)
                curveTo(10.897f, 22.0f, 10.0f, 21.103f, 10.0f, 20.0f)
                curveTo(10.0f, 19.438f, 10.3591f, 19.0196f, 10.6621f, 18.7676f)
                lineTo(10.7754f, 18.6719f)
                curveTo(11.0194f, 18.4669f, 11.1029f, 18.396f, 14.6289f, 15.543f)
                curveTo(15.0739f, 15.1835f, 15.5366f, 15.0039f, 16.0f, 15.0039f)
                close()
            }
        }
        .build()
        return _otterSolid!!
    }

private var _otterSolid: ImageVector? = null
