package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PenAltSolid: ImageVector
    get() {
        if (_penAltSolid != null) {
            return _penAltSolid!!
        }
        _penAltSolid = Builder(name = "PenAltSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.1563f, 3.0f)
                curveTo(18.3906f, 3.0039f, 17.6445f, 3.3008f, 17.0938f, 3.9063f)
                curveTo(17.0859f, 3.9141f, 17.1016f, 3.9297f, 17.0938f, 3.9375f)
                curveTo(15.8633f, 5.1758f, 15.3867f, 6.4063f, 14.9688f, 7.5f)
                curveTo(14.7891f, 7.9727f, 14.6094f, 8.418f, 14.375f, 8.875f)
                curveTo(13.9141f, 8.3438f, 13.25f, 8.0f, 12.5f, 8.0f)
                curveTo(11.1328f, 8.0f, 10.0f, 9.1328f, 10.0f, 10.5f)
                curveTo(10.0f, 11.8672f, 11.1328f, 13.0f, 12.5f, 13.0f)
                curveTo(13.2422f, 13.0f, 13.8828f, 12.6484f, 14.3438f, 12.125f)
                lineTo(14.4063f, 12.1875f)
                lineTo(5.2813f, 21.2813f)
                lineTo(5.0f, 21.5938f)
                lineTo(5.0f, 25.5625f)
                lineTo(4.0f, 26.5938f)
                lineTo(5.4063f, 28.0f)
                lineTo(6.4375f, 27.0f)
                lineTo(10.4063f, 27.0f)
                lineTo(10.7188f, 26.7188f)
                lineTo(27.2813f, 10.125f)
                lineTo(27.3125f, 10.0938f)
                curveTo(28.4648f, 8.9414f, 28.4648f, 7.0586f, 27.3125f, 5.9063f)
                lineTo(26.0938f, 4.6875f)
                curveTo(25.5156f, 4.1094f, 24.7656f, 3.8125f, 24.0f, 3.8125f)
                curveTo(23.2852f, 3.8125f, 22.5898f, 4.0898f, 22.0313f, 4.5938f)
                lineTo(21.3125f, 3.9063f)
                curveTo(20.7227f, 3.3164f, 19.9336f, 2.9961f, 19.1563f, 3.0f)
                close()
                moveTo(19.1875f, 5.0f)
                curveTo(19.4336f, 5.0039f, 19.6992f, 5.1055f, 19.9063f, 5.3125f)
                lineTo(20.5938f, 6.0f)
                lineTo(14.4688f, 12.0938f)
                curveTo(15.8242f, 10.6563f, 16.4219f, 9.3203f, 16.8438f, 8.2188f)
                curveTo(17.2734f, 7.0938f, 17.543f, 6.2695f, 18.5f, 5.3125f)
                lineTo(18.5625f, 5.25f)
                curveTo(18.7109f, 5.082f, 18.9414f, 4.9961f, 19.1875f, 5.0f)
                close()
                moveTo(24.0f, 5.7813f)
                curveTo(24.2344f, 5.7813f, 24.4648f, 5.8711f, 24.6875f, 6.0938f)
                lineTo(25.9063f, 7.3125f)
                curveTo(26.3516f, 7.7578f, 26.3516f, 8.2422f, 25.9063f, 8.6875f)
                lineTo(25.0f, 9.5625f)
                lineTo(22.4375f, 7.0f)
                lineTo(23.2188f, 6.2188f)
                lineTo(23.3125f, 6.0938f)
                curveTo(23.5352f, 5.8711f, 23.7656f, 5.7813f, 24.0f, 5.7813f)
                close()
                moveTo(21.0f, 8.4375f)
                lineTo(23.5625f, 11.0f)
                lineTo(16.0f, 18.5625f)
                lineTo(13.4375f, 16.0f)
                close()
                moveTo(12.5f, 10.0f)
                curveTo(12.7891f, 10.0f, 13.0f, 10.2109f, 13.0f, 10.5f)
                curveTo(13.0f, 10.7891f, 12.7891f, 11.0f, 12.5f, 11.0f)
                curveTo(12.2109f, 11.0f, 12.0f, 10.7891f, 12.0f, 10.5f)
                curveTo(12.0f, 10.2109f, 12.2109f, 10.0f, 12.5f, 10.0f)
                close()
                moveTo(12.0f, 17.4375f)
                lineTo(14.5625f, 20.0f)
                lineTo(9.5625f, 25.0f)
                lineTo(7.0f, 25.0f)
                lineTo(7.0f, 22.4375f)
                close()
            }
        }
        .build()
        return _penAltSolid!!
    }

private var _penAltSolid: ImageVector? = null
