package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PooStormSolid: ImageVector
    get() {
        if (_pooStormSolid != null) {
            return _pooStormSolid!!
        }
        _pooStormSolid = Builder(name = "PooStormSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.0f, 4.0f)
                curveTo(14.162f, 4.0f, 11.0f, 6.6133f, 11.0f, 10.3633f)
                lineTo(11.0f, 11.0f)
                lineTo(10.0f, 11.0f)
                curveTo(7.794f, 11.0f, 6.0f, 12.794f, 6.0f, 15.0f)
                curveTo(6.0f, 15.408f, 6.0645f, 15.8113f, 6.1875f, 16.1953f)
                curveTo(4.3455f, 16.7583f, 3.0f, 18.475f, 3.0f, 20.5f)
                curveTo(3.0f, 22.981f, 5.019f, 25.0f, 7.5f, 25.0f)
                lineTo(15.0f, 25.0f)
                lineTo(15.0f, 24.4102f)
                lineTo(10.7695f, 23.0f)
                lineTo(7.5f, 23.0f)
                curveTo(6.121f, 23.0f, 5.0f, 21.879f, 5.0f, 20.5f)
                curveTo(5.0f, 19.121f, 6.121f, 18.0f, 7.5f, 18.0f)
                lineTo(10.0352f, 18.0f)
                lineTo(8.5234f, 16.3281f)
                curveTo(8.1864f, 15.9541f, 8.0f, 15.483f, 8.0f, 15.0f)
                curveTo(8.0f, 13.897f, 8.897f, 13.0f, 10.0f, 13.0f)
                lineTo(13.0f, 13.0f)
                lineTo(13.0f, 10.3633f)
                curveTo(13.0f, 8.3623f, 14.4261f, 6.7265f, 15.9531f, 6.1875f)
                curveTo(16.0261f, 8.0915f, 16.8519f, 8.8794f, 17.8359f, 9.6094f)
                curveTo(18.5369f, 10.1304f, 19.0f, 10.474f, 19.0f, 12.0f)
                lineTo(19.0f, 13.0f)
                lineTo(22.0f, 13.0f)
                curveTo(23.103f, 13.0f, 24.0f, 13.897f, 24.0f, 15.0f)
                curveTo(24.0f, 15.483f, 23.8136f, 15.9541f, 23.4766f, 16.3281f)
                lineTo(21.9648f, 18.0f)
                lineTo(24.5f, 18.0f)
                curveTo(25.879f, 18.0f, 27.0f, 19.121f, 27.0f, 20.5f)
                curveTo(27.0f, 21.879f, 25.879f, 23.0f, 24.5f, 23.0f)
                lineTo(21.9238f, 23.0f)
                lineTo(21.0f, 25.0f)
                lineTo(24.5f, 25.0f)
                curveTo(26.981f, 25.0f, 29.0f, 22.981f, 29.0f, 20.5f)
                curveTo(29.0f, 18.475f, 27.6555f, 16.7583f, 25.8125f, 16.1953f)
                curveTo(25.9365f, 15.8113f, 26.0f, 15.408f, 26.0f, 15.0f)
                curveTo(26.0f, 12.794f, 24.206f, 11.0f, 22.0f, 11.0f)
                lineTo(20.9336f, 11.0f)
                curveTo(20.6766f, 9.227f, 19.7403f, 8.5319f, 19.0273f, 8.0039f)
                curveTo(18.2803f, 7.4489f, 17.7851f, 7.0815f, 17.9941f, 5.1055f)
                lineTo(18.1113f, 4.0f)
                lineTo(17.0f, 4.0f)
                close()
                moveTo(17.0f, 15.5f)
                lineTo(14.0f, 21.9688f)
                lineTo(17.0f, 22.9688f)
                lineTo(17.0f, 28.5f)
                lineTo(20.0f, 22.0f)
                lineTo(17.0f, 21.0f)
                lineTo(17.0f, 15.5f)
                close()
            }
        }
        .build()
        return _pooStormSolid!!
    }

private var _pooStormSolid: ImageVector? = null
