package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.RadiationSolid: ImageVector
    get() {
        if (_radiationSolid != null) {
            return _radiationSolid!!
        }
        _radiationSolid = Builder(name = "RadiationSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.1602f, 3.8887f)
                lineTo(8.2832f, 4.5352f)
                curveTo(5.2622f, 6.7732f, 3.3557f, 10.1949f, 3.0527f, 13.9199f)
                lineTo(2.9648f, 15.0f)
                lineTo(10.9375f, 15.0f)
                lineTo(11.0762f, 14.1621f)
                curveTo(11.2632f, 13.0351f, 11.842f, 11.9991f, 12.707f, 11.2441f)
                lineTo(13.3457f, 10.6875f)
                lineTo(9.1602f, 3.8887f)
                close()
                moveTo(22.8398f, 3.8887f)
                lineTo(18.6543f, 10.6875f)
                lineTo(19.293f, 11.2441f)
                curveTo(20.158f, 11.9981f, 20.7368f, 13.0351f, 20.9238f, 14.1621f)
                lineTo(21.0625f, 15.0f)
                lineTo(29.0352f, 15.0f)
                lineTo(28.9453f, 13.9199f)
                curveTo(28.6423f, 10.1949f, 26.7358f, 6.7732f, 23.7148f, 4.5352f)
                lineTo(22.8398f, 3.8887f)
                close()
                moveTo(8.6289f, 6.8379f)
                lineTo(10.7813f, 10.3398f)
                curveTo(10.0953f, 11.1058f, 9.5869f, 12.017f, 9.2949f, 13.0f)
                lineTo(5.1895f, 13.0f)
                curveTo(5.6245f, 10.631f, 6.8339f, 8.4649f, 8.6289f, 6.8379f)
                close()
                moveTo(23.3711f, 6.8379f)
                curveTo(25.1651f, 8.4649f, 26.3755f, 10.631f, 26.8105f, 13.0f)
                lineTo(22.7031f, 13.0f)
                curveTo(22.4111f, 12.017f, 21.9028f, 11.1058f, 21.2168f, 10.3398f)
                lineTo(23.3711f, 6.8379f)
                close()
                moveTo(16.0f, 12.0f)
                curveTo(14.346f, 12.0f, 13.0f, 13.3479f, 13.0f, 15.0039f)
                curveTo(13.0f, 16.6559f, 14.346f, 18.0f, 16.0f, 18.0f)
                curveTo(17.654f, 18.0f, 19.0f, 16.6559f, 19.0f, 15.0039f)
                curveTo(19.0f, 13.3479f, 17.654f, 12.0f, 16.0f, 12.0f)
                close()
                moveTo(16.0f, 14.0f)
                curveTo(16.551f, 14.0f, 17.0f, 14.4509f, 17.0f, 15.0039f)
                curveTo(17.0f, 15.5529f, 16.551f, 16.0f, 16.0f, 16.0f)
                curveTo(15.449f, 16.0f, 15.0f, 15.5529f, 15.0f, 15.0039f)
                curveTo(15.0f, 14.4509f, 15.449f, 14.0f, 16.0f, 14.0f)
                close()
                moveTo(13.3457f, 19.3066f)
                lineTo(9.1719f, 26.1094f)
                lineTo(10.1367f, 26.6016f)
                curveTo(11.9587f, 27.5296f, 13.932f, 28.0f, 16.0f, 28.0f)
                curveTo(18.068f, 28.0f, 20.0423f, 27.5296f, 21.8633f, 26.6016f)
                lineTo(22.8281f, 26.1094f)
                lineTo(18.6523f, 19.3066f)
                lineTo(17.8613f, 19.6387f)
                curveTo(16.7193f, 20.1187f, 15.2787f, 20.1187f, 14.1367f, 19.6387f)
                lineTo(13.3457f, 19.3066f)
                close()
                moveTo(14.1855f, 21.7637f)
                curveTo(15.3445f, 22.0767f, 16.6574f, 22.0767f, 17.8164f, 21.7637f)
                lineTo(19.9648f, 25.2637f)
                curveTo(17.4548f, 26.2417f, 14.5471f, 26.2417f, 12.0371f, 25.2637f)
                lineTo(14.1855f, 21.7637f)
                close()
            }
        }
        .build()
        return _radiationSolid!!
    }

private var _radiationSolid: ImageVector? = null
