package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SkullCrossbonesSolid: ImageVector
    get() {
        if (_skullCrossbonesSolid != null) {
            return _skullCrossbonesSolid!!
        }
        _skullCrossbonesSolid = Builder(name = "SkullCrossbonesSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.5f, 3.0f)
                curveTo(5.6719f, 3.0f, 5.0f, 3.6719f, 5.0f, 4.5f)
                curveTo(5.0f, 4.7344f, 5.0625f, 4.9609f, 5.1563f, 5.1563f)
                curveTo(4.9609f, 5.0625f, 4.7344f, 5.0f, 4.5f, 5.0f)
                curveTo(3.6719f, 5.0f, 3.0f, 5.6719f, 3.0f, 6.5f)
                curveTo(3.0f, 7.3281f, 3.6719f, 8.0f, 4.5f, 8.0f)
                curveTo(5.0703f, 8.0f, 5.5586f, 7.6875f, 5.8125f, 7.2188f)
                lineTo(8.5313f, 9.9688f)
                curveTo(7.8281f, 11.0078f, 7.3359f, 12.2148f, 7.125f, 13.5f)
                curveTo(6.7969f, 15.4922f, 7.1836f, 17.3711f, 8.0f, 19.0f)
                lineTo(8.0f, 20.0f)
                curveTo(8.0f, 20.7109f, 8.2656f, 21.3594f, 8.6875f, 21.875f)
                lineTo(5.8125f, 24.75f)
                curveTo(5.5547f, 24.2969f, 5.0586f, 24.0f, 4.5f, 24.0f)
                curveTo(3.6719f, 24.0f, 3.0f, 24.6719f, 3.0f, 25.5f)
                curveTo(3.0f, 26.3281f, 3.6719f, 27.0f, 4.5f, 27.0f)
                curveTo(4.7344f, 27.0f, 4.9609f, 26.9375f, 5.1563f, 26.8438f)
                curveTo(5.0586f, 27.0391f, 5.0f, 27.2656f, 5.0f, 27.5f)
                curveTo(5.0f, 28.3281f, 5.6719f, 29.0f, 6.5f, 29.0f)
                curveTo(7.3281f, 29.0f, 8.0f, 28.3281f, 8.0f, 27.5f)
                curveTo(8.0f, 26.9414f, 7.7031f, 26.4453f, 7.25f, 26.1875f)
                lineTo(10.5f, 22.9375f)
                curveTo(10.6641f, 22.9648f, 10.8281f, 23.0f, 11.0f, 23.0f)
                curveTo(11.0f, 24.6445f, 12.3555f, 26.0f, 14.0f, 26.0f)
                lineTo(18.0f, 26.0f)
                curveTo(19.6445f, 26.0f, 21.0f, 24.6445f, 21.0f, 23.0f)
                curveTo(21.1719f, 23.0f, 21.3359f, 22.9648f, 21.5f, 22.9375f)
                lineTo(24.75f, 26.1875f)
                curveTo(24.2969f, 26.4453f, 24.0f, 26.9414f, 24.0f, 27.5f)
                curveTo(24.0f, 28.3281f, 24.6719f, 29.0f, 25.5f, 29.0f)
                curveTo(26.3281f, 29.0f, 27.0f, 28.3281f, 27.0f, 27.5f)
                curveTo(27.0f, 27.2656f, 26.9375f, 27.0391f, 26.8438f, 26.8438f)
                curveTo(27.0391f, 26.9375f, 27.2656f, 27.0f, 27.5f, 27.0f)
                curveTo(28.3281f, 27.0f, 29.0f, 26.3281f, 29.0f, 25.5f)
                curveTo(29.0f, 24.6719f, 28.3281f, 24.0f, 27.5f, 24.0f)
                curveTo(26.9414f, 24.0f, 26.4453f, 24.2969f, 26.1875f, 24.75f)
                lineTo(23.3125f, 21.875f)
                curveTo(23.7344f, 21.3594f, 24.0f, 20.7109f, 24.0f, 20.0f)
                lineTo(24.0f, 19.0313f)
                curveTo(24.6172f, 17.8125f, 25.0f, 16.457f, 25.0f, 15.0f)
                curveTo(25.0f, 13.1367f, 24.418f, 11.4063f, 23.4375f, 9.9688f)
                lineTo(26.1875f, 7.2188f)
                curveTo(26.4414f, 7.6875f, 26.9297f, 8.0f, 27.5f, 8.0f)
                curveTo(28.3281f, 8.0f, 29.0f, 7.3281f, 29.0f, 6.5f)
                curveTo(29.0f, 5.6719f, 28.3281f, 5.0f, 27.5f, 5.0f)
                curveTo(27.2656f, 5.0f, 27.0391f, 5.0625f, 26.8438f, 5.1563f)
                curveTo(26.9375f, 4.9609f, 27.0f, 4.7344f, 27.0f, 4.5f)
                curveTo(27.0f, 3.6719f, 26.3281f, 3.0f, 25.5f, 3.0f)
                curveTo(24.6719f, 3.0f, 24.0f, 3.6719f, 24.0f, 4.5f)
                curveTo(24.0f, 5.0703f, 24.3125f, 5.5586f, 24.7813f, 5.8125f)
                lineTo(22.125f, 8.4375f)
                curveTo(20.5f, 6.9219f, 18.3203f, 5.9883f, 15.9375f, 6.0f)
                curveTo(15.6055f, 6.0f, 15.2773f, 6.0234f, 14.9375f, 6.0625f)
                curveTo(12.9961f, 6.2852f, 11.2148f, 7.125f, 9.8438f, 8.4063f)
                lineTo(7.2188f, 5.8125f)
                curveTo(7.6875f, 5.5586f, 8.0f, 5.0703f, 8.0f, 4.5f)
                curveTo(8.0f, 3.6719f, 7.3281f, 3.0f, 6.5f, 3.0f)
                close()
                moveTo(15.9688f, 8.0f)
                curveTo(19.8711f, 7.9766f, 23.0f, 11.1094f, 23.0f, 15.0f)
                curveTo(23.0f, 16.2305f, 22.6836f, 17.3711f, 22.125f, 18.375f)
                lineTo(22.0f, 18.625f)
                lineTo(22.0f, 20.0f)
                curveTo(22.0f, 20.5664f, 21.5664f, 21.0f, 21.0f, 21.0f)
                lineTo(19.0f, 21.0f)
                lineTo(19.0f, 23.0f)
                curveTo(19.0f, 23.5664f, 18.5664f, 24.0f, 18.0f, 24.0f)
                lineTo(14.0f, 24.0f)
                curveTo(13.4336f, 24.0f, 13.0f, 23.5664f, 13.0f, 23.0f)
                lineTo(13.0f, 21.0f)
                lineTo(11.0f, 21.0f)
                curveTo(10.4336f, 21.0f, 10.0f, 20.5664f, 10.0f, 20.0f)
                lineTo(10.0f, 18.625f)
                lineTo(9.875f, 18.375f)
                curveTo(9.1445f, 17.0547f, 8.8164f, 15.4922f, 9.0938f, 13.8125f)
                curveTo(9.5859f, 10.7969f, 12.1484f, 8.4063f, 15.1875f, 8.0625f)
                curveTo(15.4531f, 8.0313f, 15.707f, 8.0f, 15.9688f, 8.0f)
                close()
                moveTo(13.0f, 15.0f)
                curveTo(11.8945f, 15.0f, 11.0f, 15.8945f, 11.0f, 17.0f)
                curveTo(11.0f, 18.1055f, 11.8945f, 19.0f, 13.0f, 19.0f)
                curveTo(14.1055f, 19.0f, 15.0f, 18.1055f, 15.0f, 17.0f)
                curveTo(15.0f, 15.8945f, 14.1055f, 15.0f, 13.0f, 15.0f)
                close()
                moveTo(19.0f, 15.0f)
                curveTo(17.8945f, 15.0f, 17.0f, 15.8945f, 17.0f, 17.0f)
                curveTo(17.0f, 18.1055f, 17.8945f, 19.0f, 19.0f, 19.0f)
                curveTo(20.1055f, 19.0f, 21.0f, 18.1055f, 21.0f, 17.0f)
                curveTo(21.0f, 15.8945f, 20.1055f, 15.0f, 19.0f, 15.0f)
                close()
                moveTo(15.0f, 20.0f)
                lineTo(15.0f, 22.0f)
                lineTo(17.0f, 22.0f)
                lineTo(17.0f, 20.0f)
                close()
            }
        }
        .build()
        return _skullCrossbonesSolid!!
    }

private var _skullCrossbonesSolid: ImageVector? = null
