package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SnowboardingSolid: ImageVector
    get() {
        if (_snowboardingSolid != null) {
            return _snowboardingSolid!!
        }
        _snowboardingSolid = Builder(name = "SnowboardingSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.0f, 4.0f)
                curveTo(19.355f, 4.0f, 18.0f, 5.355f, 18.0f, 7.0f)
                curveTo(18.0f, 8.645f, 19.355f, 10.0f, 21.0f, 10.0f)
                curveTo(22.645f, 10.0f, 24.0f, 8.645f, 24.0f, 7.0f)
                curveTo(24.0f, 5.355f, 22.645f, 4.0f, 21.0f, 4.0f)
                close()
                moveTo(10.5313f, 5.1563f)
                lineTo(8.875f, 6.2813f)
                lineTo(11.1875f, 9.6875f)
                curveTo(11.4605f, 10.0905f, 11.8708f, 10.379f, 12.3438f, 10.5f)
                lineTo(14.5313f, 11.0625f)
                lineTo(11.3438f, 14.1563f)
                curveTo(10.6208f, 14.8593f, 10.485f, 15.9777f, 11.0f, 16.8457f)
                lineTo(12.3438f, 19.1582f)
                lineTo(11.4063f, 20.2207f)
                lineTo(9.4648f, 22.3887f)
                lineTo(11.7246f, 22.8633f)
                lineTo(12.9063f, 21.5645f)
                lineTo(14.3438f, 19.9395f)
                lineTo(14.8125f, 19.4082f)
                lineTo(14.4688f, 18.7832f)
                lineTo(12.7188f, 15.8457f)
                curveTo(12.6718f, 15.7637f, 12.684f, 15.6617f, 12.75f, 15.5957f)
                lineTo(16.75f, 11.6895f)
                lineTo(17.6875f, 12.4707f)
                lineTo(15.125f, 15.1582f)
                curveTo(14.398f, 15.9122f, 14.3827f, 17.1382f, 15.0938f, 17.9082f)
                lineTo(16.625f, 19.5977f)
                lineTo(16.5313f, 20.9414f)
                lineTo(16.2988f, 23.8281f)
                lineTo(18.2793f, 24.2441f)
                lineTo(18.5313f, 21.0977f)
                lineTo(18.6563f, 19.2832f)
                lineTo(18.6875f, 18.8789f)
                lineTo(18.4063f, 18.5332f)
                lineTo(16.5625f, 16.5645f)
                lineTo(19.25f, 13.752f)
                lineTo(23.625f, 17.4082f)
                lineTo(24.9063f, 15.8457f)
                lineTo(17.7188f, 9.9063f)
                lineTo(17.5625f, 9.75f)
                lineTo(17.3438f, 9.7188f)
                lineTo(12.8438f, 8.5625f)
                lineTo(10.5313f, 5.1563f)
                close()
                moveTo(21.0f, 6.0f)
                curveTo(21.563f, 6.0f, 22.0f, 6.438f, 22.0f, 7.0f)
                curveTo(22.0f, 7.562f, 21.562f, 8.0f, 21.0f, 8.0f)
                curveTo(20.438f, 8.0f, 20.0f, 7.562f, 20.0f, 7.0f)
                curveTo(20.0f, 6.438f, 20.438f, 6.0f, 21.0f, 6.0f)
                close()
                moveTo(4.8945f, 21.5527f)
                lineTo(3.1055f, 22.4473f)
                lineTo(3.2422f, 22.7207f)
                curveTo(3.9282f, 24.0937f, 5.1826f, 25.062f, 6.6836f, 25.377f)
                lineTo(22.4297f, 28.6914f)
                curveTo(22.7677f, 28.7624f, 23.1101f, 28.7988f, 23.4531f, 28.7988f)
                curveTo(24.2271f, 28.7988f, 24.9993f, 28.6185f, 25.6953f, 28.2695f)
                lineTo(26.4473f, 27.8945f)
                lineTo(25.5527f, 26.1055f)
                lineTo(24.8008f, 26.4805f)
                curveTo(24.1988f, 26.7835f, 23.5028f, 26.8754f, 22.8418f, 26.7344f)
                lineTo(7.0957f, 23.4199f)
                curveTo(6.1957f, 23.2299f, 5.4433f, 22.6472f, 5.0313f, 21.8242f)
                lineTo(4.8945f, 21.5527f)
                close()
            }
        }
        .build()
        return _snowboardingSolid!!
    }

private var _snowboardingSolid: ImageVector? = null
