package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.StoreSolid: ImageVector
    get() {
        if (_storeSolid != null) {
            return _storeSolid!!
        }
        _storeSolid = Builder(name = "StoreSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.0f, 4.0f)
                lineTo(4.0f, 7.6563f)
                lineTo(1.0f, 11.6563f)
                lineTo(1.0f, 12.0f)
                curveTo(1.0f, 13.645f, 2.355f, 15.0f, 4.0f, 15.0f)
                lineTo(4.0f, 28.0f)
                lineTo(28.0f, 28.0f)
                lineTo(28.0f, 15.0f)
                curveTo(29.645f, 15.0f, 31.0f, 13.645f, 31.0f, 12.0f)
                lineTo(31.0f, 11.6563f)
                lineTo(28.0f, 7.6563f)
                lineTo(28.0f, 4.0f)
                lineTo(4.0f, 4.0f)
                close()
                moveTo(6.0f, 6.0f)
                lineTo(26.0f, 6.0f)
                lineTo(26.0f, 7.0f)
                lineTo(6.0f, 7.0f)
                lineTo(6.0f, 6.0f)
                close()
                moveTo(5.5f, 9.0f)
                lineTo(26.5f, 9.0f)
                lineTo(28.9063f, 12.2188f)
                curveTo(28.7973f, 12.6517f, 28.469f, 13.0f, 28.0f, 13.0f)
                curveTo(27.445f, 13.0f, 27.0f, 12.555f, 27.0f, 12.0f)
                lineTo(25.0f, 12.0f)
                curveTo(25.0f, 12.555f, 24.555f, 13.0f, 24.0f, 13.0f)
                curveTo(23.445f, 13.0f, 23.0f, 12.555f, 23.0f, 12.0f)
                lineTo(21.0f, 12.0f)
                curveTo(21.0f, 12.555f, 20.555f, 13.0f, 20.0f, 13.0f)
                curveTo(19.445f, 13.0f, 19.0f, 12.555f, 19.0f, 12.0f)
                lineTo(17.0f, 12.0f)
                curveTo(17.0f, 12.555f, 16.555f, 13.0f, 16.0f, 13.0f)
                curveTo(15.445f, 13.0f, 15.0f, 12.555f, 15.0f, 12.0f)
                lineTo(13.0f, 12.0f)
                curveTo(13.0f, 12.555f, 12.555f, 13.0f, 12.0f, 13.0f)
                curveTo(11.445f, 13.0f, 11.0f, 12.555f, 11.0f, 12.0f)
                lineTo(9.0f, 12.0f)
                curveTo(9.0f, 12.555f, 8.555f, 13.0f, 8.0f, 13.0f)
                curveTo(7.445f, 13.0f, 7.0f, 12.555f, 7.0f, 12.0f)
                lineTo(5.0f, 12.0f)
                curveTo(5.0f, 12.555f, 4.555f, 13.0f, 4.0f, 13.0f)
                curveTo(3.531f, 13.0f, 3.2027f, 12.6517f, 3.0938f, 12.2188f)
                lineTo(5.5f, 9.0f)
                close()
                moveTo(6.0f, 14.2188f)
                curveTo(6.531f, 14.6987f, 7.234f, 15.0f, 8.0f, 15.0f)
                curveTo(8.766f, 15.0f, 9.469f, 14.6987f, 10.0f, 14.2188f)
                curveTo(10.531f, 14.6987f, 11.234f, 15.0f, 12.0f, 15.0f)
                curveTo(12.766f, 15.0f, 13.469f, 14.6987f, 14.0f, 14.2188f)
                curveTo(14.531f, 14.6987f, 15.234f, 15.0f, 16.0f, 15.0f)
                curveTo(16.766f, 15.0f, 17.469f, 14.6987f, 18.0f, 14.2188f)
                curveTo(18.531f, 14.6987f, 19.234f, 15.0f, 20.0f, 15.0f)
                curveTo(20.766f, 15.0f, 21.469f, 14.6987f, 22.0f, 14.2188f)
                curveTo(22.531f, 14.6987f, 23.234f, 15.0f, 24.0f, 15.0f)
                curveTo(24.766f, 15.0f, 25.469f, 14.6987f, 26.0f, 14.2188f)
                lineTo(26.0f, 21.0f)
                lineTo(6.0f, 21.0f)
                lineTo(6.0f, 14.2188f)
                close()
                moveTo(6.0f, 23.0f)
                lineTo(26.0f, 23.0f)
                lineTo(26.0f, 26.0f)
                lineTo(6.0f, 26.0f)
                lineTo(6.0f, 23.0f)
                close()
            }
        }
        .build()
        return _storeSolid!!
    }

private var _storeSolid: ImageVector? = null
