package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Stripe: ImageVector
    get() {
        if (_stripe != null) {
            return _stripe!!
        }
        _stripe = Builder(name = "Stripe", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.3555f, 6.0f, 2.0f, 7.3555f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.6445f, 3.3555f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.6445f, 26.0f, 30.0f, 24.6445f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.3555f, 28.6445f, 6.0f, 27.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.5664f, 8.0f, 28.0f, 8.4336f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.5664f, 27.5664f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.4336f, 24.0f, 4.0f, 23.5664f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.4336f, 4.4336f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(16.5f, 11.4375f)
                curveTo(16.0273f, 11.4375f, 15.6563f, 11.8086f, 15.6563f, 12.2813f)
                curveTo(15.6563f, 12.75f, 16.0273f, 13.125f, 16.5f, 13.125f)
                curveTo(16.9688f, 13.125f, 17.3438f, 12.75f, 17.3438f, 12.2813f)
                curveTo(17.3438f, 11.8086f, 16.9688f, 11.4375f, 16.5f, 11.4375f)
                close()
                moveTo(11.0625f, 12.1875f)
                lineTo(9.6875f, 12.4063f)
                lineTo(9.5f, 13.625f)
                lineTo(9.0f, 13.7188f)
                lineTo(8.8125f, 14.8438f)
                lineTo(9.5f, 14.8438f)
                lineTo(9.5f, 17.1875f)
                curveTo(9.5f, 17.7969f, 9.6523f, 18.2109f, 9.9688f, 18.4688f)
                curveTo(10.2344f, 18.6836f, 10.6172f, 18.7813f, 11.1563f, 18.7813f)
                curveTo(11.5703f, 18.7813f, 11.8242f, 18.7031f, 12.0f, 18.6563f)
                lineTo(12.0f, 17.4063f)
                curveTo(11.9023f, 17.4336f, 11.6797f, 17.4688f, 11.5313f, 17.4688f)
                curveTo(11.2148f, 17.4688f, 11.0625f, 17.3086f, 11.0625f, 16.9375f)
                lineTo(11.0625f, 14.8438f)
                lineTo(11.9063f, 14.8438f)
                lineTo(12.0938f, 13.625f)
                lineTo(11.0625f, 13.625f)
                close()
                moveTo(6.9063f, 13.5313f)
                curveTo(6.3594f, 13.5313f, 5.8867f, 13.6719f, 5.5625f, 13.9375f)
                curveTo(5.2227f, 14.2148f, 5.0625f, 14.6367f, 5.0625f, 15.125f)
                curveTo(5.0625f, 16.0078f, 5.5898f, 16.3711f, 6.4688f, 16.6875f)
                curveTo(7.0352f, 16.8867f, 7.2188f, 17.0273f, 7.2188f, 17.25f)
                curveTo(7.2188f, 17.4648f, 7.0508f, 17.5938f, 6.7188f, 17.5938f)
                curveTo(6.3086f, 17.5938f, 5.6289f, 17.3867f, 5.1875f, 17.125f)
                lineTo(5.0f, 18.3438f)
                curveTo(5.3789f, 18.5586f, 6.0859f, 18.7813f, 6.8125f, 18.7813f)
                curveTo(7.3906f, 18.7813f, 7.8633f, 18.668f, 8.1875f, 18.4063f)
                curveTo(8.5508f, 18.1211f, 8.75f, 17.6719f, 8.75f, 17.125f)
                curveTo(8.75f, 16.2227f, 8.2031f, 15.8477f, 7.3125f, 15.5313f)
                curveTo(6.8398f, 15.3555f, 6.5625f, 15.2461f, 6.5625f, 15.0313f)
                curveTo(6.5625f, 14.8477f, 6.7031f, 14.7188f, 6.9688f, 14.7188f)
                curveTo(7.457f, 14.7188f, 7.9688f, 14.9258f, 8.3125f, 15.0938f)
                lineTo(8.5f, 13.875f)
                curveTo(8.2266f, 13.7461f, 7.6797f, 13.5313f, 6.9063f, 13.5313f)
                close()
                moveTo(20.7188f, 13.5313f)
                curveTo(20.25f, 13.5313f, 19.8203f, 13.7461f, 19.4375f, 14.1563f)
                lineTo(19.375f, 13.625f)
                lineTo(17.9375f, 13.625f)
                lineTo(17.9375f, 20.5625f)
                lineTo(19.5625f, 20.2813f)
                lineTo(19.5625f, 18.6875f)
                curveTo(19.8086f, 18.7656f, 20.0547f, 18.7813f, 20.2813f, 18.7813f)
                curveTo(20.6836f, 18.7813f, 21.2656f, 18.6797f, 21.7188f, 18.1875f)
                curveTo(22.1523f, 17.7148f, 22.375f, 17.0f, 22.375f, 16.0313f)
                curveTo(22.375f, 15.1758f, 22.2305f, 14.5078f, 21.9063f, 14.0938f)
                curveTo(21.6211f, 13.7227f, 21.2266f, 13.5313f, 20.7188f, 13.5313f)
                close()
                moveTo(24.9375f, 13.5313f)
                curveTo(23.5664f, 13.5313f, 22.7188f, 14.5625f, 22.7188f, 16.1875f)
                curveTo(22.7188f, 17.0977f, 22.9258f, 17.7852f, 23.375f, 18.2188f)
                curveTo(23.7773f, 18.6094f, 24.3789f, 18.7813f, 25.125f, 18.7813f)
                curveTo(25.8125f, 18.7813f, 26.4414f, 18.6406f, 26.8438f, 18.375f)
                lineTo(26.6563f, 17.25f)
                curveTo(26.2617f, 17.4648f, 25.8008f, 17.5938f, 25.2813f, 17.5938f)
                curveTo(24.9688f, 17.5938f, 24.75f, 17.5117f, 24.5938f, 17.375f)
                curveTo(24.4258f, 17.2305f, 24.3438f, 17.0195f, 24.3125f, 16.6875f)
                lineTo(26.9688f, 16.6875f)
                curveTo(26.9766f, 16.6094f, 27.0f, 16.2422f, 27.0f, 16.125f)
                curveTo(27.0f, 15.3203f, 26.8125f, 14.668f, 26.4688f, 14.2188f)
                curveTo(26.1172f, 13.7656f, 25.6055f, 13.5313f, 24.9375f, 13.5313f)
                close()
                moveTo(15.0f, 13.5625f)
                curveTo(14.5469f, 13.5625f, 14.1758f, 13.8203f, 14.0313f, 14.25f)
                lineTo(13.9375f, 13.625f)
                lineTo(12.5313f, 13.625f)
                lineTo(12.5313f, 18.6875f)
                lineTo(14.1563f, 18.6875f)
                lineTo(14.1563f, 15.4063f)
                curveTo(14.3555f, 15.1602f, 14.6406f, 15.0625f, 15.0313f, 15.0625f)
                curveTo(15.1172f, 15.0625f, 15.2031f, 15.0742f, 15.3125f, 15.0938f)
                lineTo(15.3125f, 13.5938f)
                curveTo(15.1992f, 13.5664f, 15.0977f, 13.5625f, 15.0f, 13.5625f)
                close()
                moveTo(15.6875f, 13.625f)
                lineTo(15.6875f, 18.6875f)
                lineTo(17.3125f, 18.6875f)
                lineTo(17.3125f, 13.625f)
                close()
                moveTo(24.9063f, 14.625f)
                curveTo(25.2695f, 14.625f, 25.4727f, 14.9727f, 25.5f, 15.6875f)
                lineTo(24.3125f, 15.6875f)
                curveTo(24.3594f, 14.9648f, 24.5352f, 14.625f, 24.9063f, 14.625f)
                close()
                moveTo(20.1563f, 14.7813f)
                curveTo(20.5664f, 14.7813f, 20.7813f, 15.1992f, 20.7813f, 16.0625f)
                curveTo(20.7813f, 16.5547f, 20.7109f, 16.957f, 20.5625f, 17.2188f)
                curveTo(20.4336f, 17.4648f, 20.2344f, 17.5938f, 20.0f, 17.5938f)
                curveTo(19.8398f, 17.5938f, 19.6914f, 17.5664f, 19.5625f, 17.5f)
                lineTo(19.5625f, 15.0938f)
                curveTo(19.8359f, 14.8086f, 20.0664f, 14.7813f, 20.1563f, 14.7813f)
                close()
            }
        }
        .build()
        return _stripe!!
    }

private var _stripe: ImageVector? = null
