package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.StroopwafelSolid: ImageVector
    get() {
        if (_stroopwafelSolid != null) {
            return _stroopwafelSolid!!
        }
        _stroopwafelSolid = Builder(name = "StroopwafelSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(16.5012f, 5.0f, 16.991f, 5.0461f, 17.4746f, 5.1113f)
                lineTo(16.0f, 6.5859f)
                lineTo(14.5254f, 5.1113f)
                curveTo(15.009f, 5.0461f, 15.4988f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(12.2559f, 5.6699f)
                lineTo(14.5859f, 8.0f)
                lineTo(12.0f, 10.5859f)
                lineTo(8.9668f, 7.5527f)
                curveTo(9.9357f, 6.7446f, 11.0484f, 6.1091f, 12.2559f, 5.6699f)
                close()
                moveTo(19.7441f, 5.6699f)
                curveTo(20.9516f, 6.1091f, 22.0643f, 6.7446f, 23.0332f, 7.5527f)
                lineTo(20.0f, 10.5859f)
                lineTo(17.4141f, 8.0f)
                lineTo(19.7441f, 5.6699f)
                close()
                moveTo(7.5527f, 8.9668f)
                lineTo(10.5859f, 12.0f)
                lineTo(8.0f, 14.5859f)
                lineTo(5.6699f, 12.2559f)
                curveTo(6.1091f, 11.0484f, 6.7446f, 9.9357f, 7.5527f, 8.9668f)
                close()
                moveTo(24.4473f, 8.9668f)
                curveTo(25.2554f, 9.9357f, 25.8909f, 11.0484f, 26.3301f, 12.2559f)
                lineTo(24.0f, 14.5859f)
                lineTo(21.4141f, 12.0f)
                lineTo(24.4473f, 8.9668f)
                close()
                moveTo(16.0f, 9.4141f)
                lineTo(18.5859f, 12.0f)
                lineTo(16.0f, 14.5859f)
                lineTo(13.4141f, 12.0f)
                lineTo(16.0f, 9.4141f)
                close()
                moveTo(12.0f, 13.4141f)
                lineTo(14.5859f, 16.0f)
                lineTo(12.0f, 18.5859f)
                lineTo(9.4141f, 16.0f)
                lineTo(12.0f, 13.4141f)
                close()
                moveTo(20.0f, 13.4141f)
                lineTo(22.5859f, 16.0f)
                lineTo(20.0f, 18.5859f)
                lineTo(17.4141f, 16.0f)
                lineTo(20.0f, 13.4141f)
                close()
                moveTo(5.1113f, 14.5254f)
                lineTo(6.5859f, 16.0f)
                lineTo(5.1113f, 17.4746f)
                curveTo(5.0461f, 16.991f, 5.0f, 16.5012f, 5.0f, 16.0f)
                curveTo(5.0f, 15.4988f, 5.0461f, 15.009f, 5.1113f, 14.5254f)
                close()
                moveTo(26.8887f, 14.5254f)
                curveTo(26.9539f, 15.009f, 27.0f, 15.4988f, 27.0f, 16.0f)
                curveTo(27.0f, 16.5012f, 26.9539f, 16.991f, 26.8887f, 17.4746f)
                lineTo(25.4141f, 16.0f)
                lineTo(26.8887f, 14.5254f)
                close()
                moveTo(8.0f, 17.4141f)
                lineTo(10.5859f, 20.0f)
                lineTo(7.5527f, 23.0332f)
                curveTo(6.7446f, 22.0643f, 6.1091f, 20.9516f, 5.6699f, 19.7441f)
                lineTo(8.0f, 17.4141f)
                close()
                moveTo(16.0f, 17.4141f)
                lineTo(18.5859f, 20.0f)
                lineTo(16.0f, 22.5859f)
                lineTo(13.4141f, 20.0f)
                lineTo(16.0f, 17.4141f)
                close()
                moveTo(24.0f, 17.4141f)
                lineTo(26.3301f, 19.7441f)
                curveTo(25.8909f, 20.9516f, 25.2554f, 22.0643f, 24.4473f, 23.0332f)
                lineTo(21.4141f, 20.0f)
                lineTo(24.0f, 17.4141f)
                close()
                moveTo(12.0f, 21.4141f)
                lineTo(14.5859f, 24.0f)
                lineTo(12.2559f, 26.3301f)
                curveTo(11.0484f, 25.8909f, 9.9357f, 25.2554f, 8.9668f, 24.4473f)
                lineTo(12.0f, 21.4141f)
                close()
                moveTo(20.0f, 21.4141f)
                lineTo(23.0332f, 24.4473f)
                curveTo(22.0643f, 25.2554f, 20.9516f, 25.8909f, 19.7441f, 26.3301f)
                lineTo(17.4141f, 24.0f)
                lineTo(20.0f, 21.4141f)
                close()
                moveTo(16.0f, 25.4141f)
                lineTo(17.4746f, 26.8887f)
                curveTo(16.991f, 26.9539f, 16.5012f, 27.0f, 16.0f, 27.0f)
                curveTo(15.4988f, 27.0f, 15.009f, 26.9539f, 14.5254f, 26.8887f)
                lineTo(16.0f, 25.4141f)
                close()
            }
        }
        .build()
        return _stroopwafelSolid!!
    }

private var _stroopwafelSolid: ImageVector? = null
