package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Studiovinari: ImageVector
    get() {
        if (_studiovinari != null) {
            return _studiovinari!!
        }
        _studiovinari = Builder(name = "Studiovinari", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.5898f, 3.0f)
                lineTo(8.7344f, 8.4844f)
                lineTo(3.0f, 7.5645f)
                lineTo(11.3281f, 13.8066f)
                lineTo(7.1699f, 14.3398f)
                lineTo(16.0f, 17.0f)
                lineTo(15.0f, 18.0f)
                lineTo(21.5703f, 16.7871f)
                lineTo(20.8184f, 20.2617f)
                lineTo(17.9355f, 22.877f)
                lineTo(13.4512f, 25.1719f)
                lineTo(12.4004f, 24.5156f)
                lineTo(12.0508f, 24.7949f)
                lineTo(11.0f, 28.5332f)
                lineTo(11.3281f, 28.4629f)
                lineTo(12.4863f, 27.0391f)
                lineTo(15.3262f, 25.1719f)
                lineTo(20.0234f, 23.8457f)
                lineTo(16.6367f, 25.8066f)
                curveTo(16.6367f, 25.8066f, 15.7115f, 25.7695f, 15.6055f, 25.7695f)
                curveTo(15.4995f, 25.7695f, 14.6191f, 29.0f, 14.6191f, 29.0f)
                lineTo(15.1055f, 28.7969f)
                lineTo(15.4961f, 28.1875f)
                lineTo(16.3965f, 26.9434f)
                lineTo(20.4121f, 25.0234f)
                lineTo(23.2617f, 21.5957f)
                lineTo(25.2832f, 17.6152f)
                lineTo(26.5586f, 15.377f)
                lineTo(26.5586f, 13.9531f)
                lineTo(26.3457f, 12.5313f)
                lineTo(25.8125f, 11.3184f)
                lineTo(26.3359f, 10.293f)
                lineTo(27.0f, 9.916f)
                lineTo(26.5684f, 9.3047f)
                lineTo(26.9238f, 8.9902f)
                lineTo(26.3398f, 8.7773f)
                lineTo(24.8555f, 7.5234f)
                lineTo(22.9355f, 8.0508f)
                lineTo(22.7227f, 9.9707f)
                lineTo(23.7891f, 10.8047f)
                lineTo(23.1797f, 11.2559f)
                lineTo(17.6953f, 6.3613f)
                lineTo(19.875f, 9.1953f)
                lineTo(10.0f, 3.0f)
                lineTo(12.3047f, 7.2813f)
                lineTo(14.8223f, 8.1992f)
                lineTo(13.873f, 6.25f)
                lineTo(21.1504f, 11.2773f)
                lineTo(14.832f, 7.498f)
                lineTo(16.4336f, 9.4297f)
                lineTo(3.5898f, 3.0f)
                close()
            }
        }
        .build()
        return _studiovinari!!
    }

private var _studiovinari: ImageVector? = null
