package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TorahSolid: ImageVector
    get() {
        if (_torahSolid != null) {
            return _torahSolid!!
        }
        _torahSolid = Builder(name = "TorahSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.0f, 3.0f)
                curveTo(6.4492f, 3.0f, 6.0f, 3.4492f, 6.0f, 4.0f)
                curveTo(6.0f, 4.5508f, 6.4492f, 5.0f, 7.0f, 5.0f)
                curveTo(7.5508f, 5.0f, 8.0f, 4.5508f, 8.0f, 4.0f)
                curveTo(8.0f, 3.4492f, 7.5508f, 3.0f, 7.0f, 3.0f)
                close()
                moveTo(7.0f, 5.0f)
                curveTo(6.2461f, 5.0f, 5.5586f, 5.207f, 5.0f, 5.625f)
                curveTo(4.4414f, 6.043f, 4.0f, 6.7266f, 4.0f, 7.5f)
                lineTo(4.0f, 25.5f)
                curveTo(4.0f, 26.2734f, 4.4414f, 26.957f, 5.0f, 27.375f)
                curveTo(5.3047f, 27.6055f, 5.6563f, 27.7734f, 6.0313f, 27.875f)
                curveTo(6.0234f, 27.918f, 6.0f, 27.9531f, 6.0f, 28.0f)
                curveTo(6.0f, 28.5508f, 6.4492f, 29.0f, 7.0f, 29.0f)
                curveTo(7.5508f, 29.0f, 8.0f, 28.5508f, 8.0f, 28.0f)
                curveTo(8.0f, 27.9531f, 7.9766f, 27.918f, 7.9688f, 27.875f)
                curveTo(8.3438f, 27.7734f, 8.6953f, 27.6055f, 9.0f, 27.375f)
                curveTo(9.5586f, 26.957f, 10.0f, 26.2734f, 10.0f, 25.5f)
                lineTo(10.0f, 25.0f)
                lineTo(22.0f, 25.0f)
                lineTo(22.0f, 25.5f)
                curveTo(22.0f, 26.2734f, 22.4414f, 26.957f, 23.0f, 27.375f)
                curveTo(23.3047f, 27.6055f, 23.6563f, 27.7734f, 24.0313f, 27.875f)
                curveTo(24.0234f, 27.918f, 24.0f, 27.9531f, 24.0f, 28.0f)
                curveTo(24.0f, 28.5508f, 24.4492f, 29.0f, 25.0f, 29.0f)
                curveTo(25.5508f, 29.0f, 26.0f, 28.5508f, 26.0f, 28.0f)
                curveTo(26.0f, 27.9531f, 25.9766f, 27.918f, 25.9688f, 27.875f)
                curveTo(26.3438f, 27.7734f, 26.6953f, 27.6055f, 27.0f, 27.375f)
                curveTo(27.5586f, 26.957f, 28.0f, 26.2734f, 28.0f, 25.5f)
                lineTo(28.0f, 7.5f)
                curveTo(28.0f, 6.7266f, 27.5586f, 6.043f, 27.0f, 5.625f)
                curveTo(26.4414f, 5.207f, 25.7539f, 5.0f, 25.0f, 5.0f)
                curveTo(24.2461f, 5.0f, 23.5586f, 5.207f, 23.0f, 5.625f)
                curveTo(22.4414f, 6.043f, 22.0f, 6.7266f, 22.0f, 7.5f)
                lineTo(22.0f, 8.0f)
                lineTo(10.0f, 8.0f)
                lineTo(10.0f, 7.5f)
                curveTo(10.0f, 6.7266f, 9.5586f, 6.043f, 9.0f, 5.625f)
                curveTo(8.4414f, 5.207f, 7.7539f, 5.0f, 7.0f, 5.0f)
                close()
                moveTo(25.0f, 5.0f)
                curveTo(25.5508f, 5.0f, 26.0f, 4.5508f, 26.0f, 4.0f)
                curveTo(26.0f, 3.4492f, 25.5508f, 3.0f, 25.0f, 3.0f)
                curveTo(24.4492f, 3.0f, 24.0f, 3.4492f, 24.0f, 4.0f)
                curveTo(24.0f, 4.5508f, 24.4492f, 5.0f, 25.0f, 5.0f)
                close()
                moveTo(7.0f, 7.0f)
                curveTo(7.3516f, 7.0f, 7.6445f, 7.125f, 7.8125f, 7.25f)
                curveTo(7.9805f, 7.375f, 8.0f, 7.4453f, 8.0f, 7.5f)
                lineTo(8.0f, 25.5f)
                curveTo(8.0f, 25.5547f, 7.9805f, 25.625f, 7.8125f, 25.75f)
                curveTo(7.6445f, 25.875f, 7.3516f, 26.0f, 7.0f, 26.0f)
                curveTo(6.6484f, 26.0f, 6.3555f, 25.875f, 6.1875f, 25.75f)
                curveTo(6.0195f, 25.625f, 6.0f, 25.5547f, 6.0f, 25.5f)
                lineTo(6.0f, 7.5f)
                curveTo(6.0f, 7.4453f, 6.0195f, 7.375f, 6.1875f, 7.25f)
                curveTo(6.3555f, 7.125f, 6.6484f, 7.0f, 7.0f, 7.0f)
                close()
                moveTo(25.0f, 7.0f)
                curveTo(25.3516f, 7.0f, 25.6445f, 7.125f, 25.8125f, 7.25f)
                curveTo(25.9805f, 7.375f, 26.0f, 7.4453f, 26.0f, 7.5f)
                lineTo(26.0f, 25.5f)
                curveTo(26.0f, 25.5547f, 25.9805f, 25.625f, 25.8125f, 25.75f)
                curveTo(25.6445f, 25.875f, 25.3516f, 26.0f, 25.0f, 26.0f)
                curveTo(24.6484f, 26.0f, 24.3555f, 25.875f, 24.1875f, 25.75f)
                curveTo(24.0195f, 25.625f, 24.0f, 25.5547f, 24.0f, 25.5f)
                lineTo(24.0f, 7.5f)
                curveTo(24.0f, 7.4453f, 24.0195f, 7.375f, 24.1875f, 7.25f)
                curveTo(24.3555f, 7.125f, 24.6484f, 7.0f, 25.0f, 7.0f)
                close()
                moveTo(10.0f, 10.0f)
                lineTo(22.0f, 10.0f)
                lineTo(22.0f, 23.0f)
                lineTo(10.0f, 23.0f)
                close()
                moveTo(12.0f, 12.0f)
                lineTo(12.0f, 14.0f)
                lineTo(20.0f, 14.0f)
                lineTo(20.0f, 12.0f)
                close()
                moveTo(15.0f, 15.0f)
                lineTo(15.0f, 17.0f)
                lineTo(20.0f, 17.0f)
                lineTo(20.0f, 15.0f)
                close()
                moveTo(12.0f, 18.0f)
                lineTo(12.0f, 20.0f)
                lineTo(20.0f, 20.0f)
                lineTo(20.0f, 18.0f)
                close()
            }
        }
        .build()
        return _torahSolid!!
    }

private var _torahSolid: ImageVector? = null
