package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TradeFederation: ImageVector
    get() {
        if (_tradeFederation != null) {
            return _tradeFederation!!
        }
        _tradeFederation = Builder(name = "TradeFederation", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.819f, 3.0f, 3.0f, 8.819f, 3.0f, 16.0f)
                curveTo(3.0f, 23.181f, 8.819f, 29.0f, 16.0f, 29.0f)
                curveTo(23.181f, 29.0f, 29.0f, 23.181f, 29.0f, 16.0f)
                curveTo(29.0f, 8.819f, 23.181f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 3.6914f)
                curveTo(22.799f, 3.6914f, 28.3086f, 9.201f, 28.3086f, 16.0f)
                curveTo(28.3086f, 22.799f, 22.799f, 28.3086f, 16.0f, 28.3086f)
                curveTo(9.201f, 28.3086f, 3.6914f, 22.799f, 3.6914f, 16.0f)
                curveTo(3.6914f, 9.201f, 9.201f, 3.6914f, 16.0f, 3.6914f)
                close()
                moveTo(16.0f, 4.1055f)
                curveTo(9.432f, 4.1055f, 4.1055f, 9.432f, 4.1055f, 16.0f)
                curveTo(4.1055f, 22.568f, 9.432f, 27.8945f, 16.0f, 27.8945f)
                curveTo(22.568f, 27.8945f, 27.8945f, 22.568f, 27.8945f, 16.0f)
                curveTo(27.8945f, 9.432f, 22.568f, 4.1055f, 16.0f, 4.1055f)
                close()
                moveTo(16.0f, 4.8027f)
                curveTo(19.161f, 4.8027f, 22.0187f, 6.1127f, 24.0527f, 8.2207f)
                lineTo(13.6152f, 8.2207f)
                lineTo(13.6152f, 12.498f)
                lineTo(5.3633f, 12.498f)
                curveTo(6.8313f, 8.032f, 11.041f, 4.8027f, 16.0f, 4.8027f)
                close()
                moveTo(9.6836f, 7.8594f)
                lineTo(9.7734f, 8.5879f)
                lineTo(9.0234f, 8.7871f)
                lineTo(9.7402f, 8.9297f)
                lineTo(9.6992f, 9.6992f)
                lineTo(10.0547f, 9.0586f)
                lineTo(10.7773f, 9.3379f)
                lineTo(10.2813f, 8.8027f)
                lineTo(10.7695f, 8.1992f)
                lineTo(10.1035f, 8.5098f)
                lineTo(9.6836f, 7.8594f)
                close()
                moveTo(13.8672f, 8.5352f)
                lineTo(24.2363f, 8.5352f)
                lineTo(24.2363f, 11.1934f)
                lineTo(16.5996f, 11.1934f)
                lineTo(16.5996f, 12.8125f)
                lineTo(20.959f, 12.8125f)
                lineTo(20.959f, 15.4863f)
                lineTo(16.5918f, 15.4863f)
                lineTo(16.5918f, 25.7441f)
                lineTo(13.8301f, 25.7441f)
                lineTo(13.8301f, 15.4297f)
                lineTo(7.7129f, 15.4297f)
                lineTo(5.6152f, 12.8125f)
                lineTo(13.8672f, 12.8125f)
                lineTo(13.8672f, 8.5352f)
                close()
                moveTo(13.9707f, 8.6348f)
                lineTo(13.9707f, 12.918f)
                lineTo(5.8418f, 12.918f)
                lineTo(7.7656f, 15.3281f)
                lineTo(13.9355f, 15.3281f)
                lineTo(13.9355f, 25.6445f)
                lineTo(16.4922f, 25.6445f)
                lineTo(16.4922f, 15.3809f)
                lineTo(20.8594f, 15.3809f)
                lineTo(20.8594f, 12.918f)
                lineTo(16.4922f, 12.918f)
                lineTo(16.4922f, 11.0938f)
                lineTo(24.1309f, 11.0938f)
                lineTo(24.1309f, 11.0879f)
                lineTo(24.1309f, 8.6348f)
                lineTo(13.9707f, 8.6348f)
                close()
                moveTo(11.1836f, 8.75f)
                lineTo(11.293f, 9.998f)
                lineTo(10.0605f, 10.2813f)
                lineTo(11.2813f, 10.5645f)
                lineTo(11.1719f, 11.8223f)
                lineTo(11.8164f, 10.7461f)
                lineTo(12.9805f, 11.2441f)
                lineTo(12.1582f, 10.2969f)
                lineTo(12.9863f, 9.3477f)
                lineTo(11.832f, 9.8359f)
                lineTo(11.1836f, 8.75f)
                close()
                moveTo(24.6016f, 8.8457f)
                curveTo(26.2166f, 10.7857f, 27.1855f, 13.28f, 27.1855f, 16.0f)
                curveTo(27.1915f, 22.18f, 22.18f, 27.1914f, 16.0f, 27.1914f)
                curveTo(9.82f, 27.1914f, 4.8027f, 22.18f, 4.8027f, 16.0f)
                curveTo(4.8027f, 14.889f, 4.9645f, 13.8089f, 5.2695f, 12.7969f)
                lineTo(7.5664f, 15.748f)
                lineTo(13.5781f, 15.748f)
                lineTo(13.5781f, 26.0645f)
                lineTo(16.9648f, 26.0645f)
                lineTo(16.9648f, 15.8008f)
                lineTo(21.3301f, 15.8008f)
                lineTo(21.3301f, 12.5137f)
                lineTo(16.9707f, 12.5137f)
                lineTo(16.9707f, 11.5078f)
                lineTo(24.6016f, 11.5078f)
                lineTo(24.6016f, 8.8457f)
                close()
                moveTo(14.5352f, 9.2266f)
                lineTo(23.543f, 9.2266f)
                lineTo(23.543f, 10.5059f)
                lineTo(15.9414f, 10.5059f)
                lineTo(15.9414f, 13.4512f)
                lineTo(20.2871f, 13.4512f)
                lineTo(20.2871f, 14.7051f)
                lineTo(15.9414f, 14.7051f)
                lineTo(15.9414f, 25.0527f)
                lineTo(14.5371f, 25.0527f)
                lineTo(14.5371f, 14.7051f)
                lineTo(8.0469f, 14.7051f)
                lineTo(6.9922f, 13.4512f)
                lineTo(14.5352f, 13.4512f)
                lineTo(14.5352f, 9.2266f)
                close()
                moveTo(22.8301f, 11.8164f)
                lineTo(22.9453f, 13.0078f)
                lineTo(21.7754f, 13.2891f)
                lineTo(22.9395f, 13.5469f)
                lineTo(22.8457f, 14.7461f)
                lineTo(23.4492f, 13.7207f)
                lineTo(24.5605f, 14.1816f)
                lineTo(23.7676f, 13.2891f)
                lineTo(24.5547f, 12.3672f)
                lineTo(23.459f, 12.8438f)
                lineTo(22.8301f, 11.8164f)
                close()
                moveTo(11.7969f, 15.832f)
                lineTo(11.8848f, 17.1152f)
                lineTo(10.6426f, 17.3203f)
                lineTo(11.8906f, 17.6289f)
                lineTo(11.6973f, 18.877f)
                lineTo(12.3789f, 17.7813f)
                lineTo(13.5059f, 18.3477f)
                lineTo(12.6777f, 17.3613f)
                lineTo(13.5625f, 16.4668f)
                lineTo(12.373f, 16.9531f)
                lineTo(11.7969f, 15.832f)
                close()
                moveTo(17.8809f, 16.0684f)
                lineTo(17.9492f, 16.8125f)
                lineTo(17.2207f, 16.9805f)
                lineTo(17.9492f, 17.1484f)
                lineTo(17.8867f, 17.8926f)
                lineTo(18.2695f, 17.252f)
                lineTo(18.9551f, 17.5391f)
                lineTo(18.4629f, 16.9785f)
                lineTo(18.9512f, 16.4141f)
                lineTo(18.2637f, 16.707f)
                lineTo(17.8809f, 16.0684f)
                close()
            }
        }
        .build()
        return _tradeFederation!!
    }

private var _tradeFederation: ImageVector? = null
