package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.UmbrellaSolid: ImageVector
    get() {
        if (_umbrellaSolid != null) {
            return _umbrellaSolid!!
        }
        _umbrellaSolid = Builder(name = "UmbrellaSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 4.0f)
                lineTo(15.0f, 6.0625f)
                curveTo(8.9883f, 6.5664f, 4.2539f, 11.4688f, 4.0313f, 16.625f)
                curveTo(4.0273f, 16.75f, 4.0f, 16.875f, 4.0f, 17.0f)
                lineTo(6.0f, 17.0f)
                curveTo(6.0f, 16.9219f, 6.0898f, 16.7227f, 6.5313f, 16.4688f)
                curveTo(6.9727f, 16.2148f, 7.6875f, 16.0f, 8.5f, 16.0f)
                curveTo(9.3125f, 16.0f, 10.0273f, 16.2148f, 10.4688f, 16.4688f)
                curveTo(10.9102f, 16.7227f, 11.0f, 16.9219f, 11.0f, 17.0f)
                lineTo(13.0f, 17.0f)
                curveTo(13.0f, 16.9883f, 13.082f, 16.7383f, 13.625f, 16.4688f)
                curveTo(14.168f, 16.1992f, 15.0313f, 16.0f, 16.0f, 16.0f)
                curveTo(16.9688f, 16.0f, 17.832f, 16.1992f, 18.375f, 16.4688f)
                curveTo(18.918f, 16.7383f, 19.0f, 16.9883f, 19.0f, 17.0f)
                lineTo(21.0f, 17.0f)
                curveTo(21.0f, 16.9219f, 21.0898f, 16.7227f, 21.5313f, 16.4688f)
                curveTo(21.9727f, 16.2148f, 22.6875f, 16.0f, 23.5f, 16.0f)
                curveTo(24.3125f, 16.0f, 25.0273f, 16.2148f, 25.4688f, 16.4688f)
                curveTo(25.9102f, 16.7227f, 26.0f, 16.9219f, 26.0f, 17.0f)
                lineTo(28.0f, 17.0f)
                curveTo(28.0f, 16.8711f, 27.9883f, 16.7461f, 27.9688f, 16.625f)
                curveTo(27.7461f, 11.4688f, 23.0117f, 6.5664f, 17.0f, 6.0625f)
                lineTo(17.0f, 4.0f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(20.3477f, 8.0f, 24.0625f, 10.9531f, 25.4375f, 14.2813f)
                curveTo(24.8438f, 14.0977f, 24.1914f, 14.0f, 23.5f, 14.0f)
                curveTo(22.3789f, 14.0f, 21.3555f, 14.25f, 20.5313f, 14.7188f)
                curveTo(20.332f, 14.832f, 20.1445f, 14.9766f, 19.9688f, 15.125f)
                curveTo(19.7539f, 14.9609f, 19.5195f, 14.8086f, 19.2813f, 14.6875f)
                curveTo(18.375f, 14.2344f, 17.2383f, 14.0f, 16.0f, 14.0f)
                curveTo(14.7617f, 14.0f, 13.625f, 14.2344f, 12.7188f, 14.6875f)
                curveTo(12.4844f, 14.8047f, 12.2695f, 14.9648f, 12.0625f, 15.125f)
                curveTo(12.0547f, 15.1211f, 12.0391f, 15.1289f, 12.0313f, 15.125f)
                curveTo(11.8555f, 14.9766f, 11.668f, 14.832f, 11.4688f, 14.7188f)
                curveTo(10.6445f, 14.25f, 9.6211f, 14.0f, 8.5f, 14.0f)
                curveTo(7.8086f, 14.0f, 7.1563f, 14.0977f, 6.5625f, 14.2813f)
                curveTo(7.9375f, 10.9531f, 11.6523f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(15.0f, 17.0f)
                lineTo(15.0f, 25.0f)
                curveTo(15.0f, 25.5664f, 14.5664f, 26.0f, 14.0f, 26.0f)
                curveTo(13.4336f, 26.0f, 13.0f, 25.5664f, 13.0f, 25.0f)
                lineTo(13.0f, 24.0f)
                lineTo(11.0f, 24.0f)
                lineTo(11.0f, 25.0f)
                curveTo(11.0f, 26.6445f, 12.3555f, 28.0f, 14.0f, 28.0f)
                curveTo(15.6445f, 28.0f, 17.0f, 26.6445f, 17.0f, 25.0f)
                lineTo(17.0f, 17.0f)
                close()
            }
        }
        .build()
        return _umbrellaSolid!!
    }

private var _umbrellaSolid: ImageVector? = null
