package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.UserCogSolid: ImageVector
    get() {
        if (_userCogSolid != null) {
            return _userCogSolid!!
        }
        _userCogSolid = Builder(name = "UserCogSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 5.0f)
                curveTo(12.1f, 5.0f, 9.0f, 8.1f, 9.0f, 12.0f)
                curveTo(9.0f, 14.4375f, 10.21f, 16.5615f, 12.0703f, 17.8125f)
                curveTo(8.51f, 19.3473f, 6.0f, 22.8936f, 6.0f, 27.0f)
                lineTo(8.0f, 27.0f)
                curveTo(8.0f, 22.6f, 11.6f, 19.0f, 16.0f, 19.0f)
                curveTo(19.9f, 19.0f, 23.0f, 15.9f, 23.0f, 12.0f)
                curveTo(23.0f, 8.1f, 19.9f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(16.0f, 7.0f)
                curveTo(18.8f, 7.0f, 21.0f, 9.2f, 21.0f, 12.0f)
                curveTo(21.0f, 14.8f, 18.8f, 17.0f, 16.0f, 17.0f)
                curveTo(13.2f, 17.0f, 11.0f, 14.8f, 11.0f, 12.0f)
                curveTo(11.0f, 9.2f, 13.2f, 7.0f, 16.0f, 7.0f)
                close()
                moveTo(24.0996f, 18.0f)
                lineTo(24.0996f, 20.0996f)
                curveTo(23.4996f, 20.1996f, 22.9004f, 20.5008f, 22.4004f, 20.8008f)
                lineTo(20.9004f, 19.3008f)
                lineTo(19.5f, 20.6992f)
                lineTo(21.0f, 22.1992f)
                curveTo(20.6f, 22.6992f, 20.4008f, 23.3f, 20.3008f, 24.0f)
                lineTo(18.0f, 24.0f)
                lineTo(18.0f, 26.0f)
                lineTo(20.0996f, 26.0f)
                curveTo(20.1996f, 26.6f, 20.5008f, 27.2008f, 20.8008f, 27.8008f)
                lineTo(19.3008f, 29.3008f)
                lineTo(20.6992f, 30.6992f)
                lineTo(22.1992f, 29.1992f)
                curveTo(22.6992f, 29.4992f, 23.3004f, 29.8004f, 23.9004f, 29.9004f)
                lineTo(23.9004f, 32.0f)
                lineTo(25.9004f, 32.0f)
                lineTo(25.9004f, 29.9004f)
                curveTo(26.5004f, 29.8004f, 27.0996f, 29.4992f, 27.5996f, 29.1992f)
                lineTo(29.0996f, 30.6992f)
                lineTo(30.5f, 29.3008f)
                lineTo(29.0f, 27.8008f)
                curveTo(29.4f, 27.3008f, 29.5992f, 26.7f, 29.6992f, 26.0f)
                lineTo(32.0f, 26.0f)
                lineTo(32.0f, 24.0f)
                lineTo(29.9004f, 24.0f)
                curveTo(29.8004f, 23.4f, 29.4992f, 22.7992f, 29.1992f, 22.1992f)
                lineTo(30.6992f, 20.6992f)
                lineTo(29.3008f, 19.3008f)
                lineTo(27.8008f, 20.8008f)
                curveTo(27.3008f, 20.5008f, 26.6996f, 20.1996f, 26.0996f, 20.0996f)
                lineTo(26.0996f, 18.0f)
                lineTo(24.0996f, 18.0f)
                close()
                moveTo(25.0f, 22.0f)
                curveTo(26.7f, 22.0f, 28.0f, 23.3f, 28.0f, 25.0f)
                curveTo(28.0f, 26.7f, 26.7f, 28.0f, 25.0f, 28.0f)
                curveTo(23.3f, 28.0f, 22.0f, 26.7f, 22.0f, 25.0f)
                curveTo(22.0f, 23.3f, 23.3f, 22.0f, 25.0f, 22.0f)
                close()
                moveTo(25.0f, 24.0f)
                curveTo(24.875f, 24.0f, 24.75f, 24.0313f, 24.6328f, 24.0859f)
                curveTo(24.5156f, 24.1406f, 24.4063f, 24.2188f, 24.3125f, 24.3125f)
                curveTo(24.2188f, 24.4063f, 24.1406f, 24.5156f, 24.0859f, 24.6328f)
                curveTo(24.0313f, 24.75f, 24.0f, 24.875f, 24.0f, 25.0f)
                curveTo(24.0f, 25.375f, 24.2813f, 25.75f, 24.6328f, 25.9141f)
                curveTo(24.75f, 25.9688f, 24.875f, 26.0f, 25.0f, 26.0f)
                curveTo(25.5f, 26.0f, 26.0f, 25.5f, 26.0f, 25.0f)
                curveTo(26.0f, 24.5f, 25.5f, 24.0f, 25.0f, 24.0f)
                close()
            }
        }
        .build()
        return _userCogSolid!!
    }

private var _userCogSolid: ImageVector? = null
