package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.UsersSolid: ImageVector
    get() {
        if (_usersSolid != null) {
            return _usersSolid!!
        }
        _usersSolid = Builder(name = "UsersSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.5f, 6.0f)
                curveTo(9.5781f, 6.0f, 8.0f, 7.5781f, 8.0f, 9.5f)
                curveTo(8.0f, 11.4219f, 9.5781f, 13.0f, 11.5f, 13.0f)
                curveTo(13.4219f, 13.0f, 15.0f, 11.4219f, 15.0f, 9.5f)
                curveTo(15.0f, 7.5781f, 13.4219f, 6.0f, 11.5f, 6.0f)
                close()
                moveTo(20.5f, 6.0f)
                curveTo(18.5781f, 6.0f, 17.0f, 7.5781f, 17.0f, 9.5f)
                curveTo(17.0f, 11.4219f, 18.5781f, 13.0f, 20.5f, 13.0f)
                curveTo(22.4219f, 13.0f, 24.0f, 11.4219f, 24.0f, 9.5f)
                curveTo(24.0f, 7.5781f, 22.4219f, 6.0f, 20.5f, 6.0f)
                close()
                moveTo(11.5f, 8.0f)
                curveTo(12.3398f, 8.0f, 13.0f, 8.6602f, 13.0f, 9.5f)
                curveTo(13.0f, 10.3398f, 12.3398f, 11.0f, 11.5f, 11.0f)
                curveTo(10.6602f, 11.0f, 10.0f, 10.3398f, 10.0f, 9.5f)
                curveTo(10.0f, 8.6602f, 10.6602f, 8.0f, 11.5f, 8.0f)
                close()
                moveTo(20.5f, 8.0f)
                curveTo(21.3398f, 8.0f, 22.0f, 8.6602f, 22.0f, 9.5f)
                curveTo(22.0f, 10.3398f, 21.3398f, 11.0f, 20.5f, 11.0f)
                curveTo(19.6602f, 11.0f, 19.0f, 10.3398f, 19.0f, 9.5f)
                curveTo(19.0f, 8.6602f, 19.6602f, 8.0f, 20.5f, 8.0f)
                close()
                moveTo(7.0f, 12.0f)
                curveTo(4.8008f, 12.0f, 3.0f, 13.8008f, 3.0f, 16.0f)
                curveTo(3.0f, 17.1133f, 3.4766f, 18.1172f, 4.2188f, 18.8438f)
                curveTo(2.8867f, 19.7461f, 2.0f, 21.2813f, 2.0f, 23.0f)
                lineTo(4.0f, 23.0f)
                curveTo(4.0f, 21.332f, 5.332f, 20.0f, 7.0f, 20.0f)
                curveTo(8.668f, 20.0f, 10.0f, 21.332f, 10.0f, 23.0f)
                lineTo(12.0f, 23.0f)
                curveTo(12.0f, 21.2813f, 11.1133f, 19.7461f, 9.7813f, 18.8438f)
                curveTo(10.5234f, 18.1172f, 11.0f, 17.1133f, 11.0f, 16.0f)
                curveTo(11.0f, 13.8008f, 9.1992f, 12.0f, 7.0f, 12.0f)
                close()
                moveTo(12.0f, 23.0f)
                curveTo(11.375f, 23.8359f, 11.0f, 24.8867f, 11.0f, 26.0f)
                lineTo(13.0f, 26.0f)
                curveTo(13.0f, 24.332f, 14.332f, 23.0f, 16.0f, 23.0f)
                curveTo(17.668f, 23.0f, 19.0f, 24.332f, 19.0f, 26.0f)
                lineTo(21.0f, 26.0f)
                curveTo(21.0f, 24.8867f, 20.625f, 23.8359f, 20.0f, 23.0f)
                curveTo(19.6602f, 22.5469f, 19.25f, 22.1602f, 18.7813f, 21.8438f)
                curveTo(19.5234f, 21.1172f, 20.0f, 20.1133f, 20.0f, 19.0f)
                curveTo(20.0f, 16.8008f, 18.1992f, 15.0f, 16.0f, 15.0f)
                curveTo(13.8008f, 15.0f, 12.0f, 16.8008f, 12.0f, 19.0f)
                curveTo(12.0f, 20.1133f, 12.4766f, 21.1172f, 13.2188f, 21.8438f)
                curveTo(12.75f, 22.1602f, 12.3398f, 22.5469f, 12.0f, 23.0f)
                close()
                moveTo(20.0f, 23.0f)
                lineTo(22.0f, 23.0f)
                curveTo(22.0f, 21.332f, 23.332f, 20.0f, 25.0f, 20.0f)
                curveTo(26.668f, 20.0f, 28.0f, 21.332f, 28.0f, 23.0f)
                lineTo(30.0f, 23.0f)
                curveTo(30.0f, 21.2813f, 29.1133f, 19.7461f, 27.7813f, 18.8438f)
                curveTo(28.5234f, 18.1172f, 29.0f, 17.1133f, 29.0f, 16.0f)
                curveTo(29.0f, 13.8008f, 27.1992f, 12.0f, 25.0f, 12.0f)
                curveTo(22.8008f, 12.0f, 21.0f, 13.8008f, 21.0f, 16.0f)
                curveTo(21.0f, 17.1133f, 21.4766f, 18.1172f, 22.2188f, 18.8438f)
                curveTo(20.8867f, 19.7461f, 20.0f, 21.2813f, 20.0f, 23.0f)
                close()
                moveTo(7.0f, 14.0f)
                curveTo(8.1172f, 14.0f, 9.0f, 14.8828f, 9.0f, 16.0f)
                curveTo(9.0f, 17.1172f, 8.1172f, 18.0f, 7.0f, 18.0f)
                curveTo(5.8828f, 18.0f, 5.0f, 17.1172f, 5.0f, 16.0f)
                curveTo(5.0f, 14.8828f, 5.8828f, 14.0f, 7.0f, 14.0f)
                close()
                moveTo(25.0f, 14.0f)
                curveTo(26.1172f, 14.0f, 27.0f, 14.8828f, 27.0f, 16.0f)
                curveTo(27.0f, 17.1172f, 26.1172f, 18.0f, 25.0f, 18.0f)
                curveTo(23.8828f, 18.0f, 23.0f, 17.1172f, 23.0f, 16.0f)
                curveTo(23.0f, 14.8828f, 23.8828f, 14.0f, 25.0f, 14.0f)
                close()
                moveTo(16.0f, 17.0f)
                curveTo(17.1172f, 17.0f, 18.0f, 17.8828f, 18.0f, 19.0f)
                curveTo(18.0f, 20.1172f, 17.1172f, 21.0f, 16.0f, 21.0f)
                curveTo(14.8828f, 21.0f, 14.0f, 20.1172f, 14.0f, 19.0f)
                curveTo(14.0f, 17.8828f, 14.8828f, 17.0f, 16.0f, 17.0f)
                close()
            }
        }
        .build()
        return _usersSolid!!
    }

private var _usersSolid: ImageVector? = null
