package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ViharaSolid: ImageVector
    get() {
        if (_viharaSolid != null) {
            return _viharaSolid!!
        }
        _viharaSolid = Builder(name = "ViharaSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.6992f)
                lineTo(8.0996f, 10.0f)
                lineTo(10.0f, 10.0f)
                lineTo(10.0f, 12.5234f)
                lineTo(5.0996f, 16.1992f)
                lineTo(7.0f, 17.123f)
                lineTo(7.0f, 20.5273f)
                lineTo(2.0f, 24.3008f)
                lineTo(6.0f, 25.8809f)
                lineTo(6.0f, 28.0f)
                lineTo(8.0f, 28.0f)
                lineTo(8.0f, 26.0f)
                lineTo(15.0f, 26.0f)
                lineTo(15.0f, 28.0f)
                lineTo(17.0f, 28.0f)
                lineTo(17.0f, 26.0f)
                lineTo(24.0f, 26.0f)
                lineTo(24.0f, 28.0f)
                lineTo(26.0f, 28.0f)
                lineTo(26.0f, 25.8848f)
                lineTo(30.0996f, 24.3008f)
                lineTo(25.0f, 20.4531f)
                lineTo(25.0f, 17.1465f)
                lineTo(27.0f, 16.1992f)
                lineTo(22.0f, 12.4492f)
                lineTo(22.0f, 10.0f)
                lineTo(23.9004f, 10.0f)
                lineTo(16.0f, 3.6992f)
                close()
                moveTo(16.0f, 6.3008f)
                lineTo(18.1992f, 8.0f)
                lineTo(13.9004f, 8.0f)
                lineTo(16.0f, 6.3008f)
                close()
                moveTo(12.0f, 10.0f)
                lineTo(20.0f, 10.0f)
                lineTo(20.0f, 12.0f)
                lineTo(12.0f, 12.0f)
                lineTo(12.0f, 10.0f)
                close()
                moveTo(11.4004f, 14.0f)
                lineTo(20.6992f, 14.0f)
                lineTo(23.0f, 15.8008f)
                lineTo(22.6992f, 16.0f)
                lineTo(9.1992f, 16.0f)
                lineTo(9.0f, 15.8008f)
                lineTo(11.4004f, 14.0f)
                close()
                moveTo(9.0f, 18.0f)
                lineTo(23.0f, 18.0f)
                lineTo(23.0f, 20.0f)
                lineTo(9.0f, 20.0f)
                lineTo(9.0f, 18.0f)
                close()
                moveTo(8.3008f, 22.0f)
                lineTo(9.0f, 22.0f)
                lineTo(23.0f, 22.0f)
                lineTo(23.6992f, 22.0f)
                lineTo(26.0f, 23.6992f)
                lineTo(25.3008f, 24.0f)
                lineTo(6.6992f, 24.0f)
                lineTo(6.0f, 23.6992f)
                lineTo(8.3008f, 22.0f)
                close()
            }
        }
        .build()
        return _viharaSolid!!
    }

private var _viharaSolid: ImageVector? = null
