package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Vnv: ImageVector
    get() {
        if (_vnv != null) {
            return _vnv!!
        }
        _vnv = Builder(name = "Vnv", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp, viewportWidth
                = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.5996f, 12.0f)
                curveTo(-0.4004f, 12.0f, 0.0996f, 12.9004f, 0.0996f, 12.9004f)
                lineTo(2.8008f, 18.5f)
                curveTo(2.8008f, 18.5f, 3.3996f, 20.0f, 5.0996f, 20.0f)
                lineTo(6.9004f, 20.0f)
                curveTo(8.6004f, 20.0f, 9.1992f, 18.5f, 9.1992f, 18.5f)
                lineTo(11.9004f, 12.9004f)
                curveTo(11.9004f, 12.9004f, 12.4004f, 12.0f, 11.4004f, 12.0f)
                lineTo(9.8008f, 12.0f)
                curveTo(9.2008f, 12.0f, 9.1008f, 12.4004f, 8.8008f, 12.9004f)
                lineTo(7.0f, 16.5996f)
                curveTo(7.0f, 16.5996f, 6.8f, 17.3008f, 6.0f, 17.3008f)
                curveTo(5.2f, 17.3008f, 5.0f, 16.5996f, 5.0f, 16.5996f)
                lineTo(3.0996f, 12.9004f)
                curveTo(2.7996f, 12.4004f, 2.6992f, 12.0f, 2.1992f, 12.0f)
                lineTo(0.5996f, 12.0f)
                close()
                moveTo(15.1992f, 12.0f)
                curveTo(13.4992f, 12.0f, 12.9004f, 13.5f, 12.9004f, 13.5f)
                lineTo(10.1992f, 19.0996f)
                curveTo(10.1992f, 19.0996f, 9.6992f, 20.0f, 10.6992f, 20.0f)
                lineTo(12.3008f, 20.0f)
                curveTo(12.8008f, 20.0f, 12.8992f, 19.5996f, 13.1992f, 19.0996f)
                lineTo(15.0f, 15.4004f)
                curveTo(15.0f, 15.4004f, 15.2f, 14.6992f, 16.0f, 14.6992f)
                curveTo(16.7f, 14.6992f, 17.0f, 15.4004f, 17.0f, 15.4004f)
                lineTo(18.9004f, 19.0996f)
                curveTo(19.1004f, 19.5996f, 19.3008f, 20.0f, 19.8008f, 20.0f)
                lineTo(21.4004f, 20.0f)
                curveTo(22.4004f, 20.0f, 21.9004f, 19.0996f, 21.9004f, 19.0996f)
                lineTo(19.1992f, 13.5f)
                curveTo(19.1992f, 13.5f, 18.6004f, 12.0f, 16.9004f, 12.0f)
                lineTo(15.1992f, 12.0f)
                close()
                moveTo(20.6992f, 12.0f)
                curveTo(19.6992f, 12.0f, 20.1992f, 12.9004f, 20.1992f, 12.9004f)
                lineTo(22.9004f, 18.5f)
                curveTo(22.9004f, 18.5f, 23.4992f, 20.0f, 25.1992f, 20.0f)
                lineTo(26.9004f, 20.0f)
                curveTo(28.6004f, 20.0f, 29.1992f, 18.5f, 29.1992f, 18.5f)
                lineTo(31.9004f, 12.9004f)
                curveTo(31.9004f, 12.9004f, 32.4008f, 12.0f, 31.3008f, 12.0f)
                lineTo(29.6992f, 12.0f)
                curveTo(29.1992f, 12.0f, 29.1008f, 12.4004f, 28.8008f, 12.9004f)
                lineTo(27.0f, 16.5996f)
                curveTo(27.0f, 16.5996f, 26.8f, 17.3008f, 26.0f, 17.3008f)
                curveTo(25.3f, 17.3008f, 25.0f, 16.5996f, 25.0f, 16.5996f)
                lineTo(23.1992f, 12.9004f)
                curveTo(22.8992f, 12.4004f, 22.8008f, 12.0f, 22.3008f, 12.0f)
                lineTo(20.6992f, 12.0f)
                close()
            }
        }
        .build()
        return _vnv!!
    }

private var _vnv: ImageVector? = null
