package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Waze: ImageVector
    get() {
        if (_waze != null) {
            return _waze!!
        }
        _waze = Builder(name = "Waze", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.6992f, 4.0f)
                curveTo(12.6992f, 4.0f, 7.5996f, 7.3008f, 6.5996f, 12.3008f)
                curveTo(5.9996f, 15.3008f, 6.8008f, 18.0996f, 4.3008f, 18.0996f)
                curveTo(3.2008f, 18.0996f, 2.4992f, 19.4008f, 3.1992f, 20.3008f)
                curveTo(4.5992f, 22.2008f, 6.5004f, 23.3f, 8.4004f, 24.0f)
                lineTo(9.0156f, 24.2461f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 11.5f, 27.0f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 13.9453f, 25.0f)
                lineTo(17.9004f, 25.0f)
                lineTo(18.0527f, 25.0f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 20.5f, 27.0f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 22.8711f, 23.709f)
                curveTo(27.0608f, 21.5787f, 29.3887f, 17.3379f, 28.5996f, 12.8008f)
                curveTo(27.9996f, 7.7008f, 22.9992f, 4.0f, 17.6992f, 4.0f)
                close()
                moveTo(17.6992f, 6.0f)
                curveTo(22.1992f, 6.0f, 26.2004f, 9.1008f, 26.9004f, 13.3008f)
                curveTo(27.5004f, 16.9008f, 25.5996f, 20.3996f, 22.0996f, 22.0996f)
                lineTo(21.6465f, 22.2813f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 20.5f, 22.0f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 18.502f, 23.0f)
                curveTo(18.5013f, 23.0f, 18.5007f, 23.0f, 18.5f, 23.0f)
                lineTo(18.0996f, 23.0f)
                lineTo(13.9004f, 23.0f)
                curveTo(13.778f, 23.0f, 13.6209f, 22.9841f, 13.4805f, 22.9785f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 11.5f, 22.0f)
                arcTo(2.5f, 2.5f, 0.0f, false, false, 10.1328f, 22.4102f)
                curveTo(10.1223f, 22.4067f, 10.11f, 22.4038f, 10.0996f, 22.4004f)
                lineTo(9.1992f, 22.0996f)
                curveTo(7.7992f, 21.5996f, 6.5996f, 20.9004f, 5.5996f, 19.9004f)
                curveTo(7.9996f, 19.2004f, 8.2008f, 16.4008f, 8.3008f, 14.8008f)
                curveTo(8.4008f, 14.1008f, 8.4f, 13.3992f, 8.5f, 12.6992f)
                curveTo(9.4f, 8.4992f, 13.7992f, 6.0f, 17.6992f, 6.0f)
                close()
                moveTo(14.5f, 11.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 14.5f, 14.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 14.5f, 11.0f)
                close()
                moveTo(20.5f, 11.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 20.5f, 14.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 20.5f, 11.0f)
                close()
                moveTo(13.6055f, 14.9785f)
                curveTo(13.543f, 14.9691f, 13.4754f, 14.975f, 13.4004f, 15.0f)
                curveTo(13.1004f, 15.1f, 12.9f, 15.2996f, 13.0f, 15.5996f)
                curveTo(13.5f, 17.8996f, 15.7f, 19.0f, 17.5f, 19.0f)
                curveTo(19.3f, 19.0f, 21.5f, 17.8996f, 22.0f, 15.5996f)
                curveTo(22.0f, 15.2996f, 21.8996f, 15.1f, 21.5996f, 15.0f)
                curveTo(21.2996f, 15.0f, 21.1f, 15.1004f, 21.0f, 15.4004f)
                curveTo(20.6f, 17.2004f, 18.9f, 18.0f, 17.5f, 18.0f)
                curveTo(16.1f, 18.0f, 14.4f, 17.2004f, 14.0f, 15.4004f)
                curveTo(13.925f, 15.1754f, 13.793f, 15.0066f, 13.6055f, 14.9785f)
                close()
            }
        }
        .build()
        return _waze!!
    }

private var _waze: ImageVector? = null
