package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Database16: ImageVector
    get() {
        if (_database16 != null) {
            return _database16!!
        }
        _database16 = Builder(name = "Database16", defaultWidth = 16.0.dp, defaultHeight = 16.0.dp,
                viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(2.5f, 3.5f)
                curveToRelative(0.0f, -0.133f, 0.058f, -0.318f, 0.282f, -0.55f)
                curveToRelative(0.227f, -0.237f, 0.592f, -0.484f, 1.1f, -0.708f)
                curveTo(4.899f, 1.795f, 6.354f, 1.5f, 8.0f, 1.5f)
                curveToRelative(1.647f, 0.0f, 3.102f, 0.295f, 4.117f, 0.742f)
                curveToRelative(0.51f, 0.224f, 0.874f, 0.47f, 1.101f, 0.707f)
                curveToRelative(0.224f, 0.233f, 0.282f, 0.418f, 0.282f, 0.551f)
                curveToRelative(0.0f, 0.133f, -0.058f, 0.318f, -0.282f, 0.55f)
                curveToRelative(-0.227f, 0.237f, -0.592f, 0.484f, -1.1f, 0.708f)
                curveTo(11.101f, 5.205f, 9.646f, 5.5f, 8.0f, 5.5f)
                curveToRelative(-1.647f, 0.0f, -3.102f, -0.295f, -4.117f, -0.742f)
                curveToRelative(-0.51f, -0.224f, -0.874f, -0.47f, -1.101f, -0.707f)
                curveToRelative(-0.224f, -0.233f, -0.282f, -0.418f, -0.282f, -0.551f)
                close()
                moveTo(1.0f, 3.5f)
                curveToRelative(0.0f, -0.626f, 0.292f, -1.165f, 0.7f, -1.59f)
                curveToRelative(0.406f, -0.422f, 0.956f, -0.767f, 1.579f, -1.041f)
                curveTo(4.525f, 0.32f, 6.195f, 0.0f, 8.0f, 0.0f)
                curveToRelative(1.805f, 0.0f, 3.475f, 0.32f, 4.722f, 0.869f)
                curveToRelative(0.622f, 0.274f, 1.172f, 0.62f, 1.578f, 1.04f)
                curveToRelative(0.408f, 0.426f, 0.7f, 0.965f, 0.7f, 1.591f)
                verticalLineToRelative(9.0f)
                curveToRelative(0.0f, 0.626f, -0.292f, 1.165f, -0.7f, 1.59f)
                curveToRelative(-0.406f, 0.422f, -0.956f, 0.767f, -1.579f, 1.041f)
                curveTo(11.476f, 15.68f, 9.806f, 16.0f, 8.0f, 16.0f)
                curveToRelative(-1.805f, 0.0f, -3.475f, -0.32f, -4.721f, -0.869f)
                curveToRelative(-0.623f, -0.274f, -1.173f, -0.62f, -1.579f, -1.04f)
                curveToRelative(-0.408f, -0.426f, -0.7f, -0.965f, -0.7f, -1.591f)
                verticalLineToRelative(-9.0f)
                close()
                moveTo(2.5f, 8.0f)
                lineTo(2.5f, 5.724f)
                curveToRelative(0.241f, 0.15f, 0.503f, 0.286f, 0.779f, 0.407f)
                curveTo(4.525f, 6.68f, 6.195f, 7.0f, 8.0f, 7.0f)
                curveToRelative(1.805f, 0.0f, 3.475f, -0.32f, 4.722f, -0.869f)
                curveToRelative(0.275f, -0.121f, 0.537f, -0.257f, 0.778f, -0.407f)
                lineTo(13.5f, 8.0f)
                curveToRelative(0.0f, 0.133f, -0.058f, 0.318f, -0.282f, 0.55f)
                curveToRelative(-0.227f, 0.237f, -0.592f, 0.484f, -1.1f, 0.708f)
                curveTo(11.101f, 9.705f, 9.646f, 10.0f, 8.0f, 10.0f)
                curveToRelative(-1.647f, 0.0f, -3.102f, -0.295f, -4.117f, -0.742f)
                curveToRelative(-0.51f, -0.224f, -0.874f, -0.47f, -1.101f, -0.707f)
                curveTo(2.558f, 8.318f, 2.5f, 8.133f, 2.5f, 8.0f)
                close()
                moveTo(2.5f, 10.225f)
                lineTo(2.5f, 12.5f)
                curveToRelative(0.0f, 0.133f, 0.058f, 0.318f, 0.282f, 0.55f)
                curveToRelative(0.227f, 0.237f, 0.592f, 0.484f, 1.1f, 0.708f)
                curveToRelative(1.016f, 0.447f, 2.471f, 0.742f, 4.118f, 0.742f)
                curveToRelative(1.647f, 0.0f, 3.102f, -0.295f, 4.117f, -0.742f)
                curveToRelative(0.51f, -0.224f, 0.874f, -0.47f, 1.101f, -0.707f)
                curveToRelative(0.224f, -0.233f, 0.282f, -0.418f, 0.282f, -0.551f)
                verticalLineToRelative(-2.275f)
                curveToRelative(-0.241f, 0.15f, -0.503f, 0.285f, -0.778f, 0.406f)
                curveToRelative(-1.247f, 0.549f, -2.917f, 0.869f, -4.722f, 0.869f)
                curveToRelative(-1.805f, 0.0f, -3.475f, -0.32f, -4.721f, -0.869f)
                arcToRelative(6.236f, 6.236f, 0.0f, false, true, -0.779f, -0.406f)
                close()
            }
        }
        .build()
        return _database16!!
    }

private var _database16: ImageVector? = null
