package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Law24: ImageVector
    get() {
        if (_law24 != null) {
            return _law24!!
        }
        _law24 = Builder(name = "Law24", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(12.75f, 2.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -1.5f, 0.0f)
                lineTo(11.25f, 4.5f)
                lineTo(9.276f, 4.5f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -0.985f, 0.303f)
                lineTo(6.596f, 5.957f)
                arcTo(0.25f, 0.25f, 0.0f, false, true, 6.455f, 6.0f)
                lineTo(2.353f, 6.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, true, false, 0.0f, 1.5f)
                lineTo(3.93f, 7.5f)
                lineTo(0.563f, 15.18f)
                arcToRelative(0.762f, 0.762f, 0.0f, false, false, 0.21f, 0.88f)
                curveToRelative(0.08f, 0.064f, 0.161f, 0.125f, 0.309f, 0.221f)
                curveToRelative(0.186f, 0.121f, 0.452f, 0.278f, 0.792f, 0.433f)
                curveToRelative(0.68f, 0.311f, 1.662f, 0.62f, 2.876f, 0.62f)
                arcToRelative(6.919f, 6.919f, 0.0f, false, false, 2.876f, -0.62f)
                curveToRelative(0.34f, -0.155f, 0.606f, -0.312f, 0.792f, -0.433f)
                curveToRelative(0.15f, -0.097f, 0.23f, -0.158f, 0.31f, -0.223f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.209f, -0.878f)
                lineTo(5.569f, 7.5f)
                horizontalLineToRelative(0.886f)
                curveToRelative(0.351f, 0.0f, 0.694f, -0.106f, 0.984f, -0.303f)
                lineToRelative(1.696f, -1.154f)
                arcTo(0.25f, 0.25f, 0.0f, false, true, 9.275f, 6.0f)
                horizontalLineToRelative(1.975f)
                verticalLineToRelative(14.5f)
                lineTo(6.763f, 20.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, 1.5f)
                horizontalLineToRelative(10.474f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                lineTo(12.75f, 20.5f)
                lineTo(12.75f, 6.0f)
                horizontalLineToRelative(1.974f)
                curveToRelative(0.05f, 0.0f, 0.1f, 0.015f, 0.14f, 0.043f)
                lineToRelative(1.697f, 1.154f)
                curveToRelative(0.29f, 0.197f, 0.633f, 0.303f, 0.984f, 0.303f)
                horizontalLineToRelative(0.886f)
                lineToRelative(-3.368f, 7.68f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.23f, 0.896f)
                curveToRelative(0.012f, 0.009f, 0.0f, 0.0f, 0.002f, 0.0f)
                arcToRelative(3.154f, 3.154f, 0.0f, false, false, 0.31f, 0.206f)
                curveToRelative(0.185f, 0.112f, 0.45f, 0.256f, 0.79f, 0.4f)
                arcToRelative(7.343f, 7.343f, 0.0f, false, false, 2.855f, 0.568f)
                arcToRelative(7.343f, 7.343f, 0.0f, false, false, 2.856f, -0.569f)
                curveToRelative(0.338f, -0.143f, 0.604f, -0.287f, 0.79f, -0.399f)
                arcToRelative(3.5f, 3.5f, 0.0f, false, false, 0.31f, -0.206f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.23f, -0.896f)
                lineTo(20.07f, 7.5f)
                horizontalLineToRelative(1.578f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.0f, -1.5f)
                horizontalLineToRelative(-4.102f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.14f, -0.043f)
                lineToRelative(-1.697f, -1.154f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -0.984f, -0.303f)
                lineTo(12.75f, 4.5f)
                lineTo(12.75f, 2.75f)
                close()
                moveTo(2.193f, 15.198f)
                arcToRelative(5.418f, 5.418f, 0.0f, false, false, 2.557f, 0.635f)
                arcToRelative(5.418f, 5.418f, 0.0f, false, false, 2.557f, -0.635f)
                lineTo(4.75f, 9.368f)
                lineToRelative(-2.557f, 5.83f)
                close()
                moveTo(16.703f, 15.174f)
                curveToRelative(0.082f, 0.04f, 0.174f, 0.083f, 0.275f, 0.126f)
                curveToRelative(0.53f, 0.223f, 1.305f, 0.45f, 2.272f, 0.45f)
                arcToRelative(5.846f, 5.846f, 0.0f, false, false, 2.547f, -0.576f)
                lineTo(19.25f, 9.367f)
                lineToRelative(-2.547f, 5.807f)
                close()
            }
        }
        .build()
        return _law24!!
    }

private var _law24: ImageVector? = null
