package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.LogoGithub16: ImageVector
    get() {
        if (_logoGithub16 != null) {
            return _logoGithub16!!
        }
        _logoGithub16 = Builder(name = "LogoGithub16", defaultWidth = 45.0.dp, defaultHeight =
                16.0.dp, viewportWidth = 45.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(18.53f, 12.03f)
                horizontalLineToRelative(-0.02f)
                curveToRelative(0.009f, 0.0f, 0.015f, 0.01f, 0.024f, 0.011f)
                horizontalLineToRelative(0.006f)
                lineToRelative(-0.01f, -0.01f)
                close()
                moveTo(18.534f, 12.041f)
                curveToRelative(-0.093f, 0.001f, -0.327f, 0.05f, -0.574f, 0.05f)
                curveToRelative(-0.78f, 0.0f, -1.05f, -0.36f, -1.05f, -0.83f)
                lineTo(16.91f, 8.13f)
                horizontalLineToRelative(1.59f)
                curveToRelative(0.09f, 0.0f, 0.16f, -0.08f, 0.16f, -0.19f)
                verticalLineToRelative(-1.7f)
                curveToRelative(0.0f, -0.09f, -0.08f, -0.17f, -0.16f, -0.17f)
                horizontalLineToRelative(-1.59f)
                lineTo(16.91f, 3.96f)
                curveToRelative(0.0f, -0.08f, -0.05f, -0.13f, -0.14f, -0.13f)
                horizontalLineToRelative(-2.16f)
                curveToRelative(-0.09f, 0.0f, -0.14f, 0.05f, -0.14f, 0.13f)
                verticalLineToRelative(2.17f)
                reflectiveCurveToRelative(-1.09f, 0.27f, -1.16f, 0.28f)
                curveToRelative(-0.08f, 0.02f, -0.13f, 0.09f, -0.13f, 0.17f)
                verticalLineToRelative(1.36f)
                curveToRelative(0.0f, 0.11f, 0.08f, 0.19f, 0.17f, 0.19f)
                horizontalLineToRelative(1.11f)
                verticalLineToRelative(3.28f)
                curveToRelative(0.0f, 2.44f, 1.7f, 2.69f, 2.86f, 2.69f)
                curveToRelative(0.53f, 0.0f, 1.17f, -0.17f, 1.27f, -0.22f)
                curveToRelative(0.06f, -0.02f, 0.09f, -0.09f, 0.09f, -0.16f)
                verticalLineToRelative(-1.5f)
                arcToRelative(0.177f, 0.177f, 0.0f, false, false, -0.146f, -0.18f)
                close()
                moveTo(42.23f, 9.84f)
                curveToRelative(0.0f, -1.81f, -0.73f, -2.05f, -1.5f, -1.97f)
                curveToRelative(-0.6f, 0.04f, -1.08f, 0.34f, -1.08f, 0.34f)
                verticalLineToRelative(3.52f)
                reflectiveCurveToRelative(0.49f, 0.34f, 1.22f, 0.36f)
                curveToRelative(1.03f, 0.03f, 1.36f, -0.34f, 1.36f, -2.25f)
                close()
                moveTo(44.66f, 9.68f)
                curveToRelative(0.0f, 3.43f, -1.11f, 4.41f, -3.05f, 4.41f)
                curveToRelative(-1.64f, 0.0f, -2.52f, -0.83f, -2.52f, -0.83f)
                reflectiveCurveToRelative(-0.04f, 0.46f, -0.09f, 0.52f)
                curveToRelative(-0.03f, 0.06f, -0.08f, 0.08f, -0.14f, 0.08f)
                horizontalLineToRelative(-1.48f)
                curveToRelative(-0.1f, 0.0f, -0.19f, -0.08f, -0.19f, -0.17f)
                lineToRelative(0.02f, -11.11f)
                curveToRelative(0.0f, -0.09f, 0.08f, -0.17f, 0.17f, -0.17f)
                horizontalLineToRelative(2.13f)
                curveToRelative(0.09f, 0.0f, 0.17f, 0.08f, 0.17f, 0.17f)
                verticalLineToRelative(3.77f)
                reflectiveCurveToRelative(0.82f, -0.53f, 2.02f, -0.53f)
                lineToRelative(-0.01f, -0.02f)
                curveToRelative(1.2f, 0.0f, 2.97f, 0.45f, 2.97f, 3.88f)
                close()
                moveTo(35.94f, 6.07f)
                horizontalLineToRelative(-2.1f)
                curveToRelative(-0.11f, 0.0f, -0.17f, 0.08f, -0.17f, 0.19f)
                verticalLineToRelative(5.44f)
                reflectiveCurveToRelative(-0.55f, 0.39f, -1.3f, 0.39f)
                reflectiveCurveToRelative(-0.97f, -0.34f, -0.97f, -1.09f)
                lineTo(31.4f, 6.25f)
                curveToRelative(0.0f, -0.09f, -0.08f, -0.17f, -0.17f, -0.17f)
                horizontalLineToRelative(-2.14f)
                curveToRelative(-0.09f, 0.0f, -0.17f, 0.08f, -0.17f, 0.17f)
                verticalLineToRelative(5.11f)
                curveToRelative(0.0f, 2.2f, 1.23f, 2.75f, 2.92f, 2.75f)
                curveToRelative(1.39f, 0.0f, 2.52f, -0.77f, 2.52f, -0.77f)
                reflectiveCurveToRelative(0.05f, 0.39f, 0.08f, 0.45f)
                curveToRelative(0.02f, 0.05f, 0.09f, 0.09f, 0.16f, 0.09f)
                horizontalLineToRelative(1.34f)
                curveToRelative(0.11f, 0.0f, 0.17f, -0.08f, 0.17f, -0.17f)
                lineToRelative(0.02f, -7.47f)
                curveToRelative(0.0f, -0.09f, -0.08f, -0.17f, -0.19f, -0.17f)
                close()
                moveTo(12.24f, 6.06f)
                horizontalLineToRelative(-2.13f)
                curveToRelative(-0.09f, 0.0f, -0.17f, 0.09f, -0.17f, 0.2f)
                verticalLineToRelative(7.34f)
                curveToRelative(0.0f, 0.2f, 0.13f, 0.27f, 0.3f, 0.27f)
                horizontalLineToRelative(1.92f)
                curveToRelative(0.2f, 0.0f, 0.25f, -0.09f, 0.25f, -0.27f)
                lineTo(12.41f, 6.23f)
                curveToRelative(0.0f, -0.09f, -0.08f, -0.17f, -0.17f, -0.17f)
                close()
                moveTo(11.19f, 2.68f)
                curveToRelative(-0.77f, 0.0f, -1.38f, 0.61f, -1.38f, 1.38f)
                curveToRelative(0.0f, 0.77f, 0.61f, 1.38f, 1.38f, 1.38f)
                curveToRelative(0.75f, 0.0f, 1.36f, -0.61f, 1.36f, -1.38f)
                curveToRelative(0.0f, -0.77f, -0.61f, -1.38f, -1.36f, -1.38f)
                close()
                moveTo(27.68f, 2.43f)
                horizontalLineToRelative(-2.11f)
                curveToRelative(-0.09f, 0.0f, -0.17f, 0.08f, -0.17f, 0.17f)
                verticalLineToRelative(4.09f)
                horizontalLineToRelative(-3.31f)
                lineTo(22.09f, 2.6f)
                curveToRelative(0.0f, -0.09f, -0.08f, -0.17f, -0.17f, -0.17f)
                horizontalLineToRelative(-2.13f)
                curveToRelative(-0.09f, 0.0f, -0.17f, 0.08f, -0.17f, 0.17f)
                verticalLineToRelative(11.11f)
                curveToRelative(0.0f, 0.09f, 0.09f, 0.17f, 0.17f, 0.17f)
                horizontalLineToRelative(2.13f)
                curveToRelative(0.09f, 0.0f, 0.17f, -0.08f, 0.17f, -0.17f)
                lineTo(22.09f, 8.96f)
                horizontalLineToRelative(3.31f)
                lineToRelative(-0.02f, 4.75f)
                curveToRelative(0.0f, 0.09f, 0.08f, 0.17f, 0.17f, 0.17f)
                horizontalLineToRelative(2.13f)
                curveToRelative(0.09f, 0.0f, 0.17f, -0.08f, 0.17f, -0.17f)
                lineTo(27.85f, 2.6f)
                curveToRelative(0.0f, -0.09f, -0.08f, -0.17f, -0.17f, -0.17f)
                close()
                moveTo(8.81f, 7.35f)
                verticalLineToRelative(5.74f)
                curveToRelative(0.0f, 0.04f, -0.01f, 0.11f, -0.06f, 0.13f)
                curveToRelative(0.0f, 0.0f, -1.25f, 0.89f, -3.31f, 0.89f)
                curveToRelative(-2.49f, 0.0f, -5.44f, -0.78f, -5.44f, -5.92f)
                reflectiveCurveTo(2.58f, 1.99f, 5.1f, 2.0f)
                curveToRelative(2.18f, 0.0f, 3.06f, 0.49f, 3.2f, 0.58f)
                curveToRelative(0.04f, 0.05f, 0.06f, 0.09f, 0.06f, 0.14f)
                lineTo(7.94f, 4.5f)
                curveToRelative(0.0f, 0.09f, -0.09f, 0.2f, -0.2f, 0.17f)
                curveToRelative(-0.36f, -0.11f, -0.9f, -0.33f, -2.17f, -0.33f)
                curveToRelative(-1.47f, 0.0f, -3.05f, 0.42f, -3.05f, 3.73f)
                reflectiveCurveToRelative(1.5f, 3.7f, 2.58f, 3.7f)
                curveToRelative(0.92f, 0.0f, 1.25f, -0.11f, 1.25f, -0.11f)
                verticalLineToRelative(-2.3f)
                lineTo(4.88f, 9.36f)
                curveToRelative(-0.11f, 0.0f, -0.19f, -0.08f, -0.19f, -0.17f)
                lineTo(4.69f, 7.35f)
                curveToRelative(0.0f, -0.09f, 0.08f, -0.17f, 0.19f, -0.17f)
                horizontalLineToRelative(3.74f)
                curveToRelative(0.11f, 0.0f, 0.19f, 0.08f, 0.19f, 0.17f)
                close()
            }
        }
        .build()
        return _logoGithub16!!
    }

private var _logoGithub16: ImageVector? = null
