package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Play24: ImageVector
    get() {
        if (_play24 != null) {
            return _play24!!
        }
        _play24 = Builder(name = "Play24", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.5f, 15.584f)
                verticalLineTo(8.416f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, 0.77f, -0.42f)
                lineToRelative(5.576f, 3.583f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, 0.0f, 0.842f)
                lineToRelative(-5.576f, 3.584f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, -0.77f, -0.42f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(12.0f, 2.5f)
                arcToRelative(9.5f, 9.5f, 0.0f, true, false, 0.0f, 19.0f)
                arcToRelative(9.5f, 9.5f, 0.0f, false, false, 0.0f, -19.0f)
                close()
                moveTo(1.0f, 12.0f)
                curveTo(1.0f, 5.925f, 5.925f, 1.0f, 12.0f, 1.0f)
                reflectiveCurveToRelative(11.0f, 4.925f, 11.0f, 11.0f)
                reflectiveCurveToRelative(-4.925f, 11.0f, -11.0f, 11.0f)
                reflectiveCurveTo(1.0f, 18.075f, 1.0f, 12.0f)
                close()
            }
        }
        .build()
        return _play24!!
    }

private var _play24: ImageVector? = null
