package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Rocket24: ImageVector
    get() {
        if (_rocket24 != null) {
            return _rocket24!!
        }
        _rocket24 = Builder(name = "Rocket24", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(20.322f, 0.75f)
                arcToRelative(10.75f, 10.75f, 0.0f, false, false, -7.373f, 2.926f)
                lineToRelative(-1.304f, 1.23f)
                arcTo(23.743f, 23.743f, 0.0f, false, false, 10.103f, 6.5f)
                lineTo(5.066f, 6.5f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, -1.5f, 0.85f)
                lineToRelative(-2.71f, 4.514f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.49f, 1.12f)
                lineToRelative(4.571f, 0.963f)
                curveToRelative(0.039f, 0.049f, 0.082f, 0.096f, 0.129f, 0.14f)
                lineTo(8.04f, 15.96f)
                lineToRelative(1.872f, 1.994f)
                curveToRelative(0.044f, 0.047f, 0.091f, 0.09f, 0.14f, 0.129f)
                lineToRelative(0.963f, 4.572f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 1.12f, 0.488f)
                lineToRelative(4.514f, -2.709f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, 0.85f, -1.5f)
                verticalLineToRelative(-5.038f)
                arcToRelative(23.741f, 23.741f, 0.0f, false, false, 1.596f, -1.542f)
                lineToRelative(1.228f, -1.304f)
                arcToRelative(10.75f, 10.75f, 0.0f, false, false, 2.925f, -7.374f)
                lineTo(23.248f, 2.499f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 21.498f, 0.75f)
                horizontalLineToRelative(-1.177f)
                close()
                moveTo(16.0f, 15.112f)
                curveToRelative(-0.333f, 0.248f, -0.672f, 0.487f, -1.018f, 0.718f)
                lineToRelative(-3.393f, 2.262f)
                lineToRelative(0.678f, 3.223f)
                lineToRelative(3.612f, -2.167f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, 0.121f, -0.214f)
                verticalLineToRelative(-3.822f)
                close()
                moveTo(5.908f, 12.412f)
                lineTo(8.17f, 9.017f)
                curveToRelative(0.23f, -0.346f, 0.47f, -0.685f, 0.717f, -1.017f)
                lineTo(5.066f, 8.0f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.214f, 0.121f)
                lineToRelative(-2.167f, 3.612f)
                lineToRelative(3.223f, 0.679f)
                close()
                moveTo(13.978f, 4.768f)
                arcToRelative(9.25f, 9.25f, 0.0f, false, true, 6.344f, -2.518f)
                horizontalLineToRelative(1.177f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, 0.25f)
                verticalLineToRelative(1.176f)
                arcToRelative(9.25f, 9.25f, 0.0f, false, true, -2.517f, 6.346f)
                lineToRelative(-1.228f, 1.303f)
                arcToRelative(22.248f, 22.248f, 0.0f, false, true, -3.854f, 3.257f)
                lineToRelative(-3.288f, 2.192f)
                lineToRelative(-1.743f, -1.858f)
                arcToRelative(0.764f, 0.764f, 0.0f, false, false, -0.034f, -0.034f)
                lineToRelative(-1.859f, -1.744f)
                lineToRelative(2.193f, -3.29f)
                arcToRelative(22.248f, 22.248f, 0.0f, false, true, 3.255f, -3.851f)
                lineToRelative(1.304f, -1.23f)
                close()
                moveTo(17.5f, 8.0f)
                arcToRelative(1.5f, 1.5f, 0.0f, true, true, -3.0f, 0.0f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, 3.0f, 0.0f)
                close()
                moveTo(6.5f, 21.0f)
                curveToRelative(0.9f, -0.9f, 0.9f, -2.6f, 0.0f, -3.5f)
                curveToRelative(-0.9f, -0.9f, -2.6f, -0.9f, -3.5f, 0.0f)
                curveToRelative(-1.209f, 1.209f, -1.445f, 3.901f, -1.49f, 4.743f)
                arcToRelative(0.232f, 0.232f, 0.0f, false, false, 0.247f, 0.247f)
                curveToRelative(0.842f, -0.045f, 3.534f, -0.281f, 4.743f, -1.49f)
                close()
            }
        }
        .build()
        return _rocket24!!
    }

private var _rocket24: ImageVector? = null
