package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Activision: ImageVector
    get() {
        if (_activision != null) {
            return _activision!!
        }
        _activision = Builder(name = "Activision", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.88f, 8.91f)
                lineTo(0.0f, 14.284f)
                horizontalLineToRelative(0.985f)
                lineToRelative(0.27f, -0.718f)
                horizontalLineToRelative(1.252f)
                lineToRelative(0.269f, 0.718f)
                horizontalLineToRelative(0.985f)
                close()
                moveTo(5.104f, 9.269f)
                lineToRelative(-0.537f, 0.984f)
                horizontalLineToRelative(2.15f)
                verticalLineToRelative(4.03f)
                lineTo(7.7f, 14.283f)
                verticalLineToRelative(-4.03f)
                horizontalLineToRelative(1.522f)
                lineToRelative(1.882f, 4.837f)
                lineToRelative(1.791f, -4.837f)
                horizontalLineToRelative(4.567f)
                lineToRelative(-0.537f, -0.984f)
                lineTo(12.18f, 9.269f)
                lineToRelative(-1.074f, 2.865f)
                lineTo(9.94f, 9.269f)
                close()
                moveTo(21.314f, 10.432f)
                verticalLineToRelative(3.762f)
                horizontalLineToRelative(0.986f)
                verticalLineToRelative(-1.523f)
                lineToRelative(1.7f, 1.702f)
                verticalLineToRelative(-3.76f)
                horizontalLineToRelative(-0.896f)
                verticalLineToRelative(1.342f)
                close()
                moveTo(5.374f, 10.522f)
                curveToRelative(-1.075f, 0.0f, -1.881f, 0.807f, -1.881f, 1.881f)
                curveToRelative(0.0f, 1.075f, 0.806f, 1.88f, 1.88f, 1.88f)
                curveToRelative(0.448f, 0.0f, 0.895f, -0.179f, 1.164f, -0.447f)
                lineTo(6.0f, 12.94f)
                curveToRelative(-0.18f, 0.18f, -0.358f, 0.27f, -0.627f, 0.27f)
                arcToRelative(0.897f, 0.897f, 0.0f, false, true, -0.895f, -0.896f)
                curveToRelative(0.0f, -0.448f, 0.358f, -0.896f, 0.895f, -0.896f)
                curveToRelative(0.18f, 0.0f, 0.448f, 0.089f, 0.537f, 0.268f)
                lineToRelative(0.627f, -0.715f)
                curveToRelative(-0.27f, -0.269f, -0.716f, -0.448f, -1.164f, -0.448f)
                close()
                moveTo(12.896f, 10.522f)
                verticalLineToRelative(3.672f)
                horizontalLineToRelative(0.985f)
                verticalLineToRelative(-3.671f)
                close()
                moveTo(15.044f, 10.522f)
                curveToRelative(-0.358f, 0.0f, -0.804f, 0.18f, -0.804f, 0.896f)
                curveToRelative(0.0f, 0.896f, 1.074f, 1.433f, 0.985f, 1.792f)
                curveToRelative(-0.09f, 0.179f, -0.27f, 0.178f, -0.359f, 0.178f)
                horizontalLineToRelative(-0.626f)
                verticalLineToRelative(0.806f)
                horizontalLineToRelative(1.074f)
                curveToRelative(0.448f, 0.0f, 0.895f, -0.269f, 0.895f, -0.806f)
                curveToRelative(0.0f, -0.985f, -1.253f, -1.611f, -0.984f, -1.97f)
                curveToRelative(0.0f, -0.09f, 0.178f, -0.09f, 0.178f, -0.09f)
                horizontalLineToRelative(0.628f)
                verticalLineToRelative(-0.805f)
                close()
                moveTo(16.299f, 10.522f)
                verticalLineToRelative(3.672f)
                horizontalLineToRelative(0.984f)
                verticalLineToRelative(-3.671f)
                close()
                moveTo(19.344f, 10.522f)
                curveToRelative(-1.075f, 0.0f, -1.88f, 0.807f, -1.88f, 1.881f)
                curveToRelative(0.0f, 0.985f, 0.805f, 1.88f, 1.88f, 1.88f)
                curveToRelative(1.074f, 0.0f, 1.88f, -0.805f, 1.88f, -1.88f)
                curveToRelative(0.0f, -1.074f, -0.806f, -1.88f, -1.88f, -1.88f)
                close()
                moveTo(8.328f, 10.612f)
                verticalLineToRelative(3.672f)
                horizontalLineToRelative(0.986f)
                verticalLineToRelative(-3.672f)
                close()
                moveTo(19.344f, 11.508f)
                curveToRelative(0.448f, 0.0f, 0.895f, 0.358f, 0.895f, 0.895f)
                arcToRelative(0.897f, 0.897f, 0.0f, false, true, -0.895f, 0.896f)
                curveToRelative(-0.538f, 0.0f, -0.985f, -0.358f, -0.896f, -0.896f)
                curveToRelative(0.0f, -0.448f, 0.358f, -0.895f, 0.896f, -0.895f)
                close()
                moveTo(1.88f, 11.686f)
                lineToRelative(0.27f, 0.896f)
                horizontalLineToRelative(-0.54f)
                close()
            }
        }
        .build()
        return _activision!!
    }

private var _activision: ImageVector? = null
