package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Airbnb: ImageVector
    get() {
        if (_airbnb != null) {
            return _airbnb!!
        }
        _airbnb = Builder(name = "Airbnb", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.001f, 18.275f)
                curveToRelative(-1.353f, -1.697f, -2.148f, -3.184f, -2.413f, -4.457f)
                curveToRelative(-0.263f, -1.027f, -0.16f, -1.848f, 0.291f, -2.465f)
                curveToRelative(0.477f, -0.71f, 1.188f, -1.056f, 2.121f, -1.056f)
                reflectiveCurveToRelative(1.643f, 0.345f, 2.12f, 1.063f)
                curveToRelative(0.446f, 0.61f, 0.558f, 1.432f, 0.286f, 2.465f)
                curveToRelative(-0.291f, 1.298f, -1.085f, 2.785f, -2.412f, 4.458f)
                close()
                moveTo(21.602f, 19.415f)
                curveToRelative(-0.185f, 1.246f, -1.034f, 2.28f, -2.2f, 2.783f)
                curveToRelative(-2.253f, 0.98f, -4.483f, -0.583f, -6.392f, -2.704f)
                curveToRelative(3.157f, -3.951f, 3.74f, -7.028f, 2.385f, -9.018f)
                curveToRelative(-0.795f, -1.14f, -1.933f, -1.695f, -3.394f, -1.695f)
                curveToRelative(-2.944f, 0.0f, -4.563f, 2.49f, -3.927f, 5.382f)
                curveToRelative(0.37f, 1.565f, 1.352f, 3.343f, 2.917f, 5.332f)
                curveToRelative(-0.98f, 1.085f, -1.91f, 1.856f, -2.732f, 2.333f)
                curveToRelative(-0.636f, 0.344f, -1.245f, 0.558f, -1.828f, 0.609f)
                curveToRelative(-2.679f, 0.399f, -4.778f, -2.2f, -3.825f, -4.88f)
                curveToRelative(0.132f, -0.345f, 0.395f, -0.98f, 0.845f, -1.961f)
                lineToRelative(0.025f, -0.053f)
                curveToRelative(1.464f, -3.178f, 3.242f, -6.79f, 5.285f, -10.795f)
                lineToRelative(0.053f, -0.132f)
                lineToRelative(0.58f, -1.116f)
                curveToRelative(0.45f, -0.822f, 0.635f, -1.19f, 1.351f, -1.643f)
                curveToRelative(0.346f, -0.21f, 0.77f, -0.315f, 1.246f, -0.315f)
                curveToRelative(0.954f, 0.0f, 1.698f, 0.558f, 2.016f, 1.007f)
                curveToRelative(0.158f, 0.239f, 0.345f, 0.557f, 0.582f, 0.953f)
                lineToRelative(0.558f, 1.089f)
                lineToRelative(0.08f, 0.159f)
                curveToRelative(2.041f, 4.004f, 3.821f, 7.608f, 5.279f, 10.794f)
                lineToRelative(0.026f, 0.025f)
                lineToRelative(0.533f, 1.22f)
                lineToRelative(0.318f, 0.764f)
                curveToRelative(0.243f, 0.613f, 0.294f, 1.222f, 0.213f, 1.858f)
                close()
                moveTo(22.822f, 17.025f)
                curveToRelative(-0.186f, -0.583f, -0.505f, -1.271f, -0.9f, -2.094f)
                verticalLineToRelative(-0.03f)
                curveToRelative(-1.889f, -4.006f, -3.642f, -7.608f, -5.307f, -10.844f)
                lineToRelative(-0.111f, -0.163f)
                curveTo(15.317f, 1.461f, 14.468f, 0.0f, 12.001f, 0.0f)
                curveToRelative(-2.44f, 0.0f, -3.476f, 1.695f, -4.535f, 3.898f)
                lineToRelative(-0.081f, 0.16f)
                curveToRelative(-1.669f, 3.236f, -3.421f, 6.843f, -5.303f, 10.847f)
                verticalLineToRelative(0.053f)
                lineToRelative(-0.559f, 1.22f)
                curveToRelative(-0.21f, 0.504f, -0.317f, 0.768f, -0.345f, 0.847f)
                curveTo(-0.172f, 20.74f, 2.611f, 24.0f, 5.98f, 24.0f)
                curveToRelative(0.027f, 0.0f, 0.132f, 0.0f, 0.265f, -0.027f)
                horizontalLineToRelative(0.372f)
                curveToRelative(1.75f, -0.213f, 3.554f, -1.325f, 5.384f, -3.317f)
                curveToRelative(1.829f, 1.989f, 3.635f, 3.104f, 5.382f, 3.317f)
                horizontalLineToRelative(0.372f)
                curveToRelative(0.133f, 0.027f, 0.239f, 0.027f, 0.265f, 0.027f)
                curveToRelative(3.37f, 0.003f, 6.152f, -3.261f, 4.802f, -6.975f)
                close()
            }
        }
        .build()
        return _airbnb!!
    }

private var _airbnb: ImageVector? = null
