package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Amazon: ImageVector
    get() {
        if (_amazon != null) {
            return _amazon!!
        }
        _amazon = Builder(name = "Amazon", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.045f, 18.02f)
                curveToRelative(0.072f, -0.116f, 0.187f, -0.124f, 0.348f, -0.022f)
                curveToRelative(3.636f, 2.11f, 7.594f, 3.166f, 11.87f, 3.166f)
                curveToRelative(2.852f, 0.0f, 5.668f, -0.533f, 8.447f, -1.595f)
                lineToRelative(0.315f, -0.14f)
                curveToRelative(0.138f, -0.06f, 0.234f, -0.1f, 0.293f, -0.13f)
                curveToRelative(0.226f, -0.088f, 0.39f, -0.046f, 0.525f, 0.13f)
                curveToRelative(0.12f, 0.174f, 0.09f, 0.336f, -0.12f, 0.48f)
                curveToRelative(-0.256f, 0.19f, -0.6f, 0.41f, -1.006f, 0.654f)
                curveToRelative(-1.244f, 0.743f, -2.64f, 1.316f, -4.185f, 1.726f)
                arcToRelative(17.617f, 17.617f, 0.0f, false, true, -10.951f, -0.577f)
                arcToRelative(17.88f, 17.88f, 0.0f, false, true, -5.43f, -3.35f)
                curveToRelative(-0.1f, -0.074f, -0.151f, -0.15f, -0.151f, -0.22f)
                curveToRelative(0.0f, -0.047f, 0.021f, -0.09f, 0.051f, -0.13f)
                close()
                moveTo(6.61f, 11.802f)
                curveToRelative(0.0f, -1.005f, 0.247f, -1.863f, 0.743f, -2.577f)
                curveToRelative(0.495f, -0.71f, 1.17f, -1.25f, 2.04f, -1.615f)
                curveToRelative(0.796f, -0.335f, 1.756f, -0.575f, 2.912f, -0.72f)
                curveToRelative(0.39f, -0.046f, 1.033f, -0.103f, 1.92f, -0.174f)
                verticalLineToRelative(-0.37f)
                curveToRelative(0.0f, -0.93f, -0.105f, -1.558f, -0.3f, -1.875f)
                curveToRelative(-0.302f, -0.43f, -0.78f, -0.65f, -1.44f, -0.65f)
                horizontalLineToRelative(-0.182f)
                curveToRelative(-0.48f, 0.046f, -0.896f, 0.196f, -1.246f, 0.46f)
                curveToRelative(-0.35f, 0.27f, -0.575f, 0.63f, -0.675f, 1.096f)
                curveToRelative(-0.06f, 0.3f, -0.206f, 0.465f, -0.435f, 0.51f)
                lineToRelative(-2.52f, -0.315f)
                curveToRelative(-0.248f, -0.06f, -0.372f, -0.18f, -0.372f, -0.39f)
                curveToRelative(0.0f, -0.046f, 0.007f, -0.09f, 0.022f, -0.15f)
                curveToRelative(0.247f, -1.29f, 0.855f, -2.25f, 1.82f, -2.88f)
                curveToRelative(0.976f, -0.616f, 2.1f, -0.975f, 3.39f, -1.05f)
                horizontalLineToRelative(0.54f)
                curveToRelative(1.65f, 0.0f, 2.957f, 0.434f, 3.888f, 1.29f)
                curveToRelative(0.135f, 0.15f, 0.27f, 0.3f, 0.405f, 0.48f)
                curveToRelative(0.12f, 0.165f, 0.224f, 0.314f, 0.283f, 0.45f)
                curveToRelative(0.075f, 0.134f, 0.15f, 0.33f, 0.195f, 0.57f)
                curveToRelative(0.06f, 0.254f, 0.105f, 0.42f, 0.135f, 0.51f)
                curveToRelative(0.03f, 0.104f, 0.062f, 0.3f, 0.076f, 0.615f)
                curveToRelative(0.01f, 0.313f, 0.02f, 0.493f, 0.02f, 0.553f)
                verticalLineToRelative(5.28f)
                curveToRelative(0.0f, 0.376f, 0.06f, 0.72f, 0.165f, 1.036f)
                curveToRelative(0.105f, 0.313f, 0.21f, 0.54f, 0.315f, 0.674f)
                lineToRelative(0.51f, 0.674f)
                curveToRelative(0.09f, 0.136f, 0.136f, 0.256f, 0.136f, 0.36f)
                curveToRelative(0.0f, 0.12f, -0.06f, 0.226f, -0.18f, 0.314f)
                curveToRelative(-1.2f, 1.05f, -1.86f, 1.62f, -1.963f, 1.71f)
                curveToRelative(-0.165f, 0.135f, -0.375f, 0.15f, -0.63f, 0.045f)
                arcToRelative(6.062f, 6.062f, 0.0f, false, true, -0.526f, -0.496f)
                lineToRelative(-0.31f, -0.347f)
                arcToRelative(9.391f, 9.391f, 0.0f, false, true, -0.317f, -0.42f)
                lineToRelative(-0.3f, -0.435f)
                curveToRelative(-0.81f, 0.886f, -1.603f, 1.44f, -2.4f, 1.665f)
                curveToRelative(-0.494f, 0.15f, -1.093f, 0.227f, -1.83f, 0.227f)
                curveToRelative(-1.11f, 0.0f, -2.04f, -0.343f, -2.76f, -1.034f)
                curveToRelative(-0.72f, -0.69f, -1.08f, -1.665f, -1.08f, -2.94f)
                lineToRelative(-0.05f, -0.076f)
                close()
                moveTo(10.363f, 11.364f)
                curveToRelative(0.0f, 0.566f, 0.14f, 1.02f, 0.425f, 1.364f)
                curveToRelative(0.285f, 0.34f, 0.675f, 0.512f, 1.155f, 0.512f)
                curveToRelative(0.045f, 0.0f, 0.106f, -0.007f, 0.195f, -0.02f)
                curveToRelative(0.09f, -0.016f, 0.134f, -0.023f, 0.166f, -0.023f)
                curveToRelative(0.614f, -0.16f, 1.08f, -0.553f, 1.424f, -1.178f)
                curveToRelative(0.165f, -0.28f, 0.285f, -0.58f, 0.36f, -0.91f)
                curveToRelative(0.09f, -0.32f, 0.12f, -0.59f, 0.135f, -0.8f)
                curveToRelative(0.015f, -0.195f, 0.015f, -0.54f, 0.015f, -1.005f)
                verticalLineToRelative(-0.54f)
                curveToRelative(-0.84f, 0.0f, -1.484f, 0.06f, -1.92f, 0.18f)
                curveToRelative(-1.275f, 0.36f, -1.92f, 1.17f, -1.92f, 2.43f)
                lineToRelative(-0.035f, -0.02f)
                close()
                moveTo(19.525f, 18.391f)
                curveToRelative(0.03f, -0.06f, 0.075f, -0.11f, 0.132f, -0.17f)
                curveToRelative(0.362f, -0.243f, 0.714f, -0.41f, 1.05f, -0.5f)
                arcToRelative(8.094f, 8.094f, 0.0f, false, true, 1.612f, -0.24f)
                curveToRelative(0.14f, -0.012f, 0.28f, 0.0f, 0.41f, 0.03f)
                curveToRelative(0.65f, 0.06f, 1.05f, 0.168f, 1.172f, 0.33f)
                curveToRelative(0.063f, 0.09f, 0.099f, 0.228f, 0.099f, 0.39f)
                verticalLineToRelative(0.15f)
                curveToRelative(0.0f, 0.51f, -0.149f, 1.11f, -0.424f, 1.8f)
                curveToRelative(-0.278f, 0.69f, -0.664f, 1.248f, -1.156f, 1.68f)
                curveToRelative(-0.073f, 0.06f, -0.14f, 0.09f, -0.197f, 0.09f)
                curveToRelative(-0.03f, 0.0f, -0.06f, 0.0f, -0.09f, -0.012f)
                curveToRelative(-0.09f, -0.044f, -0.107f, -0.12f, -0.064f, -0.24f)
                curveToRelative(0.54f, -1.26f, 0.806f, -2.143f, 0.806f, -2.64f)
                curveToRelative(0.0f, -0.15f, -0.03f, -0.27f, -0.087f, -0.344f)
                curveToRelative(-0.145f, -0.166f, -0.55f, -0.257f, -1.224f, -0.257f)
                curveToRelative(-0.243f, 0.0f, -0.533f, 0.016f, -0.87f, 0.046f)
                curveToRelative(-0.363f, 0.045f, -0.7f, 0.09f, -1.0f, 0.135f)
                curveToRelative(-0.09f, 0.0f, -0.148f, -0.014f, -0.18f, -0.044f)
                curveToRelative(-0.03f, -0.03f, -0.036f, -0.047f, -0.02f, -0.077f)
                curveToRelative(0.0f, -0.017f, 0.006f, -0.03f, 0.02f, -0.063f)
                verticalLineToRelative(-0.06f)
                close()
            }
        }
        .build()
        return _amazon!!
    }

private var _amazon: ImageVector? = null
