package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Anaconda: ImageVector
    get() {
        if (_anaconda != null) {
            return _anaconda!!
        }
        _anaconda = Builder(name = "Anaconda", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.045f, 0.033f)
                arcToRelative(12.181f, 12.182f, 0.0f, false, false, -1.361f, 0.078f)
                arcToRelative(17.512f, 17.513f, 0.0f, false, true, 1.813f, 1.433f)
                lineToRelative(0.48f, 0.438f)
                lineToRelative(-0.465f, 0.45f)
                arcToRelative(15.047f, 15.048f, 0.0f, false, false, -1.126f, 1.205f)
                lineToRelative(-0.178f, 0.215f)
                arcToRelative(8.527f, 8.527f, 0.0f, false, true, 0.86f, -0.05f)
                arcToRelative(8.154f, 8.155f, 0.0f, true, true, -4.286f, 15.149f)
                arcToRelative(15.764f, 15.765f, 0.0f, false, true, -1.841f, 0.106f)
                horizontalLineToRelative(-0.86f)
                arcToRelative(21.847f, 21.848f, 0.0f, false, false, 0.264f, 2.866f)
                arcToRelative(11.966f, 11.967f, 0.0f, true, false, 6.7f, -21.89f)
                close()
                moveTo(8.17f, 0.678f)
                arcToRelative(12.181f, 12.182f, 0.0f, false, false, -2.624f, 1.275f)
                arcToRelative(15.506f, 15.507f, 0.0f, false, true, 1.813f, 0.43f)
                arcTo(18.551f, 18.552f, 0.0f, false, true, 8.17f, 0.678f)
                close()
                moveTo(9.423f, 0.75f)
                arcToRelative(16.237f, 16.238f, 0.0f, false, false, -0.995f, 1.998f)
                arcToRelative(16.15f, 16.152f, 0.0f, false, true, 1.605f, 0.66f)
                arcToRelative(6.98f, 6.98f, 0.0f, false, true, 0.43f, -0.509f)
                curveToRelative(0.234f, -0.286f, 0.472f, -0.559f, 0.716f, -0.817f)
                arcTo(15.047f, 15.048f, 0.0f, false, false, 9.423f, 0.75f)
                close()
                moveTo(4.68f, 2.949f)
                arcToRelative(14.969f, 14.97f, 0.0f, false, false, 0.0f, 2.336f)
                curveToRelative(0.587f, -0.065f, 1.196f, -0.1f, 1.812f, -0.107f)
                arcToRelative(16.617f, 16.617f, 0.0f, false, true, 0.48f, -1.748f)
                arcToRelative(16.48f, 16.481f, 0.0f, false, false, -2.292f, -0.481f)
                close()
                moveTo(3.62f, 3.5f)
                arcTo(11.938f, 11.938f, 0.0f, false, false, 1.762f, 5.88f)
                arcToRelative(17.004f, 17.004f, 0.0f, false, true, 1.877f, -0.444f)
                arcTo(17.39f, 17.391f, 0.0f, false, true, 3.62f, 3.5f)
                close()
                moveTo(8.026f, 3.787f)
                curveToRelative(-0.143f, 0.437f, -0.265f, 0.888f, -0.38f, 1.347f)
                arcToRelative(8.255f, 8.255f, 0.0f, false, true, 1.67f, -0.803f)
                curveToRelative(-0.423f, -0.2f, -0.845f, -0.38f, -1.29f, -0.544f)
                close()
                moveTo(6.3f, 6.216f)
                arcToRelative(14.051f, 14.052f, 0.0f, false, false, -1.555f, 0.108f)
                curveToRelative(0.064f, 0.523f, 0.157f, 1.038f, 0.272f, 1.554f)
                arcToRelative(8.39f, 8.391f, 0.0f, false, true, 1.283f, -1.662f)
                close()
                moveTo(3.75f, 6.353f)
                arcToRelative(15.313f, 15.313f, 0.0f, false, false, -2.602f, 0.716f)
                horizontalLineToRelative(-0.078f)
                verticalLineToRelative(0.079f)
                arcToRelative(17.104f, 17.105f, 0.0f, false, false, 1.267f, 2.544f)
                lineToRelative(0.043f, 0.071f)
                lineToRelative(0.072f, -0.049f)
                arcToRelative(16.309f, 16.31f, 0.0f, false, true, 1.734f, -1.083f)
                lineToRelative(0.057f, -0.035f)
                lineTo(4.243f, 8.54f)
                arcToRelative(16.867f, 16.868f, 0.0f, false, true, -0.408f, -2.094f)
                verticalLineToRelative(-0.092f)
                close()
                moveTo(0.644f, 8.095f)
                lineToRelative(-0.063f, 0.2f)
                arcTo(11.844f, 11.845f, 0.0f, false, false, 0.0f, 11.655f)
                verticalLineToRelative(0.209f)
                lineToRelative(0.143f, -0.152f)
                arcToRelative(17.706f, 17.707f, 0.0f, false, true, 1.584f, -1.447f)
                lineToRelative(0.057f, -0.043f)
                lineToRelative(-0.043f, -0.064f)
                arcToRelative(16.18f, 16.18f, 0.0f, false, true, -1.025f, -1.87f)
                close()
                moveTo(4.414f, 9.348f)
                lineToRelative(-0.18f, 0.1f)
                curveToRelative(-0.465f, 0.273f, -0.93f, 0.573f, -1.375f, 0.889f)
                lineToRelative(-0.065f, 0.05f)
                lineToRelative(0.05f, 0.064f)
                curveToRelative(0.309f, 0.437f, 0.645f, 0.867f, 0.996f, 1.276f)
                lineToRelative(0.137f, 0.165f)
                verticalLineToRelative(-0.208f)
                arcToRelative(8.176f, 8.176f, 0.0f, false, true, 0.364f, -2.15f)
                close()
                moveTo(2.2f, 10.853f)
                lineToRelative(-0.072f, 0.05f)
                arcToRelative(16.574f, 16.574f, 0.0f, false, false, -1.813f, 1.734f)
                lineToRelative(-0.058f, 0.058f)
                lineToRelative(0.066f, 0.057f)
                arcToRelative(15.449f, 15.45f, 0.0f, false, false, 1.991f, 1.483f)
                lineToRelative(0.072f, 0.05f)
                lineToRelative(0.043f, -0.08f)
                arcToRelative(16.738f, 16.74f, 0.0f, false, true, 1.053f, -1.64f)
                verticalLineToRelative(-0.05f)
                lineToRelative(-0.043f, -0.05f)
                arcToRelative(16.99f, 16.99f, 0.0f, false, true, -1.19f, -1.54f)
                close()
                moveTo(4.055f, 12.924f)
                lineToRelative(-0.121f, 0.172f)
                arcToRelative(15.363f, 15.363f, 0.0f, false, false, -0.917f, 1.433f)
                lineToRelative(-0.043f, 0.072f)
                lineToRelative(0.071f, 0.043f)
                arcToRelative(16.61f, 16.61f, 0.0f, false, false, 1.562f, 0.766f)
                lineToRelative(0.193f, 0.086f)
                lineToRelative(-0.086f, -0.193f)
                arcToRelative(8.04f, 8.04f, 0.0f, false, true, -0.66f, -2.172f)
                close()
                moveTo(0.079f, 13.404f)
                verticalLineToRelative(0.2f)
                arcToRelative(11.758f, 11.759f, 0.0f, false, false, 0.946f, 3.326f)
                lineToRelative(0.078f, 0.186f)
                lineToRelative(0.072f, -0.194f)
                arcToRelative(16.215f, 16.216f, 0.0f, false, true, 0.845f, -2.0f)
                lineToRelative(0.057f, -0.063f)
                lineToRelative(-0.064f, -0.043f)
                arcToRelative(17.197f, 17.198f, 0.0f, false, true, -1.776f, -1.284f)
                close()
                moveTo(2.622f, 15.209f)
                lineToRelative(-0.035f, 0.08f)
                arcToRelative(15.764f, 15.765f, 0.0f, false, false, -0.983f, 2.479f)
                verticalLineToRelative(0.08f)
                horizontalLineToRelative(0.086f)
                arcToRelative(16.15f, 16.152f, 0.0f, false, false, 2.688f, 0.5f)
                lineToRelative(0.072f, 0.007f)
                verticalLineToRelative(-0.086f)
                arcToRelative(17.562f, 17.563f, 0.0f, false, true, 0.164f, -2.056f)
                verticalLineToRelative(-0.065f)
                lineTo(4.55f, 16.148f)
                arcToRelative(16.266f, 16.266f, 0.0f, false, true, -1.849f, -0.896f)
                close()
                moveTo(5.166f, 16.378f)
                verticalLineToRelative(0.114f)
                arcToRelative(17.254f, 17.255f, 0.0f, false, false, -0.151f, 1.828f)
                verticalLineToRelative(0.078f)
                horizontalLineToRelative(0.931f)
                curveToRelative(0.287f, 0.0f, 0.624f, 0.014f, 0.946f, 0.0f)
                horizontalLineToRelative(0.209f)
                lineToRelative(-0.166f, -0.129f)
                arcToRelative(8.011f, 8.011f, 0.0f, false, true, -1.64f, -1.834f)
                close()
                moveTo(1.876f, 18.478f)
                lineToRelative(0.115f, 0.172f)
                arcToRelative(11.988f, 11.988f, 0.0f, false, false, 2.502f, 2.737f)
                lineToRelative(0.157f, 0.129f)
                verticalLineToRelative(-0.201f)
                arcToRelative(22.578f, 22.58f, 0.0f, false, true, -0.2f, -2.336f)
                verticalLineToRelative(-0.071f)
                horizontalLineToRelative(-0.072f)
                arcToRelative(16.23f, 16.23f, 0.0f, false, true, -2.3f, -0.387f)
                close()
            }
        }
        .build()
        return _anaconda!!
    }

private var _anaconda: ImageVector? = null
