package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Apache: ImageVector
    get() {
        if (_apache != null) {
            return _apache!!
        }
        _apache = Builder(name = "Apache", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.805f, 2.197f)
                verticalLineToRelative(0.066f)
                horizontalLineToRelative(0.156f)
                verticalLineToRelative(0.44f)
                horizontalLineToRelative(0.072f)
                verticalLineToRelative(-0.44f)
                horizontalLineToRelative(0.156f)
                verticalLineToRelative(-0.066f)
                close()
                moveTo(18.705f, 2.197f)
                lineToRelative(-0.175f, 0.353f)
                lineToRelative(-0.172f, -0.353f)
                horizontalLineToRelative(-0.087f)
                verticalLineToRelative(0.506f)
                horizontalLineToRelative(0.067f)
                lineTo(18.338f, 2.3f)
                lineToRelative(0.172f, 0.35f)
                horizontalLineToRelative(0.045f)
                lineToRelative(0.172f, -0.35f)
                verticalLineToRelative(0.404f)
                horizontalLineToRelative(0.066f)
                verticalLineToRelative(-0.506f)
                close()
                moveTo(14.448f, 3.197f)
                curveToRelative(-0.204f, 0.31f, -0.424f, 0.66f, -0.66f, 1.06f)
                lineToRelative(-0.04f, 0.062f)
                arcToRelative(44.457f, 44.457f, 0.0f, false, false, -1.265f, 2.29f)
                curveToRelative(-0.187f, 0.36f, -0.38f, 0.742f, -0.577f, 1.146f)
                lineToRelative(2.267f, -0.25f)
                curveToRelative(0.66f, -0.302f, 0.955f, -0.578f, 1.242f, -0.976f)
                arcToRelative(15.5f, 15.5f, 0.0f, false, false, 0.23f, -0.342f)
                curveToRelative(0.23f, -0.363f, 0.46f, -0.763f, 0.663f, -1.16f)
                curveToRelative(0.197f, -0.386f, 0.37f, -0.767f, 0.505f, -1.11f)
                curveToRelative(0.083f, -0.22f, 0.15f, -0.422f, 0.198f, -0.6f)
                curveToRelative(0.042f, -0.158f, 0.074f, -0.307f, 0.1f, -0.45f)
                curveToRelative(-0.884f, 0.15f, -1.965f, 0.295f, -2.668f, 0.33f)
                close()
                moveTo(11.894f, 7.78f)
                lineToRelative(-0.077f, 0.16f)
                curveToRelative(-0.078f, 0.16f, -0.157f, 0.32f, -0.236f, 0.488f)
                curveToRelative(-0.086f, 0.18f, -0.172f, 0.364f, -0.26f, 0.552f)
                lineToRelative(-0.132f, 0.287f)
                arcToRelative(75.265f, 75.265f, 0.0f, false, false, -1.427f, 3.3f)
                curveToRelative(-0.163f, 0.397f, -0.327f, 0.807f, -0.493f, 1.23f)
                curveToRelative(-0.15f, 0.38f, -0.297f, 0.765f, -0.45f, 1.164f)
                lineToRelative(-0.02f, 0.06f)
                curveToRelative(-0.15f, 0.396f, -0.3f, 0.802f, -0.453f, 1.22f)
                lineToRelative(-0.01f, 0.027f)
                lineToRelative(0.72f, -0.08f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, true, -0.042f, -0.006f)
                curveToRelative(0.863f, -0.106f, 2.01f, -0.75f, 2.75f, -1.547f)
                curveToRelative(0.342f, -0.367f, 0.652f, -0.8f, 0.94f, -1.306f)
                curveToRelative(0.213f, -0.377f, 0.413f, -0.795f, 0.604f, -1.258f)
                curveToRelative(0.168f, -0.405f, 0.328f, -0.843f, 0.48f, -1.318f)
                curveToRelative(-0.196f, 0.105f, -0.423f, 0.18f, -0.673f, 0.235f)
                arcToRelative(2.184f, 2.184f, 0.0f, false, true, -0.273f, 0.046f)
                curveToRelative(0.806f, -0.31f, 1.314f, -0.905f, 1.683f, -1.64f)
                arcToRelative(2.816f, 2.816f, 0.0f, false, true, -0.968f, 0.428f)
                curveToRelative(-0.06f, 0.012f, -0.116f, 0.022f, -0.174f, 0.03f)
                lineToRelative(-0.043f, 0.006f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.278f, -0.118f, 0.514f, -0.248f, 0.718f, -0.403f)
                arcToRelative(2.571f, 2.571f, 0.0f, false, false, 0.637f, -0.698f)
                lineToRelative(0.063f, -0.104f)
                lineToRelative(0.077f, -0.154f)
                arcToRelative(8.107f, 8.107f, 0.0f, false, false, 0.367f, -0.85f)
                lineToRelative(0.03f, -0.088f)
                arcToRelative(3.04f, 3.04f, 0.0f, false, false, 0.123f, -0.463f)
                arcToRelative(0.733f, 0.733f, 0.0f, false, true, -0.094f, 0.065f)
                curveToRelative(-0.243f, 0.145f, -0.66f, 0.277f, -0.996f, 0.34f)
                lineToRelative(0.663f, -0.074f)
                lineToRelative(-0.664f, 0.073f)
                horizontalLineToRelative(-0.017f)
                lineToRelative(-0.1f, 0.017f)
                curveToRelative(0.006f, -0.003f, 0.01f, -0.006f, 0.017f, -0.008f)
                lineToRelative(-2.265f, 0.25f)
                lineToRelative(-0.013f, 0.022f)
                close()
                moveTo(8.27f, 16.45f)
                curveToRelative(-0.117f, 0.323f, -0.236f, 0.654f, -0.355f, 0.992f)
                lineToRelative(-0.005f, 0.015f)
                curveToRelative(-0.016f, 0.046f, -0.032f, 0.094f, -0.05f, 0.142f)
                curveToRelative(-0.08f, 0.227f, -0.15f, 0.432f, -0.31f, 0.9f)
                curveToRelative(0.264f, 0.12f, 0.475f, 0.435f, 0.675f, 0.793f)
                arcToRelative(1.44f, 1.44f, 0.0f, false, false, -0.466f, -0.99f)
                curveToRelative(1.293f, 0.06f, 2.41f, -0.27f, 2.99f, -1.217f)
                curveToRelative(0.05f, -0.084f, 0.096f, -0.173f, 0.14f, -0.268f)
                curveToRelative(-0.26f, 0.333f, -0.59f, 0.474f, -1.2f, 0.44f)
                curveToRelative(0.0f, 0.0f, -0.004f, 0.0f, -0.005f, 0.002f)
                lineToRelative(0.004f, -0.002f)
                curveToRelative(0.9f, -0.404f, 1.354f, -0.79f, 1.754f, -1.433f)
                curveToRelative(0.094f, -0.153f, 0.186f, -0.32f, 0.28f, -0.503f)
                curveToRelative(-0.788f, 0.81f, -1.702f, 1.04f, -2.664f, 0.865f)
                lineToRelative(-0.72f, 0.078f)
                arcToRelative(6.43f, 6.43f, 0.0f, false, false, -0.067f, 0.183f)
                close()
                moveTo(15.42f, 0.112f)
                curveToRelative(-0.376f, 0.222f, -1.0f, 0.85f, -1.748f, 1.763f)
                lineToRelative(0.686f, 1.294f)
                curveToRelative(0.48f, -0.687f, 0.97f, -1.307f, 1.462f, -1.836f)
                lineToRelative(0.058f, -0.062f)
                curveToRelative(-0.02f, 0.02f, -0.04f, 0.04f, -0.057f, 0.062f)
                curveToRelative(-0.16f, 0.176f, -0.644f, 0.74f, -1.375f, 1.863f)
                curveToRelative(0.703f, -0.035f, 1.784f, -0.18f, 2.666f, -0.33f)
                curveToRelative(0.262f, -1.47f, -0.258f, -2.142f, -0.258f, -2.142f)
                reflectiveCurveToRelative(-0.66f, -1.07f, -1.436f, -0.61f)
                close()
                moveTo(12.336f, 6.514f)
                arcToRelative(40.253f, 40.253f, 0.0f, false, true, 1.306f, -2.26f)
                lineToRelative(0.04f, -0.064f)
                curveToRelative(0.224f, -0.352f, 0.45f, -0.693f, 0.677f, -1.02f)
                lineToRelative(-0.685f, -1.293f)
                lineToRelative(-0.157f, 0.192f)
                curveToRelative(-0.197f, 0.245f, -0.403f, 0.51f, -0.613f, 0.79f)
                arcToRelative(39.853f, 39.853f, 0.0f, false, false, -2.016f, 2.97f)
                lineToRelative(-0.022f, 0.038f)
                lineToRelative(0.893f, 1.763f)
                curveToRelative(0.19f, -0.378f, 0.38f, -0.752f, 0.575f, -1.118f)
                close()
                moveTo(8.606f, 14.834f)
                curveToRelative(0.158f, -0.406f, 0.319f, -0.81f, 0.483f, -1.225f)
                curveToRelative(0.156f, -0.394f, 0.32f, -0.79f, 0.484f, -1.19f)
                arcToRelative(91.133f, 91.133f, 0.0f, false, true, 1.6f, -3.604f)
                lineToRelative(0.205f, -0.424f)
                curveToRelative(0.12f, -0.243f, 0.237f, -0.485f, 0.36f, -0.724f)
                arcToRelative(0.125f, 0.125f, 0.0f, false, true, 0.02f, -0.04f)
                lineToRelative(-0.895f, -1.763f)
                lineToRelative(-0.044f, 0.07f)
                curveToRelative(-0.207f, 0.34f, -0.414f, 0.687f, -0.617f, 1.042f)
                arcToRelative(38.056f, 38.056f, 0.0f, false, false, -1.092f, 2.04f)
                lineToRelative(-0.094f, 0.193f)
                arcToRelative(24.573f, 24.573f, 0.0f, false, false, -1.258f, 3.087f)
                arcToRelative(18.492f, 18.492f, 0.0f, false, false, -0.52f, 1.997f)
                lineToRelative(0.896f, 1.77f)
                curveToRelative(0.117f, -0.317f, 0.24f, -0.638f, 0.364f, -0.963f)
                close()
                moveTo(7.23f, 14.358f)
                arcToRelative(13.38f, 13.38f, 0.0f, false, false, -0.234f, 1.692f)
                curveToRelative(0.0f, 0.02f, -0.004f, 0.04f, -0.005f, 0.06f)
                curveToRelative(-0.28f, -0.45f, -1.03f, -0.888f, -1.026f, -0.884f)
                curveToRelative(0.537f, 0.778f, 0.944f, 1.55f, 1.005f, 2.31f)
                curveToRelative(-0.29f, 0.058f, -0.684f, -0.027f, -1.14f, -0.195f)
                curveToRelative(0.475f, 0.436f, 0.83f, 0.556f, 0.97f, 0.588f)
                curveToRelative(-0.434f, 0.03f, -0.89f, 0.328f, -1.346f, 0.67f)
                curveToRelative(0.668f, -0.27f, 1.21f, -0.38f, 1.596f, -0.29f)
                curveToRelative(-0.61f, 1.74f, -1.23f, 3.655f, -1.843f, 5.69f)
                arcToRelative(0.538f, 0.538f, 0.0f, false, false, 0.364f, -0.354f)
                curveToRelative(0.11f, -0.368f, 0.84f, -2.786f, 1.978f, -5.965f)
                lineToRelative(0.097f, -0.27f)
                lineToRelative(0.028f, -0.078f)
                curveToRelative(0.12f, -0.332f, 0.246f, -0.672f, 0.374f, -1.02f)
                lineToRelative(0.09f, -0.237f)
                verticalLineToRelative(-0.004f)
                lineTo(7.24f, 14.3f)
                curveToRelative(-0.003f, 0.02f, -0.01f, 0.04f, -0.012f, 0.06f)
                close()
            }
        }
        .build()
        return _apache!!
    }

private var _apache: ImageVector? = null
