package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Baidu: ImageVector
    get() {
        if (_baidu != null) {
            return _baidu!!
        }
        _baidu = Builder(name = "Baidu", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.154f, 0.0f)
                curveTo(7.71f, 0.0f, 6.54f, 1.658f, 6.54f, 3.707f)
                curveToRelative(0.0f, 2.051f, 1.171f, 3.71f, 2.615f, 3.71f)
                curveToRelative(1.446f, 0.0f, 2.614f, -1.659f, 2.614f, -3.71f)
                curveTo(11.768f, 1.658f, 10.6f, 0.0f, 9.154f, 0.0f)
                close()
                moveTo(16.179f, 0.594f)
                curveTo(14.86f, 0.58f, 13.347f, 2.589f, 13.2f, 3.927f)
                curveToRelative(-0.187f, 1.745f, 0.25f, 3.487f, 2.179f, 3.735f)
                curveToRelative(1.933f, 0.25f, 3.175f, -1.806f, 3.422f, -3.364f)
                curveToRelative(0.252f, -1.555f, -0.995f, -3.364f, -2.362f, -3.674f)
                arcToRelative(1.218f, 1.218f, 0.0f, false, false, -0.261f, -0.03f)
                close()
                moveTo(3.582f, 5.535f)
                arcToRelative(2.811f, 2.811f, 0.0f, false, false, -0.156f, 0.008f)
                curveToRelative(-2.118f, 0.19f, -2.428f, 3.24f, -2.428f, 3.24f)
                curveToRelative(-0.287f, 1.41f, 0.686f, 4.425f, 3.297f, 3.864f)
                curveToRelative(2.617f, -0.561f, 2.262f, -3.68f, 2.183f, -4.362f)
                curveToRelative(-0.125f, -1.018f, -1.292f, -2.773f, -2.896f, -2.75f)
                close()
                moveTo(20.116f, 7.288f)
                curveToRelative(-2.308f, 0.0f, -2.617f, 2.119f, -2.617f, 3.616f)
                curveToRelative(0.0f, 1.43f, 0.121f, 3.425f, 2.988f, 3.362f)
                curveToRelative(2.867f, -0.063f, 2.553f, -3.238f, 2.553f, -3.988f)
                curveToRelative(0.0f, -0.745f, -0.62f, -2.99f, -2.924f, -2.99f)
                close()
                moveTo(11.852f, 9.766f)
                curveToRelative(-1.424f, 0.014f, -2.708f, 0.925f, -3.323f, 1.947f)
                curveToRelative(-1.118f, 1.868f, -2.863f, 3.05f, -3.112f, 3.363f)
                curveToRelative(-0.25f, 0.309f, -3.61f, 2.116f, -2.864f, 5.42f)
                curveToRelative(0.746f, 3.301f, 3.365f, 3.237f, 3.365f, 3.237f)
                reflectiveCurveToRelative(1.93f, 0.19f, 4.171f, -0.31f)
                curveToRelative(2.24f, -0.495f, 4.17f, 0.123f, 4.17f, 0.123f)
                reflectiveCurveToRelative(5.233f, 1.748f, 6.665f, -1.616f)
                curveToRelative(1.43f, -3.364f, -0.808f, -5.109f, -0.808f, -5.109f)
                reflectiveCurveToRelative(-2.99f, -2.306f, -4.736f, -4.798f)
                curveToRelative(-1.072f, -1.665f, -2.348f, -2.268f, -3.528f, -2.257f)
                close()
                moveTo(9.618f, 13.606f)
                lineToRelative(1.542f, 0.024f)
                verticalLineToRelative(8.197f)
                lineTo(7.758f, 21.827f)
                curveToRelative(-1.47f, -0.291f, -2.055f, -1.292f, -2.13f, -1.462f)
                curveToRelative(-0.072f, -0.173f, -0.488f, -0.976f, -0.268f, -2.343f)
                curveToRelative(0.635f, -2.049f, 2.447f, -2.196f, 2.447f, -2.196f)
                horizontalLineToRelative(1.81f)
                close()
                moveTo(13.582f, 15.996f)
                verticalLineToRelative(3.881f)
                curveToRelative(0.096f, 0.413f, 0.612f, 0.488f, 0.612f, 0.488f)
                horizontalLineToRelative(1.614f)
                verticalLineToRelative(-4.343f)
                horizontalLineToRelative(1.689f)
                verticalLineToRelative(5.782f)
                horizontalLineToRelative(-3.915f)
                curveToRelative(-1.517f, -0.39f, -1.59f, -1.465f, -1.59f, -1.465f)
                verticalLineToRelative(-4.317f)
                close()
                moveTo(8.124f, 17.143f)
                curveToRelative(-0.66f, 0.197f, -0.978f, 0.708f, -1.05f, 0.928f)
                curveToRelative(-0.076f, 0.22f, -0.247f, 0.78f, -0.1f, 1.269f)
                curveToRelative(0.294f, 1.095f, 1.248f, 1.144f, 1.248f, 1.144f)
                horizontalLineToRelative(1.37f)
                verticalLineToRelative(-3.34f)
                close()
            }
        }
        .build()
        return _baidu!!
    }

private var _baidu: ImageVector? = null
