package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Brave: ImageVector
    get() {
        if (_brave != null) {
            return _brave!!
        }
        _brave = Builder(name = "Brave", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.68f, 0.0f)
                lineToRelative(2.096f, 2.38f)
                reflectiveCurveToRelative(1.84f, -0.512f, 2.709f, 0.358f)
                curveToRelative(0.868f, 0.87f, 1.584f, 1.638f, 1.584f, 1.638f)
                lineToRelative(-0.562f, 1.381f)
                lineToRelative(0.715f, 2.047f)
                reflectiveCurveToRelative(-2.104f, 7.98f, -2.35f, 8.955f)
                curveToRelative(-0.486f, 1.919f, -0.818f, 2.66f, -2.198f, 3.633f)
                curveToRelative(-1.38f, 0.972f, -3.884f, 2.66f, -4.293f, 2.916f)
                curveToRelative(-0.409f, 0.256f, -0.92f, 0.692f, -1.38f, 0.692f)
                curveToRelative(-0.46f, 0.0f, -0.97f, -0.436f, -1.38f, -0.692f)
                arcToRelative(185.796f, 185.796f, 0.0f, false, true, -4.293f, -2.916f)
                curveToRelative(-1.38f, -0.973f, -1.712f, -1.714f, -2.197f, -3.633f)
                curveToRelative(-0.247f, -0.975f, -2.351f, -8.955f, -2.351f, -8.955f)
                lineToRelative(0.715f, -2.047f)
                lineToRelative(-0.562f, -1.381f)
                reflectiveCurveToRelative(0.716f, -0.768f, 1.585f, -1.638f)
                curveToRelative(0.868f, -0.87f, 2.708f, -0.358f, 2.708f, -0.358f)
                lineTo(8.321f, 0.0f)
                horizontalLineToRelative(7.36f)
                close()
                moveTo(12.001f, 14.936f)
                curveToRelative(-0.14f, 0.0f, -1.038f, 0.317f, -1.758f, 0.69f)
                curveToRelative(-0.72f, 0.373f, -1.242f, 0.637f, -1.409f, 0.742f)
                curveToRelative(-0.167f, 0.104f, -0.065f, 0.301f, 0.087f, 0.409f)
                curveToRelative(0.152f, 0.107f, 2.194f, 1.69f, 2.393f, 1.866f)
                curveToRelative(0.198f, 0.175f, 0.489f, 0.464f, 0.687f, 0.464f)
                curveToRelative(0.198f, 0.0f, 0.49f, -0.29f, 0.688f, -0.464f)
                curveToRelative(0.198f, -0.175f, 2.24f, -1.759f, 2.392f, -1.866f)
                curveToRelative(0.152f, -0.108f, 0.254f, -0.305f, 0.087f, -0.41f)
                curveToRelative(-0.167f, -0.104f, -0.689f, -0.368f, -1.41f, -0.741f)
                curveToRelative(-0.72f, -0.373f, -1.617f, -0.69f, -1.757f, -0.69f)
                close()
                moveTo(12.001f, 3.658f)
                reflectiveCurveToRelative(-0.409f, 0.001f, -1.022f, 0.206f)
                reflectiveCurveToRelative(-1.278f, 0.46f, -1.584f, 0.46f)
                curveToRelative(-0.307f, 0.0f, -2.581f, -0.434f, -2.581f, -0.434f)
                reflectiveCurveTo(4.119f, 7.152f, 4.119f, 7.849f)
                curveToRelative(0.0f, 0.697f, 0.339f, 0.881f, 0.68f, 1.243f)
                lineToRelative(2.02f, 2.149f)
                curveToRelative(0.192f, 0.203f, 0.59f, 0.511f, 0.356f, 1.066f)
                curveToRelative(-0.235f, 0.555f, -0.58f, 1.26f, -0.196f, 1.977f)
                curveToRelative(0.384f, 0.716f, 1.042f, 1.194f, 1.464f, 1.115f)
                curveToRelative(0.421f, -0.08f, 1.412f, -0.598f, 1.776f, -0.834f)
                curveToRelative(0.364f, -0.237f, 1.518f, -1.19f, 1.518f, -1.554f)
                curveToRelative(0.0f, -0.365f, -1.193f, -1.02f, -1.413f, -1.168f)
                curveToRelative(-0.22f, -0.15f, -1.226f, -0.725f, -1.247f, -0.95f)
                curveToRelative(-0.02f, -0.227f, -0.012f, -0.293f, 0.284f, -0.851f)
                curveToRelative(0.297f, -0.559f, 0.831f, -1.304f, 0.742f, -1.8f)
                curveToRelative(-0.089f, -0.495f, -0.95f, -0.753f, -1.565f, -0.986f)
                curveToRelative(-0.615f, -0.232f, -1.799f, -0.671f, -1.947f, -0.74f)
                curveToRelative(-0.148f, -0.068f, -0.11f, -0.133f, 0.339f, -0.175f)
                curveToRelative(0.448f, -0.043f, 1.719f, -0.212f, 2.292f, -0.052f)
                curveToRelative(0.573f, 0.16f, 1.552f, 0.403f, 1.632f, 0.532f)
                curveToRelative(0.079f, 0.13f, 0.149f, 0.134f, 0.067f, 0.579f)
                curveToRelative(-0.081f, 0.445f, -0.5f, 2.581f, -0.541f, 2.96f)
                curveToRelative(-0.04f, 0.38f, -0.12f, 0.63f, 0.288f, 0.724f)
                curveToRelative(0.409f, 0.094f, 1.097f, 0.256f, 1.333f, 0.256f)
                reflectiveCurveToRelative(0.924f, -0.162f, 1.333f, -0.256f)
                curveToRelative(0.408f, -0.093f, 0.329f, -0.344f, 0.288f, -0.723f)
                curveToRelative(-0.04f, -0.38f, -0.46f, -2.516f, -0.541f, -2.961f)
                curveToRelative(-0.082f, -0.445f, -0.012f, -0.45f, 0.067f, -0.579f)
                curveToRelative(0.08f, -0.129f, 1.059f, -0.372f, 1.632f, -0.532f)
                curveToRelative(0.573f, -0.16f, 1.845f, 0.009f, 2.292f, 0.052f)
                curveToRelative(0.449f, 0.042f, 0.487f, 0.107f, 0.339f, 0.175f)
                curveToRelative(-0.148f, 0.069f, -1.332f, 0.508f, -1.947f, 0.74f)
                curveToRelative(-0.615f, 0.233f, -1.476f, 0.49f, -1.565f, 0.986f)
                curveToRelative(-0.09f, 0.496f, 0.445f, 1.241f, 0.742f, 1.8f)
                curveToRelative(0.297f, 0.558f, 0.304f, 0.624f, 0.284f, 0.85f)
                curveToRelative(-0.02f, 0.226f, -1.026f, 0.802f, -1.247f, 0.95f)
                curveToRelative(-0.22f, 0.15f, -1.413f, 0.804f, -1.413f, 1.169f)
                curveToRelative(0.0f, 0.364f, 1.154f, 1.317f, 1.518f, 1.554f)
                curveToRelative(0.364f, 0.236f, 1.355f, 0.755f, 1.776f, 0.834f)
                curveToRelative(0.422f, 0.079f, 1.08f, -0.4f, 1.464f, -1.115f)
                curveToRelative(0.384f, -0.716f, 0.039f, -1.422f, -0.195f, -1.977f)
                curveToRelative(-0.235f, -0.555f, 0.163f, -0.863f, 0.355f, -1.066f)
                lineToRelative(2.02f, -2.149f)
                curveToRelative(0.341f, -0.362f, 0.68f, -0.546f, 0.68f, -1.243f)
                curveToRelative(0.0f, -0.697f, -2.695f, -3.96f, -2.695f, -3.96f)
                reflectiveCurveToRelative(-2.274f, 0.436f, -2.58f, 0.436f)
                curveToRelative(-0.307f, 0.0f, -0.972f, -0.256f, -1.585f, -0.461f)
                curveToRelative(-0.613f, -0.205f, -1.022f, -0.206f, -1.022f, -0.206f)
                close()
            }
        }
        .build()
        return _brave!!
    }

private var _brave: ImageVector? = null
