package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Ceph: ImageVector
    get() {
        if (_ceph != null) {
            return _ceph!!
        }
        _ceph = Builder(name = "Ceph", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.959f, 0.257f)
                arcTo(11.912f, 11.912f, 0.0f, false, false, 3.503f, 3.76f)
                arcTo(11.92f, 11.92f, 0.0f, false, false, 0.0f, 12.217f)
                arcToRelative(11.934f, 11.934f, 0.0f, false, false, 1.207f, 5.243f)
                curveToRelative(0.72f, 1.474f, 1.888f, 2.944f, 3.208f, 4.044f)
                curveToRelative(0.86f, -0.47f, 1.35f, -0.99f, 1.453f, -1.545f)
                curveToRelative(0.1f, -0.533f, -0.134f, -1.107f, -0.737f, -1.805f)
                arcToRelative(9.031f, 9.031f, 0.0f, false, true, -2.219f, -5.937f)
                curveToRelative(0.0f, -4.988f, 4.058f, -9.047f, 9.047f, -9.047f)
                horizontalLineToRelative(0.08f)
                curveToRelative(4.99f, 0.0f, 9.048f, 4.059f, 9.048f, 9.047f)
                arcToRelative(9.03f, 9.03f, 0.0f, false, true, -2.218f, 5.936f)
                curveToRelative(-0.599f, 0.693f, -0.84f, 1.292f, -0.735f, 1.83f)
                curveToRelative(0.108f, 0.556f, 0.595f, 1.068f, 1.449f, 1.522f)
                curveToRelative(1.322f, -1.1f, 2.489f, -2.57f, 3.209f, -4.046f)
                arcTo(11.898f, 11.898f, 0.0f, false, false, 24.0f, 12.217f)
                arcToRelative(11.929f, 11.929f, 0.0f, false, false, -3.503f, -8.457f)
                arcTo(11.923f, 11.923f, 0.0f, false, false, 12.04f, 0.257f)
                horizontalLineToRelative(-0.041f)
                close()
                moveTo(11.954f, 5.094f)
                arcToRelative(7.072f, 7.072f, 0.0f, false, false, -3.76f, 1.075f)
                arcTo(7.202f, 7.202f, 0.0f, false, false, 6.15f, 8.093f)
                arcToRelative(7.164f, 7.164f, 0.0f, false, false, -1.161f, 2.65f)
                arcToRelative(7.188f, 7.188f, 0.0f, false, false, 0.04f, 3.125f)
                arcToRelative(7.14f, 7.14f, 0.0f, false, false, 1.22f, 2.607f)
                curveToRelative(0.154f, 0.207f, 0.326f, 0.396f, 0.509f, 0.597f)
                lineToRelative(0.185f, 0.202f)
                lineToRelative(0.005f, 0.006f)
                curveToRelative(0.007f, 0.007f, 0.017f, 0.016f, 0.026f, 0.027f)
                curveToRelative(0.635f, 0.738f, 0.957f, 1.533f, 0.957f, 2.36f)
                arcToRelative(3.4f, 3.4f, 0.0f, false, true, -1.788f, 2.989f)
                arcToRelative(11.924f, 11.924f, 0.0f, false, false, 2.685f, 1.087f)
                curveToRelative(0.14f, -0.088f, 0.614f, -0.441f, 1.077f, -1.083f)
                arcToRelative(4.899f, 4.899f, 0.0f, false, false, 0.94f, -2.99f)
                arcToRelative(6.595f, 6.595f, 0.0f, false, false, -0.49f, -2.37f)
                arcToRelative(6.717f, 6.717f, 0.0f, false, false, -1.302f, -2.033f)
                lineToRelative(-0.002f, -0.004f)
                lineToRelative(-0.124f, -0.142f)
                curveToRelative(-0.21f, -0.245f, -0.428f, -0.497f, -0.602f, -0.792f)
                arcToRelative(4.104f, 4.104f, 0.0f, false, true, -0.462f, -1.135f)
                arcToRelative(4.258f, 4.258f, 0.0f, false, true, -0.024f, -1.85f)
                arcToRelative(4.25f, 4.25f, 0.0f, false, true, 0.686f, -1.564f)
                arcToRelative(4.216f, 4.216f, 0.0f, false, true, 3.432f, -1.773f)
                lineTo(12.042f, 8.007f)
                arcToRelative(4.202f, 4.202f, 0.0f, false, true, 3.432f, 1.773f)
                curveToRelative(0.33f, 0.466f, 0.568f, 1.007f, 0.686f, 1.565f)
                arcToRelative(4.27f, 4.27f, 0.0f, false, true, -0.023f, 1.849f)
                curveToRelative(-0.093f, 0.39f, -0.249f, 0.772f, -0.463f, 1.135f)
                curveToRelative(-0.173f, 0.295f, -0.391f, 0.547f, -0.602f, 0.792f)
                lineToRelative(-0.123f, 0.142f)
                lineToRelative(-0.004f, 0.004f)
                arcToRelative(6.736f, 6.736f, 0.0f, false, false, -1.301f, 2.033f)
                arcToRelative(6.607f, 6.607f, 0.0f, false, false, -0.49f, 2.37f)
                arcToRelative(4.897f, 4.897f, 0.0f, false, false, 0.94f, 2.99f)
                curveToRelative(0.463f, 0.642f, 0.937f, 0.995f, 1.076f, 1.083f)
                arcToRelative(11.776f, 11.776f, 0.0f, false, false, 2.687f, -1.087f)
                arcToRelative(3.399f, 3.399f, 0.0f, false, true, -1.789f, -2.988f)
                curveToRelative(0.0f, -0.817f, 0.313f, -1.59f, 0.956f, -2.359f)
                curveToRelative(0.009f, -0.012f, 0.02f, -0.022f, 0.027f, -0.03f)
                lineToRelative(0.006f, -0.004f)
                lineToRelative(0.184f, -0.204f)
                curveToRelative(0.183f, -0.2f, 0.355f, -0.39f, 0.51f, -0.596f)
                arcToRelative(7.14f, 7.14f, 0.0f, false, false, 1.22f, -2.608f)
                arcToRelative(7.21f, 7.21f, 0.0f, false, false, 0.04f, -3.124f)
                arcToRelative(7.185f, 7.185f, 0.0f, false, false, -1.16f, -2.65f)
                arcToRelative(7.203f, 7.203f, 0.0f, false, false, -2.044f, -1.924f)
                arcToRelative(7.074f, 7.074f, 0.0f, false, false, -3.762f, -1.075f)
                horizontalLineToRelative(-0.09f)
                close()
                moveTo(12.0f, 9.97f)
                arcToRelative(2.365f, 2.365f, 0.0f, false, false, -2.362f, 2.361f)
                arcTo(2.364f, 2.364f, 0.0f, false, false, 12.0f, 14.691f)
                curveToRelative(1.301f, 0.0f, 2.36f, -1.059f, 2.36f, -2.36f)
                arcTo(2.364f, 2.364f, 0.0f, false, false, 12.0f, 9.968f)
                close()
            }
        }
        .build()
        return _ceph!!
    }

private var _ceph: ImageVector? = null
