package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Cocos: ImageVector
    get() {
        if (_cocos != null) {
            return _cocos!!
        }
        _cocos = Builder(name = "Cocos", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.365f, 0.0f)
                horizontalLineToRelative(0.002f)
                close()
                curveToRelative(-0.007f, 0.004f, -0.002f, 0.066f, 0.018f, 0.143f)
                curveToRelative(0.19f, 0.787f, 0.395f, 1.67f, 0.395f, 1.7f)
                curveToRelative(0.0f, 0.023f, -0.242f, 0.247f, -0.538f, 0.5f)
                curveToRelative(-0.296f, 0.253f, -0.628f, 0.552f, -0.735f, 0.663f)
                lineToRelative(-0.175f, 0.182f)
                horizontalLineToRelative(-0.247f)
                curveToRelative(-1.53f, -0.004f, -3.06f, 0.014f, -4.588f, -0.01f)
                curveToRelative(-0.578f, -0.01f, -0.855f, 0.407f, -0.855f, 0.85f)
                curveToRelative(0.007f, 6.384f, 0.007f, 12.766f, 0.007f, 19.15f)
                curveToRelative(0.0f, 0.542f, 0.283f, 0.822f, 0.828f, 0.822f)
                horizontalLineToRelative(15.06f)
                curveToRelative(0.542f, 0.0f, 0.825f, -0.28f, 0.825f, -0.825f)
                lineTo(20.36f, 4.025f)
                curveToRelative(0.0f, -0.56f, -0.276f, -0.838f, -0.83f, -0.838f)
                curveToRelative(-1.632f, 0.0f, -3.264f, 0.002f, -4.896f, -0.006f)
                horizontalLineToRelative(-0.208f)
                lineToRelative(-0.546f, -0.532f)
                curveToRelative(-0.94f, -0.915f, -1.62f, -1.455f, -2.762f, -2.18f)
                arcTo(17.17f, 17.17f, 0.0f, false, false, 10.366f, 0.0f)
                close()
                moveTo(11.32f, 1.35f)
                curveToRelative(0.03f, -0.004f, 0.232f, 0.125f, 0.47f, 0.3f)
                arcToRelative(16.989f, 16.989f, 0.0f, false, true, 2.497f, 2.31f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.465f, 0.52f, 0.903f, 1.057f, 1.268f, 1.6f)
                curveToRelative(0.357f, 0.53f, 0.935f, 1.546f, 0.935f, 1.64f)
                curveToRelative(0.0f, 0.03f, 0.017f, 0.052f, 0.037f, 0.052f)
                curveToRelative(0.02f, 0.0f, 0.083f, -0.168f, 0.14f, -0.374f)
                curveToRelative(0.127f, -0.45f, 0.126f, -0.448f, 0.388f, 0.403f)
                curveToRelative(0.38f, 1.238f, 0.51f, 2.106f, 0.51f, 3.38f)
                curveToRelative(0.0f, 0.992f, -0.047f, 1.402f, -0.23f, 2.12f)
                curveToRelative(-0.053f, 0.205f, -0.066f, 0.318f, -0.035f, 0.318f)
                curveToRelative(0.026f, 0.0f, 0.184f, -0.038f, 0.352f, -0.086f)
                curveToRelative(0.167f, -0.048f, 0.31f, -0.08f, 0.318f, -0.073f)
                curveToRelative(0.028f, 0.027f, -0.394f, 0.753f, -0.692f, 1.19f)
                curveToRelative(-1.246f, 1.828f, -2.718f, 2.91f, -4.358f, 3.206f)
                curveToRelative(-0.917f, 0.165f, -1.763f, 0.1f, -2.61f, -0.198f)
                curveToRelative(-0.45f, -0.158f, -0.813f, -0.348f, -1.398f, -0.733f)
                curveToRelative(-1.25f, -0.82f, -2.206f, -2.292f, -2.68f, -4.12f)
                curveToRelative(-0.214f, -0.82f, -0.378f, -2.076f, -0.378f, -2.895f)
                lineTo(5.856f, 9.0f)
                lineToRelative(0.277f, 0.415f)
                curveToRelative(0.403f, 0.603f, 0.89f, 1.217f, 0.93f, 1.172f)
                curveToRelative(0.006f, -0.01f, -0.104f, -0.224f, -0.247f, -0.478f)
                curveToRelative(-0.302f, -0.536f, -0.303f, -0.53f, -0.08f, -1.39f)
                curveToRelative(0.362f, -1.406f, 1.112f, -2.862f, 2.108f, -4.098f)
                curveToRelative(0.143f, -0.178f, 0.395f, -0.43f, 0.614f, -0.663f)
                curveToRelative(0.603f, -0.644f, 1.29f, -1.32f, 1.342f, -1.27f)
                curveToRelative(0.01f, 0.01f, -0.01f, 0.126f, -0.045f, 0.257f)
                curveToRelative(-0.134f, 0.492f, -0.33f, 1.332f, -0.313f, 1.348f)
                curveToRelative(0.004f, 0.004f, 0.126f, -0.216f, 0.197f, -0.336f)
                curveToRelative(0.072f, -0.124f, 0.096f, -0.15f, 0.203f, -0.344f)
                curveToRelative(0.21f, -0.38f, 0.39f, -0.7f, 0.395f, -0.706f)
                curveToRelative(0.006f, -0.007f, 0.132f, 0.112f, 0.28f, 0.264f)
                curveToRelative(0.222f, 0.225f, 0.27f, 0.256f, 0.25f, 0.167f)
                curveToRelative(-0.014f, -0.06f, -0.123f, -0.522f, -0.245f, -1.028f)
                curveToRelative(-0.12f, -0.506f, -0.215f, -0.938f, -0.207f, -0.96f)
                curveToRelative(0.0f, -0.002f, 0.002f, -0.003f, 0.004f, -0.003f)
                close()
                moveTo(15.4f, 3.94f)
                horizontalLineToRelative(3.71f)
                curveToRelative(0.372f, 0.0f, 0.49f, 0.114f, 0.49f, 0.482f)
                verticalLineToRelative(13.9f)
                curveToRelative(0.0f, 0.36f, -0.12f, 0.457f, -0.558f, 0.457f)
                lineTo(6.42f, 18.779f)
                curveToRelative(-0.52f, 0.0f, -1.04f, 0.002f, -1.56f, 0.0f)
                curveToRelative(-0.33f, -0.003f, -0.453f, -0.126f, -0.453f, -0.448f)
                lineTo(4.407f, 4.41f)
                curveToRelative(0.0f, -0.343f, 0.12f, -0.467f, 0.46f, -0.467f)
                curveToRelative(1.17f, -0.002f, 2.342f, 0.0f, 3.513f, 0.0f)
                curveToRelative(0.048f, 0.0f, 0.097f, 0.005f, 0.116f, 0.006f)
                horizontalLineToRelative(0.1f)
                lineToRelative(-0.007f, 0.006f)
                lineToRelative(-0.138f, 0.165f)
                curveToRelative(-0.948f, 1.143f, -1.77f, 2.63f, -2.157f, 3.912f)
                curveToRelative(-0.053f, 0.176f, -0.102f, 0.32f, -0.11f, 0.32f)
                curveToRelative(-0.006f, 0.0f, -0.207f, -0.29f, -0.443f, -0.64f)
                curveToRelative(-0.237f, -0.352f, -0.448f, -0.652f, -0.47f, -0.665f)
                curveToRelative(-0.074f, -0.046f, -0.01f, 3.277f, 0.075f, 3.897f)
                curveToRelative(0.305f, 2.222f, 1.053f, 3.926f, 2.292f, 5.214f)
                curveToRelative(0.62f, 0.646f, 1.705f, 1.31f, 2.633f, 1.612f)
                curveToRelative(1.36f, 0.444f, 2.87f, 0.33f, 4.27f, -0.32f)
                curveToRelative(1.37f, -0.638f, 2.723f, -1.993f, 3.706f, -3.713f)
                curveToRelative(0.366f, -0.642f, 0.934f, -1.742f, 0.91f, -1.766f)
                curveToRelative(-0.01f, -0.01f, -0.255f, 0.05f, -0.542f, 0.132f)
                arcToRelative(5.99f, 5.99f, 0.0f, false, true, -0.533f, 0.14f)
                arcToRelative(1.427f, 1.427f, 0.0f, false, true, 0.033f, -0.292f)
                curveToRelative(0.09f, -0.534f, 0.103f, -1.682f, 0.027f, -2.396f)
                curveToRelative(-0.134f, -1.262f, -0.344f, -2.09f, -0.93f, -3.663f)
                curveToRelative(-0.467f, -1.258f, -0.473f, -1.274f, -0.5f, -1.274f)
                curveToRelative(-0.014f, 0.0f, -0.092f, 0.238f, -0.173f, 0.528f)
                curveToRelative(-0.082f, 0.29f, -0.154f, 0.526f, -0.16f, 0.526f)
                arcToRelative(0.831f, 0.831f, 0.0f, false, true, -0.114f, -0.165f)
                arcToRelative(21.09f, 21.09f, 0.0f, false, false, -0.972f, -1.34f)
                lineToRelative(-0.174f, -0.21f)
                horizontalLineToRelative(-0.004f)
                horizontalLineToRelative(0.047f)
                curveToRelative(0.083f, -0.005f, 0.158f, -0.013f, 0.234f, -0.013f)
                close()
                moveTo(11.8f, 4.65f)
                lineToRelative(-0.032f, 0.234f)
                curveToRelative(-0.027f, 0.2f, -0.205f, 0.86f, -0.31f, 1.157f)
                curveToRelative(-0.048f, 0.132f, 0.26f, -0.17f, 0.433f, -0.426f)
                curveToRelative(0.08f, -0.115f, 0.152f, -0.21f, 0.165f, -0.21f)
                curveToRelative(0.014f, 0.0f, 0.17f, 0.147f, 0.35f, 0.327f)
                curveToRelative(0.18f, 0.18f, 0.333f, 0.32f, 0.34f, 0.313f)
                curveToRelative(0.03f, -0.03f, -0.21f, -0.515f, -0.377f, -0.76f)
                arcToRelative(3.624f, 3.624f, 0.0f, false, false, -0.37f, -0.445f)
                close()
                moveTo(9.32f, 6.584f)
                lineToRelative(-0.132f, 0.125f)
                curveToRelative(-0.178f, 0.17f, -0.485f, 0.64f, -0.63f, 0.96f)
                curveToRelative(-0.15f, 0.332f, -0.33f, 0.85f, -0.328f, 0.94f)
                curveToRelative(0.0f, 0.04f, 0.072f, -0.06f, 0.158f, -0.222f)
                curveToRelative(0.155f, -0.29f, 0.603f, -0.872f, 0.67f, -0.872f)
                curveToRelative(0.02f, 0.0f, 0.06f, 0.053f, 0.09f, 0.12f)
                curveToRelative(0.06f, 0.132f, 0.36f, 0.552f, 0.378f, 0.53f)
                arcToRelative(1.875f, 1.875f, 0.0f, false, false, -0.045f, -0.32f)
                curveToRelative(-0.03f, -0.17f, -0.07f, -0.465f, -0.085f, -0.66f)
                arcToRelative(6.93f, 6.93f, 0.0f, false, false, -0.053f, -0.476f)
                close()
                moveTo(14.773f, 6.592f)
                curveToRelative(-0.02f, 0.0f, -0.038f, 0.113f, -0.04f, 0.252f)
                curveToRelative(0.0f, 0.24f, -0.097f, 1.002f, -0.157f, 1.242f)
                curveToRelative(-0.026f, 0.107f, -0.023f, 0.107f, 0.088f, -0.02f)
                curveToRelative(0.063f, -0.074f, 0.166f, -0.22f, 0.23f, -0.33f)
                curveToRelative(0.065f, -0.11f, 0.123f, -0.207f, 0.132f, -0.217f)
                curveToRelative(0.054f, -0.063f, 0.71f, 0.816f, 0.786f, 1.052f)
                curveToRelative(0.017f, 0.052f, 0.04f, 0.083f, 0.053f, 0.07f)
                curveToRelative(0.03f, -0.03f, -0.188f, -0.687f, -0.323f, -0.975f)
                curveToRelative(-0.197f, -0.42f, -0.664f, -1.074f, -0.768f, -1.074f)
                close()
                moveTo(12.143f, 7.692f)
                horizontalLineToRelative(0.002f)
                close()
                curveToRelative(-0.04f, 0.006f, -0.274f, 0.505f, -0.348f, 0.746f)
                curveToRelative(-0.083f, 0.27f, -0.182f, 0.978f, -0.18f, 1.296f)
                verticalLineToRelative(0.307f)
                lineToRelative(0.108f, -0.41f)
                curveToRelative(0.095f, -0.368f, 0.25f, -0.758f, 0.365f, -0.926f)
                curveToRelative(0.035f, -0.05f, 0.087f, -0.023f, 0.274f, 0.145f)
                curveToRelative(0.127f, 0.114f, 0.267f, 0.227f, 0.31f, 0.25f)
                curveToRelative(0.085f, 0.045f, 0.11f, 0.0f, 0.042f, -0.072f)
                curveToRelative(-0.057f, -0.06f, -0.392f, -0.855f, -0.47f, -1.117f)
                curveToRelative(-0.035f, -0.12f, -0.08f, -0.217f, -0.1f, -0.22f)
                close()
                moveTo(9.56f, 10.917f)
                curveToRelative(-0.725f, 0.02f, -1.372f, 0.593f, -1.573f, 1.445f)
                curveToRelative(-0.088f, 0.374f, -0.082f, 0.66f, 0.022f, 1.062f)
                curveToRelative(0.2f, 0.792f, 0.655f, 1.322f, 1.36f, 1.59f)
                curveToRelative(0.098f, 0.038f, 0.3f, 0.058f, 0.55f, 0.05f)
                curveToRelative(0.34f, -0.007f, 0.433f, -0.027f, 0.65f, -0.138f)
                curveToRelative(0.51f, -0.258f, 0.868f, -0.8f, 0.965f, -1.463f)
                curveToRelative(0.043f, -0.298f, 0.04f, -0.41f, -0.022f, -0.72f)
                curveToRelative(-0.187f, -0.95f, -0.812f, -1.636f, -1.64f, -1.8f)
                curveToRelative(-0.104f, -0.02f, -0.21f, -0.03f, -0.313f, -0.026f)
                close()
                moveTo(14.647f, 10.917f)
                curveToRelative(-0.03f, 0.0f, -0.06f, 0.002f, -0.09f, 0.004f)
                curveToRelative(-0.847f, 0.058f, -1.65f, 0.858f, -1.808f, 1.882f)
                curveToRelative(-0.143f, 0.93f, 0.33f, 1.89f, 1.073f, 2.183f)
                curveToRelative(0.344f, 0.135f, 0.928f, 0.112f, 1.277f, -0.05f)
                curveToRelative(0.814f, -0.38f, 1.355f, -1.432f, 1.222f, -2.373f)
                curveToRelative(-0.12f, -0.854f, -0.656f, -1.474f, -1.402f, -1.62f)
                arcToRelative(1.393f, 1.393f, 0.0f, false, false, -0.273f, -0.024f)
                close()
                moveTo(14.132f, 12.977f)
                curveToRelative(0.38f, 0.012f, 0.612f, 0.473f, 0.366f, 0.792f)
                curveToRelative(-0.096f, 0.12f, -0.338f, 0.2f, -0.51f, 0.16f)
                curveToRelative(-0.51f, -0.11f, -0.456f, -0.88f, 0.066f, -0.948f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.078f, -0.004f)
                close()
                moveTo(10.164f, 12.987f)
                curveToRelative(0.2f, 0.0f, 0.24f, 0.02f, 0.354f, 0.146f)
                curveToRelative(0.192f, 0.215f, 0.165f, 0.6f, -0.05f, 0.714f)
                curveToRelative(-0.19f, 0.1f, -0.332f, 0.12f, -0.467f, 0.065f)
                curveToRelative(-0.33f, -0.14f, -0.424f, -0.52f, -0.192f, -0.78f)
                curveToRelative(0.113f, -0.126f, 0.155f, -0.144f, 0.356f, -0.144f)
                close()
                moveTo(8.65f, 19.543f)
                curveToRelative(0.25f, 0.0f, 0.498f, 0.002f, 0.746f, 0.008f)
                curveToRelative(0.49f, 0.01f, 0.683f, 0.22f, 0.683f, 0.712f)
                verticalLineToRelative(1.162f)
                horizontalLineToRelative(-0.003f)
                verticalLineToRelative(1.14f)
                curveToRelative(-0.003f, 0.416f, -0.192f, 0.633f, -0.608f, 0.646f)
                arcToRelative(25.8f, 25.8f, 0.0f, false, true, -1.622f, 0.0f)
                curveToRelative(-0.416f, -0.015f, -0.603f, -0.228f, -0.608f, -0.648f)
                curveToRelative(-0.005f, -0.775f, -0.006f, -1.55f, 0.0f, -2.324f)
                curveToRelative(0.004f, -0.466f, 0.206f, -0.676f, 0.666f, -0.687f)
                curveToRelative(0.25f, -0.005f, 0.497f, -0.008f, 0.745f, -0.008f)
                close()
                moveTo(14.88f, 19.543f)
                curveToRelative(0.29f, 0.002f, 0.577f, 0.01f, 0.865f, 0.026f)
                curveToRelative(0.348f, 0.02f, 0.53f, 0.23f, 0.534f, 0.58f)
                curveToRelative(0.013f, 0.817f, 0.016f, 1.636f, 0.004f, 2.454f)
                curveToRelative(-0.005f, 0.39f, -0.21f, 0.59f, -0.608f, 0.604f)
                curveToRelative(-0.54f, 0.02f, -1.08f, 0.02f, -1.62f, 0.0f)
                curveToRelative(-0.428f, -0.015f, -0.606f, -0.23f, -0.61f, -0.666f)
                verticalLineToRelative(-1.16f)
                horizontalLineToRelative(-0.003f)
                curveToRelative(0.0f, -0.39f, -0.004f, -0.775f, 0.0f, -1.164f)
                curveToRelative(0.004f, -0.418f, 0.166f, -0.636f, 0.573f, -0.656f)
                curveToRelative(0.288f, -0.013f, 0.576f, -0.02f, 0.865f, -0.017f)
                close()
                moveTo(12.136f, 19.545f)
                curveToRelative(0.29f, 0.0f, 0.583f, 0.003f, 0.88f, 0.003f)
                verticalLineToRelative(0.632f)
                horizontalLineToRelative(-1.452f)
                curveToRelative(-0.31f, 0.0f, -0.333f, 0.023f, -0.333f, 0.34f)
                curveToRelative(0.0f, 0.6f, 0.006f, 1.2f, -0.003f, 1.8f)
                curveToRelative(-0.003f, 0.2f, 0.075f, 0.275f, 0.27f, 0.272f)
                curveToRelative(0.424f, -0.007f, 0.847f, 0.0f, 1.272f, 0.0f)
                horizontalLineToRelative(0.267f)
                lineToRelative(0.003f, 0.603f)
                curveToRelative(-0.05f, 0.007f, -0.098f, 0.02f, -0.146f, 0.02f)
                curveToRelative(-0.527f, 0.002f, -1.054f, 0.005f, -1.58f, 0.0f)
                curveToRelative(-0.516f, -0.005f, -0.716f, -0.21f, -0.716f, -0.722f)
                verticalLineToRelative(-2.24f)
                curveToRelative(0.0f, -0.476f, 0.197f, -0.692f, 0.67f, -0.703f)
                curveToRelative(0.29f, -0.006f, 0.577f, -0.007f, 0.868f, -0.006f)
                close()
                moveTo(18.426f, 19.551f)
                curveToRelative(0.358f, 0.0f, 0.72f, 0.005f, 1.086f, 0.005f)
                verticalLineToRelative(0.622f)
                horizontalLineToRelative(-1.794f)
                curveToRelative(-0.26f, 0.0f, -0.286f, 0.027f, -0.286f, 0.292f)
                curveToRelative(0.006f, 0.727f, -0.102f, 0.634f, 0.64f, 0.64f)
                curveToRelative(0.298f, 0.003f, 0.6f, -0.003f, 0.898f, 0.003f)
                curveToRelative(0.433f, 0.01f, 0.632f, 0.206f, 0.64f, 0.633f)
                curveToRelative(0.004f, 0.278f, 0.005f, 0.557f, -0.004f, 0.834f)
                curveToRelative(-0.013f, 0.383f, -0.193f, 0.607f, -0.572f, 0.62f)
                curveToRelative(-0.736f, 0.023f, -1.474f, 0.006f, -2.226f, 0.006f)
                verticalLineToRelative(-0.616f)
                horizontalLineToRelative(0.244f)
                curveToRelative(0.557f, 0.0f, 1.113f, -0.003f, 1.668f, 0.002f)
                curveToRelative(0.186f, 0.002f, 0.272f, -0.072f, 0.264f, -0.26f)
                arcToRelative(5.38f, 5.38f, 0.0f, false, true, 0.0f, -0.44f)
                curveToRelative(0.007f, -0.188f, -0.078f, -0.258f, -0.266f, -0.254f)
                curveToRelative(-0.4f, 0.01f, -0.804f, 0.006f, -1.206f, 0.002f)
                curveToRelative(-0.533f, -0.006f, -0.722f, -0.203f, -0.722f, -0.737f)
                curveToRelative(0.0f, -0.242f, -0.003f, -0.483f, 0.004f, -0.724f)
                curveToRelative(0.012f, -0.387f, 0.19f, -0.608f, 0.568f, -0.62f)
                curveToRelative(0.353f, -0.01f, 0.707f, -0.01f, 1.065f, -0.01f)
                close()
                moveTo(5.586f, 19.571f)
                curveToRelative(0.41f, -0.003f, 0.82f, 0.006f, 1.237f, 0.006f)
                verticalLineToRelative(0.586f)
                curveToRelative(-0.08f, 0.005f, -0.156f, 0.014f, -0.232f, 0.014f)
                curveToRelative(-0.438f, 0.002f, -0.877f, 0.005f, -1.315f, 0.0f)
                curveToRelative(-0.175f, -0.002f, -0.25f, 0.072f, -0.25f, 0.25f)
                curveToRelative(0.006f, 0.638f, 0.008f, 1.274f, 0.0f, 1.91f)
                curveToRelative(0.0f, 0.196f, 0.083f, 0.257f, 0.265f, 0.256f)
                curveToRelative(0.438f, -0.005f, 0.877f, -0.002f, 1.316f, -0.002f)
                horizontalLineToRelative(0.223f)
                verticalLineToRelative(0.608f)
                curveToRelative(-0.65f, 0.0f, -1.284f, 0.02f, -1.917f, -0.008f)
                curveToRelative(-0.342f, -0.014f, -0.51f, -0.227f, -0.514f, -0.568f)
                curveToRelative(-0.01f, -0.826f, -0.01f, -1.653f, 0.0f, -2.48f)
                curveToRelative(0.003f, -0.318f, 0.157f, -0.544f, 0.448f, -0.557f)
                curveToRelative(0.25f, -0.014f, 0.51f, -0.01f, 0.737f, -0.016f)
                close()
                moveTo(15.392f, 20.178f)
                curveToRelative(-0.357f, 0.007f, -0.715f, 0.005f, -1.072f, 0.0f)
                curveToRelative(-0.177f, 0.0f, -0.248f, 0.08f, -0.246f, 0.255f)
                curveToRelative(0.004f, 0.643f, 0.004f, 1.285f, 0.0f, 1.927f)
                curveToRelative(0.0f, 0.16f, 0.07f, 0.23f, 0.22f, 0.23f)
                curveToRelative(0.38f, 0.003f, 0.76f, 0.0f, 1.138f, 0.0f)
                curveToRelative(0.17f, 0.0f, 0.228f, -0.083f, 0.224f, -0.248f)
                curveToRelative(-0.008f, -0.32f, 0.0f, -0.642f, -0.005f, -0.963f)
                curveToRelative(0.0f, -0.316f, -0.007f, -0.63f, 0.0f, -0.944f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.005f, -0.19f, -0.077f, -0.26f, -0.262f, -0.258f)
                close()
                moveTo(8.11f, 20.181f)
                curveToRelative(-0.168f, -0.002f, -0.237f, 0.076f, -0.235f, 0.24f)
                curveToRelative(0.005f, 0.322f, 0.0f, 0.644f, 0.0f, 0.965f)
                curveToRelative(0.0f, 0.32f, 0.006f, 0.64f, -0.004f, 0.962f)
                horizontalLineToRelative(0.002f)
                curveToRelative(-0.004f, 0.17f, 0.067f, 0.245f, 0.23f, 0.245f)
                lineTo(9.22f, 22.593f)
                curveToRelative(0.158f, 0.0f, 0.235f, -0.068f, 0.234f, -0.24f)
                curveToRelative(-0.006f, -0.642f, -0.004f, -1.283f, 0.0f, -1.926f)
                curveToRelative(0.0f, -0.16f, -0.056f, -0.248f, -0.228f, -0.246f)
                curveToRelative(-0.373f, 0.005f, -0.745f, 0.003f, -1.117f, 0.0f)
                close()
            }
        }
        .build()
        return _cocos!!
    }

private var _cocos: ImageVector? = null
