package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.CondaForge: ImageVector
    get() {
        if (_condaForge != null) {
            return _condaForge!!
        }
        _condaForge = Builder(name = "CondaForge", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.206f, 5.866f)
                lineToRelative(0.005f, 0.396f)
                lineTo(6.754f, 6.262f)
                lineToRelative(0.006f, 0.655f)
                verticalLineToRelative(0.005f)
                lineToRelative(-6.758f, 0.002f)
                verticalLineToRelative(0.211f)
                lineTo(0.0f, 7.973f)
                lineToRelative(0.02f, 0.041f)
                curveToRelative(0.212f, 0.467f, 0.663f, 0.901f, 1.257f, 1.313f)
                curveToRelative(0.594f, 0.411f, 1.335f, 0.796f, 2.145f, 1.13f)
                curveToRelative(1.62f, 0.664f, 3.502f, 1.12f, 5.006f, 1.1f)
                curveToRelative(0.746f, -0.01f, 1.265f, 0.228f, 1.62f, 0.672f)
                curveToRelative(0.341f, 0.426f, 0.51f, 1.092f, 0.524f, 1.92f)
                lineTo(7.94f, 16.239f)
                lineToRelative(0.008f, 1.896f)
                lineTo(20.29f, 18.135f)
                lineToRelative(-0.004f, -1.76f)
                lineToRelative(-2.63f, -2.22f)
                curveToRelative(0.055f, -2.013f, 0.708f, -3.443f, 1.777f, -4.405f)
                curveToRelative(1.087f, -0.979f, 2.61f, -1.49f, 4.37f, -1.616f)
                lineToRelative(0.195f, -0.015f)
                lineTo(24.0f, 5.872f)
                close()
                moveTo(8.631f, 6.288f)
                lineToRelative(14.946f, 0.006f)
                lineToRelative(-0.004f, 1.457f)
                curveToRelative(-1.737f, 0.155f, -3.29f, 0.666f, -4.424f, 1.685f)
                curveToRelative(-0.912f, 0.822f, -1.433f, 2.062f, -1.691f, 3.534f)
                lineToRelative(-1.617f, 0.004f)
                lineToRelative(0.002f, 0.422f)
                lineToRelative(1.535f, -0.004f)
                curveToRelative(-0.027f, 0.226f, -0.113f, 0.4f, -0.123f, 0.64f)
                lineToRelative(-0.893f, -0.003f)
                lineToRelative(-0.002f, 0.422f)
                lineToRelative(0.995f, 0.004f)
                lineToRelative(2.138f, 1.802f)
                lineToRelative(-2.941f, 0.002f)
                curveToRelative(-0.724f, -0.675f, -1.552f, -1.116f, -2.416f, -1.158f)
                curveToRelative(-0.817f, -0.04f, -1.638f, 0.324f, -2.387f, 1.04f)
                lineToRelative(-2.978f, -0.024f)
                lineToRelative(2.248f, -1.781f)
                verticalLineToRelative(-0.102f)
                curveToRelative(0.002f, -0.943f, -0.2f, -1.72f, -0.64f, -2.269f)
                curveToRelative(-0.396f, -0.496f, -1.007f, -0.749f, -1.741f, -0.79f)
                lineToRelative(-0.008f, -4.49f)
                horizontalLineToRelative(0.008f)
                close()
                moveTo(7.181f, 6.684f)
                horizontalLineToRelative(1.026f)
                lineToRelative(0.008f, 4.404f)
                curveToRelative(-1.387f, -0.02f, -3.125f, -0.404f, -4.631f, -1.023f)
                curveToRelative(-0.787f, -0.324f, -1.507f, -0.698f, -2.066f, -1.086f)
                curveTo(0.968f, 8.6f, 0.587f, 8.203f, 0.424f, 7.86f)
                verticalLineToRelative(-0.514f)
                lineToRelative(6.336f, -0.002f)
                verticalLineToRelative(2.16f)
                horizontalLineToRelative(0.422f)
                verticalLineToRelative(-2.16f)
                horizontalLineToRelative(0.004f)
                lineToRelative(-0.004f, -0.435f)
                verticalLineToRelative(-0.226f)
                close()
                moveTo(14.116f, 15.523f)
                curveToRelative(0.75f, 0.037f, 1.503f, 0.436f, 2.18f, 1.078f)
                lineToRelative(-0.002f, 1.112f)
                horizontalLineToRelative(-4.345f)
                lineToRelative(-0.006f, -1.2f)
                curveToRelative(0.706f, -0.717f, 1.443f, -1.026f, 2.173f, -0.99f)
                close()
                moveTo(8.36f, 16.537f)
                lineToRelative(3.16f, 0.023f)
                lineToRelative(0.006f, 1.153f)
                horizontalLineToRelative(-3.16f)
                close()
                moveTo(19.86f, 16.679f)
                lineToRelative(0.002f, 1.034f)
                horizontalLineToRelative(-3.148f)
                lineTo(16.714f, 16.68f)
                close()
            }
        }
        .build()
        return _condaForge!!
    }

private var _condaForge: ImageVector? = null
