package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Discogs: ImageVector
    get() {
        if (_discogs != null) {
            return _discogs!!
        }
        _discogs = Builder(name = "Discogs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.7422f, 11.982f)
                curveToRelative(0.0f, -5.6682f, 4.61f, -10.2782f, 10.2758f, -10.2782f)
                curveToRelative(1.8238f, 0.0f, 3.5372f, 0.48f, 5.0251f, 1.3175f)
                lineToRelative(0.8135f, -1.4879f)
                curveTo(16.1768f, 0.588f, 14.2474f, 0.036f, 12.1908f, 0.0024f)
                horizontalLineToRelative(-0.1944f)
                curveTo(5.4091f, 0.0144f, 0.072f, 5.3107f, 0.0f, 11.886f)
                verticalLineToRelative(0.1152f)
                curveToRelative(0.0072f, 3.4389f, 1.4567f, 6.5345f, 3.7748f, 8.7207f)
                lineToRelative(1.1855f, -1.2814f)
                curveToRelative(-1.9798f, -1.8743f, -3.218f, -4.526f, -3.218f, -7.4585f)
                close()
                moveTo(20.362f, 3.4053f)
                lineToRelative(-1.1543f, 1.2406f)
                curveToRelative(1.903f, 1.867f, 3.0885f, 4.4636f, 3.0885f, 7.3361f)
                curveToRelative(0.0f, 5.6658f, -4.61f, 10.2758f, -10.2758f, 10.2758f)
                curveToRelative(-1.783f, 0.0f, -3.4605f, -0.456f, -4.922f, -1.2575f)
                lineToRelative(-0.8542f, 1.5214f)
                curveToRelative(1.7086f, 0.9384f, 3.6692f, 1.4735f, 5.7546f, 1.4759f)
                curveTo(18.6245f, 23.9976f, 24.0f, 18.6246f, 24.0f, 11.9988f)
                curveToRelative(-0.0048f, -3.3717f, -1.399f, -6.4146f, -3.638f, -8.5935f)
                close()
                moveTo(1.963f, 11.982f)
                curveToRelative(0.0f, 2.8701f, 1.2119f, 5.4619f, 3.146f, 7.2953f)
                lineToRelative(1.1808f, -1.2767f)
                curveToRelative(-1.591f, -1.5166f, -2.587f, -3.6524f, -2.587f, -6.0186f)
                curveToRelative(0.0f, -4.586f, 3.7293f, -8.3152f, 8.3152f, -8.3152f)
                curveToRelative(1.483f, 0.0f, 2.875f, 0.3912f, 4.082f, 1.0751f)
                lineToRelative(0.8351f, -1.5262f)
                curveTo(15.481f, 2.395f, 13.8034f, 1.927f, 12.018f, 1.927f)
                curveTo(6.4746f, 1.9246f, 1.963f, 6.4362f, 1.963f, 11.982f)
                close()
                moveTo(20.3332f, 11.982f)
                curveToRelative(0.0f, 4.586f, -3.7293f, 8.3152f, -8.3152f, 8.3152f)
                curveToRelative(-1.4327f, 0.0f, -2.7837f, -0.3648f, -3.962f, -1.0055f)
                lineToRelative(-0.852f, 1.5166f)
                curveToRelative(1.4303f, 0.7823f, 3.0718f, 1.2287f, 4.814f, 1.2287f)
                curveToRelative(5.5434f, 0.0f, 10.055f, -4.5116f, 10.055f, -10.055f)
                curveToRelative(0.0f, -2.8077f, -1.1567f, -5.3467f, -3.0165f, -7.1729f)
                lineToRelative(-1.183f, 1.2743f)
                curveToRelative(1.519f, 1.507f, 2.4597f, 3.5924f, 2.4597f, 5.8986f)
                close()
                moveTo(18.3846f, 11.982f)
                curveToRelative(0.0f, 3.5109f, -2.8558f, 6.3642f, -6.3642f, 6.3642f)
                arcToRelative(6.3286f, 6.3286f, 0.0f, false, true, -3.0069f, -0.756f)
                lineToRelative(-0.8471f, 1.507f)
                curveToRelative(1.147f, 0.624f, 2.4597f, 0.9768f, 3.854f, 0.9768f)
                curveToRelative(4.4636f, 0.0f, 8.0944f, -3.6308f, 8.0944f, -8.0944f)
                curveToRelative(0.0f, -2.239f, -0.9143f, -4.2692f, -2.3902f, -5.7378f)
                lineToRelative(-1.1783f, 1.267f)
                curveToRelative(1.1351f, 1.152f, 1.8383f, 2.731f, 1.8383f, 4.4732f)
                close()
                moveTo(3.926f, 11.982f)
                curveToRelative(0.0f, 2.3014f, 0.9671f, 4.382f, 2.515f, 5.8578f)
                lineToRelative(1.1734f, -1.2695f)
                curveToRelative(-1.207f, -1.159f, -1.9606f, -2.786f, -1.9606f, -4.5883f)
                curveToRelative(0.0f, -3.5108f, 2.8557f, -6.3642f, 6.3642f, -6.3642f)
                curveToRelative(1.1423f, 0.0f, 2.215f, 0.3048f, 3.1437f, 0.8352f)
                lineToRelative(0.8303f, -1.5167f)
                curveToRelative(-1.1759f, -0.6647f, -2.5317f, -1.0487f, -3.974f, -1.0487f)
                curveToRelative(-4.4612f, 0.0f, -8.092f, 3.6308f, -8.092f, 8.0944f)
                close()
                moveTo(16.4552f, 11.982f)
                curveToRelative(0.0f, 2.4502f, -1.987f, 4.4372f, -4.4372f, 4.4372f)
                arcToRelative(4.4192f, 4.4192f, 0.0f, false, true, -2.0614f, -0.5088f)
                lineToRelative(-0.8351f, 1.4879f)
                arcToRelative(6.1135f, 6.1135f, 0.0f, false, false, 2.8965f, 0.727f)
                curveToRelative(3.3885f, 0.0f, 6.1434f, -2.7548f, 6.1434f, -6.1433f)
                curveToRelative(0.0f, -1.6774f, -0.6767f, -3.1989f, -1.7686f, -4.3076f)
                lineToRelative(-1.1615f, 1.2503f)
                curveToRelative(0.7559f, 0.7967f, 1.2239f, 1.8718f, 1.2239f, 3.0573f)
                close()
                moveTo(5.8746f, 11.982f)
                curveToRelative(0.0f, 1.7374f, 0.7247f, 3.3069f, 1.8886f, 4.4252f)
                lineTo(8.92f, 15.1569f)
                lineToRelative(0.0144f, 0.0144f)
                curveToRelative(-0.8351f, -0.8063f, -1.3559f, -1.9366f, -1.3559f, -3.1869f)
                curveToRelative(0.0f, -2.4502f, 1.9846f, -4.4372f, 4.4372f, -4.4372f)
                curveToRelative(0.8087f, 0.0f, 1.5646f, 0.2184f, 2.2174f, 0.5976f)
                lineToRelative(0.8207f, -1.4975f)
                arcToRelative(6.097f, 6.097f, 0.0f, false, false, -3.0381f, -0.8063f)
                curveToRelative(-3.3837f, -0.0048f, -6.141f, 2.7525f, -6.141f, 6.141f)
                close()
                moveTo(12.5556f, 11.982f)
                curveToRelative(0.0f, 0.2952f, -0.2424f, 0.5351f, -0.5376f, 0.5351f)
                curveToRelative(-0.2952f, 0.0f, -0.5375f, -0.24f, -0.5375f, -0.5351f)
                curveToRelative(0.0f, -0.2976f, 0.24f, -0.5375f, 0.5375f, -0.5375f)
                curveToRelative(0.2952f, 0.0f, 0.5375f, 0.24f, 0.5375f, 0.5375f)
                close()
                moveTo(8.6151f, 11.982f)
                curveToRelative(0.0f, -1.879f, 1.5239f, -3.4029f, 3.4005f, -3.4029f)
                curveToRelative(1.879f, 0.0f, 3.4005f, 1.5215f, 3.4005f, 3.4029f)
                curveToRelative(0.0f, 1.879f, -1.5239f, 3.4005f, -3.4005f, 3.4005f)
                reflectiveCurveTo(8.6151f, 13.861f, 8.6151f, 11.982f)
                close()
                moveTo(8.7639f, 11.982f)
                curveToRelative(0.0048f, 1.7974f, 1.4567f, 3.2493f, 3.2517f, 3.2517f)
                curveToRelative(1.795f, 0.0f, 3.254f, -1.4567f, 3.254f, -3.2517f)
                curveToRelative(-0.0023f, -1.7974f, -1.4566f, -3.2517f, -3.254f, -3.254f)
                curveToRelative(-1.795f, 0.0f, -3.2517f, 1.4566f, -3.2517f, 3.254f)
                close()
            }
        }
        .build()
        return _discogs!!
    }

private var _discogs: ImageVector? = null
