package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Discord: ImageVector
    get() {
        if (_discord != null) {
            return _discord!!
        }
        _discord = Builder(name = "Discord", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.222f, 0.0f)
                curveToRelative(1.406f, 0.0f, 2.54f, 1.137f, 2.607f, 2.475f)
                lineTo(22.829f, 24.0f)
                lineToRelative(-2.677f, -2.273f)
                lineToRelative(-1.47f, -1.338f)
                lineToRelative(-1.604f, -1.398f)
                lineToRelative(0.67f, 2.205f)
                lineTo(3.71f, 21.196f)
                curveToRelative(-1.402f, 0.0f, -2.54f, -1.065f, -2.54f, -2.476f)
                lineTo(1.17f, 2.48f)
                curveTo(1.17f, 1.142f, 2.31f, 0.003f, 3.715f, 0.003f)
                horizontalLineToRelative(16.5f)
                lineTo(20.222f, 0.0f)
                close()
                moveTo(14.104f, 5.683f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(-0.202f, 0.2f)
                curveToRelative(2.073f, 0.6f, 3.076f, 1.537f, 3.076f, 1.537f)
                curveToRelative(-1.336f, -0.668f, -2.54f, -1.002f, -3.744f, -1.137f)
                curveToRelative(-0.87f, -0.135f, -1.74f, -0.064f, -2.475f, 0.0f)
                horizontalLineToRelative(-0.2f)
                curveToRelative(-0.47f, 0.0f, -1.47f, 0.2f, -2.81f, 0.735f)
                curveToRelative(-0.467f, 0.203f, -0.735f, 0.336f, -0.735f, 0.336f)
                reflectiveCurveToRelative(1.002f, -1.002f, 3.21f, -1.537f)
                lineToRelative(-0.135f, -0.135f)
                reflectiveCurveToRelative(-1.672f, -0.064f, -3.477f, 1.27f)
                curveToRelative(0.0f, 0.0f, -1.805f, 3.144f, -1.805f, 7.02f)
                curveToRelative(0.0f, 0.0f, 1.0f, 1.74f, 3.743f, 1.806f)
                curveToRelative(0.0f, 0.0f, 0.4f, -0.533f, 0.805f, -1.002f)
                curveToRelative(-1.54f, -0.468f, -2.14f, -1.404f, -2.14f, -1.404f)
                reflectiveCurveToRelative(0.134f, 0.066f, 0.335f, 0.2f)
                horizontalLineToRelative(0.06f)
                curveToRelative(0.03f, 0.0f, 0.044f, 0.015f, 0.06f, 0.03f)
                verticalLineToRelative(0.006f)
                curveToRelative(0.016f, 0.016f, 0.03f, 0.03f, 0.06f, 0.03f)
                curveToRelative(0.33f, 0.136f, 0.66f, 0.27f, 0.93f, 0.4f)
                curveToRelative(0.466f, 0.202f, 1.065f, 0.403f, 1.8f, 0.536f)
                curveToRelative(0.93f, 0.135f, 1.996f, 0.2f, 3.21f, 0.0f)
                curveToRelative(0.6f, -0.135f, 1.2f, -0.267f, 1.8f, -0.535f)
                curveToRelative(0.39f, -0.2f, 0.87f, -0.4f, 1.397f, -0.737f)
                curveToRelative(0.0f, 0.0f, -0.6f, 0.936f, -2.205f, 1.404f)
                curveToRelative(0.33f, 0.466f, 0.795f, 1.0f, 0.795f, 1.0f)
                curveToRelative(2.744f, -0.06f, 3.81f, -1.8f, 3.87f, -1.726f)
                curveToRelative(0.0f, -3.87f, -1.815f, -7.02f, -1.815f, -7.02f)
                curveToRelative(-1.635f, -1.214f, -3.165f, -1.26f, -3.435f, -1.26f)
                lineToRelative(0.056f, -0.02f)
                close()
                moveTo(14.272f, 10.096f)
                curveToRelative(0.703f, 0.0f, 1.27f, 0.6f, 1.27f, 1.335f)
                curveToRelative(0.0f, 0.74f, -0.57f, 1.34f, -1.27f, 1.34f)
                curveToRelative(-0.7f, 0.0f, -1.27f, -0.6f, -1.27f, -1.334f)
                curveToRelative(0.002f, -0.74f, 0.573f, -1.338f, 1.27f, -1.338f)
                close()
                moveTo(9.729f, 10.096f)
                curveToRelative(0.7f, 0.0f, 1.266f, 0.6f, 1.266f, 1.335f)
                curveToRelative(0.0f, 0.74f, -0.57f, 1.34f, -1.27f, 1.34f)
                curveToRelative(-0.7f, 0.0f, -1.27f, -0.6f, -1.27f, -1.334f)
                curveToRelative(0.0f, -0.74f, 0.57f, -1.338f, 1.27f, -1.338f)
                close()
            }
        }
        .build()
        return _discord!!
    }

private var _discord: ImageVector? = null
