package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Epicgames: ImageVector
    get() {
        if (_epicgames != null) {
            return _epicgames!!
        }
        _epicgames = Builder(name = "Epicgames", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.537f, 0.0f)
                curveTo(2.165f, 0.0f, 1.66f, 0.506f, 1.66f, 1.879f)
                lineTo(1.66f, 18.44f)
                arcToRelative(4.262f, 4.262f, 0.0f, false, false, 0.02f, 0.433f)
                curveToRelative(0.031f, 0.3f, 0.037f, 0.59f, 0.316f, 0.92f)
                curveToRelative(0.027f, 0.033f, 0.311f, 0.245f, 0.311f, 0.245f)
                curveToRelative(0.153f, 0.075f, 0.258f, 0.13f, 0.43f, 0.2f)
                lineToRelative(8.335f, 3.491f)
                curveToRelative(0.433f, 0.199f, 0.614f, 0.276f, 0.928f, 0.27f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.314f, 0.006f, 0.495f, -0.071f, 0.928f, -0.27f)
                lineToRelative(8.335f, -3.492f)
                curveToRelative(0.172f, -0.07f, 0.277f, -0.124f, 0.43f, -0.2f)
                curveToRelative(0.0f, 0.0f, 0.284f, -0.211f, 0.311f, -0.243f)
                curveToRelative(0.28f, -0.33f, 0.285f, -0.621f, 0.316f, -0.92f)
                arcToRelative(4.261f, 4.261f, 0.0f, false, false, 0.02f, -0.434f)
                lineTo(22.342f, 1.879f)
                curveToRelative(0.0f, -1.373f, -0.506f, -1.88f, -1.878f, -1.88f)
                close()
                moveTo(16.903f, 3.11f)
                horizontalLineToRelative(0.68f)
                curveToRelative(1.138f, 0.0f, 1.688f, 0.553f, 1.688f, 1.696f)
                verticalLineToRelative(1.88f)
                horizontalLineToRelative(-1.374f)
                verticalLineToRelative(-1.8f)
                curveToRelative(0.0f, -0.369f, -0.17f, -0.54f, -0.523f, -0.54f)
                horizontalLineToRelative(-0.235f)
                curveToRelative(-0.367f, 0.0f, -0.537f, 0.17f, -0.537f, 0.539f)
                verticalLineToRelative(5.81f)
                curveToRelative(0.0f, 0.369f, 0.17f, 0.54f, 0.537f, 0.54f)
                horizontalLineToRelative(0.262f)
                curveToRelative(0.353f, 0.0f, 0.523f, -0.171f, 0.523f, -0.54f)
                lineTo(17.924f, 8.619f)
                horizontalLineToRelative(1.373f)
                verticalLineToRelative(2.143f)
                curveToRelative(0.0f, 1.144f, -0.562f, 1.71f, -1.7f, 1.71f)
                horizontalLineToRelative(-0.694f)
                curveToRelative(-1.138f, 0.0f, -1.7f, -0.566f, -1.7f, -1.71f)
                lineTo(15.203f, 4.82f)
                curveToRelative(0.0f, -1.144f, 0.562f, -1.709f, 1.7f, -1.709f)
                close()
                moveTo(4.717f, 3.19f)
                horizontalLineToRelative(3.114f)
                verticalLineToRelative(1.274f)
                lineTo(6.117f, 4.464f)
                verticalLineToRelative(2.603f)
                horizontalLineToRelative(1.648f)
                verticalLineToRelative(1.275f)
                lineTo(6.117f, 8.342f)
                verticalLineToRelative(2.774f)
                horizontalLineToRelative(1.74f)
                verticalLineToRelative(1.275f)
                horizontalLineToRelative(-3.14f)
                close()
                moveTo(8.533f, 3.19f)
                horizontalLineToRelative(2.198f)
                curveToRelative(1.138f, 0.0f, 1.7f, 0.564f, 1.7f, 1.708f)
                verticalLineToRelative(2.445f)
                curveToRelative(0.0f, 1.144f, -0.562f, 1.71f, -1.7f, 1.71f)
                horizontalLineToRelative(-0.799f)
                verticalLineToRelative(3.338f)
                horizontalLineToRelative(-1.4f)
                close()
                moveTo(13.063f, 3.19f)
                horizontalLineToRelative(1.4f)
                verticalLineToRelative(9.201f)
                horizontalLineToRelative(-1.4f)
                close()
                moveTo(9.933f, 4.425f)
                verticalLineToRelative(3.392f)
                horizontalLineToRelative(0.575f)
                curveToRelative(0.354f, 0.0f, 0.523f, -0.171f, 0.523f, -0.54f)
                lineTo(11.031f, 4.965f)
                curveToRelative(0.0f, -0.368f, -0.17f, -0.54f, -0.523f, -0.54f)
                close()
                moveTo(6.193f, 14.572f)
                arcToRelative(1.708f, 1.708f, 0.0f, false, true, 0.591f, 0.108f)
                arcToRelative(1.745f, 1.745f, 0.0f, false, true, 0.49f, 0.299f)
                lineToRelative(-0.452f, 0.546f)
                arcToRelative(1.247f, 1.247f, 0.0f, false, false, -0.308f, -0.195f)
                arcToRelative(0.91f, 0.91f, 0.0f, false, false, -0.363f, -0.068f)
                arcToRelative(0.658f, 0.658f, 0.0f, false, false, -0.28f, 0.06f)
                arcToRelative(0.703f, 0.703f, 0.0f, false, false, -0.224f, 0.163f)
                arcToRelative(0.783f, 0.783f, 0.0f, false, false, -0.151f, 0.243f)
                arcToRelative(0.799f, 0.799f, 0.0f, false, false, -0.056f, 0.299f)
                verticalLineToRelative(0.008f)
                arcToRelative(0.852f, 0.852f, 0.0f, false, false, 0.056f, 0.31f)
                arcToRelative(0.7f, 0.7f, 0.0f, false, false, 0.157f, 0.245f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, false, 0.238f, 0.16f)
                arcToRelative(0.774f, 0.774f, 0.0f, false, false, 0.303f, 0.058f)
                arcToRelative(0.79f, 0.79f, 0.0f, false, false, 0.445f, -0.116f)
                verticalLineToRelative(-0.339f)
                horizontalLineToRelative(-0.548f)
                verticalLineToRelative(-0.565f)
                lineTo(7.37f, 15.788f)
                verticalLineToRelative(1.255f)
                arcToRelative(2.019f, 2.019f, 0.0f, false, true, -0.524f, 0.307f)
                arcToRelative(1.789f, 1.789f, 0.0f, false, true, -0.683f, 0.123f)
                arcToRelative(1.642f, 1.642f, 0.0f, false, true, -0.602f, -0.107f)
                arcToRelative(1.46f, 1.46f, 0.0f, false, true, -0.478f, -0.3f)
                arcToRelative(1.371f, 1.371f, 0.0f, false, true, -0.318f, -0.455f)
                arcToRelative(1.438f, 1.438f, 0.0f, false, true, -0.115f, -0.58f)
                verticalLineToRelative(-0.008f)
                arcToRelative(1.426f, 1.426f, 0.0f, false, true, 0.113f, -0.57f)
                arcToRelative(1.449f, 1.449f, 0.0f, false, true, 0.312f, -0.46f)
                arcToRelative(1.418f, 1.418f, 0.0f, false, true, 0.474f, -0.309f)
                arcToRelative(1.58f, 1.58f, 0.0f, false, true, 0.598f, -0.111f)
                arcToRelative(1.708f, 1.708f, 0.0f, false, true, 0.045f, 0.0f)
                close()
                moveTo(18.156f, 14.58f)
                arcToRelative(2.006f, 2.006f, 0.0f, false, true, 0.612f, 0.094f)
                arcToRelative(1.61f, 1.61f, 0.0f, false, true, 0.507f, 0.277f)
                lineToRelative(-0.386f, 0.546f)
                arcToRelative(1.562f, 1.562f, 0.0f, false, false, -0.39f, -0.205f)
                arcToRelative(1.178f, 1.178f, 0.0f, false, false, -0.388f, -0.07f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, false, -0.208f, 0.052f)
                arcToRelative(0.154f, 0.154f, 0.0f, false, false, -0.07f, 0.127f)
                verticalLineToRelative(0.008f)
                arcToRelative(0.158f, 0.158f, 0.0f, false, false, 0.022f, 0.084f)
                arcToRelative(0.198f, 0.198f, 0.0f, false, false, 0.076f, 0.066f)
                arcToRelative(0.831f, 0.831f, 0.0f, false, false, 0.147f, 0.06f)
                curveToRelative(0.062f, 0.02f, 0.14f, 0.04f, 0.236f, 0.061f)
                arcToRelative(3.389f, 3.389f, 0.0f, false, true, 0.43f, 0.122f)
                arcToRelative(1.292f, 1.292f, 0.0f, false, true, 0.328f, 0.17f)
                arcToRelative(0.678f, 0.678f, 0.0f, false, true, 0.207f, 0.24f)
                arcToRelative(0.739f, 0.739f, 0.0f, false, true, 0.071f, 0.337f)
                verticalLineToRelative(0.008f)
                arcToRelative(0.865f, 0.865f, 0.0f, false, true, -0.081f, 0.382f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, true, -0.229f, 0.285f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.353f, 0.18f)
                arcToRelative(1.606f, 1.606f, 0.0f, false, true, -0.46f, 0.061f)
                arcToRelative(2.16f, 2.16f, 0.0f, false, true, -0.71f, -0.116f)
                arcToRelative(1.718f, 1.718f, 0.0f, false, true, -0.593f, -0.346f)
                lineToRelative(0.43f, -0.514f)
                curveToRelative(0.277f, 0.223f, 0.578f, 0.335f, 0.9f, 0.335f)
                arcToRelative(0.457f, 0.457f, 0.0f, false, false, 0.236f, -0.05f)
                arcToRelative(0.157f, 0.157f, 0.0f, false, false, 0.082f, -0.142f)
                verticalLineToRelative(-0.008f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.02f, -0.077f)
                arcToRelative(0.204f, 0.204f, 0.0f, false, false, -0.073f, -0.066f)
                arcToRelative(0.753f, 0.753f, 0.0f, false, false, -0.143f, -0.062f)
                arcToRelative(2.45f, 2.45f, 0.0f, false, false, -0.233f, -0.062f)
                arcToRelative(5.036f, 5.036f, 0.0f, false, true, -0.413f, -0.113f)
                arcToRelative(1.26f, 1.26f, 0.0f, false, true, -0.331f, -0.16f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, true, -0.222f, -0.243f)
                arcToRelative(0.73f, 0.73f, 0.0f, false, true, -0.082f, -0.36f)
                verticalLineToRelative(-0.008f)
                arcToRelative(0.863f, 0.863f, 0.0f, false, true, 0.074f, -0.359f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, 0.214f, -0.283f)
                arcToRelative(1.007f, 1.007f, 0.0f, false, true, 0.34f, -0.185f)
                arcToRelative(1.423f, 1.423f, 0.0f, false, true, 0.448f, -0.066f)
                arcToRelative(2.006f, 2.006f, 0.0f, false, true, 0.025f, 0.0f)
                close()
                moveTo(8.798f, 14.605f)
                horizontalLineToRelative(0.742f)
                lineToRelative(1.183f, 2.81f)
                horizontalLineToRelative(-0.825f)
                lineToRelative(-0.203f, -0.499f)
                lineTo(8.623f, 16.916f)
                lineToRelative(-0.198f, 0.498f)
                horizontalLineToRelative(-0.81f)
                close()
                moveTo(10.995f, 14.625f)
                horizontalLineToRelative(0.814f)
                lineToRelative(0.663f, 1.08f)
                lineToRelative(0.663f, -1.08f)
                horizontalLineToRelative(0.814f)
                verticalLineToRelative(2.79f)
                horizontalLineToRelative(-0.766f)
                verticalLineToRelative(-1.602f)
                lineToRelative(-0.711f, 1.091f)
                horizontalLineToRelative(-0.016f)
                lineToRelative(-0.707f, -1.083f)
                verticalLineToRelative(1.593f)
                horizontalLineToRelative(-0.754f)
                close()
                moveTo(14.464f, 14.625f)
                horizontalLineToRelative(2.235f)
                verticalLineToRelative(0.658f)
                horizontalLineToRelative(-1.473f)
                verticalLineToRelative(0.422f)
                horizontalLineToRelative(1.334f)
                verticalLineToRelative(0.61f)
                horizontalLineToRelative(-1.334f)
                verticalLineToRelative(0.442f)
                horizontalLineToRelative(1.493f)
                verticalLineToRelative(0.658f)
                horizontalLineToRelative(-2.255f)
                close()
                moveTo(9.164f, 15.522f)
                lineToRelative(-0.315f, 0.793f)
                horizontalLineToRelative(0.624f)
                close()
                moveTo(8.019f, 20.712f)
                horizontalLineToRelative(8.014f)
                lineToRelative(-4.09f, 1.348f)
                close()
            }
        }
        .build()
        return _epicgames!!
    }

private var _epicgames: ImageVector? = null
