package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Esphome: ImageVector
    get() {
        if (_esphome != null) {
            return _esphome!!
        }
        _esphome = Builder(name = "Esphome", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.253f, 2.755f)
                curveToRelative(-0.676f, 0.0f, -1.231f, 0.555f, -1.231f, 1.232f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-0.083f)
                arcToRelative(0.722f, 0.722f, 0.0f, false, false, -0.717f, 0.716f)
                verticalLineToRelative(11.682f)
                lineTo(0.71f, 17.361f)
                verticalLineToRelative(-0.57f)
                horizontalLineToRelative(3.544f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, -0.354f)
                verticalLineToRelative(-1.279f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, -0.355f)
                lineTo(0.709f, 14.803f)
                verticalLineToRelative(-0.565f)
                horizontalLineToRelative(3.544f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, -0.355f)
                verticalLineToRelative(-1.278f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, -0.355f)
                lineTo(0.709f, 12.25f)
                verticalLineToRelative(-0.569f)
                horizontalLineToRelative(3.544f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, -0.355f)
                lineTo(4.607f, 10.05f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, -0.354f)
                lineTo(0.709f, 9.696f)
                lineTo(0.709f, 6.113f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.355f, -0.355f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, 0.355f)
                verticalLineToRelative(3.937f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, 0.355f)
                horizontalLineToRelative(3.544f)
                verticalLineToRelative(0.566f)
                lineTo(0.354f, 10.971f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, 0.355f)
                verticalLineToRelative(1.279f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, 0.354f)
                horizontalLineToRelative(3.544f)
                verticalLineToRelative(0.57f)
                lineTo(0.354f, 13.529f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, 0.354f)
                verticalLineToRelative(1.275f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, 0.355f)
                horizontalLineToRelative(3.544f)
                verticalLineToRelative(0.57f)
                lineTo(0.354f, 16.083f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, -0.354f, 0.354f)
                verticalLineToRelative(1.278f)
                arcToRelative(0.355f, 0.355f, 0.0f, false, false, 0.354f, 0.355f)
                horizontalLineToRelative(4.868f)
                verticalLineToRelative(0.086f)
                curveToRelative(0.0f, 0.389f, 0.323f, 0.716f, 0.717f, 0.716f)
                horizontalLineToRelative(0.083f)
                verticalLineToRelative(1.14f)
                curveToRelative(0.0f, 0.677f, 0.555f, 1.233f, 1.231f, 1.233f)
                curveToRelative(0.677f, 0.0f, 1.233f, -0.556f, 1.233f, -1.232f)
                verticalLineToRelative(-1.14f)
                horizontalLineToRelative(0.477f)
                verticalLineToRelative(1.137f)
                curveToRelative(0.0f, 0.676f, 0.556f, 1.232f, 1.232f, 1.232f)
                curveToRelative(0.677f, 0.0f, 1.232f, -0.556f, 1.232f, -1.232f)
                verticalLineToRelative(-1.138f)
                horizontalLineToRelative(0.481f)
                verticalLineToRelative(1.138f)
                curveToRelative(0.0f, 0.676f, 0.556f, 1.232f, 1.232f, 1.232f)
                curveToRelative(0.676f, 0.0f, 1.233f, -0.556f, 1.233f, -1.232f)
                verticalLineToRelative(-1.138f)
                horizontalLineToRelative(0.48f)
                verticalLineToRelative(1.138f)
                curveToRelative(0.0f, 0.676f, 0.556f, 1.232f, 1.232f, 1.232f)
                curveToRelative(0.677f, 0.0f, 1.232f, -0.556f, 1.232f, -1.232f)
                verticalLineToRelative(-1.138f)
                horizontalLineToRelative(0.481f)
                verticalLineToRelative(1.138f)
                curveToRelative(0.0f, 0.676f, 0.556f, 1.232f, 1.232f, 1.232f)
                curveToRelative(0.676f, 0.0f, 1.233f, -0.556f, 1.233f, -1.232f)
                verticalLineToRelative(-1.138f)
                horizontalLineToRelative(0.477f)
                verticalLineToRelative(1.138f)
                curveToRelative(0.0f, 0.676f, 0.555f, 1.232f, 1.231f, 1.232f)
                curveToRelative(0.677f, 0.0f, 1.233f, -0.556f, 1.233f, -1.232f)
                verticalLineToRelative(-1.138f)
                horizontalLineToRelative(0.079f)
                curveToRelative(0.39f, 0.0f, 0.717f, -0.323f, 0.717f, -0.716f)
                lineTo(24.0f, 5.679f)
                arcToRelative(0.723f, 0.723f, 0.0f, false, false, -0.714f, -0.716f)
                horizontalLineToRelative(-0.082f)
                verticalLineToRelative(-0.979f)
                curveToRelative(0.0f, -0.676f, -0.556f, -1.231f, -1.232f, -1.23f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(-0.676f, 0.001f, -1.231f, 0.557f, -1.231f, 1.233f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-0.477f)
                verticalLineToRelative(-0.98f)
                curveToRelative(0.0f, -0.675f, -0.557f, -1.23f, -1.233f, -1.228f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(-0.676f, 0.0f, -1.23f, 0.556f, -1.23f, 1.232f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-0.482f)
                verticalLineToRelative(-0.976f)
                curveToRelative(0.0f, -0.677f, -0.555f, -1.232f, -1.232f, -1.232f)
                curveToRelative(-0.676f, 0.0f, -1.232f, 0.555f, -1.232f, 1.232f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-0.48f)
                verticalLineToRelative(-0.976f)
                curveToRelative(0.0f, -0.677f, -0.557f, -1.232f, -1.233f, -1.232f)
                reflectiveCurveToRelative(-1.232f, 0.555f, -1.232f, 1.232f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-0.48f)
                verticalLineToRelative(-0.976f)
                curveToRelative(0.0f, -0.677f, -0.556f, -1.232f, -1.233f, -1.232f)
                curveToRelative(-0.676f, 0.0f, -1.232f, 0.555f, -1.232f, 1.232f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-0.477f)
                verticalLineToRelative(-0.976f)
                curveToRelative(0.0f, -0.677f, -0.556f, -1.232f, -1.233f, -1.232f)
                close()
                moveTo(7.253f, 3.47f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.517f, 0.517f)
                verticalLineToRelative(0.976f)
                lineTo(6.737f, 4.963f)
                verticalLineToRelative(-0.976f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, -0.517f)
                close()
                moveTo(10.195f, 3.47f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.517f, 0.517f)
                verticalLineToRelative(0.976f)
                lineTo(9.679f, 4.963f)
                verticalLineToRelative(-0.976f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, -0.517f)
                close()
                moveTo(13.14f, 3.47f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, 0.517f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-1.032f)
                verticalLineToRelative(-0.976f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, -0.517f)
                close()
                moveTo(16.085f, 3.47f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.517f, 0.517f)
                verticalLineToRelative(0.976f)
                horizontalLineToRelative(-1.033f)
                verticalLineToRelative(-0.976f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, -0.517f)
                close()
                moveTo(19.03f, 3.47f)
                horizontalLineToRelative(0.001f)
                arcToRelative(0.507f, 0.507f, 0.0f, false, true, 0.515f, 0.513f)
                verticalLineToRelative(0.98f)
                horizontalLineToRelative(-1.032f)
                verticalLineToRelative(-0.976f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, -0.517f)
                close()
                moveTo(21.972f, 3.471f)
                horizontalLineToRelative(0.001f)
                arcToRelative(0.507f, 0.507f, 0.0f, false, true, 0.515f, 0.513f)
                verticalLineToRelative(0.979f)
                horizontalLineToRelative(-1.032f)
                verticalLineToRelative(-0.976f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, 0.516f, -0.516f)
                close()
                moveTo(6.018f, 5.758f)
                horizontalLineToRelative(17.186f)
                verticalLineToRelative(12.319f)
                lineTo(6.018f, 18.077f)
                close()
                moveTo(14.648f, 8.535f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, -0.234f, 0.095f)
                lineToRelative(-3.776f, 3.78f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.228f, 0.55f)
                horizontalLineToRelative(0.62f)
                verticalLineToRelative(2.225f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.323f, 0.322f)
                horizontalLineToRelative(5.67f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.322f, -0.322f)
                lineTo(17.801f, 12.96f)
                horizontalLineToRelative(0.621f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.228f, -0.55f)
                lineToRelative(-0.856f, -0.859f)
                verticalLineToRelative(-1.533f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, -0.322f, -0.323f)
                horizontalLineToRelative(-0.591f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, -0.323f, 0.323f)
                verticalLineToRelative(0.3f)
                lineTo(14.87f, 8.63f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, -0.221f, -0.095f)
                close()
                moveTo(6.738f, 18.872f)
                lineTo(7.77f, 18.872f)
                verticalLineToRelative(1.14f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.517f, 0.517f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, -0.516f)
                close()
                moveTo(9.678f, 18.872f)
                horizontalLineToRelative(1.034f)
                verticalLineToRelative(1.138f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.517f, 0.516f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, -0.516f)
                close()
                moveTo(12.624f, 18.872f)
                horizontalLineToRelative(1.032f)
                verticalLineToRelative(1.138f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, 0.516f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, -0.516f)
                close()
                moveTo(15.569f, 18.872f)
                horizontalLineToRelative(1.033f)
                verticalLineToRelative(1.138f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.517f, 0.516f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, -0.516f)
                close()
                moveTo(18.514f, 18.872f)
                horizontalLineToRelative(1.032f)
                verticalLineToRelative(1.138f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, 0.516f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, -0.516f)
                close()
                moveTo(21.455f, 18.872f)
                horizontalLineToRelative(1.033f)
                verticalLineToRelative(1.138f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.517f, 0.516f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.516f, -0.516f)
                close()
            }
        }
        .build()
        return _esphome!!
    }

private var _esphome: ImageVector? = null
