package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.FDroid: ImageVector
    get() {
        if (_fDroid != null) {
            return _fDroid!!
        }
        _fDroid = Builder(name = "FDroid", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.472f, 10.081f)
                horizontalLineTo(3.528f)
                curveToRelative(-0.877f, 0.0f, -1.589f, 0.711f, -1.589f, 1.589f)
                verticalLineToRelative(10.59f)
                curveToRelative(0.0f, 0.877f, 0.711f, 1.589f, 1.589f, 1.589f)
                horizontalLineToRelative(16.944f)
                curveToRelative(0.877f, 0.0f, 1.589f, -0.711f, 1.589f, -1.589f)
                verticalLineTo(11.67f)
                curveTo(22.061f, 10.792f, 21.349f, 10.081f, 20.472f, 10.081f)
                close()
                moveTo(12.0f, 22.525f)
                curveToRelative(-3.066f, 0.0f, -5.56f, -2.494f, -5.56f, -5.56f)
                reflectiveCurveToRelative(2.494f, -5.56f, 5.56f, -5.56f)
                curveToRelative(3.066f, 0.0f, 5.56f, 2.494f, 5.56f, 5.56f)
                reflectiveCurveTo(15.066f, 22.525f, 12.0f, 22.525f)
                close()
                moveTo(12.0f, 12.411f)
                curveToRelative(-2.511f, 0.0f, -4.554f, 2.043f, -4.554f, 4.554f)
                reflectiveCurveTo(9.489f, 21.519f, 12.0f, 21.519f)
                reflectiveCurveToRelative(4.554f, -2.043f, 4.554f, -4.554f)
                reflectiveCurveTo(14.511f, 12.411f, 12.0f, 12.411f)
                close()
                moveTo(12.0f, 20.274f)
                curveToRelative(-1.563f, 0.0f, -2.881f, -1.103f, -3.221f, -2.568f)
                horizontalLineToRelative(1.67f)
                curveToRelative(0.275f, 0.581f, 0.859f, 0.979f, 1.551f, 0.979f)
                curveToRelative(0.96f, 0.0f, 1.721f, -0.761f, 1.721f, -1.721f)
                curveToRelative(0.0f, -0.96f, -0.761f, -1.721f, -1.721f, -1.721f)
                curveToRelative(-0.649f, 0.0f, -1.2f, 0.352f, -1.493f, 0.874f)
                horizontalLineTo(8.805f)
                curveToRelative(0.378f, -1.412f, 1.669f, -2.462f, 3.195f, -2.462f)
                curveToRelative(1.818f, 0.0f, 3.309f, 1.491f, 3.309f, 3.309f)
                curveTo(15.309f, 18.783f, 13.818f, 20.274f, 12.0f, 20.274f)
                close()
                moveTo(23.849f, 0.396f)
                curveToRelative(-0.001f, 0.001f, -0.002f, 0.002f, -0.002f, 0.003f)
                curveToRelative(-0.002f, -0.002f, -0.004f, -0.003f, -0.006f, -0.005f)
                curveToRelative(0.001f, -0.001f, 0.002f, -0.003f, 0.004f, -0.004f)
                curveToRelative(-0.116f, -0.137f, -0.279f, -0.231f, -0.519f, -0.238f)
                curveToRelative(-0.202f, 0.005f, -0.391f, 0.097f, -0.512f, 0.259f)
                lineToRelative(-1.818f, 2.353f)
                curveToRelative(-0.164f, -0.058f, -0.339f, -0.095f, -0.523f, -0.095f)
                horizontalLineTo(3.528f)
                curveToRelative(-0.184f, 0.0f, -0.358f, 0.038f, -0.523f, 0.095f)
                lineTo(1.187f, 0.41f)
                curveToRelative(-0.121f, -0.162f, -0.31f, -0.253f, -0.512f, -0.259f)
                curveToRelative(-0.24f, 0.006f, -0.403f, 0.1f, -0.519f, 0.238f)
                curveToRelative(0.001f, 0.001f, 0.002f, 0.003f, 0.004f, 0.004f)
                curveTo(0.157f, 0.395f, 0.155f, 0.397f, 0.153f, 0.399f)
                curveTo(0.153f, 0.398f, 0.152f, 0.397f, 0.151f, 0.396f)
                curveTo(0.085f, 0.474f, -0.146f, 0.822f, 0.139f, 1.22f)
                lineToRelative(1.909f, 2.471f)
                curveTo(1.981f, 3.867f, 1.94f, 4.057f, 1.94f, 4.257f)
                verticalLineToRelative(3.707f)
                curveToRelative(0.0f, 0.877f, 0.711f, 1.589f, 1.589f, 1.589f)
                horizontalLineToRelative(16.944f)
                curveToRelative(0.877f, 0.0f, 1.589f, -0.711f, 1.589f, -1.589f)
                verticalLineTo(4.257f)
                curveToRelative(0.0f, -0.2f, -0.041f, -0.39f, -0.109f, -0.566f)
                lineToRelative(1.909f, -2.471f)
                curveTo(24.146f, 0.822f, 23.915f, 0.474f, 23.849f, 0.396f)
                close()
                moveTo(6.904f, 8.228f)
                curveToRelative(-0.987f, 0.0f, -1.787f, -0.8f, -1.787f, -1.787f)
                reflectiveCurveToRelative(0.8f, -1.787f, 1.787f, -1.787f)
                reflectiveCurveToRelative(1.787f, 0.8f, 1.787f, 1.787f)
                reflectiveCurveTo(7.891f, 8.228f, 6.904f, 8.228f)
                close()
                moveTo(17.229f, 8.228f)
                curveToRelative(-0.987f, 0.0f, -1.787f, -0.8f, -1.787f, -1.787f)
                reflectiveCurveToRelative(0.8f, -1.787f, 1.787f, -1.787f)
                curveToRelative(0.987f, 0.0f, 1.787f, 0.8f, 1.787f, 1.787f)
                reflectiveCurveTo(18.216f, 8.228f, 17.229f, 8.228f)
                close()
            }
        }
        .build()
        return _fDroid!!
    }

private var _fDroid: ImageVector? = null
