package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Falcon: ImageVector
    get() {
        if (_falcon != null) {
            return _falcon!!
        }
        _falcon = Builder(name = "Falcon", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.929f, 19.487f)
                curveToRelative(0.0f, 0.035f, 0.264f, 0.2f, 0.592f, 0.364f)
                curveToRelative(1.578f, 0.835f, 2.55f, 1.742f, 2.914f, 2.75f)
                curveToRelative(0.164f, 0.435f, 0.171f, 0.592f, 0.028f, 0.92f)
                curveToRelative(-0.178f, 0.436f, -0.207f, 0.429f, 0.95f, 0.393f)
                curveToRelative(1.043f, -0.035f, 1.657f, -0.15f, 1.657f, -0.314f)
                curveToRelative(0.0f, -0.078f, -0.857f, -0.885f, -1.171f, -1.093f)
                arcToRelative(1.431f, 1.431f, 0.0f, false, true, -0.186f, -0.15f)
                arcToRelative(7.636f, 7.636f, 0.0f, false, false, -0.321f, -0.257f)
                arcToRelative(11.96f, 11.96f, 0.0f, false, true, -0.372f, -0.278f)
                arcToRelative(6.126f, 6.126f, 0.0f, false, false, -0.25f, -0.193f)
                lineToRelative(-0.45f, -0.35f)
                arcToRelative(4.642f, 4.642f, 0.0f, false, false, -0.535f, -0.357f)
                curveToRelative(-0.328f, -0.178f, -0.528f, -0.307f, -0.571f, -0.357f)
                curveToRelative(-0.05f, -0.057f, -1.036f, -0.593f, -1.5f, -0.814f)
                curveToRelative(-0.214f, -0.1f, -0.45f, -0.214f, -0.514f, -0.25f)
                curveToRelative(-0.157f, -0.086f, -0.271f, -0.093f, -0.271f, -0.014f)
                close()
                moveTo(10.179f, 17.951f)
                arcToRelative(4.78f, 4.78f, 0.0f, false, false, -0.056f, 0.415f)
                curveToRelative(-0.043f, 0.5f, -0.379f, 1.164f, -0.764f, 1.52f)
                curveToRelative(-0.465f, 0.436f, -0.75f, 0.572f, -0.993f, 0.48f)
                arcToRelative(3.353f, 3.353f, 0.0f, false, false, -0.628f, -0.115f)
                curveToRelative(-0.357f, -0.043f, -0.486f, -0.022f, -0.657f, 0.078f)
                curveToRelative(-0.186f, 0.108f, -0.222f, 0.179f, -0.222f, 0.4f)
                curveToRelative(0.0f, 0.315f, -0.007f, 0.307f, 0.257f, 0.165f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, true, 0.3f, -0.108f)
                curveToRelative(0.15f, 0.0f, 0.093f, 0.143f, -0.093f, 0.229f)
                curveToRelative(-0.207f, 0.093f, -0.264f, 0.271f, -0.278f, 0.828f)
                curveToRelative(-0.007f, 0.422f, 0.121f, 0.586f, 0.236f, 0.286f)
                curveToRelative(0.035f, -0.093f, 0.17f, -0.221f, 0.3f, -0.293f)
                arcTo(1.42f, 1.42f, 0.0f, false, false, 8.0f, 21.43f)
                curveToRelative(0.186f, -0.314f, 0.286f, -0.364f, 0.286f, -0.15f)
                curveToRelative(0.0f, 0.457f, 0.236f, 0.479f, 0.436f, 0.036f)
                curveToRelative(0.121f, -0.243f, 0.186f, -0.307f, 0.271f, -0.271f)
                curveToRelative(0.236f, 0.1f, 0.515f, 0.114f, 0.615f, 0.028f)
                curveToRelative(0.1f, -0.086f, 0.092f, -0.114f, -0.043f, -0.257f)
                curveToRelative(-0.086f, -0.093f, -0.15f, -0.179f, -0.129f, -0.193f)
                curveToRelative(0.157f, -0.114f, 0.5f, -0.193f, 0.85f, -0.193f)
                curveToRelative(0.628f, 0.0f, 0.714f, -0.107f, 0.714f, -0.914f)
                curveToRelative(0.0f, -0.82f, -0.214f, -1.406f, -0.564f, -1.556f)
                curveToRelative(-0.179f, -0.072f, -0.236f, -0.079f, -0.257f, -0.008f)
                close()
                moveTo(22.535f, 1.062f)
                arcToRelative(1.22f, 1.22f, 0.0f, false, false, -0.193f, 0.315f)
                curveToRelative(-0.414f, 0.885f, -1.785f, 1.72f, -3.949f, 2.392f)
                curveToRelative(-0.193f, 0.064f, -0.535f, 0.164f, -0.75f, 0.236f)
                curveToRelative(-0.214f, 0.064f, -0.635f, 0.2f, -0.928f, 0.285f)
                curveToRelative(-3.635f, 1.107f, -4.27f, 1.678f, -5.57f, 4.963f)
                curveToRelative(-0.586f, 1.472f, -0.893f, 1.964f, -1.5f, 2.364f)
                curveToRelative(-0.507f, 0.343f, -0.92f, 0.457f, -2.07f, 0.6f)
                curveToRelative(-1.829f, 0.221f, -2.536f, 0.436f, -3.107f, 0.943f)
                curveToRelative(-0.35f, 0.3f, -0.464f, 0.614f, -0.464f, 1.242f)
                curveToRelative(0.0f, 0.286f, -0.029f, 0.536f, -0.057f, 0.557f)
                curveToRelative(-0.036f, 0.022f, -0.1f, 0.214f, -0.15f, 0.436f)
                curveToRelative(-0.072f, 0.3f, -0.072f, 0.45f, -0.007f, 0.643f)
                curveToRelative(0.1f, 0.292f, 0.378f, 0.535f, 0.628f, 0.535f)
                curveToRelative(0.178f, 0.0f, 0.186f, -0.05f, 0.05f, -0.371f)
                curveToRelative(-0.029f, -0.079f, 0.014f, -0.179f, 0.136f, -0.307f)
                curveToRelative(0.157f, -0.157f, 0.235f, -0.179f, 0.72f, -0.179f)
                curveToRelative(0.558f, 0.0f, 0.744f, -0.057f, 1.008f, -0.3f)
                curveToRelative(0.15f, -0.135f, 0.157f, -0.135f, 0.357f, 0.086f)
                curveToRelative(0.421f, 0.464f, 1.52f, 1.121f, 2.892f, 1.735f)
                curveToRelative(0.65f, 0.293f, 1.057f, 0.643f, 1.364f, 1.186f)
                curveToRelative(0.207f, 0.357f, 0.236f, 0.457f, 0.236f, 0.97f)
                curveToRelative(0.0f, 0.836f, -0.3f, 1.408f, -0.886f, 1.68f)
                curveToRelative(-0.1f, 0.05f, -0.243f, 0.113f, -0.307f, 0.15f)
                curveToRelative(-0.071f, 0.035f, -0.336f, 0.063f, -0.593f, 0.063f)
                lineTo(8.93f, 21.286f)
                lineToRelative(-0.15f, 0.336f)
                arcToRelative(8.087f, 8.087f, 0.0f, false, true, -0.25f, 0.528f)
                curveToRelative(-0.078f, 0.158f, -0.078f, 0.208f, 0.0f, 0.322f)
                curveToRelative(0.093f, 0.121f, 0.122f, 0.107f, 0.464f, -0.243f)
                curveToRelative(0.358f, -0.364f, 0.579f, -0.471f, 0.579f, -0.271f)
                curveToRelative(0.0f, 0.057f, -0.129f, 0.2f, -0.279f, 0.321f)
                curveToRelative(-0.35f, 0.278f, -0.4f, 0.478f, -0.235f, 0.95f)
                curveToRelative(0.135f, 0.385f, 0.314f, 0.5f, 0.357f, 0.235f)
                curveToRelative(0.014f, -0.078f, 0.121f, -0.235f, 0.235f, -0.35f)
                curveToRelative(0.115f, -0.107f, 0.208f, -0.242f, 0.208f, -0.292f)
                curveToRelative(0.0f, -0.05f, 0.05f, -0.129f, 0.107f, -0.179f)
                curveToRelative(0.157f, -0.128f, 0.221f, 0.1f, 0.121f, 0.457f)
                curveToRelative(-0.064f, 0.243f, -0.057f, 0.314f, 0.036f, 0.414f)
                curveToRelative(0.071f, 0.079f, 0.093f, 0.186f, 0.064f, 0.307f)
                curveToRelative(-0.029f, 0.129f, -0.014f, 0.179f, 0.05f, 0.179f)
                curveToRelative(0.1f, 0.0f, 0.336f, -0.221f, 0.336f, -0.314f)
                curveToRelative(0.0f, -0.029f, 0.064f, -0.15f, 0.15f, -0.264f)
                curveToRelative(0.15f, -0.215f, 0.157f, -0.258f, 0.021f, -1.014f)
                curveToRelative(-0.021f, -0.143f, -0.014f, -0.265f, 0.014f, -0.265f)
                curveToRelative(0.15f, 0.0f, 0.664f, 0.329f, 0.693f, 0.443f)
                curveToRelative(0.05f, 0.186f, 0.264f, 0.079f, 0.264f, -0.136f)
                arcToRelative(0.802f, 0.802f, 0.0f, false, false, -0.428f, -0.678f)
                curveToRelative(-0.236f, -0.1f, -0.279f, -0.257f, -0.086f, -0.314f)
                curveToRelative(0.45f, -0.143f, 0.871f, -0.4f, 1.25f, -0.779f)
                curveToRelative(0.457f, -0.442f, 0.535f, -0.535f, 0.828f, -0.964f)
                curveToRelative(0.407f, -0.592f, 0.786f, -0.857f, 1.221f, -0.857f)
                curveToRelative(0.6f, 0.0f, 2.485f, 0.843f, 3.942f, 1.764f)
                curveToRelative(0.679f, 0.429f, 2.007f, 1.357f, 2.228f, 1.557f)
                curveToRelative(0.043f, 0.043f, 0.286f, 0.221f, 0.543f, 0.407f)
                curveToRelative(0.257f, 0.179f, 0.7f, 0.521f, 0.986f, 0.764f)
                curveToRelative(0.285f, 0.236f, 0.542f, 0.436f, 0.57f, 0.436f)
                curveToRelative(0.236f, 0.0f, 0.315f, -0.614f, 0.108f, -0.8f)
                arcToRelative(5.417f, 5.417f, 0.0f, false, false, -0.557f, -0.343f)
                curveToRelative(-0.521f, -0.293f, -1.528f, -0.971f, -1.964f, -1.335f)
                curveToRelative(-0.985f, -0.807f, -2.242f, -2.385f, -3.078f, -3.864f)
                arcToRelative(9.517f, 9.517f, 0.0f, false, true, -0.278f, -0.485f)
                curveToRelative(-0.6f, -1.05f, -1.743f, -2.385f, -2.05f, -2.385f)
                curveToRelative(-0.121f, 0.0f, -0.121f, -0.008f, 0.072f, -0.929f)
                curveToRelative(0.057f, -0.293f, 0.142f, -0.792f, 0.185f, -1.107f)
                curveToRelative(0.129f, -0.87f, 0.314f, -1.863f, 0.45f, -2.356f)
                curveToRelative(0.386f, -1.45f, 1.207f, -2.457f, 2.7f, -3.3f)
                curveToRelative(2.092f, -1.192f, 2.927f, -1.928f, 3.527f, -3.12f)
                curveToRelative(0.322f, -0.636f, 0.386f, -0.793f, 0.579f, -1.507f)
                curveToRelative(0.1f, -0.364f, 0.221f, -1.25f, 0.171f, -1.25f)
                arcToRelative(0.391f, 0.391f, 0.0f, false, false, -0.1f, 0.057f)
                close()
                moveTo(3.496f, 0.484f)
                curveTo(1.839f, 2.198f, 1.003f, 3.926f, 1.003f, 5.647f)
                curveToRelative(0.0f, 0.393f, 0.029f, 0.729f, 0.072f, 0.75f)
                curveToRelative(0.043f, 0.021f, 0.071f, 0.114f, 0.071f, 0.2f)
                curveToRelative(0.0f, 0.2f, 0.172f, 0.693f, 0.4f, 1.157f)
                curveToRelative(0.3f, 0.621f, 0.736f, 1.057f, 1.921f, 1.914f)
                curveToRelative(0.929f, 0.67f, 1.443f, 1.428f, 1.614f, 2.385f)
                lineToRelative(0.093f, 0.514f)
                lineToRelative(0.257f, -0.107f)
                curveToRelative(0.65f, -0.279f, 1.15f, -0.379f, 2.642f, -0.536f)
                curveToRelative(0.957f, -0.1f, 1.328f, -0.243f, 1.771f, -0.678f)
                curveToRelative(0.629f, -0.629f, 0.329f, -1.036f, -1.635f, -2.2f)
                curveToRelative(-2.114f, -1.257f, -2.87f, -1.842f, -3.692f, -2.863f)
                curveToRelative(-0.657f, -0.822f, -0.993f, -1.5f, -1.157f, -2.343f)
                curveToRelative(-0.157f, -0.785f, 0.057f, -2.028f, 0.536f, -3.142f)
                curveToRelative(0.135f, -0.328f, 0.25f, -0.614f, 0.25f, -0.642f)
                curveToRelative(0.0f, -0.15f, -0.236f, 0.007f, -0.65f, 0.428f)
                close()
            }
        }
        .build()
        return _falcon!!
    }

private var _falcon: ImageVector? = null
