package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Figshare: ImageVector
    get() {
        if (_figshare != null) {
            return _figshare!!
        }
        _figshare = Builder(name = "Figshare", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                arcToRelative(1.0073f, 1.0073f, 0.0f, false, false, -1.0078f, 1.0078f)
                curveToRelative(0.0f, 0.5566f, 0.4506f, 1.0098f, 1.0078f, 1.0098f)
                curveToRelative(0.5578f, 0.0f, 1.0078f, -0.4532f, 1.0078f, -1.0098f)
                curveTo(13.0078f, 0.451f, 12.5578f, 0.0f, 12.0f, 0.0f)
                close()
                moveTo(8.6895f, 0.541f)
                arcTo(1.0069f, 1.0069f, 0.0f, false, false, 8.291f, 0.588f)
                curveToRelative(-0.528f, 0.1706f, -0.8194f, 0.7408f, -0.6465f, 1.2695f)
                curveToRelative(0.1719f, 0.5304f, 0.7419f, 0.8213f, 1.2696f, 0.6485f)
                curveToRelative(0.5302f, -0.1724f, 0.8208f, -0.7423f, 0.6484f, -1.2715f)
                curveToRelative(-0.128f, -0.3986f, -0.481f, -0.6607f, -0.873f, -0.6934f)
                close()
                moveTo(15.3105f, 0.541f)
                curveToRelative(-0.3917f, 0.0331f, -0.7451f, 0.2948f, -0.873f, 0.6934f)
                curveToRelative(-0.1724f, 0.5292f, 0.118f, 1.0991f, 0.6484f, 1.2715f)
                curveToRelative(0.5297f, 0.1728f, 1.0984f, -0.1181f, 1.2715f, -0.6485f)
                curveToRelative(0.171f, -0.5287f, -0.1205f, -1.0966f, -0.6504f, -1.2695f)
                arcToRelative(0.9976f, 0.9976f, 0.0f, false, false, -0.3965f, -0.0469f)
                close()
                moveTo(10.588f, 1.9902f)
                arcTo(0.8517f, 0.8517f, 0.0f, false, false, 10.416f, 2.0f)
                curveToRelative(-0.4648f, 0.0743f, -0.7815f, 0.508f, -0.707f, 0.9727f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, 0.9746f, 0.707f)
                curveToRelative(0.4638f, -0.073f, 0.7794f, -0.5099f, 0.707f, -0.9727f)
                arcToRelative(0.8537f, 0.8537f, 0.0f, false, false, -0.8027f, -0.7168f)
                close()
                moveTo(13.4122f, 1.9902f)
                arcToRelative(0.8498f, 0.8498f, 0.0f, false, false, -0.8008f, 0.7168f)
                curveToRelative(-0.0745f, 0.464f, 0.242f, 0.8998f, 0.7051f, 0.9727f)
                curveToRelative(0.4635f, 0.0734f, 0.8998f, -0.2415f, 0.9746f, -0.705f)
                curveToRelative(0.0717f, -0.466f, -0.2428f, -0.9004f, -0.707f, -0.9747f)
                arcToRelative(0.8536f, 0.8536f, 0.0f, false, false, -0.1719f, -0.0098f)
                close()
                moveTo(5.504f, 2.0996f)
                arcToRelative(1.0023f, 1.0023f, 0.0f, false, false, -0.5566f, 0.1914f)
                curveToRelative(-0.4495f, 0.327f, -0.5522f, 0.9586f, -0.2246f, 1.4102f)
                curveToRelative(0.3278f, 0.4502f, 0.96f, 0.5508f, 1.4101f, 0.2226f)
                curveToRelative(0.4506f, -0.326f, 0.5508f, -0.959f, 0.2227f, -1.4101f)
                curveToRelative(-0.2047f, -0.2816f, -0.5278f, -0.4251f, -0.8516f, -0.414f)
                close()
                moveTo(18.4962f, 2.0996f)
                curveToRelative(-0.3237f, -0.011f, -0.6472f, 0.1325f, -0.8516f, 0.414f)
                curveToRelative(-0.3284f, 0.4508f, -0.2278f, 1.0832f, 0.2227f, 1.4102f)
                curveToRelative(0.4505f, 0.327f, 1.0817f, 0.2281f, 1.4101f, -0.2226f)
                curveToRelative(0.327f, -0.4516f, 0.2273f, -1.0831f, -0.2226f, -1.4102f)
                arcToRelative(1.0095f, 1.0095f, 0.0f, false, false, -0.5586f, -0.1914f)
                close()
                moveTo(7.7286f, 2.8867f)
                arcToRelative(0.8428f, 0.8428f, 0.0f, false, false, -0.3242f, 0.0918f)
                curveToRelative(-0.4186f, 0.2126f, -0.5855f, 0.7256f, -0.3711f, 1.1445f)
                arcToRelative(0.8463f, 0.8463f, 0.0f, false, false, 1.1426f, 0.3711f)
                curveToRelative(0.4167f, -0.213f, 0.5856f, -0.725f, 0.373f, -1.1445f)
                arcToRelative(0.8538f, 0.8538f, 0.0f, false, false, -0.8203f, -0.4629f)
                close()
                moveTo(16.2716f, 2.8867f)
                arcToRelative(0.8538f, 0.8538f, 0.0f, false, false, -0.8203f, 0.463f)
                arcToRelative(0.8513f, 0.8513f, 0.0f, false, false, 0.373f, 1.1444f)
                curveToRelative(0.4194f, 0.2145f, 0.9317f, 0.0487f, 1.1426f, -0.371f)
                curveToRelative(0.2137f, -0.419f, 0.0495f, -0.932f, -0.3691f, -1.1446f)
                arcToRelative(0.8521f, 0.8521f, 0.0f, false, false, -0.3262f, -0.0918f)
                close()
                moveTo(12.0f, 3.5625f)
                arcToRelative(0.7086f, 0.7086f, 0.0f, false, false, -0.709f, 0.709f)
                curveToRelative(0.0f, 0.3927f, 0.3168f, 0.709f, 0.709f, 0.709f)
                arcToRelative(0.7081f, 0.7081f, 0.0f, false, false, 0.709f, -0.709f)
                arcToRelative(0.7088f, 0.7088f, 0.0f, false, false, -0.709f, -0.709f)
                close()
                moveTo(9.6719f, 3.9434f)
                arcToRelative(0.7062f, 0.7062f, 0.0f, false, false, -0.2793f, 0.0332f)
                curveToRelative(-0.3724f, 0.1203f, -0.5755f, 0.5197f, -0.4551f, 0.8925f)
                arcToRelative(0.7088f, 0.7088f, 0.0f, false, false, 0.8926f, 0.4551f)
                curveToRelative(0.3711f, -0.121f, 0.5781f, -0.5208f, 0.457f, -0.8926f)
                arcToRelative(0.7123f, 0.7123f, 0.0f, false, false, -0.6152f, -0.4882f)
                close()
                moveTo(14.3281f, 3.9434f)
                curveToRelative(-0.2754f, 0.0236f, -0.5246f, 0.209f, -0.6152f, 0.4882f)
                curveToRelative(-0.1209f, 0.3718f, 0.0847f, 0.7717f, 0.457f, 0.8926f)
                curveToRelative(0.3726f, 0.1207f, 0.7724f, -0.0833f, 0.8926f, -0.455f)
                arcToRelative(0.7081f, 0.7081f, 0.0f, false, false, -0.455f, -0.8926f)
                arcToRelative(0.7053f, 0.7053f, 0.0f, false, false, -0.2794f, -0.0332f)
                close()
                moveTo(3.1445f, 4.5312f)
                arcToRelative(1.0132f, 1.0132f, 0.0f, false, false, -0.8535f, 0.416f)
                curveToRelative(-0.3265f, 0.4494f, -0.2245f, 1.0812f, 0.2246f, 1.4083f)
                curveToRelative(0.4506f, 0.3279f, 1.0804f, 0.228f, 1.4063f, -0.2227f)
                curveToRelative(0.3292f, -0.4505f, 0.2311f, -1.082f, -0.2207f, -1.4101f)
                arcToRelative(0.9945f, 0.9945f, 0.0f, false, false, -0.5567f, -0.1914f)
                close()
                moveTo(20.8575f, 4.5312f)
                arcToRelative(1.0028f, 1.0028f, 0.0f, false, false, -0.5587f, 0.1915f)
                curveToRelative(-0.4513f, 0.3281f, -0.5491f, 0.9596f, -0.2226f, 1.4101f)
                curveToRelative(0.327f, 0.4508f, 0.9577f, 0.5494f, 1.4082f, 0.2227f)
                curveToRelative(0.4516f, -0.3282f, 0.552f, -0.96f, 0.2226f, -1.4102f)
                curveToRelative(-0.2039f, -0.281f, -0.526f, -0.4248f, -0.8496f, -0.414f)
                close()
                moveTo(5.4434f, 4.5898f)
                arcToRelative(0.8494f, 0.8494f, 0.0f, false, false, -0.6016f, 0.25f)
                curveToRelative(-0.3328f, 0.3324f, -0.334f, 0.8725f, -0.002f, 1.2051f)
                arcToRelative(0.8547f, 0.8547f, 0.0f, false, false, 1.2051f, 0.0f)
                curveToRelative(0.3306f, -0.3326f, 0.332f, -0.873f, 0.0f, -1.205f)
                arcToRelative(0.847f, 0.847f, 0.0f, false, false, -0.6015f, -0.25f)
                close()
                moveTo(18.5586f, 4.5898f)
                arcToRelative(0.8523f, 0.8523f, 0.0f, false, false, -0.6035f, 0.25f)
                curveToRelative(-0.3321f, 0.3318f, -0.3321f, 0.8725f, 0.0f, 1.2051f)
                curveToRelative(0.3332f, 0.3315f, 0.8724f, 0.3321f, 1.205f, 0.0f)
                curveToRelative(0.3335f, -0.332f, 0.3335f, -0.8724f, 0.0f, -1.205f)
                arcToRelative(0.8474f, 0.8474f, 0.0f, false, false, -0.6015f, -0.25f)
                close()
                moveTo(7.4336f, 5.0391f)
                arcToRelative(0.709f, 0.709f, 0.0f, false, false, -0.3926f, 0.1347f)
                curveToRelative(-0.3156f, 0.231f, -0.3868f, 0.6735f, -0.1562f, 0.9903f)
                curveToRelative(0.2304f, 0.3178f, 0.6733f, 0.3855f, 0.9902f, 0.1562f)
                arcToRelative(0.7065f, 0.7065f, 0.0f, false, false, 0.1563f, -0.9883f)
                arcToRelative(0.7073f, 0.7073f, 0.0f, false, false, -0.5977f, -0.293f)
                close()
                moveTo(16.5664f, 5.0391f)
                arcToRelative(0.7074f, 0.7074f, 0.0f, false, false, -0.5977f, 0.293f)
                curveToRelative(-0.2297f, 0.3172f, -0.16f, 0.7595f, 0.1563f, 0.9882f)
                arcToRelative(0.707f, 0.707f, 0.0f, false, false, 0.9902f, -0.1562f)
                arcToRelative(0.7081f, 0.7081f, 0.0f, false, false, -0.5488f, -1.125f)
                close()
                moveTo(11.0195f, 5.0488f)
                arcToRelative(0.5897f, 0.5897f, 0.0f, false, false, -0.1191f, 0.0078f)
                curveToRelative(-0.3213f, 0.0512f, -0.5435f, 0.3521f, -0.4922f, 0.6739f)
                curveToRelative(0.051f, 0.322f, 0.3557f, 0.5427f, 0.6777f, 0.4922f)
                curveToRelative(0.3222f, -0.0509f, 0.5407f, -0.3532f, 0.4903f, -0.6758f)
                arcToRelative(0.5906f, 0.5906f, 0.0f, false, false, -0.5567f, -0.498f)
                close()
                moveTo(12.9805f, 5.0488f)
                arcToRelative(0.5882f, 0.5882f, 0.0f, false, false, -0.5547f, 0.498f)
                curveToRelative(-0.0515f, 0.3215f, 0.1675f, 0.625f, 0.4883f, 0.6759f)
                curveToRelative(0.3221f, 0.051f, 0.6259f, -0.1702f, 0.6757f, -0.4922f)
                curveToRelative(0.0524f, -0.3229f, -0.168f, -0.6233f, -0.4902f, -0.6739f)
                arcToRelative(0.5904f, 0.5904f, 0.0f, false, false, -0.1191f, -0.0078f)
                close()
                moveTo(9.0352f, 5.6718f)
                arcToRelative(0.6048f, 0.6048f, 0.0f, false, false, -0.2286f, 0.0645f)
                arcToRelative(0.5902f, 0.5902f, 0.0f, false, false, -0.2578f, 0.793f)
                arcToRelative(0.592f, 0.592f, 0.0f, false, false, 0.795f, 0.2598f)
                curveToRelative(0.2898f, -0.1497f, 0.4077f, -0.5062f, 0.2597f, -0.797f)
                arcToRelative(0.589f, 0.589f, 0.0f, false, false, -0.5683f, -0.3202f)
                close()
                moveTo(14.9668f, 5.6718f)
                curveToRelative(-0.2294f, -0.0165f, -0.4582f, 0.102f, -0.5684f, 0.3204f)
                curveToRelative(-0.1503f, 0.2918f, -0.034f, 0.648f, 0.2559f, 0.795f)
                arcToRelative(0.5923f, 0.5923f, 0.0f, false, false, 0.7969f, -0.2579f)
                arcToRelative(0.5898f, 0.5898f, 0.0f, false, false, -0.2598f, -0.793f)
                arcToRelative(0.5863f, 0.5863f, 0.0f, false, false, -0.2246f, -0.0644f)
                close()
                moveTo(12.0f, 6.1876f)
                arcToRelative(0.4885f, 0.4885f, 0.0f, false, false, -0.4883f, 0.4883f)
                curveToRelative(0.0f, 0.2703f, 0.2186f, 0.4883f, 0.4883f, 0.4883f)
                curveToRelative(0.2704f, 0.0f, 0.4902f, -0.218f, 0.4902f, -0.4883f)
                curveToRelative(0.0f, -0.2693f, -0.2198f, -0.4883f, -0.4902f, -0.4883f)
                close()
                moveTo(10.3965f, 6.4493f)
                arcToRelative(0.4835f, 0.4835f, 0.0f, false, false, -0.1914f, 0.0235f)
                curveToRelative(-0.2574f, 0.0832f, -0.3985f, 0.3588f, -0.3145f, 0.6152f)
                curveToRelative(0.0827f, 0.2564f, 0.3594f, 0.396f, 0.6153f, 0.3125f)
                arcToRelative(0.4884f, 0.4884f, 0.0f, false, false, 0.3144f, -0.6152f)
                arcToRelative(0.4917f, 0.4917f, 0.0f, false, false, -0.4238f, -0.336f)
                close()
                moveTo(13.6035f, 6.4493f)
                arcToRelative(0.4865f, 0.4865f, 0.0f, false, false, -0.4219f, 0.336f)
                arcToRelative(0.488f, 0.488f, 0.0f, false, false, 0.3125f, 0.6152f)
                curveToRelative(0.2566f, 0.0824f, 0.5322f, -0.0561f, 0.6153f, -0.3125f)
                curveToRelative(0.0826f, -0.2564f, -0.0561f, -0.5326f, -0.3125f, -0.6152f)
                arcToRelative(0.4897f, 0.4897f, 0.0f, false, false, -0.1934f, -0.0235f)
                close()
                moveTo(5.7735f, 6.7481f)
                arcToRelative(0.705f, 0.705f, 0.0f, false, false, -0.5977f, 0.293f)
                curveToRelative(-0.2308f, 0.3153f, -0.1596f, 0.7587f, 0.1562f, 0.9883f)
                curveToRelative(0.317f, 0.2307f, 0.7605f, 0.16f, 0.9903f, -0.1563f)
                curveToRelative(0.2296f, -0.3165f, 0.159f, -0.759f, -0.1582f, -0.9902f)
                arcToRelative(0.702f, 0.702f, 0.0f, false, false, -0.3907f, -0.1348f)
                close()
                moveTo(18.2285f, 6.7481f)
                arcToRelative(0.7098f, 0.7098f, 0.0f, false, false, -0.3926f, 0.1348f)
                arcToRelative(0.707f, 0.707f, 0.0f, false, false, -0.1582f, 0.9902f)
                curveToRelative(0.231f, 0.3163f, 0.675f, 0.3879f, 0.9903f, 0.1582f)
                curveToRelative(0.3175f, -0.2314f, 0.3883f, -0.6749f, 0.1582f, -0.9902f)
                arcToRelative(0.705f, 0.705f, 0.0f, false, false, -0.5977f, -0.293f)
                close()
                moveTo(7.4453f, 6.8556f)
                arcToRelative(0.592f, 0.592f, 0.0f, false, false, -0.418f, 0.1738f)
                curveToRelative(-0.2312f, 0.2296f, -0.2301f, 0.6047f, 0.0f, 0.834f)
                arcToRelative(0.5895f, 0.5895f, 0.0f, false, false, 0.836f, 0.0f)
                arcToRelative(0.591f, 0.591f, 0.0f, false, false, 0.002f, -0.836f)
                arcToRelative(0.5924f, 0.5924f, 0.0f, false, false, -0.42f, -0.1718f)
                close()
                moveTo(16.5547f, 6.8556f)
                arcToRelative(0.5885f, 0.5885f, 0.0f, false, false, -0.418f, 0.1738f)
                arcToRelative(0.5867f, 0.5867f, 0.0f, false, false, 0.0f, 0.834f)
                arcToRelative(0.5887f, 0.5887f, 0.0f, false, false, 0.834f, 0.0f)
                curveToRelative(0.2301f, -0.2302f, 0.2315f, -0.6033f, 0.002f, -0.834f)
                arcToRelative(0.5884f, 0.5884f, 0.0f, false, false, -0.418f, -0.1738f)
                close()
                moveTo(3.7988f, 6.9396f)
                arcToRelative(0.856f, 0.856f, 0.0f, false, false, -0.8203f, 0.4648f)
                arcToRelative(0.849f, 0.849f, 0.0f, false, false, 0.373f, 1.1426f)
                curveToRelative(0.419f, 0.2149f, 0.9316f, 0.046f, 1.1446f, -0.3711f)
                curveToRelative(0.2136f, -0.4186f, 0.0454f, -0.9303f, -0.373f, -1.1446f)
                arcToRelative(0.843f, 0.843f, 0.0f, false, false, -0.3243f, -0.0917f)
                close()
                moveTo(20.2031f, 6.9396f)
                arcToRelative(0.8529f, 0.8529f, 0.0f, false, false, -0.3261f, 0.0918f)
                curveToRelative(-0.4193f, 0.2128f, -0.5854f, 0.725f, -0.373f, 1.1445f)
                curveToRelative(0.213f, 0.4182f, 0.7269f, 0.5845f, 1.1444f, 0.371f)
                curveToRelative(0.4195f, -0.2143f, 0.5867f, -0.725f, 0.373f, -1.1425f)
                arcToRelative(0.8538f, 0.8538f, 0.0f, false, false, -0.8183f, -0.4648f)
                close()
                moveTo(8.8535f, 7.205f)
                arcToRelative(0.483f, 0.483f, 0.0f, false, false, -0.2695f, 0.0918f)
                curveToRelative(-0.2182f, 0.158f, -0.2662f, 0.4657f, -0.1074f, 0.6836f)
                curveToRelative(0.1584f, 0.217f, 0.4635f, 0.2664f, 0.6816f, 0.1074f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, false, 0.1074f, -0.6816f)
                arcToRelative(0.4844f, 0.4844f, 0.0f, false, false, -0.412f, -0.2012f)
                close()
                moveTo(15.1465f, 7.205f)
                arcToRelative(0.4847f, 0.4847f, 0.0f, false, false, -0.4121f, 0.2012f)
                curveToRelative(-0.16f, 0.2184f, -0.1088f, 0.5237f, 0.1093f, 0.6816f)
                arcToRelative(0.4876f, 0.4876f, 0.0f, false, false, 0.6817f, -0.1074f)
                curveToRelative(0.1598f, -0.2179f, 0.1088f, -0.5261f, -0.1094f, -0.6836f)
                arcToRelative(0.4831f, 0.4831f, 0.0f, false, false, -0.2695f, -0.0918f)
                close()
                moveTo(11.334f, 7.2733f)
                arcToRelative(0.3879f, 0.3879f, 0.0f, false, false, -0.08f, 0.004f)
                curveToRelative(-0.2205f, 0.0349f, -0.3718f, 0.2414f, -0.336f, 0.4609f)
                curveToRelative(0.0338f, 0.2193f, 0.24f, 0.3675f, 0.461f, 0.334f)
                curveToRelative(0.2194f, -0.035f, 0.3678f, -0.2412f, 0.3339f, -0.461f)
                curveToRelative(-0.03f, -0.1906f, -0.192f, -0.3296f, -0.379f, -0.3379f)
                close()
                moveTo(12.666f, 7.2733f)
                arcToRelative(0.4009f, 0.4009f, 0.0f, false, false, -0.3789f, 0.338f)
                curveToRelative(-0.0324f, 0.2176f, 0.117f, 0.4244f, 0.334f, 0.4609f)
                curveToRelative(0.2216f, 0.0335f, 0.4267f, -0.115f, 0.461f, -0.336f)
                curveToRelative(0.034f, -0.2178f, -0.1164f, -0.4232f, -0.334f, -0.459f)
                arcToRelative(0.4094f, 0.4094f, 0.0f, false, false, -0.082f, -0.0039f)
                close()
                moveTo(1.461f, 7.5976f)
                curveToRelative(-0.3915f, 0.0344f, -0.744f, 0.2965f, -0.8731f, 0.6933f)
                curveToRelative(-0.172f, 0.5306f, 0.118f, 1.0999f, 0.6484f, 1.2715f)
                curveToRelative(0.5291f, 0.173f, 1.0974f, -0.1166f, 1.2696f, -0.6465f)
                curveToRelative(0.1715f, -0.5304f, -0.119f, -1.0994f, -0.6485f, -1.2734f)
                arcToRelative(1.0013f, 1.0013f, 0.0f, false, false, -0.3965f, -0.045f)
                close()
                moveTo(22.539f, 7.5976f)
                arcToRelative(1.0009f, 1.0009f, 0.0f, false, false, -0.3964f, 0.0449f)
                curveToRelative(-0.5304f, 0.1734f, -0.8208f, 0.743f, -0.6485f, 1.2734f)
                curveToRelative(0.1738f, 0.53f, 0.7409f, 0.8195f, 1.2696f, 0.6465f)
                curveToRelative(0.5315f, -0.1716f, 0.821f, -0.741f, 0.6484f, -1.2715f)
                curveToRelative(-0.1292f, -0.3968f, -0.482f, -0.6589f, -0.873f, -0.6933f)
                close()
                moveTo(9.9844f, 7.6972f)
                arcToRelative(0.409f, 0.409f, 0.0f, false, false, -0.1563f, 0.043f)
                curveToRelative(-0.196f, 0.1004f, -0.2756f, 0.342f, -0.1758f, 0.539f)
                arcToRelative(0.4005f, 0.4005f, 0.0f, false, false, 0.541f, 0.1758f)
                curveToRelative(0.1973f, -0.101f, 0.277f, -0.342f, 0.1758f, -0.539f)
                arcToRelative(0.397f, 0.397f, 0.0f, false, false, -0.3847f, -0.2188f)
                close()
                moveTo(14.0156f, 7.6972f)
                arcToRelative(0.3988f, 0.3988f, 0.0f, false, false, -0.3847f, 0.2168f)
                arcToRelative(0.4012f, 0.4012f, 0.0f, false, false, 0.1757f, 0.541f)
                curveToRelative(0.1975f, 0.1009f, 0.4374f, 0.022f, 0.5391f, -0.1758f)
                arcToRelative(0.4005f, 0.4005f, 0.0f, false, false, -0.1758f, -0.541f)
                arcToRelative(0.3983f, 0.3983f, 0.0f, false, false, -0.1543f, -0.041f)
                close()
                moveTo(7.7109f, 8.3827f)
                curveToRelative(-0.1568f, -0.0054f, -0.3144f, 0.0641f, -0.412f, 0.2012f)
                curveToRelative(-0.159f, 0.217f, -0.1098f, 0.523f, 0.1074f, 0.6816f)
                curveToRelative(0.2181f, 0.1596f, 0.5225f, 0.1084f, 0.6816f, -0.1093f)
                curveToRelative(0.1592f, -0.2186f, 0.1093f, -0.523f, -0.1074f, -0.6817f)
                arcToRelative(0.4847f, 0.4847f, 0.0f, false, false, -0.2696f, -0.0918f)
                close()
                moveTo(16.291f, 8.3827f)
                arcToRelative(0.4904f, 0.4904f, 0.0f, false, false, -0.2715f, 0.0918f)
                arcToRelative(0.4873f, 0.4873f, 0.0f, false, false, -0.1074f, 0.6816f)
                curveToRelative(0.1598f, 0.2178f, 0.464f, 0.268f, 0.6816f, 0.1094f)
                curveToRelative(0.2187f, -0.1597f, 0.2672f, -0.4645f, 0.1075f, -0.6816f)
                arcToRelative(0.481f, 0.481f, 0.0f, false, false, -0.4102f, -0.2012f)
                close()
                moveTo(6.3047f, 8.4862f)
                arcToRelative(0.594f, 0.594f, 0.0f, false, false, -0.5703f, 0.3223f)
                arcToRelative(0.5913f, 0.5913f, 0.0f, false, false, 0.2597f, 0.793f)
                arcToRelative(0.5867f, 0.5867f, 0.0f, false, false, 0.793f, -0.2559f)
                curveToRelative(0.1484f, -0.292f, 0.0326f, -0.649f, -0.2578f, -0.7969f)
                arcToRelative(0.5837f, 0.5837f, 0.0f, false, false, -0.2246f, -0.0625f)
                close()
                moveTo(17.6973f, 8.4862f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, -0.2266f, 0.0625f)
                curveToRelative(-0.2913f, 0.1472f, -0.4053f, 0.5048f, -0.2578f, 0.7969f)
                arcToRelative(0.5895f, 0.5895f, 0.0f, false, false, 0.793f, 0.2578f)
                arcToRelative(0.5898f, 0.5898f, 0.0f, false, false, 0.2578f, -0.795f)
                arcToRelative(0.5867f, 0.5867f, 0.0f, false, false, -0.5664f, -0.3222f)
                close()
                moveTo(8.9043f, 8.5f)
                arcToRelative(0.4096f, 0.4096f, 0.0f, false, false, -0.2871f, 0.1191f)
                arcToRelative(0.4023f, 0.4023f, 0.0f, false, false, 0.002f, 0.5684f)
                arcToRelative(0.4024f, 0.4024f, 0.0f, false, false, 0.5683f, 0.0f)
                arcToRelative(0.4023f, 0.4023f, 0.0f, false, false, 0.0f, -0.5684f)
                arcToRelative(0.4f, 0.4f, 0.0f, false, false, -0.2832f, -0.1191f)
                close()
                moveTo(15.0977f, 8.502f)
                arcToRelative(0.4004f, 0.4004f, 0.0f, false, false, -0.2852f, 0.1171f)
                arcToRelative(0.3993f, 0.3993f, 0.0f, false, false, 0.002f, 0.5684f)
                arcToRelative(0.3998f, 0.3998f, 0.0f, false, false, 0.5664f, 0.0f)
                curveToRelative(0.1577f, -0.158f, 0.1568f, -0.4129f, 0.0f, -0.5684f)
                arcToRelative(0.3991f, 0.3991f, 0.0f, false, false, -0.2832f, -0.1171f)
                close()
                moveTo(4.5898f, 8.9062f)
                curveToRelative(-0.2752f, 0.0234f, -0.5233f, 0.2071f, -0.6132f, 0.4864f)
                curveToRelative(-0.1217f, 0.3721f, 0.0827f, 0.7708f, 0.455f, 0.8926f)
                arcToRelative(0.7074f, 0.7074f, 0.0f, false, false, 0.8926f, -0.4532f)
                curveToRelative(0.12f, -0.373f, -0.0814f, -0.7734f, -0.455f, -0.8925f)
                arcToRelative(0.7026f, 0.7026f, 0.0f, false, false, -0.2794f, -0.0333f)
                close()
                moveTo(19.4102f, 8.9062f)
                arcToRelative(0.703f, 0.703f, 0.0f, false, false, -0.2793f, 0.0333f)
                curveToRelative(-0.3729f, 0.1191f, -0.5758f, 0.5195f, -0.4551f, 0.8925f)
                curveToRelative(0.12f, 0.3718f, 0.5203f, 0.5743f, 0.8926f, 0.4532f)
                curveToRelative(0.3717f, -0.1218f, 0.578f, -0.5205f, 0.457f, -0.8926f)
                arcToRelative(0.7113f, 0.7113f, 0.0f, false, false, -0.6152f, -0.4863f)
                close()
                moveTo(8.127f, 9.6113f)
                arcToRelative(0.4015f, 0.4015f, 0.0f, false, false, -0.3868f, 0.2188f)
                arcToRelative(0.4f, 0.4f, 0.0f, false, false, 0.1758f, 0.539f)
                arcToRelative(0.3974f, 0.3974f, 0.0f, false, false, 0.539f, -0.1738f)
                arcToRelative(0.401f, 0.401f, 0.0f, false, false, -0.1757f, -0.541f)
                arcToRelative(0.3936f, 0.3936f, 0.0f, false, false, -0.1523f, -0.043f)
                close()
                moveTo(15.873f, 9.6113f)
                arcToRelative(0.3923f, 0.3923f, 0.0f, false, false, -0.1523f, 0.043f)
                arcToRelative(0.4008f, 0.4008f, 0.0f, false, false, -0.1758f, 0.541f)
                arcToRelative(0.4031f, 0.4031f, 0.0f, false, false, 0.539f, 0.1738f)
                arcToRelative(0.3989f, 0.3989f, 0.0f, false, false, 0.1759f, -0.541f)
                arcToRelative(0.4033f, 0.4033f, 0.0f, false, false, -0.3868f, -0.2168f)
                close()
                moveTo(2.8008f, 9.6993f)
                arcToRelative(0.8528f, 0.8528f, 0.0f, false, false, -0.8028f, 0.7167f)
                arcToRelative(0.8519f, 0.8519f, 0.0f, false, false, 0.709f, 0.9727f)
                arcToRelative(0.8477f, 0.8477f, 0.0f, false, false, 0.9727f, -0.7051f)
                curveToRelative(0.0735f, -0.4642f, -0.2409f, -0.9007f, -0.705f, -0.9746f)
                arcToRelative(0.8745f, 0.8745f, 0.0f, false, false, -0.174f, -0.0098f)
                close()
                moveTo(21.1992f, 9.6993f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, false, -0.1719f, 0.0097f)
                arcToRelative(0.8498f, 0.8498f, 0.0f, false, false, -0.707f, 0.9746f)
                arcToRelative(0.8477f, 0.8477f, 0.0f, false, false, 0.9727f, 0.705f)
                arcToRelative(0.8494f, 0.8494f, 0.0f, false, false, 0.707f, -0.9726f)
                curveToRelative(-0.0643f, -0.4055f, -0.4057f, -0.6986f, -0.8008f, -0.7168f)
                close()
                moveTo(6.8945f, 9.8672f)
                arcToRelative(0.4876f, 0.4876f, 0.0f, false, false, -0.4218f, 0.336f)
                arcToRelative(0.4873f, 0.4873f, 0.0f, false, false, 0.3144f, 0.6152f)
                curveToRelative(0.2558f, 0.084f, 0.5329f, -0.0558f, 0.6152f, -0.3125f)
                curveToRelative(0.0838f, -0.2558f, -0.0578f, -0.5337f, -0.3144f, -0.6172f)
                arcToRelative(0.4888f, 0.4888f, 0.0f, false, false, -0.1934f, -0.0215f)
                close()
                moveTo(17.1055f, 9.8672f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, false, -0.1934f, 0.0215f)
                curveToRelative(-0.2555f, 0.0835f, -0.3971f, 0.3614f, -0.3144f, 0.6172f)
                arcToRelative(0.4896f, 0.4896f, 0.0f, false, false, 0.6171f, 0.3125f)
                curveToRelative(0.2564f, -0.0827f, 0.3947f, -0.3593f, 0.3106f, -0.6153f)
                curveToRelative(-0.0601f, -0.192f, -0.2299f, -0.3192f, -0.42f, -0.336f)
                close()
                moveTo(5.6113f, 10.4004f)
                arcToRelative(0.5899f, 0.5899f, 0.0f, false, false, -0.5547f, 0.498f)
                curveToRelative(-0.0511f, 0.323f, 0.1676f, 0.6266f, 0.4883f, 0.6778f)
                curveToRelative(0.3235f, 0.0518f, 0.6274f, -0.1689f, 0.6778f, -0.4903f)
                arcToRelative(0.5926f, 0.5926f, 0.0f, false, false, -0.4922f, -0.6777f)
                arcToRelative(0.5862f, 0.5862f, 0.0f, false, false, -0.1192f, -0.0078f)
                close()
                moveTo(18.3887f, 10.4004f)
                arcToRelative(0.593f, 0.593f, 0.0f, false, false, -0.1192f, 0.0078f)
                arcToRelative(0.5923f, 0.5923f, 0.0f, false, false, -0.4922f, 0.6777f)
                arcToRelative(0.5897f, 0.5897f, 0.0f, false, false, 0.6758f, 0.4903f)
                curveToRelative(0.322f, -0.0512f, 0.5414f, -0.3548f, 0.4903f, -0.6778f)
                arcToRelative(0.5905f, 0.5905f, 0.0f, false, false, -0.5547f, -0.498f)
                close()
                moveTo(7.6562f, 10.9141f)
                curveToRelative(-0.1853f, 0.0095f, -0.3472f, 0.145f, -0.3789f, 0.3359f)
                arcToRelative(0.4024f, 0.4024f, 0.0f, false, false, 0.336f, 0.461f)
                arcToRelative(0.4009f, 0.4009f, 0.0f, false, false, 0.457f, -0.332f)
                arcToRelative(0.4025f, 0.4025f, 0.0f, false, false, -0.334f, -0.463f)
                arcToRelative(0.3937f, 0.3937f, 0.0f, false, false, -0.08f, -0.002f)
                close()
                moveTo(16.3437f, 10.9141f)
                arcToRelative(0.4169f, 0.4169f, 0.0f, false, false, -0.082f, 0.0039f)
                arcToRelative(0.4023f, 0.4023f, 0.0f, false, false, -0.332f, 0.461f)
                curveToRelative(0.0341f, 0.2184f, 0.2406f, 0.3656f, 0.459f, 0.332f)
                arcToRelative(0.4019f, 0.4019f, 0.0f, false, false, 0.334f, -0.459f)
                curveToRelative(-0.0301f, -0.1928f, -0.1917f, -0.3291f, -0.379f, -0.338f)
                close()
                moveTo(1.0078f, 10.9921f)
                curveTo(0.4508f, 10.9922f, 0.0f, 11.4437f, 0.0f, 12.0f)
                curveToRelative(0.0f, 0.5575f, 0.4503f, 1.0078f, 1.0078f, 1.0078f)
                arcTo(1.0069f, 1.0069f, 0.0f, false, false, 2.0156f, 12.0f)
                curveToRelative(0.0f, -0.5564f, -0.4506f, -1.0078f, -1.0078f, -1.0078f)
                close()
                moveTo(22.9922f, 10.9921f)
                curveToRelative(-0.558f, 0.0f, -1.0098f, 0.4509f, -1.0098f, 1.0079f)
                curveToRelative(0.0f, 0.5569f, 0.4518f, 1.0078f, 1.0098f, 1.0078f)
                curveTo(23.5466f, 13.0078f, 24.0f, 12.5575f, 24.0f, 12.0f)
                curveToRelative(0.0f, -0.5564f, -0.4534f, -1.0078f, -1.0078f, -1.0078f)
                close()
                moveTo(4.2715f, 11.2911f)
                arcToRelative(0.7086f, 0.7086f, 0.0f, false, false, -0.709f, 0.7089f)
                curveToRelative(0.001f, 0.3924f, 0.317f, 0.709f, 0.709f, 0.709f)
                arcToRelative(0.7086f, 0.7086f, 0.0f, false, false, 0.709f, -0.709f)
                arcToRelative(0.709f, 0.709f, 0.0f, false, false, -0.709f, -0.709f)
                close()
                moveTo(19.7285f, 11.2911f)
                curveToRelative(-0.3904f, 0.0f, -0.709f, 0.3171f, -0.709f, 0.7089f)
                curveToRelative(0.0f, 0.3924f, 0.3186f, 0.709f, 0.709f, 0.709f)
                arcToRelative(0.7062f, 0.7062f, 0.0f, false, false, 0.707f, -0.709f)
                curveToRelative(0.0f, -0.3918f, -0.3146f, -0.709f, -0.707f, -0.709f)
                close()
                moveTo(6.6758f, 11.5098f)
                curveToRelative(-0.27f, 0.0f, -0.4883f, 0.2213f, -0.4883f, 0.4902f)
                curveToRelative(0.0f, 0.269f, 0.2183f, 0.4879f, 0.4883f, 0.4863f)
                curveToRelative(0.269f, 0.0f, 0.4883f, -0.2174f, 0.4883f, -0.4863f)
                curveToRelative(0.0f, -0.269f, -0.2194f, -0.4902f, -0.4883f, -0.4902f)
                close()
                moveTo(17.3242f, 11.5098f)
                curveToRelative(-0.2698f, 0.0f, -0.4883f, 0.2213f, -0.4883f, 0.4902f)
                arcToRelative(0.486f, 0.486f, 0.0f, false, false, 0.4883f, 0.4863f)
                arcToRelative(0.4867f, 0.4867f, 0.0f, false, false, 0.4883f, -0.4863f)
                curveToRelative(0.0f, -0.269f, -0.218f, -0.4902f, -0.4883f, -0.4902f)
                close()
                moveTo(16.3066f, 12.2832f)
                curveToRelative(-0.1861f, 0.0074f, -0.3464f, 0.147f, -0.377f, 0.3379f)
                curveToRelative(-0.0348f, 0.2202f, 0.1128f, 0.426f, 0.3321f, 0.461f)
                curveToRelative(0.2187f, 0.0331f, 0.4252f, -0.1146f, 0.461f, -0.334f)
                arcToRelative(0.3976f, 0.3976f, 0.0f, false, false, -0.334f, -0.459f)
                arcToRelative(0.4076f, 0.4076f, 0.0f, false, false, -0.082f, -0.0059f)
                close()
                moveTo(7.6934f, 12.2852f)
                arcToRelative(0.4168f, 0.4168f, 0.0f, false, false, -0.082f, 0.0039f)
                curveToRelative(-0.2181f, 0.0347f, -0.37f, 0.239f, -0.334f, 0.459f)
                curveToRelative(0.035f, 0.2198f, 0.2407f, 0.3674f, 0.4609f, 0.334f)
                arcToRelative(0.404f, 0.404f, 0.0f, false, false, 0.334f, -0.461f)
                curveToRelative(-0.0306f, -0.192f, -0.192f, -0.3278f, -0.379f, -0.336f)
                close()
                moveTo(5.666f, 12.418f)
                arcToRelative(0.6064f, 0.6064f, 0.0f, false, false, -0.121f, 0.0058f)
                curveToRelative(-0.3208f, 0.0504f, -0.5395f, 0.3529f, -0.4884f, 0.6758f)
                arcToRelative(0.5894f, 0.5894f, 0.0f, false, false, 0.6739f, 0.4922f)
                arcToRelative(0.5917f, 0.5917f, 0.0f, false, false, 0.4922f, -0.6777f)
                curveToRelative(-0.0441f, -0.2816f, -0.2813f, -0.4838f, -0.5567f, -0.4961f)
                close()
                moveTo(18.334f, 12.418f)
                arcToRelative(0.5905f, 0.5905f, 0.0f, false, false, -0.5567f, 0.498f)
                curveToRelative(-0.0513f, 0.3214f, 0.168f, 0.625f, 0.4903f, 0.6758f)
                curveToRelative(0.3231f, 0.0514f, 0.6244f, -0.1701f, 0.6758f, -0.4922f)
                curveToRelative(0.051f, -0.323f, -0.1671f, -0.6254f, -0.4903f, -0.6758f)
                arcToRelative(0.585f, 0.585f, 0.0f, false, false, -0.1191f, -0.0058f)
                close()
                moveTo(2.879f, 12.5996f)
                arcToRelative(0.8538f, 0.8538f, 0.0f, false, false, -0.172f, 0.0098f)
                curveToRelative(-0.4638f, 0.0735f, -0.7817f, 0.5105f, -0.709f, 0.9746f)
                curveToRelative(0.074f, 0.4642f, 0.511f, 0.7812f, 0.9747f, 0.707f)
                curveToRelative(0.466f, -0.0732f, 0.7808f, -0.5105f, 0.707f, -0.9746f)
                arcToRelative(0.8497f, 0.8497f, 0.0f, false, false, -0.8008f, -0.7168f)
                close()
                moveTo(21.121f, 12.5996f)
                curveToRelative(-0.396f, 0.0179f, -0.7384f, 0.3103f, -0.8026f, 0.7168f)
                curveToRelative(-0.0727f, 0.4641f, 0.2442f, 0.901f, 0.709f, 0.9746f)
                curveToRelative(0.4636f, 0.0739f, 0.8983f, -0.243f, 0.9726f, -0.707f)
                curveToRelative(0.0726f, -0.4648f, -0.2409f, -0.9011f, -0.705f, -0.9746f)
                arcToRelative(0.8735f, 0.8735f, 0.0f, false, false, -0.174f, -0.0098f)
                close()
                moveTo(6.9805f, 13.1582f)
                arcToRelative(0.4917f, 0.4917f, 0.0f, false, false, -0.1934f, 0.0215f)
                arcToRelative(0.4892f, 0.4892f, 0.0f, false, false, -0.3144f, 0.6172f)
                curveToRelative(0.082f, 0.2566f, 0.3585f, 0.3958f, 0.6152f, 0.3125f)
                curveToRelative(0.2566f, -0.0827f, 0.397f, -0.3606f, 0.3144f, -0.6153f)
                arcToRelative(0.4879f, 0.4879f, 0.0f, false, false, -0.4218f, -0.3359f)
                close()
                moveTo(17.0215f, 13.1582f)
                arcToRelative(0.4896f, 0.4896f, 0.0f, false, false, -0.4238f, 0.336f)
                curveToRelative(-0.0822f, 0.2546f, 0.0589f, 0.5325f, 0.3144f, 0.6152f)
                curveToRelative(0.2564f, 0.0833f, 0.532f, -0.056f, 0.6133f, -0.3125f)
                curveToRelative(0.084f, -0.2572f, -0.0542f, -0.5337f, -0.3106f, -0.6172f)
                arcToRelative(0.4916f, 0.4916f, 0.0f, false, false, -0.1933f, -0.0215f)
                close()
                moveTo(8.0703f, 13.5859f)
                arcToRelative(0.3959f, 0.3959f, 0.0f, false, false, -0.1523f, 0.043f)
                arcToRelative(0.3983f, 0.3983f, 0.0f, false, false, -0.1758f, 0.541f)
                arcToRelative(0.399f, 0.399f, 0.0f, false, false, 0.5371f, 0.1758f)
                arcToRelative(0.3994f, 0.3994f, 0.0f, false, false, 0.1758f, -0.539f)
                curveToRelative(-0.0759f, -0.1482f, -0.2297f, -0.2314f, -0.3848f, -0.2208f)
                close()
                moveTo(15.9316f, 13.5859f)
                arcToRelative(0.4052f, 0.4052f, 0.0f, false, false, -0.3886f, 0.2188f)
                arcToRelative(0.4037f, 0.4037f, 0.0f, false, false, 0.1758f, 0.541f)
                curveToRelative(0.1983f, 0.101f, 0.4418f, 0.0231f, 0.543f, -0.1758f)
                curveToRelative(0.1005f, -0.196f, 0.0196f, -0.4391f, -0.1778f, -0.541f)
                arcToRelative(0.3905f, 0.3905f, 0.0f, false, false, -0.1524f, -0.043f)
                close()
                moveTo(4.7109f, 13.6797f)
                arcToRelative(0.7048f, 0.7048f, 0.0f, false, false, -0.2793f, 0.0332f)
                curveToRelative(-0.3723f, 0.1218f, -0.5767f, 0.5213f, -0.455f, 0.8945f)
                arcToRelative(0.7072f, 0.7072f, 0.0f, false, false, 0.8925f, 0.4531f)
                curveToRelative(0.3737f, -0.12f, 0.575f, -0.5195f, 0.4551f, -0.8925f)
                arcToRelative(0.7111f, 0.7111f, 0.0f, false, false, -0.6133f, -0.4883f)
                close()
                moveTo(19.2891f, 13.6797f)
                arcToRelative(0.7118f, 0.7118f, 0.0f, false, false, -0.6133f, 0.4902f)
                curveToRelative(-0.1196f, 0.372f, 0.0822f, 0.7705f, 0.455f, 0.8906f)
                arcToRelative(0.7071f, 0.7071f, 0.0f, false, false, 0.8926f, -0.453f)
                curveToRelative(0.1226f, -0.3733f, -0.0833f, -0.7728f, -0.455f, -0.8946f)
                arcToRelative(0.7042f, 0.7042f, 0.0f, false, false, -0.2793f, -0.0332f)
                close()
                moveTo(6.2187f, 14.334f)
                arcToRelative(0.5803f, 0.5803f, 0.0f, false, false, -0.2246f, 0.0625f)
                curveToRelative(-0.2907f, 0.148f, -0.4083f, 0.5042f, -0.2597f, 0.795f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, 0.7949f, 0.2577f)
                arcToRelative(0.5864f, 0.5864f, 0.0f, false, false, 0.2578f, -0.793f)
                arcToRelative(0.5911f, 0.5911f, 0.0f, false, false, -0.5683f, -0.3222f)
                close()
                moveTo(17.7812f, 14.334f)
                arcToRelative(0.5917f, 0.5917f, 0.0f, false, false, -0.5683f, 0.3203f)
                arcToRelative(0.5902f, 0.5902f, 0.0f, false, false, 0.2578f, 0.795f)
                curveToRelative(0.2907f, 0.1473f, 0.6475f, 0.0327f, 0.795f, -0.2579f)
                curveToRelative(0.1488f, -0.2907f, 0.0317f, -0.6469f, -0.2598f, -0.795f)
                arcToRelative(0.5784f, 0.5784f, 0.0f, false, false, -0.2247f, -0.0624f)
                close()
                moveTo(1.6328f, 14.3906f)
                arcToRelative(0.992f, 0.992f, 0.0f, false, false, -0.3965f, 0.0469f)
                curveToRelative(-0.5303f, 0.1712f, -0.8205f, 0.741f, -0.6484f, 1.2715f)
                curveToRelative(0.172f, 0.5289f, 0.741f, 0.8182f, 1.2695f, 0.6465f)
                curveToRelative(0.53f, -0.173f, 0.8197f, -0.741f, 0.6485f, -1.2715f)
                arcToRelative(1.009f, 1.009f, 0.0f, false, false, -0.873f, -0.6934f)
                close()
                moveTo(22.3672f, 14.3906f)
                arcToRelative(1.0107f, 1.0107f, 0.0f, false, false, -0.873f, 0.6934f)
                curveToRelative(-0.1707f, 0.5305f, 0.118f, 1.0985f, 0.6484f, 1.2715f)
                curveToRelative(0.5292f, 0.1717f, 1.0972f, -0.1176f, 1.2695f, -0.6465f)
                curveToRelative(0.1726f, -0.5306f, -0.117f, -1.1003f, -0.6484f, -1.2715f)
                arcToRelative(0.992f, 0.992f, 0.0f, false, false, -0.3965f, -0.0469f)
                close()
                moveTo(7.6758f, 14.6406f)
                arcToRelative(0.4847f, 0.4847f, 0.0f, false, false, -0.2695f, 0.0938f)
                curveToRelative(-0.2175f, 0.159f, -0.2663f, 0.4639f, -0.1094f, 0.6816f)
                arcToRelative(0.4893f, 0.4893f, 0.0f, false, false, 0.6836f, 0.1094f)
                curveToRelative(0.2167f, -0.1586f, 0.2683f, -0.4658f, 0.1093f, -0.6836f)
                arcToRelative(0.494f, 0.494f, 0.0f, false, false, -0.414f, -0.2012f)
                close()
                moveTo(16.3242f, 14.6406f)
                arcToRelative(0.4911f, 0.4911f, 0.0f, false, false, -0.412f, 0.2012f)
                arcToRelative(0.4897f, 0.4897f, 0.0f, false, false, 0.1073f, 0.6836f)
                curveToRelative(0.2185f, 0.1585f, 0.525f, 0.11f, 0.6817f, -0.1094f)
                arcToRelative(0.4875f, 0.4875f, 0.0f, false, false, -0.1075f, -0.6816f)
                arcToRelative(0.4844f, 0.4844f, 0.0f, false, false, -0.2695f, -0.0938f)
                close()
                moveTo(8.9043f, 14.6953f)
                curveToRelative(-0.1028f, 0.0f, -0.2064f, 0.037f, -0.2852f, 0.1152f)
                arcToRelative(0.4016f, 0.4016f, 0.0f, false, false, 0.0f, 0.5684f)
                curveToRelative(0.1582f, 0.1572f, 0.4118f, 0.1574f, 0.5684f, 0.002f)
                arcToRelative(0.403f, 0.403f, 0.0f, false, false, 0.0f, -0.5704f)
                arcToRelative(0.3973f, 0.3973f, 0.0f, false, false, -0.2832f, -0.1152f)
                close()
                moveTo(15.0957f, 14.6953f)
                arcToRelative(0.3975f, 0.3975f, 0.0f, false, false, -0.2832f, 0.1172f)
                curveToRelative(-0.1579f, 0.1565f, -0.1568f, 0.4122f, 0.0f, 0.5684f)
                curveToRelative(0.1589f, 0.1565f, 0.4117f, 0.1565f, 0.5684f, 0.0f)
                arcToRelative(0.4016f, 0.4016f, 0.0f, false, false, 0.0f, -0.5684f)
                arcToRelative(0.4026f, 0.4026f, 0.0f, false, false, -0.2852f, -0.1172f)
                close()
                moveTo(3.6757f, 15.3613f)
                arcToRelative(0.8422f, 0.8422f, 0.0f, false, false, -0.3241f, 0.0899f)
                curveToRelative(-0.4186f, 0.2135f, -0.5862f, 0.7252f, -0.373f, 1.1445f)
                curveToRelative(0.2132f, 0.4186f, 0.7252f, 0.5859f, 1.1444f, 0.373f)
                curveToRelative(0.4185f, -0.2139f, 0.5867f, -0.7263f, 0.373f, -1.1445f)
                curveToRelative(-0.1596f, -0.3135f, -0.4891f, -0.4857f, -0.8202f, -0.4629f)
                close()
                moveTo(20.3242f, 15.3613f)
                arcToRelative(0.8553f, 0.8553f, 0.0f, false, false, -0.8203f, 0.463f)
                curveToRelative(-0.2134f, 0.4181f, -0.0462f, 0.9305f, 0.373f, 1.1445f)
                curveToRelative(0.4187f, 0.2128f, 0.9304f, 0.0455f, 1.1446f, -0.3731f)
                curveToRelative(0.214f, -0.4193f, 0.0459f, -0.931f, -0.373f, -1.1445f)
                arcToRelative(0.8397f, 0.8397f, 0.0f, false, false, -0.3243f, -0.0899f)
                close()
                moveTo(13.959f, 15.5f)
                arcToRelative(0.4037f, 0.4037f, 0.0f, false, false, -0.1543f, 0.043f)
                curveToRelative(-0.195f, 0.1015f, -0.2742f, 0.3435f, -0.1738f, 0.541f)
                arcToRelative(0.3988f, 0.3988f, 0.0f, false, false, 0.539f, 0.1758f)
                curveToRelative(0.1964f, -0.1017f, 0.277f, -0.3433f, 0.1758f, -0.541f)
                arcToRelative(0.4006f, 0.4006f, 0.0f, false, false, -0.3867f, -0.2188f)
                close()
                moveTo(10.041f, 15.502f)
                curveToRelative(-0.1569f, -0.0107f, -0.3114f, 0.0691f, -0.3867f, 0.2167f)
                arcToRelative(0.4012f, 0.4012f, 0.0f, false, false, 0.1758f, 0.541f)
                curveToRelative(0.1978f, 0.1f, 0.4387f, 0.0222f, 0.539f, -0.1757f)
                curveToRelative(0.1023f, -0.198f, 0.0228f, -0.4393f, -0.1738f, -0.541f)
                arcToRelative(0.402f, 0.402f, 0.0f, false, false, -0.1543f, -0.041f)
                close()
                moveTo(8.8887f, 15.8184f)
                arcToRelative(0.487f, 0.487f, 0.0f, false, false, -0.4121f, 0.2011f)
                arcToRelative(0.4874f, 0.4874f, 0.0f, true, false, 0.789f, 0.5723f)
                curveToRelative(0.158f, -0.217f, 0.1098f, -0.5226f, -0.1074f, -0.6816f)
                arcToRelative(0.4826f, 0.4826f, 0.0f, false, false, -0.2695f, -0.0918f)
                close()
                moveTo(15.1133f, 15.8184f)
                arcToRelative(0.4833f, 0.4833f, 0.0f, false, false, -0.2696f, 0.0918f)
                curveToRelative(-0.2181f, 0.159f, -0.2675f, 0.4646f, -0.1093f, 0.6816f)
                curveToRelative(0.1573f, 0.2192f, 0.4643f, 0.2671f, 0.6816f, 0.1094f)
                curveToRelative(0.2182f, -0.159f, 0.2692f, -0.4645f, 0.1094f, -0.6817f)
                arcToRelative(0.4863f, 0.4863f, 0.0f, false, false, -0.4121f, -0.2011f)
                close()
                moveTo(5.7227f, 15.834f)
                arcToRelative(0.6996f, 0.6996f, 0.0f, false, false, -0.3907f, 0.1328f)
                curveToRelative(-0.3158f, 0.2309f, -0.3867f, 0.6757f, -0.1562f, 0.9922f)
                arcToRelative(0.7044f, 0.7044f, 0.0f, false, false, 0.9883f, 0.1562f)
                curveToRelative(0.3172f, -0.2307f, 0.3884f, -0.6724f, 0.1582f, -0.9882f)
                arcToRelative(0.711f, 0.711f, 0.0f, false, false, -0.5996f, -0.293f)
                close()
                moveTo(18.2773f, 15.834f)
                arcToRelative(0.7134f, 0.7134f, 0.0f, false, false, -0.5996f, 0.293f)
                arcToRelative(0.7052f, 0.7052f, 0.0f, false, false, 0.1582f, 0.9882f)
                curveToRelative(0.3173f, 0.2312f, 0.761f, 0.162f, 0.9903f, -0.1562f)
                curveToRelative(0.2301f, -0.3165f, 0.1593f, -0.7613f, -0.1582f, -0.9922f)
                arcToRelative(0.699f, 0.699f, 0.0f, false, false, -0.3907f, -0.1328f)
                close()
                moveTo(11.2969f, 15.9219f)
                curveToRelative(-0.188f, 0.008f, -0.3496f, 0.1486f, -0.3809f, 0.3418f)
                curveToRelative(-0.0333f, 0.2182f, 0.1183f, 0.4223f, 0.338f, 0.459f)
                curveToRelative(0.2195f, 0.0349f, 0.4232f, -0.116f, 0.4589f, -0.336f)
                curveToRelative(0.0335f, -0.2184f, -0.1165f, -0.4225f, -0.334f, -0.459f)
                arcToRelative(0.4123f, 0.4123f, 0.0f, false, false, -0.082f, -0.0058f)
                close()
                moveTo(12.7031f, 15.9239f)
                arcToRelative(0.4108f, 0.4108f, 0.0f, false, false, -0.082f, 0.0038f)
                curveToRelative(-0.2196f, 0.035f, -0.3667f, 0.2411f, -0.332f, 0.461f)
                arcToRelative(0.4013f, 0.4013f, 0.0f, false, false, 0.459f, 0.334f)
                arcToRelative(0.3987f, 0.3987f, 0.0f, false, false, 0.332f, -0.459f)
                arcToRelative(0.3996f, 0.3996f, 0.0f, false, false, -0.377f, -0.3399f)
                close()
                moveTo(7.4453f, 15.9629f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, -0.418f, 0.1738f)
                arcToRelative(0.5905f, 0.5905f, 0.0f, false, false, 0.836f, 0.834f)
                curveToRelative(0.2313f, -0.2306f, 0.2324f, -0.6037f, 0.002f, -0.834f)
                arcToRelative(0.5958f, 0.5958f, 0.0f, false, false, -0.42f, -0.1738f)
                close()
                moveTo(16.5547f, 15.9629f)
                arcToRelative(0.5891f, 0.5891f, 0.0f, false, false, -0.418f, 0.1738f)
                arcToRelative(0.5867f, 0.5867f, 0.0f, false, false, 0.0f, 0.834f)
                arcToRelative(0.5875f, 0.5875f, 0.0f, false, false, 0.834f, 0.0f)
                arcToRelative(0.5893f, 0.5893f, 0.0f, false, false, 0.0f, -0.834f)
                arcToRelative(0.5849f, 0.5849f, 0.0f, false, false, -0.416f, -0.1738f)
                close()
                moveTo(10.3125f, 16.5762f)
                arcToRelative(0.4878f, 0.4878f, 0.0f, false, false, -0.4219f, 0.336f)
                arcToRelative(0.4857f, 0.4857f, 0.0f, false, false, 0.3145f, 0.6151f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, false, 0.6152f, -0.3125f)
                curveToRelative(0.0834f, -0.2569f, -0.0579f, -0.5344f, -0.3144f, -0.6171f)
                arcToRelative(0.4904f, 0.4904f, 0.0f, false, false, -0.1934f, -0.0215f)
                close()
                moveTo(13.6875f, 16.5762f)
                arcToRelative(0.4907f, 0.4907f, 0.0f, false, false, -0.1934f, 0.0215f)
                curveToRelative(-0.255f, 0.0827f, -0.3961f, 0.3602f, -0.3125f, 0.6171f)
                curveToRelative(0.0824f, 0.2559f, 0.3589f, 0.3944f, 0.6153f, 0.3125f)
                arcToRelative(0.4885f, 0.4885f, 0.0f, false, false, 0.3125f, -0.6152f)
                arcToRelative(0.4877f, 0.4877f, 0.0f, false, false, -0.4219f, -0.336f)
                close()
                moveTo(12.0f, 16.8359f)
                arcToRelative(0.4878f, 0.4878f, 0.0f, false, false, -0.4883f, 0.4883f)
                curveToRelative(0.0f, 0.2698f, 0.2186f, 0.4883f, 0.4883f, 0.4883f)
                curveToRelative(0.2704f, 0.0f, 0.4902f, -0.2185f, 0.4902f, -0.4883f)
                curveToRelative(0.0f, -0.2703f, -0.2198f, -0.4883f, -0.4902f, -0.4883f)
                close()
                moveTo(9.1172f, 17.1484f)
                arcToRelative(0.5908f, 0.5908f, 0.0f, false, false, -0.5684f, 0.3204f)
                curveToRelative(-0.1467f, 0.2916f, -0.0318f, 0.6463f, 0.2578f, 0.7949f)
                arcToRelative(0.5923f, 0.5923f, 0.0f, false, false, 0.797f, -0.2578f)
                curveToRelative(0.1469f, -0.2902f, 0.0316f, -0.6464f, -0.2579f, -0.795f)
                arcToRelative(0.6008f, 0.6008f, 0.0f, false, false, -0.2285f, -0.0625f)
                close()
                moveTo(14.8828f, 17.1484f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, -0.2265f, 0.0625f)
                curveToRelative(-0.2917f, 0.1479f, -0.4058f, 0.504f, -0.2598f, 0.795f)
                curveToRelative(0.1494f, 0.291f, 0.5061f, 0.4064f, 0.7969f, 0.2578f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, 0.2558f, -0.795f)
                arcToRelative(0.5864f, 0.5864f, 0.0f, false, false, -0.5664f, -0.3203f)
                close()
                moveTo(3.0723f, 17.4512f)
                arcToRelative(1.0037f, 1.0037f, 0.0f, false, false, -0.5567f, 0.1933f)
                curveToRelative(-0.4502f, 0.3271f, -0.5514f, 0.9589f, -0.2226f, 1.4102f)
                curveToRelative(0.327f, 0.4491f, 0.9581f, 0.549f, 1.4082f, 0.2207f)
                curveToRelative(0.4518f, -0.3276f, 0.5497f, -0.9583f, 0.2226f, -1.4082f)
                arcToRelative(1.0092f, 1.0092f, 0.0f, false, false, -0.8515f, -0.416f)
                close()
                moveTo(20.9277f, 17.4532f)
                curveToRelative(-0.3235f, -0.011f, -0.6468f, 0.133f, -0.8515f, 0.414f)
                curveToRelative(-0.3285f, 0.4499f, -0.2287f, 1.0811f, 0.2226f, 1.4082f)
                curveToRelative(0.452f, 0.3284f, 1.082f, 0.2284f, 1.4082f, -0.2207f)
                curveToRelative(0.3293f, -0.4513f, 0.2284f, -1.083f, -0.2226f, -1.4102f)
                arcToRelative(1.0005f, 1.0005f, 0.0f, false, false, -0.5567f, -0.1914f)
                close()
                moveTo(7.4824f, 17.543f)
                arcToRelative(0.7077f, 0.7077f, 0.0f, false, false, -0.5976f, 0.293f)
                curveToRelative(-0.2306f, 0.3159f, -0.1594f, 0.7591f, 0.1562f, 0.9902f)
                curveToRelative(0.3175f, 0.23f, 0.7595f, 0.1583f, 0.9902f, -0.1582f)
                curveToRelative(0.23f, -0.317f, 0.1605f, -0.7607f, -0.1562f, -0.9903f)
                arcToRelative(0.704f, 0.704f, 0.0f, false, false, -0.3926f, -0.1347f)
                close()
                moveTo(16.5176f, 17.543f)
                arcToRelative(0.7037f, 0.7037f, 0.0f, false, false, -0.3926f, 0.1347f)
                curveToRelative(-0.316f, 0.2296f, -0.386f, 0.6733f, -0.1563f, 0.9903f)
                arcToRelative(0.7096f, 0.7096f, 0.0f, false, false, 0.9903f, 0.1582f)
                curveToRelative(0.317f, -0.2302f, 0.387f, -0.6743f, 0.1562f, -0.9903f)
                arcToRelative(0.707f, 0.707f, 0.0f, false, false, -0.5976f, -0.293f)
                close()
                moveTo(5.4434f, 17.705f)
                arcToRelative(0.8466f, 0.8466f, 0.0f, false, false, -0.6016f, 0.25f)
                curveToRelative(-0.3328f, 0.3325f, -0.3328f, 0.8713f, 0.0f, 1.2032f)
                curveToRelative(0.3322f, 0.3323f, 0.8696f, 0.3323f, 1.2031f, 0.0f)
                arcToRelative(0.8518f, 0.8518f, 0.0f, false, false, -0.6015f, -1.4531f)
                close()
                moveTo(18.5586f, 17.707f)
                arcToRelative(0.8552f, 0.8552f, 0.0f, false, false, -0.6035f, 0.248f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, 0.0f, 1.2032f)
                curveToRelative(0.3332f, 0.3323f, 0.8707f, 0.3314f, 1.205f, 0.0f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, 0.0f, -1.2031f)
                arcToRelative(0.8443f, 0.8443f, 0.0f, false, false, -0.6015f, -0.248f)
                close()
                moveTo(10.9668f, 17.7695f)
                curveToRelative(-0.2745f, 0.0126f, -0.514f, 0.2163f, -0.5586f, 0.498f)
                curveToRelative(-0.0513f, 0.322f, 0.1692f, 0.625f, 0.4922f, 0.6759f)
                arcToRelative(0.5907f, 0.5907f, 0.0f, false, false, 0.6758f, -0.4922f)
                curveToRelative(0.0527f, -0.3215f, -0.168f, -0.6227f, -0.4903f, -0.6739f)
                arcToRelative(0.5935f, 0.5935f, 0.0f, false, false, -0.1191f, -0.0078f)
                close()
                moveTo(13.0332f, 17.7695f)
                arcToRelative(0.5911f, 0.5911f, 0.0f, false, false, -0.1191f, 0.0078f)
                curveToRelative(-0.3208f, 0.0503f, -0.5398f, 0.3524f, -0.4883f, 0.6739f)
                curveToRelative(0.0505f, 0.3222f, 0.3509f, 0.5441f, 0.6738f, 0.4922f)
                arcToRelative(0.5893f, 0.5893f, 0.0f, false, false, 0.4902f, -0.6758f)
                curveToRelative(-0.0436f, -0.2818f, -0.282f, -0.486f, -0.5566f, -0.498f)
                close()
                moveTo(9.5508f, 18.6425f)
                arcToRelative(0.7095f, 0.7095f, 0.0f, false, false, -0.6133f, 0.4884f)
                arcToRelative(0.708f, 0.708f, 0.0f, false, false, 0.455f, 0.8925f)
                curveToRelative(0.3734f, 0.1214f, 0.7732f, -0.0839f, 0.8946f, -0.455f)
                curveToRelative(0.1211f, -0.3726f, -0.0859f, -0.772f, -0.457f, -0.8926f)
                arcToRelative(0.7066f, 0.7066f, 0.0f, false, false, -0.2793f, -0.0332f)
                close()
                moveTo(14.4492f, 18.6425f)
                arcToRelative(0.7056f, 0.7056f, 0.0f, false, false, -0.2793f, 0.0313f)
                curveToRelative(-0.3723f, 0.1212f, -0.5779f, 0.522f, -0.457f, 0.8946f)
                curveToRelative(0.1208f, 0.3711f, 0.5218f, 0.5764f, 0.8945f, 0.455f)
                curveToRelative(0.3717f, -0.1217f, 0.5762f, -0.5197f, 0.4551f, -0.8925f)
                arcToRelative(0.7086f, 0.7086f, 0.0f, false, false, -0.6133f, -0.4883f)
                close()
                moveTo(12.0f, 19.0196f)
                arcToRelative(0.7086f, 0.7086f, 0.0f, false, false, -0.709f, 0.709f)
                curveToRelative(0.0f, 0.3916f, 0.3168f, 0.709f, 0.709f, 0.709f)
                arcToRelative(0.7088f, 0.7088f, 0.0f, false, false, 0.709f, -0.709f)
                arcToRelative(0.7089f, 0.7089f, 0.0f, false, false, -0.709f, -0.709f)
                close()
                moveTo(7.8496f, 19.4142f)
                arcToRelative(0.8518f, 0.8518f, 0.0f, false, false, -0.8183f, 0.4629f)
                curveToRelative(-0.2126f, 0.4187f, -0.0453f, 0.9295f, 0.373f, 1.1425f)
                curveToRelative(0.419f, 0.2138f, 0.9304f, 0.0484f, 1.1426f, -0.3691f)
                curveToRelative(0.213f, -0.419f, 0.0486f, -0.9328f, -0.3711f, -1.1465f)
                arcToRelative(0.8503f, 0.8503f, 0.0f, false, false, -0.3262f, -0.0898f)
                close()
                moveTo(16.1504f, 19.4142f)
                arcToRelative(0.8595f, 0.8595f, 0.0f, false, false, -0.3281f, 0.0898f)
                curveToRelative(-0.4181f, 0.2137f, -0.5848f, 0.7261f, -0.3711f, 1.1465f)
                curveToRelative(0.2138f, 0.4186f, 0.7278f, 0.5829f, 1.1465f, 0.3691f)
                curveToRelative(0.4175f, -0.2125f, 0.5833f, -0.7238f, 0.3691f, -1.1425f)
                arcToRelative(0.8465f, 0.8465f, 0.0f, false, false, -0.8164f, -0.463f)
                close()
                moveTo(5.5742f, 19.8829f)
                arcToRelative(1.0087f, 1.0087f, 0.0f, false, false, -0.8515f, 0.416f)
                curveToRelative(-0.3276f, 0.4503f, -0.225f, 1.0812f, 0.2246f, 1.4082f)
                arcToRelative(1.0076f, 1.0076f, 0.0f, false, false, 1.4082f, -0.2226f)
                curveToRelative(0.3281f, -0.4506f, 0.2279f, -1.0811f, -0.2227f, -1.4082f)
                arcToRelative(1.0096f, 1.0096f, 0.0f, false, false, -0.5586f, -0.1934f)
                close()
                moveTo(18.4258f, 19.8829f)
                arcToRelative(1.0122f, 1.0122f, 0.0f, false, false, -0.5586f, 0.1934f)
                curveToRelative(-0.4505f, 0.327f, -0.5511f, 0.9576f, -0.2227f, 1.4082f)
                curveToRelative(0.328f, 0.4513f, 0.9583f, 0.5508f, 1.4102f, 0.2226f)
                curveToRelative(0.45f, -0.3265f, 0.5497f, -0.958f, 0.2226f, -1.4082f)
                arcToRelative(1.0083f, 1.0083f, 0.0f, false, false, -0.8515f, -0.416f)
                close()
                moveTo(10.5118f, 20.3087f)
                curveToRelative(-0.3956f, 0.0179f, -0.7384f, 0.3119f, -0.8028f, 0.7187f)
                curveToRelative(-0.0739f, 0.4623f, 0.2422f, 0.8998f, 0.707f, 0.9727f)
                curveToRelative(0.4626f, 0.0743f, 0.9001f, -0.244f, 0.9727f, -0.709f)
                curveToRelative(0.0745f, -0.4639f, -0.242f, -0.8983f, -0.7051f, -0.9726f)
                arcToRelative(0.8516f, 0.8516f, 0.0f, false, false, -0.1719f, -0.0098f)
                close()
                moveTo(13.4902f, 20.3087f)
                arcToRelative(0.8513f, 0.8513f, 0.0f, false, false, -0.879f, 0.9844f)
                curveToRelative(0.0734f, 0.4642f, 0.5083f, 0.7813f, 0.9728f, 0.707f)
                curveToRelative(0.4642f, -0.0729f, 0.7806f, -0.509f, 0.707f, -0.9727f)
                curveToRelative(-0.0638f, -0.4068f, -0.4067f, -0.7008f, -0.8008f, -0.7187f)
                close()
                moveTo(8.5176f, 21.4493f)
                curveToRelative(-0.391f, 0.0338f, -0.7442f, 0.2962f, -0.873f, 0.6934f)
                curveToRelative(-0.173f, 0.5292f, 0.117f, 1.0971f, 0.6464f, 1.2695f)
                curveToRelative(0.5306f, 0.1726f, 1.1008f, -0.1183f, 1.2715f, -0.6484f)
                curveToRelative(0.1724f, -0.5296f, -0.1182f, -1.097f, -0.6484f, -1.2696f)
                arcToRelative(0.9986f, 0.9986f, 0.0f, false, false, -0.3965f, -0.0449f)
                close()
                moveTo(15.4824f, 21.4493f)
                arcToRelative(0.9988f, 0.9988f, 0.0f, false, false, -0.3965f, 0.045f)
                curveToRelative(-0.529f, 0.1725f, -0.8218f, 0.74f, -0.6504f, 1.2695f)
                curveToRelative(0.1714f, 0.53f, 0.743f, 0.821f, 1.2715f, 0.6484f)
                curveToRelative(0.5299f, -0.1724f, 0.8213f, -0.7403f, 0.6504f, -1.2695f)
                curveToRelative(-0.1298f, -0.3972f, -0.4834f, -0.6596f, -0.875f, -0.6934f)
                close()
                moveTo(12.0f, 21.9824f)
                curveToRelative(-0.5572f, 0.0f, -1.0078f, 0.4532f, -1.0078f, 1.0098f)
                reflectiveCurveTo(11.4428f, 24.0f, 12.0f, 24.0f)
                arcToRelative(1.007f, 1.007f, 0.0f, false, false, 1.0078f, -1.0078f)
                curveToRelative(0.0f, -0.5566f, -0.45f, -1.0098f, -1.0078f, -1.0098f)
                close()
            }
        }
        .build()
        return _figshare!!
    }

private var _figshare: ImageVector? = null
