package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Gimp: ImageVector
    get() {
        if (_gimp != null) {
            return _gimp!!
        }
        _gimp = Builder(name = "Gimp", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.848f, 1.636f)
                curveToRelative(-0.106f, -0.016f, -0.228f, 0.107f, -0.324f, 0.397f)
                curveToRelative(-0.157f, 0.47f, -1.073f, 3.203f, -5.504f, 4.326f)
                curveToRelative(0.596f, 0.512f, 0.976f, 1.242f, 0.976f, 2.059f)
                curveToRelative(0.0f, 1.547f, -1.344f, 2.8f, -3.0f, 2.8f)
                curveToRelative(-1.655f, 0.0f, -2.997f, -1.254f, -2.998f, -2.8f)
                curveToRelative(0.0f, -0.603f, 0.208f, -1.158f, 0.555f, -1.616f)
                curveToRelative(-3.135f, -0.322f, -4.49f, -3.123f, -4.49f, -3.123f)
                lineToRelative(-0.096f, 4.163f)
                curveToRelative(-0.025f, 0.564f, -0.009f, 1.111f, -0.27f, 1.636f)
                arcToRelative(3.335f, 2.365f, 54.527f, false, false, -0.05f, -0.072f)
                arcToRelative(3.335f, 2.365f, 54.527f, false, false, -2.849f, -1.654f)
                arcToRelative(3.335f, 2.365f, 54.527f, false, false, -1.013f, 0.334f)
                arcToRelative(3.335f, 2.365f, 54.527f, false, false, 0.029f, 4.095f)
                arcToRelative(3.335f, 2.365f, 54.527f, false, false, 3.291f, 1.59f)
                curveToRelative(2.997f, 2.22f, 8.482f, 4.148f, 12.231f, 1.885f)
                lineToRelative(-2.025f, -1.629f)
                curveToRelative(-1.064f, 0.345f, -2.604f, 0.34f, -4.397f, -0.295f)
                curveToRelative(2.9f, 0.582f, 4.47f, -0.053f, 5.334f, -0.722f)
                curveToRelative(-0.228f, -0.296f, -0.71f, -0.526f, -0.71f, -0.526f)
                reflectiveCurveToRelative(0.563f, 0.107f, 0.93f, 0.496f)
                curveToRelative(0.147f, 0.155f, 0.198f, 0.387f, 0.218f, 0.653f)
                curveToRelative(0.553f, 0.298f, 1.183f, 0.656f, 1.875f, 1.062f)
                curveToRelative(2.06f, -2.06f, 3.253f, -5.933f, 2.52f, -12.617f)
                curveToRelative(-0.035f, -0.269f, -0.127f, -0.425f, -0.233f, -0.442f)
                close()
                moveTo(6.855f, 7.096f)
                curveToRelative(1.051f, -0.001f, 1.903f, 0.795f, 1.903f, 1.777f)
                curveToRelative(0.0f, 0.98f, -0.853f, 1.776f, -1.903f, 1.775f)
                curveToRelative(-1.05f, 0.0f, -1.9f, -0.795f, -1.9f, -1.775f)
                curveToRelative(0.0f, -0.981f, 0.85f, -1.777f, 1.9f, -1.778f)
                close()
                moveTo(12.631f, 7.578f)
                arcToRelative(1.325f, 1.325f, 0.0f, true, false, -0.002f, 2.65f)
                arcToRelative(1.325f, 1.325f, 0.0f, false, false, 0.002f, -2.65f)
                close()
                moveTo(1.689f, 8.217f)
                arcToRelative(0.964f, 0.947f, 0.0f, false, true, 0.002f, 0.0f)
                arcToRelative(0.964f, 0.947f, 0.0f, false, true, 0.021f, 0.0f)
                arcToRelative(0.964f, 0.947f, 0.0f, false, true, 0.965f, 0.949f)
                arcToRelative(0.964f, 0.947f, 0.0f, false, true, -0.965f, 0.947f)
                arcToRelative(0.964f, 0.947f, 0.0f, false, true, -0.962f, -0.947f)
                arcToRelative(0.964f, 0.947f, 0.0f, false, true, 0.94f, -0.95f)
                close()
                moveTo(7.248f, 8.34f)
                arcToRelative(0.84f, 0.84f, 0.0f, true, false, 0.02f, 1.68f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, -0.02f, -1.68f)
                close()
                moveTo(15.508f, 13.304f)
                curveToRelative(-0.043f, 0.053f, -0.103f, 0.099f, -0.156f, 0.147f)
                lineToRelative(0.21f, 0.115f)
                curveToRelative(-0.017f, -0.1f, -0.033f, -0.21f, -0.054f, -0.262f)
                close()
                moveTo(14.958f, 13.404f)
                lineToRelative(-0.733f, 0.361f)
                lineToRelative(0.06f, 0.05f)
                lineToRelative(0.198f, 0.157f)
                lineToRelative(1.994f, 1.606f)
                lineToRelative(0.015f, 0.012f)
                arcToRelative(81.76f, 81.76f, 0.0f, false, false, 1.952f, 1.513f)
                arcToRelative(0.543f, 0.543f, 0.0f, false, false, -0.008f, 0.127f)
                lineToRelative(0.26f, -0.04f)
                lineToRelative(0.103f, 0.152f)
                lineToRelative(2.317f, 1.472f)
                curveToRelative(-0.12f, 0.41f, -0.065f, 0.953f, 0.207f, 1.457f)
                curveToRelative(0.79f, 1.465f, 2.677f, 2.094f, 2.677f, 2.094f)
                curveToRelative(-0.771f, -1.968f, -0.209f, -3.569f, -1.73f, -4.133f)
                curveToRelative(-0.242f, -0.09f, -0.453f, -0.093f, -0.629f, -0.033f)
                lineToRelative(-2.047f, -1.895f)
                lineToRelative(-0.174f, -0.052f)
                lineToRelative(-0.025f, -0.262f)
                arcToRelative(0.839f, 0.839f, 0.0f, false, false, -0.12f, 0.059f)
                curveToRelative(-0.306f, -0.26f, -0.687f, -0.537f, -1.09f, -0.815f)
                curveToRelative(-1.364f, -0.835f, -2.257f, -1.3f, -3.228f, -1.83f)
                close()
            }
        }
        .build()
        return _gimp!!
    }

private var _gimp: ImageVector? = null
