package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Instructables: ImageVector
    get() {
        if (_instructables != null) {
            return _instructables!!
        }
        _instructables = Builder(name = "Instructables", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.4174f, 4.0E-4f)
                curveToRelative(-0.1655f, -0.0025f, -0.319f, 0.0073f, -0.4493f, 0.0363f)
                curveToRelative(-0.902f, 0.201f, -1.2372f, 1.1122f, -1.6211f, 1.9531f)
                curveToRelative(-0.1036f, 0.2255f, -0.192f, 0.107f, -0.5576f, 0.9754f)
                curveToRelative(-1.1487f, -0.137f, -2.5594f, -0.1066f, -3.4065f, -0.2041f)
                curveToRelative(0.1402f, 0.4845f, 0.8319f, 0.198f, 1.295f, 0.2041f)
                curveToRelative(0.7587f, 0.0061f, 1.5447f, 0.2011f, 2.1115f, 0.2042f)
                curveToRelative(0.0335f, 0.2102f, 0.2134f, 0.4414f, 0.25f, 0.6486f)
                curveToRelative(0.1188f, 0.6917f, 0.0764f, 1.3407f, -0.1126f, 2.005f)
                curveToRelative(-0.1828f, 0.649f, -1.2492f, 1.1886f, -1.499f, 2.0448f)
                curveToRelative(-0.1037f, 0.3535f, 0.0118f, 0.6551f, -0.1375f, 1.0909f)
                curveToRelative(-0.1097f, 0.137f, -0.3256f, 0.1702f, -0.475f, 0.2707f)
                curveToRelative(-1.0572f, 1.1914f, -1.6729f, 3.178f, -1.9745f, 4.9026f)
                curveToRelative(0.7252f, 0.3382f, 1.3467f, 0.0185f, 1.7032f, 0.2714f)
                curveToRelative(0.2163f, 0.061f, 0.0916f, -0.2255f, 0.2714f, -0.2041f)
                curveToRelative(0.137f, 0.0213f, 0.1306f, 0.1828f, 0.2707f, 0.204f)
                curveToRelative(-0.1127f, 1.027f, 0.0673f, 1.7308f, 0.0673f, 2.7912f)
                curveToRelative(1.1152f, 0.4814f, 2.3768f, 0.399f, 3.9551f, 0.4112f)
                curveToRelative(-0.0182f, 0.2042f, 0.3868f, 0.9602f, 0.0578f, 1.4569f)
                curveToRelative(0.4875f, 0.4966f, -0.2407f, 2.1783f, 0.7587f, 2.221f)
                curveToRelative(-0.332f, 0.4874f, -0.5579f, 1.0785f, -0.5457f, 1.9073f)
                curveToRelative(-0.2407f, 0.1066f, -0.0396f, -0.2316f, -0.2041f, -0.2041f)
                curveToRelative(-1.691f, -0.0427f, -2.6844f, -0.3078f, -4.4943f, -0.2042f)
                curveToRelative(0.5058f, 0.2072f, 1.4444f, 0.119f, 2.1787f, 0.2714f)
                curveToRelative(0.0792f, 0.0122f, 0.055f, 0.125f, 0.0672f, 0.2041f)
                curveToRelative(0.2956f, -0.1401f, 1.1029f, -0.0304f, 1.633f, 0.0f)
                curveToRelative(-0.2376f, 0.125f, 0.3325f, 0.2468f, 0.3416f, 0.0f)
                curveToRelative(0.457f, 0.0701f, 0.8287f, 0.5852f, 1.2248f, 0.6797f)
                curveToRelative(1.3072f, 0.3138f, 2.0447f, -0.6313f, 2.8613f, -1.2224f)
                curveToRelative(0.128f, 0.2681f, 0.7553f, 0.0152f, 1.1575f, 0.0f)
                curveToRelative(-0.3352f, -0.198f, -1.1365f, -0.134f, -1.499f, 0.0f)
                curveToRelative(0.1218f, -0.9629f, -0.3534f, -1.3285f, -0.8166f, -1.7032f)
                curveToRelative(0.189f, -0.1067f, 0.3958f, -0.1948f, 0.5451f, -0.341f)
                curveToRelative(0.0183f, -1.3407f, -0.0546f, -1.7948f, -0.1368f, -2.9953f)
                curveToRelative(0.7252f, -0.1493f, 1.7613f, -0.2437f, 2.6572f, -0.4082f)
                curveToRelative(-0.317f, 0.969f, -0.1404f, 1.444f, -0.2714f, 2.7238f)
                curveToRelative(0.1676f, 0.0823f, 0.399f, 0.101f, 0.6124f, 0.1375f)
                curveToRelative(-0.6704f, 0.3595f, -1.0573f, 1.8947f, -0.2042f, 2.3823f)
                curveToRelative(-0.0761f, 0.1736f, -0.3655f, 0.1344f, -0.6123f, 0.1374f)
                curveToRelative(0.0091f, 0.3565f, 0.8498f, -0.1221f, 0.7492f, 0.341f)
                curveToRelative(0.457f, -0.3687f, 3.1811f, -0.0394f, 4.2902f, 0.0673f)
                curveToRelative(-0.1188f, -0.6094f, -1.453f, -0.1192f, -2.0442f, -0.5457f)
                curveToRelative(0.7648f, -0.4876f, 0.7768f, -1.9618f, -0.0673f, -2.3823f)
                curveToRelative(0.646f, -0.4296f, 0.2683f, -2.1969f, 0.4755f, -3.1993f)
                curveToRelative(0.6186f, -0.2682f, 1.5905f, -0.1801f, 2.1115f, -0.5458f)
                curveToRelative(-0.0152f, -0.8714f, -0.1825f, -1.5873f, -0.341f, -2.3156f)
                curveToRelative(0.2164f, -0.1493f, 0.7495f, -0.3351f, 1.0206f, -0.2041f)
                curveToRelative(0.1493f, -0.0122f, 0.146f, -0.174f, 0.137f, -0.3416f)
                curveToRelative(0.0609f, -0.1645f, 0.201f, 0.1526f, 0.4082f, 0.0673f)
                curveToRelative(0.0091f, -0.8136f, -0.3684f, -1.2249f, -0.7493f, -1.9074f)
                curveToRelative(-0.5728f, -1.0238f, -1.3196f, -2.0295f, -2.453f, -2.453f)
                curveToRelative(-0.9538f, -1.6363f, -1.9711f, -3.2054f, -4.1528f, -3.6106f)
                curveToRelative(-0.1219f, -0.3078f, -0.049f, -0.8135f, -0.0672f, -1.2248f)
                curveToRelative(0.3016f, -0.265f, 0.564f, -0.573f, 0.5457f, -1.158f)
                curveToRelative(0.8288f, -0.3535f, 2.1297f, 0.0852f, 2.928f, 0.0f)
                curveToRelative(-0.128f, -0.4206f, -0.8656f, -0.1555f, -1.3623f, -0.2042f)
                curveToRelative(-0.527f, -0.0518f, -1.0481f, -0.2803f, -1.499f, 0.0f)
                curveToRelative(-0.131f, -0.387f, -0.3533f, -1.1057f, -0.591f, -0.929f)
                curveToRelative(-0.1402f, -0.3382f, -0.1313f, -0.8657f, -0.0917f, -1.3836f)
                curveToRelative(-0.847f, -0.1737f, -1.7762f, -0.4385f, -2.7238f, -0.5452f)
                curveToRelative(-0.4228f, -0.048f, -1.0288f, -0.1665f, -1.5253f, -0.1737f)
                close()
                moveTo(9.0354f, 0.2378f)
                curveToRelative(1.5448f, 0.134f, 3.1656f, 0.1919f, 4.427f, 0.6124f)
                curveToRelative(0.2164f, 1.551f, -0.085f, 2.9803f, 0.1375f, 4.6318f)
                curveToRelative(-1.6484f, -0.2803f, -3.5102f, -0.6189f, -5.177f, -0.3416f)
                curveToRelative(0.0793f, -1.6302f, 0.1463f, -3.434f, 0.6124f, -4.9026f)
                close()
                moveTo(8.627f, 0.5092f)
                curveToRelative(-0.0945f, 1.5387f, -0.396f, 2.8426f, -0.4083f, 4.6312f)
                curveToRelative(-0.323f, 0.2437f, -0.6734f, 0.46f, -1.0908f, 0.6124f)
                curveToRelative(-0.0366f, -0.5698f, 0.021f, -1.3403f, 0.1369f, -1.77f)
                curveToRelative(0.0975f, 0.1067f, 0.2652f, 0.143f, 0.4755f, 0.137f)
                curveToRelative(0.5545f, -0.64f, 0.28f, -1.7428f, -0.0673f, -2.5198f)
                curveToRelative(0.2803f, -0.3991f, 0.4908f, -0.8714f, 0.954f, -1.0908f)
                close()
                moveTo(10.8896f, 1.2995f)
                curveToRelative(-0.2944f, -0.0043f, -0.5763f, 0.0233f, -0.8308f, 0.0964f)
                curveToRelative(0.3322f, 0.0061f, 0.7194f, -0.037f, 0.954f, 0.0667f)
                curveToRelative(-0.4753f, 0.2072f, -0.7955f, 0.5667f, -0.7498f, 1.295f)
                curveToRelative(0.7282f, 1.0115f, 1.9712f, -0.2254f, 1.2247f, -1.2248f)
                curveToRelative(0.4754f, -0.0335f, 1.3378f, 0.3292f, 1.9746f, 0.2714f)
                curveToRelative(-0.6947f, -0.1943f, -1.6894f, -0.4917f, -2.5727f, -0.5047f)
                close()
                moveTo(11.2456f, 1.653f)
                curveToRelative(0.297f, 0.041f, 0.3246f, 0.751f, 0.2421f, 1.0284f)
                curveToRelative(-0.32f, 0.387f, -0.9866f, 0.1405f, -1.0902f, -0.2708f)
                curveToRelative(0.1615f, -0.0853f, -0.0248f, -0.5212f, 0.2707f, -0.4755f)
                curveToRelative(-0.0822f, 0.515f, 0.1649f, 0.701f, 0.5458f, 0.7498f)
                curveToRelative(0.0944f, -0.131f, 0.1797f, -0.2713f, 0.204f, -0.4755f)
                curveToRelative(-0.0578f, -0.2346f, -0.2832f, -0.3048f, -0.4082f, -0.4755f)
                curveToRelative(0.0644f, -0.0464f, 0.1218f, -0.0716f, 0.1726f, -0.0797f)
                arcToRelative(0.2142f, 0.2142f, 0.0f, false, true, 0.0631f, -0.0012f)
                close()
                moveTo(7.673f, 2.0755f)
                curveToRelative(0.1189f, 0.4175f, 0.2135f, 1.1727f, 0.0673f, 1.77f)
                curveToRelative(-1.039f, -0.0245f, -0.7224f, -1.581f, -0.0673f, -1.77f)
                close()
                moveTo(10.8057f, 2.0755f)
                curveToRelative(0.2255f, 0.003f, 0.481f, -0.0274f, 0.475f, 0.2042f)
                curveToRelative(-0.0366f, 0.0975f, -0.1067f, 0.1645f, -0.2042f, 0.204f)
                curveToRelative(-0.0853f, -0.14f, -0.3287f, -0.1248f, -0.2708f, -0.4082f)
                close()
                moveTo(12.4982f, 2.0993f)
                curveToRelative(-0.2755f, 0.0209f, -0.5396f, 0.2472f, -0.535f, 0.7957f)
                curveToRelative(0.2407f, 0.1188f, 0.4021f, 0.3232f, 0.8165f, 0.2714f)
                curveToRelative(0.6685f, -0.5656f, 0.1777f, -1.1018f, -0.2815f, -1.067f)
                close()
                moveTo(12.5089f, 2.1422f)
                curveToRelative(0.2986f, 0.0213f, 0.5146f, 0.119f, 0.475f, 0.4755f)
                curveToRelative(-0.2194f, -0.0945f, -0.2739f, -0.3567f, -0.475f, -0.4755f)
                close()
                moveTo(13.8706f, 2.2797f)
                curveToRelative(0.393f, 0.4326f, 0.4144f, 1.7184f, -0.2042f, 1.9073f)
                curveToRelative(-0.0243f, -0.5667f, -0.061f, -1.4412f, 0.2042f, -1.9073f)
                close()
                moveTo(12.3768f, 2.3487f)
                curveToRelative(0.0266f, 0.002f, 0.0497f, 0.0214f, 0.0649f, 0.0678f)
                curveToRelative(-0.189f, 0.1036f, -0.009f, 0.4084f, 0.0702f, 0.4785f)
                curveToRelative(-0.2681f, 0.0396f, -0.302f, -0.1527f, -0.3416f, -0.3416f)
                curveToRelative(0.016f, -0.0594f, 0.1267f, -0.2109f, 0.2065f, -0.2047f)
                close()
                moveTo(12.5089f, 2.4837f)
                curveToRelative(0.2133f, -0.0304f, 0.3043f, 0.0606f, 0.2708f, 0.2709f)
                curveToRelative(-0.2133f, 0.0335f, -0.3012f, -0.0575f, -0.2708f, -0.2708f)
                close()
                moveTo(9.1025f, 3.3003f)
                curveToRelative(-0.0792f, 0.0122f, -0.0581f, 0.1249f, -0.0673f, 0.2041f)
                curveToRelative(1.5266f, 0.1828f, 2.7729f, 0.6487f, 4.0861f, 0.5451f)
                curveToRelative(-0.2133f, -0.3504f, -0.7098f, -0.1736f, -1.0206f, -0.204f)
                curveToRelative(-0.9446f, -0.0946f, -1.8924f, -0.4537f, -2.8613f, -0.475f)
                curveToRelative(-0.0793f, 0.0091f, -0.1217f, -0.0154f, -0.137f, -0.0702f)
                close()
                moveTo(11.1955f, 5.2017f)
                curveToRelative(0.9318f, 0.0446f, 2.0293f, 0.469f, 2.5412f, 0.6183f)
                curveToRelative(0.1401f, 0.0396f, 0.3231f, -0.0427f, 0.4755f, 0.0f)
                curveToRelative(0.4844f, 0.134f, 1.1974f, 0.4724f, 1.499f, 0.6826f)
                curveToRelative(0.844f, 0.5911f, 1.4262f, 1.807f, 1.9747f, 2.7911f)
                curveToRelative(0.195f, 0.3535f, 0.5148f, 0.6095f, 0.6123f, 0.8867f)
                curveToRelative(0.3017f, 0.8593f, 0.3501f, 1.7671f, 0.7493f, 2.5198f)
                lineToRelative(0.0732f, 0.341f)
                curveToRelative(0.2163f, 0.7587f, 0.4269f, 1.8193f, 0.5457f, 2.453f)
                curveToRelative(-3.0287f, 0.4297f, -5.872f, 0.7495f, -8.3096f, 1.0207f)
                curveToRelative(-2.0232f, -0.3291f, -4.1683f, -0.1735f, -5.9934f, -0.341f)
                curveToRelative(-0.3017f, -2.3036f, 0.3993f, -4.5952f, 0.2713f, -6.9474f)
                curveToRelative(0.0122f, -0.192f, 0.2227f, -0.1856f, 0.2714f, -0.341f)
                curveToRelative(-0.1737f, -0.0092f, -0.3507f, -0.0122f, -0.3416f, -0.2042f)
                curveToRelative(0.198f, -2.1054f, 2.4071f, -3.9675f, 4.6985f, -3.3368f)
                curveToRelative(0.2376f, -0.0366f, 0.305f, -0.1155f, 0.5457f, -0.1369f)
                arcToRelative(2.8444f, 2.8444f, 0.0f, false, true, 0.3868f, -0.006f)
                close()
                moveTo(9.894f, 8.9997f)
                arcToRelative(1.6087f, 1.6087f, 0.0f, false, false, -0.3136f, 0.0226f)
                curveToRelative(-0.2255f, 0.3474f, -0.1552f, 0.6615f, -0.137f, 1.1581f)
                curveToRelative(1.1142f, 1.1912f, 1.8694f, -1.134f, 0.4506f, -1.1807f)
                close()
                moveTo(14.9573f, 9.017f)
                curveToRelative(-1.3532f, 0.0321f, -0.3819f, 2.6965f, 0.6837f, 1.3003f)
                curveToRelative(0.253f, -0.8074f, -0.1368f, -1.2554f, -0.545f, -1.295f)
                arcToRelative(1.1653f, 1.1653f, 0.0f, false, false, -0.1387f, -0.0053f)
                close()
                moveTo(12.5964f, 9.0467f)
                curveToRelative(-0.2254f, -0.0106f, -0.472f, 0.067f, -0.7034f, 0.247f)
                curveToRelative(-0.0853f, 0.4174f, 0.0887f, 0.9444f, 0.3416f, 1.2248f)
                curveToRelative(0.518f, 0.0426f, 0.9107f, -0.0429f, 1.1575f, -0.2714f)
                curveToRelative(0.0943f, -0.727f, -0.2996f, -1.177f, -0.7957f, -1.2004f)
                close()
                moveTo(5.2902f, 9.1562f)
                curveToRelative(0.3595f, 1.0939f, -0.0454f, 2.523f, -0.0667f, 3.6779f)
                curveToRelative(-0.5667f, -0.0915f, -1.0694f, -0.2464f, -1.7032f, -0.2708f)
                curveToRelative(0.329f, -1.3955f, 0.6638f, -2.7885f, 1.7699f, -3.407f)
                close()
                moveTo(10.1749f, 9.2235f)
                arcToRelative(0.264f, 0.264f, 0.0f, false, true, 0.1523f, 0.0702f)
                curveToRelative(0.1615f, 0.1615f, -0.0121f, 0.3349f, 0.0f, 0.5451f)
                curveToRelative(-0.2772f, 0.067f, -0.2741f, -0.006f, -0.6123f, 0.0f)
                curveToRelative(0.0487f, -0.2529f, -0.116f, -0.2922f, -0.0673f, -0.5451f)
                curveToRelative(0.1943f, 0.0229f, 0.3695f, -0.088f, 0.5273f, -0.0702f)
                close()
                moveTo(12.4744f, 9.2265f)
                curveToRelative(0.5982f, -0.0527f, 0.9245f, 0.8043f, -0.103f, 0.7498f)
                curveToRelative(-0.0761f, -0.2194f, -0.2739f, -0.3172f, -0.341f, -0.5457f)
                curveToRelative(0.1538f, -0.1314f, 0.306f, -0.192f, 0.444f, -0.2041f)
                close()
                moveTo(15.0537f, 9.2395f)
                curveToRelative(0.2693f, -0.001f, 0.52f, 0.1634f, 0.52f, 0.5327f)
                curveToRelative(-0.2345f, 0.2742f, -0.4719f, 0.5575f, -0.9533f, 0.4082f)
                curveToRelative(-0.0305f, -0.1645f, 0.1215f, -0.1496f, 0.0667f, -0.3416f)
                curveToRelative(-0.1341f, 0.003f, -0.085f, 0.1863f, -0.2708f, 0.1375f)
                curveToRelative(-0.0857f, -0.461f, 0.291f, -0.7355f, 0.6374f, -0.7368f)
                close()
                moveTo(18.1607f, 9.4978f)
                curveToRelative(1.0421f, 0.5028f, 1.6454f, 1.4442f, 2.1115f, 2.5198f)
                curveToRelative(-0.4966f, 0.0426f, -0.7891f, -0.1185f, -1.295f, -0.0667f)
                curveToRelative(-0.1035f, -0.5759f, -0.4474f, -0.9112f, -0.4748f, -1.5663f)
                curveToRelative(0.1797f, -0.003f, 0.4021f, 0.0362f, 0.4082f, -0.1375f)
                curveToRelative(-0.0487f, -0.262f, -0.3507f, -0.4692f, -0.5457f, -0.2041f)
                curveToRelative(-0.0091f, -0.2408f, -0.195f, -0.3045f, -0.2041f, -0.5452f)
                close()
                moveTo(4.879f, 9.702f)
                curveToRelative(-0.0883f, 0.2894f, -0.0607f, 0.5207f, 0.2714f, 0.545f)
                curveToRelative(0.1067f, -0.1919f, -0.0181f, -0.28f, 0.0702f, -0.545f)
                close()
                moveTo(10.6017f, 9.906f)
                curveToRelative(0.003f, 0.2073f, -0.1432f, 0.2651f, -0.2041f, 0.4083f)
                curveToRelative(-0.384f, 0.0214f, -0.7133f, -0.015f, -0.7499f, -0.341f)
                curveToRelative(0.3626f, 0.0762f, 0.6737f, 0.0912f, 0.954f, -0.0672f)
                close()
                moveTo(13.1881f, 9.906f)
                verticalLineToRelative(0.341f)
                curveToRelative(-0.2712f, 0.125f, -1.2094f, 0.2804f, -0.9534f, -0.204f)
                curveToRelative(0.2468f, 0.3077f, 0.7675f, 0.0337f, 0.9534f, -0.137f)
                close()
                moveTo(15.5043f, 10.1102f)
                curveToRelative(-0.0275f, 0.387f, -0.762f, 0.582f, -0.954f, 0.2041f)
                curveToRelative(0.4113f, 0.1097f, 0.7072f, 0.0122f, 0.954f, -0.204f)
                close()
                moveTo(9.1723f, 11.4754f)
                curveToRelative(0.1279f, 0.5028f, -0.1341f, 0.6338f, -0.2042f, 1.0909f)
                curveToRelative(0.9263f, 0.067f, 1.9806f, -0.0213f, 2.791f, -0.003f)
                curveToRelative(0.0428f, -0.061f, 0.0824f, -0.1223f, 0.0f, -0.1375f)
                lineTo(9.5109f, 12.4258f)
                curveToRelative(2.5534f, -0.5271f, 4.2109f, -0.3652f, 7.014f, -0.2708f)
                curveToRelative(0.0763f, 0.2133f, -0.0186f, 0.1795f, 0.0667f, 0.341f)
                curveToRelative(-1.6149f, 0.326f, -3.251f, -0.402f, -4.8323f, 0.0673f)
                curveToRelative(1.5631f, -0.0518f, 3.1962f, 0.1641f, 4.9026f, 0.2708f)
                curveToRelative(0.0365f, -0.3474f, 0.0883f, -0.8317f, 0.0f, -1.2248f)
                curveToRelative(-0.2468f, -0.064f, -0.07f, 0.2929f, -0.2042f, 0.3416f)
                curveToRelative(-1.8647f, -0.1402f, -4.6772f, -0.125f, -7.0813f, 0.2041f)
                curveToRelative(-0.0944f, -0.0883f, -0.0666f, -0.2957f, -0.0666f, -0.4755f)
                curveToRelative(1.4595f, -0.2468f, 4.305f, 0.253f, 5.4477f, -0.2041f)
                curveToRelative(-1.7002f, 0.1036f, -3.7235f, -0.0122f, -5.5852f, 0.0f)
                close()
                moveTo(15.7155f, 11.5391f)
                curveToRelative(-0.3249f, -0.0107f, -0.6745f, 0.0136f, -0.8909f, 0.003f)
                curveToRelative(0.3108f, 0.3016f, 1.2095f, 0.0152f, 1.633f, 0.204f)
                curveToRelative(-0.1173f, -0.1507f, -0.4172f, -0.1964f, -0.742f, -0.207f)
                close()
                moveTo(19.6112f, 12.1544f)
                curveToRelative(0.3183f, 0.0018f, 0.6615f, 0.0695f, 0.7986f, 0.2048f)
                curveToRelative(-0.46f, -0.1585f, -0.911f, 0.1672f, -1.295f, -0.1375f)
                curveToRelative(0.1234f, -0.0457f, 0.3054f, -0.0683f, 0.4964f, -0.0673f)
                close()
                moveTo(19.7617f, 12.4794f)
                curveToRelative(0.2297f, -0.0027f, 0.459f, 0.023f, 0.5779f, 0.0839f)
                curveToRelative(-0.2072f, 0.1432f, -1.0789f, 0.3626f, -1.1581f, 0.0f)
                curveToRelative(0.1204f, -0.0503f, 0.3506f, -0.0813f, 0.5802f, -0.084f)
                close()
                moveTo(20.7258f, 12.7234f)
                curveToRelative(0.2443f, -0.0384f, 0.3716f, 0.3498f, 0.3636f, 0.6564f)
                curveToRelative(-0.2529f, 0.134f, -0.4389f, -0.3077f, -0.4755f, -0.6124f)
                curveToRelative(0.0397f, -0.0244f, 0.077f, -0.0386f, 0.112f, -0.044f)
                close()
                moveTo(3.4502f, 12.7674f)
                curveToRelative(0.4083f, 0.0f, 1.3406f, 0.0668f, 1.7032f, 0.341f)
                curveToRelative(-0.588f, -0.0945f, -1.3833f, 0.0216f, -1.7032f, -0.341f)
                close()
                moveTo(20.3396f, 12.9043f)
                curveToRelative(0.2133f, 0.2681f, 0.25f, 0.4813f, 0.2714f, 0.8165f)
                curveToRelative(-0.262f, -0.0549f, -0.2836f, -0.7099f, -0.2714f, -0.8165f)
                close()
                moveTo(19.3892f, 12.9715f)
                horizontalLineToRelative(0.2708f)
                curveToRelative(0.006f, 0.3139f, 0.171f, 0.463f, 0.1374f, 0.8165f)
                curveToRelative(-0.387f, -0.0213f, -0.332f, -0.4843f, -0.4082f, -0.8165f)
                close()
                moveTo(19.9986f, 12.9715f)
                curveToRelative(0.0396f, 0.2133f, 0.3197f, 0.542f, 0.1369f, 0.7493f)
                curveToRelative(-0.1067f, -0.1463f, -0.3106f, -0.5482f, -0.137f, -0.7493f)
                close()
                moveTo(3.9596f, 13.1013f)
                curveToRelative(0.4297f, 0.0108f, 0.9446f, 0.1147f, 1.057f, 0.3451f)
                curveToRelative(-0.5455f, -0.0883f, -1.134f, -0.1336f, -1.6337f, -0.2707f)
                curveToRelative(0.0914f, -0.0538f, 0.3189f, -0.081f, 0.5767f, -0.0744f)
                close()
                moveTo(3.7096f, 13.4446f)
                curveToRelative(0.1167f, 0.0012f, 0.2099f, 0.028f, 0.219f, 0.1423f)
                curveToRelative(-0.1493f, 0.1706f, -0.0765f, 0.5575f, -0.3416f, 0.6124f)
                curveToRelative(0.0f, -0.1128f, -0.1888f, -0.0394f, -0.204f, -0.137f)
                curveToRelative(0.0944f, -0.1766f, 0.2498f, -0.2954f, 0.204f, -0.6123f)
                arcToRelative(1.524f, 1.524f, 0.0f, false, true, 0.1226f, -0.0054f)
                close()
                moveTo(3.3163f, 13.45f)
                curveToRelative(-0.0183f, 0.2529f, -0.1069f, 0.4354f, -0.2714f, 0.5451f)
                curveToRelative(-0.0213f, -0.2925f, -0.006f, -0.5512f, 0.2714f, -0.5451f)
                close()
                moveTo(4.541f, 13.5839f)
                curveToRelative(0.1158f, 0.1371f, 0.0973f, 0.5514f, -0.0672f, 0.6124f)
                curveToRelative(-0.1432f, -0.0762f, -0.274f, -0.649f, 0.0672f, -0.6124f)
                close()
                moveTo(4.9493f, 13.6541f)
                curveToRelative(0.0152f, 0.125f, 0.1767f, 0.4507f, 0.0f, 0.5452f)
                curveToRelative(-0.0214f, -0.1189f, -0.3139f, -0.5238f, 0.0f, -0.5452f)
                close()
                moveTo(19.5231f, 15.6954f)
                curveToRelative(0.2255f, 0.0244f, 0.1064f, 0.393f, 0.1369f, 0.6124f)
                curveToRelative(-2.3797f, 0.582f, -4.5644f, 0.7128f, -7.1635f, 1.0997f)
                lineToRelative(-1.2158f, -0.0089f)
                curveToRelative(-1.7916f, 0.131f, -4.171f, 0.1646f, -5.856f, -0.2041f)
                curveToRelative(-0.0334f, -0.2407f, -0.1007f, -0.4446f, -0.0672f, -0.7493f)
                curveToRelative(2.2822f, -0.1676f, 4.6439f, 0.3136f, 6.9474f, 0.1369f)
                curveToRelative(2.526f, -0.195f, 4.9512f, -0.7831f, 7.2182f, -0.8867f)
                close()
                moveTo(19.1148f, 15.8323f)
                curveToRelative(-0.0548f, 0.0365f, -0.1096f, 0.0703f, -0.204f, 0.0672f)
                curveToRelative(0.006f, 0.198f, 0.0239f, 0.3837f, 0.2707f, 0.341f)
                curveToRelative(0.0091f, -0.1676f, 0.0126f, -0.329f, -0.0667f, -0.4082f)
                close()
                moveTo(16.4576f, 16.1739f)
                curveToRelative(-0.0152f, 0.2437f, 0.0979f, 0.3562f, 0.3416f, 0.341f)
                curveToRelative(0.0518f, -0.061f, 0.0728f, -0.152f, 0.0667f, -0.2708f)
                curveToRelative(-0.0792f, -0.0823f, -0.2407f, -0.0794f, -0.4083f, -0.0702f)
                close()
                moveTo(5.97f, 16.582f)
                curveToRelative(-0.0457f, 0.2285f, 0.116f, 0.25f, 0.2714f, 0.2714f)
                curveToRelative(0.0548f, -0.061f, 0.0763f, -0.1526f, 0.0702f, -0.2714f)
                close()
                moveTo(12.9174f, 16.6493f)
                curveToRelative(-0.1006f, 0.2132f, -0.0033f, 0.2772f, 0.1369f, 0.4082f)
                curveToRelative(0.1736f, -0.006f, 0.1339f, -0.2285f, 0.1339f, -0.4082f)
                close()
                moveTo(8.8045f, 16.7236f)
                curveToRelative(-0.057f, -0.0037f, -0.1187f, 0.0145f, -0.1773f, 0.0625f)
                curveToRelative(-0.0152f, 0.2438f, 0.0972f, 0.3563f, 0.341f, 0.341f)
                curveToRelative(0.1348f, -0.185f, 0.0074f, -0.3923f, -0.1637f, -0.4035f)
                close()
                moveTo(17.6158f, 16.92f)
                curveToRelative(0.0092f, 0.521f, -0.0824f, 0.5822f, -0.0702f, 1.1581f)
                curveToRelative(-1.0207f, 0.0701f, -1.4718f, -0.0978f, -2.3828f, -0.1374f)
                curveToRelative(0.3108f, -0.9111f, 1.5511f, -0.8714f, 2.453f, -1.0207f)
                close()
                moveTo(12.0336f, 17.6026f)
                curveToRelative(0.0457f, 0.2468f, 0.0947f, 0.4935f, 0.0673f, 0.8165f)
                curveToRelative(-0.8684f, 0.0275f, -1.7373f, -0.222f, -2.5203f, -0.0666f)
                curveToRelative(-0.0762f, -0.2133f, -0.0061f, -0.1554f, 0.0f, -0.4083f)
                curveToRelative(0.6033f, -0.4022f, 1.9137f, -0.2288f, 2.453f, -0.3416f)
                close()
                moveTo(15.94f, 18.2662f)
                curveToRelative(0.1382f, -0.0064f, 0.3265f, 0.0284f, 0.451f, 0.153f)
                horizontalLineToRelative(-0.204f)
                curveToRelative(-0.5694f, -0.0172f, -0.4774f, -0.1424f, -0.247f, -0.153f)
                close()
                moveTo(17.3224f, 18.2698f)
                curveToRelative(0.1326f, -0.008f, 0.2384f, 0.0107f, 0.2262f, 0.1493f)
                curveToRelative(-0.0762f, 0.0914f, -0.5362f, -0.0058f, -0.6124f, -0.1368f)
                curveToRelative(0.0945f, 0.0304f, 0.2537f, -0.0045f, 0.3862f, -0.0125f)
                close()
                moveTo(10.9274f, 18.4852f)
                curveToRelative(0.1815f, 0.0066f, 0.3368f, 0.0398f, 0.4236f, 0.138f)
                curveToRelative(-0.2468f, -0.003f, -0.5362f, 0.0369f, -0.6123f, -0.1368f)
                arcToRelative(2.6671f, 2.6671f, 0.0f, false, true, 0.1886f, -0.0012f)
                close()
                moveTo(16.2209f, 18.5482f)
                curveToRelative(0.4243f, -0.0022f, 0.8604f, 0.043f, 1.261f, 0.2792f)
                curveToRelative(-0.9171f, -0.2042f, -2.0204f, 0.11f, -2.453f, -0.2708f)
                curveToRelative(0.355f, 0.0442f, 0.7677f, -0.006f, 1.192f, -0.0083f)
                close()
                moveTo(10.1453f, 18.7238f)
                curveToRelative(0.6793f, -0.0043f, 1.6155f, 0.0968f, 2.0222f, 0.378f)
                curveToRelative(-0.972f, -0.125f, -1.743f, 0.0215f, -2.587f, -0.341f)
                curveToRelative(0.1402f, -0.0222f, 0.3384f, -0.0355f, 0.5648f, -0.037f)
                close()
                moveTo(15.6597f, 18.8952f)
                curveToRelative(0.6914f, 0.0055f, 1.3525f, 0.0443f, 1.8919f, 0.2065f)
                curveToRelative(-0.1158f, 0.1798f, -0.009f, 0.5853f, -0.137f, 0.7499f)
                curveToRelative(-0.6367f, -0.067f, -1.828f, 0.128f, -2.5196f, 0.0f)
                curveToRelative(-0.0366f, -0.3779f, 0.0361f, -0.6432f, 0.0666f, -0.954f)
                curveToRelative(0.2339f, -0.0023f, 0.4676f, -0.0042f, 0.698f, -0.0024f)
                close()
                moveTo(9.6478f, 19.0315f)
                curveToRelative(0.5729f, 0.1036f, 1.9195f, 0.189f, 2.5197f, 0.2744f)
                curveToRelative(-0.0883f, 0.4936f, 0.1676f, 0.9445f, 0.0f, 1.295f)
                curveToRelative(-0.5972f, 0.3534f, -1.5266f, 0.378f, -2.3828f, 0.4754f)
                curveToRelative(-0.1463f, -0.5362f, -0.3167f, -1.411f, -0.1369f, -2.0448f)
                close()
                moveTo(16.5952f, 20.1224f)
                curveToRelative(0.9537f, -0.0427f, 1.4072f, 0.7652f, 1.2914f, 1.4294f)
                curveToRelative(-0.2072f, 1.2036f, -2.5014f, 1.4865f, -3.132f, 0.475f)
                curveToRelative(0.009f, -0.7161f, 0.0033f, -1.4503f, 0.5456f, -1.633f)
                curveToRelative(0.064f, 0.4905f, -0.2193f, 0.591f, -0.204f, 0.8867f)
                curveToRelative(0.0578f, 1.2096f, 2.2818f, 1.3774f, 2.4524f, 0.2713f)
                curveToRelative(0.131f, -0.8562f, -0.6213f, -0.8993f, -0.9534f, -1.4294f)
                close()
                moveTo(15.8394f, 20.3628f)
                curveToRelative(0.0436f, -0.0153f, 0.0947f, 0.015f, 0.1036f, 0.0607f)
                curveToRelative(0.0036f, 0.0042f, 0.0088f, 0.0046f, 0.0119f, 0.0101f)
                curveToRelative(0.0365f, 0.07f, 0.043f, 0.1458f, 0.0583f, 0.222f)
                curveToRelative(0.0091f, 0.0457f, -0.0217f, 0.0765f, -0.0613f, 0.0887f)
                arcToRelative(0.9213f, 0.9213f, 0.0f, false, true, -0.2041f, 0.0333f)
                curveToRelative(-0.061f, 0.003f, -0.1189f, -0.0612f, -0.0762f, -0.119f)
                curveToRelative(0.0548f, -0.0762f, 0.0884f, -0.161f, 0.125f, -0.2524f)
                arcToRelative(0.0721f, 0.0721f, 0.0f, false, true, 0.0428f, -0.0434f)
                close()
                moveTo(16.869f, 20.6681f)
                curveToRelative(0.265f, 0.006f, 0.5516f, 0.4539f, 0.4755f, 1.0206f)
                curveToRelative(-0.2773f, 0.4875f, -1.5542f, 0.5269f, -1.5664f, 0.341f)
                curveToRelative(0.7953f, 0.0914f, 1.0362f, -0.3714f, 1.3622f, -0.7492f)
                curveToRelative(0.0214f, -0.2743f, -0.442f, -0.4174f, -0.2713f, -0.6124f)
                close()
                moveTo(16.5054f, 20.8335f)
                curveToRelative(0.1848f, -0.0061f, 0.3668f, 0.2504f, 0.4308f, 0.447f)
                curveToRelative(-0.3108f, 0.2102f, -0.5f, 0.5453f, -0.954f, 0.6123f)
                curveToRelative(-0.1706f, -0.1676f, -0.4478f, -0.2345f, -0.4082f, -0.6123f)
                curveToRelative(0.4692f, -0.0397f, 0.4177f, -0.1583f, 0.7498f, 0.0672f)
                curveToRelative(0.1493f, -0.1432f, -0.0335f, -0.195f, 0.0f, -0.4082f)
                curveToRelative(0.058f, -0.0724f, 0.12f, -0.104f, 0.1816f, -0.106f)
                close()
                moveTo(11.2142f, 21.1435f)
                curveToRelative(0.8866f, 0.0245f, 1.1762f, 0.6398f, 1.292f, 1.429f)
                curveToRelative(0.0304f, 0.1889f, -0.2531f, 0.064f, -0.2714f, 0.204f)
                curveToRelative(0.0792f, 0.0336f, 0.1554f, 0.073f, 0.2041f, 0.137f)
                curveToRelative(-0.46f, 0.8927f, -3.1687f, 1.4504f, -2.7238f, -0.4083f)
                curveToRelative(0.07f, 1.1761f, 1.779f, 0.9509f, 2.2483f, 0.2714f)
                curveToRelative(0.2255f, -0.9568f, -0.4384f, -1.0389f, -0.7492f, -1.633f)
                close()
                moveTo(10.7387f, 21.6887f)
                curveToRelative(0.088f, 0.0907f, 0.2554f, 0.1019f, 0.2755f, 0.2625f)
                arcToRelative(0.313f, 0.313f, 0.0f, false, true, -0.0012f, 0.0785f)
                curveToRelative(-0.131f, 0.128f, -0.171f, 0.0061f, -0.3416f, 0.0f)
                curveToRelative(0.0366f, -0.1005f, -0.079f, -0.3532f, 0.0673f, -0.341f)
                close()
                moveTo(11.2837f, 21.6887f)
                curveToRelative(1.4017f, 0.5515f, -0.1582f, 2.0504f, -1.2247f, 1.2277f)
                curveToRelative(-0.0944f, -0.265f, -0.3105f, -0.9659f, 0.0673f, -1.0908f)
                curveToRelative(0.1188f, 0.198f, 0.1612f, 0.4758f, 0.1369f, 0.817f)
                curveToRelative(0.2986f, 0.4724f, 1.3837f, 0.3046f, 1.4294f, -0.2713f)
                curveToRelative(-0.2803f, -0.0762f, -0.1315f, -0.4784f, -0.4088f, -0.6826f)
                close()
                moveTo(11.351f, 22.1642f)
                curveToRelative(0.0945f, 0.0884f, 0.0672f, 0.2957f, 0.0703f, 0.4785f)
                curveToRelative(-0.3322f, 0.0426f, -0.71f, 0.2373f, -0.8868f, -0.1375f)
                curveToRelative(0.4175f, 0.0305f, 0.4905f, -0.28f, 0.8165f, -0.341f)
                close()
                moveTo(19.854f, 22.6962f)
                curveToRelative(-0.0694f, -0.005f, -0.1785f, 0.0148f, -0.3308f, 0.0834f)
                curveToRelative(0.393f, 0.1713f, 0.5394f, -0.0684f, 0.3309f, -0.0834f)
                close()
            }
        }
        .build()
        return _instructables!!
    }

private var _instructables: ImageVector? = null
