package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jaguar: ImageVector
    get() {
        if (_jaguar != null) {
            return _jaguar!!
        }
        _jaguar = Builder(name = "Jaguar", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.241f, 6.609f)
                arcToRelative(6.93f, 6.93f, 0.0f, false, false, -0.293f, 0.01f)
                reflectiveCurveToRelative(-1.6f, 0.072f, -2.1f, 0.798f)
                curveToRelative(0.0f, 0.0f, -0.085f, 0.098f, -0.037f, 0.203f)
                curveToRelative(0.0f, 0.0f, 0.01f, 0.03f, -0.01f, 0.05f)
                curveToRelative(0.0f, 0.0f, -0.27f, 0.24f, -0.406f, 0.455f)
                curveToRelative(-0.048f, 0.078f, -0.102f, 0.209f, 0.0f, 0.3f)
                curveToRelative(0.0f, 0.0f, 0.045f, 0.035f, 0.063f, 0.065f)
                curveToRelative(0.039f, 0.064f, 0.075f, 0.159f, 0.123f, 0.215f)
                curveToRelative(0.07f, 0.084f, 0.211f, 0.228f, 0.41f, 0.193f)
                curveToRelative(0.073f, -0.013f, 0.09f, -0.04f, 0.09f, -0.04f)
                curveToRelative(0.1f, 0.099f, 0.26f, 0.096f, 0.26f, 0.096f)
                curveToRelative(-0.02f, -0.064f, -0.09f, -0.188f, -0.1f, -0.263f)
                arcToRelative(0.421f, 0.421f, 0.0f, false, true, 0.015f, -0.162f)
                arcToRelative(0.701f, 0.701f, 0.0f, false, true, 0.145f, -0.271f)
                curveToRelative(0.054f, -0.054f, 0.192f, -0.115f, 0.303f, -0.038f)
                curveToRelative(0.088f, 0.063f, 0.194f, 0.268f, 0.106f, 0.56f)
                curveToRelative(0.0f, 0.022f, -0.1f, 0.23f, -0.205f, 0.26f)
                curveToRelative(0.0f, 0.0f, -0.01f, 0.004f, -0.03f, 0.004f)
                curveToRelative(-0.07f, 0.0f, -0.2f, -0.073f, -0.2f, -0.073f)
                reflectiveCurveToRelative(0.0f, 0.018f, 0.015f, 0.094f)
                curveToRelative(0.012f, 0.043f, 0.027f, 0.09f, 0.04f, 0.127f)
                curveToRelative(0.0f, 0.0f, -0.025f, 0.046f, -0.042f, 0.072f)
                curveToRelative(-0.025f, 0.045f, -0.046f, 0.131f, 0.01f, 0.17f)
                curveToRelative(0.0f, 0.0f, 0.23f, 0.157f, 0.455f, 0.171f)
                curveToRelative(0.154f, 0.01f, 0.212f, -0.095f, 0.212f, -0.095f)
                curveToRelative(0.114f, -0.156f, 0.2f, -0.29f, 0.32f, -0.399f)
                curveToRelative(0.327f, -0.3f, 0.786f, -0.38f, 0.786f, -0.38f)
                curveToRelative(0.03f, -0.004f, 0.533f, -0.144f, 1.386f, 0.539f)
                curveToRelative(-0.244f, 0.02f, -0.534f, 0.078f, -0.756f, 0.117f)
                curveToRelative(-0.632f, 0.113f, -1.037f, 0.71f, -1.155f, 0.952f)
                curveToRelative(-0.307f, 0.633f, 0.32f, 0.851f, 0.32f, 0.851f)
                curveToRelative(0.01f, -0.006f, 0.6f, -0.052f, 0.886f, -0.683f)
                curveToRelative(0.0f, 0.0f, 0.104f, -0.279f, 0.383f, -0.188f)
                curveToRelative(0.182f, 0.059f, 1.79f, 0.62f, 2.152f, 0.716f)
                curveToRelative(0.0f, 0.0f, 1.077f, 0.28f, 1.482f, -0.215f)
                curveToRelative(0.649f, 0.213f, 1.257f, 0.316f, 2.85f, 0.11f)
                curveToRelative(0.277f, -0.036f, 0.495f, -0.027f, 0.495f, -0.027f)
                curveToRelative(0.372f, 0.027f, 0.712f, 0.278f, 0.815f, 0.442f)
                curveToRelative(0.42f, 0.671f, 0.95f, 2.003f, 2.796f, 1.841f)
                lineToRelative(0.835f, -0.076f)
                curveToRelative(0.51f, -0.03f, 0.924f, -0.05f, 1.345f, 0.172f)
                curveToRelative(0.183f, 0.096f, 0.285f, 0.131f, 0.596f, 0.428f)
                curveToRelative(0.425f, 0.404f, 0.816f, 0.842f, 1.336f, 0.603f)
                curveToRelative(0.185f, -0.085f, 0.393f, -0.415f, 0.393f, -0.415f)
                arcToRelative(0.598f, 0.598f, 0.0f, false, false, -0.253f, -0.419f)
                curveToRelative(0.473f, 0.113f, 1.54f, 0.185f, 1.952f, -0.536f)
                curveToRelative(0.107f, -0.168f, 0.118f, -0.318f, 0.078f, -0.408f)
                curveToRelative(-0.113f, -0.253f, -0.426f, -0.17f, -0.426f, -0.17f)
                curveToRelative(-0.148f, 0.03f, -0.317f, 0.2f, -0.568f, 0.274f)
                curveToRelative(-0.538f, 0.16f, -0.968f, -0.026f, -0.968f, -0.026f)
                curveToRelative(-0.829f, -0.359f, -3.493f, -1.884f, -4.848f, -2.55f)
                curveToRelative(0.0f, 0.0f, -1.555f, -0.78f, -3.839f, -1.684f)
                curveToRelative(0.0f, 0.0f, -4.148f, -1.823f, -7.212f, -1.77f)
                close()
                moveTo(5.241f, 6.745f)
                curveToRelative(3.0f, -0.051f, 7.113f, 1.739f, 7.154f, 1.758f)
                verticalLineToRelative(0.001f)
                curveToRelative(0.368f, 0.146f, 0.716f, 0.289f, 1.043f, 0.425f)
                lineToRelative(-0.475f, -0.188f)
                arcToRelative(43.23f, 43.23f, 0.0f, false, false, -1.828f, -0.645f)
                curveToRelative(-1.544f, -0.533f, -2.22f, -0.627f, -2.267f, -0.633f)
                arcToRelative(5.54f, 5.54f, 0.0f, false, false, -0.256f, -0.038f)
                lineToRelative(-0.278f, -0.032f)
                lineToRelative(0.154f, 0.249f)
                curveToRelative(-1.09f, -0.771f, -2.395f, -0.81f, -2.459f, -0.812f)
                curveToRelative(-0.263f, 0.0f, -0.492f, 0.075f, -0.67f, 0.16f)
                lineToRelative(0.089f, -0.165f)
                lineToRelative(-0.216f, -0.01f)
                arcToRelative(6.333f, 6.333f, 0.0f, false, false, -0.901f, 0.018f)
                arcToRelative(5.1f, 5.1f, 0.0f, false, true, 0.908f, -0.088f)
                close()
                moveTo(4.922f, 6.943f)
                curveToRelative(0.095f, 0.0f, 0.197f, 0.003f, 0.307f, 0.008f)
                lineToRelative(-0.036f, 0.067f)
                curveToRelative(-0.077f, 0.146f, -0.385f, 0.448f, -0.892f, 0.336f)
                curveToRelative(0.0f, 0.0f, 0.0f, 0.226f, 0.555f, 0.307f)
                curveToRelative(0.0f, 0.0f, 0.497f, 0.088f, 1.341f, 0.767f)
                curveToRelative(0.0f, 0.0f, -0.403f, -0.802f, -1.088f, -1.01f)
                curveToRelative(0.0f, 0.0f, -0.086f, -0.018f, -0.044f, -0.072f)
                curveToRelative(0.0f, 0.0f, 0.404f, -0.38f, 0.967f, -0.38f)
                curveToRelative(0.0f, 0.0f, 1.754f, 0.038f, 2.869f, 1.204f)
                curveToRelative(0.0f, 0.0f, -0.05f, -0.203f, -0.225f, -0.49f)
                lineToRelative(-0.073f, -0.12f)
                reflectiveCurveToRelative(0.067f, 0.008f, 0.25f, 0.038f)
                curveToRelative(0.0f, 0.0f, 0.67f, 0.083f, 2.243f, 0.626f)
                curveToRelative(0.0f, 0.0f, 1.179f, 0.388f, 1.824f, 0.643f)
                curveToRelative(0.97f, 0.387f, 3.398f, 1.327f, 4.947f, 2.172f)
                curveToRelative(0.276f, 0.15f, 3.077f, 1.61f, 3.077f, 1.61f)
                curveToRelative(0.775f, 0.349f, 1.312f, 0.137f, 1.312f, 0.137f)
                curveToRelative(0.175f, -0.066f, 0.492f, -0.31f, 0.63f, -0.172f)
                curveToRelative(0.071f, 0.071f, 0.081f, 0.167f, 0.047f, 0.26f)
                curveToRelative(-0.04f, 0.14f, -0.24f, 0.328f, -0.483f, 0.435f)
                curveToRelative(-0.255f, 0.114f, -0.787f, 0.144f, -1.094f, 0.094f)
                curveToRelative(0.0f, 0.0f, -0.596f, -0.06f, -1.117f, -0.605f)
                curveToRelative(-0.165f, -0.172f, -0.367f, -0.367f, -0.554f, -0.559f)
                arcToRelative(1.038f, 1.038f, 0.0f, false, false, -0.62f, -0.333f)
                curveToRelative(-0.35f, -0.047f, -1.205f, -0.07f, -1.526f, -0.177f)
                curveToRelative(-0.215f, -0.072f, -0.474f, -0.217f, -0.819f, -0.728f)
                curveToRelative(-0.166f, -0.244f, -0.283f, -0.311f, -0.509f, -0.455f)
                curveToRelative(0.0f, 0.0f, 0.173f, 0.138f, 0.271f, 0.312f)
                curveToRelative(0.142f, 0.252f, 0.213f, 0.435f, 0.29f, 0.57f)
                curveToRelative(0.077f, 0.135f, 0.164f, 0.254f, 0.295f, 0.36f)
                curveToRelative(0.164f, 0.131f, 0.266f, 0.156f, 0.443f, 0.185f)
                curveToRelative(0.17f, 0.028f, 0.742f, 0.023f, 1.232f, 0.016f)
                curveToRelative(0.483f, -0.008f, 0.699f, 0.148f, 0.857f, 0.282f)
                curveToRelative(0.147f, 0.124f, 0.4f, 0.477f, 0.554f, 0.632f)
                curveToRelative(0.184f, 0.184f, 0.32f, 0.372f, 0.684f, 0.556f)
                curveToRelative(0.127f, 0.064f, 0.334f, 0.222f, 0.323f, 0.374f)
                curveToRelative(-0.164f, 0.164f, -0.367f, 0.207f, -0.855f, 0.076f)
                curveToRelative(0.035f, 0.034f, 0.29f, 0.303f, 0.727f, 0.176f)
                arcToRelative(0.558f, 0.558f, 0.0f, false, true, -0.396f, 0.15f)
                curveToRelative(-0.458f, -0.026f, -0.906f, -0.59f, -1.158f, -0.798f)
                curveToRelative(-0.19f, -0.158f, -0.213f, -0.197f, -0.537f, -0.422f)
                curveToRelative(-0.493f, -0.341f, -1.598f, -0.245f, -1.598f, -0.245f)
                lineToRelative(-0.812f, 0.042f)
                curveToRelative(-1.58f, 0.12f, -2.244f, -1.28f, -2.419f, -1.572f)
                arcToRelative(2.422f, 2.422f, 0.0f, false, false, -0.168f, -0.25f)
                curveToRelative(-0.08f, -0.108f, -0.512f, -0.668f, -0.949f, -0.852f)
                curveToRelative(0.0f, 0.0f, 0.43f, 0.37f, 0.404f, 0.614f)
                curveToRelative(0.0f, 0.0f, -0.178f, -0.083f, -0.662f, -0.014f)
                curveToRelative(-2.081f, 0.297f, -2.79f, -0.224f, -2.79f, -0.224f)
                curveToRelative(0.097f, -0.417f, -0.194f, -0.845f, -0.194f, -0.845f)
                curveToRelative(0.16f, 0.05f, 1.184f, 0.396f, 2.155f, 0.2f)
                curveToRelative(0.0f, 0.0f, -1.581f, 0.008f, -2.69f, -0.877f)
                curveToRelative(0.0f, 0.0f, 0.69f, 0.865f, 0.526f, 1.431f)
                curveToRelative(0.0f, 0.0f, -0.113f, 0.603f, -1.316f, 0.36f)
                curveToRelative(-0.129f, -0.025f, -0.28f, -0.068f, -2.08f, -0.568f)
                curveToRelative(-0.424f, -0.127f, -0.57f, 0.075f, -0.647f, 0.197f)
                curveToRelative(0.0f, 0.178f, -0.213f, 0.386f, -0.318f, 0.45f)
                curveToRelative(-0.558f, -0.1f, -0.336f, -0.617f, -0.336f, -0.617f)
                curveToRelative(-0.35f, 0.502f, 0.017f, 0.724f, 0.133f, 0.74f)
                curveToRelative(-0.07f, 0.033f, -0.135f, 0.058f, -0.19f, 0.078f)
                curveToRelative(0.0f, 0.0f, -0.457f, -0.271f, -0.202f, -0.715f)
                curveToRelative(0.355f, -0.62f, 0.717f, -0.819f, 1.38f, -0.88f)
                curveToRelative(0.29f, -0.027f, 0.531f, -0.048f, 0.715f, -0.022f)
                curveToRelative(0.48f, 0.066f, 0.782f, 0.338f, 1.502f, 0.407f)
                curveToRelative(-1.528f, -0.45f, -1.532f, -1.335f, -1.537f, -1.352f)
                lineTo(6.848f, 8.5f)
                curveToRelative(-0.085f, 0.292f, -0.038f, 0.538f, 0.037f, 0.746f)
                curveToRelative(-0.02f, -0.008f, -0.355f, -0.228f, -0.483f, -0.305f)
                curveToRelative(-0.548f, -0.335f, -0.982f, -0.394f, -0.982f, -0.394f)
                curveToRelative(-0.182f, -0.023f, -0.266f, -0.244f, -0.266f, -0.244f)
                curveToRelative(-0.01f, -0.011f, -0.013f, -0.022f, -0.02f, -0.032f)
                curveToRelative(-0.252f, -0.432f, -0.502f, -0.44f, -0.502f, -0.44f)
                arcToRelative(0.836f, 0.836f, 0.0f, false, true, 0.136f, 0.372f)
                curveToRelative(0.01f, 0.055f, 0.014f, 0.157f, 0.014f, 0.187f)
                curveToRelative(0.0f, 0.462f, -0.54f, 0.607f, -0.54f, 0.607f)
                curveToRelative(-0.372f, 0.473f, -0.353f, 0.483f, -0.436f, 0.495f)
                curveToRelative(-0.083f, 0.012f, -0.265f, -0.08f, -0.265f, -0.08f)
                curveToRelative(-0.014f, -0.008f, -0.018f, -0.029f, -0.016f, -0.042f)
                curveToRelative(0.0f, -0.029f, 0.028f, -0.047f, 0.028f, -0.047f)
                curveToRelative(0.07f, -0.055f, 0.127f, -0.11f, 0.127f, -0.11f)
                curveToRelative(0.394f, -0.403f, 0.441f, -0.6f, 0.393f, -0.861f)
                curveToRelative(-0.1f, -0.524f, -0.474f, -0.463f, -0.474f, -0.463f)
                curveToRelative(-0.182f, 0.018f, -0.256f, 0.168f, -0.256f, 0.168f)
                arcToRelative(4.576f, 4.576f, 0.0f, false, false, -0.195f, 0.392f)
                curveToRelative(-0.08f, 0.176f, -0.164f, 0.215f, -0.207f, 0.223f)
                arcToRelative(0.396f, 0.396f, 0.0f, false, true, -0.065f, 0.003f)
                curveToRelative(-0.127f, -0.005f, -0.223f, -0.121f, -0.223f, -0.121f)
                curveToRelative(-0.01f, -0.006f, -0.01f, -0.013f, -0.016f, -0.018f)
                curveToRelative(-0.116f, -0.124f, -0.032f, -0.287f, -0.032f, -0.287f)
                curveToRelative(0.156f, -0.363f, 0.46f, -0.416f, 0.5f, -0.421f)
                lineToRelative(0.182f, -0.026f)
                curveToRelative(0.385f, -0.065f, 0.567f, -0.466f, 0.567f, -0.466f)
                arcToRelative(2.99f, 2.99f, 0.0f, false, false, -0.386f, 0.014f)
                curveToRelative(-0.256f, 0.045f, -0.343f, 0.346f, -0.343f, 0.345f)
                curveToRelative(-0.216f, 0.05f, -0.21f, -0.136f, -0.172f, -0.193f)
                curveToRelative(0.034f, -0.052f, 0.16f, -0.275f, 0.991f, -0.467f)
                curveToRelative(0.0f, 0.0f, 0.314f, -0.095f, 0.978f, -0.092f)
                close()
                moveTo(4.763f, 7.063f)
                curveToRelative(-0.2f, 0.0f, -0.305f, 0.112f, -0.305f, 0.123f)
                curveToRelative(0.0f, 0.006f, 0.027f, 0.009f, 0.07f, 0.01f)
                lineToRelative(0.07f, 0.003f)
                arcToRelative(0.79f, 0.79f, 0.0f, false, false, 0.32f, -0.083f)
                arcToRelative(0.422f, 0.422f, 0.0f, false, false, 0.092f, -0.052f)
                lineToRelative(-0.245f, -0.002f)
                close()
                moveTo(4.927f, 7.426f)
                verticalLineToRelative(0.004f)
                curveToRelative(0.03f, 0.081f, 0.108f, 0.11f, 0.143f, 0.12f)
                verticalLineToRelative(-0.001f)
                curveToRelative(0.163f, 0.05f, 0.309f, 0.138f, 0.437f, 0.241f)
                curveToRelative(-0.39f, -0.218f, -0.613f, -0.261f, -0.628f, -0.264f)
                arcToRelative(1.609f, 1.609f, 0.0f, false, true, -0.157f, -0.032f)
                arcToRelative(0.987f, 0.987f, 0.0f, false, false, 0.208f, -0.068f)
                close()
                moveTo(3.563f, 7.476f)
                reflectiveCurveToRelative(-0.05f, 0.16f, -0.247f, 0.194f)
                curveToRelative(0.0f, 0.0f, -0.077f, 0.018f, -0.108f, 0.019f)
                lineToRelative(0.021f, -0.06f)
                curveToRelative(0.0f, -0.012f, 0.051f, -0.138f, 0.165f, -0.15f)
                curveToRelative(0.0f, 0.0f, 0.066f, -0.004f, 0.169f, -0.004f)
                close()
                moveTo(2.88f, 7.709f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, false, 0.056f, 0.047f)
                curveToRelative(-0.135f, 0.057f, -0.485f, 0.432f, -0.485f, 0.432f)
                curveToRelative(0.177f, -0.262f, 0.408f, -0.458f, 0.41f, -0.46f)
                curveToRelative(0.0f, -0.003f, 0.01f, -0.006f, 0.01f, -0.009f)
                curveToRelative(0.0f, -0.003f, 0.01f, -0.007f, 0.01f, -0.01f)
                close()
                moveTo(3.617f, 8.024f)
                curveToRelative(0.038f, -0.005f, 0.217f, -0.012f, 0.3f, 0.27f)
                arcToRelative(0.433f, 0.433f, 0.0f, false, false, -0.14f, -0.185f)
                arcToRelative(0.339f, 0.339f, 0.0f, false, false, -0.254f, -0.055f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, true, 0.094f, -0.03f)
                close()
                moveTo(2.335f, 15.422f)
                verticalLineToRelative(0.873f)
                curveToRelative(0.0f, 0.255f, -0.056f, 0.426f, -0.18f, 0.55f)
                curveToRelative(-0.165f, 0.162f, -0.437f, 0.228f, -0.84f, 0.228f)
                lineTo(0.0f, 17.073f)
                verticalLineToRelative(0.256f)
                horizontalLineToRelative(1.428f)
                curveToRelative(0.677f, 0.0f, 1.156f, -0.092f, 1.405f, -0.347f)
                curveToRelative(0.143f, -0.146f, 0.212f, -0.329f, 0.212f, -0.63f)
                verticalLineToRelative(-0.93f)
                close()
                moveTo(5.023f, 15.422f)
                lineTo(3.37f, 17.33f)
                horizontalLineToRelative(0.412f)
                lineToRelative(0.348f, -0.406f)
                horizontalLineToRelative(2.104f)
                lineToRelative(0.35f, 0.406f)
                horizontalLineToRelative(0.796f)
                lineToRelative(-1.656f, -1.907f)
                close()
                moveTo(9.109f, 15.422f)
                curveToRelative(-0.483f, 0.0f, -0.772f, 0.056f, -1.03f, 0.2f)
                arcToRelative(0.831f, 0.831f, 0.0f, false, false, -0.432f, 0.75f)
                curveToRelative(0.0f, 0.385f, 0.175f, 0.666f, 0.557f, 0.82f)
                curveToRelative(0.229f, 0.093f, 0.532f, 0.137f, 0.917f, 0.137f)
                horizontalLineToRelative(2.055f)
                verticalLineToRelative(-0.875f)
                horizontalLineToRelative(-0.707f)
                verticalLineToRelative(0.62f)
                lineTo(9.336f, 17.074f)
                curveToRelative(-0.366f, 0.0f, -0.58f, -0.053f, -0.737f, -0.173f)
                curveToRelative(-0.15f, -0.115f, -0.229f, -0.289f, -0.229f, -0.525f)
                curveToRelative(0.0f, -0.229f, 0.075f, -0.4f, 0.215f, -0.513f)
                curveToRelative(0.158f, -0.128f, 0.365f, -0.186f, 0.745f, -0.186f)
                horizontalLineToRelative(1.774f)
                verticalLineToRelative(-0.255f)
                close()
                moveTo(14.765f, 15.422f)
                verticalLineToRelative(0.924f)
                curveToRelative(0.0f, 0.24f, -0.03f, 0.393f, -0.122f, 0.52f)
                curveToRelative(-0.154f, 0.217f, -0.397f, 0.295f, -0.896f, 0.295f)
                horizontalLineToRelative(-0.06f)
                curveToRelative(-0.476f, 0.0f, -0.741f, -0.078f, -0.895f, -0.294f)
                curveToRelative(-0.091f, -0.128f, -0.122f, -0.273f, -0.122f, -0.521f)
                verticalLineToRelative(-0.923f)
                horizontalLineToRelative(-0.71f)
                verticalLineToRelative(0.95f)
                curveToRelative(0.0f, 0.246f, 0.027f, 0.44f, 0.15f, 0.603f)
                curveToRelative(0.202f, 0.264f, 0.574f, 0.416f, 1.6f, 0.416f)
                horizontalLineToRelative(0.011f)
                curveToRelative(1.032f, 0.0f, 1.402f, -0.152f, 1.604f, -0.416f)
                curveToRelative(0.124f, -0.163f, 0.15f, -0.357f, 0.15f, -0.603f)
                verticalLineToRelative(-0.95f)
                close()
                moveTo(17.442f, 15.422f)
                lineToRelative(-1.654f, 1.907f)
                horizontalLineToRelative(0.412f)
                lineToRelative(0.349f, -0.406f)
                horizontalLineToRelative(2.103f)
                lineToRelative(0.35f, 0.406f)
                horizontalLineToRelative(0.796f)
                lineToRelative(-1.656f, -1.907f)
                close()
                moveTo(20.428f, 15.422f)
                verticalLineToRelative(1.908f)
                horizontalLineToRelative(0.71f)
                verticalLineToRelative(-0.661f)
                horizontalLineToRelative(0.933f)
                lineToRelative(1.064f, 0.66f)
                lineTo(24.0f, 17.329f)
                lineToRelative(-1.117f, -0.673f)
                curveToRelative(0.266f, -0.009f, 0.493f, -0.05f, 0.667f, -0.143f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, 0.267f, -0.472f)
                curveToRelative(0.0f, -0.255f, -0.114f, -0.418f, -0.321f, -0.51f)
                curveToRelative(-0.185f, -0.08f, -0.413f, -0.108f, -0.866f, -0.108f)
                close()
                moveTo(21.138f, 15.662f)
                horizontalLineToRelative(1.399f)
                curveToRelative(0.266f, 0.0f, 0.384f, 0.026f, 0.465f, 0.086f)
                curveToRelative(0.077f, 0.058f, 0.105f, 0.146f, 0.105f, 0.283f)
                verticalLineToRelative(0.036f)
                curveToRelative(0.0f, 0.123f, -0.03f, 0.223f, -0.12f, 0.286f)
                curveToRelative(-0.09f, 0.062f, -0.214f, 0.075f, -0.441f, 0.075f)
                horizontalLineToRelative(-1.408f)
                close()
                moveTo(5.18f, 15.7f)
                lineToRelative(0.84f, 0.977f)
                lineTo(4.342f, 16.677f)
                close()
                moveTo(17.599f, 15.7f)
                lineToRelative(0.84f, 0.977f)
                horizontalLineToRelative(-1.68f)
                close()
            }
        }
        .build()
        return _jaguar!!
    }

private var _jaguar: ImageVector? = null
