package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Joomla: ImageVector
    get() {
        if (_joomla != null) {
            return _joomla!!
        }
        _joomla = Builder(name = "Joomla", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.719f, 14.759f)
                lineTo(14.22f, 17.26f)
                lineToRelative(-2.37f, 2.37f)
                lineToRelative(-0.462f, 0.466f)
                curveToRelative(-1.368f, 1.365f, -3.297f, 1.83f, -5.047f, 1.397f)
                curveToRelative(-0.327f, 1.424f, -1.604f, 2.49f, -3.13f, 2.49f)
                curveTo(1.438f, 23.983f, 0.0f, 22.547f, 0.0f, 20.772f)
                curveToRelative(0.0f, -1.518f, 1.055f, -2.789f, 2.469f, -3.123f)
                curveToRelative(-0.446f, -1.76f, 0.016f, -3.705f, 1.396f, -5.08f)
                lineToRelative(0.179f, -0.18f)
                lineToRelative(2.37f, 2.37f)
                lineToRelative(-0.184f, 0.181f)
                curveToRelative(-0.769f, 0.779f, -0.769f, 2.024f, 0.0f, 2.789f)
                curveToRelative(0.771f, 0.78f, 2.022f, 0.78f, 2.787f, 0.0f)
                lineToRelative(0.465f, -0.465f)
                lineToRelative(2.367f, -2.371f)
                lineToRelative(2.502f, -2.506f)
                lineToRelative(2.368f, 2.372f)
                close()
                moveTo(17.643f, 21.411f)
                curveToRelative(-1.822f, 0.563f, -3.885f, 0.12f, -5.328f, -1.318f)
                lineToRelative(-0.18f, -0.185f)
                lineToRelative(2.365f, -2.369f)
                lineToRelative(0.18f, 0.184f)
                curveToRelative(0.771f, 0.768f, 2.018f, 0.768f, 2.787f, 0.0f)
                curveToRelative(0.765f, -0.765f, 0.769f, -2.01f, -0.004f, -2.781f)
                lineToRelative(-0.466f, -0.465f)
                lineToRelative(-2.365f, -2.37f)
                lineToRelative(-2.502f, -2.503f)
                lineToRelative(2.37f, -2.369f)
                lineToRelative(2.499f, 2.505f)
                lineToRelative(2.367f, 2.37f)
                lineToRelative(0.464f, 0.464f)
                curveToRelative(1.365f, 1.36f, 1.846f, 3.278f, 1.411f, 5.021f)
                curveToRelative(1.56f, 0.224f, 2.759f, 1.56f, 2.759f, 3.18f)
                curveToRelative(0.0f, 1.784f, -1.439f, 3.21f, -3.209f, 3.21f)
                curveToRelative(-1.545f, 0.0f, -2.851f, -1.096f, -3.135f, -2.565f)
                lineToRelative(-0.013f, -0.009f)
                close()
                moveTo(6.975f, 9.461f)
                lineToRelative(2.508f, -2.505f)
                lineToRelative(2.37f, -2.369f)
                lineToRelative(0.462f, -0.461f)
                curveTo(13.74f, 2.7f, 15.772f, 2.251f, 17.58f, 2.79f)
                curveToRelative(0.212f, -1.561f, 1.555f, -2.775f, 3.179f, -2.775f)
                curveToRelative(1.772f, 0.0f, 3.211f, 1.437f, 3.211f, 3.209f)
                curveToRelative(0.0f, 1.631f, -1.216f, 2.978f, -2.79f, 3.186f)
                curveToRelative(0.519f, 1.799f, 0.068f, 3.816f, -1.35f, 5.234f)
                lineToRelative(-0.182f, 0.184f)
                lineToRelative(-2.369f, -2.369f)
                lineToRelative(0.184f, -0.184f)
                curveToRelative(0.769f, -0.77f, 0.769f, -2.016f, 0.0f, -2.783f)
                curveToRelative(-0.766f, -0.766f, -2.011f, -0.768f, -2.781f, 0.003f)
                lineToRelative(-0.462f, 0.461f)
                lineToRelative(-2.37f, 2.369f)
                lineToRelative(-2.505f, 2.502f)
                lineToRelative(-2.37f, -2.366f)
                close()
                moveTo(4.322f, 12.108f)
                lineToRelative(-0.461f, -0.462f)
                curveTo(2.43f, 10.215f, 1.986f, 8.17f, 2.529f, 6.358f)
                curveTo(1.1f, 6.029f, 0.03f, 4.754f, 0.03f, 3.224f)
                curveTo(0.03f, 1.454f, 1.47f, 0.015f, 3.24f, 0.015f)
                curveToRelative(1.596f, 0.0f, 2.92f, 1.166f, 3.17f, 2.691f)
                curveToRelative(1.73f, -0.405f, 3.626f, 0.065f, 4.979f, 1.415f)
                lineToRelative(0.184f, 0.185f)
                lineToRelative(-2.37f, 2.37f)
                lineToRelative(-0.183f, -0.181f)
                curveToRelative(-0.77f, -0.765f, -2.016f, -0.765f, -2.785f, 0.0f)
                curveToRelative(-0.771f, 0.781f, -0.77f, 2.025f, -0.005f, 2.79f)
                lineToRelative(0.465f, 0.466f)
                lineToRelative(2.37f, 2.369f)
                lineToRelative(2.505f, 2.505f)
                lineToRelative(-2.367f, 2.37f)
                lineToRelative(-2.51f, -2.505f)
                lineToRelative(-2.371f, -2.37f)
                verticalLineToRelative(-0.012f)
                close()
            }
        }
        .build()
        return _joomla!!
    }

private var _joomla: ImageVector? = null
