package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Json: ImageVector
    get() {
        if (_json != null) {
            return _json!!
        }
        _json = Builder(name = "Json", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.043f, 23.968f)
                curveToRelative(0.479f, -0.004f, 0.953f, -0.029f, 1.426f, -0.094f)
                arcToRelative(11.805f, 11.805f, 0.0f, false, false, 3.146f, -0.863f)
                arcToRelative(12.404f, 12.404f, 0.0f, false, false, 3.793f, -2.542f)
                arcToRelative(11.977f, 11.977f, 0.0f, false, false, 2.44f, -3.427f)
                arcToRelative(11.794f, 11.794f, 0.0f, false, false, 1.02f, -3.476f)
                curveToRelative(0.149f, -1.16f, 0.135f, -2.346f, -0.045f, -3.499f)
                arcToRelative(11.96f, 11.96f, 0.0f, false, false, -0.793f, -2.788f)
                arcToRelative(11.197f, 11.197f, 0.0f, false, false, -0.854f, -1.617f)
                curveToRelative(-1.168f, -1.837f, -2.861f, -3.314f, -4.81f, -4.3f)
                arcToRelative(12.835f, 12.835f, 0.0f, false, false, -2.172f, -0.87f)
                horizontalLineToRelative(-0.005f)
                curveToRelative(0.119f, 0.063f, 0.24f, 0.132f, 0.345f, 0.201f)
                curveToRelative(0.12f, 0.074f, 0.239f, 0.146f, 0.351f, 0.225f)
                arcToRelative(8.93f, 8.93f, 0.0f, false, true, 1.559f, 1.33f)
                curveToRelative(1.063f, 1.145f, 1.797f, 2.548f, 2.218f, 4.041f)
                curveToRelative(0.284f, 0.982f, 0.434f, 1.998f, 0.495f, 3.017f)
                curveToRelative(0.044f, 0.743f, 0.044f, 1.491f, -0.047f, 2.229f)
                curveToRelative(-0.149f, 1.27f, -0.554f, 2.51f, -1.228f, 3.596f)
                arcToRelative(7.475f, 7.475f, 0.0f, false, true, -1.903f, 2.084f)
                curveToRelative(-1.244f, 0.928f, -2.877f, 1.482f, -4.436f, 1.114f)
                arcToRelative(3.916f, 3.916f, 0.0f, false, true, -0.748f, -0.258f)
                arcToRelative(4.692f, 4.692f, 0.0f, false, true, -0.779f, -0.45f)
                arcToRelative(6.08f, 6.08f, 0.0f, false, true, -1.244f, -1.105f)
                arcToRelative(6.507f, 6.507f, 0.0f, false, true, -1.049f, -1.747f)
                arcToRelative(7.366f, 7.366f, 0.0f, false, true, -0.494f, -2.54f)
                curveToRelative(-0.03f, -1.273f, 0.225f, -2.553f, 0.854f, -3.67f)
                arcToRelative(6.43f, 6.43f, 0.0f, false, true, 1.663f, -1.918f)
                curveToRelative(0.225f, -0.178f, 0.464f, -0.333f, 0.704f, -0.479f)
                lineToRelative(0.016f, -0.007f)
                arcToRelative(5.121f, 5.121f, 0.0f, false, false, -1.441f, -0.12f)
                arcToRelative(4.963f, 4.963f, 0.0f, false, false, -1.228f, 0.24f)
                curveToRelative(-0.359f, 0.12f, -0.704f, 0.27f, -1.019f, 0.45f)
                arcToRelative(6.146f, 6.146f, 0.0f, false, false, -0.733f, 0.494f)
                curveToRelative(-0.211f, 0.18f, -0.42f, 0.36f, -0.615f, 0.555f)
                curveToRelative(-1.123f, 1.153f, -1.768f, 2.682f, -2.022f, 4.256f)
                curveToRelative(-0.15f, 0.973f, -0.15f, 1.96f, -0.091f, 2.95f)
                curveToRelative(0.105f, 1.395f, 0.391f, 2.787f, 0.945f, 4.062f)
                arcToRelative(8.518f, 8.518f, 0.0f, false, false, 1.348f, 2.173f)
                arcToRelative(8.14f, 8.14f, 0.0f, false, false, 3.132f, 2.23f)
                arcToRelative(7.934f, 7.934f, 0.0f, false, false, 2.113f, 0.54f)
                curveToRelative(0.074f, 0.015f, 0.149f, 0.015f, 0.209f, 0.015f)
                close()
                moveTo(9.109f, 23.57f)
                arcToRelative(4.102f, 4.102f, 0.0f, false, true, -0.45f, -0.228f)
                arcToRelative(8.5f, 8.5f, 0.0f, false, true, -2.038f, -1.534f)
                curveToRelative(-1.094f, -1.137f, -1.827f, -2.566f, -2.247f, -4.08f)
                arcToRelative(15.184f, 15.184f, 0.0f, false, true, -0.495f, -3.172f)
                arcToRelative(12.14f, 12.14f, 0.0f, false, true, 0.046f, -2.082f)
                curveToRelative(0.135f, -1.257f, 0.495f, -2.501f, 1.124f, -3.58f)
                arcToRelative(6.889f, 6.889f, 0.0f, false, true, 1.783f, -2.053f)
                arcToRelative(6.23f, 6.23f, 0.0f, false, true, 1.633f, -0.9f)
                arcToRelative(5.363f, 5.363f, 0.0f, false, true, 3.522f, -0.045f)
                curveToRelative(0.029f, 0.0f, 0.029f, 0.0f, 0.045f, 0.03f)
                curveToRelative(0.015f, 0.015f, 0.045f, 0.015f, 0.06f, 0.03f)
                curveToRelative(0.045f, 0.016f, 0.104f, 0.045f, 0.165f, 0.074f)
                curveToRelative(0.239f, 0.12f, 0.479f, 0.271f, 0.704f, 0.42f)
                arcToRelative(6.294f, 6.294f, 0.0f, false, true, 2.097f, 2.502f)
                curveToRelative(0.42f, 0.914f, 0.615f, 1.934f, 0.631f, 2.938f)
                curveToRelative(0.014f, 1.079f, -0.18f, 2.157f, -0.645f, 3.146f)
                arcToRelative(6.42f, 6.42f, 0.0f, false, true, -2.638f, 2.832f)
                curveToRelative(0.09f, 0.03f, 0.18f, 0.045f, 0.271f, 0.075f)
                curveToRelative(0.225f, 0.044f, 0.449f, 0.074f, 0.688f, 0.074f)
                curveToRelative(1.468f, 0.045f, 2.892f, -0.66f, 3.94f, -1.647f)
                curveToRelative(0.195f, -0.18f, 0.375f, -0.375f, 0.54f, -0.585f)
                curveToRelative(0.225f, -0.27f, 0.435f, -0.54f, 0.614f, -0.823f)
                curveToRelative(0.239f, -0.375f, 0.435f, -0.75f, 0.614f, -1.154f)
                arcToRelative(8.112f, 8.112f, 0.0f, false, false, 0.509f, -1.664f)
                curveToRelative(0.196f, -1.004f, 0.211f, -2.022f, 0.149f, -3.026f)
                curveToRelative(-0.135f, -2.022f, -0.673f, -4.045f, -1.842f, -5.724f)
                arcToRelative(9.054f, 9.054f, 0.0f, false, false, -0.555f, -0.719f)
                arcToRelative(9.868f, 9.868f, 0.0f, false, false, -1.063f, -1.034f)
                arcToRelative(8.477f, 8.477f, 0.0f, false, false, -1.363f, -0.915f)
                arcToRelative(9.927f, 9.927f, 0.0f, false, false, -1.692f, -0.598f)
                lineToRelative(-0.3f, -0.06f)
                curveToRelative(-0.209f, -0.03f, -0.42f, -0.044f, -0.634f, -0.06f)
                arcToRelative(8.453f, 8.453f, 0.0f, false, false, -1.015f, 0.016f)
                curveToRelative(-0.704f, 0.045f, -1.412f, 0.16f, -2.112f, 0.337f)
                curveTo(5.799f, 1.227f, 2.863f, 3.566f, 1.3f, 6.67f)
                arcTo(11.834f, 11.834f, 0.0f, false, false, 0.238f, 9.801f)
                arcToRelative(11.81f, 11.81f, 0.0f, false, false, -0.104f, 3.775f)
                curveToRelative(0.12f, 1.02f, 0.374f, 2.023f, 0.778f, 2.977f)
                curveToRelative(0.227f, 0.57f, 0.511f, 1.124f, 0.825f, 1.648f)
                curveToRelative(1.094f, 1.783f, 2.683f, 3.236f, 4.51f, 4.24f)
                curveToRelative(0.688f, 0.39f, 1.408f, 0.69f, 2.157f, 0.944f)
                curveToRelative(0.226f, 0.074f, 0.45f, 0.15f, 0.689f, 0.21f)
                close()
            }
        }
        .build()
        return _json!!
    }

private var _json: ImageVector? = null
