package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Katacoda: ImageVector
    get() {
        if (_katacoda != null) {
            return _katacoda!!
        }
        _katacoda = Builder(name = "Katacoda", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.248f, 3.623f)
                arcToRelative(0.926f, 0.926f, 0.0f, false, false, -0.228f, 0.014f)
                curveToRelative(-0.192f, 0.085f, -0.35f, 0.463f, -0.457f, 1.1f)
                curveToRelative(-0.186f, 1.094f, -0.18f, 2.53f, 0.017f, 3.597f)
                lineToRelative(0.05f, 0.262f)
                lineToRelative(-0.208f, -0.182f)
                curveToRelative(-0.23f, -0.202f, -0.622f, -0.476f, -0.807f, -0.56f)
                arcToRelative(1.652f, 1.652f, 0.0f, false, false, -0.957f, -0.112f)
                arcToRelative(5.65f, 5.65f, 0.0f, false, true, -0.363f, 0.055f)
                curveToRelative(-0.34f, 0.04f, -0.573f, 0.155f, -0.834f, 0.414f)
                arcToRelative(1.71f, 1.71f, 0.0f, false, false, -0.41f, 0.637f)
                curveToRelative(-0.05f, 0.139f, -0.057f, 0.189f, -0.057f, 0.42f)
                curveToRelative(0.002f, 0.21f, 0.013f, 0.302f, 0.06f, 0.478f)
                curveToRelative(0.073f, 0.27f, 0.316f, 0.882f, 0.364f, 0.91f)
                curveToRelative(0.08f, 0.05f, 0.139f, 0.002f, 0.232f, -0.2f)
                curveToRelative(0.105f, -0.223f, 0.293f, -0.444f, 0.43f, -0.505f)
                curveToRelative(0.092f, -0.043f, 0.24f, -0.054f, 0.26f, -0.021f)
                curveToRelative(0.015f, 0.024f, -0.2f, 0.345f, -0.436f, 0.654f)
                curveToRelative(-0.198f, 0.26f, -0.258f, 0.385f, -0.293f, 0.61f)
                curveToRelative(-0.078f, 0.51f, 0.19f, 1.074f, 0.612f, 1.279f)
                curveToRelative(0.254f, 0.124f, 0.383f, 0.146f, 0.795f, 0.146f)
                curveToRelative(0.37f, -0.002f, 0.368f, -0.001f, 0.619f, -0.082f)
                arcToRelative(6.92f, 6.92f, 0.0f, false, true, 0.465f, -0.135f)
                lineToRelative(0.212f, -0.05f)
                lineToRelative(0.018f, 0.046f)
                curveToRelative(0.022f, 0.057f, 0.004f, 0.107f, -0.111f, 0.32f)
                curveToRelative(-0.211f, 0.384f, -0.243f, 0.425f, -0.426f, 0.518f)
                curveToRelative(-0.44f, 0.229f, -1.054f, 0.33f, -1.361f, 0.225f)
                arcToRelative(3.43f, 3.43f, 0.0f, false, false, -0.413f, -0.09f)
                curveToRelative(-1.116f, -0.174f, -1.183f, -0.192f, -1.337f, -0.334f)
                curveToRelative(-0.177f, -0.163f, -0.33f, -0.504f, -0.465f, -1.05f)
                curveToRelative(-0.046f, -0.18f, -0.09f, -0.31f, -0.096f, -0.292f)
                lineToRelative(-0.12f, 0.412f)
                curveToRelative(-0.27f, 0.954f, -0.315f, 1.05f, -0.663f, 1.413f)
                arcToRelative(5.74f, 5.74f, 0.0f, false, false, -0.303f, 0.33f)
                curveToRelative(-0.041f, 0.058f, -0.05f, 0.163f, -0.016f, 0.185f)
                arcToRelative(0.583f, 0.583f, 0.0f, false, true, 0.08f, 0.106f)
                curveToRelative(0.072f, 0.12f, 0.606f, 0.643f, 0.815f, 0.802f)
                curveToRelative(0.253f, 0.194f, 0.393f, 0.269f, 0.807f, 0.432f)
                curveToRelative(0.722f, 0.285f, 0.896f, 0.318f, 1.978f, 0.38f)
                curveToRelative(0.396f, 0.025f, 0.736f, -0.041f, 0.93f, -0.183f)
                curveToRelative(0.046f, -0.032f, 0.15f, -0.083f, 0.234f, -0.111f)
                curveToRelative(0.085f, -0.026f, 0.234f, -0.082f, 0.334f, -0.121f)
                curveToRelative(0.098f, -0.041f, 0.187f, -0.074f, 0.196f, -0.074f)
                curveToRelative(0.01f, 0.0f, 0.05f, 0.149f, 0.09f, 0.33f)
                curveToRelative(0.04f, 0.183f, 0.08f, 0.346f, 0.089f, 0.36f)
                curveToRelative(0.007f, 0.016f, 0.026f, -0.16f, 0.04f, -0.39f)
                curveToRelative(0.025f, -0.415f, 0.026f, -0.42f, 0.085f, -0.47f)
                lineToRelative(0.059f, -0.05f)
                lineToRelative(0.015f, 0.06f)
                curveToRelative(0.01f, 0.034f, 0.032f, 0.13f, 0.05f, 0.214f)
                curveToRelative(0.049f, 0.203f, 0.146f, 0.44f, 0.24f, 0.59f)
                curveToRelative(0.084f, 0.129f, 0.359f, 0.472f, 0.373f, 0.46f)
                arcToRelative(5.202f, 5.202f, 0.0f, false, false, -0.02f, -0.36f)
                curveToRelative(-0.015f, -0.242f, -0.017f, -0.36f, -0.002f, -0.375f)
                curveToRelative(0.015f, -0.015f, 0.059f, 0.036f, 0.133f, 0.158f)
                curveToRelative(0.527f, 0.86f, 1.424f, 1.722f, 2.387f, 2.295f)
                curveToRelative(0.95f, 0.566f, 2.434f, 1.126f, 3.845f, 1.453f)
                curveToRelative(0.333f, 0.076f, 0.91f, 0.188f, 0.973f, 0.188f)
                curveToRelative(0.02f, 0.0f, 0.108f, 0.045f, 0.2f, 0.1f)
                curveToRelative(0.663f, 0.406f, 1.502f, 0.617f, 2.097f, 0.532f)
                curveToRelative(0.496f, -0.071f, 1.106f, -0.374f, 1.404f, -0.7f)
                arcToRelative(0.56f, 0.56f, 0.0f, false, true, 0.258f, -0.161f)
                arcToRelative(6.48f, 6.48f, 0.0f, false, false, 1.068f, -0.55f)
                curveToRelative(0.44f, -0.292f, 0.74f, -0.58f, 0.96f, -0.923f)
                arcToRelative(2.65f, 2.65f, 0.0f, false, true, 0.298f, -0.347f)
                arcToRelative(5.15f, 5.15f, 0.0f, false, false, 1.12f, -1.73f)
                curveToRelative(0.104f, -0.273f, 0.218f, -0.724f, 0.259f, -1.04f)
                arcToRelative(6.343f, 6.343f, 0.0f, false, false, -0.023f, -1.365f)
                lineToRelative(-0.038f, -0.205f)
                lineToRelative(0.334f, -0.318f)
                curveToRelative(1.226f, -1.174f, 1.973f, -2.355f, 2.237f, -3.541f)
                curveToRelative(0.093f, -0.42f, 0.1f, -0.884f, 0.013f, -1.051f)
                curveToRelative(-0.074f, -0.144f, -0.18f, -0.123f, -0.78f, 0.158f)
                curveToRelative(-0.86f, 0.405f, -1.337f, 0.55f, -1.98f, 0.607f)
                curveToRelative(-0.26f, 0.022f, -0.694f, 0.003f, -0.833f, -0.04f)
                arcToRelative(0.559f, 0.559f, 0.0f, false, true, -0.14f, -0.145f)
                curveToRelative(-0.277f, -0.381f, -0.82f, -0.934f, -1.243f, -1.278f)
                curveToRelative(-0.47f, -0.376f, -1.142f, -0.771f, -1.64f, -0.96f)
                lineToRelative(-0.19f, -0.07f)
                lineToRelative(0.13f, -0.073f)
                curveToRelative(0.214f, -0.12f, 0.628f, -0.29f, 0.817f, -0.334f)
                curveToRelative(0.098f, -0.022f, 0.356f, -0.067f, 0.578f, -0.102f)
                lineToRelative(0.404f, -0.058f)
                lineToRelative(-0.49f, -0.072f)
                curveToRelative(-1.012f, -0.146f, -1.714f, -0.207f, -2.443f, -0.211f)
                curveToRelative(-0.274f, 0.0f, -0.496f, -0.006f, -0.496f, -0.01f)
                curveToRelative(0.0f, -0.005f, 0.047f, -0.063f, 0.103f, -0.133f)
                curveToRelative(0.238f, -0.283f, 0.408f, -0.622f, 0.47f, -0.937f)
                curveToRelative(0.016f, -0.09f, 0.037f, -0.286f, 0.046f, -0.436f)
                lineToRelative(0.016f, -0.273f)
                lineToRelative(-0.163f, 0.218f)
                arcToRelative(2.495f, 2.495f, 0.0f, false, true, -0.832f, 0.737f)
                curveToRelative(-0.402f, 0.233f, -0.77f, 0.335f, -1.502f, 0.418f)
                curveToRelative(-1.56f, 0.174f, -2.654f, 0.333f, -3.144f, 0.457f)
                lineToRelative(-0.205f, 0.052f)
                lineToRelative(-0.1f, -0.07f)
                arcToRelative(19.734f, 19.734f, 0.0f, false, true, -0.297f, -0.21f)
                arcToRelative(9.984f, 9.984f, 0.0f, false, false, -1.96f, -1.143f)
                arcToRelative(7.619f, 7.619f, 0.0f, false, true, -1.032f, -0.565f)
                curveToRelative(-0.45f, -0.28f, -0.56f, -0.325f, -0.785f, -0.334f)
                close()
                moveTo(6.164f, 3.865f)
                curveToRelative(0.02f, -0.007f, 0.043f, -0.004f, 0.08f, 0.002f)
                curveToRelative(0.044f, 0.007f, 0.136f, 0.037f, 0.2f, 0.063f)
                curveToRelative(0.067f, 0.026f, 0.265f, 0.137f, 0.439f, 0.246f)
                curveToRelative(0.464f, 0.29f, 0.716f, 0.427f, 1.12f, 0.607f)
                arcToRelative(9.07f, 9.07f, 0.0f, false, true, 1.642f, 0.938f)
                curveToRelative(0.648f, 0.453f, 0.847f, 0.64f, 1.308f, 1.24f)
                curveToRelative(0.187f, 0.244f, 0.49f, 0.576f, 0.524f, 0.576f)
                curveToRelative(0.02f, 0.0f, -0.15f, -0.336f, -0.344f, -0.674f)
                arcToRelative(4.52f, 4.52f, 0.0f, false, false, -0.404f, -0.593f)
                curveToRelative(-0.096f, -0.116f, -0.106f, -0.106f, 0.156f, -0.16f)
                lineToRelative(0.158f, -0.032f)
                lineToRelative(0.174f, 0.162f)
                curveToRelative(0.093f, 0.09f, 0.253f, 0.216f, 0.35f, 0.282f)
                curveToRelative(0.195f, 0.128f, 0.35f, 0.28f, 0.488f, 0.47f)
                curveToRelative(0.122f, 0.168f, 0.15f, 0.225f, 0.27f, 0.58f)
                curveToRelative(0.119f, 0.344f, 0.157f, 0.434f, 0.198f, 0.45f)
                curveToRelative(0.08f, 0.026f, 0.13f, -0.057f, 0.176f, -0.29f)
                curveToRelative(0.096f, -0.48f, 0.066f, -0.75f, -0.158f, -1.388f)
                arcToRelative(10.419f, 10.419f, 0.0f, false, true, -0.152f, -0.453f)
                curveToRelative(0.0f, -0.018f, 0.907f, -0.143f, 1.025f, -0.141f)
                curveToRelative(0.024f, 0.0f, 0.043f, 0.034f, 0.063f, 0.104f)
                curveToRelative(0.045f, 0.187f, 0.108f, 0.3f, 0.326f, 0.595f)
                curveToRelative(0.222f, 0.3f, 0.386f, 0.596f, 0.445f, 0.805f)
                curveToRelative(0.02f, 0.065f, 0.065f, 0.3f, 0.102f, 0.52f)
                curveToRelative(0.085f, 0.513f, 0.187f, 0.919f, 0.298f, 1.167f)
                curveToRelative(0.122f, 0.28f, 0.156f, 0.433f, 0.166f, 0.784f)
                curveToRelative(0.014f, 0.41f, 0.07f, 0.594f, 0.18f, 0.572f)
                curveToRelative(0.079f, -0.015f, 0.205f, -0.51f, 0.244f, -0.97f)
                curveToRelative(0.048f, -0.54f, 0.075f, -1.59f, 0.05f, -1.938f)
                curveToRelative(-0.034f, -0.451f, -0.034f, -1.217f, 0.0f, -1.237f)
                curveToRelative(0.014f, -0.008f, 0.207f, -0.02f, 0.429f, -0.027f)
                lineToRelative(0.408f, -0.01f)
                lineToRelative(0.092f, 0.106f)
                curveToRelative(0.135f, 0.157f, 0.178f, 0.259f, 0.178f, 0.42f)
                curveToRelative(0.0f, 0.17f, 0.1f, 0.568f, 0.226f, 0.91f)
                curveToRelative(0.25f, 0.675f, 0.405f, 1.238f, 0.453f, 1.652f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, true, -0.021f, 0.436f)
                curveToRelative(-0.09f, 0.394f, -0.121f, 0.66f, -0.123f, 1.064f)
                curveToRelative(-0.003f, 0.418f, 0.017f, 0.537f, 0.097f, 0.58f)
                curveToRelative(0.166f, 0.087f, 0.363f, -0.218f, 0.41f, -0.642f)
                curveToRelative(0.01f, -0.098f, 0.095f, -0.473f, 0.186f, -0.832f)
                curveToRelative(0.105f, -0.427f, 0.173f, -0.758f, 0.197f, -0.948f)
                curveToRelative(0.029f, -0.235f, 0.12f, -0.85f, 0.205f, -1.353f)
                lineToRelative(0.014f, -0.084f)
                lineToRelative(0.26f, 0.176f)
                curveToRelative(0.392f, 0.26f, 0.375f, 0.24f, 0.449f, 0.502f)
                curveToRelative(0.09f, 0.317f, 0.163f, 0.617f, 0.23f, 0.937f)
                curveToRelative(0.055f, 0.268f, 0.057f, 0.29f, 0.06f, 1.219f)
                curveToRelative(0.0f, 0.84f, 0.005f, 0.955f, 0.038f, 1.027f)
                curveToRelative(0.026f, 0.057f, 0.052f, 0.082f, 0.084f, 0.082f)
                curveToRelative(0.072f, 0.0f, 0.228f, -0.163f, 0.313f, -0.326f)
                curveToRelative(0.109f, -0.205f, 0.139f, -0.3f, 0.154f, -0.473f)
                curveToRelative(0.017f, -0.19f, 0.04f, -0.314f, 0.133f, -0.691f)
                curveToRelative(0.054f, -0.218f, 0.08f, -0.382f, 0.092f, -0.578f)
                lineToRelative(0.015f, -0.272f)
                lineToRelative(0.098f, 0.13f)
                curveToRelative(0.205f, 0.267f, 0.163f, 0.24f, 0.453f, 0.273f)
                curveToRelative(0.366f, 0.039f, 0.968f, 0.02f, 1.275f, -0.041f)
                curveToRelative(0.497f, -0.1f, 0.988f, -0.276f, 1.623f, -0.58f)
                curveToRelative(0.21f, -0.1f, 0.39f, -0.184f, 0.4f, -0.184f)
                curveToRelative(0.014f, 0.0f, 0.017f, 0.11f, 0.009f, 0.299f)
                curveToRelative(-0.033f, 0.81f, -0.47f, 1.832f, -1.166f, 2.726f)
                curveToRelative(-0.436f, 0.562f, -1.25f, 1.407f, -1.274f, 1.325f)
                curveToRelative(-0.004f, -0.016f, -0.051f, -0.144f, -0.101f, -0.284f)
                curveToRelative(-0.114f, -0.317f, -0.505f, -1.108f, -0.536f, -1.08f)
                curveToRelative(-0.004f, 0.005f, 0.04f, 0.168f, 0.1f, 0.364f)
                curveToRelative(0.06f, 0.196f, 0.115f, 0.378f, 0.12f, 0.404f)
                curveToRelative(0.004f, 0.024f, 0.017f, 0.088f, 0.032f, 0.14f)
                curveToRelative(0.013f, 0.05f, 0.02f, 0.1f, 0.016f, 0.104f)
                curveToRelative(-0.024f, 0.024f, -0.534f, 0.14f, -0.832f, 0.19f)
                curveToRelative(-0.87f, 0.148f, -1.734f, 0.13f, -2.48f, -0.045f)
                curveToRelative(-0.728f, -0.17f, -1.364f, -0.46f, -2.686f, -1.217f)
                curveToRelative(-1.6f, -0.92f, -2.058f, -1.113f, -2.97f, -1.252f)
                curveToRelative(-0.255f, -0.04f, -0.41f, -0.05f, -0.866f, -0.05f)
                curveToRelative(-0.832f, -0.003f, -1.47f, 0.084f, -2.71f, 0.362f)
                curveToRelative(-0.904f, 0.2f, -1.416f, 0.256f, -1.673f, 0.182f)
                curveToRelative(-0.117f, -0.035f, -0.131f, -0.046f, -0.22f, -0.186f)
                curveToRelative(-0.053f, -0.08f, -0.115f, -0.151f, -0.14f, -0.158f)
                curveToRelative(-0.034f, -0.01f, -0.055f, -0.07f, -0.12f, -0.345f)
                curveToRelative(-0.113f, -0.482f, -0.11f, -0.45f, -0.078f, -0.413f)
                curveToRelative(0.03f, 0.04f, 0.035f, 0.077f, -0.098f, -0.457f)
                arcToRelative(12.082f, 12.082f, 0.0f, false, true, -0.322f, -1.742f)
                curveToRelative(-0.035f, -0.352f, -0.035f, -1.596f, 0.0f, -1.97f)
                curveToRelative(0.082f, -0.85f, 0.22f, -1.434f, 0.377f, -1.602f)
                curveToRelative(0.028f, -0.03f, 0.046f, -0.048f, 0.066f, -0.055f)
                close()
                moveTo(6.534f, 4.838f)
                curveToRelative(0.005f, 0.012f, 0.033f, 0.045f, 0.085f, 0.107f)
                curveToRelative(0.065f, 0.079f, 0.435f, 0.46f, 0.824f, 0.848f)
                curveToRelative(0.388f, 0.388f, 0.76f, 0.78f, 0.83f, 0.875f)
                curveToRelative(0.484f, 0.653f, 0.858f, 1.708f, 0.707f, 1.998f)
                curveToRelative(-0.093f, 0.183f, -0.287f, 0.23f, -0.47f, 0.113f)
                curveToRelative(-0.118f, -0.074f, -0.282f, -0.284f, -0.375f, -0.482f)
                arcToRelative(2.926f, 2.926f, 0.0f, false, true, -0.145f, -0.424f)
                curveToRelative(-0.041f, -0.154f, -0.075f, -0.27f, -0.08f, -0.258f)
                lineToRelative(-0.072f, 0.407f)
                curveToRelative(-0.072f, 0.43f, -0.103f, 0.882f, -0.072f, 1.054f)
                curveToRelative(0.028f, 0.148f, 0.007f, 0.18f, -0.063f, 0.098f)
                curveToRelative(-0.041f, -0.05f, -0.065f, -0.12f, -0.094f, -0.281f)
                arcToRelative(31.518f, 31.518f, 0.0f, false, false, -0.088f, -0.463f)
                curveToRelative(-0.056f, -0.292f, -0.05f, -0.303f, -0.11f, 0.304f)
                arcToRelative(6.308f, 6.308f, 0.0f, false, true, -0.054f, 0.457f)
                curveToRelative(-0.045f, 0.21f, -0.196f, 0.39f, -0.32f, 0.39f)
                curveToRelative(-0.1f, 0.0f, -0.224f, -0.07f, -0.267f, -0.15f)
                lineToRelative(-0.045f, -0.077f)
                lineToRelative(0.015f, 0.076f)
                curveToRelative(0.02f, 0.106f, 0.124f, 0.332f, 0.172f, 0.37f)
                curveToRelative(0.057f, 0.047f, 0.245f, 0.038f, 0.35f, -0.017f)
                arcToRelative(0.573f, 0.573f, 0.0f, false, false, 0.25f, -0.261f)
                curveToRelative(0.037f, -0.072f, 0.055f, -0.09f, 0.084f, -0.08f)
                curveToRelative(0.02f, 0.01f, 0.09f, 0.022f, 0.158f, 0.027f)
                curveToRelative(0.113f, 0.006f, 0.13f, 0.002f, 0.195f, -0.057f)
                lineToRelative(0.074f, -0.066f)
                lineToRelative(-0.007f, -0.338f)
                curveToRelative(-0.005f, -0.23f, 0.0f, -0.34f, 0.015f, -0.34f)
                curveToRelative(0.013f, 0.0f, 0.024f, 0.009f, 0.024f, 0.018f)
                curveToRelative(0.0f, 0.047f, 0.255f, 0.293f, 0.357f, 0.345f)
                arcTo(0.632f, 0.632f, 0.0f, false, false, 9.049f, 9.0f)
                curveToRelative(0.265f, -0.194f, 0.293f, -0.606f, 0.082f, -1.244f)
                arcToRelative(5.835f, 5.835f, 0.0f, false, false, -0.553f, -1.123f)
                curveToRelative(-0.276f, -0.414f, -0.89f, -0.98f, -1.654f, -1.522f)
                curveToRelative(-0.15f, -0.106f, -0.308f, -0.221f, -0.35f, -0.252f)
                curveToRelative(-0.034f, -0.025f, -0.047f, -0.033f, -0.04f, -0.021f)
                close()
                moveTo(15.867f, 4.958f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, true, -0.035f, 0.105f)
                curveToRelative(-0.057f, 0.124f, -0.213f, 0.37f, -0.31f, 0.476f)
                lineToRelative(-0.071f, 0.084f)
                lineToRelative(-0.117f, -0.115f)
                arcToRelative(0.807f, 0.807f, 0.0f, false, true, -0.115f, -0.13f)
                curveToRelative(0.0f, -0.008f, 0.084f, -0.063f, 0.19f, -0.124f)
                reflectiveCurveToRelative(0.25f, -0.155f, 0.32f, -0.21f)
                arcToRelative(0.666f, 0.666f, 0.0f, false, true, 0.138f, -0.087f)
                close()
                moveTo(3.734f, 7.942f)
                arcToRelative(1.83f, 1.83f, 0.0f, false, true, 0.512f, 0.016f)
                curveToRelative(0.078f, 0.017f, 0.195f, 0.054f, 0.26f, 0.084f)
                curveToRelative(0.117f, 0.052f, 0.482f, 0.28f, 0.545f, 0.344f)
                curveToRelative(0.017f, 0.017f, 0.092f, 0.078f, 0.164f, 0.135f)
                curveToRelative(0.14f, 0.113f, 0.338f, 0.33f, 0.445f, 0.486f)
                curveToRelative(0.083f, 0.117f, 0.184f, 0.466f, 0.164f, 0.566f)
                curveToRelative(-0.015f, 0.092f, -0.148f, 0.237f, -0.38f, 0.42f)
                curveToRelative(-0.273f, 0.216f, -0.35f, 0.333f, -0.35f, 0.533f)
                curveToRelative(0.0f, 0.185f, 0.108f, 0.447f, 0.27f, 0.664f)
                curveToRelative(0.056f, 0.072f, 0.056f, 0.078f, 0.019f, 0.118f)
                curveToRelative(-0.03f, 0.034f, -0.056f, 0.04f, -0.143f, 0.029f)
                curveToRelative(-0.146f, -0.02f, -0.34f, -0.096f, -0.404f, -0.154f)
                curveToRelative(-0.046f, -0.046f, -0.054f, -0.074f, -0.065f, -0.31f)
                lineToRelative(-0.01f, -0.257f)
                lineToRelative(-0.085f, 0.174f)
                curveToRelative(-0.103f, 0.21f, -0.112f, 0.373f, -0.031f, 0.49f)
                curveToRelative(0.054f, 0.08f, 0.228f, 0.185f, 0.38f, 0.23f)
                lineToRelative(0.102f, 0.032f)
                lineToRelative(-0.174f, -0.012f)
                arcToRelative(0.848f, 0.848f, 0.0f, false, true, -0.574f, -0.27f)
                curveToRelative(-0.157f, -0.156f, -0.207f, -0.258f, -0.19f, -0.378f)
                curveToRelative(0.02f, -0.12f, 0.204f, -0.468f, 0.352f, -0.668f)
                curveToRelative(0.068f, -0.09f, 0.137f, -0.192f, 0.154f, -0.227f)
                lineToRelative(0.034f, -0.066f)
                lineToRelative(-0.084f, 0.07f)
                arcToRelative(1.564f, 1.564f, 0.0f, false, false, -0.163f, 0.153f)
                lineToRelative(-0.193f, 0.222f)
                curveToRelative(-0.324f, 0.368f, -0.386f, 0.558f, -0.26f, 0.809f)
                curveToRelative(0.124f, 0.242f, 0.508f, 0.516f, 0.772f, 0.55f)
                curveToRelative(0.218f, 0.029f, 0.228f, 0.034f, 0.228f, 0.09f)
                curveToRelative(0.0f, 0.09f, 0.062f, 0.18f, 0.164f, 0.24f)
                curveToRelative(0.103f, 0.06f, 0.124f, 0.094f, 0.06f, 0.1f)
                arcToRelative(0.35f, 0.35f, 0.0f, false, false, -0.136f, 0.034f)
                arcToRelative(4.588f, 4.588f, 0.0f, false, true, -1.07f, 0.26f)
                curveToRelative(-0.74f, 0.047f, -1.295f, -0.446f, -1.254f, -1.114f)
                curveToRelative(0.013f, -0.23f, 0.07f, -0.36f, 0.283f, -0.64f)
                curveToRelative(0.42f, -0.552f, 0.795f, -1.207f, 0.93f, -1.628f)
                curveToRelative(0.144f, -0.452f, 0.044f, -0.782f, -0.31f, -1.021f)
                curveToRelative(-0.118f, -0.08f, -0.123f, -0.07f, 0.038f, -0.104f)
                close()
                moveTo(3.096f, 8.079f)
                curveToRelative(0.043f, 0.0f, 0.132f, 0.01f, 0.195f, 0.024f)
                curveToRelative(0.23f, 0.05f, 0.44f, 0.197f, 0.508f, 0.363f)
                curveToRelative(0.059f, 0.137f, 0.049f, 0.15f, -0.086f, 0.14f)
                arcToRelative(0.291f, 0.291f, 0.0f, false, false, -0.217f, 0.047f)
                arcToRelative(0.937f, 0.937f, 0.0f, false, false, -0.262f, 0.27f)
                curveToRelative(-0.008f, 0.015f, 0.042f, 0.0f, 0.112f, -0.033f)
                curveToRelative(0.167f, -0.077f, 0.375f, -0.084f, 0.445f, -0.012f)
                curveToRelative(0.068f, 0.067f, 0.047f, 0.142f, -0.145f, 0.527f)
                lineToRelative(-0.16f, 0.328f)
                lineToRelative(-0.072f, -0.017f)
                arcToRelative(1.4f, 1.4f, 0.0f, false, false, -0.215f, -0.012f)
                arcToRelative(0.462f, 0.462f, 0.0f, false, false, -0.26f, 0.065f)
                arcToRelative(1.35f, 1.35f, 0.0f, false, false, -0.398f, 0.402f)
                arcToRelative(0.317f, 0.317f, 0.0f, false, true, -0.06f, 0.086f)
                curveToRelative(-0.024f, 0.0f, -0.186f, -0.47f, -0.23f, -0.664f)
                curveToRelative(-0.077f, -0.353f, -0.037f, -0.652f, 0.138f, -0.946f)
                curveToRelative(0.167f, -0.283f, 0.52f, -0.566f, 0.707f, -0.568f)
                close()
                moveTo(5.91f, 9.887f)
                curveToRelative(0.033f, -0.024f, 0.048f, 0.036f, 0.143f, 0.342f)
                lineToRelative(0.09f, 0.285f)
                lineToRelative(-0.096f, 0.097f)
                arcToRelative(0.573f, 0.573f, 0.0f, false, false, -0.168f, 0.41f)
                verticalLineToRelative(0.104f)
                lineToRelative(-0.125f, 0.02f)
                lineToRelative(-0.125f, 0.017f)
                lineToRelative(-0.086f, -0.11f)
                curveToRelative(-0.118f, -0.154f, -0.216f, -0.368f, -0.227f, -0.503f)
                curveToRelative(-0.008f, -0.105f, -0.004f, -0.116f, 0.075f, -0.203f)
                curveToRelative(0.048f, -0.053f, 0.158f, -0.152f, 0.248f, -0.22f)
                curveToRelative(0.089f, -0.07f, 0.19f, -0.155f, 0.228f, -0.192f)
                curveToRelative(0.02f, -0.021f, 0.032f, -0.04f, 0.043f, -0.047f)
                close()
                moveTo(10.537f, 10.535f)
                arcToRelative(9.87f, 9.87f, 0.0f, false, true, 1.11f, 0.008f)
                curveToRelative(0.139f, 0.013f, 0.37f, 0.046f, 0.519f, 0.074f)
                curveToRelative(0.703f, 0.137f, 1.175f, 0.348f, 2.564f, 1.143f)
                curveToRelative(2.014f, 1.154f, 2.807f, 1.424f, 4.19f, 1.424f)
                arcToRelative(6.56f, 6.56f, 0.0f, false, false, 1.816f, -0.23f)
                curveToRelative(0.13f, -0.034f, 0.238f, -0.06f, 0.24f, -0.057f)
                curveToRelative(0.04f, 0.047f, 0.172f, 0.633f, 0.212f, 0.93f)
                curveToRelative(0.034f, 0.26f, 0.034f, 0.87f, 0.0f, 1.1f)
                arcToRelative(4.606f, 4.606f, 0.0f, false, true, -0.213f, 0.827f)
                curveToRelative(-0.244f, 0.64f, -0.68f, 1.318f, -1.133f, 1.76f)
                lineToRelative(-0.131f, 0.129f)
                lineToRelative(-0.172f, -0.07f)
                lineToRelative(-0.232f, -0.092f)
                curveToRelative(-0.035f, -0.014f, -0.06f, -0.041f, -0.06f, -0.061f)
                curveToRelative(0.0f, -0.028f, -0.003f, -0.028f, -0.022f, 0.0f)
                curveToRelative(-0.018f, 0.026f, -0.022f, 0.028f, -0.022f, 0.004f)
                curveToRelative(0.0f, -0.015f, -0.045f, -0.071f, -0.1f, -0.12f)
                arcToRelative(3.952f, 3.952f, 0.0f, false, true, -0.32f, -0.36f)
                curveToRelative(-0.268f, -0.332f, -0.493f, -0.57f, -0.693f, -0.733f)
                curveToRelative(-0.124f, -0.1f, -0.157f, -0.142f, -0.194f, -0.244f)
                arcToRelative(3.936f, 3.936f, 0.0f, false, true, -0.17f, -0.62f)
                lineToRelative(-0.02f, -0.122f)
                lineToRelative(0.167f, 0.082f)
                curveToRelative(0.09f, 0.045f, 0.263f, 0.122f, 0.383f, 0.17f)
                curveToRelative(0.723f, 0.29f, 1.193f, 0.353f, 1.502f, 0.203f)
                curveToRelative(0.278f, -0.135f, 0.647f, -0.7f, 0.834f, -1.274f)
                lineToRelative(0.066f, -0.197f)
                lineToRelative(0.125f, -0.027f)
                curveToRelative(0.072f, -0.016f, 0.17f, -0.035f, 0.223f, -0.041f)
                curveToRelative(0.05f, -0.007f, 0.097f, -0.02f, 0.1f, -0.032f)
                curveToRelative(0.017f, -0.024f, -0.256f, -0.185f, -0.446f, -0.261f)
                curveToRelative(-0.405f, -0.166f, -0.904f, -0.231f, -1.281f, -0.172f)
                curveToRelative(-0.246f, 0.04f, -0.578f, 0.18f, -0.807f, 0.334f)
                curveToRelative(-0.315f, 0.213f, -0.654f, 0.644f, -0.806f, 1.025f)
                lineToRelative(-0.06f, 0.147f)
                lineToRelative(-0.017f, -0.178f)
                arcToRelative(4.05f, 4.05f, 0.0f, false, true, 0.053f, -0.89f)
                curveToRelative(0.02f, -0.12f, 0.03f, -0.214f, 0.022f, -0.21f)
                curveToRelative(-0.022f, 0.016f, -0.144f, 0.353f, -0.192f, 0.534f)
                arcToRelative(2.74f, 2.74f, 0.0f, false, false, -0.013f, 1.378f)
                lineToRelative(0.017f, 0.063f)
                lineToRelative(-0.084f, -0.043f)
                curveToRelative(-0.215f, -0.107f, -0.514f, -0.186f, -0.888f, -0.234f)
                arcToRelative(1.979f, 1.979f, 0.0f, false, false, -0.555f, -0.01f)
                arcToRelative(3.761f, 3.761f, 0.0f, false, false, -0.502f, 0.086f)
                curveToRelative(-0.126f, 0.035f, -0.347f, 0.092f, -0.488f, 0.129f)
                arcToRelative(7.273f, 7.273f, 0.0f, false, true, -1.891f, 0.242f)
                curveToRelative(-0.958f, -0.002f, -1.504f, -0.107f, -2.15f, -0.416f)
                curveToRelative(-0.934f, -0.45f, -1.9f, -1.24f, -3.018f, -2.48f)
                arcToRelative(22.018f, 22.018f, 0.0f, false, false, -1.344f, -1.327f)
                curveToRelative(-0.305f, -0.272f, -0.4f, -0.402f, -0.476f, -0.635f)
                curveToRelative(-0.053f, -0.165f, -0.045f, -0.27f, 0.03f, -0.36f)
                lineToRelative(0.052f, -0.056f)
                lineToRelative(0.056f, 0.086f)
                curveToRelative(0.105f, 0.157f, 0.35f, 0.246f, 0.684f, 0.246f)
                curveToRelative(0.31f, 0.0f, 0.725f, -0.07f, 1.728f, -0.293f)
                arcToRelative(13.633f, 13.633f, 0.0f, false, true, 1.48f, -0.25f)
                lineToRelative(0.327f, -0.03f)
                close()
                moveTo(5.847f, 11.325f)
                curveToRelative(0.048f, 0.004f, 0.082f, 0.019f, 0.096f, 0.046f)
                curveToRelative(0.02f, 0.033f, 0.017f, 0.1f, -0.011f, 0.272f)
                curveToRelative(-0.035f, 0.213f, -0.035f, 0.23f, 0.0f, 0.308f)
                lineToRelative(0.035f, 0.084f)
                lineToRelative(-0.092f, 0.196f)
                arcToRelative(6.64f, 6.64f, 0.0f, false, false, -0.133f, 0.289f)
                lineToRelative(-0.037f, 0.097f)
                lineToRelative(-0.055f, -0.05f)
                curveToRelative(-0.098f, -0.092f, -0.142f, -0.216f, -0.142f, -0.397f)
                curveToRelative(0.0f, -0.155f, -0.005f, -0.17f, -0.057f, -0.211f)
                curveToRelative(-0.032f, -0.026f, -0.07f, -0.047f, -0.084f, -0.047f)
                arcToRelative(0.202f, 0.202f, 0.0f, false, true, -0.086f, -0.045f)
                lineToRelative(-0.056f, -0.047f)
                lineToRelative(0.046f, -0.082f)
                curveToRelative(0.07f, -0.124f, 0.305f, -0.346f, 0.403f, -0.38f)
                arcToRelative(0.455f, 0.455f, 0.0f, false, true, 0.174f, -0.032f)
                close()
                moveTo(11.125f, 11.633f)
                curveToRelative(-0.14f, 0.0f, -0.28f, 0.01f, -0.38f, 0.03f)
                curveToRelative(-0.262f, 0.053f, -0.542f, 0.16f, -0.974f, 0.372f)
                curveToRelative(-0.346f, 0.172f, -0.615f, 0.328f, -0.722f, 0.424f)
                curveToRelative(-0.011f, 0.009f, 0.053f, -0.002f, 0.14f, -0.023f)
                curveToRelative(0.09f, -0.022f, 0.303f, -0.062f, 0.477f, -0.088f)
                curveToRelative(0.174f, -0.024f, 0.342f, -0.048f, 0.375f, -0.055f)
                curveToRelative(0.05f, -0.01f, 0.077f, 0.016f, 0.242f, 0.236f)
                curveToRelative(0.403f, 0.538f, 0.916f, 1.135f, 1.297f, 1.514f)
                curveToRelative(0.277f, 0.274f, 0.443f, 0.402f, 0.559f, 0.424f)
                curveToRelative(0.037f, 0.006f, 0.166f, 0.033f, 0.293f, 0.056f)
                curveToRelative(0.862f, 0.17f, 1.6f, 0.223f, 1.834f, 0.13f)
                curveToRelative(0.228f, -0.088f, 0.66f, -0.407f, 1.05f, -0.766f)
                curveToRelative(0.12f, -0.111f, 0.278f, -0.25f, 0.35f, -0.31f)
                curveToRelative(0.09f, -0.071f, 0.113f, -0.1f, 0.076f, -0.09f)
                curveToRelative(-0.13f, 0.038f, -0.314f, 0.06f, -0.6f, 0.074f)
                curveToRelative(-0.337f, 0.015f, -0.597f, -0.013f, -0.785f, -0.082f)
                curveToRelative(-0.167f, -0.064f, -0.228f, -0.112f, -0.87f, -0.696f)
                arcToRelative(9.217f, 9.217f, 0.0f, false, false, -0.714f, -0.607f)
                curveToRelative(-0.22f, -0.161f, -0.54f, -0.318f, -0.69f, -0.34f)
                arcToRelative(2.139f, 2.139f, 0.0f, false, true, -0.24f, -0.076f)
                arcToRelative(2.928f, 2.928f, 0.0f, false, false, -0.343f, -0.1f)
                arcToRelative(2.146f, 2.146f, 0.0f, false, false, -0.375f, -0.027f)
                close()
                moveTo(6.344f, 11.913f)
                lineToRelative(0.066f, 0.058f)
                curveToRelative(0.037f, 0.03f, 0.263f, 0.238f, 0.5f, 0.463f)
                curveToRelative(0.24f, 0.222f, 0.624f, 0.616f, 0.86f, 0.873f)
                curveToRelative(0.927f, 1.016f, 1.606f, 1.63f, 2.353f, 2.129f)
                curveToRelative(1.002f, 0.67f, 1.905f, 0.92f, 3.19f, 0.888f)
                curveToRelative(0.794f, -0.017f, 1.389f, -0.115f, 2.199f, -0.357f)
                curveToRelative(0.699f, -0.21f, 1.514f, -0.12f, 2.1f, 0.236f)
                curveToRelative(0.317f, 0.194f, 0.557f, 0.418f, 0.91f, 0.854f)
                curveToRelative(0.343f, 0.424f, 0.438f, 0.509f, 0.716f, 0.648f)
                curveToRelative(0.13f, 0.068f, 0.252f, 0.126f, 0.27f, 0.133f)
                curveToRelative(0.048f, 0.015f, -0.055f, 0.157f, -0.283f, 0.396f)
                curveToRelative(-0.401f, 0.418f, -1.03f, 0.805f, -1.704f, 1.05f)
                arcToRelative(0.524f, 0.524f, 0.0f, false, false, -0.267f, 0.18f)
                curveToRelative(-0.192f, 0.206f, -0.47f, 0.385f, -0.822f, 0.524f)
                curveToRelative(-0.6f, 0.238f, -1.267f, 0.156f, -2.088f, -0.254f)
                curveToRelative(-0.275f, -0.137f, -0.336f, -0.177f, -0.43f, -0.28f)
                arcToRelative(1.898f, 1.898f, 0.0f, false, true, -0.176f, -0.243f)
                lineToRelative(-0.068f, -0.125f)
                lineToRelative(0.014f, 0.11f)
                curveToRelative(0.006f, 0.058f, 0.024f, 0.14f, 0.037f, 0.179f)
                curveToRelative(0.01f, 0.04f, 0.018f, 0.078f, 0.01f, 0.084f)
                curveToRelative(-0.023f, 0.024f, -1.395f, -0.275f, -1.434f, -0.314f)
                curveToRelative(-0.01f, -0.01f, 0.005f, -0.071f, 0.03f, -0.141f)
                curveToRelative(0.056f, -0.168f, 0.077f, -0.374f, 0.04f, -0.418f)
                curveToRelative(-0.041f, -0.048f, -0.157f, -0.04f, -0.277f, 0.02f)
                arcToRelative(0.852f, 0.852f, 0.0f, false, true, -0.313f, 0.08f)
                curveToRelative(-0.113f, 0.013f, -0.29f, 0.045f, -0.392f, 0.076f)
                lineToRelative(-0.19f, 0.052f)
                lineToRelative(-0.127f, -0.042f)
                curveToRelative(-0.263f, -0.092f, -0.903f, -0.356f, -0.896f, -0.372f)
                arcToRelative(1.48f, 1.48f, 0.0f, false, true, 0.182f, -0.146f)
                curveToRelative(0.222f, -0.163f, 0.439f, -0.365f, 0.48f, -0.443f)
                curveToRelative(0.04f, -0.08f, 0.04f, -0.204f, -0.002f, -0.24f)
                curveToRelative(-0.026f, -0.02f, -0.078f, -0.015f, -0.268f, 0.03f)
                arcToRelative(3.24f, 3.24f, 0.0f, false, true, -0.384f, 0.069f)
                arcToRelative(2.47f, 2.47f, 0.0f, false, false, -0.535f, 0.117f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, true, -0.483f, 0.049f)
                curveToRelative(-0.16f, -0.017f, -0.183f, -0.027f, -0.392f, -0.166f)
                arcToRelative(9.654f, 9.654f, 0.0f, false, true, -0.85f, -0.668f)
                lineToRelative(-0.102f, -0.094f)
                horizontalLineToRelative(0.21f)
                curveToRelative(0.193f, -0.002f, 0.242f, -0.01f, 0.538f, -0.105f)
                curveToRelative(0.45f, -0.144f, 0.654f, -0.281f, 0.64f, -0.434f)
                curveToRelative(-0.01f, -0.083f, -0.017f, -0.086f, -0.487f, -0.144f)
                arcToRelative(4.665f, 4.665f, 0.0f, false, true, -0.522f, -0.098f)
                arcToRelative(4.231f, 4.231f, 0.0f, false, false, -0.37f, -0.086f)
                curveToRelative(-0.151f, -0.028f, -0.27f, -0.072f, -0.513f, -0.185f)
                arcToRelative(25.31f, 25.31f, 0.0f, false, false, -0.44f, -0.2f)
                curveToRelative(-0.14f, -0.054f, -0.181f, -0.11f, -0.353f, -0.457f)
                arcToRelative(3.124f, 3.124f, 0.0f, false, false, -0.09f, -0.172f)
                curveToRelative(-0.012f, -0.015f, -0.18f, 0.18f, -0.202f, 0.239f)
                curveToRelative(-0.014f, 0.03f, -0.032f, 0.098f, -0.047f, 0.152f)
                lineToRelative(-0.028f, 0.098f)
                lineToRelative(-0.04f, -0.131f)
                arcToRelative(2.516f, 2.516f, 0.0f, false, true, -0.104f, -0.69f)
                curveToRelative(0.0f, -0.174f, 0.004f, -0.194f, 0.039f, -0.183f)
                curveToRelative(0.02f, 0.006f, 0.122f, 0.03f, 0.224f, 0.054f)
                curveToRelative(0.105f, 0.024f, 0.28f, 0.076f, 0.39f, 0.116f)
                curveToRelative(0.204f, 0.07f, 0.21f, 0.07f, 0.608f, 0.07f)
                curveToRelative(0.336f, 0.0f, 0.438f, -0.01f, 0.608f, -0.05f)
                curveToRelative(0.435f, -0.1f, 0.462f, -0.154f, 0.164f, -0.37f)
                arcToRelative(7.78f, 7.78f, 0.0f, false, true, -0.326f, -0.254f)
                arcToRelative(1.715f, 1.715f, 0.0f, false, false, -0.5f, -0.306f)
                arcToRelative(1.51f, 1.51f, 0.0f, false, true, -0.238f, -0.12f)
                curveToRelative(-0.105f, -0.07f, -0.325f, -0.3f, -0.49f, -0.511f)
                arcToRelative(1.495f, 1.495f, 0.0f, false, false, -0.206f, -0.221f)
                arcToRelative(1.797f, 1.797f, 0.0f, false, false, -0.318f, -0.184f)
                curveToRelative(-0.03f, -0.008f, 0.068f, -0.242f, 0.242f, -0.566f)
                close()
                moveTo(11.146f, 12.16f)
                curveToRelative(0.15f, 0.002f, 0.29f, 0.017f, 0.31f, 0.028f)
                curveToRelative(0.03f, 0.017f, 0.02f, 0.038f, -0.071f, 0.16f)
                curveToRelative(-0.185f, 0.248f, -0.28f, 0.607f, -0.248f, 0.968f)
                curveToRelative(0.017f, 0.199f, 0.027f, 0.2f, -0.164f, -0.021f)
                arcToRelative(2.999f, 2.999f, 0.0f, false, true, -0.446f, -0.695f)
                curveToRelative(-0.163f, -0.34f, -0.161f, -0.33f, -0.05f, -0.36f)
                arcToRelative(2.06f, 2.06f, 0.0f, false, true, 0.67f, -0.08f)
                close()
                moveTo(11.752f, 12.283f)
                curveToRelative(0.006f, 0.0f, 0.076f, 0.035f, 0.154f, 0.078f)
                curveToRelative(0.079f, 0.044f, 0.205f, 0.122f, 0.28f, 0.176f)
                lineToRelative(0.14f, 0.098f)
                lineToRelative(-0.07f, 0.074f)
                curveToRelative(-0.255f, 0.294f, -0.283f, 0.767f, -0.076f, 1.287f)
                curveToRelative(0.043f, 0.107f, 0.062f, 0.18f, 0.047f, 0.18f)
                curveToRelative(-0.042f, 0.0f, -0.322f, -0.142f, -0.405f, -0.203f)
                curveToRelative(-0.165f, -0.124f, -0.372f, -0.354f, -0.435f, -0.48f)
                arcToRelative(0.513f, 0.513f, 0.0f, false, true, -0.065f, -0.294f)
                curveToRelative(0.002f, -0.348f, 0.113f, -0.642f, 0.31f, -0.82f)
                arcToRelative(0.848f, 0.848f, 0.0f, false, true, 0.12f, -0.096f)
                close()
                moveTo(1.135f, 12.539f)
                curveToRelative(0.008f, 0.009f, 0.045f, 0.09f, 0.082f, 0.182f)
                curveToRelative(0.128f, 0.309f, 0.28f, 0.504f, 0.469f, 0.6f)
                curveToRelative(0.145f, 0.073f, 0.443f, 0.145f, 0.785f, 0.189f)
                curveToRelative(0.5f, 0.065f, 0.715f, 0.104f, 0.883f, 0.158f)
                curveToRelative(0.29f, 0.09f, 0.783f, 0.06f, 1.18f, -0.076f)
                curveToRelative(0.069f, -0.024f, 0.124f, -0.036f, 0.124f, -0.026f)
                curveToRelative(0.0f, 0.04f, -0.241f, 0.237f, -0.383f, 0.31f)
                curveToRelative(-0.463f, 0.245f, -1.168f, 0.33f, -1.656f, 0.21f)
                curveToRelative(-0.11f, -0.028f, -0.194f, -0.044f, -0.19f, -0.035f)
                curveToRelative(0.02f, 0.03f, 0.617f, 0.213f, 0.817f, 0.248f)
                curveToRelative(0.194f, 0.033f, 0.442f, 0.033f, 0.586f, -0.002f)
                curveToRelative(0.04f, -0.011f, 0.034f, 0.0f, -0.033f, 0.043f)
                arcToRelative(3.1f, 3.1f, 0.0f, false, true, -1.145f, 0.424f)
                arcToRelative(8.498f, 8.498f, 0.0f, false, false, -0.472f, 0.09f)
                curveToRelative(-0.242f, 0.054f, -0.338f, 0.048f, -0.623f, -0.047f)
                curveToRelative(-0.35f, -0.116f, -0.66f, -0.325f, -1.041f, -0.695f)
                lineToRelative(-0.225f, -0.215f)
                lineToRelative(0.186f, -0.19f)
                curveToRelative(0.35f, -0.367f, 0.4f, -0.447f, 0.558f, -0.93f)
                curveToRelative(0.046f, -0.14f, 0.09f, -0.248f, 0.098f, -0.24f)
                close()
                moveTo(5.473f, 12.713f)
                curveToRelative(0.02f, -0.015f, 0.044f, -0.001f, 0.127f, 0.066f)
                curveToRelative(0.034f, 0.029f, 0.034f, 0.038f, 0.005f, 0.106f)
                arcToRelative(7.0f, 7.0f, 0.0f, false, false, -0.22f, 0.812f)
                curveToRelative(-0.052f, 0.244f, -0.06f, 0.32f, -0.063f, 0.71f)
                curveToRelative(0.0f, 0.239f, 0.01f, 0.496f, 0.018f, 0.57f)
                lineToRelative(0.017f, 0.134f)
                lineToRelative(-0.125f, 0.063f)
                curveToRelative(-0.07f, 0.037f, -0.17f, 0.078f, -0.224f, 0.094f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, false, -0.153f, 0.064f)
                curveToRelative(-0.06f, 0.044f, -0.152f, 0.075f, -0.152f, 0.053f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, true, 0.04f, -0.072f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, 0.064f, -0.123f)
                curveToRelative(0.024f, -0.068f, 0.148f, -0.371f, 0.26f, -0.64f)
                arcToRelative(0.977f, 0.977f, 0.0f, false, false, 0.06f, -0.155f)
                curveToRelative(-0.002f, 0.0f, -0.06f, 0.11f, -0.125f, 0.246f)
                curveToRelative(-0.155f, 0.313f, -0.36f, 0.622f, -0.484f, 0.722f)
                curveToRelative(-0.207f, 0.17f, -0.446f, 0.208f, -1.07f, 0.166f)
                curveToRelative(-0.69f, -0.045f, -0.91f, -0.088f, -1.366f, -0.254f)
                curveToRelative(-0.361f, -0.13f, -0.797f, -0.314f, -0.797f, -0.335f)
                curveToRelative(0.0f, -0.011f, 0.095f, 0.017f, 0.213f, 0.058f)
                curveToRelative(0.31f, 0.11f, 0.446f, 0.114f, 0.799f, 0.03f)
                curveToRelative(0.157f, -0.04f, 0.398f, -0.093f, 0.537f, -0.124f)
                arcToRelative(4.14f, 4.14f, 0.0f, false, false, 0.426f, -0.111f)
                curveToRelative(0.372f, -0.124f, 0.836f, -0.4f, 1.133f, -0.67f)
                curveToRelative(0.274f, -0.255f, 0.678f, -0.768f, 0.953f, -1.22f)
                curveToRelative(0.058f, -0.096f, 0.116f, -0.181f, 0.127f, -0.19f)
                close()
                moveTo(12.777f, 13.023f)
                curveToRelative(0.009f, 0.0f, 0.073f, 0.06f, 0.145f, 0.13f)
                curveToRelative(0.102f, 0.104f, 0.143f, 0.13f, 0.195f, 0.13f)
                curveToRelative(0.05f, 0.0f, 0.09f, 0.023f, 0.153f, 0.09f)
                curveToRelative(0.087f, 0.087f, 0.088f, 0.09f, 0.085f, 0.256f)
                curveToRelative(0.0f, 0.15f, -0.008f, 0.18f, -0.08f, 0.318f)
                curveToRelative(-0.143f, 0.272f, -0.125f, 0.26f, -0.441f, 0.272f)
                arcToRelative(3.808f, 3.808f, 0.0f, false, true, -0.416f, -0.01f)
                lineToRelative(-0.137f, -0.016f)
                lineToRelative(0.153f, -0.185f)
                curveToRelative(0.15f, -0.187f, 0.302f, -0.453f, 0.302f, -0.527f)
                curveToRelative(0.0f, -0.024f, -0.04f, -0.067f, -0.097f, -0.104f)
                curveToRelative(-0.055f, -0.033f, -0.098f, -0.067f, -0.098f, -0.078f)
                curveToRelative(0.0f, -0.01f, 0.054f, -0.016f, 0.12f, -0.016f)
                horizontalLineToRelative(0.126f)
                lineToRelative(-0.014f, -0.13f)
                curveToRelative(-0.006f, -0.071f, -0.004f, -0.13f, 0.004f, -0.13f)
                close()
                moveTo(13.529f, 13.763f)
                lineToRelative(0.059f, 0.06f)
                curveToRelative(0.033f, 0.034f, 0.128f, 0.162f, 0.213f, 0.288f)
                curveToRelative(0.148f, 0.22f, 0.153f, 0.23f, 0.105f, 0.246f)
                curveToRelative(-0.045f, 0.02f, -0.623f, 0.024f, -0.64f, 0.006f)
                arcToRelative(0.595f, 0.595f, 0.0f, false, true, 0.08f, -0.144f)
                arcToRelative(1.38f, 1.38f, 0.0f, false, false, 0.138f, -0.3f)
                lineToRelative(0.045f, -0.155f)
                close()
                moveTo(19.543f, 13.938f)
                curveToRelative(0.015f, 0.0f, 0.03f, 0.02f, 0.039f, 0.046f)
                curveToRelative(0.02f, 0.077f, 0.016f, 0.34f, -0.006f, 0.354f)
                curveToRelative(-0.01f, 0.006f, -0.027f, 0.066f, -0.033f, 0.129f)
                curveToRelative(-0.06f, 0.46f, -0.354f, 0.824f, -0.732f, 0.9f)
                lineToRelative(-0.075f, 0.014f)
                lineToRelative(0.05f, -0.074f)
                curveToRelative(0.09f, -0.133f, 0.179f, -0.343f, 0.196f, -0.45f)
                curveToRelative(0.013f, -0.104f, -0.003f, -0.378f, -0.03f, -0.42f)
                curveToRelative(-0.005f, -0.01f, -0.054f, -0.02f, -0.104f, -0.02f)
                horizontalLineToRelative(-0.092f)
                lineToRelative(0.11f, -0.071f)
                curveToRelative(0.317f, -0.205f, 0.655f, -0.408f, 0.677f, -0.408f)
                close()
                moveTo(19.766f, 14.125f)
                curveToRelative(0.02f, -0.022f, 0.21f, 0.0f, 0.394f, 0.043f)
                curveToRelative(0.214f, 0.05f, 0.214f, 0.05f, 0.166f, 0.188f)
                curveToRelative(-0.183f, 0.518f, -0.473f, 0.974f, -0.693f, 1.087f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, true, -0.414f, 0.047f)
                lineToRelative(-0.084f, -0.017f)
                lineToRelative(0.129f, -0.092f)
                curveToRelative(0.298f, -0.22f, 0.484f, -0.632f, 0.484f, -1.08f)
                curveToRelative(0.0f, -0.087f, 0.007f, -0.167f, 0.018f, -0.176f)
                close()
                moveTo(18.406f, 14.897f)
                curveToRelative(0.02f, 0.01f, 0.036f, 0.07f, 0.074f, 0.195f)
                curveToRelative(0.024f, 0.078f, 0.05f, 0.158f, 0.06f, 0.178f)
                curveToRelative(0.012f, 0.03f, -0.014f, 0.025f, -0.151f, -0.032f)
                curveToRelative(-0.092f, -0.037f, -0.166f, -0.075f, -0.166f, -0.086f)
                curveToRelative(0.0f, -0.01f, 0.04f, -0.08f, 0.09f, -0.154f)
                curveToRelative(0.05f, -0.074f, 0.074f, -0.112f, 0.093f, -0.101f)
                close()
                moveTo(16.34f, 16.272f)
                curveToRelative(-0.011f, 0.0f, -0.075f, 0.008f, -0.14f, 0.017f)
                curveToRelative(-0.256f, 0.035f, -0.508f, 0.14f, -0.684f, 0.29f)
                lineToRelative(-0.088f, 0.073f)
                lineToRelative(0.082f, 0.149f)
                curveToRelative(0.159f, 0.292f, 0.412f, 0.563f, 0.654f, 0.71f)
                curveToRelative(0.14f, 0.083f, 0.137f, 0.076f, 0.043f, 0.407f)
                curveToRelative(-0.094f, 0.324f, -0.09f, 0.32f, -0.271f, 0.365f)
                curveToRelative(-0.13f, 0.033f, -0.24f, 0.04f, -0.553f, 0.04f)
                horizontalLineToRelative(-0.393f)
                lineToRelative(-0.222f, -0.077f)
                curveToRelative(-0.45f, -0.16f, -0.726f, -0.37f, -0.983f, -0.756f)
                curveToRelative(-0.19f, -0.28f, -0.237f, -0.33f, -0.517f, -0.53f)
                curveToRelative(-0.273f, -0.191f, -0.295f, -0.23f, -0.188f, -0.317f)
                lineToRelative(0.059f, -0.047f)
                lineToRelative(-0.078f, -0.002f)
                arcToRelative(0.585f, 0.585f, 0.0f, false, false, -0.541f, 0.36f)
                curveToRelative(-0.048f, 0.13f, -0.057f, 0.293f, -0.022f, 0.36f)
                curveToRelative(0.035f, 0.064f, 0.05f, 0.053f, 0.106f, -0.076f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, true, 0.128f, -0.197f)
                curveToRelative(0.094f, -0.094f, 0.125f, -0.091f, 0.297f, 0.018f)
                curveToRelative(0.246f, 0.159f, 0.402f, 0.315f, 0.582f, 0.588f)
                curveToRelative(0.096f, 0.145f, 0.206f, 0.298f, 0.243f, 0.34f)
                curveToRelative(0.087f, 0.102f, 0.27f, 0.254f, 0.363f, 0.304f)
                curveToRelative(0.04f, 0.022f, 0.15f, 0.105f, 0.24f, 0.186f)
                curveToRelative(0.09f, 0.08f, 0.22f, 0.174f, 0.293f, 0.207f)
                curveToRelative(0.15f, 0.07f, 0.477f, 0.172f, 0.762f, 0.242f)
                curveToRelative(0.357f, 0.085f, 0.773f, 0.05f, 1.039f, -0.082f)
                lineToRelative(0.1f, -0.05f)
                lineToRelative(0.124f, 0.042f)
                curveToRelative(0.445f, 0.152f, 0.95f, 0.07f, 1.235f, -0.205f)
                curveToRelative(0.315f, -0.303f, 0.432f, -0.716f, 0.29f, -1.025f)
                curveToRelative(-0.051f, -0.118f, -0.212f, -0.315f, -0.255f, -0.315f)
                curveToRelative(-0.01f, 0.0f, 0.003f, 0.056f, 0.027f, 0.123f)
                curveToRelative(0.057f, 0.16f, 0.062f, 0.454f, 0.01f, 0.602f)
                arcToRelative(1.167f, 1.167f, 0.0f, false, true, -0.266f, 0.427f)
                arcToRelative(0.957f, 0.957f, 0.0f, false, true, -0.203f, 0.13f)
                curveToRelative(-0.11f, 0.052f, -0.143f, 0.056f, -0.38f, 0.056f)
                curveToRelative(-0.242f, -0.002f, -0.275f, -0.007f, -0.432f, -0.07f)
                arcToRelative(2.244f, 2.244f, 0.0f, false, true, -0.307f, -0.157f)
                lineToRelative(-0.137f, -0.091f)
                lineToRelative(0.05f, -0.135f)
                curveToRelative(0.028f, -0.074f, 0.07f, -0.23f, 0.099f, -0.346f)
                lineToRelative(0.049f, -0.21f)
                lineToRelative(0.13f, -0.05f)
                curveToRelative(0.414f, -0.148f, 0.69f, -0.38f, 0.803f, -0.675f)
                lineToRelative(0.043f, -0.116f)
                lineToRelative(-0.095f, -0.086f)
                arcToRelative(1.954f, 1.954f, 0.0f, false, false, -0.584f, -0.328f)
                curveToRelative(-0.14f, -0.045f, -0.44f, -0.102f, -0.512f, -0.093f)
                close()
            }
        }
        .build()
        return _katacoda!!
    }

private var _katacoda: ImageVector? = null
