package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.MaxPlanckGesellschaft: ImageVector
    get() {
        if (_maxPlanckGesellschaft != null) {
            return _maxPlanckGesellschaft!!
        }
        _maxPlanckGesellschaft = Builder(name = "MaxPlanckGesellschaft", defaultWidth = 24.0.dp,
                defaultHeight = 24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                arcToRelative(12.0f, 12.0f, 0.0f, true, false, 12.0f, 12.0f)
                arcTo(12.011f, 12.011f, 0.0f, false, false, 12.0f, 0.0f)
                close()
                moveTo(11.951f, 0.331f)
                arcTo(11.669f, 11.669f, 0.0f, false, true, 23.67f, 12.0f)
                arcTo(11.68f, 11.68f, 0.0f, false, true, 12.0f, 23.669f)
                arcTo(11.669f, 11.669f, 0.0f, false, true, 11.951f, 0.33f)
                close()
                moveTo(12.0f, 1.464f)
                arcTo(10.56f, 10.56f, 0.0f, false, false, 1.45f, 12.0f)
                curveToRelative(0.0f, 3.371f, 1.715f, 6.617f, 4.503f, 8.64f)
                arcToRelative(1.543f, 1.543f, 0.0f, false, false, 0.32f, 0.183f)
                arcToRelative(0.126f, 0.126f, 0.0f, false, false, 0.126f, -0.023f)
                lineToRelative(0.034f, -0.057f)
                arcToRelative(0.114f, 0.114f, 0.0f, false, false, 0.035f, -0.092f)
                curveToRelative(0.0f, -0.08f, -0.103f, -0.148f, -0.24f, -0.343f)
                arcToRelative(3.166f, 3.166f, 0.0f, false, true, -0.537f, -1.725f)
                arcToRelative(2.526f, 2.526f, 0.0f, false, true, 0.514f, -1.566f)
                curveToRelative(0.423f, 0.446f, 1.337f, 1.246f, 1.314f, 1.989f)
                curveToRelative(-0.023f, 0.743f, -0.789f, 0.777f, -0.617f, 1.394f)
                curveToRelative(0.103f, 0.389f, 0.389f, 0.229f, 0.446f, 0.526f)
                curveToRelative(0.08f, 0.503f, 0.765f, 0.834f, 1.062f, 0.788f)
                curveToRelative(0.08f, -0.011f, 0.138f, 0.046f, 0.275f, 0.194f)
                curveToRelative(0.137f, 0.15f, 0.708f, 0.183f, 0.937f, 0.138f)
                curveToRelative(0.228f, -0.046f, 0.468f, 0.16f, 0.914f, 0.103f)
                curveToRelative(0.446f, -0.057f, 0.697f, -0.103f, 0.937f, -0.103f)
                curveToRelative(0.24f, 0.0f, 2.572f, -0.035f, 4.115f, 0.205f)
                curveToRelative(0.274f, 0.046f, 0.354f, -0.08f, 0.24f, -0.285f)
                curveToRelative(-0.56f, -0.983f, -0.64f, -1.806f, -0.32f, -2.858f)
                curveToRelative(0.57f, 0.046f, 1.394f, 0.195f, 2.468f, -0.457f)
                arcToRelative(1.257f, 1.257f, 0.0f, false, false, 0.583f, -1.085f)
                curveToRelative(-0.011f, -0.24f, -0.114f, -0.537f, -0.057f, -0.766f)
                curveToRelative(0.057f, -0.229f, 0.148f, -0.308f, 0.24f, -0.366f)
                curveToRelative(0.411f, -0.297f, 0.114f, -0.525f, 0.046f, -0.548f)
                arcToRelative(0.389f, 0.389f, 0.0f, false, false, 0.125f, -0.526f)
                curveToRelative(-0.08f, -0.08f, -0.308f, -0.709f, -0.045f, -0.834f)
                curveToRelative(0.262f, -0.126f, 0.605f, -0.206f, 0.925f, -0.355f)
                arcToRelative(0.514f, 0.514f, 0.0f, false, false, 0.275f, -0.685f)
                arcToRelative(124.62f, 124.62f, 0.0f, false, false, -1.029f, -2.4f)
                curveToRelative(-0.16f, -0.355f, -0.057f, -0.583f, -0.103f, -0.835f)
                curveToRelative(-0.046f, -0.251f, -0.308f, -0.8f, -0.491f, -1.234f)
                curveToRelative(-0.08f, -0.194f, 0.434f, -0.148f, 0.046f, -0.868f)
                curveToRelative(0.0f, -0.023f, 0.537f, -0.229f, 0.0f, -0.629f)
                arcToRelative(3.017f, 3.017f, 0.0f, false, true, -0.686f, -0.766f)
                arcToRelative(0.114f, 0.114f, 0.0f, false, true, 0.0f, -0.148f)
                curveToRelative(0.308f, -0.274f, 0.32f, -0.663f, -0.012f, -0.857f)
                curveToRelative(-0.331f, -0.195f, -0.514f, 0.0f, -0.765f, 0.16f)
                curveToRelative(-0.08f, 0.057f, -0.126f, 0.09f, -0.218f, 0.057f)
                lineToRelative(-0.205f, -0.137f)
                curveToRelative(0.308f, -0.298f, 0.377f, -0.595f, 0.354f, -0.64f)
                curveToRelative(-0.023f, -0.046f, -0.526f, -0.149f, -1.166f, 0.114f)
                lineToRelative(-0.045f, -0.034f)
                curveToRelative(0.263f, -0.446f, 0.114f, -0.766f, 0.102f, -0.79f)
                horizontalLineToRelative(-0.011f)
                arcToRelative(9.257f, 9.257f, 0.0f, false, true, 1.417f, -1.519f)
                horizontalLineToRelative(0.012f)
                curveToRelative(0.022f, -0.034f, 0.034f, -0.069f, -0.023f, -0.103f)
                lineToRelative(-0.115f, -0.068f)
                arcTo(10.56f, 10.56f, 0.0f, false, false, 12.0f, 1.464f)
                close()
                moveTo(11.927f, 1.78f)
                arcToRelative(10.206f, 10.206f, 0.0f, false, true, 4.805f, 1.169f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, true, 0.012f, 0.08f)
                arcToRelative(11.12f, 11.12f, 0.0f, false, false, -1.166f, 1.302f)
                arcToRelative(8.354f, 8.354f, 0.0f, false, false, -3.577f, -0.8f)
                arcTo(8.491f, 8.491f, 0.0f, false, false, 3.531f, 12.0f)
                arcToRelative(8.24f, 8.24f, 0.0f, false, false, 2.046f, 5.508f)
                arcToRelative(2.64f, 2.64f, 0.0f, false, false, -0.217f, 1.075f)
                arcToRelative(2.926f, 2.926f, 0.0f, false, false, 0.377f, 1.451f)
                curveTo(3.268f, 18.07f, 1.783f, 15.097f, 1.783f, 12.0f)
                arcTo(10.206f, 10.206f, 0.0f, false, true, 11.926f, 1.78f)
                close()
                moveTo(12.207f, 2.046f)
                curveToRelative(-0.034f, 0.0f, -0.046f, 0.023f, -0.057f, 0.046f)
                lineToRelative(-0.103f, 1.142f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.046f, 0.046f)
                horizontalLineToRelative(0.125f)
                curveToRelative(0.023f, 0.011f, 0.046f, -0.011f, 0.046f, -0.034f)
                lineToRelative(0.114f, -1.143f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.046f, -0.057f)
                close()
                moveTo(10.521f, 2.157f)
                curveToRelative(-0.006f, 0.0f, -0.011f, 0.0f, -0.017f, 0.003f)
                horizontalLineToRelative(-0.137f)
                curveToRelative(-0.023f, 0.011f, -0.046f, 0.034f, -0.035f, 0.057f)
                lineToRelative(0.218f, 1.132f)
                curveToRelative(0.0f, 0.034f, 0.023f, 0.045f, 0.057f, 0.045f)
                lineToRelative(0.125f, -0.023f)
                curveToRelative(0.023f, 0.0f, 0.046f, -0.022f, 0.035f, -0.045f)
                lineToRelative(-0.217f, -1.132f)
                arcToRelative(0.038f, 0.038f, 0.0f, false, false, -0.03f, -0.037f)
                close()
                moveTo(14.035f, 2.263f)
                lineTo(13.59f, 3.36f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.034f, 0.069f)
                lineToRelative(0.126f, 0.034f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, 0.057f, -0.034f)
                lineToRelative(0.434f, -1.075f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.034f, -0.068f)
                lineToRelative(-0.137f, -0.023f)
                close()
                moveTo(8.722f, 2.603f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.013f, 0.003f)
                lineToRelative(-0.114f, 0.034f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.034f, 0.068f)
                lineToRelative(0.514f, 1.04f)
                lineToRelative(0.057f, 0.023f)
                lineToRelative(0.126f, -0.045f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.035f, -0.069f)
                lineTo(8.766f, 2.63f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.045f, -0.026f)
                close()
                moveTo(15.635f, 2.737f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.034f, 0.017f)
                lineToRelative(-0.743f, 0.949f)
                curveToRelative(-0.023f, 0.023f, -0.011f, 0.057f, 0.023f, 0.068f)
                lineToRelative(0.126f, 0.046f)
                curveToRelative(0.023f, 0.012f, 0.034f, 0.0f, 0.057f, -0.011f)
                lineToRelative(0.743f, -0.949f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.023f, -0.068f)
                lineToRelative(-0.126f, -0.046f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.023f, -0.006f)
                close()
                moveTo(7.043f, 3.376f)
                arcToRelative(0.028f, 0.028f, 0.0f, false, false, -0.025f, 0.007f)
                lineToRelative(-0.114f, 0.068f)
                curveToRelative(-0.034f, 0.012f, -0.034f, 0.046f, -0.011f, 0.07f)
                lineToRelative(0.765f, 0.879f)
                curveToRelative(0.012f, 0.023f, 0.034f, 0.023f, 0.057f, 0.011f)
                lineToRelative(0.115f, -0.068f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.011f, -0.069f)
                lineToRelative(-0.766f, -0.88f)
                arcToRelative(0.06f, 0.06f, 0.0f, false, false, -0.032f, -0.018f)
                close()
                moveTo(11.973f, 3.874f)
                arcToRelative(8.137f, 8.137f, 0.0f, false, true, 0.028f, 0.0f)
                arcToRelative(8.011f, 8.011f, 0.0f, false, true, 3.383f, 0.732f)
                arcToRelative(2.583f, 2.583f, 0.0f, false, false, -0.469f, 0.297f)
                arcTo(7.211f, 7.211f, 0.0f, false, false, 12.0f, 4.32f)
                arcTo(7.691f, 7.691f, 0.0f, false, false, 4.32f, 12.0f)
                curveToRelative(0.0f, 1.84f, 0.571f, 3.451f, 1.691f, 4.8f)
                curveToRelative(-0.057f, 0.103f, -0.148f, 0.24f, -0.251f, 0.4f)
                horizontalLineToRelative(-0.011f)
                arcTo(7.909f, 7.909f, 0.0f, false, true, 3.874f, 12.0f)
                arcToRelative(8.137f, 8.137f, 0.0f, false, true, 8.098f, -8.126f)
                close()
                moveTo(5.463f, 4.492f)
                lineToRelative(-0.102f, 0.09f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, 0.0f, 0.08f)
                lineToRelative(0.971f, 0.675f)
                curveToRelative(0.023f, 0.011f, 0.046f, 0.012f, 0.058f, -0.011f)
                lineToRelative(0.103f, -0.08f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, 0.0f, -0.08f)
                lineToRelative(-0.972f, -0.674f)
                close()
                moveTo(15.64f, 4.683f)
                curveToRelative(0.008f, 0.0f, 0.014f, 0.0f, 0.018f, 0.003f)
                curveToRelative(0.069f, 0.034f, -0.091f, 0.64f, -0.446f, 0.983f)
                curveToRelative(-0.354f, 0.342f, -0.925f, 0.708f, -0.982f, 0.697f)
                curveToRelative(-0.058f, -0.012f, 0.194f, -0.674f, 0.491f, -1.017f)
                curveToRelative(0.3f, -0.365f, 0.8f, -0.659f, 0.919f, -0.666f)
                close()
                moveTo(12.024f, 4.708f)
                arcToRelative(6.491f, 6.491f, 0.0f, false, true, 2.56f, 0.526f)
                arcToRelative(3.577f, 3.577f, 0.0f, false, false, -0.423f, 0.755f)
                curveToRelative(0.0f, -0.218f, -0.057f, -0.389f, -0.046f, -0.526f)
                curveToRelative(0.012f, -0.137f, -0.582f, 0.103f, -1.108f, 0.948f)
                arcToRelative(2.274f, 2.274f, 0.0f, false, false, -0.252f, 0.606f)
                curveToRelative(-0.011f, -0.32f, -0.08f, -0.56f, -0.103f, -0.56f)
                arcToRelative(1.84f, 1.84f, 0.0f, false, false, -0.971f, 1.006f)
                arcToRelative(2.56f, 2.56f, 0.0f, false, false, -0.126f, 0.388f)
                curveToRelative(-0.023f, -0.217f, -0.08f, -0.365f, -0.103f, -0.365f)
                curveToRelative(-0.023f, 0.0f, -0.674f, 0.263f, -0.982f, 1.017f)
                arcToRelative(1.76f, 1.76f, 0.0f, false, false, -0.126f, 0.526f)
                curveToRelative(-0.057f, -0.263f, -0.16f, -0.423f, -0.194f, -0.389f)
                curveToRelative(-0.217f, 0.274f, -0.652f, 0.4f, -0.87f, 1.097f)
                arcToRelative(1.509f, 1.509f, 0.0f, false, false, -0.079f, 0.48f)
                curveToRelative(-0.091f, -0.228f, -0.229f, -0.366f, -0.263f, -0.366f)
                reflectiveCurveToRelative(-0.697f, 0.629f, -0.8f, 1.246f)
                arcToRelative(1.806f, 1.806f, 0.0f, false, false, 0.023f, 0.663f)
                curveToRelative(-0.126f, -0.206f, -0.286f, -0.343f, -0.354f, -0.549f)
                curveToRelative(-0.103f, 0.058f, -0.652f, 0.572f, -0.663f, 1.223f)
                arcToRelative(2.251f, 2.251f, 0.0f, false, false, 0.08f, 0.697f)
                curveToRelative(-0.183f, -0.331f, -0.434f, -0.48f, -0.469f, -0.468f)
                curveToRelative(-0.034f, 0.011f, -0.457f, 0.468f, -0.548f, 1.268f)
                arcToRelative(1.349f, 1.349f, 0.0f, false, false, 0.045f, 0.526f)
                curveToRelative(-0.171f, -0.194f, -0.32f, -0.297f, -0.33f, -0.286f)
                arcToRelative(2.56f, 2.56f, 0.0f, false, false, -0.413f, 1.018f)
                arcTo(7.474f, 7.474f, 0.0f, false, true, 4.651f, 12.0f)
                curveToRelative(-0.16f, -4.046f, 3.235f, -7.303f, 7.372f, -7.292f)
                close()
                moveTo(16.595f, 5.326f)
                arcToRelative(2.023f, 2.023f, 0.0f, false, true, 0.035f, 0.0f)
                curveToRelative(0.091f, 0.011f, -0.218f, 0.548f, -0.755f, 0.777f)
                curveToRelative(-0.537f, 0.228f, -0.971f, 0.285f, -1.017f, 0.263f)
                curveToRelative(-0.046f, -0.023f, 0.469f, -0.663f, 0.914f, -0.858f)
                arcToRelative(2.023f, 2.023f, 0.0f, false, true, 0.823f, -0.182f)
                close()
                moveTo(13.952f, 5.642f)
                curveToRelative(0.003f, 0.0f, 0.004f, 0.0f, 0.003f, 0.004f)
                curveToRelative(-0.011f, 0.045f, 0.24f, 0.754f, -0.297f, 1.188f)
                arcToRelative(2.4f, 2.4f, 0.0f, false, false, -0.64f, 0.732f)
                curveToRelative(-0.057f, 0.102f, -0.217f, -0.572f, 0.194f, -1.212f)
                curveToRelative(0.236f, -0.375f, 0.693f, -0.71f, 0.74f, -0.712f)
                close()
                moveTo(4.15f, 5.89f)
                arcToRelative(0.031f, 0.031f, 0.0f, false, false, -0.024f, 0.018f)
                lineToRelative(-0.08f, 0.103f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.023f, 0.08f)
                lineToRelative(1.12f, 0.435f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.045f, -0.023f)
                lineToRelative(0.092f, -0.103f)
                curveToRelative(0.023f, -0.023f, 0.011f, -0.057f, -0.023f, -0.069f)
                lineToRelative(-1.12f, -0.434f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.033f, -0.007f)
                close()
                moveTo(17.59f, 5.99f)
                curveToRelative(0.048f, 0.0f, 0.09f, 0.014f, 0.124f, 0.044f)
                curveToRelative(0.297f, 0.298f, -0.331f, 0.469f, -0.206f, 0.697f)
                arcToRelative(3.509f, 3.509f, 0.0f, false, false, 0.858f, 0.96f)
                curveToRelative(0.137f, 0.115f, 0.16f, 0.355f, -0.377f, 0.469f)
                curveToRelative(-0.538f, 0.114f, -2.697f, 0.674f, -3.84f, 1.886f)
                curveToRelative(-1.429f, 1.508f, -2.332f, 3.463f, -2.457f, 3.2f)
                curveToRelative(-0.126f, -0.263f, -0.412f, -0.32f, -0.366f, -0.4f)
                curveToRelative(2.045f, -3.52f, 5.257f, -6.298f, 6.011f, -6.766f)
                arcToRelative(0.468f, 0.468f, 0.0f, false, true, 0.254f, -0.09f)
                close()
                moveTo(16.251f, 6.103f)
                lineToRelative(0.183f, 0.126f)
                curveToRelative(0.115f, 0.068f, 0.16f, 0.09f, 0.103f, 0.137f)
                curveTo(13.943f, 8.57f, 12.0f, 11.372f, 11.154f, 12.72f)
                curveToRelative(-0.023f, 0.046f, -0.068f, 0.034f, -0.148f, 0.034f)
                curveToRelative(-0.903f, -0.068f, -1.417f, 1.017f, -1.017f, 2.035f)
                curveToRelative(-0.046f, 0.205f, -0.48f, 0.605f, -0.515f, 0.628f)
                curveToRelative(-0.034f, 0.023f, -0.114f, 0.16f, 0.034f, 0.149f)
                curveToRelative(0.15f, -0.012f, 0.48f, -0.366f, 0.618f, -0.515f)
                curveToRelative(0.045f, 0.069f, 0.251f, 0.229f, 0.148f, 0.32f)
                arcToRelative(7.269f, 7.269f, 0.0f, false, true, -1.588f, 1.2f)
                curveToRelative(-0.297f, 0.138f, 0.48f, 0.24f, 1.794f, -0.948f)
                curveToRelative(0.08f, -0.069f, 0.171f, 0.274f, 0.286f, 0.423f)
                curveToRelative(-0.229f, 0.743f, 0.331f, 2.183f, 0.24f, 2.628f)
                arcToRelative(0.32f, 0.32f, 0.0f, false, true, -0.32f, 0.309f)
                curveToRelative(-1.303f, 0.034f, -1.429f, -0.034f, -2.092f, 0.16f)
                curveToRelative(-0.308f, 0.091f, -0.228f, 0.297f, -0.011f, 0.24f)
                curveToRelative(0.217f, -0.057f, 0.526f, -0.172f, 1.931f, -0.08f)
                curveToRelative(0.355f, 0.011f, 0.743f, -0.069f, 0.743f, -0.652f)
                reflectiveCurveToRelative(-0.411f, -2.102f, -0.274f, -2.32f)
                arcToRelative(0.789f, 0.789f, 0.0f, false, false, 0.4f, 0.16f)
                curveToRelative(-0.023f, 0.515f, 0.8f, 2.172f, 0.434f, 3.086f)
                curveToRelative(-0.137f, 0.343f, -0.731f, 0.309f, -1.76f, 0.206f)
                curveToRelative(-1.748f, -0.172f, -2.32f, 0.206f, -2.354f, 0.0f)
                curveToRelative(-0.034f, -0.229f, 0.183f, -0.446f, 0.183f, -0.937f)
                curveToRelative(0.0f, -0.492f, -0.755f, -1.44f, -1.269f, -1.977f)
                arcToRelative(2.229f, 2.229f, 0.0f, false, false, 0.903f, -0.218f)
                curveToRelative(0.754f, -0.354f, 0.903f, -1.154f, 0.926f, -1.188f)
                arcToRelative(1.257f, 1.257f, 0.0f, false, false, -0.435f, -0.046f)
                lineToRelative(0.092f, -0.046f)
                curveToRelative(0.731f, -0.4f, 0.925f, -1.257f, 0.891f, -1.268f)
                arcToRelative(1.943f, 1.943f, 0.0f, false, false, -0.457f, -0.034f)
                lineToRelative(0.229f, -0.08f)
                curveToRelative(0.777f, -0.309f, 0.994f, -1.177f, 0.971f, -1.212f)
                arcToRelative(1.84f, 1.84f, 0.0f, false, false, -0.4f, -0.046f)
                lineToRelative(0.217f, -0.091f)
                curveToRelative(0.709f, -0.354f, 0.96f, -1.154f, 0.926f, -1.177f)
                arcToRelative(1.2f, 1.2f, 0.0f, false, false, -0.377f, -0.046f)
                arcToRelative(2.709f, 2.709f, 0.0f, false, false, 0.514f, -0.171f)
                curveToRelative(0.766f, -0.332f, 1.017f, -1.063f, 0.983f, -1.097f)
                arcToRelative(1.246f, 1.246f, 0.0f, false, false, -0.343f, -0.057f)
                arcToRelative(3.943f, 3.943f, 0.0f, false, false, 0.503f, -0.15f)
                curveToRelative(0.754f, -0.25f, 1.051f, -0.97f, 1.006f, -0.982f)
                lineToRelative(-0.423f, -0.091f)
                arcToRelative(2.8f, 2.8f, 0.0f, false, false, 0.754f, -0.149f)
                curveToRelative(0.812f, -0.274f, 1.097f, -0.766f, 1.12f, -0.983f)
                arcToRelative(0.686f, 0.686f, 0.0f, false, false, -0.263f, -0.091f)
                arcToRelative(3.349f, 3.349f, 0.0f, false, false, 0.538f, -0.138f)
                curveToRelative(0.754f, -0.308f, 1.074f, -1.062f, 1.097f, -1.12f)
                arcToRelative(3.349f, 3.349f, 0.0f, false, false, 0.445f, -0.182f)
                close()
                moveTo(14.971f, 6.603f)
                arcToRelative(2.057f, 2.057f, 0.0f, false, true, 0.229f, 0.014f)
                curveToRelative(0.034f, 0.023f, -0.286f, 0.56f, -0.811f, 0.766f)
                curveToRelative(-0.526f, 0.206f, -1.006f, 0.217f, -1.075f, 0.171f)
                curveToRelative(-0.057f, -0.034f, 0.492f, -0.651f, 0.937f, -0.823f)
                arcToRelative(2.057f, 2.057f, 0.0f, false, true, 0.72f, -0.127f)
                close()
                moveTo(12.503f, 6.708f)
                curveToRelative(0.057f, -0.01f, 0.217f, 0.664f, 0.0f, 0.984f)
                curveToRelative(-0.389f, 0.582f, -0.412f, 0.377f, -0.834f, 0.948f)
                curveToRelative(-0.023f, 0.023f, -0.023f, -0.743f, 0.125f, -1.074f)
                curveToRelative(0.24f, -0.538f, 0.652f, -0.846f, 0.709f, -0.858f)
                close()
                moveTo(3.143f, 7.531f)
                lineToRelative(-0.057f, 0.023f)
                arcToRelative(0.617f, 0.617f, 0.0f, false, true, -0.057f, 0.126f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.034f, 0.069f)
                lineToRelative(1.2f, 0.171f)
                curveToRelative(0.023f, 0.0f, 0.045f, -0.011f, 0.045f, -0.034f)
                lineToRelative(0.07f, -0.115f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.035f, -0.068f)
                close()
                moveTo(13.432f, 7.764f)
                arcToRelative(1.874f, 1.874f, 0.0f, false, true, 0.476f, 0.065f)
                curveToRelative(0.058f, 0.022f, -0.32f, 0.571f, -0.88f, 0.742f)
                curveToRelative(-0.56f, 0.172f, -1.108f, 0.149f, -1.097f, 0.115f)
                curveToRelative(0.012f, -0.035f, 0.469f, -0.675f, 0.926f, -0.835f)
                arcToRelative(1.874f, 1.874f, 0.0f, false, true, 0.575f, -0.087f)
                close()
                moveTo(11.28f, 7.783f)
                curveToRelative(0.068f, -0.012f, 0.194f, 0.651f, -0.046f, 1.063f)
                curveToRelative(-0.194f, 0.343f, -0.377f, 0.263f, -0.708f, 0.765f)
                curveToRelative(-0.035f, 0.046f, -0.126f, -0.411f, 0.08f, -1.04f)
                arcToRelative(1.44f, 1.44f, 0.0f, false, true, 0.674f, -0.788f)
                close()
                moveTo(18.24f, 8.456f)
                curveToRelative(0.034f, 0.005f, 0.06f, 0.035f, 0.034f, 0.104f)
                curveToRelative(-0.114f, 0.331f, -1.04f, 0.629f, -0.994f, 0.4f)
                curveToRelative(0.046f, -0.229f, 0.0f, -0.251f, 0.069f, -0.263f)
                curveToRelative(0.068f, -0.011f, 0.4f, -0.126f, 0.857f, -0.24f)
                arcToRelative(0.085f, 0.085f, 0.0f, false, true, 0.035f, -0.001f)
                close()
                moveTo(16.872f, 8.773f)
                curveToRelative(0.03f, 0.0f, 0.05f, 0.004f, 0.054f, 0.016f)
                curveToRelative(0.034f, 0.091f, -0.206f, 0.685f, -0.537f, 0.8f)
                curveToRelative(-0.332f, 0.114f, -0.537f, 0.103f, -0.526f, 0.045f)
                arcToRelative(1.257f, 1.257f, 0.0f, false, false, 0.057f, -0.468f)
                curveToRelative(-0.02f, -0.12f, 0.739f, -0.389f, 0.952f, -0.393f)
                close()
                moveTo(18.158f, 8.96f)
                arcToRelative(0.091f, 0.091f, 0.0f, false, true, 0.093f, 0.069f)
                curveToRelative(0.423f, 1.017f, 0.595f, 1.291f, 0.56f, 1.805f)
                curveToRelative(-0.034f, 0.515f, 0.995f, 2.457f, 1.075f, 2.64f)
                curveToRelative(0.08f, 0.183f, 0.091f, 0.389f, 0.0f, 0.48f)
                curveToRelative(-0.377f, 0.332f, -0.949f, 0.355f, -1.178f, 0.56f)
                curveToRelative(-0.228f, 0.206f, -0.17f, 0.286f, -0.045f, 0.594f)
                curveToRelative(0.126f, 0.31f, 0.125f, 0.195f, -0.126f, 0.263f)
                curveToRelative(-0.251f, 0.069f, -0.468f, 0.663f, -1.006f, 0.56f)
                curveToRelative(-0.205f, -0.034f, -0.057f, 0.092f, 0.023f, 0.103f)
                curveToRelative(0.297f, 0.035f, 0.423f, -0.057f, 0.526f, -0.16f)
                curveToRelative(0.103f, -0.103f, 0.252f, -0.274f, 0.412f, -0.331f)
                curveToRelative(0.16f, -0.057f, 0.33f, -0.057f, 0.342f, 0.068f)
                curveToRelative(0.012f, 0.126f, -0.217f, 0.24f, -0.308f, 0.286f)
                curveToRelative(0.114f, 0.057f, 0.445f, 0.217f, 0.16f, 0.411f)
                curveToRelative(-0.286f, 0.195f, -0.526f, -0.057f, -0.56f, -0.08f)
                curveToRelative(-0.035f, -0.022f, -0.194f, -0.022f, -0.149f, 0.035f)
                curveToRelative(0.046f, 0.057f, 0.595f, 0.148f, 0.515f, 0.251f)
                curveToRelative(-0.4f, 0.537f, -0.07f, 0.858f, -0.195f, 1.406f)
                curveToRelative(-0.126f, 0.549f, -0.88f, 0.857f, -1.463f, 0.96f)
                curveToRelative(-1.988f, 0.354f, -3.92f, -1.326f, -5.051f, -2.606f)
                curveToRelative(0.103f, -0.24f, 0.091f, -0.548f, -0.012f, -0.434f)
                curveToRelative(-0.102f, 0.114f, -0.08f, 0.274f, -0.32f, 0.331f)
                curveToRelative(-0.445f, 0.115f, -0.65f, -0.674f, -0.788f, -0.81f)
                curveToRelative(-0.549f, -0.538f, -0.766f, -1.304f, -0.446f, -1.978f)
                curveToRelative(0.32f, -0.674f, 1.029f, -0.537f, 1.303f, -0.126f)
                curveToRelative(0.274f, 0.412f, 0.194f, 0.8f, 0.388f, 0.949f)
                curveToRelative(0.195f, 0.148f, 0.55f, 0.023f, 0.618f, 0.0f)
                curveToRelative(0.068f, -0.023f, 0.194f, 0.491f, 0.914f, 0.468f)
                curveToRelative(0.72f, -0.023f, 0.674f, -1.222f, 0.789f, -1.325f)
                curveToRelative(0.982f, -0.96f, 0.48f, -1.818f, 0.297f, -2.012f)
                curveToRelative(-0.183f, -0.194f, 0.114f, -0.411f, 0.171f, -0.423f)
                arcToRelative(1.486f, 1.486f, 0.0f, false, false, 1.074f, -0.88f)
                reflectiveCurveToRelative(0.96f, -0.023f, 1.303f, -0.708f)
                curveToRelative(0.092f, -0.183f, 0.378f, 0.171f, 1.018f, -0.332f)
                arcToRelative(0.091f, 0.091f, 0.0f, false, true, 0.066f, -0.034f)
                close()
                moveTo(10.073f, 8.975f)
                curveToRelative(0.13f, -0.046f, 0.188f, 0.654f, -0.016f, 1.094f)
                curveToRelative(-0.206f, 0.445f, -0.331f, 0.457f, -0.571f, 0.731f)
                curveToRelative(-0.035f, 0.046f, -0.206f, -0.423f, -0.046f, -1.006f)
                curveToRelative(0.16f, -0.583f, 0.457f, -0.64f, 0.606f, -0.8f)
                arcToRelative(0.07f, 0.07f, 0.0f, false, true, 0.027f, -0.02f)
                close()
                moveTo(11.893f, 9.002f)
                curveToRelative(0.247f, 0.007f, 0.444f, 0.077f, 0.53f, 0.084f)
                curveToRelative(0.137f, 0.011f, -0.149f, 0.514f, -0.754f, 0.731f)
                curveToRelative(-0.606f, 0.217f, -1.029f, 0.206f, -1.109f, 0.172f)
                curveToRelative(-0.023f, -0.023f, 0.389f, -0.72f, 0.846f, -0.903f)
                arcToRelative(1.21f, 1.21f, 0.0f, false, true, 0.486f, -0.084f)
                close()
                moveTo(3.673f, 9.222f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.004f, 0.0f)
                lineToRelative(-1.235f, 0.115f)
                lineToRelative(-0.045f, 0.034f)
                lineToRelative(-0.035f, 0.137f)
                curveToRelative(0.0f, 0.035f, 0.023f, 0.07f, 0.057f, 0.058f)
                lineToRelative(1.223f, -0.115f)
                arcToRelative(0.034f, 0.034f, 0.0f, false, false, 0.035f, -0.034f)
                arcToRelative(0.869f, 0.869f, 0.0f, false, false, 0.045f, -0.125f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.04f, -0.07f)
                close()
                moveTo(15.479f, 9.425f)
                curveToRelative(0.032f, 0.003f, 0.044f, 0.032f, 0.052f, 0.083f)
                arcToRelative(1.211f, 1.211f, 0.0f, false, true, -0.297f, 0.858f)
                curveToRelative(-0.262f, 0.285f, -0.525f, 0.263f, -0.663f, 0.297f)
                curveToRelative(-0.137f, 0.034f, -0.091f, 0.263f, -0.274f, 0.388f)
                curveToRelative(-0.251f, 0.172f, -0.606f, -0.057f, -0.537f, -0.16f)
                arcToRelative(4.994f, 4.994f, 0.0f, false, true, 1.314f, -1.257f)
                curveToRelative(0.243f, -0.15f, 0.352f, -0.215f, 0.405f, -0.21f)
                close()
                moveTo(8.857f, 10.149f)
                curveToRelative(0.092f, 0.0f, 0.24f, 0.365f, 0.24f, 0.674f)
                arcToRelative(1.177f, 1.177f, 0.0f, false, true, -0.046f, 0.343f)
                curveToRelative(-0.148f, 0.491f, -0.445f, 0.708f, -0.605f, 0.926f)
                arcToRelative(1.794f, 1.794f, 0.0f, false, true, -0.183f, -0.663f)
                arcToRelative(1.737f, 1.737f, 0.0f, false, true, 0.594f, -1.28f)
                close()
                moveTo(10.963f, 10.253f)
                arcToRelative(1.783f, 1.783f, 0.0f, false, true, 0.294f, 0.021f)
                curveToRelative(0.034f, 0.035f, -0.217f, 0.629f, -0.743f, 0.857f)
                arcToRelative(2.766f, 2.766f, 0.0f, false, true, -1.177f, 0.206f)
                curveToRelative(-0.034f, -0.023f, 0.503f, -0.731f, 0.96f, -0.948f)
                arcToRelative(1.783f, 1.783f, 0.0f, false, true, 0.665f, -0.136f)
                close()
                moveTo(17.577f, 10.286f)
                curveToRelative(-0.56f, 0.023f, -1.211f, 0.708f, -1.417f, 0.8f)
                curveToRelative(-0.206f, 0.091f, -0.149f, 0.171f, -0.023f, 0.125f)
                curveToRelative(0.126f, -0.045f, 0.674f, -0.537f, 1.223f, -0.731f)
                curveToRelative(0.549f, -0.194f, 0.411f, 0.206f, 0.571f, 0.183f)
                curveToRelative(0.16f, -0.023f, -0.034f, -0.389f, -0.354f, -0.377f)
                close()
                moveTo(3.315f, 10.83f)
                arcToRelative(0.07f, 0.07f, 0.0f, false, false, -0.023f, 0.004f)
                lineToRelative(-1.19f, 0.412f)
                curveToRelative(-0.022f, 0.011f, -0.033f, 0.023f, -0.033f, 0.045f)
                curveToRelative(0.0f, 0.023f, -0.012f, 0.092f, -0.012f, 0.138f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.069f, 0.045f)
                lineToRelative(1.177f, -0.411f)
                arcToRelative(0.034f, 0.034f, 0.0f, false, false, 0.034f, -0.034f)
                curveToRelative(0.0f, -0.046f, 0.012f, -0.103f, 0.012f, -0.15f)
                curveToRelative(0.0f, -0.033f, -0.013f, -0.048f, -0.034f, -0.049f)
                close()
                moveTo(17.703f, 10.834f)
                curveToRelative(-0.046f, 0.012f, 0.045f, 0.252f, -0.195f, 0.263f)
                curveToRelative(-0.525f, 0.034f, -0.948f, 0.537f, -1.268f, 0.686f)
                arcToRelative(1.474f, 1.474f, 0.0f, false, true, -0.434f, 0.16f)
                arcToRelative(0.035f, 0.035f, 0.0f, false, false, 0.011f, 0.068f)
                curveToRelative(1.337f, 0.183f, 1.851f, 0.126f, 1.863f, 0.08f)
                curveToRelative(0.011f, -0.045f, -0.068f, -0.137f, -0.046f, -0.194f)
                arcToRelative(1.291f, 1.291f, 0.0f, false, false, 0.012f, -0.629f)
                curveToRelative(-0.023f, -0.09f, 0.205f, -0.034f, 0.205f, -0.148f)
                curveToRelative(0.0f, -0.114f, -0.068f, -0.297f, -0.148f, -0.286f)
                close()
                moveTo(17.406f, 11.371f)
                arcToRelative(0.091f, 0.091f, 0.0f, false, true, 0.091f, 0.069f)
                arcToRelative(1.211f, 1.211f, 0.0f, false, true, 0.0f, 0.457f)
                curveToRelative(-0.023f, 0.103f, -0.628f, 0.057f, -0.948f, 0.023f)
                curveToRelative(-0.08f, 0.0f, -0.206f, -0.011f, 0.034f, -0.16f)
                reflectiveCurveToRelative(0.469f, -0.32f, 0.823f, -0.389f)
                close()
                moveTo(13.558f, 11.374f)
                curveToRelative(0.121f, 0.01f, 0.24f, 0.169f, 0.248f, 0.34f)
                curveToRelative(0.034f, 0.412f, -0.206f, 0.64f, -0.446f, 0.823f)
                curveToRelative(-0.24f, 0.183f, -0.354f, 0.503f, -0.297f, 0.583f)
                arcToRelative(0.171f, 0.171f, 0.0f, false, false, 0.217f, -0.103f)
                curveToRelative(0.171f, -0.377f, 0.686f, -0.56f, 0.766f, -0.766f)
                curveToRelative(0.08f, -0.205f, 0.034f, -0.503f, 0.023f, -0.64f)
                curveToRelative(-0.012f, -0.137f, 0.102f, -0.137f, 0.182f, -0.125f)
                curveToRelative(0.08f, 0.011f, 0.16f, 0.16f, 0.206f, 0.308f)
                curveToRelative(0.332f, 0.857f, -0.491f, 1.372f, -0.628f, 1.577f)
                curveToRelative(-0.138f, 0.206f, 0.125f, 0.789f, -0.229f, 1.006f)
                curveToRelative(-0.457f, 0.286f, -0.709f, -0.251f, -0.777f, -0.354f)
                arcToRelative(0.423f, 0.423f, 0.0f, false, true, -0.057f, -0.355f)
                curveToRelative(0.034f, -0.16f, 0.057f, -0.377f, -0.046f, -1.062f)
                curveToRelative(-0.046f, -0.309f, 0.571f, -1.052f, 0.72f, -1.189f)
                arcToRelative(0.151f, 0.151f, 0.0f, false, true, 0.118f, -0.043f)
                close()
                moveTo(7.703f, 11.543f)
                curveToRelative(0.057f, 0.205f, 0.423f, 0.365f, 0.423f, 0.743f)
                arcToRelative(1.703f, 1.703f, 0.0f, false, true, -0.583f, 1.234f)
                arcToRelative(2.023f, 2.023f, 0.0f, false, true, -0.251f, -0.869f)
                curveToRelative(-0.023f, -0.72f, 0.274f, -0.971f, 0.41f, -1.108f)
                close()
                moveTo(9.986f, 11.589f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, true, 0.197f, 0.011f)
                curveToRelative(0.034f, 0.011f, -0.206f, 0.617f, -0.709f, 0.869f)
                curveToRelative(-0.503f, 0.251f, -1.177f, 0.285f, -1.154f, 0.228f)
                curveToRelative(0.023f, -0.046f, 0.4f, -0.731f, 0.846f, -0.937f)
                arcToRelative(2.0f, 2.0f, 0.0f, false, true, 0.82f, -0.17f)
                close()
                moveTo(3.248f, 12.464f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.025f, 0.004f)
                lineToRelative(-1.074f, 0.72f)
                curveToRelative(-0.023f, 0.0f, -0.023f, 0.023f, -0.023f, 0.046f)
                reflectiveCurveToRelative(0.011f, 0.092f, 0.011f, 0.137f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, 0.08f, 0.035f)
                lineToRelative(1.075f, -0.709f)
                curveToRelative(0.01f, -0.011f, 0.022f, -0.023f, 0.01f, -0.034f)
                verticalLineToRelative(-0.149f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.054f, -0.05f)
                close()
                moveTo(12.443f, 12.902f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, true, 0.06f, 0.047f)
                curveToRelative(0.068f, 0.468f, 0.0f, 1.12f, -0.411f, 1.028f)
                curveToRelative(-0.115f, -0.023f, -0.16f, -0.24f, -0.138f, -0.331f)
                curveToRelative(0.023f, -0.092f, 0.355f, -0.595f, 0.457f, -0.732f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, true, 0.032f, -0.012f)
                close()
                moveTo(9.183f, 12.914f)
                arcToRelative(2.103f, 2.103f, 0.0f, false, true, 0.234f, 0.012f)
                curveToRelative(0.057f, 0.022f, -0.194f, 0.64f, -0.663f, 0.868f)
                curveToRelative(-0.468f, 0.229f, -0.743f, 0.103f, -1.223f, 0.252f)
                curveToRelative(0.035f, -0.172f, 0.343f, -0.743f, 0.812f, -0.949f)
                arcToRelative(2.103f, 2.103f, 0.0f, false, true, 0.84f, -0.183f)
                close()
                moveTo(6.743f, 13.006f)
                curveToRelative(0.206f, 0.103f, 0.446f, 0.388f, 0.468f, 0.937f)
                curveToRelative(0.023f, 0.548f, -0.365f, 0.994f, -0.525f, 1.074f)
                curveToRelative(-0.103f, -0.423f, -0.297f, -0.503f, -0.297f, -0.914f)
                arcToRelative(2.057f, 2.057f, 0.0f, false, true, 0.354f, -1.097f)
                close()
                moveTo(10.895f, 13.233f)
                curveToRelative(-0.347f, 0.016f, -0.568f, 0.511f, -0.518f, 1.041f)
                arcToRelative(0.914f, 0.914f, 0.0f, false, false, 0.583f, 0.812f)
                curveToRelative(0.263f, 0.091f, 0.069f, 0.457f, 0.423f, 0.457f)
                curveToRelative(0.16f, 0.0f, 0.194f, -0.24f, 0.103f, -0.275f)
                curveToRelative(-0.08f, -0.034f, -0.057f, 0.138f, -0.16f, 0.115f)
                curveToRelative(-0.103f, -0.023f, -0.023f, -0.149f, -0.206f, -0.343f)
                curveToRelative(-0.183f, -0.194f, -0.32f, -0.137f, -0.491f, -0.411f)
                curveToRelative(-0.172f, -0.275f, -0.035f, -1.372f, 0.354f, -1.235f)
                curveToRelative(0.388f, 0.137f, 0.183f, 0.572f, 0.114f, 0.914f)
                curveToRelative(-0.068f, 0.343f, 0.286f, 0.32f, 0.32f, 0.24f)
                curveToRelative(0.034f, -0.08f, -0.126f, -0.102f, -0.16f, -0.217f)
                curveToRelative(-0.034f, -0.114f, 0.4f, -0.868f, -0.206f, -1.074f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, false, -0.156f, -0.024f)
                close()
                moveTo(18.135f, 13.326f)
                arcToRelative(0.079f, 0.079f, 0.0f, false, false, -0.066f, 0.068f)
                arcToRelative(4.217f, 4.217f, 0.0f, false, true, -0.08f, 0.606f)
                curveToRelative(-0.046f, 0.206f, 0.137f, 0.457f, 0.411f, 0.308f)
                curveToRelative(0.274f, -0.148f, 0.549f, -0.33f, 0.834f, -0.388f)
                curveToRelative(0.069f, -0.011f, 0.08f, -0.114f, 0.012f, -0.114f)
                curveToRelative(-0.103f, 0.0f, -0.515f, 0.183f, -0.675f, 0.286f)
                curveToRelative(-0.16f, 0.102f, -0.502f, 0.308f, -0.48f, -0.092f)
                curveToRelative(0.012f, -0.149f, 0.103f, -0.503f, 0.103f, -0.606f)
                curveToRelative(0.0f, -0.051f, -0.028f, -0.071f, -0.058f, -0.068f)
                close()
                moveTo(3.495f, 14.098f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.032f, 0.016f)
                lineToRelative(-0.88f, 0.972f)
                curveToRelative(-0.012f, 0.011f, -0.023f, 0.034f, -0.012f, 0.045f)
                arcToRelative(0.625f, 0.625f, 0.0f, false, true, 0.046f, 0.138f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.08f, 0.023f)
                lineToRelative(0.869f, -0.96f)
                curveToRelative(0.011f, -0.012f, 0.011f, -0.023f, 0.011f, -0.046f)
                lineToRelative(-0.034f, -0.149f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, -0.047f, -0.039f)
                close()
                moveTo(8.471f, 14.247f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, true, 0.226f, 0.016f)
                curveToRelative(0.023f, 0.023f, -0.171f, 0.674f, -0.674f, 0.937f)
                reflectiveCurveToRelative(-1.086f, 0.309f, -1.143f, 0.24f)
                curveToRelative(-0.057f, -0.069f, 0.172f, -0.777f, 0.697f, -1.006f)
                curveToRelative(0.329f, -0.142f, 0.675f, -0.183f, 0.894f, -0.187f)
                close()
                moveTo(5.948f, 14.511f)
                curveToRelative(0.107f, 0.011f, 0.59f, 0.419f, 0.6f, 0.997f)
                arcToRelative(1.646f, 1.646f, 0.0f, false, true, -0.388f, 1.052f)
                curveToRelative(-0.149f, -0.137f, -0.469f, -0.491f, -0.503f, -0.949f)
                verticalLineToRelative(-0.068f)
                curveToRelative(0.0f, -0.492f, 0.217f, -0.983f, 0.274f, -1.029f)
                curveToRelative(0.004f, -0.003f, 0.01f, -0.004f, 0.017f, -0.003f)
                close()
                moveTo(7.933f, 15.581f)
                curveToRelative(0.133f, 0.003f, 0.217f, 0.018f, 0.204f, 0.03f)
                curveToRelative(-0.034f, 0.035f, -0.206f, 0.663f, -0.708f, 0.915f)
                arcToRelative(1.383f, 1.383f, 0.0f, false, true, -0.995f, 0.148f)
                curveToRelative(0.263f, -0.297f, 0.206f, -0.731f, 0.64f, -0.937f)
                curveToRelative(0.279f, -0.129f, 0.638f, -0.159f, 0.86f, -0.155f)
                close()
                moveTo(4.067f, 15.714f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.044f, 0.023f)
                lineToRelative(-0.617f, 1.177f)
                curveToRelative(-0.012f, 0.012f, 0.0f, 0.035f, 0.0f, 0.046f)
                lineToRelative(0.08f, 0.137f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.08f, -0.011f)
                lineToRelative(0.617f, -1.166f)
                curveToRelative(0.0f, -0.011f, 0.011f, -0.023f, 0.0f, -0.046f)
                lineToRelative(-0.069f, -0.137f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, false, -0.047f, -0.023f)
                close()
                moveTo(11.727f, 16.543f)
                curveToRelative(0.014f, 0.002f, 0.03f, 0.011f, 0.044f, 0.028f)
                curveToRelative(1.783f, 1.932f, 2.915f, 2.31f, 3.532f, 2.492f)
                curveToRelative(0.057f, 0.023f, 0.046f, 0.091f, 0.023f, 0.16f)
                curveToRelative(-0.286f, 1.005f, -0.435f, 1.406f, 0.0f, 2.503f)
                curveToRelative(0.057f, 0.148f, 0.103f, 0.262f, -0.023f, 0.24f)
                curveToRelative(-0.88f, -0.16f, -1.075f, -0.297f, -3.852f, -0.069f)
                curveToRelative(-0.194f, 0.023f, 0.069f, -0.388f, 0.035f, -0.663f)
                curveToRelative(0.251f, -0.034f, 0.663f, -0.148f, 0.743f, -0.56f)
                curveToRelative(0.08f, -0.411f, -0.24f, -0.868f, -0.206f, -0.937f)
                curveToRelative(0.4f, -0.766f, -0.023f, -1.611f, -0.354f, -3.04f)
                curveToRelative(-0.026f, -0.103f, 0.012f, -0.16f, 0.057f, -0.154f)
                close()
                moveTo(4.854f, 17.043f)
                curveToRelative(-0.017f, 0.003f, -0.031f, 0.014f, -0.031f, 0.031f)
                lineToRelative(-0.331f, 1.372f)
                curveToRelative(-0.012f, 0.023f, 0.0f, 0.034f, 0.0f, 0.046f)
                lineToRelative(0.114f, 0.114f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, false, 0.08f, -0.012f)
                lineToRelative(0.32f, -1.36f)
                curveToRelative(0.011f, -0.011f, 0.0f, -0.023f, 0.0f, -0.034f)
                lineToRelative(-0.103f, -0.137f)
                arcToRelative(0.049f, 0.049f, 0.0f, false, false, -0.049f, -0.02f)
                close()
                moveTo(7.343f, 19.894f)
                curveToRelative(0.056f, 0.007f, 0.111f, 0.04f, 0.154f, 0.083f)
                curveToRelative(0.114f, 0.115f, -0.08f, 0.32f, -0.103f, 0.492f)
                curveToRelative(-0.08f, 0.022f, -0.331f, 0.034f, -0.274f, -0.309f)
                curveToRelative(0.036f, -0.214f, 0.13f, -0.277f, 0.223f, -0.266f)
                close()
                moveTo(8.926f, 19.99f)
                curveToRelative(0.155f, -0.01f, 0.304f, 0.046f, 0.297f, 0.124f)
                curveToRelative(-0.035f, 0.492f, -0.24f, 1.052f, 0.137f, 1.612f)
                curveToRelative(0.149f, 0.217f, -0.594f, 0.251f, -0.731f, -0.32f)
                curveToRelative(-0.092f, -0.423f, -0.126f, -1.143f, 0.045f, -1.314f)
                arcToRelative(0.394f, 0.394f, 0.0f, false, true, 0.252f, -0.102f)
                close()
                moveTo(9.888f, 20.03f)
                curveToRelative(0.203f, -0.002f, 0.475f, 0.028f, 0.546f, 0.05f)
                curveToRelative(0.115f, 0.034f, -0.091f, 0.777f, 0.777f, 1.12f)
                curveToRelative(0.08f, 0.034f, -0.011f, 1.006f, -1.28f, 0.686f)
                curveToRelative(-0.182f, -0.046f, -0.685f, -0.846f, -0.274f, -1.806f)
                curveToRelative(0.013f, -0.034f, 0.11f, -0.048f, 0.23f, -0.05f)
                close()
                moveTo(11.826f, 20.048f)
                curveToRelative(0.23f, 0.031f, 0.238f, 0.746f, -0.112f, 0.866f)
                curveToRelative(-0.674f, 0.229f, -0.948f, -0.56f, -0.834f, -0.731f)
                curveToRelative(0.114f, -0.172f, 0.503f, 0.114f, 0.834f, -0.103f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, true, 0.112f, -0.032f)
                close()
                moveTo(8.046f, 20.121f)
                curveToRelative(0.128f, -0.004f, 0.245f, 0.022f, 0.251f, 0.085f)
                curveToRelative(0.012f, 0.126f, -0.126f, 0.617f, 0.034f, 1.165f)
                curveToRelative(-0.034f, 0.08f, -0.525f, 0.046f, -0.662f, -0.32f)
                curveToRelative(-0.069f, -0.308f, -0.046f, -0.72f, 0.057f, -0.834f)
                curveToRelative(0.051f, -0.057f, 0.191f, -0.091f, 0.32f, -0.096f)
                close()
            }
        }
        .build()
        return _maxPlanckGesellschaft!!
    }

private var _maxPlanckGesellschaft: ImageVector? = null
