package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Nasa: ImageVector
    get() {
        if (_nasa != null) {
            return _nasa!!
        }
        _nasa = Builder(name = "Nasa", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.344f, 13.598f)
                curveToRelative(0.075f, 0.281f, 0.195f, 0.39f, 0.407f, 0.39f)
                curveToRelative(0.22f, 0.0f, 0.335f, -0.132f, 0.335f, -0.39f)
                verticalLineTo(8.804f)
                horizontalLineToRelative(1.379f)
                verticalLineToRelative(4.794f)
                curveToRelative(0.0f, 0.675f, -0.088f, 0.968f, -0.43f, 1.31f)
                curveToRelative(-0.247f, 0.248f, -0.703f, 0.439f, -1.278f, 0.439f)
                curveToRelative(-0.464f, 0.0f, -0.909f, -0.154f, -1.192f, -0.438f)
                curveToRelative(-0.249f, -0.25f, -0.386f, -0.505f, -0.599f, -1.311f)
                lineToRelative(-0.846f, -3.196f)
                curveToRelative(-0.074f, -0.281f, -0.194f, -0.39f, -0.406f, -0.39f)
                curveToRelative(-0.22f, 0.0f, -0.336f, 0.132f, -0.336f, 0.39f)
                verticalLineToRelative(4.794f)
                horizontalLineTo(0.0f)
                verticalLineToRelative(-4.794f)
                curveToRelative(0.0f, -0.675f, 0.088f, -0.968f, 0.43f, -1.31f)
                curveToRelative(0.247f, -0.248f, 0.703f, -0.439f, 1.278f, -0.439f)
                curveToRelative(0.464f, 0.0f, 0.909f, 0.154f, 1.192f, 0.438f)
                curveToRelative(0.249f, 0.25f, 0.385f, 0.505f, 0.599f, 1.311f)
                close()
                moveTo(22.575f, 15.196f)
                lineToRelative(-1.591f, -4.98f)
                arcToRelative(0.415f, 0.415f, 0.0f, false, false, -0.06f, -0.132f)
                arcToRelative(0.226f, 0.226f, 0.0f, false, false, -0.186f, -0.082f)
                arcToRelative(0.226f, 0.226f, 0.0f, false, false, -0.185f, 0.082f)
                arcToRelative(0.414f, 0.414f, 0.0f, false, false, -0.06f, 0.132f)
                lineToRelative(-1.591f, 4.98f)
                horizontalLineToRelative(-1.425f)
                lineToRelative(1.739f, -5.44f)
                curveToRelative(0.09f, -0.283f, 0.22f, -0.524f, 0.384f, -0.684f)
                curveToRelative(0.282f, -0.275f, 0.614f, -0.419f, 1.138f, -0.419f)
                curveToRelative(0.525f, 0.0f, 0.857f, 0.144f, 1.139f, 0.42f)
                curveToRelative(0.164f, 0.16f, 0.294f, 0.4f, 0.384f, 0.683f)
                lineTo(24.0f, 15.196f)
                horizontalLineToRelative(-1.425f)
                close()
                moveTo(15.531f, 15.196f)
                curveToRelative(0.903f, 0.0f, 1.344f, -0.192f, 1.692f, -0.538f)
                curveToRelative(0.385f, -0.383f, 0.569f, -0.802f, 0.569f, -1.427f)
                curveToRelative(0.0f, -0.553f, -0.202f, -1.064f, -0.51f, -1.37f)
                curveToRelative(-0.403f, -0.4f, -0.903f, -0.527f, -1.719f, -0.527f)
                horizontalLineToRelative(-1.142f)
                curveToRelative(-0.436f, 0.0f, -0.61f, -0.053f, -0.748f, -0.188f)
                curveToRelative(-0.094f, -0.093f, -0.139f, -0.23f, -0.139f, -0.393f)
                curveToRelative(0.0f, -0.168f, 0.04f, -0.334f, 0.156f, -0.448f)
                curveToRelative(0.103f, -0.1f, 0.243f, -0.147f, 0.511f, -0.147f)
                horizontalLineToRelative(3.301f)
                verticalLineTo(8.804f)
                horizontalLineToRelative(-3.049f)
                curveToRelative(-0.903f, 0.0f, -1.343f, 0.192f, -1.691f, 0.538f)
                curveToRelative(-0.385f, 0.383f, -0.57f, 0.802f, -0.57f, 1.427f)
                curveToRelative(0.0f, 0.553f, 0.203f, 1.064f, 0.51f, 1.37f)
                curveToRelative(0.404f, 0.4f, 0.904f, 0.527f, 1.72f, 0.527f)
                horizontalLineToRelative(1.141f)
                curveToRelative(0.437f, 0.0f, 0.61f, 0.053f, 0.748f, 0.188f)
                curveToRelative(0.095f, 0.093f, 0.14f, 0.23f, 0.14f, 0.393f)
                curveToRelative(0.0f, 0.169f, -0.041f, 0.335f, -0.157f, 0.448f)
                curveToRelative(-0.102f, 0.1f, -0.242f, 0.147f, -0.51f, 0.147f)
                horizontalLineToRelative(-3.405f)
                lineToRelative(-1.306f, -4.086f)
                curveToRelative(-0.09f, -0.283f, -0.22f, -0.524f, -0.384f, -0.684f)
                curveToRelative(-0.282f, -0.275f, -0.615f, -0.419f, -1.139f, -0.419f)
                reflectiveCurveToRelative(-0.857f, 0.144f, -1.138f, 0.42f)
                curveToRelative(-0.165f, 0.16f, -0.294f, 0.4f, -0.385f, 0.683f)
                lineToRelative(-1.738f, 5.44f)
                horizontalLineToRelative(1.424f)
                lineToRelative(1.592f, -4.98f)
                arcToRelative(0.415f, 0.415f, 0.0f, false, true, 0.06f, -0.132f)
                arcToRelative(0.226f, 0.226f, 0.0f, false, true, 0.185f, -0.082f)
                curveToRelative(0.082f, 0.0f, 0.142f, 0.028f, 0.186f, 0.082f)
                arcToRelative(0.413f, 0.413f, 0.0f, false, true, 0.06f, 0.132f)
                lineToRelative(1.591f, 4.98f)
                horizontalLineToRelative(4.144f)
                close()
            }
        }
        .build()
        return _nasa!!
    }

private var _nasa: ImageVector? = null
