package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Norwegian: ImageVector
    get() {
        if (_norwegian != null) {
            return _norwegian!!
        }
        _norwegian = Builder(name = "Norwegian", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.6958f, 11.0552f)
                curveToRelative(-0.4325f, -0.2169f, -0.859f, -0.4105f, -1.3045f, -0.6303f)
                curveToRelative(0.0553f, -0.1311f, 0.0729f, -0.2447f, 0.0321f, -0.3742f)
                lineToRelative(-0.1936f, -0.2126f)
                lineToRelative(-0.2752f, 0.0452f)
                lineToRelative(-0.2839f, 0.15f)
                curveToRelative(-0.0366f, -0.0248f, -0.1802f, -0.0952f, -0.2285f, -0.1151f)
                lineToRelative(0.2096f, -0.1309f)
                curveToRelative(0.3495f, -0.2431f, 0.7134f, -0.4703f, 1.054f, -0.7381f)
                curveToRelative(0.3306f, -0.2533f, 0.6697f, -0.5067f, 0.8895f, -0.8575f)
                curveToRelative(0.0524f, -0.1034f, 0.1325f, -0.2169f, 0.1005f, -0.348f)
                lineToRelative(-0.0641f, -0.1121f)
                lineToRelative(-0.1062f, -0.0596f)
                lineToRelative(-0.2287f, -0.0903f)
                curveToRelative(-0.1961f, -0.0356f, -0.4086f, -0.0768f, -0.6128f, -0.07f)
                curveToRelative(-0.262f, 0.0132f, -0.5183f, 0.0656f, -0.773f, 0.1325f)
                curveToRelative(-0.3639f, 0.0975f, -0.7774f, 0.2839f, -1.2243f, 0.5212f)
                curveToRelative(-0.4746f, 0.2518f, -0.9158f, 0.5532f, -1.3598f, 0.8749f)
                curveToRelative(-0.067f, -0.0962f, -0.2038f, -0.198f, -0.3407f, -0.182f)
                curveToRelative(-0.2315f, 0.051f, -0.447f, 0.2315f, -0.626f, 0.3814f)
                curveToRelative(-0.0905f, -0.0112f, -0.2123f, -0.0457f, -0.3029f, -0.0568f)
                curveToRelative(-0.4032f, -0.0655f, -0.8298f, -0.1106f, -1.2258f, -0.1529f)
                curveToRelative(-0.3014f, -0.0495f, -0.6115f, -0.0873f, -0.9157f, -0.1178f)
                curveToRelative(-0.2591f, -0.0263f, -0.4513f, -0.07f, -0.6974f, -0.0568f)
                lineToRelative(-0.3086f, 0.1688f)
                lineToRelative(-0.2184f, 0.2025f)
                lineToRelative(0.0058f, 0.083f)
                curveToRelative(0.1544f, 0.0771f, 0.3276f, 0.0858f, 0.479f, 0.1498f)
                curveToRelative(0.4331f, 0.1063f, 0.6198f, 0.1637f, 1.1268f, 0.2825f)
                curveToRelative(0.2605f, 0.0611f, 0.3276f, 0.0873f, 0.594f, 0.1615f)
                curveToRelative(0.2649f, 0.1092f, 0.5226f, 0.2446f, 0.773f, 0.3581f)
                curveToRelative(-0.2581f, 0.1862f, -0.6244f, 0.4367f, -0.9201f, 0.6158f)
                lineToRelative(-0.2199f, 0.1034f)
                lineToRelative(-0.2198f, -0.0655f)
                curveToRelative(-0.3392f, -0.1485f, -0.5983f, -0.265f, -0.8996f, -0.3975f)
                lineToRelative(-0.2883f, 0.0758f)
                lineToRelative(-0.0917f, 0.0495f)
                lineToRelative(-0.0699f, 0.1064f)
                lineToRelative(0.0626f, 0.1295f)
                curveToRelative(0.1703f, 0.1761f, 0.3291f, 0.3508f, 0.5008f, 0.5212f)
                lineToRelative(-0.0073f, 0.0059f)
                curveToRelative(-0.1194f, -0.0175f, -0.2824f, -0.0335f, -0.4192f, -0.0467f)
                curveToRelative(-0.1369f, -0.0422f, -0.2985f, -0.0014f, -0.4164f, 0.0801f)
                lineToRelative(0.0146f, 0.1426f)
                curveToRelative(0.2925f, 0.1329f, 0.6685f, 0.1987f, 0.9724f, 0.3268f)
                curveToRelative(-5.325f, 2.3881f, -10.4741f, 3.4815f, -12.5049f, 3.2365f)
                curveToRelative(-1.8242f, -0.2198f, -1.6145f, -3.2508f, 1.2753f, -5.6704f)
                lineToRelative(-0.757f, 0.0015f)
                curveToRelative(-3.641f, 2.8811f, -4.8872f, 6.3881f, -2.341f, 6.9064f)
                curveToRelative(2.8282f, 0.5741f, 8.586f, -1.2302f, 14.5229f, -4.2179f)
                curveToRelative(0.1495f, 0.0589f, 0.2871f, -0.0412f, 0.4133f, -0.0688f)
                curveToRelative(0.3201f, 0.0788f, 0.6532f, 0.1774f, 0.9768f, 0.2489f)
                lineToRelative(0.1864f, -0.0596f)
                lineToRelative(0.0364f, -0.0524f)
                curveToRelative(-0.0495f, -0.1587f, -0.2038f, -0.2214f, -0.3072f, -0.348f)
                curveToRelative(0.3058f, -0.0903f, 0.6057f, -0.1965f, 0.9056f, -0.2985f)
                curveToRelative(0.4658f, -0.1601f, 0.8633f, -0.3537f, 1.2869f, -0.5459f)
                curveToRelative(0.2722f, 0.0306f, 0.5401f, 0.0394f, 0.8095f, 0.0452f)
                curveToRelative(0.2242f, 0.0102f, 0.4381f, 0.0f, 0.6566f, 0.0335f)
                curveToRelative(0.179f, 0.0058f, 0.3217f, 0.0334f, 0.5037f, 0.064f)
                curveToRelative(0.5126f, 0.0973f, 1.0251f, 0.186f, 1.5329f, 0.2985f)
                curveToRelative(0.1952f, 0.0495f, 0.364f, 0.0844f, 0.5562f, 0.1295f)
                curveToRelative(0.1864f, -0.0087f, 0.3319f, -0.1267f, 0.4906f, -0.2052f)
                lineTo(24.0f, 11.2153f)
                lineToRelative(-0.3042f, -0.1601f)
                close()
                moveTo(17.7593f, 10.8004f)
                curveToRelative(-0.3493f, 0.1849f, -0.7351f, 0.3989f, -1.2476f, 0.626f)
                curveToRelative(-0.1325f, 0.0597f, -0.2737f, 0.0947f, -0.4279f, 0.0655f)
                lineToRelative(-0.2127f, -0.0291f)
                curveToRelative(-0.2119f, -0.2186f, -0.449f, -0.4343f, -0.658f, -0.6595f)
                lineToRelative(0.1209f, -0.067f)
                horizontalLineToRelative(0.0465f)
                curveToRelative(0.3563f, 0.1553f, 0.6744f, 0.3307f, 1.0337f, 0.4834f)
                lineToRelative(0.3072f, -0.0859f)
                curveToRelative(0.4521f, -0.279f, 0.801f, -0.4989f, 1.2228f, -0.7657f)
                curveToRelative(0.1427f, 0.0582f, 0.2053f, 0.0873f, 0.3422f, 0.1426f)
                curveToRelative(-0.1791f, 0.1063f, -0.3567f, 0.198f, -0.5271f, 0.2897f)
                close()
                moveTo(18.5334f, 9.7838f)
                lineToRelative(-0.0773f, -0.1325f)
                lineToRelative(0.019f, -0.2664f)
                lineToRelative(0.0539f, -0.0466f)
                curveToRelative(0.0755f, -0.0582f, 0.2389f, -0.1644f, 0.3245f, -0.2053f)
                lineToRelative(0.0146f, 0.2563f)
                lineToRelative(0.0698f, 0.1296f)
                curveToRelative(-0.1367f, 0.0873f, -0.2662f, 0.1892f, -0.4045f, 0.2649f)
                close()
                moveTo(20.5692f, 8.9539f)
                curveToRelative(-0.1499f, 0.0961f, -0.4643f, 0.3567f, -0.4731f, 0.3684f)
                curveToRelative(-0.2388f, -0.0292f, -0.463f, -0.0349f, -0.6901f, -0.0597f)
                lineToRelative(0.0465f, -0.0248f)
                curveToRelative(0.3029f, -0.2475f, 0.5708f, -0.4076f, 0.9071f, -0.6129f)
                curveToRelative(0.2983f, -0.1806f, 0.7395f, -0.4164f, 1.1035f, -0.5707f)
                curveToRelative(0.3276f, -0.1267f, 0.6609f, -0.2315f, 1.0176f, -0.2838f)
                curveToRelative(0.198f, -0.0291f, 0.3945f, -0.0452f, 0.5926f, 0.0188f)
                curveToRelative(-0.2169f, 0.048f, -0.348f, 0.0859f, -0.5824f, 0.1835f)
                curveToRelative(-0.2038f, 0.0844f, -0.5284f, 0.2154f, -0.7905f, 0.3436f)
                curveToRelative(-0.3872f, 0.1936f, -0.7118f, 0.3697f, -1.1312f, 0.6376f)
                close()
            }
        }
        .build()
        return _norwegian!!
    }

private var _norwegian: ImageVector? = null
