package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Opengl: ImageVector
    get() {
        if (_opengl != null) {
            return _opengl!!
        }
        _opengl = Builder(name = "Opengl", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.921f, 11.382f)
                verticalLineToRelative(0.376f)
                horizontalLineToRelative(0.009f)
                arcToRelative(0.696f, 0.696f, 0.0f, false, true, 0.362f, -0.336f)
                curveToRelative(0.165f, -0.07f, 0.346f, -0.105f, 0.543f, -0.105f)
                curveToRelative(0.219f, 0.0f, 0.411f, 0.039f, 0.574f, 0.118f)
                curveToRelative(0.163f, 0.079f, 0.298f, 0.185f, 0.406f, 0.319f)
                arcToRelative(1.4f, 1.4f, 0.0f, false, true, 0.244f, 0.464f)
                curveToRelative(0.055f, 0.175f, 0.082f, 0.361f, 0.082f, 0.558f)
                curveToRelative(0.0f, 0.197f, -0.027f, 0.383f, -0.08f, 0.558f)
                arcToRelative(1.325f, 1.325f, 0.0f, false, true, -0.241f, 0.459f)
                arcToRelative(1.126f, 1.126f, 0.0f, false, true, -0.406f, 0.308f)
                arcToRelative(1.345f, 1.345f, 0.0f, false, true, -0.568f, 0.113f)
                arcToRelative(1.457f, 1.457f, 0.0f, false, true, -0.488f, -0.091f)
                arcToRelative(0.984f, 0.984f, 0.0f, false, true, -0.239f, -0.132f)
                arcToRelative(0.722f, 0.722f, 0.0f, false, true, -0.189f, -0.207f)
                horizontalLineToRelative(-0.009f)
                verticalLineToRelative(1.432f)
                lineTo(7.45f, 15.216f)
                verticalLineToRelative(-3.835f)
                horizontalLineToRelative(0.471f)
                close()
                moveTo(9.592f, 12.368f)
                arcToRelative(1.01f, 1.01f, 0.0f, false, false, -0.159f, -0.33f)
                arcToRelative(0.78f, 0.78f, 0.0f, false, false, -0.274f, -0.231f)
                arcToRelative(0.849f, 0.849f, 0.0f, false, false, -0.392f, -0.086f)
                curveToRelative(-0.157f, 0.0f, -0.29f, 0.03f, -0.4f, 0.091f)
                arcToRelative(0.783f, 0.783f, 0.0f, false, false, -0.268f, 0.239f)
                arcToRelative(0.992f, 0.992f, 0.0f, false, false, -0.151f, 0.335f)
                arcToRelative(1.577f, 1.577f, 0.0f, false, false, 0.003f, 0.775f)
                arcToRelative(0.966f, 0.966f, 0.0f, false, false, 0.156f, 0.335f)
                arcToRelative(0.785f, 0.785f, 0.0f, false, false, 0.276f, 0.233f)
                curveToRelative(0.113f, 0.059f, 0.25f, 0.088f, 0.411f, 0.088f)
                curveToRelative(0.161f, 0.0f, 0.295f, -0.03f, 0.402f, -0.091f)
                arcToRelative(0.744f, 0.744f, 0.0f, false, false, 0.26f, -0.241f)
                curveToRelative(0.066f, -0.1f, 0.113f, -0.214f, 0.142f, -0.343f)
                curveToRelative(0.029f, -0.129f, 0.044f, -0.261f, 0.044f, -0.397f)
                arcToRelative(1.343f, 1.343f, 0.0f, false, false, -0.05f, -0.377f)
                close()
                moveTo(12.543f, 13.979f)
                curveToRelative(-0.213f, 0.157f, -0.48f, 0.236f, -0.803f, 0.236f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, -0.591f, -0.107f)
                arcToRelative(1.17f, 1.17f, 0.0f, false, true, -0.421f, -0.301f)
                arcToRelative(1.272f, 1.272f, 0.0f, false, true, -0.256f, -0.461f)
                arcToRelative(2.157f, 2.157f, 0.0f, false, true, -0.096f, -0.585f)
                curveToRelative(0.0f, -0.211f, 0.033f, -0.404f, 0.099f, -0.579f)
                curveToRelative(0.066f, -0.175f, 0.159f, -0.327f, 0.278f, -0.456f)
                arcToRelative(1.25f, 1.25f, 0.0f, false, true, 0.424f, -0.3f)
                curveToRelative(0.163f, -0.072f, 0.342f, -0.107f, 0.537f, -0.107f)
                curveToRelative(0.253f, 0.0f, 0.463f, 0.051f, 0.63f, 0.153f)
                curveToRelative(0.167f, 0.102f, 0.301f, 0.232f, 0.402f, 0.39f)
                curveToRelative(0.101f, 0.158f, 0.171f, 0.33f, 0.209f, 0.516f)
                curveToRelative(0.039f, 0.186f, 0.054f, 0.364f, 0.047f, 0.532f)
                horizontalLineToRelative(-2.127f)
                curveToRelative(-0.004f, 0.121f, 0.011f, 0.237f, 0.044f, 0.345f)
                arcToRelative(0.779f, 0.779f, 0.0f, false, false, 0.159f, 0.289f)
                arcToRelative(0.778f, 0.778f, 0.0f, false, false, 0.28f, 0.201f)
                curveToRelative(0.113f, 0.05f, 0.247f, 0.075f, 0.401f, 0.075f)
                arcToRelative(0.826f, 0.826f, 0.0f, false, false, 0.486f, -0.134f)
                arcToRelative(0.654f, 0.654f, 0.0f, false, false, 0.25f, -0.408f)
                horizontalLineToRelative(0.462f)
                curveToRelative(-0.064f, 0.31f, -0.201f, 0.544f, -0.414f, 0.701f)
                close()
                moveTo(12.429f, 12.199f)
                arcToRelative(0.792f, 0.792f, 0.0f, false, false, -0.743f, -0.477f)
                arcToRelative(0.827f, 0.827f, 0.0f, false, false, -0.326f, 0.062f)
                arcToRelative(0.737f, 0.737f, 0.0f, false, false, -0.249f, 0.169f)
                arcToRelative(0.81f, 0.81f, 0.0f, false, false, -0.164f, 0.249f)
                arcToRelative(0.926f, 0.926f, 0.0f, false, false, -0.071f, 0.302f)
                horizontalLineToRelative(1.628f)
                arcToRelative(0.93f, 0.93f, 0.0f, false, false, -0.075f, -0.305f)
                close()
                moveTo(13.756f, 11.382f)
                verticalLineToRelative(0.44f)
                horizontalLineToRelative(0.009f)
                curveToRelative(0.195f, -0.337f, 0.504f, -0.505f, 0.928f, -0.505f)
                curveToRelative(0.188f, 0.0f, 0.344f, 0.025f, 0.469f, 0.075f)
                curveToRelative(0.125f, 0.05f, 0.226f, 0.12f, 0.304f, 0.21f)
                curveToRelative(0.077f, 0.09f, 0.132f, 0.196f, 0.163f, 0.32f)
                reflectiveCurveToRelative(0.047f, 0.261f, 0.047f, 0.411f)
                verticalLineToRelative(1.827f)
                horizontalLineToRelative(-0.471f)
                verticalLineToRelative(-1.879f)
                arcToRelative(0.546f, 0.546f, 0.0f, false, false, -0.154f, -0.408f)
                arcToRelative(0.582f, 0.582f, 0.0f, false, false, -0.424f, -0.15f)
                arcToRelative(0.978f, 0.978f, 0.0f, false, false, -0.372f, 0.065f)
                arcToRelative(0.696f, 0.696f, 0.0f, false, false, -0.262f, 0.183f)
                arcToRelative(0.785f, 0.785f, 0.0f, false, false, -0.157f, 0.276f)
                arcToRelative(1.096f, 1.096f, 0.0f, false, false, -0.052f, 0.346f)
                verticalLineToRelative(1.568f)
                horizontalLineToRelative(-0.471f)
                verticalLineToRelative(-2.777f)
                horizontalLineToRelative(0.443f)
                close()
                moveTo(18.93f, 14.129f)
                arcToRelative(1.67f, 1.67f, 0.0f, false, true, -0.644f, 0.131f)
                curveToRelative(-0.342f, 0.0f, -0.649f, -0.058f, -0.922f, -0.174f)
                arcToRelative(1.976f, 1.976f, 0.0f, false, true, -0.691f, -0.48f)
                arcToRelative(2.112f, 2.112f, 0.0f, false, true, -0.431f, -0.719f)
                curveToRelative(-0.1f, -0.275f, -0.15f, -0.572f, -0.15f, -0.89f)
                curveToRelative(0.0f, -0.326f, 0.05f, -0.629f, 0.15f, -0.909f)
                curveToRelative(0.1f, -0.279f, 0.243f, -0.523f, 0.43f, -0.731f)
                curveToRelative(0.187f, -0.208f, 0.417f, -0.371f, 0.69f, -0.49f)
                arcToRelative(2.3f, 2.3f, 0.0f, false, true, 0.922f, -0.177f)
                curveToRelative(0.229f, 0.0f, 0.451f, 0.034f, 0.665f, 0.101f)
                curveToRelative(0.215f, 0.068f, 0.408f, 0.167f, 0.581f, 0.297f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, true, 0.634f, 1.144f)
                horizontalLineToRelative(-0.937f)
                curveToRelative(-0.058f, -0.244f, -0.171f, -0.427f, -0.338f, -0.55f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.606f, -0.183f)
                curveToRelative(-0.221f, 0.0f, -0.408f, 0.042f, -0.563f, 0.125f)
                reflectiveCurveToRelative(-0.279f, 0.196f, -0.375f, 0.337f)
                arcToRelative(1.444f, 1.444f, 0.0f, false, false, -0.209f, 0.48f)
                arcToRelative(2.327f, 2.327f, 0.0f, false, false, 0.0f, 1.092f)
                curveToRelative(0.044f, 0.173f, 0.114f, 0.329f, 0.21f, 0.468f)
                curveToRelative(0.096f, 0.139f, 0.221f, 0.25f, 0.375f, 0.333f)
                curveToRelative(0.154f, 0.084f, 0.342f, 0.125f, 0.563f, 0.125f)
                curveToRelative(0.325f, 0.0f, 0.577f, -0.08f, 0.754f, -0.241f)
                curveToRelative(0.177f, -0.16f, 0.281f, -0.393f, 0.31f, -0.698f)
                horizontalLineToRelative(-0.987f)
                verticalLineToRelative(-0.717f)
                horizontalLineToRelative(1.872f)
                verticalLineToRelative(2.358f)
                horizontalLineToRelative(-0.623f)
                lineToRelative(-0.1f, -0.495f)
                arcToRelative(1.44f, 1.44f, 0.0f, false, true, -0.58f, 0.463f)
                close()
                moveTo(21.825f, 9.8f)
                verticalLineToRelative(3.55f)
                lineTo(24.0f, 13.35f)
                verticalLineToRelative(0.809f)
                horizontalLineToRelative(-3.154f)
                lineTo(20.846f, 9.8f)
                horizontalLineToRelative(0.979f)
                close()
                moveTo(3.801f, 13.98f)
                curveToRelative(0.053f, 0.03f, 0.107f, 0.059f, 0.164f, 0.085f)
                curveToRelative(0.267f, 0.124f, 0.578f, 0.186f, 0.933f, 0.186f)
                curveToRelative(0.355f, 0.0f, 0.666f, -0.062f, 0.933f, -0.186f)
                reflectiveCurveToRelative(0.491f, -0.292f, 0.67f, -0.503f)
                curveToRelative(0.179f, -0.211f, 0.314f, -0.454f, 0.404f, -0.728f)
                curveToRelative(0.09f, -0.274f, 0.135f, -0.56f, 0.135f, -0.856f)
                curveToRelative(0.0f, -0.297f, -0.045f, -0.582f, -0.135f, -0.856f)
                arcToRelative(2.135f, 2.135f, 0.0f, false, false, -0.404f, -0.728f)
                arcToRelative(1.966f, 1.966f, 0.0f, false, false, -0.67f, -0.506f)
                arcToRelative(2.17f, 2.17f, 0.0f, false, false, -0.933f, -0.189f)
                curveToRelative(-0.355f, 0.0f, -0.666f, 0.063f, -0.933f, 0.189f)
                lineToRelative(-0.03f, 0.015f)
                curveToRelative(1.425f, -1.199f, 4.034f, -2.001f, 7.017f, -2.001f)
                curveToRelative(2.512f, 0.0f, 4.765f, 0.516f, 6.263f, 1.412f)
                curveToRelative(-1.635f, -1.501f, -4.566f, -2.555f, -7.918f, -2.556f)
                curveTo(4.162f, 6.757f, 0.0f, 9.103f, 0.0f, 11.999f)
                curveToRelative(0.0f, 2.895f, 4.161f, 5.243f, 9.294f, 5.244f)
                curveToRelative(3.338f, 0.001f, 6.262f, -1.051f, 7.901f, -2.541f)
                curveToRelative(-1.498f, 0.89f, -3.741f, 1.397f, -6.244f, 1.397f)
                curveToRelative(-3.078f, -0.001f, -5.759f, -0.856f, -7.15f, -2.119f)
                close()
                moveTo(4.196f, 10.342f)
                curveToRelative(0.196f, -0.104f, 0.43f, -0.156f, 0.702f, -0.156f)
                curveToRelative(0.272f, 0.0f, 0.506f, 0.052f, 0.702f, 0.156f)
                curveToRelative(0.196f, 0.104f, 0.357f, 0.241f, 0.483f, 0.412f)
                curveToRelative(0.125f, 0.171f, 0.217f, 0.363f, 0.276f, 0.577f)
                arcToRelative(2.43f, 2.43f, 0.0f, false, true, 0.0f, 1.3f)
                curveToRelative(-0.059f, 0.214f, -0.15f, 0.406f, -0.276f, 0.576f)
                arcToRelative(1.393f, 1.393f, 0.0f, false, true, -0.483f, 0.412f)
                curveToRelative(-0.197f, 0.104f, -0.43f, 0.155f, -0.702f, 0.155f)
                arcToRelative(1.49f, 1.49f, 0.0f, false, true, -0.702f, -0.155f)
                arcToRelative(1.402f, 1.402f, 0.0f, false, true, -0.483f, -0.412f)
                arcToRelative(1.765f, 1.765f, 0.0f, false, true, -0.276f, -0.576f)
                arcToRelative(2.43f, 2.43f, 0.0f, false, true, 0.0f, -1.3f)
                arcToRelative(1.74f, 1.74f, 0.0f, false, true, 0.276f, -0.577f)
                curveToRelative(0.125f, -0.171f, 0.286f, -0.308f, 0.483f, -0.412f)
                close()
            }
        }
        .build()
        return _opengl!!
    }

private var _opengl: ImageVector? = null
