package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Paytm: ImageVector
    get() {
        if (_paytm != null) {
            return _paytm!!
        }
        _paytm = Builder(name = "Paytm", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.85f, 8.167f)
                arcToRelative(0.204f, 0.204f, 0.0f, false, false, -0.04f, 0.004f)
                curveToRelative(-0.68f, 0.19f, -0.543f, 1.148f, -1.781f, 1.23f)
                horizontalLineToRelative(-0.12f)
                arcToRelative(0.23f, 0.23f, 0.0f, false, false, -0.052f, 0.005f)
                horizontalLineToRelative(-0.001f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, -0.184f, 0.235f)
                verticalLineToRelative(1.09f)
                curveToRelative(0.0f, 0.134f, 0.106f, 0.241f, 0.237f, 0.241f)
                horizontalLineToRelative(0.645f)
                verticalLineToRelative(4.623f)
                curveToRelative(0.0f, 0.132f, 0.104f, 0.238f, 0.233f, 0.238f)
                horizontalLineToRelative(1.058f)
                arcToRelative(0.236f, 0.236f, 0.0f, false, false, 0.233f, -0.238f)
                verticalLineToRelative(-4.623f)
                horizontalLineToRelative(0.6f)
                curveToRelative(0.13f, 0.0f, 0.236f, -0.107f, 0.236f, -0.241f)
                verticalLineToRelative(-1.09f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.236f, -0.24f)
                horizontalLineToRelative(-0.612f)
                lineTo(16.066f, 8.386f)
                arcToRelative(0.218f, 0.218f, 0.0f, false, false, -0.216f, -0.22f)
                close()
                moveTo(20.075f, 9.337f)
                curveToRelative(-0.398f, 0.0f, -0.762f, 0.15f, -1.042f, 0.395f)
                verticalLineToRelative(-0.124f)
                arcToRelative(0.238f, 0.238f, 0.0f, false, false, -0.234f, -0.224f)
                horizontalLineToRelative(-1.07f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, -0.236f, 0.242f)
                verticalLineToRelative(5.92f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.236f, 0.242f)
                horizontalLineToRelative(1.07f)
                curveToRelative(0.12f, 0.0f, 0.217f, -0.091f, 0.233f, -0.209f)
                verticalLineToRelative(-4.25f)
                arcToRelative(0.393f, 0.393f, 0.0f, false, true, 0.371f, -0.408f)
                horizontalLineToRelative(0.196f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, true, 0.226f, 0.09f)
                arcToRelative(0.405f, 0.405f, 0.0f, false, true, 0.145f, 0.319f)
                verticalLineToRelative(4.074f)
                lineToRelative(0.004f, 0.155f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.237f, 0.241f)
                horizontalLineToRelative(1.07f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, 0.235f, -0.23f)
                lineToRelative(-0.001f, -4.246f)
                curveToRelative(0.0f, -0.14f, 0.062f, -0.266f, 0.174f, -0.34f)
                arcToRelative(0.419f, 0.419f, 0.0f, false, true, 0.196f, -0.068f)
                horizontalLineToRelative(0.198f)
                curveToRelative(0.23f, 0.02f, 0.37f, 0.2f, 0.37f, 0.408f)
                curveToRelative(0.005f, 1.396f, 0.004f, 2.8f, 0.004f, 4.224f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.237f, 0.241f)
                horizontalLineToRelative(1.07f)
                curveToRelative(0.13f, 0.0f, 0.236f, -0.108f, 0.236f, -0.241f)
                verticalLineToRelative(-4.543f)
                curveToRelative(0.0f, -0.31f, -0.034f, -0.442f, -0.08f, -0.577f)
                arcToRelative(1.601f, 1.601f, 0.0f, false, false, -1.51f, -1.09f)
                horizontalLineToRelative(-0.015f)
                arcToRelative(1.58f, 1.58f, 0.0f, false, false, -1.152f, 0.5f)
                curveToRelative(-0.291f, -0.308f, -0.7f, -0.5f, -1.153f, -0.5f)
                close()
                moveTo(0.232f, 9.4f)
                arcTo(0.234f, 0.234f, 0.0f, false, false, 0.0f, 9.636f)
                verticalLineToRelative(5.924f)
                curveToRelative(0.0f, 0.132f, 0.096f, 0.238f, 0.216f, 0.241f)
                horizontalLineToRelative(1.09f)
                curveToRelative(0.13f, 0.0f, 0.237f, -0.107f, 0.237f, -0.24f)
                lineToRelative(0.004f, -1.658f)
                lineTo(2.57f, 13.903f)
                curveToRelative(0.857f, 0.0f, 1.453f, -0.605f, 1.453f, -1.481f)
                verticalLineToRelative(-1.538f)
                curveToRelative(0.0f, -0.877f, -0.596f, -1.484f, -1.453f, -1.484f)
                lineTo(0.232f, 9.4f)
                close()
                moveTo(9.264f, 9.4f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.237f, 0.241f)
                verticalLineToRelative(2.47f)
                curveToRelative(0.0f, 0.94f, 0.657f, 1.608f, 1.579f, 1.608f)
                horizontalLineToRelative(0.675f)
                reflectiveCurveToRelative(0.016f, 0.0f, 0.037f, 0.004f)
                arcToRelative(0.253f, 0.253f, 0.0f, false, true, 0.222f, 0.253f)
                curveToRelative(0.0f, 0.13f, -0.096f, 0.235f, -0.219f, 0.251f)
                lineToRelative(-0.018f, 0.004f)
                lineToRelative(-0.303f, 0.006f)
                lineTo(9.739f, 14.237f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.236f, 0.24f)
                verticalLineToRelative(1.09f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.236f, 0.242f)
                horizontalLineToRelative(1.75f)
                curveToRelative(0.92f, 0.0f, 1.577f, -0.669f, 1.577f, -1.608f)
                verticalLineToRelative(-4.56f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.236f, -0.24f)
                horizontalLineToRelative(-1.07f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.236f, 0.24f)
                curveToRelative(-0.005f, 0.787f, 0.0f, 1.525f, 0.0f, 2.255f)
                arcToRelative(0.253f, 0.253f, 0.0f, false, true, -0.25f, 0.25f)
                horizontalLineToRelative(-0.449f)
                arcToRelative(0.253f, 0.253f, 0.0f, false, true, -0.25f, -0.255f)
                curveToRelative(0.005f, -0.754f, -0.005f, -1.5f, -0.005f, -2.25f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, false, -0.236f, -0.24f)
                close()
                moveTo(5.26f, 9.406f)
                arcToRelative(0.232f, 0.232f, 0.0f, false, false, -0.238f, 0.226f)
                verticalLineToRelative(1.023f)
                curveToRelative(0.0f, 0.132f, 0.113f, 0.24f, 0.252f, 0.24f)
                horizontalLineToRelative(1.413f)
                curveToRelative(0.112f, 0.017f, 0.2f, 0.1f, 0.213f, 0.23f)
                verticalLineToRelative(0.14f)
                curveToRelative(-0.013f, 0.124f, -0.1f, 0.214f, -0.207f, 0.224f)
                horizontalLineToRelative(-0.7f)
                curveToRelative(-0.93f, 0.0f, -1.594f, 0.63f, -1.594f, 1.515f)
                verticalLineToRelative(1.269f)
                curveToRelative(0.0f, 0.88f, 0.57f, 1.506f, 1.495f, 1.506f)
                horizontalLineToRelative(1.94f)
                curveToRelative(0.348f, 0.0f, 0.63f, -0.27f, 0.63f, -0.6f)
                verticalLineToRelative(-4.136f)
                curveToRelative(0.0f, -1.004f, -0.508f, -1.637f, -1.72f, -1.637f)
                close()
                moveTo(1.547f, 10.978f)
                horizontalLineToRelative(0.678f)
                curveToRelative(0.139f, 0.0f, 0.25f, 0.115f, 0.25f, 0.256f)
                verticalLineToRelative(0.836f)
                arcToRelative(0.253f, 0.253f, 0.0f, false, true, -0.25f, 0.256f)
                horizontalLineToRelative(-0.1f)
                curveToRelative(-0.192f, 0.002f, -0.386f, 0.0f, -0.578f, 0.0f)
                close()
                moveTo(6.217f, 12.955f)
                horizontalLineToRelative(0.445f)
                curveToRelative(0.139f, 0.0f, 0.252f, 0.108f, 0.252f, 0.24f)
                verticalLineToRelative(0.932f)
                arcToRelative(0.23f, 0.23f, 0.0f, false, true, -0.014f, 0.076f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.238f, 0.164f)
                horizontalLineToRelative(-0.445f)
                arcToRelative(0.247f, 0.247f, 0.0f, false, true, -0.252f, -0.24f)
                verticalLineToRelative(-0.933f)
                curveToRelative(0.0f, -0.132f, 0.113f, -0.239f, 0.252f, -0.239f)
                close()
            }
        }
        .build()
        return _paytm!!
    }

private var _paytm: ImageVector? = null
