package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Pelican: ImageVector
    get() {
        if (_pelican != null) {
            return _pelican!!
        }
        _pelican = Builder(name = "Pelican", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.9418f, 0.0f)
                curveToRelative(0.342f, 1.0548f, 1.8764f, 2.1857f, 2.9063f, 2.6238f)
                curveToRelative(1.3134f, 0.5583f, 2.5984f, 0.6849f, 3.7501f, 0.8122f)
                curveToRelative(0.895f, 0.0963f, 1.7019f, 0.2014f, 2.3439f, 0.4998f)
                curveToRelative(0.1622f, 0.0726f, 0.3288f, 0.148f, 0.4688f, 0.2499f)
                curveToRelative(0.4586f, 0.3364f, 0.9464f, 0.9876f, 1.2813f, 1.4368f)
                curveToRelative(0.7186f, 0.9583f, 0.5858f, 1.7451f, 1.4375f, 2.2178f)
                curveToRelative(0.089f, 0.0492f, 0.1683f, 0.083f, 0.2813f, 0.125f)
                curveToRelative(0.271f, 0.1018f, 0.667f, 0.2273f, 0.8437f, -0.1563f)
                arcToRelative(0.788f, 0.788f, 0.0f, false, false, 0.0625f, -0.1874f)
                curveToRelative(-0.0712f, -0.229f, -0.321f, -0.4327f, -0.4687f, -0.531f)
                curveToRelative(-0.2618f, -0.171f, -0.3735f, -0.274f, -0.5625f, -0.4685f)
                curveToRelative(-0.3494f, -0.3583f, -0.348f, -0.9508f, -0.5938f, -1.3744f)
                curveToRelative(0.3092f, -0.131f, 1.9392f, -0.3597f, 2.2813f, -0.3124f)
                curveToRelative(0.7313f, 0.0326f, 1.31f, 0.0782f, 1.75f, 0.531f)
                curveToRelative(0.1727f, 0.1365f, 0.2497f, 0.2567f, 0.4064f, 0.3749f)
                curveToRelative(0.011f, 0.009f, 0.0202f, 0.024f, 0.0312f, 0.0312f)
                curveToRelative(0.6933f, 0.5037f, 1.3388f, 0.6705f, 1.9063f, 0.8434f)
                curveToRelative(0.1496f, 0.0454f, 0.2988f, 0.1054f, 0.4375f, 0.1562f)
                curveToRelative(0.213f, 0.0763f, 0.4065f, 0.1594f, 0.5938f, 0.281f)
                curveToRelative(0.2222f, 0.1474f, 0.6089f, 0.542f, 0.625f, 0.8747f)
                curveToRelative(-0.5587f, -0.1783f, -0.207f, 0.0323f, -1.0313f, -0.0312f)
                curveToRelative(-0.4019f, -0.0456f, -0.8058f, -0.0647f, -1.2187f, -0.0937f)
                curveToRelative(-0.6422f, -0.0454f, -1.273f, -0.1043f, -1.8751f, -0.2187f)
                curveToRelative(-0.1002f, -0.0184f, -0.2146f, -0.0388f, -0.3125f, -0.0625f)
                curveToRelative(-0.0766f, -0.0163f, -0.146f, -0.011f, -0.2188f, -0.0312f)
                curveToRelative(-0.0018f, 0.0308f, 0.0f, 0.0353f, 0.0f, 0.0625f)
                curveToRelative(-0.0166f, 0.6292f, 0.4214f, 0.9586f, -0.5938f, 2.1553f)
                curveToRelative(-0.009f, 0.0127f, -0.0204f, 0.0167f, -0.0312f, 0.0312f)
                curveToRelative(-0.2695f, 0.3147f, -1.657f, 0.9163f, -2.0938f, 1.0308f)
                curveToRelative(-1.8593f, 0.3728f, -3.292f, -0.828f, -5.5315f, -0.2187f)
                curveToRelative(-0.7877f, 0.2928f, -1.3567f, 1.5756f, -1.7188f, 2.5302f)
                curveToRelative(-0.482f, 1.2677f, -0.8758f, 2.7956f, -1.3126f, 4.3106f)
                curveToRelative(-0.2f, 0.6982f, -0.4178f, 1.4015f, -0.6562f, 2.0616f)
                curveToRelative(-0.575f, 1.584f, -1.3113f, 2.9428f, -2.4064f, 3.717f)
                curveToRelative(-0.1638f, 0.1256f, -0.787f, 0.41f, -0.8125f, 0.6248f)
                curveToRelative(0.404f, 0.2037f, 4.185f, 0.056f, 4.8127f, 0.0f)
                curveToRelative(2.5033f, -0.2184f, 3.6468f, -1.7733f, 4.4689f, -3.9045f)
                curveToRelative(0.5659f, -1.462f, 1.065f, -3.9864f, 2.0313f, -5.3102f)
                curveToRelative(0.0128f, -0.0182f, 0.0183f, -0.015f, 0.0313f, -0.0312f)
                curveToRelative(0.1456f, -0.1967f, 0.327f, -0.3691f, 0.5f, -0.4998f)
                curveToRelative(0.0454f, -0.0347f, 0.0775f, -0.0648f, 0.125f, -0.0937f)
                curveToRelative(0.0344f, -0.0219f, 0.1566f, -0.0592f, 0.3438f, -0.0937f)
                curveToRelative(1.7357f, -0.3074f, 9.3491f, -1.3474f, 9.844f, -6.872f)
                curveToRelative(0.051f, -0.5581f, 0.0158f, -1.1588f, -0.0937f, -1.8117f)
                curveToRelative(-0.0543f, -0.3364f, -0.115f, -0.6653f, -0.2187f, -1.0308f)
                curveToRelative(-0.2457f, -0.8691f, -0.7981f, -1.614f, -1.5313f, -2.2177f)
                curveToRelative(-0.1926f, -0.16f, -0.405f, -0.3285f, -0.625f, -0.4686f)
                curveToRelative(-0.846f, -0.54f, -1.8774f, -0.921f, -2.969f, -1.1557f)
                curveToRelative(-0.7332f, -0.1582f, -1.4874f, -0.239f, -2.25f, -0.25f)
                curveTo(9.8402f, 0.0326f, 6.3978f, 0.2075f, 0.9418f, 0.0f)
                close()
                moveTo(2.5668f, 4.2169f)
                curveToRelative(0.0235f, 0.0382f, 0.0389f, 0.0574f, 0.0625f, 0.0937f)
                curveTo(4.2284f, 6.8382f, 6.239f, 6.8135f, 8.067f, 7.0281f)
                curveToRelative(0.666f, 0.0782f, 1.317f, 0.1849f, 1.9063f, 0.4686f)
                curveToRelative(0.262f, 0.1235f, 0.5116f, 0.2649f, 0.75f, 0.4685f)
                curveToRelative(-0.0292f, -0.131f, -0.076f, -0.2564f, -0.125f, -0.3748f)
                curveToRelative(-0.444f, -1.0763f, -1.6487f, -1.6661f, -2.6875f, -1.9679f)
                curveToRelative(-1.3938f, -0.4984f, -2.4038f, -0.0181f, -5.344f, -1.4056f)
                close()
                moveTo(3.9731f, 7.4029f)
                curveToRelative(0.0107f, 0.0528f, 0.0094f, 0.0946f, 0.0313f, 0.1563f)
                curveToRelative(0.2199f, 0.6346f, 1.0403f, 1.6503f, 2.0938f, 1.8741f)
                curveToRelative(0.4567f, 0.1636f, 0.315f, 0.1174f, 1.0938f, 0.0937f)
                curveToRelative(1.1406f, -0.0581f, 1.692f, -0.0793f, 2.5f, 0.25f)
                curveToRelative(-0.02f, -0.0493f, -0.0423f, -0.1091f, -0.0624f, -0.1563f)
                curveTo(9.0074f, 8.175f, 8.2593f, 8.421f, 5.8794f, 8.2464f)
                curveToRelative(-1.0188f, -0.3074f, -1.2587f, -0.3415f, -1.9063f, -0.8434f)
                close()
            }
        }
        .build()
        return _pelican!!
    }

private var _pelican: ImageVector? = null
