package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Photobucket: ImageVector
    get() {
        if (_photobucket != null) {
            return _photobucket!!
        }
        _photobucket = Builder(name = "Photobucket", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.924f, 11.451f)
                curveToRelative(0.059f, 0.629f, 0.023f, 0.85f, -0.168f, 1.042f)
                curveToRelative(-0.288f, 0.288f, -0.656f, 0.312f, -0.969f, 0.064f)
                curveToRelative(-0.127f, -0.1f, -0.269f, -0.52f, -0.322f, -0.951f)
                arcToRelative(4.842f, 4.842f, 0.0f, false, false, -1.09f, -2.492f)
                curveToRelative(-0.57f, -0.692f, -2.005f, -1.407f, -2.822f, -1.407f)
                curveToRelative(-0.652f, 0.0f, -1.199f, -0.361f, -1.199f, -0.791f)
                curveToRelative(0.0f, -0.266f, 0.507f, -0.79f, 0.764f, -0.79f)
                curveToRelative(0.104f, 0.0f, 0.57f, 0.071f, 1.035f, 0.156f)
                curveToRelative(2.543f, 0.47f, 4.532f, 2.625f, 4.771f, 5.169f)
                close()
                moveTo(24.0f, 12.05f)
                curveToRelative(0.0f, 6.531f, -0.008f, 6.731f, -0.288f, 7.01f)
                curveToRelative(-0.27f, 0.27f, -0.479f, 0.287f, -3.453f, 0.287f)
                horizontalLineToRelative(-3.165f)
                lineToRelative(-1.002f, 0.504f)
                curveToRelative(-0.551f, 0.277f, -1.406f, 0.6f, -1.901f, 0.716f)
                curveToRelative(-1.123f, 0.265f, -3.071f, 0.257f, -4.204f, -0.016f)
                curveToRelative(-0.474f, -0.115f, -1.304f, -0.433f, -1.844f, -0.707f)
                lineToRelative(-0.981f, -0.498f)
                lineTo(3.82f, 19.346f)
                curveToRelative(-3.057f, 0.0f, -3.364f, -0.023f, -3.581f, -0.263f)
                curveToRelative(-0.215f, -0.236f, -0.239f, -0.938f, -0.239f, -7.09f)
                curveToRelative(0.0f, -7.624f, -0.054f, -7.23f, 1.006f, -7.329f)
                curveToRelative(0.411f, -0.039f, 0.512f, -0.112f, 0.553f, -0.406f)
                curveToRelative(0.086f, -0.625f, 0.274f, -0.719f, 1.448f, -0.719f)
                curveToRelative(1.213f, 0.0f, 1.448f, 0.121f, 1.448f, 0.747f)
                verticalLineToRelative(0.402f)
                horizontalLineToRelative(1.302f)
                curveToRelative(1.215f, 0.0f, 1.381f, -0.037f, 2.479f, -0.558f)
                curveToRelative(1.515f, -0.718f, 2.274f, -0.892f, 3.908f, -0.892f)
                curveToRelative(1.644f, 0.0f, 2.409f, 0.175f, 3.885f, 0.891f)
                lineToRelative(1.155f, 0.56f)
                horizontalLineToRelative(3.184f)
                curveToRelative(3.127f, 0.0f, 3.188f, 0.006f, 3.408f, 0.319f)
                curveToRelative(0.195f, 0.278f, 0.224f, 1.19f, 0.224f, 7.042f)
                close()
                moveTo(2.587f, 4.545f)
                curveToRelative(0.0f, 0.079f, 0.194f, 0.144f, 0.431f, 0.144f)
                reflectiveCurveToRelative(0.431f, -0.065f, 0.431f, -0.144f)
                curveToRelative(0.0f, -0.079f, -0.194f, -0.144f, -0.431f, -0.144f)
                reflectiveCurveToRelative(-0.431f, 0.065f, -0.431f, 0.144f)
                close()
                moveTo(5.461f, 17.839f)
                curveToRelative(0.0f, -0.039f, -0.21f, -0.346f, -0.467f, -0.683f)
                curveToRelative(-2.108f, -2.761f, -2.184f, -7.023f, -0.18f, -10.022f)
                lineToRelative(0.626f, -0.936f)
                lineToRelative(-1.802f, -0.04f)
                curveToRelative(-1.204f, -0.028f, -1.867f, 0.014f, -2.001f, 0.125f)
                curveToRelative(-0.164f, 0.136f, -0.2f, 1.14f, -0.2f, 5.618f)
                curveToRelative(0.0f, 3.484f, 0.054f, 5.553f, 0.149f, 5.731f)
                curveToRelative(0.135f, 0.253f, 0.317f, 0.278f, 2.012f, 0.278f)
                curveToRelative(1.025f, 0.0f, 1.863f, -0.032f, 1.863f, -0.071f)
                close()
                moveTo(18.644f, 8.642f)
                curveToRelative(-0.517f, -1.033f, -2.026f, -2.573f, -3.061f, -3.125f)
                curveToRelative(-2.068f, -1.102f, -4.809f, -1.102f, -6.877f, 0.0f)
                curveToRelative(-1.166f, 0.622f, -2.586f, 2.127f, -3.17f, 3.36f)
                arcToRelative(7.258f, 7.258f, 0.0f, false, false, 3.454f, 9.704f)
                curveToRelative(1.532f, 0.731f, 2.931f, 0.922f, 4.535f, 0.62f)
                curveToRelative(1.072f, -0.202f, 2.65f, -0.986f, 3.494f, -1.737f)
                curveToRelative(2.453f, -2.18f, 3.124f, -5.825f, 1.625f, -8.822f)
                close()
                moveTo(22.385f, 11.936f)
                lineToRelative(-0.038f, -5.739f)
                lineToRelative(-1.781f, -0.041f)
                lineToRelative(-1.781f, -0.04f)
                lineToRelative(0.237f, 0.328f)
                curveToRelative(2.419f, 3.354f, 2.581f, 7.219f, 0.437f, 10.416f)
                curveToRelative(-0.348f, 0.519f, -0.633f, 0.967f, -0.633f, 0.996f)
                curveToRelative(0.0f, 0.108f, 3.24f, 0.044f, 3.415f, -0.067f)
                curveToRelative(0.142f, -0.089f, 0.173f, -1.357f, 0.144f, -5.853f)
                close()
            }
        }
        .build()
        return _photobucket!!
    }

private var _photobucket: ImageVector? = null
