package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.PiHole: ImageVector
    get() {
        if (_piHole != null) {
            return _piHole!!
        }
        _piHole = Builder(name = "PiHole", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.344f, 0.0f)
                curveToRelative(0.238f, 4.792f, 3.256f, 7.056f, 6.252f, 7.376f)
                curveToRelative(0.165f, -1.692f, -4.319f, -5.6f, -4.319f, -5.6f)
                curveToRelative(-0.008f, -0.011f, 0.009f, -0.025f, 0.019f, -0.014f)
                curveToRelative(0.0f, 0.0f, 4.648f, 4.01f, 5.423f, 5.645f)
                curveToRelative(2.762f, -0.15f, 5.196f, -1.947f, 5.0f, -4.912f)
                curveToRelative(0.0f, 0.0f, -4.12f, -0.613f, -5.0f, 4.618f)
                curveTo(11.48f, 2.753f, 8.993f, 0.0f, 4.344f, 0.0f)
                close()
                moveTo(12.0f, 7.682f)
                verticalLineToRelative(0.002f)
                arcToRelative(3.68f, 3.68f, 0.0f, false, false, -2.591f, 1.077f)
                lineTo(4.94f, 13.227f)
                arcToRelative(3.683f, 3.683f, 0.0f, false, false, -0.86f, 1.356f)
                arcToRelative(3.31f, 3.31f, 0.0f, false, false, -0.237f, 1.255f)
                arcTo(3.681f, 3.681f, 0.0f, false, false, 4.92f, 18.45f)
                lineToRelative(4.464f, 4.466f)
                arcToRelative(3.69f, 3.69f, 0.0f, false, false, 2.251f, 1.06f)
                lineToRelative(0.002f, 0.001f)
                curveToRelative(0.093f, 0.01f, 0.187f, 0.015f, 0.28f, 0.017f)
                lineToRelative(-0.1f, -0.008f)
                curveToRelative(0.06f, 0.003f, 0.117f, 0.009f, 0.177f, 0.009f)
                lineToRelative(-0.077f, -0.001f)
                lineTo(12.0f, 24.0f)
                lineToRelative(-0.004f, -0.005f)
                arcToRelative(3.68f, 3.68f, 0.0f, false, false, 2.61f, -1.077f)
                lineToRelative(4.469f, -4.465f)
                arcToRelative(3.683f, 3.683f, 0.0f, false, false, 1.006f, -1.888f)
                lineToRelative(0.012f, -0.063f)
                arcToRelative(3.682f, 3.682f, 0.0f, false, false, 0.057f, -0.541f)
                lineToRelative(0.003f, -0.061f)
                curveToRelative(0.0f, -0.017f, 0.003f, -0.05f, 0.004f, -0.06f)
                horizontalLineToRelative(-0.002f)
                arcToRelative(3.683f, 3.683f, 0.0f, false, false, -1.077f, -2.607f)
                lineToRelative(-4.466f, -4.468f)
                arcToRelative(3.694f, 3.694f, 0.0f, false, false, -1.564f, -0.927f)
                lineToRelative(-0.07f, -0.02f)
                arcToRelative(3.43f, 3.43f, 0.0f, false, false, -0.946f, -0.133f)
                lineTo(12.0f, 7.682f)
                close()
                moveTo(15.165f, 11.039f)
                curveToRelative(0.023f, 1.748f, -1.33f, 3.078f, -1.33f, 4.806f)
                curveToRelative(0.164f, 2.227f, 1.733f, 3.207f, 3.266f, 3.146f)
                curveToRelative(-0.035f, 0.003f, -0.068f, 0.007f, -0.104f, 0.009f)
                curveToRelative(-1.847f, 0.135f, -3.209f, -1.326f, -5.002f, -1.326f)
                curveToRelative(-2.23f, 0.164f, -3.21f, 1.736f, -3.147f, 3.27f)
                lineToRelative(-0.008f, -0.104f)
                curveToRelative(-0.133f, -1.847f, 1.328f, -3.21f, 1.328f, -5.002f)
                curveToRelative(-0.173f, -2.32f, -1.867f, -3.284f, -3.46f, -3.132f)
                curveToRelative(0.1f, -0.011f, 0.203f, -0.021f, 0.31f, -0.027f)
                curveToRelative(1.847f, -0.133f, 3.209f, 1.328f, 5.002f, 1.328f)
                curveToRelative(2.082f, -0.155f, 3.074f, -1.536f, 3.145f, -2.968f)
                close()
                moveTo(4.344f, 0.0f)
                curveToRelative(0.238f, 4.792f, 3.256f, 7.056f, 6.252f, 7.376f)
                curveToRelative(0.165f, -1.692f, -4.319f, -5.6f, -4.319f, -5.6f)
                curveToRelative(-0.008f, -0.011f, 0.009f, -0.025f, 0.019f, -0.014f)
                curveToRelative(0.0f, 0.0f, 4.648f, 4.01f, 5.423f, 5.645f)
                curveToRelative(2.762f, -0.15f, 5.196f, -1.947f, 5.0f, -4.912f)
                curveToRelative(0.0f, 0.0f, -4.12f, -0.613f, -5.0f, 4.618f)
                curveTo(11.48f, 2.753f, 8.993f, 0.0f, 4.344f, 0.0f)
                close()
                moveTo(12.0f, 7.682f)
                verticalLineToRelative(0.002f)
                arcToRelative(3.68f, 3.68f, 0.0f, false, false, -2.591f, 1.077f)
                lineTo(4.94f, 13.227f)
                arcToRelative(3.683f, 3.683f, 0.0f, false, false, -0.86f, 1.356f)
                arcToRelative(3.31f, 3.31f, 0.0f, false, false, -0.237f, 1.255f)
                arcTo(3.681f, 3.681f, 0.0f, false, false, 4.92f, 18.45f)
                lineToRelative(4.464f, 4.466f)
                arcToRelative(3.69f, 3.69f, 0.0f, false, false, 2.251f, 1.06f)
                lineToRelative(0.002f, 0.001f)
                curveToRelative(0.093f, 0.01f, 0.187f, 0.015f, 0.28f, 0.017f)
                lineToRelative(-0.1f, -0.008f)
                curveToRelative(0.06f, 0.003f, 0.117f, 0.009f, 0.177f, 0.009f)
                lineToRelative(-0.077f, -0.001f)
                lineTo(12.0f, 24.0f)
                lineToRelative(-0.004f, -0.005f)
                arcToRelative(3.68f, 3.68f, 0.0f, false, false, 2.61f, -1.077f)
                lineToRelative(4.469f, -4.465f)
                arcToRelative(3.683f, 3.683f, 0.0f, false, false, 1.006f, -1.888f)
                lineToRelative(0.012f, -0.063f)
                arcToRelative(3.682f, 3.682f, 0.0f, false, false, 0.057f, -0.541f)
                lineToRelative(0.003f, -0.061f)
                curveToRelative(0.0f, -0.017f, 0.003f, -0.05f, 0.004f, -0.06f)
                horizontalLineToRelative(-0.002f)
                arcToRelative(3.683f, 3.683f, 0.0f, false, false, -1.077f, -2.607f)
                lineToRelative(-4.466f, -4.468f)
                arcToRelative(3.694f, 3.694f, 0.0f, false, false, -1.564f, -0.927f)
                lineToRelative(-0.07f, -0.02f)
                arcToRelative(3.43f, 3.43f, 0.0f, false, false, -0.946f, -0.133f)
                lineTo(12.0f, 7.682f)
                close()
                moveTo(15.165f, 11.039f)
                curveToRelative(0.023f, 1.748f, -1.33f, 3.078f, -1.33f, 4.806f)
                curveToRelative(0.164f, 2.227f, 1.733f, 3.207f, 3.266f, 3.146f)
                curveToRelative(-0.035f, 0.003f, -0.068f, 0.007f, -0.104f, 0.009f)
                curveToRelative(-1.847f, 0.135f, -3.209f, -1.326f, -5.002f, -1.326f)
                curveToRelative(-2.23f, 0.164f, -3.21f, 1.736f, -3.147f, 3.27f)
                lineToRelative(-0.008f, -0.104f)
                curveToRelative(-0.133f, -1.847f, 1.328f, -3.21f, 1.328f, -5.002f)
                curveToRelative(-0.173f, -2.32f, -1.867f, -3.284f, -3.46f, -3.132f)
                curveToRelative(0.1f, -0.011f, 0.203f, -0.021f, 0.31f, -0.027f)
                curveToRelative(1.847f, -0.133f, 3.209f, 1.328f, 5.002f, 1.328f)
                curveToRelative(2.082f, -0.155f, 3.074f, -1.536f, 3.145f, -2.968f)
                close()
            }
        }
        .build()
        return _piHole!!
    }

private var _piHole: ImageVector? = null
