package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Podman: ImageVector
    get() {
        if (_podman != null) {
            return _podman!!
        }
        _podman = Builder(name = "Podman", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.2f, 0.275f)
                lineTo(6.75f, 0.308f)
                arcToRelative(0.259f, 0.259f, 0.0f, false, false, -0.203f, 0.098f)
                lineTo(0.056f, 8.602f)
                arcToRelative(0.259f, 0.259f, 0.0f, false, false, -0.05f, 0.219f)
                lineToRelative(2.356f, 10.194f)
                arcToRelative(0.26f, 0.26f, 0.0f, false, false, 0.14f, 0.174f)
                lineToRelative(9.43f, 4.511f)
                arcToRelative(0.258f, 0.258f, 0.0f, false, false, 0.224f, -0.002f)
                lineToRelative(9.401f, -4.566f)
                arcToRelative(0.259f, 0.259f, 0.0f, false, false, 0.141f, -0.175f)
                lineTo(23.993f, 8.75f)
                arcToRelative(0.258f, 0.258f, 0.0f, false, false, -0.051f, -0.22f)
                lineTo(17.403f, 0.374f)
                arcTo(0.259f, 0.259f, 0.0f, false, false, 17.2f, 0.275f)
                close()
                moveTo(17.077f, 0.792f)
                lineToRelative(6.385f, 7.966f)
                lineToRelative(-2.242f, 9.964f)
                lineToRelative(-9.177f, 4.457f)
                lineToRelative(-9.205f, -4.402f)
                lineTo(0.54f, 8.827f)
                lineTo(6.875f, 0.824f)
                close()
                moveTo(11.46f, 2.857f)
                curveToRelative(-0.933f, 0.0f, -1.84f, 0.1f, -2.426f, 0.332f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(-1.554f, 0.569f, -2.725f, 2.105f, -3.074f, 3.952f)
                verticalLineToRelative(0.004f)
                curveToRelative(-0.309f, 1.463f, -0.392f, 2.703f, -0.556f, 3.824f)
                curveToRelative(-0.07f, 0.481f, -0.159f, 0.94f, -0.283f, 1.387f)
                curveToRelative(-0.628f, 0.497f, -1.079f, 1.263f, -1.244f, 2.138f)
                verticalLineToRelative(0.004f)
                curveToRelative(-0.116f, 0.547f, -0.181f, 1.04f, -0.237f, 1.5f)
                horizontalLineToRelative(-0.644f)
                verticalLineToRelative(0.518f)
                horizontalLineToRelative(8.891f)
                curveToRelative(-0.061f, 0.464f, -0.122f, 0.996f, -0.181f, 1.42f)
                lineTo(7.596f, 17.936f)
                verticalLineToRelative(0.517f)
                horizontalLineToRelative(7.939f)
                curveToRelative(-0.242f, -0.078f, -0.486f, -0.218f, -0.756f, -0.502f)
                horizontalLineToRelative(-0.697f)
                lineToRelative(-0.85f, 0.488f)
                lineToRelative(-0.232f, -0.396f)
                lineToRelative(0.162f, -0.092f)
                horizontalLineToRelative(-1.069f)
                curveToRelative(0.113f, -0.776f, 0.17f, -1.601f, 0.373f, -2.564f)
                verticalLineToRelative(-0.004f)
                curveToRelative(0.22f, -1.164f, 0.96f, -2.112f, 1.895f, -2.453f)
                lineToRelative(0.004f, -0.002f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.318f, -0.127f, 0.928f, -0.205f, 1.543f, -0.205f)
                curveToRelative(0.613f, 0.0f, 1.244f, 0.075f, 1.622f, 0.207f)
                curveToRelative(0.935f, 0.341f, 1.676f, 1.29f, 1.895f, 2.453f)
                verticalLineToRelative(0.004f)
                curveToRelative(0.204f, 0.963f, 0.26f, 1.788f, 0.373f, 2.564f)
                horizontalLineToRelative(-0.742f)
                lineToRelative(0.162f, 0.092f)
                lineToRelative(-0.233f, 0.396f)
                lineToRelative(-0.85f, -0.488f)
                horizontalLineToRelative(-0.75f)
                curveToRelative(-0.219f, 0.25f, -0.474f, 0.412f, -0.747f, 0.502f)
                horizontalLineToRelative(4.392f)
                verticalLineToRelative(-0.518f)
                horizontalLineToRelative(-0.842f)
                curveToRelative(-0.103f, -0.743f, -0.181f, -1.67f, -0.382f, -2.623f)
                verticalLineToRelative(-0.002f)
                arcToRelative(4.14f, 4.14f, 0.0f, false, false, -0.264f, -0.863f)
                horizontalLineToRelative(1.863f)
                verticalLineToRelative(-0.517f)
                horizontalLineToRelative(-2.13f)
                arcToRelative(3.488f, 3.488f, 0.0f, false, false, -0.8f, -0.906f)
                horizontalLineToRelative(1.8f)
                verticalLineToRelative(-0.518f)
                lineTo(17.95f, 12.506f)
                arcToRelative(8.862f, 8.862f, 0.0f, false, true, -0.193f, -0.775f)
                horizontalLineToRelative(1.484f)
                verticalLineToRelative(-0.518f)
                horizontalLineToRelative(-1.576f)
                curveToRelative(-0.013f, -0.081f, -0.027f, -0.161f, -0.039f, -0.244f)
                curveToRelative(-0.164f, -1.12f, -0.246f, -2.36f, -0.555f, -3.824f)
                verticalLineToRelative(-0.004f)
                curveToRelative(-0.348f, -1.848f, -1.52f, -3.383f, -3.075f, -3.952f)
                lineToRelative(-0.002f, -0.002f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(-0.65f, -0.227f, -1.596f, -0.33f, -2.531f, -0.33f)
                close()
                moveTo(11.46f, 3.243f)
                curveToRelative(0.904f, 0.0f, 1.833f, 0.11f, 2.404f, 0.309f)
                horizontalLineToRelative(0.002f)
                curveToRelative(1.4f, 0.514f, 2.5f, 1.934f, 2.826f, 3.666f)
                verticalLineToRelative(0.003f)
                curveToRelative(0.303f, 1.436f, 0.385f, 2.66f, 0.552f, 3.805f)
                curveToRelative(0.076f, 0.515f, 0.173f, 1.013f, 0.315f, 1.505f)
                curveToRelative(-0.449f, -0.135f, -1.05f, -0.197f, -1.648f, -0.197f)
                curveToRelative(-0.12f, 0.0f, -0.236f, 0.003f, -0.352f, 0.008f)
                lineToRelative(-1.863f, -1.865f)
                arcToRelative(2.17f, 2.17f, 0.0f, false, false, 0.11f, -0.246f)
                lineToRelative(2.13f, 1.23f)
                lineToRelative(0.13f, -0.224f)
                lineToRelative(-2.185f, -1.262f)
                curveToRelative(0.016f, -0.069f, 0.027f, -0.14f, 0.036f, -0.21f)
                lineToRelative(2.302f, 0.616f)
                lineToRelative(0.068f, -0.248f)
                lineToRelative(-2.354f, -0.63f)
                curveToRelative(-0.02f, -1.153f, -1.008f, -2.078f, -2.208f, -2.078f)
                curveToRelative(-1.205f, 0.0f, -2.196f, 0.931f, -2.206f, 2.091f)
                lineToRelative(-2.303f, 0.617f)
                lineToRelative(0.066f, 0.25f)
                lineToRelative(2.252f, -0.605f)
                curveToRelative(0.01f, 0.076f, 0.024f, 0.151f, 0.041f, 0.224f)
                lineTo(7.436f, 11.24f)
                lineToRelative(0.129f, 0.222f)
                lineToRelative(2.087f, -1.207f)
                curveToRelative(0.034f, 0.089f, 0.074f, 0.176f, 0.12f, 0.258f)
                lineToRelative(-1.266f, 1.266f)
                arcToRelative(6.959f, 6.959f, 0.0f, false, false, -1.045f, -0.075f)
                curveToRelative(-0.603f, 0.0f, -1.186f, 0.064f, -1.578f, 0.22f)
                arcToRelative(2.668f, 2.668f, 0.0f, false, false, -0.285f, 0.124f)
                curveToRelative(0.076f, -0.335f, 0.137f, -0.675f, 0.187f, -1.021f)
                curveToRelative(0.168f, -1.144f, 0.248f, -2.37f, 0.551f, -3.805f)
                lineToRelative(0.002f, -0.001f)
                verticalLineToRelative(-0.002f)
                curveToRelative(0.326f, -1.733f, 1.426f, -3.153f, 2.828f, -3.666f)
                horizontalLineToRelative(0.002f)
                lineToRelative(0.004f, -0.002f)
                curveToRelative(0.488f, -0.194f, 1.381f, -0.307f, 2.287f, -0.307f)
                close()
                moveTo(8.473f, 5.194f)
                arcToRelative(1.295f, 1.295f, 0.0f, false, false, -0.965f, 0.502f)
                lineToRelative(-0.117f, 0.153f)
                lineToRelative(0.306f, 0.236f)
                lineToRelative(0.12f, -0.152f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, 0.673f, -0.352f)
                arcToRelative(0.92f, 0.92f, 0.0f, false, true, 0.67f, 0.262f)
                lineToRelative(0.139f, 0.134f)
                lineToRelative(0.271f, -0.275f)
                lineToRelative(-0.136f, -0.137f)
                arcToRelative(1.293f, 1.293f, 0.0f, false, false, -0.961f, -0.37f)
                close()
                moveTo(14.863f, 5.194f)
                arcToRelative(1.289f, 1.289f, 0.0f, false, false, -0.96f, 0.371f)
                lineToRelative(-0.138f, 0.137f)
                lineToRelative(0.274f, 0.275f)
                lineToRelative(0.136f, -0.134f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, 0.672f, -0.262f)
                arcToRelative(0.923f, 0.923f, 0.0f, false, true, 0.674f, 0.352f)
                lineToRelative(0.119f, 0.152f)
                lineToRelative(0.307f, -0.236f)
                lineToRelative(-0.12f, -0.153f)
                curveToRelative(-0.23f, -0.3f, -0.587f, -0.486f, -0.964f, -0.502f)
                close()
                moveTo(8.53f, 6.708f)
                curveToRelative(-0.642f, 0.0f, -1.164f, 0.538f, -1.164f, 1.19f)
                curveToRelative(0.0f, 0.65f, 0.522f, 1.187f, 1.164f, 1.187f)
                curveToRelative(0.643f, 0.0f, 1.164f, -0.536f, 1.164f, -1.188f)
                curveToRelative(0.0f, -0.651f, -0.521f, -1.19f, -1.164f, -1.19f)
                close()
                moveTo(14.803f, 6.708f)
                curveToRelative(-0.643f, 0.0f, -1.162f, 0.538f, -1.162f, 1.19f)
                curveToRelative(0.0f, 0.65f, 0.52f, 1.187f, 1.162f, 1.187f)
                curveToRelative(0.643f, 0.0f, 1.164f, -0.536f, 1.164f, -1.188f)
                curveToRelative(0.0f, -0.651f, -0.521f, -1.19f, -1.164f, -1.19f)
                close()
                moveTo(8.53f, 7.095f)
                curveToRelative(0.428f, 0.0f, 0.776f, 0.355f, 0.776f, 0.802f)
                curveToRelative(0.0f, 0.447f, -0.348f, 0.8f, -0.776f, 0.8f)
                arcToRelative(0.785f, 0.785f, 0.0f, false, true, -0.775f, -0.8f)
                curveToRelative(0.0f, -0.035f, 0.002f, -0.07f, 0.006f, -0.103f)
                curveToRelative(0.07f, 0.191f, 0.248f, 0.318f, 0.445f, 0.318f)
                arcToRelative(0.487f, 0.487f, 0.0f, false, false, 0.477f, -0.496f)
                arcToRelative(0.49f, 0.49f, 0.0f, false, false, -0.383f, -0.486f)
                arcToRelative(0.759f, 0.759f, 0.0f, false, true, 0.23f, -0.035f)
                close()
                moveTo(14.803f, 7.095f)
                curveToRelative(0.428f, 0.0f, 0.777f, 0.355f, 0.777f, 0.802f)
                curveToRelative(0.0f, 0.447f, -0.349f, 0.8f, -0.777f, 0.8f)
                arcToRelative(0.785f, 0.785f, 0.0f, false, true, -0.77f, -0.9f)
                curveToRelative(0.072f, 0.19f, 0.248f, 0.315f, 0.444f, 0.315f)
                arcToRelative(0.486f, 0.486f, 0.0f, false, false, 0.479f, -0.496f)
                arcToRelative(0.491f, 0.491f, 0.0f, false, false, -0.383f, -0.484f)
                arcToRelative(0.755f, 0.755f, 0.0f, false, true, 0.23f, -0.037f)
                close()
                moveTo(11.723f, 7.811f)
                curveToRelative(1.012f, 0.0f, 1.819f, 0.775f, 1.819f, 1.723f)
                curveToRelative(0.0f, 0.947f, -0.807f, 1.722f, -1.819f, 1.722f)
                reflectiveCurveToRelative(-1.82f, -0.775f, -1.82f, -1.722f)
                curveToRelative(0.0f, -0.948f, 0.808f, -1.723f, 1.82f, -1.723f)
                close()
                moveTo(11.721f, 8.339f)
                curveToRelative(-0.142f, 0.0f, -0.258f, 0.043f, -0.355f, 0.076f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, true, -0.232f, 0.054f)
                curveToRelative(-0.107f, 0.0f, -0.2f, 0.047f, -0.268f, 0.127f)
                arcToRelative(0.568f, 0.568f, 0.0f, false, false, -0.104f, 0.207f)
                curveToRelative(-0.04f, 0.134f, -0.062f, 0.268f, -0.08f, 0.315f)
                arcToRelative(0.276f, 0.276f, 0.0f, false, false, 0.032f, 0.25f)
                curveToRelative(0.033f, 0.056f, 0.071f, 0.1f, 0.117f, 0.146f)
                curveToRelative(0.09f, 0.092f, 0.206f, 0.183f, 0.322f, 0.268f)
                curveToRelative(0.12f, 0.088f, 0.237f, 0.166f, 0.326f, 0.224f)
                lineToRelative(-0.008f, 0.09f)
                curveToRelative(-0.043f, 0.036f, -0.14f, 0.102f, -0.324f, 0.178f)
                arcToRelative(0.533f, 0.533f, 0.0f, false, true, -0.299f, 0.025f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, true, -0.236f, -0.172f)
                curveToRelative(0.015f, -0.138f, 0.044f, -0.293f, 0.068f, -0.449f)
                lineToRelative(-0.376f, -0.095f)
                curveToRelative(-0.05f, 0.238f, -0.067f, 0.43f, -0.094f, 0.64f)
                lineToRelative(0.037f, 0.059f)
                curveToRelative(0.143f, 0.224f, 0.318f, 0.344f, 0.506f, 0.392f)
                arcToRelative(0.908f, 0.908f, 0.0f, false, false, 0.52f, -0.033f)
                arcToRelative(1.57f, 1.57f, 0.0f, false, false, 0.444f, -0.242f)
                curveToRelative(0.088f, 0.067f, 0.244f, 0.174f, 0.446f, 0.242f)
                arcToRelative(0.908f, 0.908f, 0.0f, false, false, 0.52f, 0.033f)
                arcToRelative(0.868f, 0.868f, 0.0f, false, false, 0.507f, -0.392f)
                lineToRelative(0.037f, -0.059f)
                arcToRelative(6.292f, 6.292f, 0.0f, false, false, -0.096f, -0.637f)
                lineToRelative(-0.377f, 0.092f)
                curveToRelative(0.032f, 0.148f, 0.051f, 0.32f, 0.07f, 0.451f)
                arcToRelative(0.434f, 0.434f, 0.0f, false, true, -0.237f, 0.17f)
                arcToRelative(0.533f, 0.533f, 0.0f, false, true, -0.3f, -0.025f)
                curveToRelative(-0.178f, -0.068f, -0.272f, -0.14f, -0.325f, -0.178f)
                lineToRelative(-0.006f, -0.084f)
                curveToRelative(0.09f, -0.058f, 0.209f, -0.137f, 0.336f, -0.23f)
                curveToRelative(0.115f, -0.085f, 0.231f, -0.176f, 0.322f, -0.268f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, 0.117f, -0.146f)
                arcToRelative(0.273f, 0.273f, 0.0f, false, false, 0.031f, -0.25f)
                curveToRelative(-0.018f, -0.047f, -0.039f, -0.181f, -0.08f, -0.315f)
                arcToRelative(0.564f, 0.564f, 0.0f, false, false, -0.103f, -0.207f)
                arcToRelative(0.343f, 0.343f, 0.0f, false, false, -0.268f, -0.127f)
                arcToRelative(0.815f, 0.815f, 0.0f, false, true, -0.234f, -0.054f)
                curveToRelative(-0.097f, -0.033f, -0.212f, -0.076f, -0.354f, -0.076f)
                close()
                moveTo(11.723f, 8.725f)
                curveToRelative(0.057f, 0.0f, 0.134f, 0.024f, 0.23f, 0.057f)
                curveToRelative(0.09f, 0.03f, 0.208f, 0.07f, 0.337f, 0.076f)
                curveToRelative(0.04f, 0.102f, 0.06f, 0.237f, 0.09f, 0.338f)
                arcToRelative(0.361f, 0.361f, 0.0f, false, true, -0.041f, 0.045f)
                arcToRelative(2.66f, 2.66f, 0.0f, false, true, -0.276f, 0.228f)
                curveToRelative(-0.165f, 0.122f, -0.271f, 0.188f, -0.342f, 0.233f)
                arcToRelative(5.287f, 5.287f, 0.0f, false, true, -0.34f, -0.233f)
                arcToRelative(2.557f, 2.557f, 0.0f, false, true, -0.275f, -0.228f)
                arcToRelative(0.34f, 0.34f, 0.0f, false, true, -0.04f, -0.047f)
                curveToRelative(0.035f, -0.119f, 0.046f, -0.234f, 0.089f, -0.34f)
                curveToRelative(0.08f, 0.012f, 0.246f, -0.042f, 0.336f, -0.072f)
                arcToRelative(0.837f, 0.837f, 0.0f, false, true, 0.232f, -0.057f)
                close()
                moveTo(8.489f, 9.335f)
                arcToRelative(0.635f, 0.635f, 0.0f, false, false, -0.611f, 0.517f)
                lineToRelative(1.084f, -0.289f)
                arcToRelative(0.614f, 0.614f, 0.0f, false, false, -0.473f, -0.228f)
                close()
                moveTo(14.825f, 9.335f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, false, -0.436f, 0.187f)
                curveToRelative(0.352f, 0.096f, 0.69f, 0.184f, 1.033f, 0.275f)
                arcToRelative(0.632f, 0.632f, 0.0f, false, false, -0.597f, -0.462f)
                close()
                moveTo(14.202f, 9.942f)
                curveToRelative(-0.007f, 0.035f, -0.002f, 0.07f, -0.002f, 0.103f)
                lineToRelative(0.921f, 0.532f)
                arcToRelative(0.648f, 0.648f, 0.0f, false, false, 0.276f, -0.313f)
                lineToRelative(-1.195f, -0.322f)
                close()
                moveTo(9.116f, 9.992f)
                lineToRelative(-1.18f, 0.315f)
                curveToRelative(0.078f, 0.15f, 0.207f, 0.264f, 0.362f, 0.316f)
                lineToRelative(0.797f, -0.46f)
                curveToRelative(0.018f, -0.059f, 0.015f, -0.12f, 0.021f, -0.17f)
                close()
                moveTo(13.557f, 10.706f)
                lineToRelative(1.656f, 1.658f)
                arcToRelative(4.19f, 4.19f, 0.0f, false, false, -0.826f, 0.146f)
                lineToRelative(-0.95f, -1.647f)
                arcToRelative(2.51f, 2.51f, 0.0f, false, false, 0.12f, -0.157f)
                close()
                moveTo(9.911f, 10.736f)
                curveToRelative(0.04f, 0.055f, 0.083f, 0.118f, 0.129f, 0.169f)
                lineToRelative(-0.658f, 1.134f)
                arcToRelative(2.656f, 2.656f, 0.0f, false, false, -0.276f, -0.119f)
                lineToRelative(-0.002f, -0.002f)
                arcToRelative(3.3f, 3.3f, 0.0f, false, false, -0.292f, -0.082f)
                close()
                moveTo(13.249f, 11.053f)
                lineToRelative(0.892f, 1.547f)
                curveToRelative(-0.623f, 0.251f, -1.149f, 0.725f, -1.523f, 1.33f)
                horizontalLineToRelative(-1.652f)
                curveToRelative(-0.262f, -0.75f, -0.741f, -1.38f, -1.358f, -1.764f)
                lineToRelative(0.623f, -1.082f)
                curveToRelative(0.394f, 0.347f, 0.919f, 0.559f, 1.492f, 0.559f)
                arcToRelative(2.25f, 2.25f, 0.0f, false, false, 1.526f, -0.59f)
                close()
                moveTo(7.46f, 12.09f)
                curveToRelative(0.574f, 0.0f, 1.167f, 0.073f, 1.518f, 0.195f)
                curveToRelative(0.867f, 0.319f, 1.555f, 1.203f, 1.76f, 2.285f)
                lineToRelative(0.001f, 0.002f)
                verticalLineToRelative(0.002f)
                curveToRelative(0.109f, 0.513f, 0.173f, 0.98f, 0.227f, 1.424f)
                lineTo(9.86f, 15.998f)
                arcToRelative(0.386f, 0.386f, 0.0f, false, false, -0.494f, 0.0f)
                lineTo(9.11f, 15.998f)
                arcToRelative(1.351f, 1.351f, 0.0f, false, false, -0.078f, -0.418f)
                arcToRelative(0.799f, 0.799f, 0.0f, false, false, 0.569f, 0.238f)
                curveToRelative(0.45f, 0.0f, 0.814f, -0.375f, 0.814f, -0.828f)
                arcToRelative(0.824f, 0.824f, 0.0f, false, false, -0.814f, -0.828f)
                arcToRelative(0.822f, 0.822f, 0.0f, false, false, -0.791f, 1.016f)
                arcToRelative(1.495f, 1.495f, 0.0f, false, false, -1.18f, -0.559f)
                curveToRelative(-0.798f, 0.0f, -1.46f, 0.611f, -1.48f, 1.38f)
                horizontalLineToRelative(-0.342f)
                arcToRelative(0.386f, 0.386f, 0.0f, false, false, -0.494f, 0.0f)
                lineTo(4.028f, 15.999f)
                curveToRelative(0.054f, -0.445f, 0.116f, -0.912f, 0.224f, -1.425f)
                lineToRelative(0.002f, -0.002f)
                verticalLineToRelative(-0.002f)
                curveToRelative(0.205f, -1.084f, 0.894f, -1.97f, 1.764f, -2.287f)
                horizontalLineToRelative(0.002f)
                lineToRelative(0.004f, -0.002f)
                curveToRelative(0.295f, -0.117f, 0.863f, -0.191f, 1.437f, -0.19f)
                close()
                moveTo(5.55f, 13.195f)
                arcToRelative(0.898f, 0.898f, 0.0f, false, false, -0.67f, 0.348f)
                lineToRelative(-0.119f, 0.154f)
                lineToRelative(0.307f, 0.237f)
                lineToRelative(0.119f, -0.155f)
                arcToRelative(0.525f, 0.525f, 0.0f, false, true, 0.379f, -0.197f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, true, 0.377f, 0.147f)
                lineToRelative(0.138f, 0.136f)
                lineToRelative(0.272f, -0.275f)
                lineToRelative(-0.137f, -0.137f)
                arcToRelative(0.895f, 0.895f, 0.0f, false, false, -0.666f, -0.258f)
                close()
                moveTo(9.644f, 13.195f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, false, -0.668f, 0.258f)
                lineToRelative(-0.137f, 0.137f)
                lineToRelative(0.273f, 0.275f)
                lineToRelative(0.137f, -0.136f)
                arcToRelative(0.522f, 0.522f, 0.0f, false, true, 0.377f, -0.147f)
                arcToRelative(0.525f, 0.525f, 0.0f, false, true, 0.379f, 0.197f)
                lineToRelative(0.119f, 0.155f)
                lineToRelative(0.307f, -0.237f)
                lineToRelative(-0.12f, -0.154f)
                arcToRelative(0.894f, 0.894f, 0.0f, false, false, -0.667f, -0.348f)
                close()
                moveTo(13.866f, 13.93f)
                arcToRelative(0.947f, 0.947f, 0.0f, false, false, -0.707f, 0.365f)
                lineToRelative(-0.117f, 0.154f)
                lineToRelative(0.306f, 0.237f)
                lineToRelative(0.12f, -0.155f)
                arcToRelative(0.568f, 0.568f, 0.0f, false, true, 0.413f, -0.213f)
                arcToRelative(0.571f, 0.571f, 0.0f, false, true, 0.414f, 0.159f)
                lineToRelative(0.14f, 0.136f)
                lineToRelative(0.27f, -0.275f)
                lineToRelative(-0.138f, -0.137f)
                arcToRelative(0.942f, 0.942f, 0.0f, false, false, -0.701f, -0.271f)
                close()
                moveTo(18.24f, 13.93f)
                arcToRelative(0.942f, 0.942f, 0.0f, false, false, -0.7f, 0.271f)
                lineToRelative(-0.14f, 0.137f)
                lineToRelative(0.272f, 0.275f)
                lineToRelative(0.139f, -0.136f)
                arcToRelative(0.571f, 0.571f, 0.0f, false, true, 0.414f, -0.159f)
                arcToRelative(0.568f, 0.568f, 0.0f, false, true, 0.414f, 0.213f)
                lineToRelative(0.119f, 0.155f)
                lineToRelative(0.306f, -0.237f)
                lineToRelative(-0.117f, -0.154f)
                arcToRelative(0.947f, 0.947f, 0.0f, false, false, -0.707f, -0.365f)
                close()
                moveTo(5.59f, 14.162f)
                arcToRelative(0.824f, 0.824f, 0.0f, false, false, -0.815f, 0.828f)
                curveToRelative(0.0f, 0.453f, 0.365f, 0.828f, 0.814f, 0.828f)
                curveToRelative(0.45f, 0.0f, 0.815f, -0.375f, 0.815f, -0.828f)
                arcToRelative(0.824f, 0.824f, 0.0f, false, false, -0.815f, -0.828f)
                close()
                moveTo(11.108f, 14.447f)
                horizontalLineToRelative(1.242f)
                arcToRelative(4.137f, 4.137f, 0.0f, false, false, -0.263f, 0.864f)
                verticalLineToRelative(0.002f)
                curveToRelative(-0.05f, 0.237f, -0.092f, 0.464f, -0.127f, 0.685f)
                horizontalLineToRelative(-0.602f)
                arcToRelative(16.77f, 16.77f, 0.0f, false, false, -0.236f, -1.5f)
                lineToRelative(-0.002f, -0.002f)
                curveToRelative(-0.003f, -0.016f, -0.009f, -0.032f, -0.012f, -0.049f)
                close()
                moveTo(5.589f, 14.549f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, true, 0.426f, 0.441f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, true, -0.426f, 0.442f)
                curveToRelative(-0.22f, 0.0f, -0.4f, -0.171f, -0.422f, -0.397f)
                arcToRelative(0.298f, 0.298f, 0.0f, false, false, 0.215f, 0.092f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, false, 0.305f, -0.316f)
                arcToRelative(0.317f, 0.317f, 0.0f, false, false, -0.129f, -0.258f)
                curveToRelative(0.01f, -0.001f, 0.02f, -0.004f, 0.031f, -0.004f)
                close()
                moveTo(9.603f, 14.549f)
                curveToRelative(0.235f, 0.0f, 0.427f, 0.193f, 0.427f, 0.441f)
                arcToRelative(0.433f, 0.433f, 0.0f, false, true, -0.427f, 0.442f)
                arcToRelative(0.427f, 0.427f, 0.0f, false, true, -0.422f, -0.405f)
                arcToRelative(0.3f, 0.3f, 0.0f, false, false, 0.256f, 0.145f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, false, 0.304f, -0.317f)
                arcToRelative(0.314f, 0.314f, 0.0f, false, false, -0.207f, -0.298f)
                curveToRelative(0.023f, -0.004f, 0.045f, -0.008f, 0.069f, -0.008f)
                close()
                moveTo(13.907f, 14.963f)
                arcToRelative(0.865f, 0.865f, 0.0f, false, false, -0.856f, 0.87f)
                curveToRelative(0.0f, 0.478f, 0.382f, 0.874f, 0.856f, 0.874f)
                arcToRelative(0.868f, 0.868f, 0.0f, false, false, 0.857f, -0.873f)
                arcToRelative(0.867f, 0.867f, 0.0f, false, false, -0.857f, -0.871f)
                close()
                moveTo(18.199f, 14.963f)
                arcToRelative(0.867f, 0.867f, 0.0f, false, false, -0.814f, 1.14f)
                arcToRelative(1.597f, 1.597f, 0.0f, false, false, -1.295f, -0.652f)
                curveToRelative(-0.846f, 0.0f, -1.546f, 0.65f, -1.568f, 1.463f)
                lineToRelative(-1.525f, 0.408f)
                lineToRelative(0.066f, 0.248f)
                lineToRelative(1.477f, -0.394f)
                curveToRelative(0.004f, 0.028f, 0.009f, 0.06f, 0.015f, 0.087f)
                lineToRelative(-1.418f, 0.817f)
                lineToRelative(0.131f, 0.222f)
                lineToRelative(1.367f, -0.789f)
                curveToRelative(0.235f, 0.552f, 0.801f, 0.94f, 1.455f, 0.94f)
                curveToRelative(0.66f, 0.0f, 1.233f, -0.397f, 1.463f, -0.957f)
                lineToRelative(1.398f, 0.806f)
                lineToRelative(0.13f, -0.222f)
                lineToRelative(-1.45f, -0.836f)
                curveToRelative(0.005f, -0.025f, 0.008f, -0.053f, 0.012f, -0.078f)
                lineToRelative(1.511f, 0.404f)
                lineToRelative(0.067f, -0.248f)
                lineToRelative(-1.563f, -0.418f)
                arcToRelative(1.438f, 1.438f, 0.0f, false, false, -0.107f, -0.5f)
                curveToRelative(0.157f, 0.186f, 0.39f, 0.303f, 0.648f, 0.303f)
                arcToRelative(0.867f, 0.867f, 0.0f, false, false, 0.856f, -0.873f)
                arcToRelative(0.865f, 0.865f, 0.0f, false, false, -0.856f, -0.871f)
                close()
                moveTo(7.632f, 15.006f)
                curveToRelative(0.598f, 0.0f, 1.071f, 0.444f, 1.092f, 0.992f)
                horizontalLineToRelative(-0.41f)
                curveToRelative(0.007f, -0.01f, 0.016f, -0.02f, 0.023f, -0.033f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, 0.025f, -0.22f)
                curveToRelative(-0.005f, -0.016f, -0.021f, -0.102f, -0.05f, -0.196f)
                arcToRelative(0.416f, 0.416f, 0.0f, false, false, -0.078f, -0.156f)
                arcToRelative(0.282f, 0.282f, 0.0f, false, false, -0.225f, -0.108f)
                arcToRelative(0.499f, 0.499f, 0.0f, false, true, -0.129f, -0.031f)
                curveToRelative(-0.062f, -0.021f, -0.142f, -0.05f, -0.248f, -0.05f)
                curveToRelative(-0.106f, 0.0f, -0.188f, 0.029f, -0.25f, 0.05f)
                arcToRelative(0.49f, 0.49f, 0.0f, false, true, -0.127f, 0.031f)
                arcToRelative(0.29f, 0.29f, 0.0f, false, false, -0.225f, 0.108f)
                arcToRelative(0.424f, 0.424f, 0.0f, false, false, -0.08f, 0.156f)
                curveToRelative(-0.029f, 0.094f, -0.043f, 0.18f, -0.048f, 0.195f)
                arcToRelative(0.242f, 0.242f, 0.0f, false, false, 0.023f, 0.22f)
                curveToRelative(0.008f, 0.014f, 0.017f, 0.023f, 0.025f, 0.034f)
                horizontalLineToRelative(-0.41f)
                curveToRelative(0.02f, -0.548f, 0.494f, -0.992f, 1.092f, -0.992f)
                close()
                moveTo(13.907f, 15.35f)
                curveToRelative(0.259f, 0.0f, 0.47f, 0.211f, 0.47f, 0.484f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, true, -0.47f, 0.486f)
                arcToRelative(0.472f, 0.472f, 0.0f, false, true, -0.467f, -0.453f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, 0.246f, 0.115f)
                curveToRelative(0.18f, 0.0f, 0.326f, -0.15f, 0.326f, -0.338f)
                arcToRelative(0.34f, 0.34f, 0.0f, false, false, -0.156f, -0.289f)
                curveToRelative(0.017f, -0.002f, 0.033f, -0.005f, 0.05f, -0.005f)
                close()
                moveTo(18.199f, 15.35f)
                curveToRelative(0.26f, 0.0f, 0.469f, 0.211f, 0.469f, 0.484f)
                curveToRelative(0.0f, 0.272f, -0.21f, 0.486f, -0.469f, 0.486f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, true, -0.47f, -0.486f)
                curveToRelative(0.0f, -0.016f, 0.002f, -0.031f, 0.004f, -0.047f)
                arcToRelative(0.33f, 0.33f, 0.0f, false, false, 0.312f, 0.24f)
                curveToRelative(0.18f, 0.0f, 0.326f, -0.15f, 0.326f, -0.338f)
                arcToRelative(0.338f, 0.338f, 0.0f, false, false, -0.256f, -0.332f)
                arcToRelative(0.475f, 0.475f, 0.0f, false, true, 0.084f, -0.007f)
                close()
                moveTo(7.632f, 15.59f)
                curveToRelative(0.021f, 0.0f, 0.063f, 0.01f, 0.125f, 0.031f)
                curveToRelative(0.086f, 0.03f, 0.117f, 0.039f, 0.186f, 0.049f)
                curveToRelative(0.012f, 0.041f, 0.022f, 0.088f, 0.033f, 0.129f)
                arcToRelative(1.475f, 1.475f, 0.0f, false, true, -0.168f, 0.138f)
                curveToRelative(-0.038f, 0.028f, -0.064f, 0.045f, -0.088f, 0.061f)
                horizontalLineToRelative(-0.176f)
                curveToRelative(-0.024f, -0.016f, -0.052f, -0.033f, -0.09f, -0.06f)
                arcToRelative(1.602f, 1.602f, 0.0f, false, true, -0.168f, -0.14f)
                lineToRelative(0.034f, -0.128f)
                curveToRelative(0.107f, -0.014f, 0.146f, -0.04f, 0.185f, -0.049f)
                arcToRelative(0.504f, 0.504f, 0.0f, false, true, 0.127f, -0.031f)
                close()
                moveTo(16.09f, 15.84f)
                curveToRelative(0.661f, 0.0f, 1.184f, 0.502f, 1.184f, 1.113f)
                curveToRelative(0.0f, 0.156f, -0.035f, 0.304f, -0.096f, 0.44f)
                lineToRelative(-0.002f, -0.024f)
                lineToRelative(-0.022f, -0.156f)
                arcToRelative(2.443f, 2.443f, 0.0f, false, false, -0.04f, -0.24f)
                lineToRelative(-0.377f, 0.093f)
                lineToRelative(0.044f, 0.274f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, true, -0.115f, 0.074f)
                arcToRelative(0.299f, 0.299f, 0.0f, false, true, -0.168f, -0.014f)
                curveToRelative(-0.087f, -0.03f, -0.132f, -0.063f, -0.18f, -0.094f)
                curveToRelative(0.057f, -0.037f, 0.13f, -0.084f, 0.198f, -0.134f)
                curveToRelative(0.08f, -0.06f, 0.16f, -0.123f, 0.226f, -0.19f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, false, 0.092f, -0.111f)
                arcToRelative(0.245f, 0.245f, 0.0f, false, false, 0.026f, -0.225f)
                curveToRelative(-0.008f, -0.019f, -0.022f, -0.112f, -0.053f, -0.21f)
                arcToRelative(0.444f, 0.444f, 0.0f, false, false, -0.084f, -0.163f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, false, -0.23f, -0.107f)
                arcToRelative(0.566f, 0.566f, 0.0f, false, true, -0.14f, -0.037f)
                curveToRelative(-0.065f, -0.022f, -0.152f, -0.055f, -0.263f, -0.055f)
                curveToRelative(-0.11f, 0.0f, -0.195f, 0.032f, -0.262f, 0.055f)
                arcToRelative(0.575f, 0.575f, 0.0f, false, true, -0.14f, 0.037f)
                arcToRelative(0.294f, 0.294f, 0.0f, false, false, -0.23f, 0.107f)
                arcToRelative(0.436f, 0.436f, 0.0f, false, false, -0.083f, 0.162f)
                curveToRelative(-0.03f, 0.1f, -0.045f, 0.192f, -0.052f, 0.211f)
                arcToRelative(0.246f, 0.246f, 0.0f, false, false, 0.025f, 0.225f)
                arcToRelative(0.534f, 0.534f, 0.0f, false, false, 0.09f, 0.111f)
                curveToRelative(0.066f, 0.067f, 0.146f, 0.13f, 0.226f, 0.19f)
                curveToRelative(0.068f, 0.05f, 0.138f, 0.095f, 0.194f, 0.132f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, true, -0.18f, 0.096f)
                arcToRelative(0.305f, 0.305f, 0.0f, false, true, -0.17f, 0.014f)
                arcToRelative(0.237f, 0.237f, 0.0f, false, true, -0.111f, -0.076f)
                curveToRelative(0.008f, -0.09f, 0.026f, -0.177f, 0.04f, -0.272f)
                lineToRelative(-0.376f, -0.094f)
                curveToRelative(-0.032f, 0.146f, -0.045f, 0.286f, -0.063f, 0.409f)
                arcToRelative(1.052f, 1.052f, 0.0f, false, true, -0.09f, -0.428f)
                curveToRelative(0.0f, -0.611f, 0.521f, -1.113f, 1.182f, -1.113f)
                close()
                moveTo(16.09f, 16.463f)
                curveToRelative(0.026f, 0.0f, 0.074f, 0.01f, 0.14f, 0.033f)
                curveToRelative(0.066f, 0.025f, 0.169f, 0.052f, 0.206f, 0.055f)
                lineToRelative(0.035f, 0.156f)
                curveToRelative(-0.04f, 0.04f, -0.112f, 0.1f, -0.184f, 0.152f)
                curveToRelative(-0.095f, 0.07f, -0.14f, 0.095f, -0.197f, 0.131f)
                curveToRelative(-0.056f, -0.036f, -0.1f, -0.061f, -0.195f, -0.13f)
                arcToRelative(1.236f, 1.236f, 0.0f, false, true, -0.184f, -0.157f)
                lineToRelative(0.035f, -0.152f)
                arcToRelative(1.04f, 1.04f, 0.0f, false, false, 0.206f, -0.055f)
                arcToRelative(0.523f, 0.523f, 0.0f, false, true, 0.138f, -0.033f)
                close()
                moveTo(13.87f, 16.816f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, false, -0.385f, 0.272f)
                lineToRelative(0.656f, -0.176f)
                arcToRelative(0.416f, 0.416f, 0.0f, false, false, -0.271f, -0.096f)
                close()
                moveTo(18.203f, 16.816f)
                arcToRelative(0.414f, 0.414f, 0.0f, false, false, -0.22f, 0.07f)
                lineToRelative(0.603f, 0.16f)
                arcToRelative(0.426f, 0.426f, 0.0f, false, false, -0.383f, -0.23f)
                close()
                moveTo(14.149f, 17.383f)
                lineToRelative(-0.607f, 0.162f)
                arcToRelative(0.436f, 0.436f, 0.0f, false, false, 0.125f, 0.113f)
                close()
                moveTo(18.074f, 17.385f)
                lineToRelative(0.407f, 0.234f)
                arcToRelative(0.443f, 0.443f, 0.0f, false, false, 0.087f, -0.102f)
                close()
                moveTo(16.088f, 17.619f)
                curveToRelative(0.067f, 0.047f, 0.165f, 0.108f, 0.285f, 0.148f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, false, 0.389f, 0.024f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, false, 0.232f, -0.121f)
                arcToRelative(1.201f, 1.201f, 0.0f, false, true, -0.904f, 0.394f)
                curveToRelative(-0.356f, 0.0f, -0.67f, -0.145f, -0.885f, -0.375f)
                arcToRelative(0.58f, 0.58f, 0.0f, false, false, 0.207f, 0.102f)
                curveToRelative(0.144f, 0.036f, 0.28f, 0.014f, 0.391f, -0.024f)
                curveToRelative(0.12f, -0.04f, 0.218f, -0.1f, 0.285f, -0.148f)
                close()
                moveTo(6.564f, 19.229f)
                verticalLineToRelative(0.517f)
                horizontalLineToRelative(6.214f)
                verticalLineToRelative(-0.518f)
                close()
                moveTo(10.183f, 20.521f)
                verticalLineToRelative(0.517f)
                lineTo(15.3f, 21.038f)
                verticalLineToRelative(-0.517f)
                close()
            }
        }
        .build()
        return _podman!!
    }

private var _podman: ImageVector? = null
