package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Postmates: ImageVector
    get() {
        if (_postmates != null) {
            return _postmates!!
        }
        _postmates = Builder(name = "Postmates", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.545f, 14.954f)
                lineToRelative(0.44f, -1.284f)
                lineToRelative(-1.138f, 0.692f)
                lineToRelative(-1.08f, -0.88f)
                lineToRelative(0.342f, 1.35f)
                lineToRelative(-1.109f, 0.74f)
                lineToRelative(1.35f, 0.143f)
                lineToRelative(0.396f, 1.338f)
                lineToRelative(0.492f, -1.263f)
                lineToRelative(1.352f, 0.087f)
                close()
                moveTo(7.853f, 12.344f)
                lineToRelative(-1.14f, 0.692f)
                lineToRelative(-1.08f, -0.88f)
                lineToRelative(0.342f, 1.349f)
                lineToRelative(-1.108f, 0.74f)
                lineToRelative(1.35f, 0.144f)
                lineToRelative(0.396f, 1.336f)
                lineToRelative(0.493f, -1.261f)
                lineToRelative(1.352f, 0.087f)
                lineToRelative(-1.046f, -0.924f)
                close()
                moveTo(6.525f, 17.208f)
                lineToRelative(-1.139f, 0.692f)
                lineToRelative(-1.08f, -0.881f)
                lineToRelative(0.342f, 1.35f)
                lineToRelative(-1.108f, 0.74f)
                lineToRelative(1.35f, 0.144f)
                lineToRelative(0.396f, 1.338f)
                lineToRelative(0.492f, -1.263f)
                lineToRelative(1.353f, 0.087f)
                lineToRelative(-1.046f, -0.924f)
                close()
                moveTo(15.95f, 6.744f)
                lineToRelative(0.72f, 0.041f)
                arcToRelative(0.123f, 0.122f, 0.0f, false, false, 0.092f, -0.032f)
                lineToRelative(1.78f, -1.67f)
                arcToRelative(0.032f, 0.032f, 0.0f, false, false, -0.02f, -0.056f)
                lineToRelative(-0.7f, -0.04f)
                arcToRelative(0.189f, 0.189f, 0.0f, false, false, -0.14f, 0.05f)
                lineToRelative(-1.754f, 1.646f)
                arcToRelative(0.035f, 0.035f, 0.0f, false, false, 0.022f, 0.06f)
                close()
                moveTo(23.5f, 10.121f)
                arcToRelative(3.1f, 3.098f, 0.0f, false, false, -4.976f, -0.342f)
                lineToRelative(-1.108f, -0.83f)
                curveToRelative(0.277f, -0.113f, 0.857f, -0.368f, 0.896f, -0.525f)
                curveToRelative(0.022f, -0.093f, -0.273f, -0.158f, -0.727f, -0.187f)
                lineToRelative(2.079f, -1.896f)
                arcToRelative(0.047f, 0.047f, 0.0f, false, false, 0.009f, -0.053f)
                lineToRelative(-0.529f, -0.996f)
                arcToRelative(0.04f, 0.04f, 0.0f, false, false, -0.063f, -0.01f)
                lineToRelative(-2.163f, 1.97f)
                curveToRelative(-0.646f, 0.0f, -1.796f, 0.085f, -2.127f, -0.123f)
                curveToRelative(-0.528f, -0.333f, -0.59f, -0.822f, -0.785f, -0.997f)
                curveToRelative(-0.195f, -0.176f, -0.415f, -0.197f, -0.462f, -0.346f)
                arcToRelative(0.015f, 0.015f, 0.0f, false, true, 0.011f, -0.019f)
                curveToRelative(0.102f, -0.026f, 0.67f, -0.186f, 0.8f, -0.58f)
                curveToRelative(0.129f, -0.396f, -0.135f, -0.932f, -0.18f, -1.016f)
                arcToRelative(0.018f, 0.018f, 0.0f, false, true, 0.0f, -0.02f)
                lineToRelative(0.604f, -0.527f)
                arcToRelative(0.018f, 0.018f, 0.0f, false, false, -0.013f, -0.03f)
                lineToRelative(-0.886f, 0.108f)
                arcToRelative(0.015f, 0.015f, 0.0f, false, true, -0.015f, 0.0f)
                curveToRelative(-0.047f, -0.062f, -0.4f, -0.484f, -1.121f, -0.189f)
                curveToRelative(-0.842f, 0.34f, -0.687f, 1.068f, -0.687f, 1.068f)
                curveToRelative(0.112f, 0.753f, 0.374f, 0.902f, 0.8f, 1.148f)
                curveToRelative(0.012f, 0.0f, 0.017f, 0.02f, 0.0f, 0.027f)
                curveToRelative(-0.274f, 0.228f, -3.035f, 2.494f, -5.585f, 3.378f)
                arcToRelative(0.05f, 0.05f, 0.0f, false, false, 0.0f, 0.093f)
                curveToRelative(0.738f, 0.32f, 2.952f, 0.147f, 3.606f, -0.232f)
                arcToRelative(0.016f, 0.016f, 0.0f, false, true, 0.025f, 0.018f)
                curveToRelative(-0.072f, 0.273f, -0.458f, 1.873f, 0.147f, 2.37f)
                lineToRelative(0.034f, 0.026f)
                lineToRelative(-0.82f, 0.578f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, false, 0.147f, 0.38f)
                lineToRelative(0.422f, -0.047f)
                arcToRelative(1.216f, 1.216f, 0.0f, false, false, 0.725f, -0.34f)
                lineToRelative(0.148f, -0.14f)
                lineToRelative(1.193f, 0.886f)
                lineToRelative(-0.158f, 1.261f)
                arcToRelative(3.1f, 3.098f, 0.0f, true, false, 2.56f, 1.623f)
                lineToRelative(0.305f, -0.195f)
                arcToRelative(0.748f, 0.748f, 0.0f, false, false, 1.218f, -0.756f)
                lineToRelative(1.262f, -0.37f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, false, 0.147f, -0.24f)
                lineToRelative(-0.008f, -0.041f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, false, -0.203f, -0.164f)
                horizontalLineToRelative(-1.071f)
                arcToRelative(0.018f, 0.018f, 0.0f, false, true, -0.015f, -0.01f)
                lineToRelative(-0.322f, -0.727f)
                lineToRelative(0.64f, -3.762f)
                lineToRelative(1.034f, 0.767f)
                arcToRelative(3.1f, 3.098f, 0.0f, true, false, 5.224f, 0.0f)
                close()
                moveTo(14.906f, 7.893f)
                lineToRelative(1.46f, -0.025f)
                lineToRelative(0.192f, 0.361f)
                curveToRelative(-0.338f, 0.012f, -0.69f, 0.039f, -1.033f, 0.082f)
                curveToRelative(-0.247f, 0.03f, -0.545f, -0.287f, -0.634f, -0.387f)
                arcToRelative(0.02f, 0.02f, 0.0f, false, true, 0.015f, -0.03f)
                close()
                moveTo(12.692f, 10.078f)
                curveToRelative(0.122f, -0.204f, 0.831f, -1.384f, 0.92f, -1.787f)
                arcToRelative(0.018f, 0.018f, 0.0f, false, true, 0.03f, -0.007f)
                curveToRelative(0.471f, 0.55f, 1.468f, 0.866f, 1.545f, 0.885f)
                arcToRelative(0.009f, 0.009f, 0.0f, false, false, 0.008f, 0.0f)
                lineToRelative(1.28f, -0.394f)
                lineToRelative(0.287f, 0.213f)
                lineToRelative(-1.34f, 1.229f)
                arcToRelative(0.918f, 0.918f, 0.0f, false, false, -0.52f, -0.228f)
                curveToRelative(-0.77f, -0.098f, -1.975f, 0.076f, -2.194f, 0.11f)
                arcToRelative(0.016f, 0.016f, 0.0f, false, true, -0.006f, -0.021f)
                close()
                moveTo(16.002f, 14.107f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, -0.249f, 0.074f)
                lineToRelative(-0.915f, -0.7f)
                arcToRelative(0.015f, 0.015f, 0.0f, false, true, 0.0f, -0.019f)
                lineToRelative(0.458f, -0.948f)
                arcToRelative(0.016f, 0.016f, 0.0f, false, true, 0.03f, 0.0f)
                lineToRelative(0.752f, 1.18f)
                close()
                moveTo(14.06f, 13.082f)
                lineToRelative(-0.626f, -0.468f)
                lineToRelative(1.2f, -1.1f)
                close()
                moveTo(14.06f, 11.459f)
                lineToRelative(-0.974f, 0.894f)
                lineToRelative(-0.977f, -0.727f)
                arcToRelative(11.265f, 11.258f, 0.0f, false, false, 1.97f, -0.16f)
                close()
                moveTo(13.282f, 13.012f)
                lineToRelative(0.643f, 0.478f)
                lineToRelative(-0.077f, 0.211f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, false, 0.172f, 0.369f)
                lineToRelative(1.34f, 0.488f)
                lineToRelative(0.04f, 0.03f)
                arcToRelative(0.753f, 0.752f, 0.0f, false, false, -0.019f, 0.473f)
                lineToRelative(-0.295f, 0.192f)
                arcToRelative(3.09f, 3.088f, 0.0f, false, false, -1.919f, -1.217f)
                close()
                moveTo(13.074f, 14.673f)
                arcToRelative(2.46f, 2.458f, 0.0f, false, true, 1.465f, 0.925f)
                lineToRelative(-1.717f, 1.092f)
                close()
                moveTo(13.896f, 19.153f)
                arcToRelative(2.46f, 2.46f, 0.0f, true, true, -1.235f, -4.53f)
                lineToRelative(-0.309f, 2.456f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.096f, 0.203f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, false, 0.223f, 0.0f)
                lineToRelative(2.089f, -1.328f)
                arcToRelative(2.462f, 2.46f, 0.0f, false, true, -0.866f, 3.198f)
                close()
                moveTo(15.726f, 11.108f)
                arcToRelative(0.01f, 0.01f, 0.0f, false, true, 0.0f, -0.01f)
                arcToRelative(1.329f, 1.328f, 0.0f, false, false, -0.063f, -0.518f)
                lineToRelative(1.133f, -1.033f)
                lineToRelative(-0.49f, 2.875f)
                close()
                moveTo(22.212f, 13.859f)
                arcToRelative(2.46f, 2.458f, 0.0f, false, true, -3.418f, -3.362f)
                lineToRelative(1.95f, 1.452f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, false, 0.237f, 0.008f)
                arcToRelative(0.196f, 0.196f, 0.0f, false, false, 0.054f, -0.05f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.043f, -0.295f)
                lineToRelative(-1.953f, -1.45f)
                arcToRelative(2.385f, 2.384f, 0.0f, false, true, 0.526f, -0.443f)
                arcToRelative(2.46f, 2.46f, 0.0f, true, true, 2.644f, 4.147f)
                close()
            }
        }
        .build()
        return _postmates!!
    }

private var _postmates: ImageVector? = null
