package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Prestashop: ImageVector
    get() {
        if (_prestashop != null) {
            return _prestashop!!
        }
        _prestashop = Builder(name = "Prestashop", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.558f, 1.034f)
                curveTo(5.174f, 1.034f, 0.0f, 6.21f, 0.0f, 12.592f)
                curveToRelative(0.0f, 1.258f, 0.201f, 2.47f, 0.574f, 3.597f)
                lineToRelative(0.002f, -0.007f)
                arcToRelative(12.415f, 12.415f, 0.0f, false, true, 0.53f, -1.787f)
                lineToRelative(0.011f, -0.03f)
                curveToRelative(0.085f, -0.222f, 0.179f, -0.442f, 0.277f, -0.66f)
                lineToRelative(0.084f, -0.181f)
                curveToRelative(0.08f, -0.171f, 0.165f, -0.34f, 0.253f, -0.507f)
                curveToRelative(0.036f, -0.068f, 0.07f, -0.136f, 0.108f, -0.203f)
                curveToRelative(0.02f, -0.038f, 0.044f, -0.073f, 0.064f, -0.11f)
                curveToRelative(0.094f, -0.166f, 0.19f, -0.332f, 0.29f, -0.493f)
                lineToRelative(0.075f, -0.114f)
                curveToRelative(0.125f, -0.195f, 0.256f, -0.386f, 0.393f, -0.573f)
                lineToRelative(0.035f, -0.05f)
                curveToRelative(0.144f, -0.193f, 0.295f, -0.38f, 0.451f, -0.563f)
                lineToRelative(0.1f, -0.118f)
                curveToRelative(0.155f, -0.177f, 0.315f, -0.35f, 0.481f, -0.517f)
                lineToRelative(0.099f, -0.097f)
                arcToRelative(10.321f, 10.321f, 0.0f, false, true, 0.546f, -0.503f)
                curveToRelative(0.74f, -2.48f, 3.005f, -4.285f, 5.686f, -4.285f)
                curveToRelative(1.079f, 0.0f, 2.152f, 0.31f, 3.071f, 0.873f)
                arcToRelative(6.017f, 6.017f, 0.0f, false, true, 2.211f, 2.407f)
                lineToRelative(0.007f, 0.015f)
                lineToRelative(0.04f, 0.074f)
                verticalLineToRelative(0.003f)
                lineToRelative(0.004f, 0.002f)
                arcToRelative(9.925f, 9.925f, 0.0f, false, true, 1.567f, 1.198f)
                curveToRelative(0.04f, 0.037f, 0.081f, 0.071f, 0.12f, 0.109f)
                curveToRelative(0.002f, 0.0f, 0.006f, 0.005f, 0.007f, 0.006f)
                lineToRelative(-0.002f, -0.006f)
                lineToRelative(-0.001f, -0.004f)
                verticalLineToRelative(-0.003f)
                lineToRelative(0.042f, -0.084f)
                curveToRelative(0.377f, -2.384f, 1.43f, -4.102f, 2.67f, -4.102f)
                curveToRelative(0.934f, 0.0f, 1.762f, 0.975f, 2.276f, 2.476f)
                lineToRelative(0.005f, 0.016f)
                lineToRelative(0.001f, 0.002f)
                curveToRelative(0.145f, 0.158f, 0.287f, 0.331f, 0.424f, 0.521f)
                lineToRelative(0.007f, 0.01f)
                lineToRelative(0.021f, 0.067f)
                lineToRelative(-0.02f, -0.078f)
                curveToRelative(-1.542f, -4.569f, -5.863f, -7.857f, -10.952f, -7.857f)
                close()
                moveTo(9.927f, 5.477f)
                curveTo(7.586f, 5.52f, 5.34f, 7.132f, 4.574f, 9.365f)
                lineToRelative(-0.012f, 0.034f)
                arcToRelative(10.14f, 10.14f, 0.0f, false, true, 1.315f, -0.895f)
                curveToRelative(2.806f, -1.656f, 6.479f, -1.646f, 9.278f, 0.016f)
                curveToRelative(-0.895f, -1.653f, -2.631f, -2.819f, -4.5f, -3.004f)
                arcToRelative(5.14f, 5.14f, 0.0f, false, false, -0.728f, -0.039f)
                close()
                moveTo(19.761f, 5.977f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, false, -0.39f, 0.067f)
                curveToRelative(-1.265f, 0.562f, -1.719f, 2.073f, -2.031f, 3.303f)
                lineToRelative(-0.016f, 0.072f)
                curveToRelative(0.365f, -0.62f, 0.808f, -1.215f, 1.396f, -1.642f)
                curveToRelative(0.835f, -0.687f, 2.105f, -0.655f, 2.916f, 0.053f)
                curveToRelative(0.308f, 0.326f, 0.141f, 0.008f, 0.031f, -0.22f)
                curveToRelative(-0.342f, -0.75f, -1.025f, -1.653f, -1.906f, -1.634f)
                close()
                moveTo(21.67f, 7.98f)
                close()
                moveTo(12.35f, 8.315f)
                lineToRelative(-1.07f, 3.27f)
                lineToRelative(-0.002f, 0.005f)
                lineToRelative(-0.006f, 0.002f)
                lineToRelative(-4.498f, 1.112f)
                horizontalLineToRelative(-0.009f)
                lineToRelative(4.456f, 1.087f)
                curveToRelative(0.105f, 0.11f, 0.227f, 0.205f, 0.36f, 0.28f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.042f, 0.024f, 0.085f, 0.045f, 0.129f, 0.065f)
                lineToRelative(0.01f, 0.005f)
                curveToRelative(0.041f, 0.018f, 0.083f, 0.033f, 0.126f, 0.047f)
                lineToRelative(0.021f, 0.008f)
                curveToRelative(0.04f, 0.013f, 0.08f, 0.023f, 0.12f, 0.032f)
                lineToRelative(0.033f, 0.008f)
                arcToRelative(1.677f, 1.677f, 0.0f, false, false, 0.318f, 0.033f)
                arcToRelative(1.546f, 1.546f, 0.0f, false, false, 1.43f, -0.948f)
                curveToRelative(0.08f, -0.186f, 0.123f, -0.39f, 0.123f, -0.604f)
                verticalLineToRelative(-0.011f)
                lineToRelative(-0.001f, -0.012f)
                curveToRelative(-0.001f, -0.054f, -0.004f, -0.107f, -0.01f, -0.16f)
                lineToRelative(-0.001f, -0.002f)
                arcToRelative(1.506f, 1.506f, 0.0f, false, false, -0.026f, -0.153f)
                lineToRelative(-0.001f, -0.004f)
                arcToRelative(1.511f, 1.511f, 0.0f, false, false, -0.096f, -0.288f)
                verticalLineToRelative(-0.003f)
                arcToRelative(1.521f, 1.521f, 0.0f, false, false, -0.348f, -0.49f)
                verticalLineToRelative(-0.003f)
                close()
                moveTo(15.498f, 8.941f)
                curveToRelative(0.048f, 1.008f, 0.036f, 2.046f, -0.1f, 3.057f)
                curveToRelative(-0.17f, 2.018f, -1.19f, 3.798f, -1.972f, 5.616f)
                lineToRelative(-0.03f, 0.08f)
                lineToRelative(-0.035f, 0.086f)
                curveToRelative(1.51f, -1.522f, 3.17f, -3.04f, 3.969f, -5.082f)
                curveToRelative(0.383f, -0.636f, 0.118f, -1.342f, -0.115f, -1.976f)
                curveToRelative(-0.17f, -0.877f, -1.069f, -1.278f, -1.717f, -1.781f)
                close()
                moveTo(21.67f, 9.513f)
                lineToRelative(-0.588f, 2.688f)
                arcToRelative(1.764f, 1.764f, 0.0f, false, false, -0.047f, 0.2f)
                curveToRelative(-0.002f, 0.02f, -0.007f, 0.04f, -0.01f, 0.06f)
                arcToRelative(1.76f, 1.76f, 0.0f, false, false, -0.016f, 0.222f)
                lineToRelative(-0.002f, 0.031f)
                horizontalLineToRelative(0.003f)
                curveToRelative(0.0f, 0.628f, 0.297f, 1.136f, 0.663f, 1.137f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, false, 0.182f, -0.045f)
                lineToRelative(0.027f, -0.015f)
                arcToRelative(0.537f, 0.537f, 0.0f, false, false, 0.07f, -0.047f)
                curveToRelative(0.013f, -0.01f, 0.024f, -0.022f, 0.036f, -0.033f)
                arcToRelative(0.752f, 0.752f, 0.0f, false, false, 0.137f, -0.168f)
                lineToRelative(0.03f, -0.054f)
                arcToRelative(1.23f, 1.23f, 0.0f, false, false, 0.052f, -0.108f)
                lineToRelative(0.017f, -0.04f)
                curveToRelative(0.02f, -0.053f, 0.038f, -0.108f, 0.053f, -0.166f)
                lineToRelative(0.002f, -0.002f)
                lineToRelative(0.001f, -0.003f)
                lineToRelative(0.404f, -0.451f)
                lineToRelative(-0.407f, -0.456f)
                verticalLineToRelative(0.001f)
                lineToRelative(-0.02f, -0.063f)
                close()
                moveTo(17.289f, 10.369f)
                curveToRelative(0.69f, 1.716f, 0.85f, 3.707f, 0.091f, 5.43f)
                curveToRelative(-0.49f, 1.368f, -1.587f, 2.463f, -1.874f, 3.905f)
                curveToRelative(0.73f, 0.115f, 1.468f, 0.176f, 2.21f, 0.186f)
                curveToRelative(2.166f, 0.029f, 4.332f, -0.42f, 6.284f, -1.365f)
                curveToRelative(-2.04f, -2.869f, -4.121f, -5.755f, -6.711f, -8.156f)
                close()
                moveTo(12.341f, 11.346f)
                arcToRelative(0.583f, 0.583f, 0.0f, true, true, 0.0f, 1.166f)
                arcToRelative(0.583f, 0.583f, 0.0f, false, true, 0.0f, -1.166f)
                close()
                moveTo(21.693f, 11.716f)
                curveToRelative(0.138f, 0.0f, 0.249f, 0.19f, 0.249f, 0.426f)
                reflectiveCurveToRelative(-0.111f, 0.426f, -0.249f, 0.426f)
                curveToRelative(-0.137f, 0.0f, -0.248f, -0.19f, -0.248f, -0.426f)
                curveToRelative(0.0f, -0.235f, 0.11f, -0.426f, 0.248f, -0.426f)
                close()
                moveTo(17.649f, 11.9f)
                curveToRelative(-0.016f, 0.112f, -0.033f, 0.209f, -0.05f, 0.29f)
                lineToRelative(-0.006f, 0.023f)
                curveToRelative(-0.01f, 0.05f, -0.022f, 0.094f, -0.033f, 0.128f)
                curveToRelative(-0.48f, 1.417f, -1.275f, 2.52f, -2.36f, 3.697f)
                curveToRelative(-0.147f, 0.16f, -0.301f, 0.32f, -0.459f, 0.484f)
                arcToRelative(58.883f, 58.883f, 0.0f, false, true, -1.196f, 1.205f)
                curveToRelative(-0.112f, 0.11f, -0.259f, 0.261f, -0.425f, 0.436f)
                curveToRelative(-0.103f, 0.287f, -0.22f, 0.61f, -0.318f, 0.95f)
                curveToRelative(-0.044f, -0.016f, -0.086f, -0.031f, -0.131f, -0.049f)
                curveToRelative(-2.108f, -0.815f, -3.519f, -1.904f, -3.519f, -1.904f)
                reflectiveCurveToRelative(1.086f, 1.414f, 2.915f, 2.74f)
                curveToRelative(0.177f, 0.129f, 0.351f, 0.24f, 0.522f, 0.339f)
                curveToRelative(-0.075f, 1.194f, 0.452f, 2.34f, 2.83f, 2.682f)
                arcToRelative(4.81f, 4.81f, 0.0f, false, false, 1.228f, 0.008f)
                lineToRelative(-0.01f, -0.029f)
                arcToRelative(0.062f, 0.062f, 0.0f, false, false, -0.004f, -0.01f)
                reflectiveCurveToRelative(-0.167f, -0.133f, -0.379f, -0.377f)
                arcToRelative(3.842f, 3.842f, 0.0f, false, true, -0.584f, -0.897f)
                arcToRelative(3.382f, 3.382f, 0.0f, false, true, -0.266f, -0.862f)
                arcToRelative(3.176f, 3.176f, 0.0f, false, true, -0.006f, -0.972f)
                curveToRelative(0.017f, -0.12f, 0.04f, -0.241f, 0.072f, -0.366f)
                curveToRelative(0.093f, -0.374f, 0.255f, -0.772f, 0.507f, -1.192f)
                lineToRelative(0.002f, -0.003f)
                lineToRelative(0.241f, -0.404f)
                curveToRelative(1.103f, -1.86f, 1.797f, -3.275f, 1.506f, -5.441f)
                arcToRelative(8.943f, 8.943f, 0.0f, false, false, -0.078f, -0.476f)
                close()
                moveTo(22.317f, 12.476f)
                lineToRelative(0.001f, 0.008f)
                lineToRelative(-0.001f, -0.008f)
                close()
                moveTo(22.33f, 12.679f)
                lineToRelative(0.003f, 0.036f)
                verticalLineToRelative(0.01f)
                curveToRelative(0.0f, 0.013f, -0.003f, 0.025f, -0.003f, 0.038f)
                curveToRelative(0.0f, -0.014f, 0.003f, -0.028f, 0.003f, -0.043f)
                curveToRelative(0.0f, -0.014f, -0.002f, -0.026f, -0.003f, -0.04f)
                close()
                moveTo(22.318f, 12.954f)
                verticalLineToRelative(0.001f)
                lineToRelative(-0.002f, 0.01f)
                lineToRelative(-0.002f, 0.014f)
                lineToRelative(0.004f, -0.025f)
                close()
                moveTo(23.671f, 18.882f)
                curveToRelative(-2.553f, 1.138f, -5.44f, 1.44f, -8.192f, 1.007f)
                curveToRelative(-0.14f, 1.108f, 0.384f, 2.218f, 1.214f, 2.93f)
                lineToRelative(0.012f, 0.01f)
                curveToRelative(2.703f, -0.433f, 4.975f, -2.168f, 6.966f, -3.946f)
                close()
            }
        }
        .build()
        return _prestashop!!
    }

private var _prestashop: ImageVector? = null
