package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Proxmox: ImageVector
    get() {
        if (_proxmox != null) {
            return _proxmox!!
        }
        _proxmox = Builder(name = "Proxmox", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.928f, 1.825f)
                curveToRelative(-1.09f, 0.553f, -1.09f, 0.64f, -0.07f, 1.78f)
                curveToRelative(5.655f, 6.295f, 7.004f, 7.782f, 7.107f, 7.782f)
                curveToRelative(0.139f, 0.017f, 7.971f, -8.542f, 8.058f, -8.801f)
                curveToRelative(0.034f, -0.07f, -0.208f, -0.312f, -0.519f, -0.536f)
                curveToRelative(-0.415f, -0.312f, -0.864f, -0.433f, -1.712f, -0.467f)
                curveToRelative(-1.59f, -0.104f, -2.144f, 0.242f, -4.115f, 2.455f)
                curveToRelative(-0.899f, 1.003f, -1.66f, 1.833f, -1.66f, 1.833f)
                curveToRelative(-0.017f, 0.0f, -0.76f, -0.813f, -1.642f, -1.798f)
                reflectiveCurveTo(8.473f, 2.1f, 8.127f, 1.91f)
                curveToRelative(-0.796f, -0.45f, -2.421f, -0.484f, -3.2f, -0.086f)
                close()
                moveTo(1.297f, 4.367f)
                curveTo(0.45f, 4.695f, 0.0f, 5.007f, 0.0f, 5.248f)
                curveToRelative(0.0f, 0.121f, 1.331f, 1.678f, 2.94f, 3.459f)
                curveToRelative(1.625f, 1.78f, 2.939f, 3.268f, 2.939f, 3.302f)
                curveToRelative(0.0f, 0.035f, -1.331f, 1.522f, -2.94f, 3.303f)
                curveTo(1.314f, 17.11f, 0.017f, 18.683f, 0.035f, 18.822f)
                curveToRelative(0.086f, 0.467f, 1.504f, 1.055f, 2.541f, 1.055f)
                curveToRelative(1.678f, -0.018f, 2.058f, -0.312f, 5.603f, -4.202f)
                curveToRelative(1.78f, -1.954f, 3.233f, -3.614f, 3.233f, -3.666f)
                curveToRelative(0.0f, -0.069f, -1.435f, -1.694f, -3.199f, -3.63f)
                curveToRelative(-2.3f, -2.508f, -3.423f, -3.632f, -3.96f, -3.874f)
                curveToRelative(-0.812f, -0.398f, -2.126f, -0.467f, -2.956f, -0.138f)
                close()
                moveTo(19.764f, 4.487f)
                curveToRelative(-0.502f, 0.26f, -1.764f, 1.505f, -3.943f, 3.891f)
                curveToRelative(-1.763f, 1.937f, -3.199f, 3.562f, -3.199f, 3.631f)
                curveToRelative(0.0f, 0.07f, 1.453f, 1.712f, 3.234f, 3.666f)
                curveToRelative(3.544f, 3.89f, 3.925f, 4.184f, 5.602f, 4.202f)
                curveToRelative(1.038f, 0.0f, 2.455f, -0.588f, 2.542f, -1.055f)
                curveToRelative(0.017f, -0.156f, -1.28f, -1.712f, -2.905f, -3.493f)
                curveToRelative(-1.608f, -1.78f, -2.94f, -3.285f, -2.94f, -3.32f)
                curveToRelative(0.0f, -0.034f, 1.332f, -1.539f, 2.94f, -3.32f)
                curveTo(22.72f, 6.91f, 24.017f, 5.352f, 24.0f, 5.214f)
                curveToRelative(-0.087f, -0.45f, -1.366f, -0.968f, -2.473f, -1.038f)
                curveToRelative(-0.795f, -0.034f, -1.21f, 0.035f, -1.763f, 0.312f)
                close()
                moveTo(7.954f, 16.973f)
                curveToRelative(-2.144f, 2.369f, -3.908f, 4.374f, -3.943f, 4.46f)
                curveToRelative(-0.034f, 0.07f, 0.208f, 0.312f, 0.52f, 0.537f)
                curveToRelative(0.414f, 0.311f, 0.864f, 0.432f, 1.711f, 0.467f)
                curveToRelative(1.574f, 0.103f, 2.161f, -0.26f, 4.15f, -2.508f)
                curveToRelative(0.864f, -0.968f, 1.608f, -1.78f, 1.625f, -1.78f)
                reflectiveCurveToRelative(0.761f, 0.812f, 1.643f, 1.798f)
                curveToRelative(2.023f, 2.248f, 2.559f, 2.576f, 4.132f, 2.49f)
                curveToRelative(0.848f, -0.035f, 1.297f, -0.156f, 1.712f, -0.467f)
                curveToRelative(0.311f, -0.225f, 0.553f, -0.467f, 0.519f, -0.536f)
                curveToRelative(-0.087f, -0.26f, -7.92f, -8.819f, -8.058f, -8.801f)
                curveToRelative(-0.069f, 0.0f, -1.867f, 1.954f, -4.011f, 4.34f)
                close()
            }
        }
        .build()
        return _proxmox!!
    }

private var _proxmox: ImageVector? = null
