package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Qiita: ImageVector
    get() {
        if (_qiita != null) {
            return _qiita!!
        }
        _qiita = Builder(name = "Qiita", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.57f, 8.343f)
                arcToRelative(3.653f, 3.653f, 0.0f, false, false, -1.376f, 0.269f)
                arcToRelative(3.585f, 3.585f, 0.0f, false, false, -1.14f, 0.738f)
                arcToRelative(3.503f, 3.503f, 0.0f, false, false, -0.773f, 1.102f)
                arcTo(3.297f, 3.297f, 0.0f, false, false, 0.0f, 11.814f)
                arcToRelative(3.28f, 3.28f, 0.0f, false, false, 0.281f, 1.357f)
                arcToRelative(3.535f, 3.535f, 0.0f, false, false, 0.775f, 1.107f)
                arcTo(3.636f, 3.636f, 0.0f, false, false, 3.6f, 15.29f)
                arcToRelative(3.731f, 3.731f, 0.0f, false, false, 0.987f, -0.13f)
                arcToRelative(3.657f, 3.657f, 0.0f, false, false, 0.888f, -0.374f)
                lineToRelative(0.687f, 0.698f)
                arcToRelative(0.579f, 0.579f, 0.0f, false, false, 0.824f, 0.0f)
                arcToRelative(0.58f, 0.58f, 0.0f, false, false, 0.0f, -0.817f)
                lineToRelative(-0.624f, -0.624f)
                arcToRelative(3.533f, 3.533f, 0.0f, false, false, 0.613f, -1.022f)
                arcToRelative(3.282f, 3.282f, 0.0f, false, false, 0.226f, -1.208f)
                arcToRelative(3.297f, 3.297f, 0.0f, false, false, -0.282f, -1.362f)
                arcToRelative(3.488f, 3.488f, 0.0f, false, false, -0.775f, -1.102f)
                arcTo(3.614f, 3.614f, 0.0f, false, false, 5.0f, 8.612f)
                arcToRelative(3.657f, 3.657f, 0.0f, false, false, -1.398f, -0.27f)
                arcToRelative(3.653f, 3.653f, 0.0f, false, false, -0.031f, 0.0f)
                close()
                moveTo(14.876f, 8.528f)
                verticalLineToRelative(1.484f)
                horizontalLineToRelative(-0.765f)
                verticalLineToRelative(1.063f)
                horizontalLineToRelative(0.765f)
                verticalLineToRelative(2.142f)
                curveToRelative(0.0f, 0.419f, 0.053f, 0.761f, 0.159f, 1.028f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, false, 0.433f, 0.63f)
                arcToRelative(1.511f, 1.511f, 0.0f, false, false, 0.643f, 0.317f)
                arcToRelative(2.676f, 2.676f, 0.0f, false, false, 0.694f, 0.086f)
                horizontalLineToRelative(0.853f)
                verticalLineToRelative(-1.013f)
                horizontalLineToRelative(-0.736f)
                arcToRelative(1.25f, 1.25f, 0.0f, false, true, -0.352f, -0.048f)
                arcToRelative(0.713f, 0.713f, 0.0f, false, true, -0.291f, -0.169f)
                arcToRelative(0.81f, 0.81f, 0.0f, false, true, -0.2f, -0.324f)
                arcToRelative(1.575f, 1.575f, 0.0f, false, true, -0.074f, -0.519f)
                verticalLineToRelative(-2.13f)
                horizontalLineToRelative(1.666f)
                verticalLineToRelative(-1.063f)
                horizontalLineToRelative(-1.66f)
                lineTo(16.011f, 8.528f)
                close()
                moveTo(9.4f, 8.856f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, -0.69f, 0.691f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, 0.69f, 0.69f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, 0.691f, -0.69f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, -0.69f, -0.691f)
                close()
                moveTo(12.171f, 8.856f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, -0.69f, 0.691f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, 0.69f, 0.69f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, 0.691f, -0.69f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, -0.69f, -0.691f)
                close()
                moveTo(3.571f, 9.394f)
                arcToRelative(2.324f, 2.324f, 0.0f, false, true, 0.03f, 0.0f)
                arcToRelative(2.35f, 2.35f, 0.0f, false, true, 0.93f, 0.187f)
                arcToRelative(2.346f, 2.346f, 0.0f, false, true, 1.264f, 1.28f)
                arcToRelative(2.463f, 2.463f, 0.0f, false, true, 0.186f, 0.957f)
                arcToRelative(2.444f, 2.444f, 0.0f, false, true, -0.186f, 0.957f)
                arcToRelative(2.384f, 2.384f, 0.0f, false, true, -0.506f, 0.767f)
                arcToRelative(2.363f, 2.363f, 0.0f, false, true, -1.688f, 0.698f)
                arcToRelative(2.324f, 2.324f, 0.0f, false, true, -0.93f, -0.186f)
                arcToRelative(2.376f, 2.376f, 0.0f, false, true, -0.755f, -0.512f)
                arcToRelative(2.427f, 2.427f, 0.0f, false, true, -0.699f, -1.723f)
                arcToRelative(2.44f, 2.44f, 0.0f, false, true, 0.699f, -1.727f)
                arcToRelative(2.384f, 2.384f, 0.0f, false, true, 0.756f, -0.511f)
                arcToRelative(2.324f, 2.324f, 0.0f, false, true, 0.898f, -0.187f)
                close()
                moveTo(21.219f, 10.167f)
                arcToRelative(2.69f, 2.69f, 0.0f, false, false, -1.02f, 0.201f)
                arcToRelative(2.49f, 2.49f, 0.0f, false, false, -0.815f, 0.552f)
                arcToRelative(2.432f, 2.432f, 0.0f, false, false, -0.525f, 0.814f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -0.186f, 0.998f)
                arcToRelative(2.644f, 2.644f, 0.0f, false, false, 0.186f, 0.997f)
                arcToRelative(2.485f, 2.485f, 0.0f, false, false, 0.525f, 0.814f)
                arcToRelative(2.436f, 2.436f, 0.0f, false, false, 0.815f, 0.546f)
                arcToRelative(2.697f, 2.697f, 0.0f, false, false, 1.059f, 0.2f)
                arcToRelative(2.42f, 2.42f, 0.0f, false, false, 0.518f, -0.056f)
                arcToRelative(2.524f, 2.524f, 0.0f, false, false, 0.46f, -0.146f)
                arcToRelative(2.426f, 2.426f, 0.0f, false, false, 0.394f, -0.213f)
                arcToRelative(2.394f, 2.394f, 0.0f, false, false, 0.329f, -0.263f)
                lineToRelative(0.065f, 0.53f)
                lineTo(24.0f, 15.141f)
                verticalLineToRelative(-4.829f)
                horizontalLineToRelative(-0.976f)
                lineToRelative(-0.068f, 0.533f)
                arcToRelative(2.498f, 2.498f, 0.0f, false, false, -0.322f, -0.26f)
                arcToRelative(2.25f, 2.25f, 0.0f, false, false, -0.394f, -0.217f)
                arcToRelative(2.616f, 2.616f, 0.0f, false, false, -0.462f, -0.145f)
                arcToRelative(2.404f, 2.404f, 0.0f, false, false, -0.521f, -0.056f)
                arcToRelative(2.69f, 2.69f, 0.0f, false, false, -0.038f, 0.0f)
                close()
                moveTo(8.844f, 11.011f)
                verticalLineToRelative(4.138f)
                horizontalLineToRelative(1.113f)
                lineTo(9.957f, 11.01f)
                close()
                moveTo(11.614f, 11.011f)
                verticalLineToRelative(4.138f)
                horizontalLineToRelative(1.114f)
                lineTo(12.728f, 11.01f)
                close()
                moveTo(21.334f, 11.156f)
                arcToRelative(1.592f, 1.592f, 0.0f, false, true, 0.024f, 0.0f)
                arcToRelative(1.557f, 1.557f, 0.0f, false, true, 1.098f, 0.445f)
                arcToRelative(1.495f, 1.495f, 0.0f, false, true, 0.334f, 0.495f)
                arcToRelative(1.61f, 1.61f, 0.0f, false, true, 0.121f, 0.631f)
                arcToRelative(1.632f, 1.632f, 0.0f, false, true, -0.121f, 0.64f)
                arcToRelative(1.551f, 1.551f, 0.0f, false, true, -0.331f, 0.498f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, true, -0.49f, 0.324f)
                arcToRelative(1.642f, 1.642f, 0.0f, false, true, -1.207f, 0.0f)
                arcToRelative(1.502f, 1.502f, 0.0f, false, true, -0.493f, -0.324f)
                arcToRelative(1.52f, 1.52f, 0.0f, false, true, -0.333f, -0.5f)
                arcToRelative(1.64f, 1.64f, 0.0f, false, true, -0.122f, -0.638f)
                arcToRelative(1.628f, 1.628f, 0.0f, false, true, 0.12f, -0.637f)
                arcToRelative(1.524f, 1.524f, 0.0f, false, true, 0.328f, -0.495f)
                arcToRelative(1.474f, 1.474f, 0.0f, false, true, 0.49f, -0.323f)
                arcToRelative(1.592f, 1.592f, 0.0f, false, true, 0.581f, -0.116f)
                close()
            }
        }
        .build()
        return _qiita!!
    }

private var _qiita: ImageVector? = null
