package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Qiskit: ImageVector
    get() {
        if (_qiskit != null) {
            return _qiskit!!
        }
        _qiskit = Builder(name = "Qiskit", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.9686f, 0.0f)
                verticalLineToRelative(0.0013f)
                curveTo(7.7636f, 0.0111f, 3.8602f, 2.222f, 1.6966f, 5.8438f)
                curveTo(-0.5206f, 9.5553f, -0.5677f, 14.1722f, 1.5734f, 17.928f)
                curveToRelative(2.0288f, 3.5587f, 5.7249f, 5.821f, 9.7863f, 6.0365f)
                arcToRelative(6.1732f, 6.1732f, 0.0f, false, false, 1.3664f, -0.005f)
                curveToRelative(3.9417f, -0.2393f, 7.5325f, -2.4066f, 9.572f, -5.8207f)
                arcToRelative(11.9785f, 11.9785f, 0.0f, false, false, 1.6939f, -5.9703f)
                arcToRelative(1.3484f, 1.3484f, 0.0f, false, false, 0.008f, -0.1258f)
                verticalLineToRelative(-0.0342f)
                arcToRelative(1.4017f, 1.4017f, 0.0f, false, false, -0.006f, -0.1104f)
                arcToRelative(11.9779f, 11.9779f, 0.0f, false, false, -1.4163f, -5.5598f)
                curveTo(20.5388f, 2.5261f, 16.6048f, 0.1057f, 12.2812f, 0.0033f)
                curveToRelative(-0.08f, -0.0019f, -0.1598f, -0.0013f, -0.2396f, -0.0016f)
                curveTo(12.019f, 0.0015f, 11.9898f, 0.0f, 11.9686f, 0.0f)
                close()
                moveTo(11.9766f, 0.8395f)
                curveToRelative(1.2294f, 0.0012f, 2.0657f, 0.2743f, 2.0657f, 0.5136f)
                curveToRelative(0.0f, 0.2398f, -0.857f, 0.5483f, -2.0567f, 0.5483f)
                curveToRelative(-1.1997f, 0.0f, -2.0908f, -0.2911f, -2.0908f, -0.531f)
                curveToRelative(0.0f, -0.2346f, 0.823f, -0.5168f, 1.9984f, -0.529f)
                curveToRelative(0.0279f, -2.0E-4f, 0.0555f, -0.0018f, 0.0834f, -0.002f)
                close()
                moveTo(14.8507f, 1.2075f)
                arcToRelative(11.2001f, 11.2001f, 0.0f, false, true, 4.9964f, 2.8353f)
                curveToRelative(-1.9678f, -0.7539f, -4.8296f, -1.1702f, -7.6044f, -1.1992f)
                curveToRelative(-1.3468f, 0.0f, -2.703f, 0.0898f, -3.9768f, 0.2587f)
                curveToRelative(-0.277f, -0.3393f, -0.757f, -0.513f, -1.2469f, -0.2737f)
                curveToRelative(-0.27f, 0.132f, -0.4365f, 0.3398f, -0.5178f, 0.5704f)
                curveToRelative(-0.8623f, 0.1802f, -1.6528f, 0.4022f, -2.3352f, 0.6632f)
                arcToRelative(11.1854f, 11.1854f, 0.0f, false, true, 4.916f, -2.8296f)
                curveToRelative(-0.0059f, 0.0445f, -0.01f, 0.09f, -0.01f, 0.1379f)
                curveToRelative(0.0f, 1.2334f, 2.0224f, 1.336f, 2.9137f, 1.336f)
                curveToRelative(0.8912f, 0.0f, 2.8794f, -0.1198f, 2.8794f, -1.336f)
                curveToRelative(0.0f, -0.0569f, -0.0059f, -0.1107f, -0.0143f, -0.163f)
                close()
                moveTo(12.2427f, 3.6486f)
                curveToRelative(4.789f, 0.0599f, 8.3098f, 1.1517f, 9.1259f, 2.2488f)
                curveToRelative(0.0245f, 0.0374f, 0.0496f, 0.0743f, 0.0736f, 0.112f)
                curveToRelative(0.07f, 0.1219f, 0.1071f, 0.2434f, 0.1071f, 0.363f)
                curveToRelative(0.0f, 0.8254f, -1.7313f, 1.7052f, -4.4467f, 2.2304f)
                curveToRelative(-1.5337f, -0.2227f, -3.1837f, -0.3483f, -4.8083f, -0.363f)
                curveToRelative(-0.5957f, 0.0f, -1.1928f, 0.0175f, -1.7869f, 0.0448f)
                lineTo(8.2666f, 4.4024f)
                curveToRelative(0.1364f, -0.1666f, 0.2082f, -0.3464f, 0.2307f, -0.5246f)
                curveToRelative(1.1424f, -0.1443f, 2.4018f, -0.2292f, 3.7454f, -0.2292f)
                close()
                moveTo(6.5494f, 4.2054f)
                curveToRelative(0.159f, 0.3323f, 0.4872f, 0.5848f, 0.946f, 0.5738f)
                curveToRelative(0.0456f, 0.0028f, 0.0912f, 0.0028f, 0.1369f, 0.0f)
                lineToRelative(2.0644f, 3.551f)
                curveToRelative(-0.9554f, 0.0639f, -1.894f, 0.1597f, -2.7865f, 0.2913f)
                curveToRelative(-2.7422f, -0.5285f, -4.4367f, -1.4293f, -4.4367f, -2.249f)
                curveToRelative(0.0f, -0.0962f, 0.0263f, -0.1932f, 0.072f, -0.2904f)
                curveToRelative(0.0497f, -0.0794f, 0.1014f, -0.1573f, 0.153f, -0.2353f)
                curveToRelative(0.5158f, -0.6194f, 1.9017f, -1.2233f, 3.8509f, -1.6414f)
                close()
                moveTo(22.095f, 7.1838f)
                arcToRelative(11.1321f, 11.1321f, 0.0f, false, true, 0.9992f, 3.3529f)
                curveToRelative(-0.873f, -0.6681f, -2.3136f, -1.2006f, -4.0417f, -1.584f)
                curveToRelative(1.46f, -0.4478f, 2.5653f, -1.0446f, 3.0425f, -1.7689f)
                close()
                moveTo(1.9255f, 7.2153f)
                curveToRelative(0.4884f, 0.7285f, 1.5982f, 1.3203f, 3.0449f, 1.7612f)
                curveToRelative(-1.7294f, 0.3856f, -3.1592f, 0.9152f, -4.0297f, 1.5702f)
                curveToRelative(0.0658f, -0.4965f, 0.1638f, -0.993f, 0.299f, -1.4865f)
                curveToRelative(0.176f, -0.6428f, 0.4074f, -1.2586f, 0.6858f, -1.845f)
                close()
                moveTo(12.277f, 9.0277f)
                curveToRelative(0.2927f, 0.0031f, 0.58f, 0.0103f, 0.8643f, 0.0194f)
                curveToRelative(-0.4443f, 0.0189f, -0.8956f, 0.0322f, -1.361f, 0.0322f)
                arcToRelative(31.6185f, 31.6185f, 0.0f, false, true, -0.8262f, -0.0208f)
                lineToRelative(-0.0044f, -0.008f)
                arcToRelative(39.8672f, 39.8672f, 0.0f, false, true, 1.3272f, -0.0228f)
                close()
                moveTo(17.195f, 9.4078f)
                curveToRelative(3.6492f, 0.5526f, 5.954f, 1.6152f, 5.9974f, 2.5807f)
                curveToRelative(0.0f, 0.0152f, -7.0E-4f, 0.0305f, -7.0E-4f, 0.0458f)
                curveToRelative(-0.0524f, 0.9623f, -2.3803f, 1.9992f, -5.943f, 2.5525f)
                curveToRelative(-1.0469f, -0.2007f, -2.1789f, -0.3418f, -3.3325f, -0.4189f)
                lineTo(12.38f, 11.5287f)
                lineToRelative(-0.9443f, -1.6357f)
                curveToRelative(0.109f, 0.0023f, 0.2182f, 0.0072f, 0.327f, 0.0084f)
                curveToRelative(1.8753f, 0.0f, 3.7715f, -0.1718f, 5.4323f, -0.4935f)
                close()
                moveTo(6.821f, 9.4238f)
                curveToRelative(1.1798f, 0.2266f, 2.4668f, 0.375f, 3.7672f, 0.4394f)
                lineToRelative(1.1575f, 1.991f)
                lineToRelative(1.3102f, 2.2676f)
                arcToRelative(31.8296f, 31.8296f, 0.0f, false, false, -0.813f, -0.0235f)
                curveToRelative(-1.895f, 0.0f, -3.8113f, 0.1731f, -5.4852f, 0.4986f)
                curveToRelative(-3.4614f, -0.535f, -5.6997f, -1.5307f, -5.9126f, -2.4592f)
                arcToRelative(11.1137f, 11.1137f, 0.0f, false, true, -3.0E-4f, -0.2637f)
                curveToRelative(0.2145f, -0.9349f, 2.522f, -1.9192f, 5.9762f, -2.4501f)
                close()
                moveTo(23.0903f, 13.5011f)
                arcToRelative(11.1764f, 11.1764f, 0.0f, false, true, -0.9765f, 3.2946f)
                curveToRelative(-0.4665f, -0.7202f, -1.5352f, -1.302f, -2.9364f, -1.7384f)
                curveToRelative(1.679f, -0.3871f, 3.064f, -0.912f, 3.9129f, -1.5562f)
                close()
                moveTo(0.947f, 13.5205f)
                curveToRelative(0.852f, 0.6529f, 2.2333f, 1.1731f, 3.89f, 1.5535f)
                curveToRelative(-1.3891f, 0.4357f, -2.4439f, 1.009f, -2.921f, 1.7023f)
                arcToRelative(11.1813f, 11.1813f, 0.0f, false, true, -0.969f, -3.2558f)
                close()
                moveTo(12.2426f, 14.8863f)
                curveToRelative(0.4403f, 0.0069f, 0.8654f, 0.0254f, 1.2831f, 0.0485f)
                lineToRelative(0.0084f, 0.0144f)
                arcToRelative(39.6667f, 39.6667f, 0.0f, false, true, -1.7885f, 0.0401f)
                arcToRelative(39.3883f, 39.3883f, 0.0f, false, true, -1.435f, -0.0421f)
                arcToRelative(31.1187f, 31.1187f, 0.0f, false, true, 1.932f, -0.061f)
                close()
                moveTo(17.3355f, 15.4089f)
                curveToRelative(2.6122f, 0.5393f, 4.2197f, 1.4099f, 4.2308f, 2.2183f)
                curveToRelative(0.0f, 0.1156f, -0.0357f, 0.233f, -0.1034f, 0.3503f)
                curveToRelative(-0.0116f, 0.0183f, -0.0241f, 0.0362f, -0.0358f, 0.0545f)
                curveToRelative(-0.4058f, 0.6113f, -1.6971f, 1.2205f, -3.5647f, 1.6596f)
                curveToRelative(-0.1728f, -0.2433f, -0.4515f, -0.4161f, -0.8208f, -0.4196f)
                arcToRelative(1.0459f, 1.0459f, 0.0f, false, false, -0.1544f, 0.0f)
                lineToRelative(-2.078f, -3.57f)
                curveToRelative(0.8675f, -0.07f, 1.717f, -0.1666f, 2.5263f, -0.2931f)
                close()
                moveTo(6.6688f, 15.4209f)
                curveToRelative(1.6028f, 0.2481f, 3.3467f, 0.3868f, 5.0597f, 0.4076f)
                curveToRelative(0.758f, 0.0f, 1.5198f, -0.0228f, 2.2726f, -0.0673f)
                lineToRelative(2.235f, 3.8875f)
                arcToRelative(1.0464f, 1.0464f, 0.0f, false, false, -0.2005f, 0.3858f)
                curveToRelative(-1.2744f, 0.1865f, -2.7086f, 0.2995f, -4.2556f, 0.2995f)
                curveToRelative(-4.7015f, -0.0588f, -8.1788f, -1.0996f, -9.0873f, -2.1725f)
                arcToRelative(11.162f, 11.162f, 0.0f, false, true, -0.1855f, -0.2934f)
                curveToRelative(-0.0323f, -0.0807f, -0.0497f, -0.1612f, -0.0508f, -0.241f)
                curveToRelative(0.0106f, -0.8f, 1.6375f, -1.6662f, 4.2124f, -2.2061f)
                close()
                moveTo(19.9331f, 19.8889f)
                curveToRelative(-0.062f, 0.0623f, -0.123f, 0.1254f, -0.1868f, 0.1864f)
                arcToRelative(11.1477f, 11.1477f, 0.0f, false, true, -4.7213f, 2.6894f)
                curveToRelative(0.0506f, -0.1196f, 0.0797f, -0.2446f, 0.0797f, -0.375f)
                curveToRelative(0.0f, -0.5564f, -0.4856f, -1.0308f, -1.2513f, -1.3217f)
                arcToRelative(28.8077f, 28.8077f, 0.0f, false, false, 2.295f, -0.2455f)
                curveToRelative(0.2498f, 0.4144f, 0.7751f, 0.6624f, 1.3193f, 0.4078f)
                curveToRelative(0.3507f, -0.164f, 0.5338f, -0.4565f, 0.5794f, -0.7658f)
                curveToRelative(0.6904f, -0.164f, 1.326f, -0.3566f, 1.886f, -0.5755f)
                close()
                moveTo(4.1488f, 19.9371f)
                curveToRelative(1.5918f, 0.6106f, 3.7654f, 0.9958f, 6.0014f, 1.139f)
                curveToRelative(-0.7448f, 0.2871f, -1.2155f, 0.749f, -1.2155f, 1.2965f)
                verticalLineToRelative(0.017f)
                curveToRelative(0.0f, 0.1298f, 0.03f, 0.2548f, 0.082f, 0.3748f)
                arcToRelative(11.1695f, 11.1695f, 0.0f, false, true, -4.8679f, -2.8273f)
                close()
                moveTo(12.0197f, 21.5331f)
                curveToRelative(1.3883f, 0.0f, 2.2625f, 0.4968f, 2.2796f, 0.8565f)
                curveToRelative(0.0123f, 0.2569f, -0.4576f, 0.5739f, -1.2255f, 0.7348f)
                arcToRelative(11.2018f, 11.2018f, 0.0f, false, true, -2.1983f, -0.008f)
                curveToRelative(-0.7142f, -0.1748f, -1.135f, -0.4912f, -1.135f, -0.7267f)
                curveToRelative(0.0f, -0.3426f, 0.891f, -0.8566f, 2.2792f, -0.8566f)
                close()
            }
        }
        .build()
        return _qiskit!!
    }

private var _qiskit: ImageVector? = null
