package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Scratch: ImageVector
    get() {
        if (_scratch != null) {
            return _scratch!!
        }
        _scratch = Builder(name = "Scratch", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.406f, 11.312f)
                curveToRelative(-0.78f, -0.123f, -1.198f, -0.654f, -0.99f, -2.295f)
                lineToRelative(0.023f, -0.198f)
                curveToRelative(0.175f, -1.426f, 0.321f, -1.743f, 0.996f, -1.706f)
                curveToRelative(0.198f, 0.013f, 0.426f, 0.14f, 0.654f, 0.33f)
                curveToRelative(0.211f, 0.247f, 0.68f, 0.568f, 0.945f, 1.204f)
                curveToRelative(0.19f, 0.466f, 0.254f, 0.77f, 0.281f, 1.098f)
                lineToRelative(0.042f, 0.402f)
                verticalLineToRelative(-0.002f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, false, 1.342f, -0.007f)
                curveToRelative(0.008f, -0.044f, 0.176f, -4.365f, 0.176f, -4.436f)
                curveToRelative(0.0f, -0.38f, -0.302f, -0.69f, -0.68f, -0.696f)
                arcToRelative(0.685f, 0.685f, 0.0f, false, false, -0.682f, 0.688f)
                curveToRelative(0.0f, 0.009f, -0.001f, 0.605f, -0.014f, 1.206f)
                curveToRelative(-0.536f, -0.592f, -1.223f, -1.123f, -1.994f, -1.17f)
                curveToRelative(-2.058f, -0.11f, -2.283f, 1.811f, -2.419f, 2.918f)
                lineToRelative(-0.02f, 0.196f)
                curveToRelative(-0.278f, 2.189f, 0.441f, 3.569f, 2.13f, 3.837f)
                curveToRelative(1.838f, 0.293f, 3.063f, 0.72f, 3.074f, 1.868f)
                curveToRelative(0.007f, 0.446f, -0.224f, 0.903f, -0.627f, 1.254f)
                arcToRelative(2.163f, 2.163f, 0.0f, false, true, -1.749f, 0.507f)
                arcToRelative(3.233f, 3.233f, 0.0f, false, true, -0.539f, -0.141f)
                curveToRelative(-0.24f, -0.136f, -0.847f, -0.51f, -1.154f, -0.942f)
                curveToRelative(-0.26f, -0.364f, -0.35f, -0.937f, -0.378f, -1.3f)
                curveToRelative(0.004f, -0.163f, 0.005f, -0.27f, 0.005f, -0.283f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, -0.669f, -0.703f)
                arcToRelative(0.689f, 0.689f, 0.0f, false, false, -0.696f, 0.682f)
                curveToRelative(0.0f, 0.013f, -0.017f, 1.367f, -0.066f, 2.183f)
                curveToRelative(-0.07f, 1.313f, 0.0f, 2.426f, 0.0f, 2.474f)
                curveToRelative(0.028f, 0.382f, 0.35f, 0.67f, 0.727f, 0.644f)
                arcToRelative(0.681f, 0.681f, 0.0f, false, false, 0.635f, -0.733f)
                curveToRelative(0.0f, -0.006f, -0.033f, -0.545f, -0.029f, -1.29f)
                arcToRelative(5.21f, 5.21f, 0.0f, false, false, 1.938f, 0.773f)
                arcToRelative(3.451f, 3.451f, 0.0f, false, false, 2.856f, -0.82f)
                curveToRelative(0.713f, -0.619f, 1.122f, -1.464f, 1.11f, -2.32f)
                curveToRelative(-0.024f, -2.555f, -2.865f, -3.004f, -4.228f, -3.222f)
                moveTo(14.174f, 0.0f)
                arcToRelative(5.51f, 5.51f, 0.0f, false, false, -2.724f, 0.723f)
                horizontalLineToRelative(-0.112f)
                curveToRelative(-2.637f, 0.0f, -4.937f, 1.392f, -6.15f, 3.728f)
                curveToRelative(-0.728f, 1.393f, -0.9f, 2.75f, -0.999f, 3.579f)
                curveToRelative(-0.012f, 0.089f, -0.018f, 0.17f, -0.028f, 0.262f)
                curveToRelative(-0.12f, 0.974f, -0.123f, 1.904f, -0.01f, 2.772f)
                arcToRelative(5.824f, 5.824f, 0.0f, false, false, -0.625f, 2.529f)
                verticalLineToRelative(0.016f)
                arcToRelative(58.919f, 58.919f, 0.0f, false, true, -0.057f, 1.95f)
                arcToRelative(29.72f, 29.72f, 0.0f, false, false, -0.008f, 2.94f)
                lineToRelative(0.013f, 0.209f)
                curveTo(3.698f, 21.676f, 6.159f, 24.0f, 9.083f, 24.0f)
                arcToRelative(5.516f, 5.516f, 0.0f, false, false, 3.463f, -1.21f)
                arcToRelative(8.357f, 8.357f, 0.0f, false, false, 5.195f, -2.08f)
                curveToRelative(1.826f, -1.587f, 2.859f, -3.845f, 2.83f, -6.19f)
                curveToRelative(-0.013f, -1.362f, -0.346f, -2.638f, -0.978f, -3.763f)
                curveToRelative(0.117f, -1.273f, 0.221f, -4.996f, 0.221f, -5.03f)
                curveToRelative(0.0f, -3.103f, -2.484f, -5.67f, -5.539f, -5.727f)
                close()
                moveTo(14.23f, 2.675f)
                curveToRelative(1.642f, 0.03f, 2.978f, 1.412f, 2.978f, 3.081f)
                curveToRelative(0.0f, 0.038f, -0.145f, 4.497f, -0.215f, 4.883f)
                arcToRelative(3.152f, 3.152f, 0.0f, false, true, -0.203f, 0.69f)
                curveToRelative(0.756f, 0.89f, 1.165f, 2.0f, 1.175f, 3.256f)
                curveToRelative(0.021f, 1.555f, -0.681f, 3.076f, -1.926f, 4.16f)
                arcToRelative(5.763f, 5.763f, 0.0f, false, true, -3.8f, 1.444f)
                arcToRelative(5.986f, 5.986f, 0.0f, false, true, -0.718f, -0.048f)
                arcToRelative(3.386f, 3.386f, 0.0f, false, true, -0.172f, 0.215f)
                arcToRelative(2.97f, 2.97f, 0.0f, false, true, -2.264f, 1.038f)
                curveToRelative(-1.573f, 0.0f, -2.897f, -1.255f, -3.013f, -2.856f)
                lineToRelative(-0.008f, -0.122f)
                arcToRelative(27.366f, 27.366f, 0.0f, false, true, 0.005f, -2.662f)
                curveToRelative(0.039f, -0.679f, 0.06f, -1.831f, 0.062f, -2.08f)
                arcToRelative(3.124f, 3.124f, 0.0f, false, true, 0.783f, -2.025f)
                curveToRelative(-0.237f, -0.835f, -0.312f, -1.836f, -0.167f, -3.02f)
                lineToRelative(0.024f, -0.212f)
                curveToRelative(0.083f, -0.695f, 0.208f, -1.72f, 0.72f, -2.7f)
                curveToRelative(0.765f, -1.473f, 2.168f, -2.318f, 3.848f, -2.318f)
                arcToRelative(4.568f, 4.568f, 0.0f, false, true, 0.824f, 0.07f)
                curveToRelative(0.546f, -0.5f, 1.27f, -0.81f, 2.067f, -0.794f)
                close()
            }
        }
        .build()
        return _scratch!!
    }

private var _scratch: ImageVector? = null
