package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Skillshare: ImageVector
    get() {
        if (_skillshare != null) {
            return _skillshare!!
        }
        _skillshare = Builder(name = "Skillshare", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.783f, 6.056f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, false, -0.773f, 0.764f)
                curveToRelative(0.0f, 0.421f, 0.346f, 0.763f, 0.773f, 0.763f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, false, 0.772f, -0.763f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, false, -0.772f, -0.764f)
                close()
                moveTo(1.895f, 8.1f)
                curveTo(0.821f, 8.1f, 0.111f, 8.622f, 0.111f, 9.413f)
                curveToRelative(0.0f, 0.634f, 0.381f, 1.06f, 1.048f, 1.225f)
                lineToRelative(0.836f, 0.21f)
                curveToRelative(0.248f, 0.078f, 0.348f, 0.2f, 0.347f, 0.39f)
                curveToRelative(0.0f, 0.21f, -0.21f, 0.327f, -0.424f, 0.337f)
                curveToRelative(-0.31f, 0.014f, -0.537f, -0.154f, -0.554f, -0.422f)
                lineTo(0.0f, 11.153f)
                curveToRelative(0.02f, 0.8f, 0.802f, 1.362f, 1.974f, 1.362f)
                curveToRelative(1.108f, 0.0f, 1.827f, -0.513f, 1.827f, -1.382f)
                curveToRelative(0.0f, -0.634f, -0.399f, -1.034f, -1.057f, -1.208f)
                lineToRelative(-0.81f, -0.224f)
                curveToRelative(-0.274f, -0.081f, -0.369f, -0.202f, -0.369f, -0.372f)
                curveToRelative(0.0f, -0.185f, 0.146f, -0.294f, 0.335f, -0.316f)
                curveToRelative(0.274f, -0.032f, 0.486f, 0.087f, 0.486f, 0.382f)
                verticalLineToRelative(0.02f)
                lineTo(3.78f, 9.415f)
                verticalLineToRelative(-0.02f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(0.0f, -0.834f, -0.706f, -1.294f, -1.884f, -1.294f)
                close()
                moveTo(4.38f, 8.216f)
                verticalLineToRelative(4.19f)
                horizontalLineToRelative(1.318f)
                verticalLineToRelative(-1.821f)
                lineToRelative(1.274f, 1.82f)
                horizontalLineToRelative(1.62f)
                lineToRelative(-1.629f, -2.201f)
                lineToRelative(1.604f, -1.977f)
                horizontalLineToRelative(-1.56f)
                lineToRelative(-1.309f, 1.76f)
                verticalLineToRelative(-1.77f)
                close()
                moveTo(9.124f, 8.216f)
                verticalLineToRelative(4.19f)
                horizontalLineToRelative(1.318f)
                verticalLineToRelative(-4.19f)
                close()
                moveTo(11.208f, 8.216f)
                verticalLineToRelative(4.191f)
                horizontalLineToRelative(3.218f)
                verticalLineToRelative(-1.244f)
                horizontalLineToRelative(-1.892f)
                lineTo(12.534f, 8.217f)
                close()
                moveTo(15.145f, 8.216f)
                verticalLineToRelative(4.191f)
                horizontalLineToRelative(3.218f)
                verticalLineToRelative(-1.244f)
                horizontalLineToRelative(-1.892f)
                lineTo(16.471f, 8.217f)
                close()
                moveTo(1.895f, 13.524f)
                curveToRelative(-1.074f, 0.0f, -1.784f, 0.522f, -1.784f, 1.312f)
                curveToRelative(0.0f, 0.635f, 0.381f, 1.06f, 1.048f, 1.225f)
                lineToRelative(0.836f, 0.21f)
                curveToRelative(0.248f, 0.078f, 0.348f, 0.2f, 0.347f, 0.39f)
                curveToRelative(0.0f, 0.21f, -0.21f, 0.328f, -0.424f, 0.338f)
                curveToRelative(-0.31f, 0.014f, -0.537f, -0.155f, -0.554f, -0.423f)
                lineTo(0.0f, 16.576f)
                curveToRelative(0.02f, 0.8f, 0.802f, 1.362f, 1.974f, 1.362f)
                curveToRelative(1.108f, 0.0f, 1.827f, -0.512f, 1.827f, -1.382f)
                curveToRelative(0.0f, -0.634f, -0.399f, -1.034f, -1.057f, -1.207f)
                lineToRelative(-0.81f, -0.225f)
                curveToRelative(-0.274f, -0.081f, -0.369f, -0.201f, -0.369f, -0.371f)
                curveToRelative(0.0f, -0.186f, 0.146f, -0.295f, 0.335f, -0.317f)
                curveToRelative(0.274f, -0.032f, 0.486f, 0.087f, 0.486f, 0.383f)
                verticalLineToRelative(0.019f)
                lineTo(3.78f, 14.838f)
                verticalLineToRelative(-0.02f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(0.0f, -0.834f, -0.706f, -1.294f, -1.884f, -1.294f)
                close()
                moveTo(11.085f, 13.539f)
                curveToRelative(-1.215f, 0.0f, -1.986f, 0.953f, -1.986f, 2.202f)
                curveToRelative(0.0f, 1.257f, 0.72f, 2.202f, 1.968f, 2.201f)
                curveToRelative(0.58f, 0.0f, 1.1f, -0.286f, 1.326f, -0.702f)
                verticalLineToRelative(0.59f)
                horizontalLineToRelative(1.318f)
                verticalLineToRelative(-4.179f)
                horizontalLineToRelative(-1.318f)
                verticalLineToRelative(0.599f)
                curveToRelative(-0.225f, -0.425f, -0.702f, -0.711f, -1.309f, -0.711f)
                close()
                moveTo(19.836f, 13.539f)
                curveToRelative(-1.36f, 0.0f, -2.253f, 0.832f, -2.253f, 2.202f)
                curveToRelative(0.0f, 1.396f, 0.875f, 2.202f, 2.296f, 2.202f)
                curveToRelative(1.11f, 0.0f, 1.951f, -0.546f, 2.08f, -1.37f)
                horizontalLineToRelative(-1.3f)
                curveToRelative(-0.113f, 0.26f, -0.373f, 0.373f, -0.78f, 0.373f)
                curveToRelative(-0.59f, 0.0f, -0.954f, -0.295f, -0.98f, -0.841f)
                horizontalLineToRelative(3.087f)
                curveToRelative(0.026f, -0.234f, 0.035f, -0.364f, 0.035f, -0.581f)
                curveToRelative(0.0f, -1.179f, -0.884f, -1.985f, -2.185f, -1.985f)
                close()
                moveTo(16.966f, 13.582f)
                curveToRelative(-0.51f, 0.0f, -1.005f, 0.32f, -1.152f, 0.945f)
                verticalLineToRelative(-0.876f)
                horizontalLineToRelative(-1.327f)
                verticalLineToRelative(4.179f)
                horizontalLineToRelative(1.327f)
                verticalLineToRelative(-1.613f)
                curveToRelative(0.0f, -0.927f, 0.382f, -1.395f, 1.1f, -1.395f)
                arcToRelative(2.8f, 2.8f, 0.0f, false, true, 0.393f, 0.025f)
                lineToRelative(0.007f, -1.23f)
                arcToRelative(1.28f, 1.28f, 0.0f, false, false, -0.347f, -0.035f)
                close()
                moveTo(4.38f, 13.65f)
                verticalLineToRelative(4.191f)
                horizontalLineToRelative(1.3f)
                verticalLineToRelative(-1.485f)
                horizontalLineToRelative(1.59f)
                verticalLineToRelative(1.485f)
                horizontalLineToRelative(1.3f)
                lineTo(8.57f, 13.65f)
                horizontalLineToRelative(-1.3f)
                verticalLineToRelative(1.505f)
                lineTo(5.68f, 15.155f)
                lineTo(5.68f, 13.65f)
                close()
                moveTo(19.828f, 14.431f)
                curveToRelative(0.564f, 0.0f, 0.876f, 0.295f, 0.885f, 0.85f)
                lineTo(18.9f, 15.281f)
                curveToRelative(0.008f, -0.511f, 0.356f, -0.85f, 0.927f, -0.85f)
                close()
                moveTo(11.448f, 14.648f)
                curveToRelative(0.66f, 0.0f, 0.997f, 0.494f, 0.997f, 1.093f)
                curveToRelative(0.0f, 0.607f, -0.337f, 1.1f, -0.997f, 1.1f)
                curveToRelative(-0.616f, 0.0f, -0.997f, -0.468f, -0.997f, -1.1f)
                curveToRelative(0.0f, -0.634f, 0.382f, -1.093f, 0.997f, -1.093f)
                close()
                moveTo(23.228f, 16.389f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, false, -0.772f, 0.764f)
                curveToRelative(0.0f, 0.422f, 0.345f, 0.764f, 0.772f, 0.764f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, false, 0.772f, -0.764f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, false, -0.772f, -0.764f)
                close()
            }
        }
        .build()
        return _skillshare!!
    }

private var _skillshare: ImageVector? = null
