package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Smartthings: ImageVector
    get() {
        if (_smartthings != null) {
            return _smartthings!!
        }
        _smartthings = Builder(name = "Smartthings", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.51f, 0.0f)
                curveTo(8.338f, 0.0f, 5.034f, 0.537f, 2.694f, 2.694f)
                curveTo(0.5f, 5.174f, 0.0f, 8.464f, 0.0f, 11.525f)
                verticalLineToRelative(0.942f)
                curveToRelative(0.0f, 3.165f, 0.537f, 6.499f, 2.694f, 8.84f)
                curveTo(5.188f, 23.513f, 8.494f, 24.0f, 11.569f, 24.0f)
                horizontalLineToRelative(0.854f)
                curveToRelative(3.18f, 0.0f, 6.528f, -0.53f, 8.883f, -2.694f)
                curveTo(23.514f, 18.811f, 24.0f, 15.5f, 24.0f, 12.423f)
                verticalLineToRelative(-0.853f)
                curveToRelative(0.0f, -3.18f, -0.53f, -6.528f, -2.694f, -8.876f)
                curveTo(18.826f, 0.494f, 15.544f, 0.0f, 12.482f, 0.0f)
                close()
                moveTo(12.0f, 3.505f)
                curveToRelative(1.244f, 0.0f, 2.256f, 0.99f, 2.256f, 2.206f)
                curveToRelative(0.0f, 1.065f, -0.685f, 1.976f, -1.715f, 2.181f)
                verticalLineToRelative(1.59f)
                curveToRelative(1.48f, 0.214f, 2.528f, 1.43f, 2.528f, 2.934f)
                curveToRelative(0.0f, 1.654f, -1.377f, 3.0f, -3.07f, 3.0f)
                curveToRelative(-1.692f, 0.0f, -3.068f, -1.346f, -3.068f, -3.0f)
                curveToRelative(0.0f, -0.17f, 0.017f, -0.335f, 0.045f, -0.497f)
                lineToRelative(-1.536f, -0.488f)
                arcToRelative(2.258f, 2.258f, 0.0f, false, true, -1.962f, 1.12f)
                curveToRelative(-0.237f, 0.0f, -0.471f, -0.037f, -0.698f, -0.11f)
                curveToRelative(-1.183f, -0.375f, -1.833f, -1.622f, -1.449f, -2.78f)
                arcToRelative(2.246f, 2.246f, 0.0f, false, true, 2.146f, -1.524f)
                curveToRelative(0.237f, 0.0f, 0.471f, 0.036f, 0.698f, 0.108f)
                arcToRelative(2.23f, 2.23f, 0.0f, false, true, 1.313f, 1.098f)
                curveToRelative(0.204f, 0.391f, 0.282f, 0.823f, 0.232f, 1.249f)
                lineToRelative(1.535f, 0.488f)
                curveToRelative(0.44f, -0.86f, 1.378f, -1.453f, 2.384f, -1.599f)
                lineTo(11.639f, 7.892f)
                curveToRelative(-1.029f, -0.205f, -1.896f, -1.116f, -1.896f, -2.181f)
                curveToRelative(0.0f, -1.217f, 1.012f, -2.206f, 2.257f, -2.206f)
                close()
                moveTo(12.0f, 4.387f)
                curveToRelative(-0.747f, 0.0f, -1.354f, 0.594f, -1.354f, 1.324f)
                curveToRelative(0.0f, 0.73f, 0.607f, 1.324f, 1.354f, 1.324f)
                curveToRelative(0.746f, 0.0f, 1.354f, -0.594f, 1.354f, -1.324f)
                curveToRelative(0.0f, -0.73f, -0.608f, -1.324f, -1.354f, -1.324f)
                close()
                moveTo(18.522f, 8.137f)
                curveToRelative(0.98f, 0.0f, 1.843f, 0.613f, 2.146f, 1.525f)
                curveToRelative(0.186f, 0.56f, 0.138f, 1.158f, -0.135f, 1.683f)
                curveToRelative(-0.274f, 0.526f, -0.74f, 0.915f, -1.314f, 1.096f)
                curveToRelative(-0.227f, 0.073f, -0.461f, 0.11f, -0.698f, 0.11f)
                arcToRelative(2.258f, 2.258f, 0.0f, false, true, -1.962f, -1.12f)
                lineToRelative(-0.634f, 0.201f)
                lineToRelative(-0.278f, -0.838f)
                lineToRelative(0.632f, -0.202f)
                arcToRelative(2.21f, 2.21f, 0.0f, false, true, 1.546f, -2.347f)
                curveToRelative(0.226f, -0.072f, 0.46f, -0.108f, 0.697f, -0.108f)
                close()
                moveTo(5.476f, 9.02f)
                curveToRelative(-0.588f, 0.0f, -1.105f, 0.368f, -1.287f, 0.915f)
                curveToRelative(-0.23f, 0.694f, 0.159f, 1.442f, 0.869f, 1.668f)
                curveToRelative(0.136f, 0.043f, 0.277f, 0.065f, 0.419f, 0.065f)
                curveToRelative(0.588f, 0.0f, 1.105f, -0.368f, 1.287f, -0.915f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, false, -0.081f, -1.01f)
                arcToRelative(1.338f, 1.338f, 0.0f, false, false, -0.788f, -0.658f)
                arcToRelative(1.377f, 1.377f, 0.0f, false, false, -0.42f, -0.065f)
                close()
                moveTo(18.521f, 9.02f)
                curveToRelative(-0.142f, 0.0f, -0.282f, 0.021f, -0.419f, 0.065f)
                arcToRelative(1.32f, 1.32f, 0.0f, false, false, -0.869f, 1.668f)
                curveToRelative(0.182f, 0.547f, 0.7f, 0.915f, 1.287f, 0.915f)
                curveToRelative(0.142f, 0.0f, 0.283f, -0.022f, 0.42f, -0.065f)
                curveToRelative(0.344f, -0.11f, 0.623f, -0.343f, 0.787f, -0.659f)
                curveToRelative(0.165f, -0.315f, 0.193f, -0.673f, 0.082f, -1.009f)
                arcToRelative(1.348f, 1.348f, 0.0f, false, false, -1.288f, -0.915f)
                close()
                moveTo(12.0f, 10.474f)
                curveToRelative(-1.095f, 0.0f, -1.986f, 0.871f, -1.986f, 1.942f)
                curveToRelative(0.0f, 1.07f, 0.89f, 1.941f, 1.986f, 1.941f)
                curveToRelative(1.094f, 0.0f, 1.985f, -0.87f, 1.985f, -1.94f)
                curveToRelative(0.0f, -1.072f, -0.89f, -1.943f, -1.985f, -1.943f)
                close()
                moveTo(9.294f, 15.305f)
                lineToRelative(0.73f, 0.519f)
                lineToRelative(-0.39f, 0.526f)
                curveToRelative(0.709f, 0.757f, 0.801f, 1.925f, 0.16f, 2.787f)
                curveToRelative(-0.423f, 0.57f, -1.106f, 0.91f, -1.827f, 0.91f)
                curveToRelative(-0.478f, 0.0f, -0.937f, -0.147f, -1.325f, -0.422f)
                arcToRelative(2.177f, 2.177f, 0.0f, false, true, -0.499f, -3.082f)
                arcToRelative(2.28f, 2.28f, 0.0f, false, true, 2.76f, -0.71f)
                close()
                moveTo(14.704f, 15.305f)
                lineToRelative(0.392f, 0.528f)
                arcToRelative(2.285f, 2.285f, 0.0f, false, true, 2.76f, 0.71f)
                arcToRelative(2.178f, 2.178f, 0.0f, false, true, -0.499f, 3.082f)
                arcToRelative(2.275f, 2.275f, 0.0f, false, true, -1.325f, 0.421f)
                arcToRelative(2.28f, 2.28f, 0.0f, false, true, -1.827f, -0.91f)
                arcToRelative(2.172f, 2.172f, 0.0f, false, true, 0.16f, -2.785f)
                lineToRelative(-0.39f, -0.527f)
                close()
                moveTo(7.97f, 16.515f)
                curveToRelative(-0.433f, 0.0f, -0.843f, 0.205f, -1.097f, 0.547f)
                curveToRelative(-0.44f, 0.59f, -0.304f, 1.42f, 0.3f, 1.849f)
                arcToRelative(1.37f, 1.37f, 0.0f, false, false, 1.891f, -0.293f)
                curveToRelative(0.44f, -0.59f, 0.305f, -1.42f, -0.3f, -1.85f)
                arcToRelative(1.364f, 1.364f, 0.0f, false, false, -0.794f, -0.252f)
                close()
                moveTo(16.029f, 16.515f)
                curveToRelative(-0.287f, 0.0f, -0.561f, 0.088f, -0.795f, 0.254f)
                arcToRelative(1.307f, 1.307f, 0.0f, false, false, -0.299f, 1.849f)
                arcToRelative(1.371f, 1.371f, 0.0f, false, false, 1.891f, 0.293f)
                arcToRelative(1.307f, 1.307f, 0.0f, false, false, 0.3f, -1.85f)
                arcToRelative(1.37f, 1.37f, 0.0f, false, false, -1.097f, -0.545f)
                close()
            }
        }
        .build()
        return _smartthings!!
    }

private var _smartthings: ImageVector? = null
