package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Splunk: ImageVector
    get() {
        if (_splunk != null) {
            return _splunk!!
        }
        _splunk = Builder(name = "Splunk", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.348f, 11.911f)
                lineToRelative(-2.241f, -1.091f)
                verticalLineToRelative(-0.65f)
                lineTo(24.0f, 11.621f)
                verticalLineToRelative(0.593f)
                lineToRelative(-2.893f, 1.438f)
                verticalLineToRelative(-0.636f)
                close()
                moveTo(17.951f, 13.752f)
                horizontalLineToRelative(-0.961f)
                verticalLineToRelative(-5.31f)
                horizontalLineToRelative(0.961f)
                verticalLineToRelative(3.116f)
                horizontalLineToRelative(0.102f)
                lineToRelative(1.28f, -1.481f)
                lineToRelative(0.723f, 0.31f)
                lineToRelative(-1.23f, 1.316f)
                lineToRelative(1.453f, 1.809f)
                lineToRelative(-0.888f, 0.311f)
                lineToRelative(-1.44f, -1.996f)
                close()
                moveTo(15.374f, 13.75f)
                verticalLineToRelative(-2.068f)
                arcToRelative(2.685f, 2.685f, 0.0f, false, false, -0.026f, -0.42f)
                arcToRelative(0.791f, 0.791f, 0.0f, false, false, -0.09f, -0.26f)
                curveToRelative(-0.113f, -0.202f, -0.308f, -0.304f, -0.59f, -0.304f)
                arcToRelative(0.888f, 0.888f, 0.0f, false, false, -0.461f, 0.113f)
                arcToRelative(0.673f, 0.673f, 0.0f, false, false, -0.286f, 0.33f)
                arcToRelative(1.012f, 1.012f, 0.0f, false, false, -0.07f, 0.263f)
                curveToRelative(-0.012f, 0.13f, -0.019f, 0.262f, -0.017f, 0.395f)
                verticalLineToRelative(1.95f)
                horizontalLineToRelative(-0.961f)
                verticalLineToRelative(-3.614f)
                horizontalLineToRelative(0.961f)
                lineToRelative(0.002f, 0.485f)
                curveToRelative(0.185f, -0.2f, 0.373f, -0.348f, 0.566f, -0.437f)
                curveToRelative(0.192f, -0.089f, 0.418f, -0.134f, 0.673f, -0.134f)
                curveToRelative(0.286f, 0.0f, 0.527f, 0.058f, 0.721f, 0.177f)
                arcToRelative(1.016f, 1.016f, 0.0f, false, true, 0.475f, 0.665f)
                arcToRelative(1.972f, 1.972f, 0.0f, false, true, 0.054f, 0.448f)
                curveToRelative(0.002f, 0.1f, 0.004f, 0.22f, 0.004f, 0.358f)
                verticalLineToRelative(2.053f)
                close()
                moveTo(11.259f, 13.752f)
                lineToRelative(-0.002f, -0.485f)
                arcToRelative(1.783f, 1.783f, 0.0f, false, true, -0.565f, 0.437f)
                arcToRelative(1.597f, 1.597f, 0.0f, false, true, -0.674f, 0.135f)
                curveToRelative(-0.285f, 0.0f, -0.524f, -0.057f, -0.72f, -0.17f)
                arcToRelative(0.972f, 0.972f, 0.0f, false, true, -0.425f, -0.504f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -0.054f, -0.167f)
                arcToRelative(1.918f, 1.918f, 0.0f, false, true, -0.033f, -0.199f)
                arcToRelative(2.033f, 2.033f, 0.0f, false, true, -0.017f, -0.258f)
                arcToRelative(15.516f, 15.516f, 0.0f, false, true, -0.005f, -0.355f)
                lineTo(8.764f, 10.13f)
                horizontalLineToRelative(0.956f)
                verticalLineToRelative(2.07f)
                curveToRelative(-0.003f, 0.141f, 0.006f, 0.282f, 0.026f, 0.42f)
                curveToRelative(0.015f, 0.092f, 0.045f, 0.18f, 0.09f, 0.26f)
                curveToRelative(0.113f, 0.204f, 0.308f, 0.306f, 0.59f, 0.306f)
                curveToRelative(0.36f, 0.0f, 0.606f, -0.15f, 0.74f, -0.449f)
                curveToRelative(0.035f, -0.082f, 0.06f, -0.168f, 0.074f, -0.257f)
                curveToRelative(0.017f, -0.134f, 0.024f, -0.269f, 0.022f, -0.403f)
                verticalLineToRelative(-1.95f)
                horizontalLineToRelative(0.955f)
                verticalLineToRelative(3.624f)
                close()
                moveTo(7.184f, 8.44f)
                horizontalLineToRelative(0.955f)
                verticalLineToRelative(5.31f)
                horizontalLineToRelative(-0.955f)
                close()
                moveTo(5.759f, 11.9f)
                curveToRelative(0.0f, -0.396f, -0.08f, -0.708f, -0.24f, -0.937f)
                arcToRelative(0.759f, 0.759f, 0.0f, false, false, -0.657f, -0.345f)
                arcToRelative(0.804f, 0.804f, 0.0f, false, false, -0.693f, 0.366f)
                curveToRelative(-0.171f, 0.245f, -0.256f, 0.574f, -0.253f, 0.99f)
                curveToRelative(0.0f, 0.405f, 0.084f, 0.723f, 0.25f, 0.957f)
                arcToRelative(0.796f, 0.796f, 0.0f, false, false, 0.69f, 0.347f)
                arcToRelative(0.685f, 0.685f, 0.0f, false, false, 0.433f, -0.135f)
                arcToRelative(0.985f, 0.985f, 0.0f, false, false, 0.277f, -0.34f)
                curveToRelative(0.071f, -0.14f, 0.121f, -0.292f, 0.147f, -0.448f)
                curveToRelative(0.03f, -0.151f, 0.043f, -0.3f, 0.046f, -0.455f)
                moveToRelative(1.01f, -0.036f)
                curveToRelative(0.003f, 0.266f, -0.04f, 0.532f, -0.129f, 0.786f)
                curveToRelative(-0.082f, 0.23f, -0.204f, 0.441f, -0.364f, 0.626f)
                curveToRelative(-0.31f, 0.361f, -0.764f, 0.567f, -1.24f, 0.563f)
                arcToRelative(1.67f, 1.67f, 0.0f, false, true, -0.313f, -0.028f)
                arcToRelative(1.041f, 1.041f, 0.0f, false, true, -0.275f, -0.098f)
                arcToRelative(1.33f, 1.33f, 0.0f, false, true, -0.257f, -0.178f)
                arcToRelative(2.379f, 2.379f, 0.0f, false, true, -0.265f, -0.268f)
                verticalLineToRelative(2.293f)
                horizontalLineToRelative(-0.929f)
                verticalLineToRelative(-5.425f)
                horizontalLineToRelative(0.93f)
                lineToRelative(0.004f, 0.529f)
                curveToRelative(0.169f, -0.212f, 0.353f, -0.368f, 0.55f, -0.468f)
                curveToRelative(0.197f, -0.1f, 0.426f, -0.15f, 0.688f, -0.147f)
                arcToRelative(1.509f, 1.509f, 0.0f, false, true, 1.156f, 0.507f)
                curveToRelative(0.148f, 0.166f, 0.259f, 0.361f, 0.33f, 0.571f)
                curveToRelative(0.08f, 0.236f, 0.12f, 0.485f, 0.115f, 0.737f)
                moveToRelative(-4.21f, 0.89f)
                arcToRelative(0.946f, 0.946f, 0.0f, false, true, -0.102f, 0.441f)
                arcToRelative(1.007f, 1.007f, 0.0f, false, true, -0.282f, 0.345f)
                curveToRelative(-0.13f, 0.1f, -0.275f, 0.173f, -0.43f, 0.22f)
                arcToRelative(1.8f, 1.8f, 0.0f, false, true, -0.546f, 0.08f)
                arcToRelative(1.985f, 1.985f, 0.0f, false, true, -0.637f, -0.097f)
                arcToRelative(1.964f, 1.964f, 0.0f, false, true, -0.563f, -0.32f)
                lineToRelative(0.312f, -0.505f)
                curveToRelative(0.15f, 0.126f, 0.284f, 0.217f, 0.405f, 0.275f)
                curveToRelative(0.115f, 0.057f, 0.24f, 0.087f, 0.368f, 0.087f)
                arcToRelative(0.557f, 0.557f, 0.0f, false, false, 0.373f, -0.12f)
                arcToRelative(0.396f, 0.396f, 0.0f, false, false, 0.14f, -0.322f)
                arcToRelative(0.475f, 0.475f, 0.0f, false, false, -0.12f, -0.318f)
                arcToRelative(1.306f, 1.306f, 0.0f, false, false, -0.187f, -0.173f)
                arcToRelative(9.231f, 9.231f, 0.0f, false, false, -0.308f, -0.232f)
                arcToRelative(6.787f, 6.787f, 0.0f, false, true, -0.281f, -0.21f)
                arcToRelative(2.11f, 2.11f, 0.0f, false, true, -0.252f, -0.232f)
                arcToRelative(1.039f, 1.039f, 0.0f, false, true, -0.18f, -0.275f)
                arcToRelative(0.826f, 0.826f, 0.0f, false, true, -0.069f, -0.347f)
                arcToRelative(0.893f, 0.893f, 0.0f, false, true, 0.094f, -0.409f)
                arcToRelative(0.935f, 0.935f, 0.0f, false, true, 0.255f, -0.314f)
                arcToRelative(1.22f, 1.22f, 0.0f, false, true, 0.39f, -0.203f)
                curveToRelative(0.16f, -0.05f, 0.327f, -0.074f, 0.494f, -0.072f)
                curveToRelative(0.184f, 0.0f, 0.368f, 0.026f, 0.545f, 0.076f)
                curveToRelative(0.174f, 0.05f, 0.338f, 0.123f, 0.488f, 0.219f)
                lineToRelative(-0.282f, 0.454f)
                arcToRelative(1.05f, 1.05f, 0.0f, false, false, -0.608f, -0.201f)
                arcToRelative(0.504f, 0.504f, 0.0f, false, false, -0.323f, 0.102f)
                arcToRelative(0.307f, 0.307f, 0.0f, false, false, -0.126f, 0.253f)
                curveToRelative(0.0f, 0.098f, 0.041f, 0.193f, 0.113f, 0.26f)
                curveToRelative(0.074f, 0.078f, 0.203f, 0.186f, 0.385f, 0.325f)
                curveToRelative(0.185f, 0.136f, 0.336f, 0.253f, 0.457f, 0.355f)
                curveToRelative(0.104f, 0.085f, 0.202f, 0.182f, 0.286f, 0.286f)
                curveToRelative(0.065f, 0.08f, 0.115f, 0.173f, 0.145f, 0.273f)
                arcToRelative(0.808f, 0.808f, 0.0f, false, true, 0.046f, 0.299f)
                close()
            }
        }
        .build()
        return _splunk!!
    }

private var _splunk: ImageVector? = null
