package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Stackpath: ImageVector
    get() {
        if (_stackpath != null) {
            return _stackpath!!
        }
        _stackpath = Builder(name = "Stackpath", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.721f, 7.34f)
                curveToRelative(-1.01f, 0.0f, -1.84f, 0.23f, -2.5f, 0.7f)
                curveToRelative(-0.66f, 0.46f, -0.99f, 1.08f, -0.99f, 1.84f)
                curveToRelative(0.0f, 0.78f, 0.276f, 1.38f, 0.83f, 1.79f)
                curveToRelative(0.55f, 0.42f, 1.4f, 0.8f, 2.54f, 1.16f)
                curveToRelative(0.55f, 0.2f, 0.93f, 0.38f, 1.14f, 0.56f)
                curveToRelative(0.22f, 0.17f, 0.32f, 0.42f, 0.32f, 0.74f)
                curveToRelative(0.0f, 0.28f, -0.1f, 0.51f, -0.32f, 0.68f)
                curveToRelative(-0.21f, 0.19f, -0.54f, 0.27f, -0.97f, 0.27f)
                curveToRelative(-0.57f, 0.0f, -1.0f, -0.12f, -1.27f, -0.34f)
                curveToRelative(-0.3f, -0.24f, -0.44f, -0.6f, -0.44f, -1.12f)
                horizontalLineTo(0.014f)
                lineToRelative(-0.013f, 0.04f)
                curveToRelative(-0.02f, 0.97f, 0.346f, 1.71f, 1.1f, 2.23f)
                curveToRelative(0.75f, 0.52f, 1.64f, 0.77f, 2.67f, 0.77f)
                curveToRelative(1.02f, 0.0f, 1.84f, -0.22f, 2.46f, -0.66f)
                curveToRelative(0.62f, -0.46f, 0.94f, -1.09f, 0.94f, -1.88f)
                curveToRelative(0.0f, -0.79f, -0.26f, -1.4f, -0.78f, -1.85f)
                curveToRelative(-0.53f, -0.45f, -1.3f, -0.83f, -2.33f, -1.13f)
                curveToRelative(-0.67f, -0.25f, -1.12f, -0.45f, -1.37f, -0.61f)
                curveToRelative(-0.24f, -0.16f, -0.36f, -0.37f, -0.36f, -0.63f)
                curveToRelative(0.0f, -0.28f, 0.12f, -0.51f, 0.36f, -0.69f)
                curveToRelative(0.24f, -0.21f, 0.57f, -0.29f, 1.0f, -0.29f)
                curveToRelative(0.43f, 0.0f, 0.77f, 0.12f, 1.01f, 0.34f)
                curveToRelative(0.25f, 0.24f, 0.37f, 0.52f, 0.37f, 0.88f)
                horizontalLineToRelative(2.04f)
                lineToRelative(0.01f, -0.03f)
                curveToRelative(0.03f, -0.81f, -0.29f, -1.48f, -0.93f, -2.0f)
                curveToRelative(-0.64f, -0.52f, -1.46f, -0.77f, -2.47f, -0.77f)
                moveToRelative(4.78f, 0.06f)
                verticalLineToRelative(9.18f)
                horizontalLineToRelative(2.15f)
                verticalLineToRelative(-3.15f)
                horizontalLineToRelative(1.3f)
                curveToRelative(1.09f, 0.0f, 1.95f, -0.27f, 2.59f, -0.83f)
                curveToRelative(0.64f, -0.55f, 0.96f, -1.28f, 0.96f, -2.18f)
                curveToRelative(0.0f, -0.92f, -0.32f, -1.63f, -0.96f, -2.19f)
                curveToRelative(-0.64f, -0.56f, -1.5f, -0.83f, -2.59f, -0.83f)
                horizontalLineTo(8.5f)
                moveToRelative(9.609f, 0.0f)
                lineToRelative(-3.18f, 9.19f)
                horizontalLineToRelative(1.99f)
                lineToRelative(3.26f, -9.19f)
                moveToRelative(1.75f, 0.0f)
                lineToRelative(-3.18f, 9.19f)
                horizontalLineToRelative(1.99f)
                lineTo(24.0f, 7.4f)
                moveTo(10.65f, 9.04f)
                horizontalLineToRelative(1.3f)
                curveToRelative(0.46f, 0.0f, 0.82f, 0.13f, 1.05f, 0.39f)
                curveToRelative(0.25f, 0.26f, 0.37f, 0.57f, 0.37f, 1.0f)
                curveToRelative(0.0f, 0.4f, -0.12f, 0.73f, -0.37f, 0.98f)
                curveToRelative(-0.23f, 0.26f, -0.59f, 0.38f, -1.05f, 0.38f)
                horizontalLineToRelative(-1.3f)
                close()
            }
        }
        .build()
        return _stackpath!!
    }

private var _stackpath: ImageVector? = null
