package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Steamworks: ImageVector
    get() {
        if (_steamworks != null) {
            return _steamworks!!
        }
        _steamworks = Builder(name = "Steamworks", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.928f, 9.49f)
                verticalLineToRelative(2.071f)
                horizontalLineToRelative(-1.503f)
                verticalLineToRelative(1.503f)
                horizontalLineToRelative(1.503f)
                verticalLineToRelative(-1.5f)
                lineTo(24.0f, 11.564f)
                lineTo(24.0f, 9.49f)
                close()
                moveTo(16.013f, 9.988f)
                verticalLineToRelative(1.075f)
                horizontalLineToRelative(1.075f)
                lineTo(17.088f, 9.988f)
                close()
                moveTo(18.339f, 12.56f)
                arcToRelative(0.596f, 0.596f, 0.0f, false, false, -0.382f, 0.144f)
                arcToRelative(0.497f, 0.497f, 0.0f, false, false, -0.155f, 0.383f)
                arcToRelative(0.437f, 0.437f, 0.0f, false, false, 0.145f, 0.35f)
                arcToRelative(0.627f, 0.627f, 0.0f, false, false, 0.33f, 0.14f)
                lineToRelative(0.103f, 0.015f)
                lineToRelative(0.112f, 0.02f)
                arcToRelative(1.071f, 1.071f, 0.0f, false, true, 0.163f, 0.037f)
                arcToRelative(0.366f, 0.366f, 0.0f, false, true, 0.102f, 0.065f)
                arcToRelative(0.34f, 0.34f, 0.0f, false, true, 0.1f, 0.268f)
                arcToRelative(0.353f, 0.353f, 0.0f, false, true, -0.127f, 0.29f)
                arcToRelative(0.529f, 0.529f, 0.0f, false, true, -0.347f, 0.105f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, true, -0.285f, -0.05f)
                arcToRelative(0.747f, 0.747f, 0.0f, false, true, -0.24f, -0.175f)
                lineToRelative(-0.098f, 0.102f)
                arcToRelative(0.795f, 0.795f, 0.0f, false, false, 0.27f, 0.193f)
                arcToRelative(0.866f, 0.866f, 0.0f, false, false, 0.343f, 0.06f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, false, 0.455f, -0.144f)
                arcToRelative(0.508f, 0.508f, 0.0f, false, false, 0.175f, -0.39f)
                arcToRelative(0.53f, 0.53f, 0.0f, false, false, -0.043f, -0.208f)
                arcToRelative(0.423f, 0.423f, 0.0f, false, false, -0.12f, -0.16f)
                arcToRelative(0.468f, 0.468f, 0.0f, false, false, -0.13f, -0.08f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, -0.2f, -0.047f)
                lineToRelative(-0.112f, -0.02f)
                lineToRelative(-0.088f, -0.013f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, true, -0.152f, -0.045f)
                arcToRelative(0.481f, 0.481f, 0.0f, false, true, -0.123f, -0.072f)
                arcToRelative(0.323f, 0.323f, 0.0f, false, true, -0.095f, -0.25f)
                arcToRelative(0.378f, 0.378f, 0.0f, false, true, 0.115f, -0.287f)
                arcToRelative(0.442f, 0.442f, 0.0f, false, true, 0.313f, -0.105f)
                arcToRelative(0.617f, 0.617f, 0.0f, false, true, 0.252f, 0.045f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.195f, 0.132f)
                lineToRelative(0.09f, -0.092f)
                arcToRelative(0.713f, 0.713f, 0.0f, false, false, -0.53f, -0.21f)
                arcToRelative(0.596f, 0.596f, 0.0f, false, false, -0.036f, 0.0f)
                close()
                moveTo(0.675f, 12.565f)
                arcToRelative(0.673f, 0.673f, 0.0f, false, false, -0.432f, 0.161f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, false, -0.175f, 0.42f)
                arcToRelative(0.516f, 0.516f, 0.0f, false, false, 0.132f, 0.375f)
                arcToRelative(0.602f, 0.602f, 0.0f, false, false, 0.359f, 0.157f)
                lineToRelative(0.12f, 0.015f)
                lineToRelative(0.105f, 0.015f)
                arcToRelative(0.278f, 0.278f, 0.0f, false, true, 0.172f, 0.076f)
                arcToRelative(0.23f, 0.23f, 0.0f, false, true, 0.05f, 0.155f)
                curveToRelative(0.0f, 0.16f, -0.11f, 0.237f, -0.327f, 0.237f)
                arcToRelative(0.783f, 0.783f, 0.0f, false, true, -0.251f, -0.037f)
                arcToRelative(0.47f, 0.47f, 0.0f, false, true, -0.195f, -0.123f)
                lineToRelative(-0.233f, 0.24f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, 0.295f, 0.195f)
                arcToRelative(1.157f, 1.157f, 0.0f, false, false, 0.38f, 0.058f)
                arcToRelative(0.764f, 0.764f, 0.0f, false, false, 0.492f, -0.156f)
                arcToRelative(0.53f, 0.53f, 0.0f, false, false, 0.193f, -0.431f)
                arcToRelative(0.54f, 0.54f, 0.0f, false, false, -0.143f, -0.405f)
                arcToRelative(0.48f, 0.48f, 0.0f, false, false, -0.145f, -0.093f)
                arcToRelative(0.988f, 0.988f, 0.0f, false, false, -0.21f, -0.052f)
                lineToRelative(-0.107f, -0.015f)
                lineToRelative(-0.113f, -0.015f)
                arcToRelative(0.292f, 0.292f, 0.0f, false, true, -0.167f, -0.078f)
                arcToRelative(0.194f, 0.194f, 0.0f, false, true, -0.058f, -0.135f)
                arcToRelative(0.222f, 0.222f, 0.0f, false, true, 0.075f, -0.172f)
                arcToRelative(0.305f, 0.305f, 0.0f, false, true, 0.213f, -0.068f)
                arcToRelative(0.767f, 0.767f, 0.0f, false, true, 0.205f, 0.027f)
                arcToRelative(0.394f, 0.394f, 0.0f, false, true, 0.172f, 0.105f)
                lineToRelative(0.228f, -0.232f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.26f, -0.17f)
                arcToRelative(0.977f, 0.977f, 0.0f, false, false, -0.338f, -0.053f)
                arcToRelative(0.673f, 0.673f, 0.0f, false, false, -0.037f, 0.0f)
                close()
                moveTo(12.766f, 12.568f)
                arcToRelative(0.612f, 0.612f, 0.0f, false, false, -0.238f, 0.05f)
                arcToRelative(0.645f, 0.645f, 0.0f, false, false, -0.21f, 0.146f)
                arcToRelative(0.525f, 0.525f, 0.0f, false, false, -0.097f, 0.134f)
                arcToRelative(0.607f, 0.607f, 0.0f, false, false, -0.05f, 0.153f)
                arcToRelative(1.387f, 1.387f, 0.0f, false, false, -0.02f, 0.19f)
                arcToRelative(8.383f, 8.383f, 0.0f, false, false, 0.0f, 0.595f)
                arcToRelative(1.306f, 1.306f, 0.0f, false, false, 0.02f, 0.19f)
                arcToRelative(0.607f, 0.607f, 0.0f, false, false, 0.05f, 0.152f)
                arcToRelative(0.486f, 0.486f, 0.0f, false, false, 0.097f, 0.135f)
                arcToRelative(0.645f, 0.645f, 0.0f, false, false, 0.21f, 0.145f)
                arcToRelative(0.656f, 0.656f, 0.0f, false, false, 0.251f, 0.05f)
                arcToRelative(0.612f, 0.612f, 0.0f, false, false, 0.251f, -0.05f)
                arcToRelative(0.645f, 0.645f, 0.0f, false, false, 0.21f, -0.145f)
                arcToRelative(0.525f, 0.525f, 0.0f, false, false, 0.097f, -0.135f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, 0.05f, -0.152f)
                arcToRelative(1.385f, 1.385f, 0.0f, false, false, 0.02f, -0.19f)
                arcToRelative(8.36f, 8.36f, 0.0f, false, false, 0.0f, -0.595f)
                arcToRelative(1.305f, 1.305f, 0.0f, false, false, -0.02f, -0.19f)
                arcToRelative(0.606f, 0.606f, 0.0f, false, false, -0.05f, -0.153f)
                arcToRelative(0.486f, 0.486f, 0.0f, false, false, -0.097f, -0.134f)
                arcToRelative(0.645f, 0.645f, 0.0f, false, false, -0.21f, -0.146f)
                arcToRelative(0.656f, 0.656f, 0.0f, false, false, -0.25f, -0.05f)
                arcToRelative(0.612f, 0.612f, 0.0f, false, false, -0.014f, 0.0f)
                close()
                moveTo(1.817f, 12.583f)
                verticalLineToRelative(0.333f)
                lineTo(2.3f, 12.916f)
                verticalLineToRelative(1.575f)
                horizontalLineToRelative(0.36f)
                verticalLineToRelative(-1.575f)
                horizontalLineToRelative(0.482f)
                verticalLineToRelative(-0.333f)
                close()
                moveTo(3.695f, 12.583f)
                verticalLineToRelative(1.908f)
                horizontalLineToRelative(1.218f)
                verticalLineToRelative(-0.33f)
                horizontalLineToRelative(-0.855f)
                verticalLineToRelative(-0.464f)
                horizontalLineToRelative(0.727f)
                verticalLineToRelative(-0.333f)
                horizontalLineToRelative(-0.727f)
                verticalLineToRelative(-0.448f)
                horizontalLineToRelative(0.855f)
                verticalLineToRelative(-0.333f)
                close()
                moveTo(5.993f, 12.583f)
                lineToRelative(-0.673f, 1.908f)
                horizontalLineToRelative(0.375f)
                lineToRelative(0.113f, -0.337f)
                horizontalLineToRelative(0.655f)
                lineToRelative(0.11f, 0.337f)
                horizontalLineToRelative(0.377f)
                lineToRelative(-0.675f, -1.908f)
                close()
                moveTo(7.435f, 12.583f)
                verticalLineToRelative(1.908f)
                horizontalLineToRelative(0.36f)
                verticalLineToRelative(-1.11f)
                lineToRelative(0.355f, 0.722f)
                horizontalLineToRelative(0.245f)
                lineToRelative(0.352f, -0.722f)
                verticalLineToRelative(1.11f)
                horizontalLineToRelative(0.36f)
                verticalLineToRelative(-1.908f)
                horizontalLineToRelative(-0.354f)
                lineToRelative(-0.48f, 1.03f)
                lineToRelative(-0.483f, -1.03f)
                close()
                moveTo(9.633f, 12.583f)
                lineToRelative(0.46f, 1.908f)
                horizontalLineToRelative(0.144f)
                lineToRelative(0.437f, -1.66f)
                lineToRelative(0.435f, 1.66f)
                horizontalLineToRelative(0.143f)
                lineToRelative(0.46f, -1.908f)
                horizontalLineToRelative(-0.147f)
                lineToRelative(-0.39f, 1.658f)
                lineToRelative(-0.43f, -1.658f)
                lineTo(10.6f, 12.583f)
                lineToRelative(-0.43f, 1.658f)
                lineToRelative(-0.39f, -1.658f)
                close()
                moveTo(14.085f, 12.583f)
                verticalLineToRelative(1.908f)
                horizontalLineToRelative(0.14f)
                verticalLineToRelative(-0.882f)
                horizontalLineToRelative(0.508f)
                lineToRelative(0.44f, 0.882f)
                horizontalLineToRelative(0.162f)
                lineToRelative(-0.445f, -0.882f)
                arcToRelative(0.49f, 0.49f, 0.0f, false, false, 0.428f, -0.516f)
                arcToRelative(0.486f, 0.486f, 0.0f, false, false, -0.148f, -0.374f)
                arcToRelative(0.55f, 0.55f, 0.0f, false, false, -0.382f, -0.136f)
                close()
                moveTo(16.015f, 12.583f)
                verticalLineToRelative(1.908f)
                horizontalLineToRelative(0.14f)
                verticalLineToRelative(-0.515f)
                lineToRelative(0.44f, -0.553f)
                lineToRelative(0.593f, 1.068f)
                verticalLineToRelative(-0.002f)
                horizontalLineToRelative(0.167f)
                lineToRelative(-0.667f, -1.177f)
                lineToRelative(0.57f, -0.728f)
                horizontalLineToRelative(-0.168f)
                lineToRelative(-0.935f, 1.192f)
                verticalLineToRelative(-1.192f)
                close()
                moveTo(19.203f, 12.616f)
                verticalLineToRelative(0.19f)
                horizontalLineToRelative(0.026f)
                verticalLineToRelative(-0.128f)
                lineToRelative(0.045f, 0.093f)
                horizontalLineToRelative(0.024f)
                lineToRelative(0.042f, -0.093f)
                verticalLineToRelative(0.128f)
                horizontalLineToRelative(0.028f)
                verticalLineToRelative(-0.19f)
                horizontalLineToRelative(-0.028f)
                lineToRelative(-0.055f, 0.118f)
                lineToRelative(-0.055f, -0.118f)
                close()
                moveTo(19.038f, 12.618f)
                verticalLineToRelative(0.025f)
                horizontalLineToRelative(0.052f)
                verticalLineToRelative(0.163f)
                horizontalLineToRelative(0.028f)
                verticalLineToRelative(-0.163f)
                horizontalLineToRelative(0.052f)
                verticalLineToRelative(-0.025f)
                close()
                moveTo(12.778f, 12.698f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, true, 0.352f, 0.148f)
                arcToRelative(0.45f, 0.45f, 0.0f, false, true, 0.077f, 0.107f)
                arcToRelative(0.485f, 0.485f, 0.0f, false, true, 0.043f, 0.132f)
                arcToRelative(1.117f, 1.117f, 0.0f, false, true, 0.018f, 0.175f)
                arcToRelative(7.48f, 7.48f, 0.0f, false, true, 0.0f, 0.556f)
                arcToRelative(1.117f, 1.117f, 0.0f, false, true, -0.018f, 0.175f)
                arcToRelative(0.485f, 0.485f, 0.0f, false, true, -0.043f, 0.132f)
                arcToRelative(0.506f, 0.506f, 0.0f, false, true, -0.077f, 0.107f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, true, -0.7f, 0.0f)
                arcToRelative(0.45f, 0.45f, 0.0f, false, true, -0.078f, -0.107f)
                arcToRelative(0.589f, 0.589f, 0.0f, false, true, -0.042f, -0.132f)
                arcToRelative(1.117f, 1.117f, 0.0f, false, true, -0.018f, -0.175f)
                arcToRelative(7.459f, 7.459f, 0.0f, false, true, 0.0f, -0.556f)
                arcToRelative(1.117f, 1.117f, 0.0f, false, true, 0.018f, -0.175f)
                arcToRelative(0.485f, 0.485f, 0.0f, false, true, 0.042f, -0.132f)
                arcToRelative(0.506f, 0.506f, 0.0f, false, true, 0.078f, -0.107f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, true, 0.349f, -0.148f)
                close()
                moveTo(14.785f, 12.713f)
                arcToRelative(0.433f, 0.433f, 0.0f, false, true, 0.28f, 0.098f)
                arcToRelative(0.35f, 0.35f, 0.0f, false, true, 0.11f, 0.289f)
                arcToRelative(0.358f, 0.358f, 0.0f, false, true, -0.113f, 0.286f)
                arcToRelative(0.428f, 0.428f, 0.0f, false, true, -0.294f, 0.098f)
                horizontalLineToRelative(-0.543f)
                verticalLineToRelative(-0.77f)
                horizontalLineToRelative(0.545f)
                arcToRelative(0.433f, 0.433f, 0.0f, false, true, 0.015f, -0.001f)
                close()
                moveTo(6.142f, 13.146f)
                lineToRelative(0.228f, 0.692f)
                horizontalLineToRelative(-0.46f)
                close()
            }
        }
        .build()
        return _steamworks!!
    }

private var _steamworks: ImageVector? = null
