package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Stylus: ImageVector
    get() {
        if (_stylus != null) {
            return _stylus!!
        }
        _stylus = Builder(name = "Stylus", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.671f, 8.861f)
                curveToRelative(-0.445f, -0.354f, -1.697f, 0.239f, -2.05f, 1.118f)
                curveToRelative(-0.446f, 1.116f, -1.105f, 2.746f, -1.752f, 3.46f)
                curveToRelative(-0.683f, 0.75f, -0.751f, 0.17f, -0.683f, -0.262f)
                curveToRelative(0.158f, -1.02f, 1.153f, -3.381f, 1.696f, -4.047f)
                curveToRelative(-0.202f, -0.3f, -1.52f, -0.256f, -2.435f, 1.166f)
                curveToRelative(-0.342f, 0.536f, -1.122f, 2.325f, -1.99f, 3.734f)
                curveToRelative(-0.19f, 0.305f, -0.427f, 0.092f, -0.243f, -0.621f)
                curveToRelative(0.207f, -0.825f, 0.818f, -3.089f, 1.604f, -4.871f)
                curveToRelative(2.064f, -0.409f, 4.254f, -0.696f, 5.933f, -0.702f)
                curveToRelative(0.226f, -0.06f, 0.377f, -0.263f, 0.0f, -0.275f)
                curveToRelative(-1.447f, -0.049f, -3.62f, 0.122f, -5.652f, 0.38f)
                curveToRelative(0.391f, -0.782f, 0.812f, -1.404f, 1.239f, -1.667f)
                curveToRelative(-0.464f, -0.293f, -1.404f, -0.177f, -1.94f, 0.617f)
                arcToRelative(10.547f, 10.547f, 0.0f, false, false, -0.702f, 1.244f)
                curveToRelative(-1.49f, 0.232f, -2.765f, 0.494f, -3.412f, 0.739f)
                curveToRelative(-0.671f, 0.256f, -0.598f, 1.068f, -0.19f, 0.915f)
                curveToRelative(0.85f, -0.317f, 1.996f, -0.647f, 3.272f, -0.94f)
                curveToRelative(-0.812f, 1.831f, -1.447f, 3.992f, -1.599f, 4.87f)
                curveToRelative(-0.379f, 2.137f, 0.946f, 2.124f, 1.593f, 1.282f)
                curveToRelative(0.702f, -0.922f, 2.166f, -4.163f, 2.392f, -4.504f)
                curveToRelative(0.067f, -0.116f, 0.16f, -0.055f, 0.11f, 0.048f)
                curveToRelative(-1.635f, 3.265f, -1.496f, 4.529f, -0.17f, 4.248f)
                curveToRelative(0.597f, -0.128f, 1.629f, -1.153f, 1.897f, -1.684f)
                curveToRelative(0.055f, -0.128f, 0.171f, -0.116f, 0.146f, -0.061f)
                curveToRelative(-1.037f, 2.692f, -2.355f, 4.87f, -3.24f, 5.554f)
                curveToRelative(-0.805f, 0.616f, -1.404f, -0.72f, 1.446f, -2.637f)
                curveToRelative(0.422f, -0.286f, 0.226f, -0.677f, -0.25f, -0.543f)
                curveToRelative(-1.47f, 0.232f, -5.681f, 1.568f, -7.53f, 2.85f)
                curveToRelative(-0.142f, 0.098f, -0.27f, 0.177f, -0.264f, 0.379f)
                curveToRelative(0.006f, 0.116f, 0.208f, 0.073f, 0.306f, 0.012f)
                curveToRelative(2.393f, -1.435f, 4.351f, -1.995f, 6.597f, -2.466f)
                curveToRelative(0.03f, 0.013f, 0.067f, 0.019f, 0.097f, 0.007f)
                curveToRelative(0.104f, -0.025f, 0.098f, 0.03f, 0.031f, 0.073f)
                arcToRelative(3.99f, 3.99f, 0.0f, false, true, -0.342f, 0.177f)
                curveToRelative(-1.513f, 0.591f, -2.429f, 1.897f, -2.105f, 2.563f)
                curveToRelative(0.275f, 0.574f, 1.758f, 0.366f, 2.46f, -0.012f)
                curveToRelative(1.72f, -0.934f, 2.971f, -2.765f, 3.826f, -5.292f)
                curveToRelative(0.745f, -2.24f, 1.685f, -4.778f, 1.904f, -4.852f)
                close()
                moveTo(3.7f, 16.094f)
                curveToRelative(0.623f, -0.745f, 0.696f, -1.514f, 0.214f, -2.942f)
                curveToRelative(-0.305f, -0.903f, -0.812f, -1.599f, -0.44f, -2.16f)
                curveToRelative(0.397f, -0.598f, 1.24f, -0.019f, 0.538f, 0.78f)
                lineToRelative(0.14f, 0.098f)
                curveToRelative(0.842f, 0.098f, 1.257f, -1.056f, 0.628f, -1.386f)
                curveToRelative(-1.66f, -0.866f, -3.113f, 0.8f, -2.472f, 2.729f)
                curveToRelative(0.275f, 0.817f, 0.66f, 1.684f, 0.348f, 2.374f)
                curveToRelative(-0.268f, 0.592f, -0.787f, 0.94f, -1.135f, 0.952f)
                curveToRelative(-0.726f, 0.037f, -0.244f, -1.63f, 0.592f, -2.045f)
                curveToRelative(0.073f, -0.036f, 0.177f, -0.085f, 0.08f, -0.207f)
                curveToRelative(-1.032f, -0.116f, -1.636f, 0.36f, -1.984f, 1.025f)
                curveToRelative(-1.013f, 1.934f, 1.922f, 2.649f, 3.49f, 0.782f)
                close()
                moveTo(23.674f, 14.03f)
                curveToRelative(-2.8f, -0.366f, -8.842f, 0.122f, -11.509f, 0.831f)
                curveToRelative(-0.794f, 0.207f, -0.574f, 0.628f, -0.171f, 0.549f)
                curveToRelative(0.006f, 0.0f, 0.177f, -0.043f, 0.183f, -0.043f)
                curveToRelative(2.191f, -0.427f, 7.507f, -0.8f, 10.607f, -0.207f)
                curveToRelative(0.372f, 0.067f, 1.49f, -1.05f, 0.89f, -1.13f)
                close()
                moveTo(14.454f, 13.701f)
                curveToRelative(0.78f, -0.39f, 1.94f, -2.808f, 2.702f, -4.131f)
                curveToRelative(0.055f, -0.098f, 0.153f, -0.02f, 0.098f, 0.048f)
                curveToRelative(-1.928f, 3.32f, -1.11f, 3.705f, -0.348f, 3.656f)
                curveToRelative(1.02f, -0.061f, 1.96f, -1.526f, 2.167f, -1.856f)
                curveToRelative(0.086f, -0.128f, 0.135f, -0.024f, 0.086f, 0.068f)
                curveToRelative(-0.05f, 0.152f, -0.226f, 0.421f, -0.391f, 0.787f)
                curveToRelative(-0.232f, 0.519f, 0.012f, 0.72f, 0.214f, 0.812f)
                curveToRelative(0.317f, 0.153f, 1.183f, 0.055f, 1.317f, -0.476f)
                curveToRelative(-0.865f, -0.018f, 1.209f, -4.108f, 1.423f, -4.358f)
                curveToRelative(-0.58f, -0.336f, -1.477f, 0.031f, -1.886f, 0.836f)
                curveToRelative(-0.872f, 1.727f, -1.605f, 3.119f, -2.063f, 3.143f)
                curveToRelative(-0.89f, 0.049f, 1.026f, -3.85f, 1.337f, -3.973f)
                curveToRelative(-0.19f, -0.275f, -1.404f, -0.159f, -2.082f, 0.89f)
                curveToRelative(-0.244f, 0.38f, -1.732f, 3.016f, -2.099f, 3.45f)
                curveToRelative(-0.647f, 0.769f, -0.696f, 0.11f, -0.513f, -0.66f)
                curveToRelative(0.061f, -0.262f, 0.165f, -0.598f, 0.3f, -0.97f)
                curveToRelative(0.427f, -0.964f, 0.885f, -1.27f, 1.166f, -1.581f)
                curveToRelative(1.885f, -2.093f, 2.966f, -3.79f, 2.538f, -4.455f)
                curveToRelative(-0.378f, -0.592f, -1.642f, -0.33f, -2.453f, 0.89f)
                curveToRelative(-1.496f, 2.241f, -2.874f, 5.31f, -3.051f, 6.715f)
                curveToRelative(-0.171f, 1.403f, 0.847f, 1.506f, 1.537f, 1.165f)
                close()
                moveTo(21.826f, 10.405f)
                curveToRelative(0.238f, 0.586f, 0.598f, 1.166f, 0.384f, 1.679f)
                curveToRelative(-0.177f, 0.439f, -0.41f, 0.623f, -0.665f, 0.665f)
                curveToRelative(-0.36f, 0.06f, -0.263f, -1.068f, 0.354f, -1.404f)
                curveToRelative(0.055f, -0.03f, 0.134f, -0.177f, 0.06f, -0.262f)
                curveToRelative(-0.78f, -0.043f, -1.22f, 0.33f, -1.458f, 0.824f)
                curveToRelative(-0.69f, 1.447f, 1.563f, 1.842f, 2.667f, 0.42f)
                curveToRelative(0.44f, -0.567f, 0.458f, -1.128f, 0.036f, -2.147f)
                curveToRelative(-0.267f, -0.647f, -0.676f, -1.13f, -0.42f, -1.557f)
                curveToRelative(0.275f, -0.45f, 0.933f, -0.061f, 0.44f, 0.544f)
                lineToRelative(0.11f, 0.06f)
                curveToRelative(0.64f, 0.037f, 0.902f, -0.817f, 0.414f, -1.03f)
                curveToRelative(-1.287f, -0.55f, -2.49f, 0.835f, -1.922f, 2.208f)
                close()
                moveTo(15.247f, 9.594f)
                curveToRelative(0.067f, -0.153f, 0.11f, -0.195f, 0.226f, -0.452f)
                curveToRelative(0.67f, -1.477f, 1.514f, -3.033f, 2.093f, -3.759f)
                curveToRelative(0.36f, -0.379f, 0.866f, 0.134f, -0.049f, 1.538f)
                arcToRelative(14.165f, 14.165f, 0.0f, false, true, -1.812f, 2.264f)
                verticalLineToRelative(0.006f)
                curveToRelative(-0.171f, 0.189f, -0.324f, 0.348f, -0.391f, 0.44f)
                curveToRelative(-0.049f, 0.06f, -0.104f, 0.049f, -0.067f, -0.037f)
                close()
            }
        }
        .build()
        return _stylus!!
    }

private var _stylus: ImageVector? = null
