package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Tableau: ImageVector
    get() {
        if (_tableau != null) {
            return _tableau!!
        }
        _tableau = Builder(name = "Tableau", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.654f, 0.174f)
                lineTo(11.654f, 2.377f)
                lineTo(9.682f, 2.377f)
                verticalLineToRelative(0.58f)
                horizontalLineToRelative(1.972f)
                lineTo(11.654f, 5.16f)
                horizontalLineToRelative(0.696f)
                lineTo(12.35f, 2.957f)
                horizontalLineToRelative(1.97f)
                verticalLineToRelative(-0.58f)
                horizontalLineToRelative(-1.97f)
                lineTo(12.35f, 0.174f)
                horizontalLineToRelative(-0.348f)
                close()
                moveTo(17.684f, 2.436f)
                lineToRelative(-0.002f, 1.623f)
                verticalLineToRelative(1.623f)
                horizontalLineToRelative(-2.957f)
                verticalLineToRelative(0.927f)
                horizontalLineToRelative(2.957f)
                verticalLineToRelative(3.188f)
                lineTo(18.725f, 9.797f)
                lineToRelative(0.011f, -1.582f)
                lineToRelative(0.02f, -1.576f)
                lineToRelative(1.465f, -0.02f)
                lineToRelative(1.46f, -0.01f)
                verticalLineToRelative(-0.927f)
                lineTo(18.728f, 5.682f)
                lineTo(18.728f, 2.436f)
                horizontalLineToRelative(-0.522f)
                close()
                moveTo(5.277f, 2.496f)
                lineTo(5.277f, 5.686f)
                lineTo(2.291f, 5.686f)
                verticalLineToRelative(0.925f)
                lineTo(5.277f, 6.611f)
                lineTo(5.277f, 9.801f)
                horizontalLineToRelative(0.985f)
                lineTo(6.262f, 6.61f)
                horizontalLineToRelative(3.013f)
                verticalLineToRelative(-0.925f)
                lineTo(6.262f, 5.685f)
                lineTo(6.262f, 2.496f)
                lineTo(5.77f, 2.496f)
                close()
                moveTo(11.363f, 7.766f)
                verticalLineToRelative(3.593f)
                lineTo(8.06f, 11.359f)
                verticalLineToRelative(1.188f)
                horizontalLineToRelative(3.304f)
                verticalLineToRelative(3.596f)
                horizontalLineToRelative(1.28f)
                verticalLineToRelative(-3.596f)
                lineTo(15.953f, 12.547f)
                verticalLineToRelative(-1.188f)
                lineTo(12.643f, 11.359f)
                lineTo(12.643f, 7.766f)
                horizontalLineToRelative(-0.637f)
                close()
                moveTo(21.084f, 9.316f)
                verticalLineToRelative(2.221f)
                horizontalLineToRelative(-2.012f)
                verticalLineToRelative(0.811f)
                horizontalLineToRelative(2.012f)
                verticalLineToRelative(2.261f)
                horizontalLineToRelative(0.887f)
                verticalLineToRelative(-2.261f)
                lineTo(24.0f, 12.348f)
                verticalLineToRelative(-0.811f)
                horizontalLineToRelative(-2.029f)
                lineTo(21.971f, 9.317f)
                horizontalLineToRelative(-0.422f)
                close()
                moveTo(1.973f, 9.447f)
                lineTo(1.973f, 11.621f)
                lineTo(0.0f, 11.621f)
                verticalLineToRelative(0.621f)
                lineTo(1.973f, 12.242f)
                verticalLineToRelative(2.194f)
                lineTo(2.64f, 14.436f)
                verticalLineToRelative(-2.194f)
                horizontalLineToRelative(2.0f)
                verticalLineToRelative(-0.62f)
                lineTo(2.609f, 11.622f)
                lineTo(2.609f, 9.446f)
                horizontalLineToRelative(-0.318f)
                close()
                moveTo(17.682f, 13.963f)
                verticalLineToRelative(3.254f)
                horizontalLineToRelative(-3.016f)
                verticalLineToRelative(0.927f)
                horizontalLineToRelative(3.016f)
                verticalLineToRelative(3.217f)
                horizontalLineToRelative(1.072f)
                verticalLineToRelative(-3.216f)
                lineTo(21.74f, 18.145f)
                verticalLineToRelative(-0.928f)
                lineTo(18.754f, 17.217f)
                verticalLineToRelative(-3.254f)
                horizontalLineToRelative(-0.533f)
                close()
                moveTo(5.219f, 13.971f)
                verticalLineToRelative(3.246f)
                lineTo(2.262f, 17.217f)
                verticalLineToRelative(0.928f)
                horizontalLineToRelative(2.957f)
                verticalLineToRelative(3.189f)
                lineTo(6.32f, 21.334f)
                verticalLineToRelative(-3.189f)
                horizontalLineToRelative(2.955f)
                verticalLineToRelative(-0.928f)
                lineTo(6.32f, 17.217f)
                lineTo(6.32f, 13.97f)
                horizontalLineToRelative(-0.55f)
                close()
                moveTo(11.535f, 18.549f)
                lineToRelative(0.002f, 1.103f)
                verticalLineToRelative(1.1f)
                lineTo(9.566f, 20.752f)
                verticalLineToRelative(0.812f)
                horizontalLineToRelative(1.971f)
                verticalLineToRelative(2.262f)
                horizontalLineToRelative(0.928f)
                lineToRelative(0.012f, -1.119f)
                lineToRelative(0.017f, -1.143f)
                lineTo(14.463f, 21.564f)
                verticalLineToRelative(-0.812f)
                horizontalLineToRelative(-2.0f)
                lineTo(12.463f, 18.549f)
                horizontalLineToRelative(-0.465f)
                close()
            }
        }
        .build()
        return _tableau!!
    }

private var _tableau: ImageVector? = null
