package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Thinkpad: ImageVector
    get() {
        if (_thinkpad != null) {
            return _thinkpad!!
        }
        _thinkpad = Builder(name = "Thinkpad", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.002f, 7.891f)
                arcToRelative(0.677f, 0.677f, 0.0f, false, false, -0.106f, 1.05f)
                arcToRelative(0.699f, 0.699f, 0.0f, false, false, 1.066f, -0.103f)
                arcToRelative(0.675f, 0.675f, 0.0f, false, false, 0.117f, -0.379f)
                lineToRelative(0.001f, -0.001f)
                arcToRelative(0.676f, 0.676f, 0.0f, false, false, -0.203f, -0.483f)
                arcToRelative(0.701f, 0.701f, 0.0f, false, false, -0.875f, -0.084f)
                close()
                moveTo(17.241f, 8.294f)
                arcToRelative(1.268f, 1.268f, 0.0f, false, false, -0.881f, -0.342f)
                horizontalLineToRelative(-1.466f)
                verticalLineToRelative(8.195f)
                horizontalLineToRelative(1.148f)
                verticalLineToRelative(-3.559f)
                horizontalLineToRelative(0.318f)
                curveToRelative(0.675f, 0.0f, 1.27f, -0.68f, 1.27f, -1.337f)
                lineToRelative(-0.001f, -2.106f)
                arcToRelative(1.222f, 1.222f, 0.0f, false, false, -0.388f, -0.851f)
                close()
                moveTo(16.587f, 11.346f)
                curveToRelative(0.0f, 0.334f, -0.283f, 0.334f, -0.543f, 0.334f)
                lineTo(16.044f, 8.87f)
                horizontalLineToRelative(0.158f)
                curveToRelative(0.301f, 0.0f, 0.384f, 0.198f, 0.384f, 0.71f)
                verticalLineToRelative(1.766f)
                close()
                moveTo(20.749f, 16.144f)
                lineToRelative(0.001f, -0.001f)
                horizontalLineToRelative(-0.001f)
                close()
                moveTo(19.365f, 9.478f)
                curveToRelative(-0.848f, 0.0f, -1.376f, 0.407f, -1.376f, 1.103f)
                verticalLineToRelative(1.283f)
                horizontalLineToRelative(1.078f)
                verticalLineToRelative(-0.934f)
                curveToRelative(0.009f, -0.289f, -0.023f, -0.708f, 0.31f, -0.708f)
                curveToRelative(0.307f, 0.0f, 0.256f, 0.506f, 0.256f, 0.724f)
                curveToRelative(0.0f, 1.639f, -1.65f, 1.023f, -1.65f, 2.308f)
                verticalLineToRelative(2.207f)
                curveToRelative(0.0f, 0.498f, 0.247f, 0.763f, 0.755f, 0.763f)
                curveToRelative(0.417f, 0.0f, 0.614f, -0.141f, 0.859f, -0.532f)
                horizontalLineToRelative(0.068f)
                arcToRelative(0.979f, 0.979f, 0.0f, false, false, 0.065f, 0.451f)
                horizontalLineToRelative(1.02f)
                verticalLineToRelative(-5.559f)
                curveToRelative(-0.001f, -0.679f, -0.536f, -1.106f, -1.385f, -1.106f)
                close()
                moveTo(19.669f, 15.039f)
                arcToRelative(0.315f, 0.315f, 0.0f, false, true, -0.317f, 0.293f)
                arcToRelative(0.298f, 0.298f, 0.0f, false, true, -0.107f, -0.011f)
                arcToRelative(0.287f, 0.287f, 0.0f, false, true, -0.162f, -0.134f)
                arcToRelative(0.257f, 0.257f, 0.0f, false, true, -0.03f, -0.101f)
                verticalLineToRelative(-1.713f)
                curveToRelative(0.003f, -0.328f, 0.287f, -0.517f, 0.613f, -0.693f)
                horizontalLineToRelative(0.003f)
                verticalLineToRelative(2.359f)
                close()
                moveTo(22.937f, 7.93f)
                verticalLineToRelative(2.039f)
                horizontalLineToRelative(-0.027f)
                arcToRelative(1.054f, 1.054f, 0.0f, false, false, -0.842f, -0.503f)
                curveToRelative(-0.428f, 0.0f, -0.809f, 0.247f, -0.809f, 0.722f)
                verticalLineToRelative(5.253f)
                curveToRelative(-0.013f, 0.551f, 0.371f, 0.782f, 0.809f, 0.782f)
                curveToRelative(0.322f, -0.038f, 0.612f, -0.212f, 0.798f, -0.477f)
                horizontalLineToRelative(0.071f)
                verticalLineToRelative(0.396f)
                lineTo(24.0f, 16.142f)
                lineTo(24.0f, 7.93f)
                horizontalLineToRelative(-1.063f)
                close()
                moveTo(22.936f, 14.922f)
                curveToRelative(-0.013f, 0.352f, -0.154f, 0.411f, -0.326f, 0.411f)
                curveToRelative(-0.158f, 0.0f, -0.29f, -0.102f, -0.29f, -0.411f)
                verticalLineToRelative(-4.168f)
                curveToRelative(0.0f, -0.259f, 0.097f, -0.384f, 0.29f, -0.384f)
                curveToRelative(0.158f, 0.0f, 0.313f, 0.039f, 0.326f, 0.391f)
                verticalLineToRelative(4.161f)
                close()
                moveTo(0.0f, 8.951f)
                horizontalLineToRelative(1.09f)
                verticalLineToRelative(7.169f)
                horizontalLineToRelative(1.177f)
                lineTo(2.267f, 8.951f)
                horizontalLineToRelative(1.078f)
                lineTo(3.345f, 7.92f)
                lineTo(0.0f, 7.92f)
                close()
                moveTo(5.504f, 9.469f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, -0.799f, 0.475f)
                horizontalLineToRelative(-0.046f)
                lineTo(4.659f, 7.905f)
                lineTo(3.604f, 7.905f)
                verticalLineToRelative(8.224f)
                horizontalLineToRelative(1.064f)
                verticalLineToRelative(-5.388f)
                curveToRelative(0.0f, -0.174f, 0.046f, -0.379f, 0.317f, -0.379f)
                curveToRelative(0.245f, 0.0f, 0.298f, 0.165f, 0.298f, 0.389f)
                verticalLineToRelative(5.379f)
                lineTo(6.35f, 16.13f)
                verticalLineToRelative(-5.602f)
                curveToRelative(0.0f, -0.693f, -0.116f, -1.059f, -0.846f, -1.059f)
                close()
                moveTo(6.856f, 9.552f)
                horizontalLineToRelative(1.06f)
                verticalLineToRelative(6.583f)
                horizontalLineToRelative(-1.06f)
                close()
                moveTo(10.304f, 9.483f)
                arcToRelative(0.883f, 0.883f, 0.0f, false, false, -0.799f, 0.465f)
                horizontalLineToRelative(-0.044f)
                verticalLineToRelative(-0.389f)
                lineTo(8.404f, 9.559f)
                verticalLineToRelative(6.581f)
                horizontalLineToRelative(1.054f)
                verticalLineToRelative(-5.334f)
                curveToRelative(0.0f, -0.185f, 0.014f, -0.43f, 0.342f, -0.43f)
                curveToRelative(0.245f, 0.0f, 0.282f, 0.22f, 0.282f, 0.43f)
                verticalLineToRelative(5.336f)
                horizontalLineToRelative(1.068f)
                verticalLineToRelative(-5.496f)
                curveToRelative(0.001f, -0.693f, 0.01f, -1.163f, -0.846f, -1.163f)
                close()
                moveTo(14.497f, 9.562f)
                lineTo(13.43f, 9.562f)
                lineToRelative(-0.611f, 3.033f)
                horizontalLineToRelative(-0.101f)
                lineTo(12.718f, 7.928f)
                horizontalLineToRelative(-1.065f)
                verticalLineToRelative(8.215f)
                horizontalLineToRelative(1.065f)
                verticalLineToRelative(-3.476f)
                horizontalLineToRelative(0.101f)
                lineToRelative(0.622f, 3.476f)
                horizontalLineToRelative(1.091f)
                lineToRelative(-0.676f, -3.604f)
                close()
            }
        }
        .build()
        return _thinkpad!!
    }

private var _thinkpad: ImageVector? = null
