package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.ThreeDotJs: ImageVector
    get() {
        if (_threeDotJs != null) {
            return _threeDotJs!!
        }
        _threeDotJs = Builder(name = "ThreeDotJs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.38f, 0.0f)
                arcToRelative(0.268f, 0.268f, 0.0f, false, false, -0.256f, 0.332f)
                lineToRelative(2.894f, 11.716f)
                arcToRelative(0.268f, 0.268f, 0.0f, false, false, 0.01f, 0.04f)
                lineToRelative(2.89f, 11.708f)
                arcToRelative(0.268f, 0.268f, 0.0f, false, false, 0.447f, 0.128f)
                lineTo(23.802f, 7.15f)
                arcToRelative(0.268f, 0.268f, 0.0f, false, false, -0.112f, -0.45f)
                lineToRelative(-5.784f, -1.667f)
                arcToRelative(0.268f, 0.268f, 0.0f, false, false, -0.123f, -0.035f)
                lineTo(6.38f, 1.715f)
                arcToRelative(0.268f, 0.268f, 0.0f, false, false, -0.144f, -0.04f)
                lineTo(0.456f, 0.01f)
                arcTo(0.268f, 0.268f, 0.0f, false, false, 0.38f, 0.0f)
                close()
                moveTo(0.754f, 0.654f)
                lineTo(5.71f, 2.08f)
                lineTo(1.99f, 5.664f)
                close()
                moveTo(6.61f, 2.34f)
                lineToRelative(4.864f, 1.4f)
                lineToRelative(-3.65f, 3.515f)
                close()
                moveTo(6.088f, 2.46f)
                lineToRelative(1.217f, 4.926f)
                lineToRelative(-4.877f, -1.4f)
                close()
                moveTo(12.368f, 3.998f)
                lineToRelative(4.878f, 1.404f)
                lineToRelative(-3.662f, 3.53f)
                close()
                moveTo(11.848f, 4.128f)
                lineToRelative(1.208f, 4.9f)
                lineToRelative(-4.853f, -1.392f)
                close()
                moveTo(18.148f, 5.662f)
                lineToRelative(4.947f, 1.424f)
                lineToRelative(-3.715f, 3.574f)
                close()
                moveTo(17.624f, 5.782f)
                lineToRelative(1.215f, 4.926f)
                lineToRelative(-4.876f, -1.398f)
                close()
                moveTo(2.192f, 6.478f)
                lineToRelative(4.964f, 1.424f)
                lineToRelative(-3.726f, 3.586f)
                close()
                moveTo(8.047f, 8.15f)
                lineToRelative(4.877f, 1.4f)
                lineToRelative(-3.66f, 3.527f)
                close()
                moveTo(7.529f, 8.287f)
                lineToRelative(1.236f, 5.017f)
                lineToRelative(-4.963f, -1.432f)
                close()
                moveTo(13.803f, 9.822f)
                lineToRelative(4.965f, 1.425f)
                lineToRelative(-3.73f, 3.586f)
                close()
                moveTo(13.283f, 9.949f)
                lineToRelative(1.235f, 5.012f)
                lineToRelative(-4.958f, -1.43f)
                close()
                moveTo(3.653f, 12.387f)
                lineToRelative(4.873f, 1.406f)
                lineToRelative(-3.656f, 3.523f)
                close()
                moveTo(9.507f, 14.074f)
                lineToRelative(4.863f, 1.403f)
                lineToRelative(-3.648f, 3.51f)
                close()
                moveTo(8.967f, 14.114f)
                lineToRelative(1.214f, 4.927f)
                lineToRelative(-4.875f, -1.4f)
                close()
                moveTo(5.071f, 18.134f)
                lineToRelative(5.037f, 1.442f)
                lineToRelative(-3.782f, 3.638f)
                close()
            }
        }
        .build()
        return _threeDotJs!!
    }

private var _threeDotJs: ImageVector? = null
