package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Timescale: ImageVector
    get() {
        if (_timescale != null) {
            return _timescale!!
        }
        _timescale = Builder(name = "Timescale", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.537f, 0.763f)
                curveToRelative(-1.167f, 0.7f, -2.21f, 1.582f, -3.08f, 2.61f)
                lineTo(3.79f, 4.836f)
                arcToRelative(10.422f, 10.422f, 0.0f, false, true, 3.627f, -2.881f)
                close()
                moveTo(18.565f, 0.848f)
                lineToRelative(-1.991f, 1.12f)
                arcToRelative(10.381f, 10.381f, 0.0f, false, true, 3.762f, 3.07f)
                lineToRelative(1.18f, -1.654f)
                arcToRelative(12.371f, 12.371f, 0.0f, false, false, -2.95f, -2.536f)
                close()
                moveTo(12.001f, 1.6f)
                arcToRelative(9.788f, 9.788f, 0.0f, false, false, -4.131f, 0.91f)
                lineToRelative(0.59f, 1.011f)
                arcToRelative(8.542f, 8.542f, 0.0f, false, true, 3.541f, -0.762f)
                curveToRelative(1.261f, 0.0f, 2.457f, 0.274f, 3.534f, 0.76f)
                lineToRelative(0.59f, -1.012f)
                arcToRelative(9.81f, 9.81f, 0.0f, false, false, -4.124f, -0.907f)
                close()
                moveTo(11.4f, 3.535f)
                lineToRelative(-0.55f, 6.626f)
                horizontalLineToRelative(0.003f)
                lineToRelative(-0.002f, 0.04f)
                curveToRelative(0.003f, 0.111f, 0.013f, 0.216f, 0.033f, 0.318f)
                curveToRelative(0.01f, 0.112f, 0.043f, 0.227f, 0.097f, 0.342f)
                curveToRelative(0.114f, 0.289f, 0.298f, 0.505f, 0.516f, 0.607f)
                curveToRelative(0.05f, 0.04f, 0.105f, 0.075f, 0.158f, 0.111f)
                arcToRelative(0.98f, 0.98f, 0.0f, false, true, 0.033f, 0.02f)
                verticalLineToRelative(0.004f)
                lineToRelative(6.68f, 3.596f)
                lineToRelative(0.348f, -0.476f)
                lineToRelative(-6.058f, -4.6f)
                curveToRelative(-0.007f, 0.0f, -0.01f, -0.005f, -0.014f, -0.008f)
                lineTo(12.0f, 3.535f)
                close()
                moveTo(12.823f, 3.587f)
                curveToRelative(0.19f, 0.234f, 0.361f, 0.523f, 0.502f, 0.855f)
                curveToRelative(3.155f, 0.604f, 5.54f, 3.325f, 5.54f, 6.596f)
                curveToRelative(0.0f, 0.877f, -0.176f, 1.712f, -0.484f, 2.48f)
                arcToRelative(3.7f, 3.7f, 0.0f, false, true, 0.52f, 0.76f)
                arcToRelative(7.314f, 7.314f, 0.0f, false, false, 0.754f, -3.24f)
                curveToRelative(0.0f, -3.868f, -2.99f, -7.05f, -6.832f, -7.45f)
                close()
                moveTo(10.539f, 3.682f)
                curveToRelative(-3.527f, 0.667f, -6.19f, 3.708f, -6.19f, 7.356f)
                curveToRelative(0.0f, 2.584f, 1.335f, 4.863f, 3.367f, 6.21f)
                arcToRelative(9.84f, 9.84f, 0.0f, false, true, 0.295f, -0.743f)
                curveToRelative(-1.74f, -1.219f, -2.874f, -3.214f, -2.874f, -5.467f)
                curveToRelative(0.0f, -3.054f, 2.082f, -5.632f, 4.932f, -6.45f)
                curveToRelative(0.128f, -0.351f, 0.289f, -0.656f, 0.47f, -0.906f)
                close()
                moveTo(19.689f, 5.357f)
                lineToRelative(-0.801f, 0.893f)
                arcToRelative(8.101f, 8.101f, 0.0f, false, true, 1.551f, 4.777f)
                curveToRelative(0.0f, 2.916f, -1.542f, 5.481f, -3.872f, 6.952f)
                curveToRelative(0.104f, 0.388f, 0.188f, 0.792f, 0.251f, 1.209f)
                curveToRelative(2.87f, -1.632f, 4.802f, -4.677f, 4.802f, -8.16f)
                arcToRelative(9.224f, 9.224f, 0.0f, false, false, -1.93f, -5.67f)
                close()
                moveTo(4.309f, 5.364f)
                arcToRelative(9.25f, 9.25f, 0.0f, false, false, -1.93f, 5.665f)
                curveToRelative(0.0f, 3.507f, 1.954f, 6.567f, 4.858f, 8.19f)
                curveToRelative(0.063f, -0.418f, 0.144f, -0.822f, 0.248f, -1.206f)
                curveToRelative(-2.36f, -1.468f, -3.923f, -4.045f, -3.923f, -6.984f)
                curveToRelative(0.0f, -1.777f, 0.573f, -3.422f, 1.549f, -4.772f)
                close()
                moveTo(13.623f, 5.407f)
                curveToRelative(0.044f, 0.203f, 0.08f, 0.416f, 0.107f, 0.64f)
                arcToRelative(5.332f, 5.332f, 0.0f, false, true, 3.213f, 2.912f)
                lineToRelative(0.577f, -0.148f)
                arcToRelative(5.942f, 5.942f, 0.0f, false, false, -3.897f, -3.404f)
                close()
                moveTo(9.807f, 5.594f)
                arcToRelative(5.939f, 5.939f, 0.0f, false, false, -3.319f, 3.198f)
                lineToRelative(0.58f, 0.148f)
                arcTo(5.324f, 5.324f, 0.0f, false, true, 9.73f, 6.257f)
                curveToRelative(0.017f, -0.227f, 0.04f, -0.45f, 0.077f, -0.663f)
                close()
                moveTo(6.733f, 9.672f)
                lineToRelative(-0.62f, 0.63f)
                lineToRelative(0.315f, 0.614f)
                lineToRelative(1.727f, 0.618f)
                lineToRelative(0.942f, -0.618f)
                lineToRelative(-0.312f, -0.923f)
                close()
                moveTo(17.348f, 9.672f)
                lineToRelative(-2.048f, 0.321f)
                lineToRelative(-0.315f, 0.923f)
                lineToRelative(0.942f, 0.618f)
                lineToRelative(1.73f, -0.618f)
                lineToRelative(0.315f, -0.614f)
                close()
                moveTo(6.1f, 11.869f)
                arcTo(5.824f, 5.824f, 0.0f, false, false, 8.42f, 15.7f)
                curveToRelative(0.1f, -0.17f, 0.204f, -0.335f, 0.315f, -0.493f)
                arcToRelative(5.252f, 5.252f, 0.0f, false, true, -2.038f, -3.34f)
                close()
                moveTo(17.306f, 11.869f)
                curveToRelative(-0.03f, 0.18f, -0.071f, 0.355f, -0.118f, 0.529f)
                curveToRelative(0.174f, 0.138f, 0.338f, 0.272f, 0.493f, 0.41f)
                curveToRelative(0.097f, -0.302f, 0.174f, -0.617f, 0.22f, -0.94f)
                close()
                moveTo(1.627f, 12.086f)
                lineTo(0.0f, 14.158f)
                curveToRelative(0.966f, 3.661f, 3.638f, 6.65f, 7.132f, 8.111f)
                arcToRelative(9.399f, 9.399f, 0.0f, false, true, -0.05f, -1.031f)
                curveToRelative(0.0f, -0.375f, 0.017f, -0.747f, 0.05f, -1.111f)
                curveToRelative(-3.024f, -1.563f, -5.166f, -4.544f, -5.505f, -8.041f)
                close()
                moveTo(22.334f, 12.141f)
                curveToRelative(-0.352f, 3.45f, -2.464f, 6.394f, -5.441f, 7.957f)
                curveToRelative(0.033f, 0.374f, 0.05f, 0.755f, 0.053f, 1.136f)
                curveToRelative(0.0f, 0.377f, -0.017f, 0.71f, -0.05f, 1.005f)
                curveToRelative(3.506f, -1.488f, 6.175f, -4.522f, 7.104f, -8.223f)
                close()
                moveTo(15.79f, 14.758f)
                arcToRelative(5.31f, 5.31f, 0.0f, false, true, -0.486f, 0.42f)
                curveToRelative(0.11f, 0.158f, 0.218f, 0.322f, 0.318f, 0.493f)
                curveToRelative(0.265f, -0.2f, 0.513f, -0.42f, 0.74f, -0.66f)
                arcToRelative(10.61f, 10.61f, 0.0f, false, true, -0.572f, -0.253f)
                close()
                moveTo(17.292f, 15.317f)
                arcToRelative(6.9f, 6.9f, 0.0f, false, true, -1.25f, 1.156f)
                curveToRelative(0.106f, 0.236f, 0.207f, 0.485f, 0.294f, 0.741f)
                arcToRelative(7.667f, 7.667f, 0.0f, false, false, 1.857f, -1.772f)
                arcToRelative(3.554f, 3.554f, 0.0f, false, true, -0.9f, -0.125f)
                close()
                moveTo(14.304f, 15.947f)
                lineToRelative(-2.303f, 0.913f)
                lineToRelative(-2.307f, -0.91f)
                lineToRelative(-0.587f, 1.435f)
                lineToRelative(2.448f, 0.946f)
                curveToRelative(-0.134f, 0.46f, -0.568f, 0.798f, -1.08f, 0.798f)
                curveToRelative(-0.034f, 0.0f, -0.07f, -0.004f, -0.104f, -0.007f)
                lineToRelative(-0.5f, 0.686f)
                curveToRelative(0.188f, 0.063f, 0.39f, 0.096f, 0.6f, 0.096f)
                curveToRelative(0.621f, 0.0f, 1.17f, -0.289f, 1.52f, -0.738f)
                arcToRelative(1.924f, 1.924f, 0.0f, false, false, 2.183f, 0.62f)
                lineToRelative(-0.49f, -0.67f)
                arcToRelative(1.122f, 1.122f, 0.0f, false, true, -1.26f, -0.805f)
                lineToRelative(2.47f, -0.926f)
                close()
                moveTo(15.46f, 20.722f)
                curveToRelative(-1.09f, 0.377f, -2.256f, 0.58f, -3.476f, 0.58f)
                curveToRelative(-1.17f, 0.0f, -2.29f, -0.186f, -3.34f, -0.534f)
                curveToRelative(0.231f, 0.88f, 0.59f, 1.654f, 1.05f, 2.262f)
                curveToRelative(0.743f, 0.134f, 1.509f, 0.207f, 2.294f, 0.207f)
                curveToRelative(0.835f, 0.0f, 1.65f, -0.082f, 2.437f, -0.236f)
                curveToRelative(0.453f, -0.61f, 0.807f, -1.39f, 1.035f, -2.28f)
                close()
            }
        }
        .build()
        return _timescale!!
    }

private var _timescale: ImageVector? = null
