package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Unilever: ImageVector
    get() {
        if (_unilever != null) {
            return _unilever!!
        }
        _unilever = Builder(name = "Unilever", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.436f, 6.6255f)
                curveToRelative(0.1147f, 0.8467f, 1.392f, 1.99f, 1.746f, 1.9613f)
                curveToRelative(0.2344f, -0.0191f, 0.3205f, -1.105f, 0.3205f, -1.9613f)
                curveToRelative(0.0f, -0.488f, 0.0287f, -0.8754f, -0.2296f, -0.9616f)
                curveToRelative(-0.4114f, 0.8276f, -1.4878f, 0.995f, -1.837f, 0.9616f)
                close()
                moveTo(21.5077f, 6.2475f)
                curveToRelative(0.928f, 0.0f, 1.7747f, -0.7414f, 1.7747f, -1.392f)
                curveToRelative(0.0f, -0.3014f, -0.1435f, -0.555f, -0.507f, -0.598f)
                curveToRelative(0.0622f, 0.0813f, 0.0909f, 0.1388f, 0.0909f, 0.287f)
                curveToRelative(0.0f, 0.4928f, -0.7463f, 1.0333f, -1.5595f, 1.0333f)
                curveToRelative(-0.2966f, 0.0f, -0.3827f, 0.2057f, -0.3827f, 0.311f)
                curveToRelative(-0.0048f, 0.2583f, 0.2344f, 0.3588f, 0.5836f, 0.3588f)
                close()
                moveTo(21.3115f, 5.243f)
                curveToRelative(-0.1243f, 0.0f, -0.3013f, 0.0f, -0.4018f, -0.1962f)
                curveToRelative(-0.0335f, -0.0621f, -0.0478f, -0.1387f, -0.0622f, -0.22f)
                curveToRelative(-0.0239f, -0.1244f, -0.0478f, -0.2488f, -0.1435f, -0.3157f)
                curveToRelative(0.153f, 0.0478f, 0.3062f, 0.0478f, 0.4353f, 0.0478f)
                curveToRelative(0.4019f, 0.0f, 0.7846f, -0.2775f, 1.0811f, -0.2775f)
                curveToRelative(0.1962f, 0.0f, 0.2536f, 0.1244f, 0.2536f, 0.2488f)
                curveToRelative(0.0096f, 0.3923f, -0.7893f, 0.7128f, -1.1529f, 0.7128f)
                horizontalLineToRelative(-0.0096f)
                close()
                moveTo(1.373f, 12.232f)
                curveToRelative(0.3014f, 0.0f, 0.2392f, -1.856f, 0.732f, -1.856f)
                curveToRelative(0.1148f, 0.0f, 0.1482f, 0.1147f, 0.1482f, 0.263f)
                curveToRelative(0.0f, 0.421f, -0.2057f, 1.0333f, -0.2057f, 1.373f)
                curveToRelative(0.0f, 0.1722f, 0.0479f, 0.2296f, 0.1244f, 0.2248f)
                curveToRelative(0.2153f, 0.0f, 0.5884f, -2.0427f, 0.952f, -2.0427f)
                curveToRelative(0.1148f, 0.0f, 0.1722f, 0.1149f, 0.1722f, 0.2344f)
                curveToRelative(0.0f, 0.4258f, -0.5454f, 1.66f, -0.5454f, 2.0044f)
                curveToRelative(0.0f, 0.0574f, 0.024f, 0.1005f, 0.0575f, 0.1005f)
                curveToRelative(0.2248f, 0.0f, 0.6697f, -0.9615f, 0.8132f, -1.4447f)
                curveToRelative(0.0813f, -0.2488f, 0.1866f, -0.3827f, 0.287f, -0.3827f)
                curveToRelative(0.0909f, 0.0f, 0.1722f, 0.1005f, 0.1722f, 0.3062f)
                curveToRelative(0.0f, 0.4831f, -0.4449f, 1.612f, -0.8371f, 2.3727f)
                curveToRelative(-0.3014f, 0.5884f, -0.775f, 1.4351f, -0.775f, 1.9087f)
                curveToRelative(0.0f, 0.2392f, 0.0478f, 0.4927f, 0.3875f, 0.7893f)
                curveToRelative(-0.5693f, -0.0335f, -0.8037f, -0.0909f, -1.0142f, -0.5358f)
                curveToRelative(-0.952f, 1.8944f, 1.7605f, 1.7126f, 0.8324f, 3.3965f)
                curveToRelative(-0.1674f, -0.3014f, -1.5069f, -0.6123f, -1.5069f, -2.3775f)
                curveToRelative(0.0f, -1.526f, 1.3347f, -2.4158f, 1.3347f, -3.0473f)
                curveToRelative(0.0f, -0.1243f, -0.043f, -0.2296f, -0.1579f, -0.33f)
                curveToRelative(-0.2966f, -0.2488f, -0.3013f, -0.4545f, -0.5358f, -0.4545f)
                curveToRelative(-0.1674f, 0.0f, -0.373f, 0.3923f, -0.1626f, 0.7415f)
                curveToRelative(0.0718f, 0.1148f, 0.1387f, 0.1818f, 0.1387f, 0.2966f)
                curveToRelative(0.0f, 0.2487f, -0.3922f, 0.9185f, -0.6697f, 0.9137f)
                curveToRelative(-0.2774f, 0.0f, -0.488f, -0.6841f, -0.488f, -1.7891f)
                curveToRelative(0.0f, -0.9807f, 0.2249f, -1.971f, 0.4976f, -1.971f)
                curveToRelative(0.0813f, 0.0f, 0.1004f, 0.0575f, 0.1004f, 0.1244f)
                curveToRelative(0.0f, 0.1148f, -0.0335f, 0.3492f, -0.0335f, 0.7415f)
                curveToRelative(0.0048f, 0.4162f, 0.0957f, 0.4497f, 0.1818f, 0.4401f)
                close()
                moveTo(3.6453f, 14.844f)
                curveToRelative(0.3731f, 0.0f, 0.684f, -0.2775f, 0.684f, -0.8898f)
                verticalLineToRelative(-0.909f)
                curveToRelative(0.0f, -0.3492f, 0.0288f, -0.7414f, 0.2584f, -1.0141f)
                curveToRelative(-0.0287f, 0.1148f, -0.0287f, 0.2392f, -0.0287f, 0.354f)
                curveToRelative(0.0f, 0.7654f, 0.421f, 1.2916f, 0.421f, 2.033f)
                curveToRelative(0.0f, 0.2775f, -0.0814f, 0.4258f, -0.2918f, 0.421f)
                curveToRelative(-0.2057f, 0.0f, -0.1866f, -0.1865f, -0.2344f, -0.1865f)
                curveToRelative(-0.0335f, 0.0f, -0.091f, 0.1148f, -0.091f, 0.2392f)
                curveToRelative(0.0f, 0.1817f, 0.1388f, 0.4783f, 0.5024f, 0.4831f)
                curveToRelative(0.3205f, 0.0f, 0.5788f, -0.2918f, 0.5788f, -0.6219f)
                curveToRelative(0.0f, -0.8036f, -0.6219f, -1.6934f, -0.6219f, -2.5497f)
                curveToRelative(0.0f, -0.3731f, 0.1005f, -0.6219f, 0.177f, -0.818f)
                curveToRelative(0.0f, 1.77f, 1.5069f, 3.0616f, 1.5069f, 3.803f)
                curveToRelative(0.0f, 0.1675f, -0.1244f, 0.3014f, -0.311f, 0.3014f)
                curveToRelative(-0.2057f, 0.0f, -0.3013f, -0.1626f, -0.3013f, -0.287f)
                curveToRelative(0.0f, -0.0622f, -0.0096f, -0.0813f, -0.0335f, -0.0813f)
                curveToRelative(-0.0526f, 0.0f, -0.2153f, 0.177f, -0.2153f, 0.4114f)
                curveToRelative(0.0f, 0.2966f, 0.2392f, 0.6506f, 0.684f, 0.6506f)
                curveToRelative(0.5072f, 0.0f, 0.7846f, -0.4306f, 0.7846f, -0.8133f)
                curveToRelative(0.0f, -0.9376f, -1.8274f, -2.3536f, -1.8274f, -3.87f)
                curveToRelative(0.0f, -0.2583f, 0.043f, -0.6793f, 0.2296f, -0.9998f)
                curveToRelative(-1.1768f, 0.7558f, -1.5403f, 1.7652f, -1.5403f, 2.6502f)
                curveToRelative(0.0f, 0.7654f, -0.0287f, 1.148f, -0.421f, 1.148f)
                curveToRelative(-0.2057f, 0.0f, -0.2583f, -0.1865f, -0.33f, -0.1865f)
                curveToRelative(-0.0527f, 0.0f, -0.0814f, 0.1627f, -0.0814f, 0.2057f)
                curveToRelative(0.0096f, 0.3349f, 0.244f, 0.5167f, 0.488f, 0.5167f)
                horizontalLineToRelative(0.0143f)
                verticalLineToRelative(0.0095f)
                close()
                moveTo(19.8334f, 4.6401f)
                curveToRelative(-0.1722f, 0.0f, -0.4545f, 0.1866f, -0.6793f, 0.1866f)
                curveToRelative(-0.2823f, -0.0048f, -0.201f, -0.3588f, -0.5119f, -0.3588f)
                curveToRelative(-0.067f, 0.0f, -0.1483f, 0.0191f, -0.2296f, 0.0622f)
                curveToRelative(-0.6458f, 0.3253f, -1.1481f, 0.201f, -1.263f, 0.2775f)
                curveToRelative(-0.0286f, 0.0143f, -0.0525f, 0.0382f, -0.0621f, 0.0908f)
                curveToRelative(0.0f, 0.6698f, 0.7128f, 1.703f, 1.8991f, 1.703f)
                curveToRelative(0.8133f, 0.0f, 1.4974f, -0.2774f, 1.4974f, -0.7319f)
                curveToRelative(0.0f, -0.397f, -0.3827f, -1.2294f, -0.6506f, -1.2294f)
                close()
                moveTo(19.0919f, 5.9413f)
                curveToRelative(-0.6554f, 0.0f, -1.086f, -0.354f, -1.0811f, -0.5884f)
                curveToRelative(0.0f, -0.0287f, 0.0191f, -0.0478f, 0.0526f, -0.0478f)
                curveToRelative(0.1052f, 0.0f, 0.3923f, 0.1435f, 0.7654f, 0.2057f)
                curveToRelative(0.4353f, 0.0717f, 0.6697f, 0.0813f, 0.7845f, 0.0813f)
                curveToRelative(0.1148f, 0.0f, 0.1674f, 0.0287f, 0.1674f, 0.0622f)
                curveToRelative(0.0f, 0.11f, -0.2965f, 0.287f, -0.6888f, 0.287f)
                close()
                moveTo(3.8318f, 18.2069f)
                curveToRelative(-0.2918f, 0.0718f, -0.7654f, 0.5358f, -0.7654f, 1.2677f)
                curveToRelative(0.0f, 0.8706f, 0.9376f, 2.2149f, 2.478f, 2.2149f)
                curveToRelative(1.3011f, 0.0f, 1.6216f, -0.8994f, 1.6216f, -1.507f)
                curveToRelative(0.0f, -1.3441f, -0.8276f, -2.2913f, -1.9087f, -2.2913f)
                curveToRelative(-0.5884f, 0.0f, -1.1146f, 0.4305f, -1.1146f, 1.062f)
                curveToRelative(0.0f, 0.5931f, 0.4449f, 1.4733f, 1.5069f, 1.4733f)
                curveToRelative(0.4975f, 0.0f, 0.794f, -0.3587f, 0.794f, -0.7653f)
                curveToRelative(0.0f, -0.4019f, -0.3635f, -0.952f, -0.8993f, -0.952f)
                curveToRelative(-0.1626f, 0.0f, -0.2774f, 0.1052f, -0.2774f, 0.2774f)
                curveToRelative(0.0f, 0.2153f, 0.2966f, 0.421f, 0.665f, 0.4258f)
                curveToRelative(0.0908f, 0.0f, 0.1626f, -0.0191f, 0.196f, -0.0335f)
                curveToRelative(0.0192f, 0.024f, 0.024f, 0.067f, 0.024f, 0.1053f)
                curveToRelative(0.0f, 0.2057f, -0.1962f, 0.33f, -0.4975f, 0.33f)
                curveToRelative(-0.4545f, 0.0f, -0.8898f, -0.3396f, -0.8898f, -0.8754f)
                curveToRelative(0.0f, -0.3205f, 0.2775f, -0.5501f, 0.6793f, -0.5501f)
                curveToRelative(0.794f, 0.0f, 1.2677f, 0.708f, 1.2677f, 1.4064f)
                curveToRelative(0.0f, 0.6315f, -0.3492f, 0.9998f, -1.062f, 0.995f)
                curveToRelative(-1.4351f, 0.0048f, -2.124f, -1.2868f, -1.8178f, -2.5832f)
                close()
                moveTo(14.887f, 21.0437f)
                curveToRelative(-0.091f, -0.1723f, -0.0192f, -0.4689f, -0.287f, -0.4689f)
                curveToRelative(-0.1818f, 0.0f, -0.1962f, 0.1436f, -0.2153f, 0.2584f)
                curveToRelative(-0.3875f, -0.11f, -0.708f, -0.1675f, -0.995f, -0.1675f)
                curveToRelative(-0.2057f, 0.0f, -0.3827f, 0.0287f, -0.5358f, 0.0814f)
                curveToRelative(-0.1005f, -0.1818f, -0.5406f, -0.5262f, -0.9233f, -0.6506f)
                curveToRelative(-0.1483f, 0.8036f, -0.8706f, 1.435f, -1.9422f, 1.526f)
                curveToRelative(-0.0621f, 0.5262f, -0.4736f, 0.6601f, -0.794f, 0.6601f)
                curveToRelative(-0.2297f, 0.0048f, -0.598f, -0.0765f, -0.6172f, -0.1674f)
                curveToRelative(-0.1243f, -0.7558f, -0.6984f, -1.1816f, -0.9471f, -1.282f)
                curveToRelative(0.0095f, 0.0813f, 0.019f, 0.1674f, 0.019f, 0.2487f)
                curveToRelative(0.0f, 0.641f, -0.44f, 1.0429f, -1.258f, 1.0429f)
                curveToRelative(-0.1244f, 0.0f, -0.2966f, -0.0096f, -0.421f, -0.0335f)
                curveToRelative(0.9376f, 1.0428f, 1.6073f, 0.6601f, 2.0427f, 0.8563f)
                curveTo(8.582f, 23.2059f, 9.046f, 24.0f, 10.8734f, 24.0f)
                curveToRelative(0.665f, 0.0f, 1.3443f, -0.2583f, 1.7891f, -0.5453f)
                curveToRelative(0.0814f, 0.2678f, 0.3588f, 0.507f, 0.8133f, 0.507f)
                curveToRelative(0.775f, 0.0f, 1.2103f, -0.2392f, 1.2103f, -0.4353f)
                curveToRelative(0.0f, -0.0526f, -0.0048f, -0.134f, -0.1388f, -0.134f)
                reflectiveCurveToRelative(-0.1148f, 0.0336f, -0.5405f, 0.0336f)
                curveToRelative(-0.4928f, -0.0048f, -1.2964f, -0.1962f, -1.6743f, -1.0573f)
                curveToRelative(-0.067f, -0.1435f, -0.1722f, -0.1435f, -0.2057f, -0.1435f)
                curveToRelative(-0.2488f, 0.0f, -0.6315f, 0.885f, -2.2006f, 0.885f)
                curveToRelative(-0.6553f, 0.0048f, -0.9615f, -0.244f, -0.9615f, -0.3013f)
                curveToRelative(0.0f, -0.0096f, 0.0f, -0.0192f, 0.0335f, -0.0192f)
                curveToRelative(0.0622f, 0.0f, 0.3062f, 0.0287f, 0.6075f, 0.0287f)
                curveToRelative(0.9903f, 0.0f, 1.7892f, -0.4544f, 2.2723f, -0.9806f)
                curveToRelative(0.1674f, -0.1866f, 0.2488f, -0.2153f, 0.3923f, -0.2153f)
                curveToRelative(0.1244f, 0.0f, 0.2583f, 0.11f, 0.3205f, 0.2774f)
                curveToRelative(0.22f, 0.5693f, 0.7271f, 1.0238f, 1.282f, 1.0238f)
                curveToRelative(0.751f, 0.0f, 0.7606f, -1.282f, 0.9376f, -1.3443f)
                arcToRelative(0.344f, 0.344f, 0.0f, false, false, 0.1053f, 0.0192f)
                curveToRelative(0.0909f, 0.0f, 0.2344f, -0.067f, 0.2344f, -0.2344f)
                curveToRelative(0.0f, -0.1818f, -0.22f, -0.2297f, -0.2631f, -0.3205f)
                close()
                moveTo(13.672f, 22.0052f)
                curveToRelative(-0.1962f, -0.0048f, -0.354f, -0.1627f, -0.354f, -0.3588f)
                curveToRelative(0.0f, -0.201f, 0.1578f, -0.3588f, 0.354f, -0.3588f)
                curveToRelative(0.196f, 0.0f, 0.3587f, 0.1627f, 0.3587f, 0.3588f)
                arcToRelative(0.3583f, 0.3583f, 0.0f, false, true, -0.3588f, 0.3588f)
                close()
                moveTo(20.0965f, 16.8244f)
                curveToRelative(-1.3108f, 0.0f, -0.9711f, 1.148f, -2.502f, 1.4973f)
                curveToRelative(-0.2822f, 0.0622f, -0.3635f, 0.153f, -0.3635f, 0.2775f)
                curveToRelative(0.0f, 0.2344f, 0.1292f, 0.5357f, 0.2918f, 0.5357f)
                curveToRelative(0.665f, 0.0f, 1.703f, -1.3825f, 1.8896f, -1.3825f)
                verticalLineToRelative(-0.009f)
                curveToRelative(0.0784f, 0.0046f, 0.1577f, 0.0117f, 0.153f, 0.1956f)
                curveToRelative(0.0f, 0.5023f, -1.4446f, 1.1577f, -1.4446f, 1.5165f)
                curveToRelative(0.0f, 0.2152f, 0.5118f, 0.6697f, 1.0094f, 0.6697f)
                curveToRelative(0.7223f, 0.0048f, 1.3681f, -1.4734f, 1.5212f, -1.4734f)
                curveToRelative(0.1196f, 0.0f, 0.1626f, 0.086f, 0.1626f, 0.177f)
                curveToRelative(0.0f, 0.4018f, -0.488f, 1.1863f, -1.3442f, 1.526f)
                curveToRelative(-0.177f, 0.0717f, -0.2057f, 0.153f, -0.2057f, 0.2153f)
                curveToRelative(0.0f, 0.1961f, 0.2248f, 0.4879f, 0.4305f, 0.4879f)
                curveToRelative(0.2488f, 0.0f, 1.9231f, -1.459f, 1.9231f, -2.6358f)
                curveToRelative(0.0f, -1.105f, -0.7989f, -1.5978f, -1.5212f, -1.5978f)
                close()
                moveTo(20.6992f, 18.0921f)
                arcToRelative(0.5738f, 0.5738f, 0.0f, false, true, -0.263f, -0.067f)
                curveToRelative(-0.1149f, -0.0526f, -0.3206f, -0.2248f, -0.3206f, -0.488f)
                curveToRelative(0.0f, -0.2391f, 0.134f, -0.3396f, 0.2583f, -0.3396f)
                curveToRelative(0.3827f, 0.0f, 0.7846f, 0.3397f, 0.7893f, 0.6076f)
                curveToRelative(0.0f, 0.2152f, -0.2057f, 0.287f, -0.464f, 0.287f)
                close()
                moveTo(3.7265f, 6.8742f)
                curveToRelative(0.0f, 0.1962f, 0.1579f, 0.354f, 0.354f, 0.3588f)
                curveToRelative(0.1962f, 0.0f, 0.354f, -0.1626f, 0.354f, -0.3588f)
                curveToRelative(0.0f, -0.1961f, -0.1626f, -0.354f, -0.354f, -0.354f)
                curveToRelative(-0.1913f, 0.0048f, -0.3588f, 0.1627f, -0.3588f, 0.354f)
                horizontalLineToRelative(0.0048f)
                close()
                moveTo(3.2625f, 6.0753f)
                curveToRelative(0.0f, 0.1962f, 0.1579f, 0.354f, 0.354f, 0.354f)
                curveToRelative(0.1961f, 0.0f, 0.3588f, -0.1626f, 0.3588f, -0.3587f)
                curveToRelative(0.0f, -0.1962f, -0.1627f, -0.3588f, -0.3588f, -0.3588f)
                reflectiveCurveToRelative(-0.354f, 0.1722f, -0.354f, 0.3635f)
                close()
                moveTo(2.942f, 8.5103f)
                curveToRelative(-0.2057f, 0.0526f, -0.6315f, 0.3013f, -0.6315f, 0.7462f)
                curveToRelative(0.0f, 0.3205f, 0.2536f, 0.5262f, 0.5597f, 0.5262f)
                curveToRelative(0.1627f, 0.0f, 0.2775f, -0.0334f, 0.3493f, -0.0909f)
                curveToRelative(-0.2488f, -0.2391f, -0.3397f, -0.507f, -0.3397f, -0.775f)
                curveToRelative(0.0f, -0.177f, 0.0287f, -0.2917f, 0.0622f, -0.4065f)
                close()
                moveTo(0.7558f, 8.6394f)
                curveToRelative(-0.0095f, 0.043f, -0.0095f, 0.091f, -0.0095f, 0.134f)
                curveToRelative(0.0f, 0.421f, 0.2152f, 0.6506f, 0.5118f, 0.6506f)
                curveToRelative(0.22f, 0.0f, 0.4832f, -0.134f, 0.7128f, -0.4258f)
                curveToRelative(-0.0957f, 0.0191f, -0.2153f, 0.0287f, -0.3205f, 0.0287f)
                curveToRelative(-0.3205f, 0.0f, -0.684f, -0.0909f, -0.8946f, -0.3875f)
                close()
                moveTo(0.4448f, 9.4384f)
                curveToRelative(0.0f, 0.6744f, 0.2058f, 0.995f, 0.5694f, 0.9997f)
                curveToRelative(0.287f, 0.0f, 0.6697f, -0.2057f, 1.1241f, -0.598f)
                curveToRelative(-0.3492f, 0.0814f, -0.617f, 0.134f, -0.8563f, 0.1388f)
                curveTo(0.9615f, 9.974f, 0.7176f, 9.8497f, 0.445f, 9.4383f)
                close()
                moveTo(2.7554f, 5.8696f)
                curveToRelative(0.043f, -0.1435f, 0.0814f, -0.3205f, 0.0814f, -0.5166f)
                curveToRelative(0.0f, -0.4258f, -0.1962f, -1.0763f, -0.8037f, -1.0763f)
                curveToRelative(-0.3492f, 0.0f, -0.598f, 0.2774f, -0.598f, 0.6075f)
                curveToRelative(0.0f, 0.708f, 0.708f, 0.9902f, 1.3203f, 0.9854f)
                close()
                moveTo(3.2051f, 6.769f)
                curveToRelative(-0.1148f, -0.153f, -0.0718f, -0.2918f, -0.1435f, -0.3636f)
                curveToRelative(-0.043f, -0.043f, -0.1674f, -0.043f, -0.33f, -0.0622f)
                arcToRelative(2.2396f, 2.2396f, 0.0f, false, false, -0.1962f, -0.0095f)
                curveToRelative(-0.2918f, 0.0f, -0.641f, 0.0382f, -1.0333f, 0.287f)
                curveToRelative(-0.7702f, 0.488f, -0.6602f, 1.3107f, -0.7798f, 1.5117f)
                curveToRelative(-0.0143f, 0.0287f, -0.0287f, 0.0621f, -0.0287f, 0.1004f)
                curveToRelative(0.0f, 0.0813f, 0.091f, 0.1722f, 0.1723f, 0.1674f)
                curveToRelative(0.0717f, 0.0f, 0.1148f, -0.0191f, 0.153f, -0.0191f)
                curveToRelative(0.2153f, 0.0f, 0.4593f, 0.1483f, 0.799f, 0.153f)
                curveToRelative(0.2056f, 0.0f, 0.4448f, -0.0621f, 0.7462f, -0.2152f)
                curveToRelative(0.641f, -0.3205f, 0.8898f, -1.1146f, 0.8898f, -1.2485f)
                curveToRelative(0.0f, -0.1675f, -0.134f, -0.1483f, -0.2488f, -0.3014f)
                close()
                moveTo(1.9948f, 8.118f)
                curveToRelative(-0.2918f, 0.0f, -0.6123f, -0.3636f, -0.6123f, -0.6936f)
                curveToRelative(0.0f, -0.177f, 0.134f, -0.4019f, 0.2296f, -0.4019f)
                curveToRelative(0.0335f, 0.0f, 0.0574f, 0.024f, 0.0574f, 0.091f)
                curveToRelative(0.0526f, 0.4352f, 0.3445f, 0.684f, 0.6076f, 0.8131f)
                curveToRelative(0.0287f, 0.024f, 0.0478f, 0.024f, 0.0478f, 0.0431f)
                curveToRelative(0.0f, 0.0526f, -0.1674f, 0.1435f, -0.33f, 0.1483f)
                close()
                moveTo(2.832f, 7.5679f)
                curveToRelative(-0.311f, 0.0f, -0.5597f, -0.4736f, -0.5597f, -0.7415f)
                curveToRelative(0.0f, -0.1674f, 0.1004f, -0.1866f, 0.2296f, -0.1866f)
                curveToRelative(0.0622f, 0.0f, 0.0909f, 0.0096f, 0.1387f, 0.0335f)
                curveToRelative(0.0766f, 0.043f, 0.0766f, 0.2153f, 0.177f, 0.354f)
                curveToRelative(0.0622f, 0.0813f, 0.2296f, 0.1818f, 0.2296f, 0.2535f)
                curveToRelative(0.0f, 0.1244f, -0.0717f, 0.287f, -0.2152f, 0.287f)
                close()
                moveTo(3.6835f, 7.7784f)
                curveToRelative(-0.1962f, 0.2296f, -0.4019f, 0.6218f, -0.4019f, 1.0285f)
                curveToRelative(0.0f, 0.4783f, 0.2966f, 0.8802f, 0.7559f, 0.8802f)
                curveToRelative(0.4353f, 0.0f, 0.641f, -0.3732f, 0.641f, -0.7559f)
                curveToRelative(-0.0048f, -0.6027f, -0.5454f, -1.0237f, -0.995f, -1.1528f)
                close()
                moveTo(1.7748f, 6.0658f)
                reflectiveCurveToRelative(-0.2584f, 0.1961f, -0.5789f, 0.1961f)
                curveToRelative(-0.3827f, 0.0f, -0.684f, -0.287f, -0.684f, -0.684f)
                curveToRelative(0.0f, -0.2775f, 0.1435f, -0.5598f, 0.4735f, -0.7033f)
                curveToRelative(-0.0095f, 0.0526f, -0.0095f, 0.0957f, -0.0095f, 0.1531f)
                curveToRelative(-0.0048f, 0.5023f, 0.2774f, 0.8898f, 0.7989f, 1.038f)
                close()
                moveTo(17.4893f, 9.022f)
                curveToRelative(0.0f, 0.2057f, 0.1722f, 0.378f, 0.378f, 0.3732f)
                curveToRelative(0.2056f, 0.0f, 0.373f, -0.1675f, 0.373f, -0.3732f)
                reflectiveCurveToRelative(-0.1674f, -0.3731f, -0.373f, -0.3731f)
                curveToRelative(-0.2105f, 0.0f, -0.378f, 0.1722f, -0.378f, 0.3731f)
                close()
                moveTo(17.5133f, 10.1462f)
                curveToRelative(0.0f, 0.2296f, 0.1817f, 0.421f, 0.421f, 0.421f)
                arcToRelative(0.4216f, 0.4216f, 0.0f, false, false, 0.4209f, -0.421f)
                arcToRelative(0.4216f, 0.4216f, 0.0f, false, false, -0.421f, -0.421f)
                curveToRelative(-0.2296f, 0.0096f, -0.421f, 0.1914f, -0.421f, 0.421f)
                close()
                moveTo(16.2313f, 10.9068f)
                curveToRelative(0.0f, 0.3444f, 0.2726f, 0.6171f, 0.617f, 0.6171f)
                curveToRelative(0.3397f, 0.0f, 0.6171f, -0.2774f, 0.6171f, -0.617f)
                reflectiveCurveToRelative(-0.2774f, -0.6172f, -0.617f, -0.6172f)
                curveToRelative(-0.3397f, 0.0048f, -0.6172f, 0.2775f, -0.6172f, 0.6171f)
                close()
                moveTo(16.5613f, 9.6439f)
                curveToRelative(0.0f, 0.1961f, 0.1579f, 0.354f, 0.354f, 0.3588f)
                curveToRelative(0.1961f, 0.0f, 0.3588f, -0.1627f, 0.3588f, -0.3588f)
                reflectiveCurveToRelative(-0.1627f, -0.3588f, -0.3588f, -0.3588f)
                curveToRelative(-0.1914f, 0.0f, -0.3492f, 0.1627f, -0.3492f, 0.3636f)
                lineToRelative(-0.0048f, -0.0048f)
                close()
                moveTo(15.3941f, 10.3615f)
                curveToRelative(0.0f, 0.1961f, 0.1578f, 0.354f, 0.354f, 0.354f)
                reflectiveCurveToRelative(0.3587f, -0.1579f, 0.3587f, -0.354f)
                reflectiveCurveToRelative(-0.1626f, -0.354f, -0.3587f, -0.354f)
                curveToRelative(-0.1914f, 0.0f, -0.3493f, 0.1626f, -0.354f, 0.354f)
                close()
                moveTo(16.3125f, 8.271f)
                curveToRelative(0.0f, 0.3061f, 0.2631f, 0.5692f, 0.5693f, 0.5692f)
                reflectiveCurveToRelative(0.5693f, -0.2583f, 0.5693f, -0.5692f)
                reflectiveCurveToRelative(-0.2584f, -0.5693f, -0.5693f, -0.5693f)
                curveToRelative(-0.311f, 0.0f, -0.5693f, 0.2631f, -0.5693f, 0.5693f)
                close()
                moveTo(16.9775f, 7.1803f)
                curveToRelative(0.0f, 0.1818f, 0.1483f, 0.3444f, 0.3444f, 0.3396f)
                arcToRelative(0.341f, 0.341f, 0.0f, false, false, 0.3397f, -0.3396f)
                arcToRelative(0.341f, 0.341f, 0.0f, false, false, -0.3397f, -0.3397f)
                curveToRelative(-0.1913f, 0.0048f, -0.3492f, 0.1531f, -0.3444f, 0.3397f)
                close()
                moveTo(15.3654f, 8.0366f)
                curveToRelative(0.0f, 0.1818f, 0.1483f, 0.3444f, 0.33f, 0.3396f)
                arcToRelative(0.341f, 0.341f, 0.0f, false, false, 0.3397f, -0.3396f)
                arcToRelative(0.341f, 0.341f, 0.0f, false, false, -0.3397f, -0.3397f)
                curveToRelative(-0.177f, 0.0048f, -0.33f, 0.1531f, -0.33f, 0.3397f)
                close()
                moveTo(15.3223f, 9.199f)
                curveToRelative(0.0f, 0.3062f, 0.2392f, 0.5502f, 0.5358f, 0.5454f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, false, 0.5453f, -0.5454f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, false, -0.5453f, -0.5453f)
                curveToRelative(-0.2966f, -0.0048f, -0.5406f, 0.2344f, -0.5358f, 0.5453f)
                close()
                moveTo(14.1981f, 9.7635f)
                curveToRelative(0.0f, 0.2727f, 0.2296f, 0.5023f, 0.5023f, 0.507f)
                curveToRelative(0.2775f, 0.0f, 0.507f, -0.2295f, 0.507f, -0.507f)
                curveToRelative(0.0f, -0.2775f, -0.2343f, -0.507f, -0.507f, -0.507f)
                curveToRelative(-0.2679f, 0.0f, -0.5023f, 0.2248f, -0.5023f, 0.507f)
                close()
                moveTo(14.4995f, 8.5054f)
                curveToRelative(0.0f, 0.1961f, 0.1579f, 0.354f, 0.354f, 0.354f)
                reflectiveCurveToRelative(0.3588f, -0.1627f, 0.3588f, -0.3588f)
                reflectiveCurveToRelative(-0.1627f, -0.3588f, -0.3588f, -0.3588f)
                curveToRelative(-0.1914f, -0.0048f, -0.3492f, 0.1579f, -0.3492f, 0.3588f)
                horizontalLineToRelative(-0.0048f)
                verticalLineToRelative(0.0048f)
                close()
                moveTo(17.6328f, 11.256f)
                curveToRelative(0.0f, -0.177f, 0.1627f, -0.33f, 0.335f, -0.33f)
                curveToRelative(0.196f, 0.0f, 0.3443f, 0.1482f, 0.3443f, 0.33f)
                curveToRelative(0.0f, 0.2057f, -0.153f, 0.3492f, -0.3492f, 0.3445f)
                arcToRelative(0.3312f, 0.3312f, 0.0f, false, true, -0.33f, -0.3445f)
                close()
                moveTo(17.9342f, 20.6226f)
                curveToRelative(0.0718f, -0.0622f, 0.091f, -0.1627f, 0.091f, -0.2583f)
                verticalLineToRelative(-0.2057f)
                curveToRelative(0.0f, -0.2584f, -0.3924f, -0.4114f, -0.9281f, -0.4114f)
                curveToRelative(-0.6506f, 0.0f, -0.9998f, 0.2918f, -0.9998f, 0.4161f)
                verticalLineToRelative(0.4114f)
                curveToRelative(0.0f, 0.1723f, 0.3875f, 0.3445f, 0.8802f, 0.3445f)
                curveToRelative(0.3779f, 0.0f, 0.7271f, -0.1005f, 0.9567f, -0.2966f)
                close()
                moveTo(18.398f, 20.7184f)
                curveToRelative(-0.2297f, 0.1771f, -0.775f, 0.5787f, -1.674f, 0.5835f)
                curveToRelative(-0.4832f, 0.0f, -0.6937f, -0.1531f, -0.7655f, -0.1531f)
                curveToRelative(-0.0909f, 0.0f, -0.1865f, 0.0909f, -0.287f, 0.2057f)
                curveToRelative(-0.2105f, 0.2487f, -0.488f, 0.7128f, -0.488f, 1.2246f)
                curveToRelative(0.0f, 0.354f, 0.2727f, 0.708f, 0.7894f, 0.7128f)
                curveToRelative(1.6695f, 0.0f, 2.9133f, -1.0428f, 2.9133f, -1.8896f)
                curveToRelative(0.0047f, -0.4796f, -0.2828f, -0.6856f, -0.4882f, -0.6839f)
                close()
                moveTo(17.5563f, 22.3543f)
                curveToRelative(-0.2248f, 0.153f, -0.5262f, 0.2774f, -0.971f, 0.2822f)
                curveToRelative(0.0717f, -0.2152f, 0.1243f, -0.4353f, 0.1243f, -0.6506f)
                curveToRelative(0.0f, -0.0717f, -0.0096f, -0.1243f, -0.0191f, -0.2057f)
                horizontalLineToRelative(0.1148f)
                curveToRelative(0.6984f, -0.0047f, 1.0045f, -0.2822f, 1.0572f, -0.2774f)
                curveToRelative(0.043f, 0.0f, 0.1004f, 0.024f, 0.1004f, 0.1866f)
                curveToRelative(0.0f, 0.196f, -0.0909f, 0.4544f, -0.4066f, 0.6649f)
                close()
                moveTo(18.7092f, 13.2221f)
                curveToRelative(0.0f, 0.2153f, 0.067f, 0.4784f, 0.2966f, 0.4832f)
                curveToRelative(0.1865f, 0.0f, 0.3492f, -0.287f, 0.3492f, -0.598f)
                curveToRelative(0.0f, -0.3587f, -0.0622f, -0.6314f, -0.0622f, -0.775f)
                curveToRelative(0.0f, -0.0621f, 0.0287f, -0.0908f, 0.0622f, -0.0908f)
                curveToRelative(0.134f, 0.0095f, 0.2631f, 0.3779f, 0.4018f, 0.3779f)
                curveToRelative(0.1627f, 0.0f, 0.4019f, -0.2966f, 0.4975f, -0.2966f)
                curveToRelative(0.0287f, 0.0f, 0.0335f, 0.0335f, 0.0335f, 0.043f)
                curveToRelative(0.0f, 0.134f, -0.2057f, 0.4306f, -0.2057f, 0.5502f)
                curveToRelative(0.0f, 0.1004f, 0.5119f, 0.1148f, 0.5119f, 0.2057f)
                curveToRelative(0.0f, 0.134f, -0.5406f, 0.134f, -0.7989f, 0.2487f)
                curveToRelative(-0.2488f, 0.1053f, -0.4018f, 0.2392f, -0.4018f, 0.421f)
                reflectiveCurveToRelative(0.1817f, 0.2153f, 0.4353f, 0.2153f)
                curveToRelative(0.598f, 0.0f, 1.0141f, -0.3205f, 1.148f, -0.3205f)
                curveToRelative(0.0288f, 0.0f, 0.048f, 0.0239f, 0.048f, 0.043f)
                curveToRelative(0.0f, 0.091f, -0.3015f, 0.3827f, -0.3015f, 0.5119f)
                curveToRelative(0.0f, 0.1483f, 0.5502f, 0.33f, 0.5502f, 0.421f)
                curveToRelative(-0.0096f, 0.0286f, -0.043f, 0.0334f, -0.1053f, 0.0334f)
                curveToRelative(-0.1004f, 0.0f, -0.2487f, -0.0287f, -0.3683f, -0.0287f)
                curveToRelative(-0.0718f, 0.0f, -0.134f, 0.0096f, -0.1627f, 0.043f)
                curveToRelative(-0.0622f, 0.067f, 0.024f, 0.5454f, -0.1052f, 0.5454f)
                curveToRelative(-0.1148f, 0.0f, -0.421f, -1.0524f, -1.105f, -1.0524f)
                curveToRelative(-0.1005f, 0.0f, -0.1675f, 0.0813f, -0.1675f, 0.2153f)
                curveToRelative(0.0f, 0.354f, 0.3444f, 0.7654f, 0.6745f, 0.9615f)
                curveToRelative(0.1483f, 0.1005f, 0.4019f, 0.1961f, 0.4019f, 0.2535f)
                curveToRelative(0.0f, 0.1053f, -0.5693f, 0.0096f, -0.5693f, 0.1866f)
                curveToRelative(0.0f, 0.1579f, 0.067f, 0.4018f, 0.067f, 0.5454f)
                curveToRelative(0.0f, 0.043f, -0.0096f, 0.0956f, -0.0622f, 0.1004f)
                curveToRelative(-0.1053f, 0.0f, -0.3684f, -0.488f, -0.4927f, -0.488f)
                curveToRelative(-0.1053f, 0.0f, -0.3397f, 0.2919f, -0.4354f, 0.2919f)
                curveToRelative(-0.0239f, 0.0f, -0.043f, -0.0287f, -0.043f, -0.0526f)
                curveToRelative(0.0f, -0.2057f, 0.33f, -0.6698f, 0.33f, -1.1242f)
                curveToRelative(0.0f, -0.2153f, -0.0286f, -0.6793f, -0.287f, -0.6793f)
                curveToRelative(-0.2152f, 0.0f, -0.4544f, 0.3396f, -0.5597f, 0.6745f)
                curveToRelative(-0.0622f, 0.1961f, -0.0191f, 0.952f, -0.1626f, 0.952f)
                curveToRelative(-0.134f, 0.0f, -0.1005f, -0.5071f, -0.2775f, -0.5071f)
                curveToRelative(-0.134f, 0.0f, -0.4162f, 0.2392f, -0.5166f, 0.2392f)
                curveToRelative(-0.0191f, 0.0f, -0.0335f, -0.0096f, -0.0335f, -0.0287f)
                curveToRelative(0.0f, -0.1053f, 0.2583f, -0.4545f, 0.2583f, -0.5262f)
                curveToRelative(0.0f, -0.134f, -0.5884f, -0.1531f, -0.5884f, -0.2584f)
                curveToRelative(0.0f, -0.0622f, 0.2296f, -0.1052f, 0.445f, -0.1435f)
                curveToRelative(0.4544f, -0.0813f, 1.124f, -0.4114f, 1.124f, -0.8754f)
                curveToRelative(0.0f, -0.5166f, -0.4974f, -0.7415f, -0.8275f, -0.952f)
                curveToRelative(-0.1674f, -0.1052f, -0.3588f, -0.1961f, -0.3588f, -0.2679f)
                curveToRelative(0.0f, -0.0717f, 0.2153f, -0.0717f, 0.3014f, -0.0717f)
                curveToRelative(0.134f, 0.0f, 0.2679f, -0.0096f, 0.2679f, -0.1148f)
                curveToRelative(0.0f, -0.0813f, -0.0191f, -0.2392f, -0.0191f, -0.3636f)
                curveToRelative(0.0f, -0.0909f, 0.0095f, -0.1626f, 0.043f, -0.1626f)
                curveToRelative(0.134f, 0.0f, 0.3205f, 0.4353f, 0.4114f, 0.4353f)
                curveToRelative(0.1435f, 0.0f, 0.3397f, -0.3588f, 0.4736f, -0.3588f)
                curveToRelative(0.043f, 0.0f, 0.0574f, 0.024f, 0.0574f, 0.1053f)
                curveToRelative(-0.0048f, 0.3348f, -0.1722f, 0.7127f, -0.1722f, 1.0332f)
                close()
                moveTo(14.4564f, 10.6151f)
                curveToRelative(0.1005f, 0.7557f, 1.1194f, 0.3778f, 1.1194f, 1.2915f)
                curveToRelative(0.0f, 0.134f, -0.0334f, 0.3301f, -0.0334f, 0.4975f)
                curveToRelative(0.0f, 0.1962f, 0.0239f, 0.3636f, 0.1722f, 0.3636f)
                curveToRelative(0.153f, 0.0f, 0.1865f, -0.1053f, 0.1865f, -0.2488f)
                reflectiveCurveToRelative(-0.0335f, -0.3205f, -0.0335f, -0.421f)
                curveToRelative(0.0f, -0.3109f, 0.2249f, -0.3826f, 0.3588f, -0.3826f)
                curveToRelative(0.3397f, 0.0f, 0.5932f, 0.3444f, 1.1099f, 0.3492f)
                curveToRelative(-0.1149f, 0.5692f, -1.2917f, 0.421f, -1.2917f, 1.0428f)
                curveToRelative(0.0f, 0.3062f, 0.3062f, 0.3875f, 0.512f, 0.3875f)
                curveToRelative(0.1865f, 0.0f, 0.2487f, -0.0287f, 0.2487f, -0.1865f)
                curveToRelative(0.0f, -0.091f, -0.0192f, -0.1866f, -0.0192f, -0.2488f)
                curveToRelative(0.0f, -0.0335f, 0.0287f, -0.0718f, 0.0718f, -0.0718f)
                curveToRelative(0.1961f, 0.0f, 1.1529f, 0.732f, 1.1529f, 0.952f)
                curveToRelative(0.0f, 0.2057f, -1.0142f, 0.4114f, -1.3108f, 0.4114f)
                curveToRelative(-0.0909f, 0.0f, -0.1052f, -0.0622f, -0.1052f, -0.0957f)
                curveToRelative(0.0f, -0.0622f, 0.153f, -0.2487f, 0.153f, -0.3587f)
                curveToRelative(0.0f, -0.0814f, -0.1339f, -0.134f, -0.4927f, -0.134f)
                curveToRelative(-0.1674f, 0.0f, -0.2966f, 0.0191f, -0.2966f, 0.153f)
                curveToRelative(0.0f, 0.2393f, 0.3875f, 0.5359f, 0.3875f, 0.756f)
                curveToRelative(0.0f, 0.177f, -0.1052f, 0.287f, -0.3922f, 0.287f)
                curveToRelative(-0.2392f, 0.0f, -0.6028f, -0.1866f, -0.6028f, -0.4976f)
                curveToRelative(0.0f, -0.2487f, 0.2583f, -0.4975f, 0.2583f, -0.6506f)
                curveToRelative(0.0f, -0.043f, -0.0335f, -0.1148f, -0.1387f, -0.1148f)
                curveToRelative(-0.33f, 0.0f, -0.421f, 0.8755f, -1.5882f, 0.9711f)
                curveToRelative(0.1866f, -0.1674f, 0.3492f, -0.3587f, 0.3492f, -0.7414f)
                curveToRelative(0.0f, -0.1866f, -0.043f, -0.3397f, -0.043f, -0.5454f)
                curveToRelative(0.0f, -0.2679f, 0.1243f, -0.4018f, 0.3013f, -0.4018f)
                curveToRelative(0.3301f, 0.0f, 0.4928f, 0.4688f, 0.708f, 0.4688f)
                curveToRelative(0.1148f, 0.0f, 0.2392f, -0.1053f, 0.2392f, -0.268f)
                curveToRelative(0.0f, -0.6792f, -1.3012f, -0.5787f, -1.3012f, -1.5307f)
                curveToRelative(-0.0095f, -0.2679f, 0.0861f, -0.5884f, 0.3205f, -1.0333f)
                close()
                moveTo(17.4511f, 16.1689f)
                curveToRelative(0.0622f, 0.1005f, 0.0909f, 0.1962f, 0.0909f, 0.287f)
                curveToRelative(0.0f, 0.2488f, -0.1675f, 0.4832f, -0.1675f, 0.7415f)
                curveToRelative(0.0f, 0.2966f, 0.2296f, 0.5358f, 0.5597f, 0.5358f)
                curveToRelative(0.3636f, 0.0f, 0.6171f, -0.2918f, 0.6171f, -0.641f)
                curveToRelative(-0.0048f, -0.4784f, -0.4353f, -0.8802f, -1.1002f, -0.9233f)
                close()
                moveTo(14.4995f, 16.7382f)
                curveToRelative(0.0909f, 0.0909f, 0.1148f, 0.1818f, 0.1148f, 0.2679f)
                curveToRelative(0.0f, 0.134f, -0.0622f, 0.2774f, -0.0622f, 0.4257f)
                curveToRelative(0.0f, 0.2153f, 0.1579f, 0.4019f, 0.3875f, 0.4019f)
                curveToRelative(0.2488f, 0.0f, 0.421f, -0.1962f, 0.421f, -0.4258f)
                curveToRelative(0.0048f, -0.3348f, -0.3397f, -0.6697f, -0.8563f, -0.6697f)
                horizontalLineToRelative(-0.0048f)
                close()
                moveTo(14.7148f, 15.6858f)
                curveToRelative(0.4114f, 0.0574f, 0.5118f, 0.1961f, 0.5118f, 0.311f)
                curveToRelative(0.0f, 0.196f, -0.177f, 0.2582f, -0.3492f, 0.2582f)
                curveToRelative(-0.1244f, 0.0f, -0.2679f, -0.0287f, -0.421f, -0.0287f)
                curveToRelative(-0.196f, 0.0f, -0.3922f, 0.043f, -0.5549f, 0.2296f)
                curveToRelative(0.1148f, 0.024f, 0.287f, 0.1005f, 0.287f, 0.2775f)
                curveToRelative(0.0f, 0.5166f, -1.435f, 0.0909f, -1.435f, 1.416f)
                curveToRelative(0.0f, 0.708f, 0.7318f, 1.4734f, 1.8417f, 1.4686f)
                curveToRelative(0.5692f, 0.0f, 0.9376f, -0.1866f, 0.9376f, -0.4018f)
                curveToRelative(0.0f, -0.1675f, -0.3014f, -0.0527f, -0.3014f, -0.1962f)
                curveToRelative(0.0f, -0.0622f, 0.1053f, -0.177f, 0.1053f, -0.2774f)
                curveToRelative(0.0f, -0.043f, -0.0335f, -0.1244f, -0.1053f, -0.1244f)
                curveToRelative(-0.1626f, 0.0f, -0.464f, 0.2583f, -1.0811f, 0.2631f)
                curveToRelative(-0.4832f, 0.0f, -0.952f, -0.2775f, -0.952f, -0.6506f)
                curveToRelative(0.0f, -0.0813f, 0.0335f, -0.1244f, 0.091f, -0.1244f)
                curveToRelative(0.0525f, 0.0f, 0.1243f, 0.0335f, 0.1817f, 0.0335f)
                curveToRelative(0.0526f, 0.0f, 0.0622f, -0.0335f, 0.0622f, -0.134f)
                reflectiveCurveToRelative(0.0f, -0.373f, 0.1674f, -0.373f)
                reflectiveCurveToRelative(0.4927f, 0.6266f, 1.727f, 0.6266f)
                curveToRelative(0.4066f, 0.0f, 1.2007f, -0.0813f, 1.4973f, -0.3492f)
                curveToRelative(-0.0096f, 0.9807f, -0.775f, 2.2723f, -2.3823f, 2.2723f)
                curveToRelative(-1.6648f, 0.0f, -2.5593f, -1.3395f, -2.5593f, -2.5689f)
                curveToRelative(0.0f, -1.3633f, 1.1146f, -2.6023f, 2.6406f, -2.6023f)
                curveToRelative(0.3922f, 0.0f, 0.7175f, 0.1387f, 0.7175f, 0.3013f)
                curveToRelative(0.0f, 0.2488f, -0.5836f, 0.1005f, -0.6266f, 0.3732f)
                close()
                moveTo(15.6858f, 15.217f)
                curveToRelative(0.1244f, 0.1483f, 0.1675f, 0.311f, 0.1627f, 0.4544f)
                curveToRelative(0.0f, 0.3827f, -0.2918f, 0.775f, -0.2918f, 1.1481f)
                curveToRelative(0.0f, 0.5023f, 0.33f, 0.8132f, 0.7845f, 0.8132f)
                curveToRelative(0.4975f, 0.0f, 0.7846f, -0.421f, 0.7846f, -0.8754f)
                curveToRelative(0.0f, -0.6601f, -0.5023f, -1.3586f, -1.44f, -1.5403f)
                close()
                moveTo(16.3652f, 16.6282f)
                curveToRelative(-0.1244f, -0.0096f, -0.2153f, -0.1005f, -0.2153f, -0.2249f)
                curveToRelative(0.0f, -0.067f, 0.043f, -0.177f, 0.0574f, -0.263f)
                curveToRelative(0.0191f, -0.1197f, -0.0096f, -0.225f, 0.0622f, -0.225f)
                curveToRelative(0.1626f, 0.0f, 0.33f, 0.2584f, 0.33f, 0.445f)
                curveToRelative(0.0f, 0.1435f, -0.0908f, 0.2679f, -0.2343f, 0.2679f)
                close()
                moveTo(8.9504f, 5.5109f)
                curveToRelative(-0.4545f, 0.0095f, -0.8755f, 0.3827f, -1.1625f, 0.8897f)
                arcToRelative(1.697f, 1.697f, 0.0f, false, false, 0.0287f, -0.3061f)
                curveToRelative(0.0f, -0.6937f, -0.3731f, -1.3203f, -1.0763f, -1.3203f)
                curveToRelative(-0.5693f, 0.0f, -1.086f, 0.33f, -1.3012f, 0.971f)
                curveToRelative(0.0622f, -0.067f, 0.2488f, -0.1817f, 0.4018f, -0.1817f)
                curveToRelative(0.177f, 0.0f, 0.2297f, 0.153f, 0.2297f, 0.3923f)
                curveToRelative(0.0f, 0.1626f, -0.0383f, 0.3492f, -0.1005f, 0.5262f)
                curveToRelative(-0.11f, 0.2918f, -0.3062f, 0.3827f, -0.4114f, 0.3827f)
                curveToRelative(-0.4449f, 0.0f, -0.244f, -0.732f, -0.4688f, -0.732f)
                curveToRelative(-0.1866f, 0.0f, -0.2392f, 0.3923f, -0.2392f, 0.5454f)
                curveToRelative(0.0f, 0.507f, 0.33f, 1.0428f, 1.062f, 1.0428f)
                curveToRelative(0.775f, 0.0f, 1.215f, -0.3683f, 1.6887f, -0.8658f)
                curveToRelative(0.0908f, 0.5358f, 0.3827f, 1.4542f, 1.1672f, 1.4542f)
                curveToRelative(0.4257f, 0.0f, 0.7319f, -0.354f, 0.7654f, -0.7653f)
                curveToRelative(-0.0574f, 0.0526f, -0.134f, 0.0956f, -0.2249f, 0.0956f)
                curveToRelative(-0.1626f, 0.0f, -0.196f, -0.2296f, -0.196f, -0.4353f)
                curveToRelative(0.0f, -0.33f, 0.0956f, -0.684f, 0.2487f, -0.684f)
                curveToRelative(0.0813f, 0.0f, 0.1243f, 0.0526f, 0.1435f, 0.2917f)
                curveToRelative(0.0143f, 0.1866f, 0.0f, 0.3923f, 0.1148f, 0.3923f)
                reflectiveCurveToRelative(0.1866f, -0.3683f, 0.1866f, -0.6171f)
                curveToRelative(0.0f, -0.574f, -0.268f, -1.0763f, -0.8563f, -1.0763f)
                close()
                moveTo(6.3097f, 7.233f)
                curveToRelative(-0.0765f, 0.0f, -0.0956f, -0.0717f, -0.1004f, -0.134f)
                curveToRelative(0.0f, -0.3491f, 0.3827f, -1.9086f, 0.6601f, -1.9086f)
                curveToRelative(0.067f, 0.0f, 0.091f, 0.0526f, 0.091f, 0.1243f)
                curveToRelative(0.0f, 0.2775f, -0.3493f, 1.9183f, -0.6507f, 1.9183f)
                close()
                moveTo(7.4961f, 6.568f)
                curveToRelative(-0.2296f, 0.2584f, -0.354f, 0.3636f, -0.4544f, 0.3636f)
                curveToRelative(-0.0527f, 0.0048f, -0.1053f, -0.086f, -0.1053f, -0.1913f)
                curveToRelative(0.0f, -0.1914f, 0.134f, -0.9041f, 0.4018f, -0.9041f)
                curveToRelative(0.1053f, 0.0f, 0.177f, 0.196f, 0.177f, 0.373f)
                curveToRelative(0.0f, 0.134f, 0.0f, 0.244f, -0.019f, 0.3589f)
                close()
                moveTo(8.0175f, 7.1852f)
                curveToRelative(-0.0909f, 0.0048f, -0.1387f, -0.1435f, -0.1578f, -0.464f)
                curveToRelative(0.1435f, -0.2392f, 0.2392f, -0.3445f, 0.33f, -0.3445f)
                curveToRelative(0.0383f, 0.0f, 0.0718f, 0.0335f, 0.0718f, 0.1866f)
                verticalLineToRelative(0.0048f)
                horizontalLineToRelative(0.0048f)
                curveToRelative(0.0f, 0.311f, -0.1483f, 0.6219f, -0.2488f, 0.617f)
                close()
                moveTo(8.4959f, 7.7257f)
                curveToRelative(-0.0574f, 0.0f, -0.1004f, -0.0813f, -0.0957f, -0.2679f)
                curveToRelative(0.0f, -0.4831f, 0.311f, -1.3633f, 0.4975f, -1.3633f)
                curveToRelative(0.0527f, 0.0f, 0.0718f, 0.1244f, 0.0718f, 0.2392f)
                curveToRelative(0.0f, 0.5357f, -0.2488f, 1.392f, -0.4736f, 1.392f)
                close()
                moveTo(7.2809f, 7.9123f)
                curveToRelative(-0.3828f, 0.0f, -0.4019f, 0.464f, -0.4019f, 1.4016f)
                curveToRelative(-0.287f, -0.617f, -0.7558f, -1.2724f, -1.3107f, -1.2724f)
                curveToRelative(-0.3732f, 0.0f, -0.5167f, 0.2487f, -0.5167f, 0.684f)
                curveToRelative(0.0f, 0.091f, 0.0096f, 0.2297f, 0.024f, 0.3014f)
                curveToRelative(0.043f, -0.153f, 0.1865f, -0.2153f, 0.3635f, -0.2153f)
                curveToRelative(0.3827f, 0.0f, 0.8467f, 0.2966f, 1.1529f, 0.6937f)
                curveToRelative(-0.3492f, -0.0622f, -0.6889f, -0.1244f, -0.9711f, -0.1244f)
                curveToRelative(-0.177f, 0.0f, -0.3397f, 0.0191f, -0.4736f, 0.0813f)
                curveToRelative(-0.2583f, 0.1148f, -0.6075f, 0.4975f, -0.6075f, 1.0764f)
                curveToRelative(0.0f, 0.0909f, 0.0095f, 0.1818f, 0.0239f, 0.2918f)
                curveToRelative(0.311f, -0.6937f, 1.1385f, -1.0094f, 1.6743f, -1.0094f)
                curveToRelative(0.1052f, 0.0f, 0.1818f, 0.0096f, 0.2535f, 0.0191f)
                curveToRelative(-0.2774f, 0.2488f, -0.3396f, 0.6841f, -0.3588f, 0.9807f)
                curveToRelative(-0.0095f, 0.1435f, -0.0621f, 0.153f, -0.1626f, 0.1483f)
                curveToRelative(0.0f, 0.2966f, 0.2296f, 0.732f, 0.2296f, 0.952f)
                curveToRelative(0.0f, 0.0813f, -0.043f, 0.153f, -0.0909f, 0.1674f)
                curveToRelative(0.0f, 0.3875f, 0.3875f, 0.6745f, 0.3875f, 0.9233f)
                curveToRelative(0.0f, 0.0621f, -0.0191f, 0.1148f, -0.043f, 0.1435f)
                curveToRelative(0.0287f, 0.1578f, 0.4592f, 0.4353f, 0.5118f, 0.5645f)
                curveToRelative(0.067f, 0.1578f, 0.1483f, 0.196f, 0.1962f, 0.196f)
                curveToRelative(0.153f, 0.0f, 0.3922f, -0.177f, 0.3922f, -0.3396f)
                curveToRelative(0.0f, -0.0526f, -0.043f, -0.1148f, -0.0813f, -0.1435f)
                curveToRelative(-0.1674f, -0.1243f, -0.2583f, -0.3922f, -0.33f, -0.5692f)
                curveToRelative(-0.0623f, 0.0f, -0.1436f, -0.024f, -0.1723f, -0.1292f)
                curveToRelative(-0.0478f, -0.1866f, -0.0526f, -0.5262f, -0.1244f, -0.732f)
                curveToRelative(-0.1148f, -0.0286f, -0.1674f, -0.0717f, -0.1674f, -0.3109f)
                curveToRelative(0.0f, -0.1148f, 0.0718f, -0.5692f, 0.0718f, -0.7319f)
                curveToRelative(-0.0527f, 0.0f, -0.1244f, -0.0334f, -0.1244f, -0.1435f)
                curveToRelative(0.0f, -0.287f, 0.287f, -0.507f, 0.3635f, -0.8754f)
                curveToRelative(0.5071f, 0.378f, 0.6267f, 0.7558f, 0.6267f, 1.0955f)
                curveToRelative(0.0f, 0.177f, -0.0287f, 0.3492f, -0.0622f, 0.507f)
                curveToRelative(0.3732f, -0.1865f, 0.9376f, -0.464f, 0.9376f, -1.0237f)
                curveToRelative(0.0f, -0.33f, -0.153f, -0.6936f, -1.1576f, -0.8371f)
                curveToRelative(0.311f, -0.1148f, 0.7032f, -0.177f, 1.0333f, -0.177f)
                curveToRelative(0.5692f, 0.0f, 0.904f, 0.1818f, 0.971f, 0.5836f)
                curveToRelative(0.1149f, -0.177f, 0.2058f, -0.3827f, 0.2058f, -0.5693f)
                curveToRelative(0.0f, -0.4353f, -0.3636f, -0.7223f, -0.8276f, -0.7223f)
                curveToRelative(-0.5454f, 0.0f, -1.0238f, 0.287f, -1.5404f, 0.6267f)
                curveToRelative(0.2344f, -0.4832f, 0.3923f, -0.7654f, 0.6793f, -0.7654f)
                curveToRelative(0.043f, 0.0f, 0.0909f, 0.0095f, 0.1387f, 0.0191f)
                curveToRelative(-0.0957f, -0.3827f, -0.5023f, -0.7702f, -0.7128f, -0.7654f)
                close()
                moveTo(22.3018f, 14.3369f)
                curveToRelative(0.4449f, 0.0f, 0.7989f, 0.5836f, 0.7989f, 1.258f)
                curveToRelative(0.0f, 0.7224f, -0.3397f, 1.507f, -0.9424f, 2.0475f)
                curveToRelative(-0.0096f, -1.2007f, -1.483f, -0.818f, -1.483f, -1.6934f)
                curveToRelative(0.0f, -0.3732f, 0.2679f, -0.622f, 0.5884f, -0.622f)
                curveToRelative(0.287f, 0.0f, 0.5023f, 0.0814f, 0.6745f, 0.2393f)
                curveToRelative(-0.1626f, -0.1531f, -0.2392f, -0.3636f, -0.2392f, -0.5693f)
                curveToRelative(-0.0048f, -0.3492f, 0.2105f, -0.6601f, 0.6028f, -0.6601f)
                close()
                moveTo(15.6858f, 5.2191f)
                curveToRelative(-0.0717f, -0.1149f, -0.3396f, -0.177f, -0.464f, -0.177f)
                curveToRelative(-0.3922f, 0.0f, -0.6601f, 0.2774f, -0.7127f, 0.5262f)
                curveToRelative(-0.0335f, -0.091f, -0.0622f, -0.1962f, -0.0622f, -0.3014f)
                curveToRelative(0.0f, -0.3923f, 0.2679f, -0.8754f, 0.9185f, -0.8754f)
                curveToRelative(0.5692f, 0.0f, 0.7893f, 0.2966f, 0.8706f, 0.2966f)
                curveToRelative(0.0909f, 0.0f, 0.177f, -0.091f, 0.2488f, -0.091f)
                curveToRelative(0.0956f, 0.0f, 0.1004f, 0.1484f, 0.1004f, 0.2584f)
                curveToRelative(0.0f, 0.354f, -0.1626f, 0.971f, -0.5645f, 1.2007f)
                curveToRelative(-0.0717f, -0.153f, -0.2152f, -0.3205f, -0.4449f, -0.4257f)
                curveToRelative(-0.0621f, -0.0287f, -0.0908f, -0.0814f, -0.0908f, -0.134f)
                curveToRelative(0.0047f, -0.1052f, 0.0956f, -0.2296f, 0.2009f, -0.2774f)
                close()
                moveTo(14.3416f, 5.8696f)
                curveToRelative(0.2297f, 0.2297f, 0.4354f, 0.3206f, 0.6841f, 0.3206f)
                curveToRelative(0.1005f, 0.0f, 0.2153f, -0.0287f, 0.2775f, -0.0287f)
                curveToRelative(0.0813f, 0.0f, 0.1387f, 0.0334f, 0.1387f, 0.1004f)
                curveToRelative(0.0f, 0.1005f, -0.0909f, 0.2583f, -0.1961f, 0.3492f)
                curveToRelative(0.1052f, 0.0479f, 0.2296f, 0.0574f, 0.3444f, 0.0622f)
                curveToRelative(0.507f, 0.0f, 1.0859f, -0.3205f, 1.0859f, -1.1242f)
                curveToRelative(0.1052f, 0.1388f, 0.1722f, 0.4354f, 0.1722f, 0.5693f)
                curveToRelative(0.0f, 0.9711f, -0.7128f, 1.3442f, -1.373f, 1.3442f)
                curveToRelative(-0.4305f, 0.0f, -0.641f, -0.1435f, -0.6983f, -0.1435f)
                curveToRelative(-0.1675f, 0.0f, -0.158f, 0.3397f, -0.2775f, 0.33f)
                curveToRelative(-0.2057f, -0.0334f, -0.3923f, -0.4878f, -0.3923f, -0.971f)
                curveToRelative(0.0f, -0.287f, 0.0766f, -0.598f, 0.2392f, -0.818f)
                horizontalLineToRelative(-0.0048f)
                verticalLineToRelative(0.0095f)
                close()
                moveTo(6.7116f, 0.201f)
                curveToRelative(0.0f, -0.0526f, -0.268f, -0.1052f, -0.6315f, -0.1052f)
                curveToRelative(-0.5788f, 0.0f, -0.4975f, 0.4831f, -0.9424f, 0.4783f)
                curveToRelative(-0.464f, 0.0f, -0.3492f, -0.4975f, -0.9376f, -0.4975f)
                curveToRelative(-0.3588f, 0.0f, -0.684f, 0.0622f, -0.684f, 0.1436f)
                curveToRelative(0.0f, 0.1004f, 0.421f, 0.0574f, 0.421f, 0.354f)
                curveToRelative(0.0f, 0.3109f, -0.8994f, 0.4018f, -0.8994f, 0.5883f)
                curveToRelative(0.0f, 0.0575f, 0.067f, 0.091f, 0.1578f, 0.091f)
                curveToRelative(0.1962f, 0.0f, 0.5071f, -0.091f, 0.732f, -0.091f)
                curveToRelative(0.1243f, 0.0f, 0.2391f, 0.024f, 0.2391f, 0.1436f)
                curveToRelative(0.0f, 0.2248f, -0.4831f, 0.6218f, -0.4831f, 0.8036f)
                curveToRelative(0.0f, 0.0574f, 0.0478f, 0.067f, 0.0909f, 0.0718f)
                curveToRelative(0.177f, 0.0f, 0.4831f, -0.4545f, 0.7654f, -0.4545f)
                curveToRelative(0.4736f, 0.0f, 0.1578f, 1.0046f, 0.421f, 1.0094f)
                curveToRelative(0.2678f, 0.0f, 0.153f, -0.9902f, 0.5357f, -0.9902f)
                curveToRelative(0.311f, 0.0f, 0.5501f, 0.684f, 0.7558f, 0.684f)
                curveToRelative(0.0527f, 0.0f, 0.0957f, -0.043f, 0.0957f, -0.1052f)
                curveToRelative(0.0f, -0.1866f, -0.2679f, -0.5693f, -0.2679f, -0.818f)
                curveToRelative(0.0f, -0.1531f, 0.1053f, -0.2249f, 0.2488f, -0.2249f)
                curveToRelative(0.2057f, 0.0f, 0.4784f, 0.1244f, 0.6267f, 0.1244f)
                curveToRelative(0.0526f, 0.0f, 0.1052f, -0.0191f, 0.1052f, -0.0813f)
                curveToRelative(0.0f, -0.2153f, -0.7941f, -0.4449f, -0.7941f, -0.7223f)
                curveTo(6.2763f, 0.33f, 6.7164f, 0.33f, 6.7116f, 0.2009f)
                close()
                moveTo(8.8069f, 1.11f)
                curveToRelative(0.0f, 0.1578f, 0.5597f, 0.5022f, 0.8228f, 0.507f)
                curveToRelative(0.153f, 0.0f, 0.196f, -0.2057f, 0.196f, -0.421f)
                curveToRelative(0.0f, -0.2679f, -0.1147f, -0.2774f, -0.3491f, -0.2774f)
                curveToRelative(-0.2966f, 0.0048f, -0.6697f, 0.086f, -0.6697f, 0.1913f)
                close()
                moveTo(9.7349f, 2.8751f)
                curveToRelative(0.0f, -0.5358f, -1.4447f, -1.5069f, -1.4638f, -1.923f)
                curveToRelative(0.0f, -0.0383f, 0.0191f, -0.0766f, 0.0526f, -0.11f)
                curveTo(8.5725f, 0.5787f, 9.601f, 0.3922f, 9.601f, 0.1673f)
                curveToRelative(0.0f, -0.1148f, -0.2153f, -0.1148f, -0.3206f, -0.1148f)
                curveToRelative(-0.8275f, 0.0f, -2.0426f, 0.3014f, -2.0426f, 0.598f)
                curveToRelative(0.0f, 0.3061f, 1.0859f, 1.038f, 1.0859f, 1.4064f)
                curveToRelative(0.0f, 0.1005f, -0.0622f, 0.134f, -0.1626f, 0.1387f)
                curveToRelative(-0.3014f, 0.0f, -0.9616f, -0.3635f, -1.2725f, -0.3635f)
                curveToRelative(-0.1435f, 0.0f, -0.1962f, 0.0956f, -0.1962f, 0.2392f)
                curveToRelative(0.0f, 0.421f, 0.5023f, 1.2342f, 0.5023f, 1.4733f)
                curveToRelative(0.0f, 0.0288f, -0.0095f, 0.0622f, -0.043f, 0.0622f)
                curveToRelative(-0.1627f, 0.0f, -0.9185f, -0.8897f, -1.1864f, -0.8897f)
                curveToRelative(-0.0957f, 0.0f, -0.1052f, 0.134f, -0.1052f, 0.33f)
                verticalLineToRelative(0.3014f)
                curveToRelative(0.0f, 0.2057f, -0.0096f, 0.33f, -0.1053f, 0.33f)
                curveToRelative(-0.2296f, 0.0f, -0.3396f, -0.6505f, -0.5597f, -0.6505f)
                curveToRelative(-0.2296f, 0.0f, -0.2774f, 1.1577f, -0.4975f, 1.1529f)
                curveToRelative(-0.2583f, 0.0f, -0.0335f, -1.2725f, -0.287f, -1.2725f)
                curveToRelative(-0.2775f, 0.0f, -0.5884f, 0.8467f, -0.7845f, 0.8467f)
                curveToRelative(-0.0718f, 0.0f, -0.091f, -0.0717f, -0.091f, -0.134f)
                curveToRelative(0.0f, -0.2582f, 0.1532f, -0.6792f, 0.1532f, -0.928f)
                curveToRelative(0.0f, -0.1243f, -0.0335f, -0.196f, -0.1436f, -0.196f)
                curveToRelative(-0.2774f, 0.0f, -0.885f, 0.4448f, -1.1146f, 0.4448f)
                curveToRelative(-0.0334f, 0.0f, -0.0813f, -0.0191f, -0.0813f, -0.0526f)
                curveToRelative(0.0f, -0.2153f, 0.9711f, -0.8898f, 0.9711f, -1.196f)
                curveToRelative(0.0f, -0.2965f, -1.3394f, -0.1004f, -1.3394f, -0.4353f)
                curveToRelative(0.0f, -0.287f, 0.952f, -0.5788f, 0.952f, -0.8754f)
                curveToRelative(0.0f, -0.2583f, -1.1338f, -0.3731f, -1.5691f, -0.3731f)
                curveTo(0.8372f, 0.0096f, 0.55f, 0.0718f, 0.55f, 0.2248f)
                curveToRelative(0.0f, 0.2297f, 1.2007f, 0.3062f, 1.2007f, 0.5023f)
                reflectiveCurveToRelative(-1.239f, 0.7224f, -1.239f, 1.0237f)
                curveToRelative(0.0f, 0.2632f, 1.7461f, 0.024f, 1.7461f, 0.2966f)
                curveToRelative(0.0f, 0.3014f, -1.526f, 1.6122f, -1.526f, 2.0475f)
                curveToRelative(0.0f, 0.1004f, 0.067f, 0.1387f, 0.1722f, 0.1435f)
                curveToRelative(0.464f, 0.0f, 1.6648f, -0.8802f, 1.9948f, -0.8802f)
                curveToRelative(0.1149f, 0.0f, 0.1244f, 0.1387f, 0.1244f, 0.263f)
                curveToRelative(0.0f, 0.2345f, -0.0813f, 0.5885f, -0.0813f, 0.8468f)
                curveToRelative(0.0f, 0.2057f, 0.0574f, 0.3444f, 0.2296f, 0.3492f)
                curveToRelative(0.33f, 0.0f, 0.6315f, -0.5597f, 0.8563f, -0.5597f)
                curveToRelative(0.287f, 0.0f, 0.1148f, 1.6456f, 0.5501f, 1.6504f)
                curveToRelative(0.3636f, 0.0f, 0.5167f, -1.7843f, 0.7463f, -1.7843f)
                reflectiveCurveToRelative(0.421f, 0.5118f, 0.6267f, 0.5118f)
                curveToRelative(0.2679f, 0.0f, 0.1435f, -0.8993f, 0.4305f, -0.8993f)
                curveToRelative(0.311f, 0.0f, 1.2007f, 1.0763f, 1.5978f, 1.0716f)
                curveToRelative(0.1243f, 0.0f, 0.1674f, -0.1005f, 0.1674f, -0.2249f)
                curveToRelative(0.0f, -0.4736f, -0.6602f, -1.5403f, -0.6602f, -1.88f)
                curveToRelative(0.0f, -0.0909f, 0.024f, -0.1148f, 0.1244f, -0.1148f)
                curveToRelative(0.3492f, 0.0f, 1.3586f, 0.4784f, 1.8418f, 0.4784f)
                curveToRelative(0.1817f, 0.0191f, 0.2774f, -0.0718f, 0.2822f, -0.1914f)
                close()
                moveTo(1.5929f, 2.3585f)
                curveToRelative(0.0f, 0.177f, -0.6792f, 0.775f, -0.9184f, 0.775f)
                curveToRelative(-0.0909f, 0.0f, -0.1148f, -0.1053f, -0.1148f, -0.2058f)
                curveToRelative(0.0f, -0.177f, 0.0813f, -0.4257f, 0.177f, -0.507f)
                curveToRelative(0.1148f, -0.1053f, 0.3827f, -0.1579f, 0.5884f, -0.1579f)
                curveToRelative(0.1292f, 0.0f, 0.2679f, 0.024f, 0.2679f, 0.0957f)
                close()
                moveTo(8.1467f, 3.277f)
                curveToRelative(0.0f, 0.3061f, 1.1194f, 1.8417f, 1.325f, 1.837f)
                curveToRelative(0.177f, 0.0f, 0.311f, -0.311f, 0.311f, -0.579f)
                curveToRelative(0.0f, -0.0717f, -0.0191f, -0.1434f, -0.0526f, -0.196f)
                curveToRelative(-0.1626f, -0.2249f, -1.2916f, -1.1147f, -1.5403f, -1.1147f)
                curveToRelative(-0.024f, -0.0047f, -0.0479f, 0.0192f, -0.0431f, 0.0527f)
                close()
                moveTo(23.5073f, 0.1722f)
                curveToRelative(-0.445f, 0.0f, -0.5215f, -0.1387f, -0.8228f, -0.1387f)
                curveToRelative(-0.3636f, 0.0f, -0.622f, 0.2487f, -0.622f, 0.6219f)
                curveToRelative(0.0f, 0.1244f, 0.0431f, 0.3205f, 0.0431f, 0.5788f)
                curveToRelative(0.0f, 0.3157f, -0.0622f, 0.6075f, -0.3396f, 0.6075f)
                curveToRelative(-0.2535f, 0.0f, -0.354f, -0.1674f, -0.354f, -0.3635f)
                curveToRelative(0.0f, -0.354f, 0.1866f, -0.5932f, 0.1866f, -0.8276f)
                curveToRelative(0.0f, -0.4258f, -0.5262f, -0.5501f, -1.0764f, -0.5501f)
                curveToRelative(-0.6601f, 0.0f, -1.373f, 0.177f, -1.373f, 0.2678f)
                curveToRelative(0.0f, 0.1531f, 0.952f, 0.0622f, 1.6218f, 0.9185f)
                curveToRelative(-0.4353f, 0.0096f, -1.282f, 0.2057f, -1.282f, 0.3205f)
                curveToRelative(0.0f, 0.1435f, 1.5164f, 0.3062f, 1.5164f, 0.9376f)
                curveToRelative(0.0048f, 0.4162f, -0.3301f, 0.4593f, -0.4593f, 0.464f)
                curveToRelative(-0.5022f, 0.0f, -0.7701f, -0.5118f, -0.904f, -0.5118f)
                arcToRelative(0.0704f, 0.0704f, 0.0f, false, false, -0.0718f, 0.0718f)
                curveToRelative(0.0f, 0.0813f, 0.0717f, 0.2918f, 0.0717f, 0.5166f)
                curveToRelative(0.0f, 0.5693f, -0.6314f, 0.6315f, -0.6314f, 0.7463f)
                curveToRelative(0.0f, 0.043f, 0.0191f, 0.0622f, 0.0909f, 0.0717f)
                arcToRelative(9.153f, 9.153f, 0.0f, false, false, 1.3825f, 0.1053f)
                curveToRelative(1.612f, 0.0f, 2.9324f, -0.5023f, 2.9324f, -1.9087f)
                curveToRelative(0.0f, -0.775f, -0.2392f, -1.0238f, -0.2392f, -1.4017f)
                curveToRelative(0.0f, -0.1244f, 0.0909f, -0.3827f, 0.33f, -0.5262f)
                close()
                moveTo(21.2206f, 3.2195f)
                curveToRelative(-0.1004f, 0.0f, -0.2152f, 0.0f, -0.33f, -0.0096f)
                curveToRelative(1.0428f, -0.1674f, 1.6217f, -0.7702f, 1.6217f, -1.5643f)
                curveToRelative(0.2344f, 0.067f, 0.3779f, 0.3062f, 0.373f, 0.5597f)
                curveToRelative(0.0f, 0.464f, -0.4448f, 1.0142f, -1.6647f, 1.0142f)
                close()
                moveTo(22.6893f, 0.794f)
                curveToRelative(-0.1292f, -0.0048f, -0.2297f, -0.0957f, -0.2297f, -0.22f)
                curveToRelative(0.0f, -0.1292f, 0.1053f, -0.2201f, 0.2297f, -0.2249f)
                arcToRelative(0.2246f, 0.2246f, 0.0f, false, true, 0.2248f, 0.2248f)
                curveToRelative(0.0f, 0.1244f, -0.1005f, 0.2249f, -0.2248f, 0.2201f)
                close()
                moveTo(23.249f, 12.3754f)
                curveToRelative(-0.4162f, 0.0f, -0.6602f, 0.732f, -1.0668f, 0.775f)
                curveToRelative(0.2583f, -1.0716f, 1.3203f, -1.6217f, 1.3203f, -2.6215f)
                curveToRelative(0.0f, -1.1337f, -0.952f, -1.5308f, -1.349f, -1.7843f)
                curveToRelative(-0.665f, -0.9376f, -1.1386f, -1.6791f, -2.2053f, -1.6791f)
                curveToRelative(-0.4545f, 0.0f, -0.7415f, 0.0813f, -1.0524f, 0.0813f)
                curveToRelative(-0.6028f, -0.0048f, -0.7894f, -0.2344f, -0.8324f, -0.2344f)
                curveToRelative(-0.0096f, 0.0f, -0.0191f, 0.0096f, -0.0191f, 0.043f)
                curveToRelative(0.0f, 0.8276f, 0.4353f, 2.7268f, 2.3535f, 2.7268f)
                curveToRelative(1.0238f, 0.0f, 1.4639f, -0.3923f, 1.703f, -0.3923f)
                curveToRelative(0.2584f, 0.0f, 1.086f, 0.2823f, 1.086f, 1.2294f)
                curveToRelative(0.0f, 0.5262f, -0.4162f, 1.062f, -0.5693f, 1.062f)
                curveToRelative(-0.1483f, 0.0048f, -0.3062f, -0.2344f, -0.3062f, -0.488f)
                curveToRelative(0.0f, -0.2822f, 0.1531f, -0.7988f, 0.1531f, -1.1193f)
                curveToRelative(0.0f, -0.1196f, -0.0191f, -0.177f, -0.0909f, -0.177f)
                curveToRelative(-0.1626f, 0.0f, -0.928f, 0.4784f, -0.928f, 1.0955f)
                curveToRelative(0.0f, 0.5262f, 0.775f, 0.8467f, 1.0668f, 0.9998f)
                curveToRelative(-0.2918f, 0.4831f, -0.4688f, 0.794f, -0.6124f, 1.239f)
                curveToRelative(0.0f, -0.335f, -0.3205f, -1.019f, -0.421f, -1.306f)
                curveToRelative(-0.4927f, -1.3395f, -0.6649f, -1.5882f, -1.679f, -1.703f)
                curveToRelative(0.153f, 0.5358f, 1.8991f, 1.8274f, 1.8991f, 3.1477f)
                curveToRelative(0.0f, 0.0813f, -0.0095f, 0.1961f, -0.0191f, 0.2392f)
                curveToRelative(-0.5262f, -1.5404f, -1.4303f, -1.8944f, -1.7604f, -2.2723f)
                curveToRelative(-0.5358f, -0.5884f, -0.2296f, -1.1577f, -1.086f, -1.4782f)
                curveToRelative(0.0527f, 0.0718f, 0.0718f, 0.1627f, 0.0718f, 0.2583f)
                curveToRelative(0.0f, 0.2823f, -0.1626f, 0.641f, -0.1626f, 0.8898f)
                curveToRelative(0.0f, 0.928f, 1.0907f, 0.6506f, 1.7221f, 1.1577f)
                curveToRelative(0.622f, 0.5023f, 0.9711f, 1.3203f, 1.2294f, 2.2292f)
                curveToRelative(0.2488f, -0.397f, 0.3923f, -0.8802f, 0.8372f, -0.8802f)
                curveToRelative(0.287f, 0.0f, 0.3827f, 0.3588f, 0.3827f, 0.6075f)
                curveToRelative(0.0f, 0.0526f, 0.0f, 0.1005f, -0.0096f, 0.134f)
                curveToRelative(0.4258f, -0.3636f, 0.6506f, -0.952f, 0.6506f, -1.3443f)
                curveToRelative(0.0f, -0.263f, -0.0909f, -0.4353f, -0.3061f, -0.4353f)
                close()
                moveTo(21.589f, 8.8785f)
                curveToRelative(-0.0909f, 0.0f, -0.2631f, -0.0478f, -0.378f, -0.0478f)
                curveToRelative(-0.306f, 0.0f, -0.5213f, 0.421f, -0.6792f, 0.421f)
                curveToRelative(-0.0574f, 0.0f, -0.0813f, -0.0527f, -0.0813f, -0.1005f)
                curveToRelative(0.0f, -0.1722f, 0.3013f, -0.378f, 0.3013f, -0.4927f)
                curveToRelative(0.0f, -0.0814f, -0.1291f, -0.1053f, -0.1817f, -0.1053f)
                curveToRelative(-0.3062f, 0.0f, -0.732f, 0.4162f, -0.9711f, 0.4162f)
                curveToRelative(-0.043f, 0.0f, -0.1005f, -0.024f, -0.1005f, -0.0813f)
                curveToRelative(0.0f, -0.1148f, 0.3205f, -0.2775f, 0.3205f, -0.4019f)
                curveToRelative(0.0f, -0.11f, -0.1387f, -0.1339f, -0.2296f, -0.1339f)
                curveToRelative(-0.1483f, 0.0f, -0.4449f, 0.0813f, -0.6315f, 0.0813f)
                curveToRelative(-0.1004f, 0.0f, -0.1817f, -0.0191f, -0.1817f, -0.1004f)
                curveToRelative(0.0f, -0.1818f, 0.5788f, -0.0622f, 0.5788f, -0.2775f)
                curveToRelative(0.0f, -0.1052f, -0.1818f, -0.3014f, -0.1818f, -0.4018f)
                curveToRelative(0.0f, -0.0383f, 0.0478f, -0.067f, 0.0909f, -0.067f)
                curveToRelative(0.2057f, 0.0f, 0.421f, 0.5597f, 0.6602f, 0.5597f)
                curveToRelative(0.1052f, 0.0f, 0.1339f, -0.0813f, 0.1339f, -0.1961f)
                reflectiveCurveToRelative(-0.024f, -0.1722f, -0.024f, -0.2727f)
                curveToRelative(0.0f, -0.1052f, 0.0431f, -0.134f, 0.0766f, -0.134f)
                curveToRelative(0.1483f, 0.0f, 0.2823f, 0.8037f, 0.6937f, 0.8037f)
                curveToRelative(0.1817f, -0.0048f, 0.0526f, -0.4927f, 0.2152f, -0.4927f)
                curveToRelative(0.1005f, 0.0f, 0.1244f, 0.1435f, 0.134f, 0.2248f)
                curveToRelative(0.043f, 0.5262f, 0.5166f, 0.5454f, 0.5166f, 0.732f)
                curveToRelative(0.0f, 0.019f, -0.0287f, 0.067f, -0.0813f, 0.067f)
                close()
                moveTo(17.0062f, 0.0574f)
                curveToRelative(-0.598f, 0.0f, -1.0333f, 0.2918f, -1.2677f, 0.2918f)
                curveToRelative(-0.1387f, 0.0096f, -0.354f, -0.3492f, -0.464f, -0.3492f)
                curveToRelative(-0.043f, 0.0f, -0.091f, 0.0909f, -0.091f, 0.2392f)
                curveToRelative(0.0f, 0.1004f, 0.0f, 0.4114f, -0.1052f, 0.4114f)
                curveToRelative(-0.2152f, 0.0f, -1.0428f, -0.6123f, -1.0428f, -0.3923f)
                curveToRelative(0.0f, 0.2057f, 0.5501f, 0.8324f, 0.5501f, 0.995f)
                reflectiveCurveToRelative(-0.5453f, 0.311f, -0.5453f, 0.421f)
                curveToRelative(0.0f, 0.1961f, 0.5836f, 0.2296f, 0.5836f, 0.4832f)
                curveToRelative(0.0f, 0.2487f, -0.6076f, 0.4449f, -0.6076f, 0.6266f)
                curveToRelative(0.0f, 0.1483f, 0.6076f, 0.0479f, 0.6076f, 0.2297f)
                curveToRelative(0.0f, 0.1865f, -0.445f, 0.8132f, -0.445f, 0.9902f)
                curveToRelative(0.0f, 0.0478f, 0.0097f, 0.0478f, 0.048f, 0.0478f)
                curveToRelative(0.1674f, 0.0048f, 0.6792f, -0.5788f, 0.7988f, -0.5788f)
                curveToRelative(0.1435f, 0.0f, 0.1722f, 0.3444f, 0.1961f, 0.555f)
                curveToRelative(0.0192f, 0.1004f, 0.0335f, 0.1147f, 0.0814f, 0.1147f)
                curveToRelative(0.1052f, 0.0f, 0.2774f, -0.4114f, 0.3922f, -0.4114f)
                curveToRelative(0.1675f, 0.0f, 0.6267f, 0.4688f, 1.3825f, 0.4736f)
                curveToRelative(1.0764f, 0.0f, 2.0953f, -0.7558f, 2.0953f, -2.0953f)
                curveToRelative(0.0f, -1.2916f, -0.9089f, -2.0522f, -2.167f, -2.0522f)
                close()
                moveTo(15.4802f, 2.9324f)
                curveToRelative(-0.0287f, 0.0f, -0.043f, -0.0335f, -0.043f, -0.0813f)
                lineToRelative(-0.0192f, -0.354f)
                curveToRelative(0.0f, -0.0335f, -0.0192f, -0.0717f, -0.0622f, -0.0717f)
                curveToRelative(-0.1053f, 0.0f, -0.311f, -0.0096f, -0.3731f, -0.0096f)
                curveToRelative(-0.043f, 0.0f, -0.0622f, -0.0096f, -0.0622f, -0.0287f)
                curveToRelative(0.0095f, -0.067f, 0.3635f, -0.3205f, 0.3683f, -0.378f)
                curveToRelative(0.0f, -0.1004f, -0.3492f, -0.287f, -0.3492f, -0.3922f)
                curveToRelative(0.0f, -0.0191f, 0.0191f, -0.0287f, 0.043f, -0.0287f)
                curveToRelative(0.1005f, 0.0f, 0.2632f, 0.0335f, 0.4019f, 0.0335f)
                curveToRelative(0.1148f, 0.0f, 0.134f, -0.4975f, 0.22f, -0.4975f)
                curveToRelative(0.0622f, 0.0f, 0.1723f, 0.4688f, 0.2631f, 0.4688f)
                curveToRelative(0.1149f, 0.0f, 0.3301f, -0.134f, 0.421f, -0.134f)
                curveToRelative(0.0192f, 0.0f, 0.0335f, 0.0096f, 0.0335f, 0.0287f)
                curveToRelative(0.0f, 0.0622f, -0.2248f, 0.3014f, -0.2248f, 0.378f)
                curveToRelative(0.0f, 0.0813f, 0.5023f, 0.1817f, 0.5023f, 0.2487f)
                curveToRelative(0.0f, 0.0909f, -0.5071f, 0.0813f, -0.5071f, 0.1627f)
                curveToRelative(0.0f, 0.0574f, 0.1818f, 0.3061f, 0.1818f, 0.3874f)
                curveToRelative(0.0f, 0.0192f, -0.0096f, 0.0287f, -0.0287f, 0.0287f)
                curveToRelative(-0.0718f, 0.0f, -0.3493f, -0.1243f, -0.4306f, -0.1243f)
                curveToRelative(-0.1004f, 0.0f, -0.2583f, 0.3635f, -0.3348f, 0.3635f)
                close()
                moveTo(17.0253f, 3.7026f)
                curveToRelative(-0.6267f, 0.0f, -1.0333f, -0.311f, -1.0333f, -0.4736f)
                curveToRelative(0.0f, -0.0813f, 0.0526f, -0.134f, 0.1244f, -0.134f)
                curveToRelative(0.1961f, 0.0f, 0.6267f, 0.2967f, 0.7654f, 0.2967f)
                curveToRelative(0.0335f, 0.0f, 0.0622f, -0.0192f, 0.0622f, -0.0718f)
                curveToRelative(0.0f, -0.1626f, -0.153f, -0.4257f, -0.153f, -0.5597f)
                curveToRelative(0.0f, -0.0335f, 0.0286f, -0.0622f, 0.0812f, -0.0622f)
                curveToRelative(0.2392f, 0.0f, 0.5932f, 0.1005f, 0.7893f, 0.1005f)
                curveToRelative(0.0622f, 0.0f, 0.0814f, -0.0335f, 0.0814f, -0.0718f)
                curveToRelative(0.0f, -0.1961f, -0.5789f, -0.5788f, -0.5789f, -0.6936f)
                curveToRelative(0.0f, -0.1053f, 0.7224f, -0.2679f, 0.7224f, -0.4353f)
                curveToRelative(0.0f, -0.177f, -0.9807f, -0.0527f, -0.9807f, -0.2249f)
                curveToRelative(0.0f, -0.1243f, 0.1866f, -0.3396f, 0.1866f, -0.4353f)
                curveToRelative(0.0f, -0.043f, -0.0335f, -0.0622f, -0.0957f, -0.0622f)
                curveToRelative(-0.0813f, 0.0f, -0.507f, 0.1675f, -0.6888f, 0.1675f)
                curveToRelative(-0.091f, 0.0f, -0.1962f, -0.0192f, -0.1962f, -0.1436f)
                curveToRelative(0.0f, -0.2057f, 0.3492f, -0.4257f, 0.8946f, -0.4257f)
                curveToRelative(0.8802f, 0.0f, 1.4064f, 0.6075f, 1.4064f, 1.6217f)
                curveToRelative(-0.0048f, 1.2868f, -0.8993f, 1.6073f, -1.3873f, 1.6073f)
                close()
                moveTo(10.9883f, 19.1254f)
                curveToRelative(0.0f, 0.0813f, -0.0288f, 0.1674f, -0.1005f, 0.2583f)
                curveToRelative(-0.0957f, -0.177f, -0.3732f, -0.2679f, -0.4975f, -0.2679f)
                curveToRelative(-0.9185f, 0.0f, -0.5693f, 1.3299f, -1.55f, 1.3299f)
                curveToRelative(-0.4114f, 0.0f, -0.4448f, -0.0526f, -0.598f, -0.0526f)
                curveToRelative(-0.0621f, 0.0f, -0.1004f, 0.0287f, -0.1004f, 0.0813f)
                curveToRelative(0.0f, 0.2296f, 0.33f, 0.7989f, 1.2438f, 0.8037f)
                curveToRelative(0.9185f, 0.0f, 1.7987f, -0.5597f, 1.7987f, -1.2582f)
                curveToRelative(0.0f, -0.1148f, -0.0287f, -0.2392f, -0.0814f, -0.3635f)
                curveToRelative(0.0335f, -0.0527f, 0.1244f, -0.091f, 0.2057f, -0.091f)
                curveToRelative(0.1436f, 0.0f, 0.2153f, 0.158f, 0.354f, 0.1627f)
                curveToRelative(0.1436f, 0.0f, 0.2488f, -0.1052f, 0.2488f, -0.2487f)
                curveToRelative(0.0f, -0.1148f, -0.0622f, -0.1962f, -0.1674f, -0.2488f)
                curveToRelative(0.0717f, -0.0526f, 0.1243f, -0.1435f, 0.1243f, -0.2392f)
                curveToRelative(0.0f, -0.153f, -0.1052f, -0.2918f, -0.287f, -0.2918f)
                curveToRelative(-0.0813f, 0.0f, -0.134f, 0.0287f, -0.1961f, 0.0861f)
                curveToRelative(-0.0191f, -0.1578f, -0.1053f, -0.311f, -0.2775f, -0.311f)
                curveToRelative(-0.134f, 0.0f, -0.2344f, 0.0958f, -0.2344f, 0.2536f)
                curveToRelative(0.0192f, 0.1244f, 0.1148f, 0.2392f, 0.1148f, 0.397f)
                close()
                moveTo(8.118f, 18.4796f)
                curveToRelative(-0.0622f, 0.0f, -0.1435f, 0.0095f, -0.2296f, 0.0095f)
                curveToRelative(-0.0813f, 0.0f, -0.1962f, -0.0191f, -0.268f, -0.0813f)
                curveToRelative(-0.1434f, -0.1244f, -0.1865f, -0.794f, -0.4544f, -1.196f)
                curveToRelative(-0.2918f, -0.4448f, -0.6123f, -0.5692f, -1.0524f, -0.5692f)
                curveToRelative(-0.311f, 0.0f, -0.6601f, 0.1674f, -0.6601f, 0.421f)
                curveToRelative(0.0f, 0.153f, 0.086f, 0.2583f, 0.6505f, 0.4066f)
                curveToRelative(0.7128f, 0.1818f, 1.0764f, 0.5597f, 1.1434f, 1.0142f)
                curveToRelative(0.0717f, 0.4353f, 0.1578f, 0.7893f, 0.33f, 0.971f)
                curveToRelative(0.2249f, 0.2536f, 0.665f, 0.4689f, 1.0381f, 0.4689f)
                curveToRelative(0.3205f, 0.0f, 0.5788f, -0.1053f, 0.5788f, -0.4019f)
                curveToRelative(0.0f, -0.3205f, -0.4353f, -1.0428f, -1.0763f, -1.0428f)
                close()
                moveTo(8.5916f, 19.4602f)
                curveToRelative(-0.2679f, 0.0f, -0.6697f, -0.287f, -0.6697f, -0.4449f)
                curveToRelative(0.0f, -0.1339f, 0.1243f, -0.2057f, 0.2248f, -0.2057f)
                curveToRelative(0.2248f, 0.0f, 0.6267f, 0.2727f, 0.6267f, 0.5071f)
                curveToRelative(-0.0048f, 0.0622f, -0.0479f, 0.1388f, -0.1818f, 0.1435f)
                close()
                moveTo(10.7251f, 15.5376f)
                curveToRelative(-0.4114f, -0.1483f, -0.5932f, -0.3875f, -0.6745f, -0.8563f)
                curveToRelative(-0.2009f, 0.2727f, -0.2966f, 0.531f, -0.2966f, 0.684f)
                curveToRelative(0.0f, 0.6028f, 0.8276f, 0.6124f, 0.8276f, 1.0142f)
                curveToRelative(-0.0048f, 0.2344f, -0.421f, 0.4736f, -0.971f, 0.4784f)
                curveToRelative(-0.6411f, -0.0048f, -1.0716f, -0.1053f, -1.4735f, -0.507f)
                curveToRelative(-0.1052f, -0.1149f, -0.153f, -0.2154f, -0.287f, -0.2154f)
                curveToRelative(-0.153f, 0.0f, -0.2153f, 0.268f, -0.2153f, 0.5071f)
                curveToRelative(0.0f, 0.8754f, 0.8324f, 1.9087f, 1.99f, 1.9087f)
                curveToRelative(1.4448f, -0.0048f, 2.0045f, -0.9998f, 2.0045f, -1.8034f)
                curveToRelative(0.0f, -0.4688f, -0.11f, -0.9137f, -0.9042f, -1.2103f)
                close()
                moveTo(10.2994f, 17.9773f)
                curveToRelative(-0.1148f, 0.0f, -0.1387f, -0.0718f, -0.1387f, -0.1722f)
                curveToRelative(0.0f, -0.0814f, 0.0287f, -0.2344f, 0.0287f, -0.3492f)
                curveToRelative(0.0f, -0.3158f, 0.1196f, -0.2919f, 0.4257f, -0.4306f)
                horizontalLineToRelative(-0.0048f)
                curveToRelative(0.2153f, -0.1004f, 0.2966f, -0.2344f, 0.3636f, -0.2344f)
                curveToRelative(0.0813f, 0.0f, 0.153f, 0.0526f, 0.153f, 0.177f)
                curveToRelative(0.0f, 0.464f, -0.507f, 1.0094f, -0.8275f, 1.0094f)
                close()
                moveTo(7.7736f, 12.519f)
                curveToRelative(0.0f, -0.5692f, 1.3538f, -0.8754f, 1.3538f, -1.5786f)
                curveToRelative(0.0f, -0.1148f, -0.043f, -0.3205f, -0.1244f, -0.4736f)
                curveToRelative(0.4736f, 0.2631f, 0.8228f, 0.6984f, 0.8228f, 1.0524f)
                curveToRelative(0.0f, 0.6171f, -0.641f, 0.8994f, -0.641f, 1.282f)
                curveToRelative(0.0f, 0.445f, 0.684f, 0.512f, 0.684f, 1.0716f)
                curveToRelative(0.0f, 0.4545f, -0.6505f, 0.9807f, -0.6505f, 1.5691f)
                curveToRelative(0.0f, 0.4592f, 0.3205f, 0.8324f, 0.8132f, 0.8898f)
                curveToRelative(-0.1627f, 0.0335f, -0.3014f, 0.0622f, -0.4545f, 0.0622f)
                curveToRelative(-0.8993f, 0.0f, -1.8274f, -0.7415f, -1.8274f, -1.6217f)
                curveToRelative(0.0f, -0.4353f, 0.1866f, -0.818f, 0.4736f, -1.0955f)
                curveToRelative(0.2488f, 0.2153f, 0.5023f, 0.354f, 0.665f, 0.354f)
                curveToRelative(0.1435f, 0.0f, 0.2057f, -0.0718f, 0.2057f, -0.177f)
                curveToRelative(-0.0096f, -0.3253f, -1.3155f, -0.6362f, -1.3203f, -1.3347f)
                close()
                moveTo(5.219f, 16.2743f)
                curveToRelative(-0.0335f, -0.3205f, -0.3253f, -0.5597f, -0.622f, -0.5215f)
                curveToRelative(-0.1147f, 0.0144f, -0.2248f, 0.0574f, -0.2965f, 0.1196f)
                curveToRelative(-0.0813f, -0.2679f, -0.3301f, -0.4975f, -0.6745f, -0.4449f)
                curveToRelative(-0.311f, 0.0527f, -0.5167f, 0.3158f, -0.4832f, 0.6506f)
                curveToRelative(0.0048f, 0.0574f, 0.024f, 0.1148f, 0.0478f, 0.177f)
                curveToRelative(0.0f, 0.0f, -0.0526f, 0.0096f, -0.0908f, 0.0144f)
                curveToRelative(-0.2584f, 0.0478f, -0.5454f, 0.311f, -0.4975f, 0.6506f)
                curveToRelative(0.0382f, 0.3061f, 0.3205f, 0.5358f, 0.641f, 0.4975f)
                curveToRelative(0.1148f, -0.0144f, 0.2248f, -0.043f, 0.2966f, -0.091f)
                curveToRelative(0.0717f, 0.2871f, 0.3061f, 0.4689f, 0.6266f, 0.4258f)
                curveToRelative(0.3301f, -0.043f, 0.5502f, -0.3013f, 0.5167f, -0.6314f)
                curveToRelative(-0.0096f, -0.0909f, -0.0287f, -0.1435f, -0.0526f, -0.2057f)
                curveToRelative(0.0f, 0.0f, 0.043f, -0.0048f, 0.0765f, -0.0096f)
                curveToRelative(0.3205f, -0.0622f, 0.5406f, -0.3205f, 0.5119f, -0.6314f)
                close()
                moveTo(3.9704f, 16.944f)
                curveToRelative(-0.1866f, 0.024f, -0.354f, -0.11f, -0.378f, -0.2966f)
                reflectiveCurveToRelative(0.1101f, -0.354f, 0.2967f, -0.378f)
                curveToRelative(0.1913f, -0.0238f, 0.3588f, 0.1149f, 0.3779f, 0.2967f)
                curveToRelative(0.024f, 0.1865f, -0.11f, 0.354f, -0.2966f, 0.3779f)
                close()
            }
        }
        .build()
        return _unilever!!
    }

private var _unilever: ImageVector? = null
