package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Vsco: ImageVector
    get() {
        if (_vsco != null) {
            return _vsco!!
        }
        _vsco = Builder(name = "Vsco", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                curveTo(5.376f, 0.0f, 0.0f, 5.376f, 0.0f, 12.0f)
                reflectiveCurveToRelative(5.376f, 12.0f, 12.0f, 12.0f)
                reflectiveCurveToRelative(12.0f, -5.376f, 12.0f, -12.0f)
                reflectiveCurveTo(18.624f, 0.0f, 12.0f, 0.0f)
                close()
                moveTo(23.52f, 12.0f)
                curveToRelative(0.0f, 0.408f, -0.023f, 0.792f, -0.072f, 1.176f)
                lineToRelative(-2.04f, -0.24f)
                curveToRelative(0.024f, -0.312f, 0.05f, -0.624f, 0.05f, -0.936f)
                curveToRelative(0.0f, -0.288f, -0.025f, -0.6f, -0.05f, -0.888f)
                lineToRelative(2.04f, -0.24f)
                curveToRelative(0.072f, 0.384f, 0.072f, 0.744f, 0.072f, 1.128f)
                close()
                moveTo(0.479f, 12.0f)
                curveToRelative(0.0f, -0.384f, 0.024f, -0.769f, 0.049f, -1.152f)
                lineToRelative(2.04f, 0.24f)
                curveToRelative(-0.024f, 0.312f, -0.047f, 0.6f, -0.047f, 0.912f)
                reflectiveCurveToRelative(0.023f, 0.6f, 0.047f, 0.912f)
                lineToRelative(-2.04f, 0.24f)
                curveTo(0.479f, 12.769f, 0.479f, 12.384f, 0.479f, 12.0f)
                close()
                moveTo(20.951f, 8.904f)
                lineToRelative(1.921f, -0.72f)
                curveToRelative(0.264f, 0.72f, 0.433f, 1.464f, 0.552f, 2.232f)
                lineToRelative(-2.04f, 0.24f)
                curveToRelative(-0.097f, -0.6f, -0.24f, -1.2f, -0.433f, -1.752f)
                close()
                moveTo(21.0f, 12.0f)
                curveToRelative(0.0f, 0.6f, -0.072f, 1.176f, -0.167f, 1.752f)
                lineToRelative(-2.017f, -0.455f)
                curveToRelative(0.071f, -0.409f, 0.119f, -0.841f, 0.119f, -1.297f)
                reflectiveCurveToRelative(-0.048f, -0.912f, -0.119f, -1.344f)
                lineToRelative(2.017f, -0.457f)
                curveToRelative(0.118f, 0.577f, 0.167f, 1.177f, 0.167f, 1.801f)
                close()
                moveTo(12.0f, 18.456f)
                curveTo(8.435f, 18.455f, 5.545f, 15.565f, 5.544f, 12.0f)
                curveTo(5.545f, 8.435f, 8.435f, 5.545f, 12.0f, 5.544f)
                curveToRelative(3.565f, 0.001f, 6.455f, 2.891f, 6.456f, 6.456f)
                curveToRelative(0.008f, 3.559f, -2.871f, 6.448f, -6.429f, 6.456f)
                lineTo(12.0f, 18.456f)
                close()
                moveTo(12.216f, 21.0f)
                verticalLineToRelative(-2.064f)
                curveToRelative(0.885f, -0.029f, 1.756f, -0.224f, 2.568f, -0.575f)
                lineToRelative(0.888f, 1.872f)
                curveToRelative(-1.09f, 0.482f, -2.264f, 0.742f, -3.456f, 0.767f)
                close()
                moveTo(8.28f, 20.209f)
                lineToRelative(0.912f, -1.873f)
                curveToRelative(0.792f, 0.359f, 1.656f, 0.575f, 2.568f, 0.6f)
                lineTo(11.76f, 21.0f)
                curveToRelative(-1.202f, -0.023f, -2.386f, -0.293f, -3.48f, -0.791f)
                close()
                moveTo(3.0f, 12.0f)
                curveToRelative(0.0f, -0.624f, 0.072f, -1.224f, 0.192f, -1.824f)
                lineToRelative(2.016f, 0.456f)
                curveToRelative(-0.098f, 0.45f, -0.146f, 0.908f, -0.144f, 1.368f)
                curveToRelative(0.0f, 0.432f, 0.048f, 0.864f, 0.12f, 1.272f)
                lineToRelative(-2.016f, 0.455f)
                curveTo(3.051f, 13.159f, 2.994f, 12.58f, 3.0f, 12.0f)
                close()
                moveTo(11.76f, 3.0f)
                verticalLineToRelative(2.064f)
                curveToRelative(-0.877f, 0.029f, -1.74f, 0.224f, -2.544f, 0.576f)
                lineToRelative(-0.888f, -1.871f)
                curveTo(9.411f, 3.291f, 10.577f, 3.03f, 11.76f, 3.0f)
                close()
                moveTo(15.695f, 3.792f)
                lineToRelative(-0.911f, 1.872f)
                curveToRelative(-0.809f, -0.363f, -1.682f, -0.559f, -2.568f, -0.576f)
                lineTo(12.216f, 3.024f)
                curveToRelative(1.248f, 0.0f, 2.424f, 0.288f, 3.479f, 0.768f)
                close()
                moveTo(20.783f, 8.448f)
                curveToRelative(-0.231f, -0.56f, -0.513f, -1.098f, -0.84f, -1.608f)
                lineToRelative(1.681f, -1.152f)
                curveToRelative(0.407f, 0.648f, 0.768f, 1.32f, 1.056f, 2.04f)
                lineToRelative(-1.897f, 0.72f)
                close()
                moveTo(20.713f, 9.744f)
                lineToRelative(-2.018f, 0.456f)
                curveToRelative(-0.23f, -0.85f, -0.621f, -1.648f, -1.151f, -2.352f)
                lineToRelative(1.632f, -1.295f)
                curveToRelative(0.72f, 0.959f, 1.248f, 2.015f, 1.537f, 3.191f)
                close()
                moveTo(17.256f, 7.488f)
                curveToRelative(-0.572f, -0.667f, -1.264f, -1.22f, -2.04f, -1.633f)
                lineToRelative(0.912f, -1.871f)
                curveToRelative(1.056f, 0.549f, 1.993f, 1.299f, 2.76f, 2.208f)
                lineToRelative(-1.632f, 1.296f)
                close()
                moveTo(16.656f, 3.744f)
                lineToRelative(0.96f, -1.824f)
                curveToRelative(0.672f, 0.384f, 1.295f, 0.816f, 1.896f, 1.32f)
                lineTo(18.145f, 4.8f)
                curveToRelative(-0.461f, -0.401f, -0.959f, -0.754f, -1.489f, -1.056f)
                close()
                moveTo(16.248f, 3.528f)
                curveToRelative(-0.54f, -0.266f, -1.102f, -0.483f, -1.68f, -0.648f)
                lineToRelative(0.504f, -1.992f)
                curveToRelative(0.744f, 0.216f, 1.464f, 0.48f, 2.159f, 0.84f)
                lineToRelative(-0.983f, 1.8f)
                close()
                moveTo(14.088f, 2.76f)
                curveToRelative(-0.6f, -0.144f, -1.2f, -0.216f, -1.824f, -0.239f)
                lineTo(12.264f, 0.479f)
                curveToRelative(0.793f, 0.024f, 1.584f, 0.12f, 2.328f, 0.289f)
                lineToRelative(-0.504f, 1.992f)
                close()
                moveTo(11.808f, 2.521f)
                curveToRelative(-0.605f, 0.021f, -1.207f, 0.094f, -1.8f, 0.216f)
                lineTo(9.528f, 0.744f)
                curveToRelative(0.72f, -0.168f, 1.487f, -0.265f, 2.28f, -0.265f)
                verticalLineToRelative(2.042f)
                close()
                moveTo(9.528f, 2.855f)
                curveToRelative(-0.586f, 0.167f, -1.156f, 0.384f, -1.704f, 0.649f)
                lineToRelative(-0.96f, -1.824f)
                curveToRelative(0.691f, -0.343f, 1.415f, -0.616f, 2.16f, -0.816f)
                lineToRelative(0.504f, 1.991f)
                close()
                moveTo(7.416f, 3.72f)
                curveToRelative(-0.529f, 0.294f, -1.027f, 0.64f, -1.488f, 1.032f)
                lineTo(4.56f, 3.216f)
                curveToRelative(0.6f, -0.504f, 1.224f, -0.936f, 1.896f, -1.319f)
                lineToRelative(0.96f, 1.823f)
                close()
                moveTo(7.896f, 3.984f)
                lineToRelative(0.888f, 1.871f)
                curveToRelative(-0.792f, 0.408f, -1.464f, 0.96f, -2.04f, 1.608f)
                lineTo(5.136f, 6.168f)
                curveToRelative(0.775f, -0.895f, 1.711f, -1.636f, 2.76f, -2.184f)
                close()
                moveTo(4.848f, 6.552f)
                lineToRelative(1.608f, 1.295f)
                curveToRelative(-0.53f, 0.705f, -0.921f, 1.503f, -1.152f, 2.353f)
                lineToRelative(-2.016f, -0.456f)
                curveToRelative(0.312f, -1.2f, 0.84f, -2.28f, 1.56f, -3.192f)
                close()
                moveTo(3.24f, 8.4f)
                lineToRelative(-1.92f, -0.72f)
                curveToRelative(0.287f, -0.72f, 0.648f, -1.416f, 1.08f, -2.04f)
                lineToRelative(1.68f, 1.176f)
                curveToRelative(-0.341f, 0.494f, -0.623f, 1.025f, -0.84f, 1.584f)
                close()
                moveTo(3.072f, 8.855f)
                curveToRelative(-0.192f, 0.577f, -0.36f, 1.152f, -0.432f, 1.776f)
                lineTo(0.6f, 10.393f)
                curveToRelative(0.12f, -0.769f, 0.288f, -1.537f, 0.553f, -2.257f)
                lineToRelative(1.919f, 0.719f)
                close()
                moveTo(2.616f, 13.368f)
                curveToRelative(0.096f, 0.6f, 0.239f, 1.2f, 0.432f, 1.776f)
                lineToRelative(-1.92f, 0.72f)
                curveToRelative(-0.271f, -0.728f, -0.456f, -1.485f, -0.552f, -2.257f)
                lineToRelative(2.04f, -0.239f)
                close()
                moveTo(3.24f, 15.576f)
                curveToRelative(0.239f, 0.576f, 0.528f, 1.104f, 0.84f, 1.607f)
                lineTo(2.4f, 18.336f)
                curveToRelative(-0.435f, -0.629f, -0.797f, -1.306f, -1.08f, -2.016f)
                lineToRelative(1.92f, -0.744f)
                close()
                moveTo(3.264f, 14.184f)
                lineToRelative(2.017f, -0.456f)
                curveToRelative(0.216f, 0.864f, 0.624f, 1.681f, 1.128f, 2.376f)
                lineTo(4.8f, 17.4f)
                curveToRelative(-0.725f, -0.957f, -1.247f, -2.051f, -1.536f, -3.216f)
                close()
                moveTo(6.696f, 16.464f)
                curveToRelative(0.577f, 0.672f, 1.272f, 1.248f, 2.064f, 1.656f)
                lineToRelative(-0.912f, 1.872f)
                curveToRelative(-1.063f, -0.557f, -2.009f, -1.315f, -2.784f, -2.232f)
                lineToRelative(1.632f, -1.296f)
                close()
                moveTo(7.416f, 20.279f)
                lineToRelative(-0.96f, 1.825f)
                curveToRelative(-0.674f, -0.376f, -1.31f, -0.819f, -1.896f, -1.321f)
                lineToRelative(1.368f, -1.535f)
                curveToRelative(0.456f, 0.407f, 0.936f, 0.744f, 1.488f, 1.031f)
                close()
                moveTo(7.824f, 20.496f)
                curveToRelative(0.528f, 0.264f, 1.104f, 0.48f, 1.705f, 0.647f)
                lineToRelative(-0.504f, 1.992f)
                curveToRelative(-0.747f, -0.196f, -1.471f, -0.469f, -2.16f, -0.815f)
                lineToRelative(0.959f, -1.824f)
                close()
                moveTo(9.984f, 21.264f)
                curveToRelative(0.576f, 0.12f, 1.176f, 0.193f, 1.8f, 0.217f)
                verticalLineToRelative(2.039f)
                curveToRelative(-0.774f, -0.026f, -1.544f, -0.114f, -2.305f, -0.264f)
                lineToRelative(0.505f, -1.992f)
                close()
                moveTo(12.264f, 21.48f)
                curveToRelative(0.605f, -0.021f, 1.207f, -0.094f, 1.801f, -0.217f)
                lineToRelative(0.479f, 1.992f)
                curveToRelative(-0.749f, 0.168f, -1.513f, 0.264f, -2.28f, 0.287f)
                lineTo(12.264f, 21.48f)
                close()
                moveTo(14.521f, 21.144f)
                curveToRelative(0.586f, -0.165f, 1.155f, -0.382f, 1.703f, -0.647f)
                lineToRelative(0.96f, 1.824f)
                curveToRelative(-0.688f, 0.35f, -1.412f, 0.623f, -2.159f, 0.815f)
                lineToRelative(-0.504f, -1.992f)
                close()
                moveTo(16.607f, 20.279f)
                curveToRelative(0.528f, -0.287f, 1.032f, -0.647f, 1.488f, -1.031f)
                lineToRelative(1.369f, 1.535f)
                curveToRelative(-0.588f, 0.502f, -1.223f, 0.945f, -1.896f, 1.321f)
                lineToRelative(-0.961f, -1.825f)
                close()
                moveTo(16.128f, 20.016f)
                lineToRelative(-0.888f, -1.871f)
                curveToRelative(0.788f, -0.414f, 1.489f, -0.977f, 2.064f, -1.656f)
                lineToRelative(1.606f, 1.296f)
                curveToRelative(-0.778f, 0.91f, -1.722f, 1.668f, -2.782f, 2.231f)
                close()
                moveTo(19.199f, 17.424f)
                lineToRelative(-1.607f, -1.296f)
                curveToRelative(0.532f, -0.708f, 0.916f, -1.517f, 1.128f, -2.376f)
                lineToRelative(2.017f, 0.456f)
                curveToRelative(-0.311f, 1.157f, -0.831f, 2.248f, -1.538f, 3.216f)
                close()
                moveTo(20.76f, 15.6f)
                lineToRelative(1.92f, 0.721f)
                curveToRelative(-0.288f, 0.72f, -0.648f, 1.392f, -1.079f, 2.04f)
                lineToRelative(-1.682f, -1.177f)
                curveToRelative(0.337f, -0.504f, 0.624f, -1.032f, 0.841f, -1.584f)
                close()
                moveTo(20.928f, 15.145f)
                curveToRelative(0.192f, -0.553f, 0.336f, -1.152f, 0.433f, -1.752f)
                lineToRelative(2.039f, 0.239f)
                curveToRelative(-0.11f, 0.761f, -0.294f, 1.508f, -0.551f, 2.232f)
                lineToRelative(-1.921f, -0.719f)
                close()
                moveTo(21.384f, 5.304f)
                lineToRelative(-1.681f, 1.152f)
                curveToRelative(-0.358f, -0.49f, -0.76f, -0.947f, -1.199f, -1.368f)
                lineToRelative(1.368f, -1.536f)
                curveToRelative(0.552f, 0.552f, 1.056f, 1.128f, 1.512f, 1.752f)
                close()
                moveTo(4.2f, 3.528f)
                lineToRelative(1.368f, 1.536f)
                curveToRelative(-0.456f, 0.408f, -0.84f, 0.864f, -1.2f, 1.368f)
                lineToRelative(-1.68f, -1.176f)
                curveToRelative(0.431f, -0.636f, 0.94f, -1.216f, 1.512f, -1.728f)
                close()
                moveTo(2.664f, 18.744f)
                lineToRelative(1.68f, -1.152f)
                curveToRelative(0.36f, 0.48f, 0.769f, 0.937f, 1.2f, 1.369f)
                lineToRelative(-1.368f, 1.535f)
                curveToRelative(-0.548f, -0.545f, -1.054f, -1.131f, -1.512f, -1.752f)
                close()
                moveTo(19.824f, 20.473f)
                lineToRelative(-1.368f, -1.537f)
                curveToRelative(0.432f, -0.407f, 0.841f, -0.863f, 1.199f, -1.344f)
                lineToRelative(1.682f, 1.176f)
                curveToRelative(-0.457f, 0.6f, -0.961f, 1.175f, -1.513f, 1.705f)
                close()
            }
        }
        .build()
        return _vsco!!
    }

private var _vsco: ImageVector? = null
