package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.W3c: ImageVector
    get() {
        if (_w3c != null) {
            return _w3c!!
        }
        _w3c = Builder(name = "W3c", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.642f, 5.602f)
                lineToRelative(-0.931f, 1.858f)
                reflectiveCurveToRelative(-0.4f, -0.738f, -0.795f, -1.076f)
                curveToRelative(-0.377f, -0.322f, -0.864f, -0.62f, -1.48f, -0.556f)
                curveToRelative(-0.597f, 0.062f, -1.27f, 0.587f, -1.722f, 1.46f)
                curveToRelative(-0.513f, 0.994f, -0.688f, 2.001f, -0.692f, 3.112f)
                curveToRelative(-0.005f, 1.556f, 0.57f, 2.618f, 0.57f, 2.618f)
                reflectiveCurveToRelative(-0.132f, -0.494f, -0.11f, -1.33f)
                curveToRelative(0.014f, -0.52f, 0.017f, -1.089f, 0.41f, -2.261f)
                curveToRelative(0.33f, -0.98f, 1.084f, -1.775f, 1.75f, -1.912f)
                curveToRelative(0.517f, -0.107f, 0.847f, -0.03f, 1.356f, 0.329f)
                curveToRelative(0.603f, 0.425f, 0.966f, 1.193f, 0.966f, 1.193f)
                lineToRelative(0.946f, -1.81f)
                close()
                moveTo(0.0f, 5.674f)
                lineToRelative(3.77f, 12.723f)
                horizontalLineToRelative(0.156f)
                lineToRelative(2.356f, -7.886f)
                lineToRelative(2.357f, 7.886f)
                horizontalLineToRelative(0.157f)
                lineToRelative(3.228f, -10.895f)
                lineToRelative(0.152f, -0.258f)
                horizontalLineToRelative(2.655f)
                lineToRelative(-2.2f, 3.802f)
                verticalLineToRelative(0.754f)
                horizontalLineToRelative(0.629f)
                curveToRelative(0.806f, 0.0f, 1.398f, 0.246f, 1.775f, 0.738f)
                curveToRelative(0.324f, 0.42f, 0.487f, 1.011f, 0.487f, 1.776f)
                curveToRelative(0.0f, 0.691f, -0.152f, 1.283f, -0.455f, 1.775f)
                curveToRelative(-0.304f, 0.492f, -0.676f, 0.738f, -1.116f, 0.738f)
                curveToRelative(-0.419f, 0.0f, -0.783f, -0.138f, -1.092f, -0.416f)
                curveToRelative(-0.308f, -0.277f, -0.557f, -0.657f, -0.746f, -1.139f)
                lineToRelative(-1.288f, 0.534f)
                curveToRelative(0.261f, 0.796f, 0.665f, 1.427f, 1.21f, 1.893f)
                curveToRelative(0.544f, 0.466f, 1.183f, 0.699f, 1.916f, 0.699f)
                curveToRelative(0.974f, 0.0f, 1.767f, -0.393f, 2.38f, -1.178f)
                curveToRelative(0.613f, -0.785f, 0.919f, -1.754f, 0.919f, -2.906f)
                curveToRelative(0.0f, -0.932f, -0.21f, -1.743f, -0.628f, -2.435f)
                curveToRelative(-0.42f, -0.69f, -1.037f, -1.167f, -1.854f, -1.43f)
                lineToRelative(2.326f, -4.006f)
                verticalLineToRelative(-0.77f)
                horizontalLineToRelative(-6.177f)
                lineTo(8.64f, 13.419f)
                lineTo(6.362f, 5.674f)
                horizontalLineToRelative(-1.65f)
                lineToRelative(0.754f, 2.529f)
                lineToRelative(-1.54f, 5.215f)
                lineTo(1.65f, 5.674f)
                close()
                moveTo(17.44f, 14.554f)
                reflectiveCurveToRelative(0.233f, 0.755f, 0.379f, 1.076f)
                curveToRelative(0.084f, 0.185f, 0.342f, 0.75f, 0.708f, 1.24f)
                curveToRelative(0.341f, 0.46f, 1.004f, 1.248f, 2.011f, 1.426f)
                curveToRelative(1.008f, 0.178f, 1.7f, -0.274f, 1.871f, -0.384f)
                curveToRelative(0.172f, -0.11f, 0.533f, -0.412f, 0.761f, -0.657f)
                curveToRelative(0.239f, -0.255f, 0.465f, -0.58f, 0.59f, -0.775f)
                curveToRelative(0.091f, -0.143f, 0.24f, -0.432f, 0.24f, -0.432f)
                lineToRelative(-0.241f, -1.255f)
                reflectiveCurveToRelative(-0.418f, 0.748f, -0.678f, 1.036f)
                curveToRelative(-0.261f, 0.288f, -0.727f, 0.794f, -1.302f, 1.048f)
                curveToRelative(-0.576f, 0.253f, -0.877f, 0.302f, -1.446f, 0.247f)
                curveToRelative(-0.569f, -0.054f, -1.097f, -0.383f, -1.282f, -0.52f)
                curveToRelative(-0.185f, -0.138f, -0.658f, -0.542f, -0.925f, -0.92f)
                curveToRelative(-0.268f, -0.376f, -0.686f, -1.13f, -0.686f, -1.13f)
                close()
            }
        }
        .build()
        return _w3c!!
    }

private var _w3c: ImageVector? = null
