package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Wikivoyage: ImageVector
    get() {
        if (_wikivoyage != null) {
            return _wikivoyage!!
        }
        _wikivoyage = Builder(name = "Wikivoyage", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.9171f, 14.1784f)
                curveToRelative(-0.4303f, 0.0f, -0.782f, -0.1366f, -1.0551f, -0.4097f)
                curveToRelative(-0.2731f, -0.2731f, -0.4097f, -0.6229f, -0.4097f, -1.0492f)
                curveToRelative(0.0f, -0.4253f, 0.1183f, -0.7758f, 0.355f, -1.0513f)
                curveToRelative(0.2367f, -0.2756f, 0.5425f, -0.4133f, 0.9173f, -0.4133f)
                curveToRelative(0.4072f, 0.0f, 0.7216f, 0.1287f, 0.9431f, 0.3862f)
                curveToRelative(0.2215f, 0.2574f, 0.3323f, 0.6169f, 0.3323f, 1.0784f)
                verticalLineToRelative(0.1558f)
                lineTo(22.134f, 12.8753f)
                curveToRelative(0.0196f, 0.1606f, 0.0774f, 0.3017f, 0.1736f, 0.4233f)
                curveToRelative(0.1826f, 0.1692f, 0.3935f, 0.2537f, 0.6326f, 0.2537f)
                curveToRelative(0.1753f, 0.0f, 0.3382f, -0.0309f, 0.4885f, -0.0926f)
                curveToRelative(0.1504f, -0.0618f, 0.3407f, -0.167f, 0.5712f, -0.3155f)
                verticalLineToRelative(0.6475f)
                curveToRelative(-0.1888f, 0.1426f, -0.3662f, 0.2427f, -0.532f, 0.3003f)
                curveToRelative(-0.166f, 0.0576f, -0.3496f, 0.0864f, -0.551f, 0.0864f)
                close()
                moveTo(23.3619f, 12.4036f)
                curveToRelative(-0.0222f, -0.133f, -0.0706f, -0.25f, -0.1452f, -0.3512f)
                curveToRelative(-0.1048f, -0.1434f, -0.2591f, -0.215f, -0.463f, -0.215f)
                curveToRelative(-0.1808f, 0.0f, -0.3297f, 0.0777f, -0.4467f, 0.2334f)
                curveToRelative(-0.0802f, 0.1045f, -0.134f, 0.2155f, -0.1613f, 0.3328f)
                close()
                moveTo(19.6314f, 13.4666f)
                curveToRelative(0.0f, 0.036f, 0.0493f, 0.0798f, 0.148f, 0.1312f)
                curveToRelative(0.0987f, 0.0515f, 0.2261f, 0.0893f, 0.3822f, 0.1135f)
                curveToRelative(0.3783f, 0.0603f, 0.6517f, 0.1617f, 0.8203f, 0.304f)
                curveToRelative(0.1687f, 0.1424f, 0.253f, 0.3492f, 0.253f, 0.6204f)
                curveToRelative(0.0f, 0.2661f, -0.1247f, 0.4752f, -0.374f, 0.6273f)
                curveToRelative(-0.2494f, 0.152f, -0.58f, 0.2281f, -0.9918f, 0.2281f)
                curveToRelative(-0.3867f, 0.0f, -0.6964f, -0.0817f, -0.9292f, -0.2452f)
                curveToRelative(-0.2327f, -0.1635f, -0.349f, -0.3863f, -0.349f, -0.6686f)
                curveToRelative(0.0f, -0.1946f, 0.0623f, -0.3617f, 0.187f, -0.5012f)
                curveToRelative(0.1248f, -0.1395f, 0.2704f, -0.218f, 0.4368f, -0.2355f)
                curveToRelative(-0.1399f, -0.0675f, -0.2098f, -0.1708f, -0.2098f, -0.3098f)
                curveToRelative(0.0f, -0.1509f, 0.0928f, -0.2761f, 0.2786f, -0.3757f)
                curveToRelative(0.0444f, -0.0242f, 0.0769f, -0.0284f, 0.0973f, -0.0125f)
                curveToRelative(-0.0726f, -0.003f, -0.1522f, -0.0437f, -0.239f, -0.1221f)
                curveToRelative(-0.2002f, -0.1856f, -0.3003f, -0.4227f, -0.3003f, -0.7114f)
                curveToRelative(0.0f, -0.2898f, 0.1003f, -0.5277f, 0.3007f, -0.7136f)
                curveToRelative(0.2005f, -0.1859f, 0.4573f, -0.2788f, 0.7705f, -0.2788f)
                curveToRelative(0.079f, 0.0f, 0.1534f, 0.0058f, 0.2232f, 0.0176f)
                horizontalLineToRelative(1.099f)
                verticalLineToRelative(0.5445f)
                horizontalLineToRelative(-0.3792f)
                curveToRelative(0.0829f, 0.088f, 0.1257f, 0.2513f, 0.1284f, 0.4898f)
                curveToRelative(0.0f, 0.2484f, -0.1014f, 0.4669f, -0.3042f, 0.6554f)
                curveToRelative(-0.1767f, 0.1625f, -0.3991f, 0.253f, -0.6674f, 0.2717f)
                lineToRelative(-0.1795f, 0.0112f)
                arcToRelative(0.3656f, 0.3656f, 0.0f, false, false, -0.1332f, 0.0502f)
                curveToRelative(-0.0456f, 0.029f, -0.0684f, 0.0656f, -0.0684f, 0.1094f)
                close()
                moveTo(19.9128f, 11.8526f)
                curveToRelative(-0.132f, 0.0f, -0.24f, 0.0422f, -0.3243f, 0.1264f)
                curveToRelative(-0.0841f, 0.0842f, -0.1262f, 0.1942f, -0.1262f, 0.3301f)
                curveToRelative(0.0f, 0.1366f, 0.0419f, 0.2463f, 0.1257f, 0.3293f)
                curveToRelative(0.0838f, 0.0829f, 0.192f, 0.1244f, 0.3248f, 0.1244f)
                curveToRelative(0.1321f, 0.0f, 0.2403f, -0.0417f, 0.3244f, -0.125f)
                curveToRelative(0.0842f, -0.0832f, 0.1262f, -0.1928f, 0.1262f, -0.3287f)
                curveToRelative(0.0f, -0.1353f, -0.0424f, -0.2454f, -0.1273f, -0.3304f)
                curveToRelative(-0.0841f, -0.084f, -0.1919f, -0.126f, -0.3233f, -0.126f)
                close()
                moveTo(19.2086f, 14.5803f)
                curveToRelative(0.0f, 0.1078f, 0.0595f, 0.1972f, 0.1784f, 0.2683f)
                curveToRelative(0.119f, 0.071f, 0.2816f, 0.1066f, 0.4878f, 0.1066f)
                curveToRelative(0.2254f, 0.0f, 0.4016f, -0.03f, 0.5285f, -0.09f)
                curveToRelative(0.127f, -0.06f, 0.1904f, -0.1347f, 0.1904f, -0.2237f)
                curveToRelative(0.0f, -0.0942f, -0.0432f, -0.1743f, -0.1296f, -0.2404f)
                curveToRelative(-0.0865f, -0.0661f, -0.2155f, -0.1129f, -0.387f, -0.1402f)
                lineToRelative(-0.0753f, -0.0117f)
                arcToRelative(2.2197f, 2.2197f, 0.0f, false, false, -0.2005f, -0.0208f)
                curveToRelative(-0.065f, -0.0036f, -0.1138f, -0.0025f, -0.1465f, 0.0033f)
                curveToRelative(-0.125f, 0.02f, -0.225f, 0.0531f, -0.3f, 0.0995f)
                curveToRelative(-0.0975f, 0.0607f, -0.1462f, 0.1437f, -0.1462f, 0.2492f)
                close()
                moveTo(16.8266f, 14.1783f)
                curveToRelative(-0.2113f, 0.0f, -0.3806f, -0.0667f, -0.5076f, -0.2002f)
                curveToRelative(-0.127f, -0.1335f, -0.1906f, -0.3071f, -0.1906f, -0.521f)
                curveToRelative(0.0f, -0.1895f, 0.0624f, -0.353f, 0.1873f, -0.4903f)
                curveToRelative(0.125f, -0.1374f, 0.31f, -0.25f, 0.5553f, -0.338f)
                lineToRelative(0.651f, -0.2353f)
                verticalLineToRelative(-0.1258f)
                curveToRelative(0.0f, -0.139f, -0.0326f, -0.2387f, -0.0978f, -0.299f)
                curveToRelative(-0.0652f, -0.0603f, -0.1721f, -0.0905f, -0.3207f, -0.0905f)
                curveToRelative(-0.1661f, 0.0f, -0.3145f, 0.0318f, -0.4453f, 0.0953f)
                curveToRelative(-0.1307f, 0.0636f, -0.2887f, 0.1698f, -0.4742f, 0.3188f)
                verticalLineToRelative(-0.6237f)
                curveToRelative(0.143f, -0.1476f, 0.288f, -0.2534f, 0.435f, -0.3176f)
                curveToRelative(0.1468f, -0.064f, 0.3103f, -0.0961f, 0.4903f, -0.0961f)
                curveToRelative(0.348f, 0.0f, 0.614f, 0.0868f, 0.7981f, 0.2603f)
                curveToRelative(0.184f, 0.1736f, 0.276f, 0.4244f, 0.276f, 0.7525f)
                verticalLineToRelative(1.3498f)
                curveToRelative(0.0f, 0.022f, 0.0031f, 0.036f, 0.0093f, 0.042f)
                curveToRelative(0.0062f, 0.0063f, 0.0172f, 0.0093f, 0.0333f, 0.0093f)
                curveToRelative(0.0133f, 0.0f, 0.0416f, -0.0136f, 0.085f, -0.041f)
                curveToRelative(0.0433f, -0.0272f, 0.1262f, -0.069f, 0.2486f, -0.1252f)
                verticalLineToRelative(0.4182f)
                curveToRelative(-0.0778f, 0.0778f, -0.1734f, 0.1387f, -0.2867f, 0.1828f)
                curveToRelative(-0.1134f, 0.044f, -0.2214f, 0.066f, -0.324f, 0.066f)
                curveToRelative(-0.119f, 0.0f, -0.2193f, -0.036f, -0.3008f, -0.1081f)
                curveToRelative(-0.0604f, -0.0553f, -0.0921f, -0.1057f, -0.0952f, -0.1513f)
                curveToRelative(-0.0136f, 0.0453f, -0.0612f, 0.0888f, -0.1427f, 0.1305f)
                curveToRelative(-0.1794f, 0.0918f, -0.374f, 0.1377f, -0.5836f, 0.1377f)
                close()
                moveTo(17.5221f, 13.5533f)
                verticalLineToRelative(-0.751f)
                lineToRelative(-0.257f, 0.1198f)
                curveToRelative(-0.1584f, 0.0563f, -0.2747f, 0.1243f, -0.349f, 0.2038f)
                curveToRelative(-0.0744f, 0.0794f, -0.1116f, 0.1724f, -0.1116f, 0.2788f)
                curveToRelative(0.0f, 0.0802f, 0.03f, 0.1447f, 0.09f, 0.1937f)
                curveToRelative(0.06f, 0.049f, 0.1414f, 0.0734f, 0.244f, 0.0734f)
                arcToRelative(0.6166f, 0.6166f, 0.0f, false, false, 0.2578f, -0.058f)
                arcToRelative(2.2801f, 2.2801f, 0.0f, false, true, 0.2f, -0.0808f)
                close()
                moveTo(16.0437f, 11.3761f)
                lineTo(14.15f, 15.564f)
                horizontalLineToRelative(-0.7242f)
                lineToRelative(0.9329f, -2.1137f)
                lineToRelative(-1.0612f, -2.1337f)
                horizontalLineToRelative(0.7079f)
                lineToRelative(0.7125f, 1.5336f)
                lineToRelative(0.6388f, -1.5336f)
                horizontalLineToRelative(0.6868f)
                close()
                moveTo(11.6814f, 14.1641f)
                curveToRelative(-0.4608f, 0.0199f, -0.8472f, -0.1217f, -1.1267f, -0.3951f)
                curveToRelative(-0.2795f, -0.2734f, -0.4192f, -0.623f, -0.4192f, -1.0488f)
                curveToRelative(0.0f, -0.427f, 0.1399f, -0.778f, 0.4196f, -1.0527f)
                curveToRelative(0.2797f, -0.2746f, 0.6387f, -0.412f, 1.0772f, -0.412f)
                curveToRelative(0.4378f, 0.0f, 0.7973f, 0.1375f, 1.0784f, 0.4125f)
                curveToRelative(0.281f, 0.275f, 0.4216f, 0.6257f, 0.4216f, 1.0521f)
                curveToRelative(0.0f, 0.4254f, -0.1404f, 0.7749f, -0.4211f, 1.0485f)
                curveToRelative(-0.2808f, 0.2736f, -0.635f, 0.3956f, -1.0298f, 0.3956f)
                close()
                moveTo(11.6789f, 13.6145f)
                curveToRelative(0.2204f, -0.0198f, 0.3935f, -0.0987f, 0.547f, -0.2603f)
                curveToRelative(0.1535f, -0.1617f, 0.2303f, -0.373f, 0.2303f, -0.634f)
                curveToRelative(0.0f, -0.263f, -0.0768f, -0.4759f, -0.2304f, -0.6384f)
                curveToRelative(-0.1536f, -0.1626f, -0.3514f, -0.2439f, -0.5935f, -0.2439f)
                curveToRelative(-0.2426f, 0.0f, -0.44f, 0.0812f, -0.5924f, 0.2434f)
                curveToRelative(-0.1523f, 0.1623f, -0.2285f, 0.3752f, -0.2285f, 0.6388f)
                curveToRelative(0.0f, 0.2625f, 0.076f, 0.4741f, 0.228f, 0.635f)
                curveToRelative(0.152f, 0.161f, 0.3527f, 0.2594f, 0.6395f, 0.2594f)
                close()
                moveTo(7.2613f, 11.3168f)
                lineTo(7.9537f, 11.3168f)
                lineToRelative(0.6612f, 1.656f)
                lineToRelative(0.664f, -1.656f)
                horizontalLineToRelative(0.6875f)
                lineToRelative(-1.2286f, 2.8421f)
                lineTo(8.486f, 14.1589f)
                close()
                moveTo(16.4786f, 10.6141f)
                lineTo(16.4786f, 7.8232f)
                horizontalLineToRelative(0.6733f)
                verticalLineToRelative(2.8515f)
                horizontalLineToRelative(-0.5401f)
                close()
                moveTo(16.8152f, 6.6511f)
                curveToRelative(0.1103f, 0.0f, 0.2034f, 0.038f, 0.2793f, 0.1138f)
                curveToRelative(0.0759f, 0.0759f, 0.1138f, 0.167f, 0.1138f, 0.2733f)
                arcToRelative(0.3727f, 0.3727f, 0.0f, false, true, -0.1133f, 0.2735f)
                curveToRelative(-0.0756f, 0.0756f, -0.1688f, 0.1133f, -0.2798f, 0.1133f)
                curveToRelative(-0.1116f, 0.0f, -0.205f, -0.0376f, -0.2803f, -0.1128f)
                curveToRelative(-0.0752f, -0.0752f, -0.1128f, -0.1666f, -0.1128f, -0.274f)
                arcToRelative(0.373f, 0.373f, 0.0f, false, true, 0.1133f, -0.2738f)
                curveToRelative(0.0755f, -0.0755f, 0.1688f, -0.1133f, 0.2798f, -0.1133f)
                close()
                moveTo(14.1473f, 6.4688f)
                verticalLineToRelative(4.2063f)
                horizontalLineToRelative(-0.6732f)
                lineTo(13.4741f, 6.4082f)
                horizontalLineToRelative(0.6732f)
                close()
                moveTo(15.4328f, 10.6145f)
                lineTo(14.041f, 9.2523f)
                lineToRelative(1.258f, -1.4287f)
                lineTo(16.0557f, 7.8236f)
                lineToRelative(-1.199f, 1.4145f)
                lineToRelative(1.4127f, 1.4369f)
                horizontalLineToRelative(-0.7034f)
                close()
                moveTo(12.1322f, 10.6141f)
                lineTo(12.1322f, 7.8232f)
                horizontalLineToRelative(0.6733f)
                verticalLineToRelative(2.8515f)
                horizontalLineToRelative(-0.5401f)
                close()
                moveTo(12.4688f, 6.6511f)
                curveToRelative(0.1103f, 0.0f, 0.2034f, 0.038f, 0.2793f, 0.1138f)
                curveToRelative(0.0758f, 0.0759f, 0.1138f, 0.167f, 0.1138f, 0.2733f)
                arcToRelative(0.3728f, 0.3728f, 0.0f, false, true, -0.1133f, 0.2735f)
                curveToRelative(-0.0756f, 0.0756f, -0.1688f, 0.1133f, -0.2798f, 0.1133f)
                curveToRelative(-0.1116f, 0.0f, -0.205f, -0.0376f, -0.2803f, -0.1128f)
                curveToRelative(-0.0752f, -0.0752f, -0.1128f, -0.1666f, -0.1128f, -0.274f)
                arcToRelative(0.373f, 0.373f, 0.0f, false, true, 0.1133f, -0.2738f)
                curveToRelative(0.0755f, -0.0755f, 0.1688f, -0.1133f, 0.2798f, -0.1133f)
                close()
                moveTo(8.49f, 10.717f)
                lineTo(7.2613f, 7.824f)
                horizontalLineToRelative(0.6986f)
                lineToRelative(0.6615f, 1.6798f)
                lineToRelative(0.682f, -1.7213f)
                horizontalLineToRelative(0.4222f)
                lineToRelative(0.6763f, 1.7124f)
                lineToRelative(0.6642f, -1.671f)
                horizontalLineToRelative(0.6998f)
                lineToRelative(-1.242f, 2.893f)
                horizontalLineToRelative(-0.2561f)
                lineToRelative(-0.762f, -1.843f)
                lineToRelative(-0.7593f, 1.843f)
                horizontalLineToRelative(-0.1277f)
                close()
                moveTo(12.2576f, 17.0392f)
                lineToRelative(4.0081f, 6.0705f)
                lineToRelative(0.4359f, -7.2612f)
                arcToRelative(4.6007f, 4.6007f, 0.0f, false, true, -4.444f, 1.1907f)
                close()
                moveTo(7.2613f, 6.4082f)
                lineTo(0.0f, 6.8441f)
                lineToRelative(6.0705f, 4.0081f)
                arcToRelative(4.6007f, 4.6007f, 0.0f, false, true, 1.1908f, -4.444f)
                close()
                moveTo(18.9663f, 7.3967f)
                lineTo(22.2197f, 0.8903f)
                lineToRelative(-6.5064f, 3.2532f)
                arcToRelative(4.6008f, 4.6008f, 0.0f, false, true, 3.2532f, 3.2532f)
                close()
            }
        }
        .build()
        return _wikivoyage!!
    }

private var _wikivoyage: ImageVector? = null
