package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.WriteDotAs: ImageVector
    get() {
        if (_writeDotAs != null) {
            return _writeDotAs!!
        }
        _writeDotAs = Builder(name = "WriteDotAs", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.812f, 5.139f)
                lineToRelative(2.179f, 7.509f)
                arcToRelative(168.085f, 168.085f, 0.0f, false, true, 0.666f, 2.459f)
                horizontalLineToRelative(0.025f)
                curveToRelative(0.054f, -0.372f, 0.145f, -0.772f, 0.273f, -1.204f)
                lineToRelative(0.353f, -1.176f)
                lineToRelative(1.05f, -3.442f)
                lineToRelative(0.213f, -0.671f)
                curveToRelative(0.062f, -0.199f, 0.126f, -0.382f, 0.192f, -0.551f)
                curveToRelative(0.068f, -0.167f, 0.131f, -0.327f, 0.194f, -0.478f)
                curveToRelative(0.062f, -0.151f, 0.132f, -0.301f, 0.213f, -0.451f)
                verticalLineToRelative(-0.028f)
                lineToRelative(-1.569f, 0.105f)
                verticalLineTo(5.139f)
                horizontalLineToRelative(5.169f)
                verticalLineTo(6.88f)
                curveToRelative(-0.364f, 0.0f, -0.682f, 0.119f, -0.956f, 0.358f)
                arcToRelative(3.608f, 3.608f, 0.0f, false, false, -0.711f, 0.85f)
                arcToRelative(6.325f, 6.325f, 0.0f, false, false, -0.493f, 0.984f)
                arcToRelative(22.78f, 22.78f, 0.0f, false, false, -0.286f, 0.758f)
                lineToRelative(-3.096f, 8.997f)
                horizontalLineToRelative(-2.884f)
                lineTo(11.47f, 13.02f)
                curveToRelative(-0.053f, -0.142f, -0.12f, -0.345f, -0.199f, -0.606f)
                arcToRelative(46.941f, 46.941f, 0.0f, false, true, -0.247f, -0.85f)
                curveToRelative(-0.083f, -0.307f, -0.173f, -0.623f, -0.265f, -0.95f)
                curveToRelative(-0.092f, -0.328f, -0.179f, -0.638f, -0.259f, -0.931f)
                horizontalLineToRelative(-0.026f)
                curveToRelative(-0.053f, 0.381f, -0.14f, 0.809f, -0.26f, 1.283f)
                curveToRelative(-0.119f, 0.474f, -0.243f, 0.937f, -0.372f, 1.388f)
                curveToRelative(-0.128f, 0.451f, -0.248f, 0.859f, -0.358f, 1.223f)
                curveToRelative(-0.111f, 0.364f, -0.194f, 0.62f, -0.246f, 0.771f)
                lineToRelative(-1.501f, 4.479f)
                horizontalLineToRelative(-2.7f)
                lineTo(1.742f, 9.392f)
                arcToRelative(27.83f, 27.83f, 0.0f, false, true, -0.472f, -1.39f)
                arcToRelative(3.995f, 3.995f, 0.0f, false, true, -0.113f, -0.418f)
                lineToRelative(-0.094f, -0.425f)
                lineTo(0.0f, 7.212f)
                verticalLineTo(5.139f)
                horizontalLineToRelative(6.526f)
                verticalLineTo(6.88f)
                curveToRelative(-0.382f, 0.027f, -0.65f, 0.141f, -0.806f, 0.345f)
                curveToRelative(-0.155f, 0.204f, -0.231f, 0.466f, -0.231f, 0.784f)
                curveToRelative(-0.009f, 0.151f, 0.001f, 0.311f, 0.032f, 0.478f)
                arcToRelative(4.9f, 4.9f, 0.0f, false, false, 0.128f, 0.519f)
                lineToRelative(0.916f, 3.322f)
                curveToRelative(0.107f, 0.399f, 0.21f, 0.818f, 0.312f, 1.256f)
                curveToRelative(0.101f, 0.438f, 0.184f, 0.884f, 0.247f, 1.336f)
                horizontalLineToRelative(0.026f)
                lineToRelative(0.134f, -0.598f)
                arcToRelative(39.977f, 39.977f, 0.0f, false, true, 0.331f, -1.429f)
                curveToRelative(0.072f, -0.278f, 0.155f, -0.587f, 0.254f, -0.922f)
                lineToRelative(1.993f, -6.832f)
                horizontalLineToRelative(2.95f)
                close()
                moveTo(24.0f, 16.628f)
                arcToRelative(2.232f, 2.232f, 0.0f, true, true, -4.464f, 0.0f)
                arcToRelative(2.232f, 2.232f, 0.0f, true, true, 4.464f, 0.0f)
            }
        }
        .build()
        return _writeDotAs!!
    }

private var _writeDotAs: ImageVector? = null
