package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Xcode: ImageVector
    get() {
        if (_xcode != null) {
            return _xcode!!
        }
        _xcode = Builder(name = "Xcode", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.435f, 14.349f)
                curveToRelative(-0.182f, 0.518f, -0.378f, 1.07f, -0.602f, 1.702f)
                lineToRelative(-0.821f, 2.313f)
                curveToRelative(-0.336f, 0.95f, -0.604f, 1.746f, -0.803f, 2.388f)
                arcToRelative(0.798f, 0.798f, 0.0f, false, true, -0.625f, 0.55f)
                lineToRelative(-6.812f, 1.189f)
                lineTo(0.0f, 6.933f)
                lineToRelative(14.676f, -2.56f)
                arcToRelative(0.532f, 0.532f, 0.0f, false, true, 0.622f, 0.488f)
                curveToRelative(0.009f, 0.127f, 0.01f, 0.243f, 0.007f, 0.347f)
                lineToRelative(-0.007f, 0.174f)
                curveToRelative(-0.063f, 0.542f, -0.527f, 2.109f, -1.306f, 4.448f)
                arcToRelative(3053.345f, 3053.345f, 0.0f, false, true, -2.632f, -2.97f)
                curveToRelative(-0.291f, -0.33f, -0.623f, -0.434f, -0.907f, -0.39f)
                lineToRelative(-0.031f, 0.005f)
                curveToRelative(-0.57f, 0.111f, -0.93f, 0.825f, -0.334f, 1.494f)
                arcToRelative(2367.03f, 2367.03f, 0.0f, false, true, 3.283f, 3.696f)
                lineToRelative(-0.301f, 0.871f)
                lineToRelative(-3.007f, 0.525f)
                lineToRelative(-0.676f, 1.82f)
                lineToRelative(3.048f, -0.532f)
                close()
                moveTo(7.87f, 17.586f)
                lineToRelative(2.476f, -6.629f)
                lineToRelative(0.296f, -0.795f)
                arcToRelative(0.843f, 0.843f, 0.0f, false, false, -0.505f, -1.081f)
                arcToRelative(0.855f, 0.855f, 0.0f, false, false, -1.093f, 0.501f)
                lineToRelative(-0.295f, 0.792f)
                lineToRelative(-2.47f, 6.635f)
                close()
                moveTo(4.109f, 14.1f)
                lineToRelative(0.293f, 1.65f)
                lineToRelative(1.8f, -0.314f)
                lineToRelative(0.807f, -1.842f)
                close()
                moveTo(5.939f, 20.33f)
                lineToRelative(1.812f, -2.428f)
                lineToRelative(-1.595f, -0.583f)
                close()
                moveTo(18.069f, 14.393f)
                arcToRelative(87.109f, 87.109f, 0.0f, false, true, 0.33f, -1.38f)
                lineToRelative(1.921f, -0.336f)
                lineToRelative(-0.294f, -1.65f)
                lineToRelative(-1.175f, 0.205f)
                curveToRelative(0.213f, -0.812f, 0.42f, -1.557f, 0.622f, -2.231f)
                curveToRelative(0.324f, -1.085f, 0.625f, -1.964f, 0.896f, -2.605f)
                arcToRelative(5.85f, 5.85f, 0.0f, false, true, 0.038f, -0.087f)
                arcToRelative(0.611f, 0.611f, 0.0f, false, true, 0.864f, -0.283f)
                lineToRelative(0.136f, 0.078f)
                curveToRelative(0.272f, 0.157f, 0.462f, 0.426f, 0.517f, 0.736f)
                lineTo(24.0f, 18.49f)
                lineTo(17.654f, 19.6f)
                arcToRelative(0.532f, 0.532f, 0.0f, false, true, -0.611f, -0.64f)
                curveToRelative(0.23f, -1.04f, 0.431f, -1.943f, 0.603f, -2.71f)
                curveToRelative(0.074f, 0.087f, 0.162f, 0.164f, 0.267f, 0.224f)
                curveToRelative(0.556f, 0.32f, 1.229f, 0.26f, 1.516f, 0.65f)
                curveToRelative(0.321f, 0.437f, 0.452f, 0.736f, 0.452f, 0.736f)
                reflectiveCurveToRelative(0.372f, -0.417f, 0.337f, -1.004f)
                curveToRelative(-0.138f, -2.332f, -1.934f, -2.65f, -1.934f, -2.65f)
                close()
                moveTo(19.574f, 4.706f)
                curveToRelative(0.362f, -0.238f, 0.663f, -0.358f, 0.965f, -0.358f)
                curveToRelative(0.482f, 0.0f, 0.784f, 0.299f, 0.965f, 0.478f)
                curveToRelative(0.24f, 0.298f, 0.964f, 0.537f, 1.266f, 0.537f)
                curveToRelative(0.24f, 0.0f, 0.542f, -0.716f, 0.723f, -1.313f)
                curveToRelative(0.18f, -0.596f, 0.241f, -1.312f, 0.12f, -1.432f)
                curveToRelative(-0.12f, -0.119f, -0.964f, -0.298f, -1.145f, -0.298f)
                curveToRelative(-0.12f, 0.06f, -0.301f, 0.179f, -0.723f, 0.179f)
                reflectiveCurveToRelative(-0.905f, -0.358f, -1.206f, -0.656f)
                curveToRelative(-0.482f, -0.478f, -1.146f, -0.716f, -1.748f, -0.895f)
                arcTo(7.564f, 7.564f, 0.0f, false, false, 16.8f, 0.709f)
                curveToRelative(-0.965f, -0.06f, -1.93f, -0.06f, -2.834f, 0.239f)
                curveToRelative(-0.361f, 0.12f, -0.723f, 0.238f, -1.085f, 0.417f)
                curveToRelative(-0.12f, 0.06f, -0.422f, 0.18f, -0.482f, 0.24f)
                curveToRelative(-0.06f, 0.059f, -0.12f, 0.178f, 0.0f, 0.178f)
                reflectiveCurveToRelative(0.542f, -0.06f, 0.542f, -0.06f)
                reflectiveCurveToRelative(-0.482f, 0.24f, -0.482f, 0.358f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.12f, 0.12f, 0.12f)
                curveToRelative(0.061f, 0.0f, 0.302f, -0.06f, 0.543f, -0.12f)
                curveToRelative(0.242f, -0.06f, 0.784f, -0.238f, 1.327f, -0.238f)
                curveToRelative(0.603f, 0.0f, 1.266f, 0.179f, 1.808f, 0.775f)
                curveToRelative(0.965f, 1.134f, 0.784f, 2.506f, 0.784f, 2.864f)
                curveToRelative(-0.18f, 2.148f, -5.064f, 15.094f, -5.245f, 15.99f)
                curveToRelative(-0.18f, 0.894f, -0.18f, 1.431f, 0.904f, 1.73f)
                curveToRelative(1.086f, 0.298f, 1.568f, 0.0f, 1.749f, -0.418f)
                curveToRelative(0.24f, -0.657f, 3.255f, -16.705f, 5.124f, -18.078f)
                close()
            }
        }
        .build()
        return _xcode!!
    }

private var _xcode: ImageVector? = null
