package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Yale: ImageVector
    get() {
        if (_yale != null) {
            return _yale!!
        }
        _yale = Builder(name = "Yale", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.8f, 15.72f)
                verticalLineToRelative(-1.24f)
                curveToRelative(-0.64f, 0.04f, -0.8f, -0.24f, -0.8f, -0.76f)
                lineTo(15.0f, 7.6f)
                horizontalLineToRelative(-1.36f)
                verticalLineToRelative(6.24f)
                curveToRelative(0.0f, 1.2f, 0.44f, 1.96f, 2.16f, 1.88f)
                close()
                moveTo(20.76f, 10.48f)
                curveToRelative(-0.44f, -0.52f, -1.12f, -0.88f, -2.08f, -0.88f)
                curveToRelative(-1.0f, 0.0f, -1.68f, 0.36f, -2.12f, 0.88f)
                curveToRelative(-0.52f, 0.64f, -0.64f, 1.56f, -0.64f, 2.24f)
                curveToRelative(0.0f, 0.64f, 0.12f, 1.4f, 0.56f, 2.04f)
                curveToRelative(0.44f, 0.6f, 1.16f, 1.0f, 2.28f, 1.0f)
                curveToRelative(0.76f, 0.0f, 1.36f, -0.16f, 1.8f, -0.48f)
                curveToRelative(0.44f, -0.32f, 0.76f, -0.84f, 0.8f, -1.36f)
                horizontalLineToRelative(-1.4f)
                curveToRelative(-0.04f, 0.2f, -0.16f, 0.36f, -0.32f, 0.52f)
                curveToRelative(-0.2f, 0.16f, -0.48f, 0.2f, -0.88f, 0.2f)
                curveToRelative(-0.56f, 0.0f, -0.92f, -0.16f, -1.12f, -0.48f)
                curveToRelative(-0.16f, -0.24f, -0.24f, -0.64f, -0.24f, -1.0f)
                horizontalLineToRelative(4.04f)
                curveToRelative(0.0f, -1.08f, -0.16f, -2.04f, -0.68f, -2.68f)
                close()
                moveTo(17.36f, 12.12f)
                curveToRelative(0.0f, -0.32f, 0.12f, -0.76f, 0.36f, -1.0f)
                reflectiveCurveToRelative(0.56f, -0.36f, 0.96f, -0.36f)
                curveToRelative(0.4f, 0.0f, 0.72f, 0.12f, 0.96f, 0.36f)
                reflectiveCurveToRelative(0.32f, 0.68f, 0.32f, 1.0f)
                close()
                moveTo(10.4f, 9.64f)
                curveToRelative(-1.6f, 0.0f, -2.36f, 0.84f, -2.44f, 2.0f)
                horizontalLineToRelative(1.4f)
                curveToRelative(0.04f, -0.52f, 0.32f, -0.84f, 1.04f, -0.84f)
                curveToRelative(0.84f, 0.0f, 1.08f, 0.4f, 1.08f, 1.0f)
                verticalLineToRelative(0.36f)
                horizontalLineToRelative(-1.24f)
                curveToRelative(-0.8f, 0.0f, -1.32f, 0.08f, -1.72f, 0.36f)
                curveToRelative(-0.48f, 0.32f, -0.76f, 0.76f, -0.76f, 1.44f)
                curveToRelative(0.0f, 0.84f, 0.52f, 1.8f, 2.12f, 1.8f)
                curveToRelative(0.8f, 0.0f, 1.32f, -0.24f, 1.68f, -0.68f)
                verticalLineToRelative(0.6f)
                horizontalLineToRelative(1.32f)
                verticalLineToRelative(-3.84f)
                curveToRelative(-0.04f, -1.28f, -0.72f, -2.2f, -2.48f, -2.2f)
                close()
                moveTo(11.44f, 13.8f)
                curveToRelative(0.0f, 0.64f, -0.56f, 0.92f, -1.32f, 0.92f)
                curveToRelative(-0.84f, 0.0f, -1.04f, -0.36f, -1.04f, -0.8f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.28f, -0.56f)
                curveToRelative(0.16f, -0.08f, 0.4f, -0.12f, 0.88f, -0.12f)
                horizontalLineToRelative(1.2f)
                close()
                moveTo(9.12f, 7.6f)
                lineTo(7.56f, 7.6f)
                lineToRelative(-1.92f, 3.6f)
                lineToRelative(-1.92f, -3.6f)
                lineTo(2.16f, 7.6f)
                lineToRelative(2.76f, 4.96f)
                verticalLineToRelative(3.08f)
                horizontalLineToRelative(1.44f)
                verticalLineToRelative(-3.08f)
                close()
                moveTo(24.0f, 12.0f)
                curveToRelative(0.0f, 6.64f, -5.36f, 12.0f, -12.0f, 12.0f)
                reflectiveCurveTo(0.0f, 18.64f, 0.0f, 12.0f)
                reflectiveCurveTo(5.36f, 0.0f, 12.0f, 0.0f)
                reflectiveCurveToRelative(12.0f, 5.36f, 12.0f, 12.0f)
            }
        }
        .build()
        return _yale!!
    }

private var _yale: ImageVector? = null
