package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Composer: ImageVector
    get() {
        if (_composer != null) {
            return _composer!!
        }
        _composer = Builder(name = "Composer", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.66f, 0.0f)
                curveToRelative(-0.07f, 0.0f, -0.114f, 0.034f, -0.164f, 0.095f)
                arcToRelative(0.416f, 0.416f, 0.0f, false, false, -0.07f, 0.43f)
                curveToRelative(0.19f, 0.41f, 0.363f, 0.83f, 0.528f, 1.25f)
                curveToRelative(0.01f, 0.02f, 0.022f, 0.04f, 0.039f, 0.068f)
                curveToRelative(-0.04f, -0.002f, -0.05f, -0.022f, -0.063f, -0.043f)
                curveToRelative(-0.297f, -0.31f, -0.648f, -0.557f, -0.998f, -0.804f)
                curveToRelative(-0.473f, -0.337f, -0.99f, -0.603f, -1.503f, -0.872f)
                arcToRelative(0.578f, 0.578f, 0.0f, false, false, -0.214f, -0.065f)
                lineToRelative(-0.384f, -0.04f)
                curveToRelative(-0.202f, -0.025f, -0.355f, 0.09f, -0.355f, 0.292f)
                curveToRelative(0.0f, 0.108f, -0.046f, 0.132f, -0.135f, 0.14f)
                curveToRelative(-0.08f, 0.004f, -0.187f, 0.115f, -0.196f, 0.192f)
                arcToRelative(0.694f, 0.694f, 0.0f, false, false, 0.228f, 0.619f)
                curveToRelative(0.444f, 0.415f, 0.873f, 0.845f, 1.303f, 1.275f)
                lineToRelative(0.015f, 0.007f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, 0.028f, 0.038f)
                curveToRelative(-0.007f, 0.003f, -0.014f, 0.003f, -0.02f, 0.003f)
                arcToRelative(0.057f, 0.057f, 0.0f, false, true, -0.035f, -0.022f)
                curveToRelative(-0.002f, -0.002f, -0.005f, -0.005f, -0.005f, -0.007f)
                curveToRelative(-0.062f, -0.036f, -0.127f, -0.07f, -0.187f, -0.11f)
                curveToRelative(-0.3f, -0.2f, -0.595f, -0.404f, -0.895f, -0.598f)
                arcToRelative(0.943f, 0.943f, 0.0f, false, false, -0.461f, -0.17f)
                arcToRelative(0.453f, 0.453f, 0.0f, false, false, -0.392f, 0.143f)
                arcToRelative(0.28f, 0.28f, 0.0f, false, false, -0.088f, 0.253f)
                curveToRelative(0.016f, 0.146f, 0.115f, 0.237f, 0.223f, 0.312f)
                curveToRelative(0.502f, 0.338f, 0.95f, 0.734f, 1.366f, 1.174f)
                curveToRelative(0.036f, 0.038f, 0.074f, 0.079f, 0.115f, 0.112f)
                curveToRelative(0.118f, 0.096f, 0.19f, 0.224f, 0.262f, 0.356f)
                curveToRelative(0.033f, 0.06f, 0.02f, 0.074f, -0.043f, 0.074f)
                curveToRelative(-0.428f, 0.0f, -0.836f, 0.118f, -1.246f, 0.204f)
                curveToRelative(-0.168f, 0.036f, -0.334f, 0.094f, -0.394f, 0.28f)
                curveToRelative(-0.065f, 0.21f, -0.096f, 0.328f, 0.16f, 0.392f)
                arcToRelative(9.57f, 9.57f, 0.0f, false, true, 1.49f, 0.516f)
                arcToRelative(0.55f, 0.55f, 0.0f, false, true, 0.117f, 0.077f)
                curveToRelative(0.12f, 0.104f, 0.23f, 0.219f, 0.362f, 0.303f)
                curveToRelative(0.38f, 0.247f, 0.77f, 0.478f, 1.22f, 0.583f)
                curveToRelative(0.053f, 0.012f, 0.1f, 0.039f, 0.15f, 0.05f)
                curveToRelative(0.05f, 0.015f, 0.085f, 0.044f, 0.095f, 0.094f)
                curveToRelative(0.029f, 0.178f, 0.139f, 0.279f, 0.305f, 0.33f)
                curveToRelative(0.02f, 0.006f, 0.038f, 0.02f, 0.06f, 0.028f)
                curveToRelative(0.052f, 0.017f, 0.076f, 0.055f, 0.093f, 0.108f)
                curveToRelative(0.067f, 0.24f, 0.137f, 0.478f, 0.212f, 0.715f)
                curveToRelative(0.026f, 0.08f, 0.002f, 0.1f, -0.07f, 0.123f)
                curveToRelative(-0.372f, 0.108f, -0.742f, 0.22f, -1.112f, 0.334f)
                curveToRelative(-0.132f, 0.04f, -0.134f, 0.043f, -0.067f, 0.163f)
                lineToRelative(0.908f, 1.635f)
                curveToRelative(0.127f, 0.23f, 0.132f, 0.23f, 0.365f, 0.11f)
                curveToRelative(0.024f, -0.012f, 0.057f, -0.053f, 0.079f, -0.014f)
                curveToRelative(0.02f, 0.036f, 0.06f, 0.089f, 0.024f, 0.13f)
                curveToRelative(-0.113f, 0.129f, -0.19f, 0.28f, -0.286f, 0.42f)
                curveToRelative(-0.031f, 0.045f, -0.031f, 0.074f, -0.005f, 0.117f)
                curveToRelative(0.1f, 0.166f, 0.202f, 0.334f, 0.3f, 0.502f)
                curveToRelative(0.012f, 0.019f, 0.034f, 0.043f, 0.03f, 0.058f)
                lineToRelative(-0.123f, 0.367f)
                arcToRelative(2.538f, 2.538f, 0.0f, false, false, -0.317f, -0.716f)
                curveToRelative(-0.18f, -0.288f, -0.41f, -0.542f, -0.62f, -0.811f)
                curveToRelative(-0.033f, -0.04f, -0.072f, -0.077f, -0.11f, -0.115f)
                curveToRelative(-0.2f, -0.207f, -0.456f, -0.332f, -0.7f, -0.478f)
                arcToRelative(1.026f, 1.026f, 0.0f, false, false, -0.34f, -0.127f)
                curveToRelative(-0.374f, -0.08f, -0.746f, -0.11f, -1.12f, 0.004f)
                curveToRelative(-0.075f, 0.024f, -0.116f, 0.005f, -0.161f, -0.06f)
                curveToRelative(-0.092f, -0.127f, -0.166f, -0.273f, -0.29f, -0.372f)
                curveToRelative(-0.3f, -0.24f, -0.616f, -0.458f, -0.985f, -0.583f)
                arcToRelative(2.95f, 2.95f, 0.0f, false, false, -0.865f, -0.168f)
                arcToRelative(4.267f, 4.267f, 0.0f, false, false, -0.463f, 0.017f)
                curveToRelative(-0.396f, 0.03f, -0.79f, 0.074f, -1.14f, 0.293f)
                curveToRelative(-0.07f, 0.043f, -0.15f, 0.067f, -0.221f, 0.108f)
                curveToRelative(-0.36f, 0.194f, -0.716f, 0.386f, -1.016f, 0.679f)
                arcToRelative(13.1f, 13.1f, 0.0f, false, false, -0.897f, 0.944f)
                curveToRelative(-0.322f, 0.384f, -0.565f, 0.818f, -0.783f, 1.267f)
                curveToRelative(-0.015f, 0.03f, -0.022f, 0.07f, -0.07f, 0.096f)
                lineToRelative(-0.12f, -0.744f)
                curveToRelative(-0.007f, -0.046f, 0.022f, -0.043f, 0.053f, -0.038f)
                curveToRelative(0.089f, 0.01f, 0.175f, 0.014f, 0.264f, 0.026f)
                curveToRelative(0.067f, 0.01f, 0.103f, -0.005f, 0.12f, -0.08f)
                curveToRelative(0.022f, -0.102f, 0.046f, -0.206f, 0.067f, -0.311f)
                curveToRelative(0.082f, -0.397f, 0.2f, -0.78f, 0.303f, -1.17f)
                curveToRelative(0.02f, -0.074f, 0.007f, -0.1f, -0.07f, -0.12f)
                curveToRelative(-0.381f, -0.09f, -0.763f, -0.192f, -1.145f, -0.283f)
                curveToRelative(-0.072f, -0.017f, -0.106f, -0.043f, -0.084f, -0.12f)
                curveToRelative(0.087f, -0.298f, 0.125f, -0.61f, 0.242f, -0.9f)
                arcToRelative(0.178f, 0.178f, 0.0f, false, true, 0.056f, -0.087f)
                curveToRelative(0.098f, -0.076f, 0.17f, -0.165f, 0.16f, -0.302f)
                curveToRelative(-0.007f, -0.103f, 0.041f, -0.168f, 0.14f, -0.214f)
                curveToRelative(0.182f, -0.086f, 0.358f, -0.187f, 0.53f, -0.288f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, 0.327f, -0.333f)
                curveToRelative(0.322f, -0.605f, 0.59f, -1.242f, 0.98f, -1.81f)
                curveToRelative(0.033f, -0.051f, 0.06f, -0.106f, 0.1f, -0.15f)
                curveToRelative(0.252f, -0.264f, 0.488f, -0.544f, 0.771f, -0.78f)
                curveToRelative(0.089f, -0.074f, 0.113f, -0.175f, 0.115f, -0.285f)
                curveToRelative(0.0f, -0.128f, -0.074f, -0.217f, -0.151f, -0.305f)
                curveToRelative(-0.075f, -0.087f, -0.151f, -0.161f, -0.279f, -0.147f)
                curveToRelative(-0.028f, 0.003f, -0.057f, -0.01f, -0.088f, -0.014f)
                curveToRelative(0.019f, -0.04f, 0.05f, -0.048f, 0.076f, -0.065f)
                curveToRelative(0.339f, -0.218f, 0.677f, -0.437f, 1.016f, -0.658f)
                curveToRelative(0.41f, -0.264f, 0.819f, -0.53f, 1.232f, -0.794f)
                curveToRelative(0.052f, -0.034f, 0.076f, -0.06f, 0.019f, -0.11f)
                curveToRelative(-0.015f, -0.013f, -0.024f, -0.03f, -0.036f, -0.044f)
                curveToRelative(-0.084f, -0.099f, -0.084f, -0.099f, -0.2f, -0.03f)
                lineTo(8.084f, 3.693f)
                curveToRelative(-0.101f, 0.062f, -0.101f, 0.062f, -0.152f, -0.05f)
                curveToRelative(-0.112f, -0.263f, -0.177f, -0.54f, -0.261f, -0.81f)
                curveToRelative(-0.02f, -0.062f, -0.003f, -0.098f, 0.045f, -0.137f)
                curveToRelative(0.289f, -0.23f, 0.553f, -0.49f, 0.82f, -0.742f)
                arcToRelative(0.604f, 0.604f, 0.0f, false, false, 0.186f, -0.37f)
                curveToRelative(0.022f, -0.17f, -0.09f, -0.259f, -0.244f, -0.196f)
                arcToRelative(1.707f, 1.707f, 0.0f, false, false, -0.221f, 0.105f)
                curveToRelative(-0.68f, 0.375f, -1.405f, 0.632f, -2.149f, 0.848f)
                curveToRelative(-0.043f, 0.012f, -0.082f, 0.026f, -0.118f, -0.02f)
                curveToRelative(-0.074f, -0.09f, -0.185f, -0.14f, -0.278f, -0.208f)
                arcToRelative(0.073f, 0.073f, 0.0f, false, false, -0.063f, -0.015f)
                curveToRelative(-0.1f, 0.027f, -0.204f, 0.056f, -0.266f, 0.147f)
                curveToRelative(-0.159f, 0.233f, -0.358f, 0.44f, -0.507f, 0.682f)
                curveToRelative(-0.17f, 0.28f, -0.333f, 0.562f, -0.525f, 0.828f)
                curveToRelative(-0.036f, 0.05f, -0.05f, 0.058f, -0.084f, -0.002f)
                lineTo(3.63f, 2.635f)
                arcToRelative(2.837f, 2.837f, 0.0f, false, false, -0.223f, -0.338f)
                curveToRelative(-0.094f, -0.118f, -0.209f, -0.176f, -0.358f, -0.16f)
                curveToRelative(-0.026f, 0.004f, -0.06f, -0.004f, -0.07f, 0.037f)
                curveToRelative(-0.02f, 0.11f, -0.07f, 0.226f, -0.057f, 0.332f)
                curveToRelative(0.034f, 0.27f, 0.082f, 0.542f, 0.15f, 0.806f)
                curveToRelative(0.114f, 0.459f, 0.244f, 0.912f, 0.38f, 1.364f)
                curveToRelative(0.133f, 0.444f, 0.282f, 0.88f, 0.426f, 1.323f)
                curveToRelative(0.012f, 0.038f, 0.033f, 0.072f, -0.02f, 0.103f)
                curveToRelative(-0.067f, 0.038f, -0.175f, 0.058f, -0.187f, 0.125f)
                curveToRelative(-0.012f, 0.07f, 0.05f, 0.15f, 0.08f, 0.225f)
                lineToRelative(0.007f, 0.017f)
                curveToRelative(0.024f, 0.058f, 0.036f, 0.144f, 0.08f, 0.166f)
                curveToRelative(0.057f, 0.029f, 0.11f, -0.05f, 0.162f, -0.082f)
                curveToRelative(0.048f, -0.03f, 0.065f, -0.021f, 0.087f, 0.029f)
                curveToRelative(0.124f, 0.293f, 0.252f, 0.583f, 0.38f, 0.876f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, true, 0.006f, 0.137f)
                arcToRelative(4.138f, 4.138f, 0.0f, false, false, -0.192f, 0.72f)
                curveToRelative(-0.012f, 0.07f, -0.038f, 0.07f, -0.09f, 0.055f)
                arcToRelative(107.637f, 107.637f, 0.0f, false, false, -0.834f, -0.21f)
                curveToRelative(-0.123f, -0.032f, -0.123f, -0.032f, -0.137f, 0.093f)
                verticalLineToRelative(0.01f)
                curveToRelative(-0.06f, 0.665f, -0.12f, 1.33f, -0.183f, 1.994f)
                curveToRelative(-0.004f, 0.06f, 0.003f, 0.085f, 0.068f, 0.092f)
                curveToRelative(0.194f, 0.024f, 0.386f, 0.055f, 0.578f, 0.084f)
                curveToRelative(0.036f, 0.005f, 0.067f, 0.007f, 0.058f, 0.06f)
                curveToRelative(-0.043f, 0.225f, -0.077f, 0.453f, -0.125f, 0.677f)
                arcToRelative(0.178f, 0.178f, 0.0f, false, false, 0.034f, 0.163f)
                lineToRelative(0.2f, 0.264f)
                curveToRelative(0.045f, 0.063f, 0.08f, 0.144f, 0.037f, 0.209f)
                arcToRelative(0.201f, 0.201f, 0.0f, false, false, -0.033f, 0.118f)
                curveToRelative(0.007f, 0.415f, 0.007f, 0.83f, 0.026f, 1.246f)
                curveToRelative(0.01f, 0.2f, 0.007f, 0.403f, 0.012f, 0.605f)
                curveToRelative(0.01f, 0.535f, 0.04f, 1.068f, 0.06f, 1.603f)
                curveToRelative(0.01f, 0.262f, -0.036f, 0.52f, -0.024f, 0.783f)
                curveToRelative(0.002f, 0.065f, 0.017f, 0.1f, 0.084f, 0.122f)
                curveToRelative(0.16f, 0.05f, 0.312f, 0.116f, 0.473f, 0.166f)
                arcToRelative(0.28f, 0.28f, 0.0f, false, true, 0.185f, 0.156f)
                arcToRelative(0.436f, 0.436f, 0.0f, false, true, 0.038f, 0.219f)
                curveToRelative(-0.002f, 0.072f, 0.024f, 0.115f, 0.082f, 0.156f)
                curveToRelative(0.247f, 0.177f, 0.492f, 0.36f, 0.74f, 0.542f)
                curveToRelative(0.65f, 0.48f, 1.3f, 0.963f, 1.954f, 1.44f)
                curveToRelative(0.06f, 0.045f, 0.074f, 0.081f, 0.038f, 0.146f)
                curveToRelative(-0.034f, 0.062f, -0.055f, 0.135f, -0.089f, 0.197f)
                curveToRelative(-0.029f, 0.058f, -0.024f, 0.094f, 0.031f, 0.134f)
                curveToRelative(0.082f, 0.058f, 0.161f, 0.123f, 0.236f, 0.188f)
                curveToRelative(0.065f, 0.055f, 0.067f, 0.141f, 0.048f, 0.208f)
                curveToRelative(-0.015f, 0.05f, -0.087f, 0.005f, -0.132f, 0.0f)
                curveToRelative(-0.032f, -0.002f, -0.063f, -0.01f, -0.094f, -0.014f)
                curveToRelative(-0.31f, -0.05f, -0.617f, -0.13f, -0.932f, -0.156f)
                curveToRelative(-0.5f, -0.04f, -1.003f, -0.084f, -1.51f, -0.07f)
                curveToRelative(-0.026f, 0.0f, -0.067f, -0.024f, -0.074f, 0.03f)
                curveToRelative(-0.007f, 0.042f, -0.017f, 0.088f, 0.031f, 0.117f)
                curveToRelative(0.024f, 0.014f, 0.05f, 0.026f, 0.077f, 0.036f)
                curveToRelative(0.283f, 0.098f, 0.547f, 0.24f, 0.807f, 0.39f)
                curveToRelative(0.168f, 0.095f, 0.333f, 0.203f, 0.518f, 0.268f)
                curveToRelative(0.034f, 0.012f, 0.068f, 0.038f, 0.108f, 0.002f)
                curveToRelative(-0.278f, -0.22f, -0.554f, -0.442f, -0.833f, -0.665f)
                curveToRelative(0.04f, -0.029f, 0.07f, -0.017f, 0.1f, -0.014f)
                curveToRelative(0.332f, 0.026f, 0.664f, 0.072f, 0.988f, 0.15f)
                curveToRelative(0.713f, 0.17f, 1.421f, 0.361f, 2.122f, 0.572f)
                curveToRelative(0.23f, 0.07f, 0.475f, 0.104f, 0.682f, 0.243f)
                curveToRelative(0.05f, 0.033f, 0.08f, 0.067f, 0.074f, 0.13f)
                curveToRelative(0.012f, 0.014f, 0.027f, 0.033f, 0.01f, 0.045f)
                curveToRelative(-0.02f, 0.012f, -0.036f, -0.012f, -0.05f, -0.024f)
                curveToRelative(-0.164f, -0.014f, -0.327f, -0.026f, -0.488f, -0.043f)
                curveToRelative(-0.463f, -0.046f, -0.924f, -0.11f, -1.392f, -0.096f)
                curveToRelative(-0.35f, 0.01f, -0.701f, -0.015f, -1.05f, 0.01f)
                curveToRelative(-0.494f, 0.033f, -0.989f, 0.098f, -1.48f, 0.15f)
                curveToRelative(-0.025f, 0.003f, -0.063f, -0.002f, -0.063f, 0.027f)
                curveToRelative(0.0f, 0.036f, 0.014f, 0.077f, 0.06f, 0.087f)
                arcToRelative(0.58f, 0.58f, 0.0f, false, false, 0.113f, 0.012f)
                curveToRelative(0.25f, 0.01f, 0.497f, 0.007f, 0.746f, 0.011f)
                curveToRelative(0.62f, 0.015f, 1.242f, -0.012f, 1.86f, 0.041f)
                curveToRelative(0.224f, 0.02f, 0.45f, 0.01f, 0.668f, 0.05f)
                curveToRelative(1.03f, 0.193f, 2.055f, 0.394f, 3.078f, 0.618f)
                curveToRelative(0.12f, 0.026f, 0.243f, 0.045f, 0.36f, 0.103f)
                curveToRelative(-0.055f, 0.05f, -0.127f, 0.065f, -0.158f, 0.137f)
                curveToRelative(-0.22f, 0.506f, -0.363f, 1.04f, -0.53f, 1.563f)
                curveToRelative(-0.03f, 0.09f, 0.03f, 0.192f, 0.12f, 0.216f)
                arcToRelative(0.278f, 0.278f, 0.0f, false, false, 0.352f, -0.22f)
                curveToRelative(0.02f, -0.109f, 0.039f, -0.217f, 0.053f, -0.328f)
                curveToRelative(0.005f, -0.036f, 0.017f, -0.055f, 0.053f, -0.067f)
                curveToRelative(0.132f, -0.053f, 0.26f, -0.108f, 0.393f, -0.16f)
                arcToRelative(1.63f, 1.63f, 0.0f, false, false, 0.529f, -0.325f)
                curveToRelative(0.134f, -0.127f, 0.247f, -0.274f, 0.25f, -0.47f)
                curveToRelative(0.0f, -0.06f, 0.014f, -0.099f, 0.062f, -0.135f)
                curveToRelative(0.22f, -0.17f, 0.418f, -0.365f, 0.61f, -0.564f)
                arcToRelative(6.03f, 6.03f, 0.0f, false, true, 0.6f, -0.533f)
                curveToRelative(0.024f, -0.02f, 0.043f, -0.048f, 0.08f, -0.034f)
                lineToRelative(0.56f, 0.221f)
                curveToRelative(-0.374f, 0.228f, -0.73f, 0.447f, -1.082f, 0.66f)
                curveToRelative(-0.017f, 0.01f, -0.036f, 0.015f, -0.053f, 0.02f)
                arcToRelative(0.813f, 0.813f, 0.0f, false, false, -0.338f, 0.201f)
                curveToRelative(-0.375f, 0.372f, -0.567f, 0.814f, -0.545f, 1.35f)
                curveToRelative(0.014f, 0.36f, 0.22f, 0.53f, 0.57f, 0.45f)
                curveToRelative(0.616f, -0.145f, 1.14f, -0.734f, 1.233f, -1.38f)
                curveToRelative(0.024f, -0.18f, 0.052f, -0.357f, -0.077f, -0.513f)
                arcToRelative(2.25f, 2.25f, 0.0f, false, false, -0.178f, -0.195f)
                curveToRelative(0.02f, -0.012f, 0.029f, -0.019f, 0.039f, -0.026f)
                curveToRelative(0.777f, -0.463f, 1.625f, -0.778f, 2.475f, -1.07f)
                curveToRelative(1.04f, -0.359f, 2.1f, -0.644f, 3.164f, -0.918f)
                lineToRelative(-0.075f, -0.017f)
                curveToRelative(-0.07f, 0.007f, -0.136f, 0.015f, -0.206f, 0.02f)
                arcToRelative(5.097f, 5.097f, 0.0f, false, false, -0.872f, 0.134f)
                lineToRelative(-0.016f, 0.007f)
                arcToRelative(0.226f, 0.226f, 0.0f, false, true, -0.094f, 0.015f)
                curveToRelative(-0.014f, 0.0f, -0.03f, 0.0f, -0.048f, 0.002f)
                curveToRelative(0.065f, -0.062f, 0.252f, -0.264f, 0.303f, -0.25f)
                lineToRelative(0.002f, -0.005f)
                horizontalLineToRelative(0.005f)
                curveToRelative(0.0f, -0.007f, 0.019f, -0.02f, 0.019f, -0.02f)
                curveToRelative(0.017f, -0.03f, 0.04f, -0.049f, 0.074f, -0.05f)
                arcToRelative(0.694f, 0.694f, 0.0f, false, true, 0.197f, -0.189f)
                curveToRelative(0.05f, -0.03f, 0.103f, -0.062f, 0.16f, -0.086f)
                horizontalLineToRelative(-0.001f)
                curveToRelative(0.16f, 0.0f, 0.319f, -0.194f, 0.486f, -0.262f)
                curveToRelative(-0.001f, -0.006f, -0.01f, -0.01f, -0.013f, -0.017f)
                curveToRelative(-0.24f, 0.034f, -0.476f, 0.072f, -0.706f, 0.16f)
                curveToRelative(-0.492f, 0.181f, -1.001f, 0.323f, -1.481f, 0.534f)
                curveToRelative(-0.742f, 0.324f, -1.482f, 0.648f, -2.195f, 1.035f)
                arcToRelative(0.818f, 0.818f, 0.0f, false, true, -0.077f, 0.036f)
                lineToRelative(-0.055f, -0.504f)
                curveToRelative(-0.005f, -0.034f, 0.012f, -0.048f, 0.04f, -0.063f)
                curveToRelative(0.632f, -0.334f, 1.266f, -0.665f, 1.926f, -0.938f)
                curveToRelative(0.543f, -0.226f, 1.08f, -0.47f, 1.626f, -0.691f)
                curveToRelative(0.002f, -0.005f, 0.005f, -0.01f, 0.01f, -0.01f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.003f, 0.0f, 0.003f, 0.003f, 0.005f, 0.003f)
                curveToRelative(0.007f, 0.012f, 0.002f, 0.02f, -0.005f, 0.026f)
                curveToRelative(-0.002f, 0.003f, -0.005f, 0.003f, -0.01f, 0.005f)
                horizontalLineToRelative(-0.002f)
                arcToRelative(3.358f, 3.358f, 0.0f, false, false, -0.372f, 0.66f)
                curveToRelative(0.038f, 0.01f, 0.053f, -0.003f, 0.067f, -0.018f)
                curveToRelative(0.113f, -0.12f, 0.226f, -0.237f, 0.336f, -0.357f)
                curveToRelative(0.214f, -0.234f, 0.44f, -0.458f, 0.704f, -0.64f)
                curveToRelative(0.017f, -0.012f, 0.045f, -0.022f, 0.033f, -0.048f)
                curveToRelative(-0.014f, -0.03f, -0.045f, -0.015f, -0.067f, -0.01f)
                curveToRelative(-0.247f, 0.05f, -0.494f, 0.096f, -0.74f, 0.154f)
                curveToRelative(-0.081f, 0.019f, -0.076f, -0.01f, -0.08f, -0.067f)
                curveToRelative(-0.001f, -0.197f, 0.028f, -0.39f, 0.035f, -0.586f)
                arcToRelative(0.63f, 0.63f, 0.0f, false, true, 0.058f, -0.247f)
                curveToRelative(0.098f, -0.226f, 0.197f, -0.45f, 0.297f, -0.675f)
                curveToRelative(0.05f, -0.113f, 0.08f, -0.233f, 0.099f, -0.353f)
                curveToRelative(0.03f, -0.192f, 0.055f, -0.386f, 0.074f, -0.58f)
                curveToRelative(0.03f, -0.3f, 0.137f, -0.58f, 0.187f, -0.875f)
                curveToRelative(0.065f, -0.374f, 0.118f, -0.751f, 0.257f, -1.11f)
                curveToRelative(0.125f, -0.316f, 0.245f, -0.633f, 0.372f, -0.947f)
                curveToRelative(0.176f, -0.428f, 0.399f, -0.833f, 0.505f, -1.29f)
                curveToRelative(0.036f, -0.158f, 0.076f, -0.302f, 0.004f, -0.458f)
                curveToRelative(-0.04f, -0.084f, -0.052f, -0.18f, -0.081f, -0.271f)
                arcToRelative(0.392f, 0.392f, 0.0f, false, true, -0.012f, -0.204f)
                curveToRelative(0.048f, -0.245f, 0.07f, -0.488f, -0.063f, -0.716f)
                curveToRelative(-0.036f, -0.062f, 0.008f, -0.1f, 0.044f, -0.14f)
                curveToRelative(0.088f, -0.09f, 0.093f, -0.131f, 0.016f, -0.23f)
                curveToRelative(-0.088f, -0.11f, -0.175f, -0.223f, -0.27f, -0.326f)
                curveToRelative(-0.08f, -0.084f, -0.154f, -0.175f, -0.234f, -0.262f)
                curveToRelative(-0.055f, -0.033f, -0.05f, -0.055f, 0.012f, -0.076f)
                curveToRelative(0.14f, -0.048f, 0.276f, -0.108f, 0.418f, -0.152f)
                curveToRelative(0.08f, -0.024f, 0.1f, -0.07f, 0.106f, -0.141f)
                curveToRelative(0.045f, -0.605f, 0.09f, -1.213f, 0.139f, -1.818f)
                curveToRelative(0.007f, -0.084f, -0.007f, -0.1f, -0.094f, -0.074f)
                curveToRelative(-0.454f, 0.144f, -0.907f, 0.28f, -1.363f, 0.422f)
                curveToRelative(-0.14f, 0.044f, -0.142f, 0.044f, -0.204f, -0.093f)
                curveToRelative(-0.231f, -0.52f, -0.411f, -1.057f, -0.6f, -1.59f)
                arcToRelative(0.392f, 0.392f, 0.0f, false, true, 0.007f, -0.316f)
                curveToRelative(0.067f, -0.188f, 0.024f, -0.377f, 0.019f, -0.567f)
                arcToRelative(0.104f, 0.104f, 0.0f, false, true, -0.005f, -0.03f)
                arcToRelative(9.16f, 9.16f, 0.0f, false, false, -0.254f, -1.547f)
                arcToRelative(6.02f, 6.02f, 0.0f, false, false, -0.5f, -1.27f)
                curveToRelative(-0.228f, -0.432f, -0.473f, -0.86f, -0.737f, -1.275f)
                curveToRelative(-0.113f, -0.178f, -0.233f, -0.339f, -0.434f, -0.427f)
                arcTo(0.702f, 0.702f, 0.0f, false, false, 16.66f, 0.0f)
                close()
                moveTo(14.018f, 0.26f)
                arcToRelative(0.364f, 0.364f, 0.0f, false, true, 0.2f, 0.051f)
                arcToRelative(19.041f, 19.041f, 0.0f, false, true, 1.469f, 0.805f)
                curveToRelative(0.247f, 0.158f, 0.482f, 0.338f, 0.715f, 0.52f)
                curveToRelative(0.11f, 0.087f, 0.192f, 0.217f, 0.284f, 0.33f)
                curveToRelative(0.038f, 0.047f, 0.012f, 0.09f, -0.024f, 0.124f)
                curveToRelative(-0.024f, 0.024f, -0.058f, 0.039f, -0.087f, 0.055f)
                curveToRelative(-0.031f, 0.022f, -0.072f, 0.04f, -0.06f, 0.087f)
                curveToRelative(0.01f, 0.04f, 0.055f, 0.05f, 0.09f, 0.058f)
                arcToRelative(0.27f, 0.27f, 0.0f, false, false, 0.16f, -0.015f)
                curveToRelative(0.168f, -0.07f, 0.31f, 0.048f, 0.418f, 0.166f)
                curveToRelative(0.028f, 0.03f, 0.04f, 0.093f, 0.093f, 0.074f)
                curveToRelative(0.055f, -0.021f, 0.063f, -0.081f, 0.058f, -0.137f)
                curveToRelative(-0.012f, -0.15f, -0.05f, -0.297f, -0.084f, -0.444f)
                curveToRelative(-0.09f, -0.377f, -0.27f, -0.718f, -0.418f, -1.073f)
                curveToRelative(-0.053f, -0.127f, -0.11f, -0.254f, -0.163f, -0.382f)
                curveToRelative(-0.03f, -0.07f, 0.01f, -0.132f, 0.048f, -0.182f)
                curveToRelative(0.03f, -0.04f, 0.08f, -0.005f, 0.122f, 0.014f)
                curveToRelative(0.152f, 0.068f, 0.238f, 0.19f, 0.312f, 0.332f)
                curveToRelative(0.08f, 0.15f, 0.178f, 0.29f, 0.262f, 0.436f)
                curveToRelative(0.144f, 0.255f, 0.322f, 0.495f, 0.437f, 0.762f)
                curveToRelative(0.168f, 0.388f, 0.382f, 0.758f, 0.483f, 1.176f)
                curveToRelative(0.086f, 0.37f, 0.208f, 0.732f, 0.252f, 1.114f)
                curveToRelative(0.016f, 0.144f, -0.01f, 0.283f, 0.007f, 0.422f)
                curveToRelative(0.033f, 0.279f, -0.008f, 0.543f, -0.123f, 0.798f)
                curveToRelative(-0.03f, 0.07f, -0.021f, 0.136f, 0.012f, 0.208f)
                curveToRelative(0.252f, 0.533f, 0.46f, 1.083f, 0.67f, 1.635f)
                curveToRelative(0.027f, 0.072f, 0.015f, 0.1f, -0.06f, 0.123f)
                curveToRelative(-0.482f, 0.14f, -0.965f, 0.288f, -1.447f, 0.434f)
                curveToRelative(-0.07f, 0.022f, -0.092f, 0.003f, -0.113f, -0.06f)
                curveToRelative(-0.123f, -0.326f, -0.24f, -0.646f, -0.353f, -0.967f)
                curveToRelative(-0.024f, -0.068f, -0.053f, -0.104f, -0.128f, -0.087f)
                curveToRelative(-0.088f, 0.022f, -0.136f, -0.017f, -0.175f, -0.096f)
                curveToRelative(-0.062f, -0.127f, -0.113f, -0.28f, -0.216f, -0.36f)
                curveToRelative(-0.103f, -0.08f, -0.266f, -0.082f, -0.403f, -0.115f)
                curveToRelative(-0.103f, -0.027f, -0.207f, -0.058f, -0.312f, -0.075f)
                arcToRelative(1.428f, 1.428f, 0.0f, false, true, -0.612f, -0.273f)
                curveToRelative(-0.303f, -0.224f, -0.615f, -0.43f, -0.934f, -0.627f)
                curveToRelative(-0.104f, -0.007f, -0.202f, -0.036f, -0.303f, -0.06f)
                curveToRelative(-0.278f, -0.057f, -0.554f, -0.117f, -0.833f, -0.17f)
                curveToRelative(-0.067f, -0.012f, -0.08f, -0.063f, -0.084f, -0.108f)
                curveToRelative(-0.007f, -0.056f, 0.007f, -0.11f, 0.065f, -0.144f)
                curveToRelative(0.089f, -0.053f, 0.19f, -0.063f, 0.29f, -0.08f)
                arcToRelative(9.69f, 9.69f, 0.0f, false, true, 1.345f, -0.13f)
                curveToRelative(0.11f, -0.002f, 0.209f, 0.04f, 0.312f, 0.066f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, false, 0.166f, -0.03f)
                curveToRelative(0.216f, -0.143f, 0.434f, -0.28f, 0.65f, -0.422f)
                curveToRelative(0.034f, -0.021f, 0.096f, -0.036f, 0.07f, -0.093f)
                arcToRelative(0.083f, 0.083f, 0.0f, false, false, -0.015f, -0.022f)
                curveToRelative(-0.012f, -0.01f, -0.026f, -0.012f, -0.043f, -0.012f)
                lineToRelative(-0.05f, 0.002f)
                horizontalLineToRelative(-0.007f)
                arcToRelative(1.159f, 1.159f, 0.0f, false, false, -0.668f, 0.2f)
                curveToRelative(-0.08f, 0.05f, -0.26f, 0.019f, -0.31f, -0.056f)
                curveToRelative(-0.34f, -0.516f, -0.823f, -0.888f, -1.282f, -1.29f)
                curveToRelative(-0.204f, -0.176f, -0.403f, -0.361f, -0.62f, -0.525f)
                curveToRelative(-0.054f, -0.04f, -0.08f, -0.144f, -0.042f, -0.196f)
                curveToRelative(0.048f, -0.072f, 0.11f, -0.041f, 0.168f, -0.015f)
                curveToRelative(0.185f, 0.082f, 0.362f, 0.175f, 0.528f, 0.293f)
                curveToRelative(0.564f, 0.403f, 1.17f, 0.744f, 1.772f, 1.085f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, false, 0.05f, 0.027f)
                curveToRelative(0.092f, 0.03f, 0.14f, -0.01f, 0.125f, -0.106f)
                arcToRelative(0.267f, 0.267f, 0.0f, false, false, -0.062f, -0.134f)
                curveToRelative(-0.488f, -0.574f, -1.001f, -1.124f, -1.506f, -1.683f)
                curveToRelative(-0.105f, -0.116f, -0.23f, -0.216f, -0.348f, -0.32f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, -0.22f, -0.278f)
                arcToRelative(0.16f, 0.16f, 0.0f, false, true, 0.023f, -0.19f)
                curveToRelative(0.04f, -0.045f, 0.077f, -0.055f, 0.137f, -0.024f)
                curveToRelative(0.17f, 0.082f, 0.332f, 0.178f, 0.483f, 0.293f)
                curveToRelative(0.266f, 0.202f, 0.535f, 0.403f, 0.804f, 0.605f)
                lineToRelative(0.807f, 0.603f)
                curveToRelative(0.02f, 0.017f, 0.043f, 0.033f, 0.062f, 0.05f)
                curveToRelative(0.05f, 0.046f, 0.094f, 0.094f, 0.142f, 0.142f)
                lineToRelative(0.029f, 0.029f)
                curveToRelative(0.019f, 0.019f, 0.036f, 0.045f, 0.06f, 0.06f)
                curveToRelative(0.055f, 0.033f, 0.112f, 0.062f, 0.17f, 0.004f)
                curveToRelative(0.02f, -0.02f, 0.029f, -0.036f, 0.03f, -0.055f)
                curveToRelative(0.0f, -0.007f, 0.004f, -0.014f, 0.0f, -0.021f)
                lineToRelative(-0.001f, -0.01f)
                arcToRelative(0.171f, 0.171f, 0.0f, false, false, -0.043f, -0.072f)
                lineToRelative(-0.18f, -0.187f)
                arcToRelative(4.537f, 4.537f, 0.0f, false, false, -0.312f, -0.298f)
                curveToRelative(-0.35f, -0.29f, -0.706f, -0.571f, -1.066f, -0.845f)
                curveToRelative(-0.183f, -0.14f, -0.397f, -0.233f, -0.596f, -0.348f)
                curveToRelative(-0.072f, -0.041f, -0.12f, -0.101f, -0.173f, -0.159f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, true, -0.024f, -0.15f)
                curveToRelative(0.022f, -0.054f, 0.075f, -0.051f, 0.12f, -0.056f)
                close()
                moveTo(8.252f, 1.649f)
                arcToRelative(0.045f, 0.045f, 0.0f, false, true, 0.029f, 0.005f)
                curveToRelative(0.048f, 0.027f, 0.03f, 0.077f, 0.03f, 0.135f)
                curveToRelative(0.013f, 0.06f, -0.026f, 0.11f, -0.08f, 0.16f)
                curveToRelative(-0.346f, 0.322f, -0.707f, 0.627f, -1.076f, 0.922f)
                curveToRelative(-0.147f, 0.118f, -0.327f, 0.173f, -0.49f, 0.262f)
                curveToRelative(-0.034f, 0.017f, -0.053f, 0.0f, -0.072f, -0.024f)
                curveToRelative(-0.12f, -0.154f, -0.238f, -0.31f, -0.358f, -0.463f)
                curveToRelative(-0.045f, -0.055f, 0.017f, -0.053f, 0.046f, -0.065f)
                curveToRelative(0.254f, -0.091f, 0.504f, -0.195f, 0.756f, -0.295f)
                curveToRelative(0.365f, -0.144f, 0.696f, -0.35f, 1.04f, -0.533f)
                curveToRelative(0.036f, -0.02f, 0.07f, -0.043f, 0.105f, -0.063f)
                curveToRelative(0.024f, -0.01f, 0.044f, -0.037f, 0.07f, -0.041f)
                close()
                moveTo(5.633f, 2.479f)
                arcToRelative(0.223f, 0.223f, 0.0f, false, true, 0.134f, 0.064f)
                curveToRelative(0.072f, 0.067f, 0.13f, 0.144f, 0.18f, 0.228f)
                curveToRelative(0.173f, 0.28f, 0.413f, 0.506f, 0.646f, 0.737f)
                curveToRelative(0.163f, 0.163f, 0.33f, 0.32f, 0.502f, 0.47f)
                curveToRelative(0.057f, 0.05f, 0.067f, 0.127f, 0.098f, 0.192f)
                curveToRelative(0.012f, 0.024f, 0.002f, 0.043f, -0.02f, 0.055f)
                curveToRelative(-0.011f, 0.008f, -0.023f, 0.013f, -0.03f, 0.02f)
                curveToRelative(-0.142f, 0.12f, -0.276f, 0.103f, -0.442f, 0.019f)
                arcToRelative(3.182f, 3.182f, 0.0f, false, true, -0.864f, -0.646f)
                curveToRelative(-0.01f, -0.01f, -0.02f, -0.017f, -0.03f, -0.024f)
                curveToRelative(-0.114f, -0.086f, -0.12f, -0.082f, -0.17f, 0.05f)
                curveToRelative(-0.052f, 0.135f, -0.086f, 0.274f, -0.146f, 0.404f)
                curveToRelative(-0.022f, 0.045f, 0.012f, 0.094f, 0.046f, 0.127f)
                curveToRelative(0.038f, 0.039f, 0.064f, 0.099f, 0.134f, 0.089f)
                curveToRelative(0.031f, -0.005f, 0.048f, -0.022f, 0.055f, -0.055f)
                curveToRelative(0.017f, -0.08f, 0.04f, -0.16f, 0.06f, -0.257f)
                curveToRelative(0.262f, 0.22f, 0.553f, 0.39f, 0.84f, 0.583f)
                lineToRelative(-0.278f, 0.159f)
                curveToRelative(-0.713f, 0.4f, -1.428f, 0.8f, -2.139f, 1.205f)
                curveToRelative(-0.058f, 0.03f, -0.082f, 0.038f, -0.106f, -0.034f)
                curveToRelative(-0.273f, -0.847f, -0.56f, -1.69f, -0.79f, -2.552f)
                curveToRelative(-0.052f, -0.2f, -0.074f, -0.408f, -0.112f, -0.612f)
                curveToRelative(-0.012f, -0.06f, 0.028f, -0.091f, 0.067f, -0.113f)
                curveToRelative(0.053f, -0.026f, 0.055f, 0.036f, 0.074f, 0.06f)
                curveToRelative(0.377f, 0.52f, 0.634f, 1.11f, 0.941f, 1.669f)
                curveToRelative(0.092f, 0.168f, 0.195f, 0.33f, 0.293f, 0.497f)
                curveToRelative(0.02f, 0.03f, 0.034f, 0.057f, 0.082f, 0.04f)
                curveToRelative(0.053f, -0.02f, 0.043f, -0.052f, 0.034f, -0.09f)
                curveToRelative(-0.039f, -0.174f, -0.128f, -0.33f, -0.193f, -0.493f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, true, 0.003f, -0.16f)
                curveToRelative(0.137f, -0.284f, 0.33f, -0.531f, 0.48f, -0.803f)
                curveToRelative(0.14f, -0.247f, 0.317f, -0.468f, 0.451f, -0.717f)
                arcToRelative(0.205f, 0.205f, 0.0f, false, true, 0.2f, -0.111f)
                close()
                moveTo(7.407f, 2.971f)
                curveToRelative(0.014f, 0.003f, 0.024f, 0.016f, 0.036f, 0.042f)
                curveToRelative(0.12f, 0.27f, 0.201f, 0.555f, 0.302f, 0.83f)
                curveToRelative(0.01f, 0.027f, 0.012f, 0.049f, -0.017f, 0.066f)
                lineToRelative(-0.256f, 0.158f)
                curveToRelative(-0.008f, 0.005f, -0.017f, 0.007f, -0.046f, 0.02f)
                curveToRelative(-0.007f, -0.013f, -0.017f, -0.034f, -0.031f, -0.051f)
                lineToRelative(-0.54f, -0.62f)
                curveToRelative(-0.024f, -0.028f, -0.048f, -0.055f, 0.0f, -0.081f)
                curveToRelative(0.177f, -0.101f, 0.312f, -0.264f, 0.499f, -0.35f)
                curveToRelative(0.024f, -0.011f, 0.04f, -0.017f, 0.053f, -0.014f)
                close()
                moveTo(9.336f, 3.457f)
                arcToRelative(0.204f, 0.204f, 0.0f, false, true, 0.14f, 0.046f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, true, 0.08f, 0.218f)
                arcToRelative(0.556f, 0.556f, 0.0f, false, true, -0.161f, 0.29f)
                arcToRelative(5.528f, 5.528f, 0.0f, false, false, -0.882f, 1.093f)
                curveToRelative(-0.228f, 0.36f, -0.453f, 0.718f, -0.624f, 1.11f)
                arcToRelative(0.768f, 0.768f, 0.0f, false, true, -0.146f, 0.206f)
                curveToRelative(-0.24f, 0.273f, -0.526f, 0.485f, -0.855f, 0.638f)
                arcToRelative(0.17f, 0.17f, 0.0f, false, false, -0.108f, 0.159f)
                curveToRelative(-0.005f, 0.06f, -0.024f, 0.118f, -0.029f, 0.178f)
                arcToRelative(0.48f, 0.48f, 0.0f, false, true, -0.19f, 0.38f)
                curveToRelative(-0.04f, 0.032f, -0.045f, 0.083f, -0.06f, 0.126f)
                lineToRelative(-0.273f, 0.915f)
                curveToRelative(0.0f, 0.007f, 0.0f, 0.014f, -0.002f, 0.019f)
                curveToRelative(0.0f, 0.014f, 0.002f, 0.03f, -0.017f, 0.038f)
                curveToRelative(-0.04f, 0.01f, -0.077f, -0.002f, -0.113f, -0.021f)
                arcToRelative(41.397f, 41.397f, 0.0f, false, true, -1.33f, -0.334f)
                curveToRelative(-0.055f, -0.012f, -0.108f, -0.03f, -0.166f, -0.036f)
                curveToRelative(-0.088f, -0.012f, -0.096f, -0.053f, -0.055f, -0.12f)
                curveToRelative(0.058f, -0.281f, 0.125f, -0.56f, 0.298f, -0.797f)
                curveToRelative(0.038f, -0.053f, 0.036f, -0.096f, 0.002f, -0.154f)
                curveToRelative(-0.19f, -0.317f, -0.334f, -0.658f, -0.492f, -0.99f)
                curveToRelative(-0.026f, -0.054f, -0.017f, -0.08f, 0.034f, -0.11f)
                arcTo(574.255f, 574.255f, 0.0f, false, false, 6.97f, 4.706f)
                curveToRelative(0.045f, -0.03f, 0.089f, -0.012f, 0.132f, -0.022f)
                curveToRelative(0.151f, -0.034f, 0.298f, -0.08f, 0.43f, -0.163f)
                curveToRelative(0.01f, -0.007f, 0.026f, -0.012f, 0.03f, -0.022f)
                curveToRelative(0.097f, -0.213f, 0.31f, -0.286f, 0.49f, -0.37f)
                curveToRelative(0.411f, -0.187f, 0.826f, -0.36f, 1.189f, -0.633f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, true, 0.095f, -0.04f)
                close()
                moveTo(20.779f, 7.229f)
                verticalLineToRelative(0.005f)
                lineToRelative(0.002f, -0.001f)
                curveToRelative(-0.021f, 0.256f, -0.043f, 0.498f, -0.062f, 0.74f)
                lineToRelative(-0.043f, 0.535f)
                curveToRelative(-0.005f, 0.065f, -0.024f, 0.106f, -0.094f, 0.13f)
                arcToRelative(561.275f, 561.275f, 0.0f, false, false, -3.37f, 1.17f)
                lineToRelative(-0.04f, 0.009f)
                curveToRelative(-0.035f, 0.005f, -0.054f, -0.012f, -0.08f, -0.055f)
                curveToRelative(-0.217f, -0.394f, -0.438f, -0.785f, -0.661f, -1.177f)
                curveToRelative(-0.03f, -0.05f, -0.038f, -0.077f, 0.034f, -0.096f)
                lineToRelative(4.254f, -1.246f)
                curveToRelative(0.014f, -0.005f, 0.03f, -0.007f, 0.06f, -0.014f)
                close()
                moveTo(20.369f, 7.615f)
                curveToRelative(-0.154f, 0.003f, -0.293f, 0.147f, -0.286f, 0.293f)
                curveToRelative(0.007f, 0.137f, 0.124f, 0.257f, 0.254f, 0.252f)
                curveToRelative(0.137f, -0.002f, 0.27f, -0.153f, 0.267f, -0.302f)
                curveToRelative(-0.005f, -0.166f, -0.082f, -0.245f, -0.236f, -0.243f)
                close()
                moveTo(3.539f, 8.485f)
                curveToRelative(0.01f, 0.0f, 0.024f, 0.002f, 0.04f, 0.007f)
                lineTo(5.512f, 9.0f)
                lineToRelative(1.937f, 0.51f)
                curveToRelative(0.062f, 0.017f, 0.082f, 0.036f, 0.06f, 0.1f)
                lineToRelative(-0.278f, 0.913f)
                curveToRelative(-0.01f, 0.036f, -0.017f, 0.074f, -0.058f, 0.074f)
                arcToRelative(0.06f, 0.06f, 0.0f, false, true, -0.02f, -0.002f)
                lineToRelative(-1.036f, -0.142f)
                curveToRelative(-0.226f, -0.03f, -0.45f, -0.062f, -0.675f, -0.093f)
                arcToRelative(254.996f, 254.996f, 0.0f, false, false, -2.055f, -0.286f)
                curveToRelative(-0.043f, -0.012f, -0.058f, -0.038f, -0.05f, -0.098f)
                curveToRelative(0.052f, -0.476f, 0.103f, -0.951f, 0.153f, -1.43f)
                curveToRelative(0.003f, -0.011f, 0.002f, -0.02f, 0.005f, -0.03f)
                arcToRelative(0.035f, 0.035f, 0.0f, false, false, 0.005f, -0.015f)
                curveToRelative(0.007f, -0.014f, 0.021f, -0.02f, 0.038f, -0.02f)
                close()
                moveTo(11.675f, 8.588f)
                lineToRelative(0.113f, 0.002f)
                curveToRelative(0.197f, 0.01f, 0.389f, 0.086f, 0.569f, 0.166f)
                curveToRelative(0.08f, 0.036f, 0.159f, 0.07f, 0.238f, 0.108f)
                lineToRelative(0.057f, 0.029f)
                curveToRelative(0.058f, 0.028f, 0.118f, 0.057f, 0.173f, 0.09f)
                lineToRelative(0.113f, 0.065f)
                curveToRelative(0.036f, 0.025f, 0.075f, 0.046f, 0.108f, 0.073f)
                curveToRelative(0.072f, 0.05f, 0.142f, 0.105f, 0.207f, 0.165f)
                curveToRelative(0.218f, 0.202f, 0.372f, 0.44f, 0.463f, 0.72f)
                curveToRelative(0.065f, 0.202f, 0.113f, 0.409f, 0.13f, 0.617f)
                curveToRelative(0.016f, 0.202f, -0.044f, 0.399f, -0.096f, 0.593f)
                curveToRelative(-0.008f, 0.03f, -0.02f, 0.036f, -0.03f, 0.034f)
                curveToRelative(-0.014f, -0.005f, -0.021f, -0.022f, -0.033f, -0.036f)
                lineToRelative(-0.216f, -0.25f)
                arcToRelative(2.105f, 2.105f, 0.0f, false, false, -1.042f, -0.684f)
                arcToRelative(4.159f, 4.159f, 0.0f, false, false, -0.994f, -0.154f)
                arcToRelative(3.799f, 3.799f, 0.0f, false, false, -0.804f, 0.092f)
                curveToRelative(-0.211f, 0.04f, -0.423f, 0.074f, -0.631f, 0.113f)
                curveToRelative(-0.137f, 0.024f, -0.262f, 0.086f, -0.387f, 0.14f)
                curveToRelative(-0.06f, 0.028f, -0.12f, 0.054f, -0.18f, 0.077f)
                lineToRelative(-0.02f, 0.004f)
                curveToRelative(-0.376f, 0.132f, -0.695f, 0.36f, -1.024f, 0.57f)
                curveToRelative(-0.09f, 0.06f, -0.165f, 0.14f, -0.243f, 0.218f)
                lineToRelative(-0.01f, 0.008f)
                lineToRelative(-0.064f, 0.065f)
                curveToRelative(-0.152f, 0.147f, -0.3f, 0.296f, -0.464f, 0.43f)
                curveToRelative(-0.074f, 0.103f, -0.175f, 0.175f, -0.268f, 0.266f)
                curveToRelative(0.024f, -0.17f, 0.07f, -0.328f, 0.146f, -0.472f)
                arcToRelative(4.6f, 4.6f, 0.0f, false, true, 0.262f, -0.435f)
                curveToRelative(0.048f, -0.07f, 0.096f, -0.14f, 0.146f, -0.206f)
                arcToRelative(7.17f, 7.17f, 0.0f, false, true, 0.315f, -0.396f)
                curveToRelative(0.081f, -0.097f, 0.163f, -0.193f, 0.247f, -0.29f)
                lineToRelative(0.25f, -0.284f)
                arcToRelative(0.917f, 0.917f, 0.0f, false, true, 0.115f, -0.1f)
                lineToRelative(0.026f, -0.03f)
                curveToRelative(0.078f, -0.066f, 0.147f, -0.136f, 0.238f, -0.21f)
                lineToRelative(0.012f, -0.01f)
                lineToRelative(0.067f, -0.061f)
                curveToRelative(0.24f, -0.228f, 0.519f, -0.406f, 0.797f, -0.583f)
                curveToRelative(0.028f, -0.02f, 0.057f, -0.035f, 0.086f, -0.051f)
                lineToRelative(0.111f, -0.048f)
                curveToRelative(0.01f, -0.004f, 0.02f, -0.01f, 0.029f, -0.012f)
                arcToRelative(2.78f, 2.78f, 0.0f, false, true, 0.173f, -0.065f)
                lineToRelative(0.117f, -0.036f)
                curveToRelative(0.14f, -0.04f, 0.279f, -0.074f, 0.416f, -0.117f)
                arcToRelative(2.45f, 2.45f, 0.0f, false, true, 0.782f, -0.115f)
                close()
                moveTo(4.105f, 9.037f)
                curveToRelative(-0.07f, 0.004f, -0.153f, -0.003f, -0.215f, 0.057f)
                arcToRelative(0.462f, 0.462f, 0.0f, false, false, 0.012f, 0.665f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, false, 0.38f, 0.0f)
                curveToRelative(0.145f, -0.127f, 0.182f, -0.314f, 0.095f, -0.535f)
                curveToRelative(-0.053f, -0.137f, -0.125f, -0.187f, -0.27f, -0.187f)
                close()
                moveTo(19.951f, 9.099f)
                curveToRelative(0.087f, -0.001f, 0.163f, 0.053f, 0.23f, 0.146f)
                curveToRelative(0.014f, 0.01f, 0.029f, 0.02f, 0.043f, 0.032f)
                curveToRelative(0.022f, 0.019f, 0.03f, 0.04f, 0.053f, 0.064f)
                curveToRelative(0.099f, 0.113f, 0.207f, 0.224f, 0.31f, 0.334f)
                arcToRelative(0.064f, 0.064f, 0.0f, false, true, 0.014f, 0.024f)
                arcToRelative(0.023f, 0.023f, 0.0f, false, true, -0.002f, 0.022f)
                arcToRelative(0.04f, 0.04f, 0.0f, false, true, -0.015f, 0.014f)
                lineToRelative(-0.01f, 0.015f)
                lineToRelative(-0.002f, 0.002f)
                curveToRelative(-0.002f, 0.002f, -0.002f, 0.005f, -0.004f, 0.01f)
                curveToRelative(0.0f, 0.002f, -0.003f, 0.004f, -0.003f, 0.004f)
                horizontalLineToRelative(0.003f)
                verticalLineToRelative(0.008f)
                curveToRelative(-0.145f, 0.146f, -0.106f, 0.283f, 0.01f, 0.415f)
                curveToRelative(0.006f, 0.012f, 0.014f, 0.024f, 0.014f, 0.036f)
                curveToRelative(0.096f, 0.127f, 0.016f, 0.254f, 0.0f, 0.382f)
                curveToRelative(-0.003f, 0.012f, -0.005f, 0.016f, -0.015f, 0.02f)
                lineToRelative(-0.007f, 0.004f)
                arcToRelative(0.116f, 0.116f, 0.0f, false, true, -0.03f, -0.005f)
                lineToRelative(-0.01f, -0.003f)
                arcToRelative(9.772f, 9.772f, 0.0f, false, true, -0.251f, -0.077f)
                curveToRelative(-0.007f, 0.0f, -0.012f, -0.004f, -0.02f, -0.007f)
                curveToRelative(-0.006f, 0.0f, -0.011f, -0.007f, -0.018f, -0.007f)
                arcToRelative(0.284f, 0.284f, 0.0f, false, true, -0.118f, -0.02f)
                arcToRelative(0.252f, 0.252f, 0.0f, false, false, -0.292f, 0.05f)
                arcToRelative(0.054f, 0.054f, 0.0f, false, true, -0.005f, 0.02f)
                curveToRelative(0.04f, 0.06f, 0.108f, 0.075f, 0.168f, 0.094f)
                curveToRelative(0.245f, 0.08f, 0.453f, 0.23f, 0.68f, 0.348f)
                curveToRelative(0.052f, 0.03f, 0.062f, 0.092f, 0.057f, 0.152f)
                curveToRelative(-0.003f, 0.033f, -0.012f, 0.067f, -0.02f, 0.103f)
                lineToRelative(-0.072f, 0.31f)
                arcToRelative(0.127f, 0.127f, 0.0f, false, true, -0.02f, 0.076f)
                curveToRelative(0.004f, 0.168f, -0.114f, 0.293f, -0.17f, 0.437f)
                curveToRelative(-0.006f, 0.012f, -0.011f, 0.017f, -0.02f, 0.04f)
                arcToRelative(3.223f, 3.223f, 0.0f, false, true, -0.128f, 0.299f)
                curveToRelative(0.0f, 0.007f, -0.01f, 0.017f, -0.012f, 0.024f)
                verticalLineToRelative(-0.005f)
                curveToRelative(0.0f, 0.002f, -0.002f, 0.002f, -0.002f, 0.005f)
                lineToRelative(-0.005f, 0.01f)
                curveToRelative(-0.003f, 0.002f, -0.003f, 0.004f, -0.005f, 0.007f)
                curveToRelative(-0.012f, 0.045f, -0.02f, 0.093f, -0.058f, 0.132f)
                arcToRelative(1.913f, 1.913f, 0.0f, false, true, -0.187f, 0.432f)
                curveToRelative(-0.007f, 0.012f, -0.012f, 0.012f, -0.017f, 0.036f)
                curveToRelative(-0.062f, 0.144f, -0.127f, 0.317f, -0.19f, 0.475f)
                curveToRelative(-0.014f, 0.058f, -0.026f, 0.115f, -0.04f, 0.17f)
                lineToRelative(-0.008f, 0.015f)
                curveToRelative(0.0f, 0.002f, -0.002f, 0.002f, -0.002f, 0.005f)
                curveToRelative(0.0f, 0.005f, -0.005f, 0.01f, -0.007f, 0.014f)
                arcToRelative(0.45f, 0.45f, 0.0f, false, true, -0.036f, 0.192f)
                curveToRelative(-0.012f, 0.039f, -0.022f, 0.082f, -0.034f, 0.12f)
                arcToRelative(0.074f, 0.074f, 0.0f, false, true, -0.005f, 0.02f)
                lineToRelative(-0.201f, 0.912f)
                curveToRelative(-0.055f, 0.25f, -0.077f, 0.504f, -0.118f, 0.754f)
                curveToRelative(-0.038f, 0.235f, -0.048f, 0.477f, -0.106f, 0.708f)
                curveToRelative(-0.04f, 0.168f, -0.136f, 0.324f, -0.213f, 0.48f)
                curveToRelative(-0.072f, 0.146f, -0.118f, 0.302f, -0.207f, 0.444f)
                lineToRelative(-0.007f, 0.015f)
                arcToRelative(0.169f, 0.169f, 0.0f, false, false, -0.012f, 0.03f)
                curveToRelative(-0.002f, 0.006f, -0.002f, 0.013f, -0.005f, 0.018f)
                lineToRelative(-0.007f, 0.033f)
                arcToRelative(0.182f, 0.182f, 0.0f, false, false, -0.002f, 0.036f)
                curveToRelative(0.0f, 0.012f, 0.0f, 0.024f, -0.003f, 0.036f)
                verticalLineToRelative(0.036f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, true, -0.002f, 0.072f)
                curveToRelative(-0.02f, 0.257f, -0.053f, 0.514f, -0.041f, 0.773f)
                curveToRelative(0.002f, 0.048f, -0.012f, 0.075f, -0.058f, 0.09f)
                lineToRelative(-0.057f, 0.023f)
                arcToRelative(1.598f, 1.598f, 0.0f, false, false, -0.113f, 0.048f)
                lineToRelative(-0.06f, 0.024f)
                curveToRelative(-0.031f, 0.012f, -0.05f, 0.022f, -0.1f, 0.034f)
                verticalLineToRelative(-0.005f)
                reflectiveCurveToRelative(-0.006f, 0.005f, -0.01f, 0.005f)
                lineToRelative(-0.133f, 0.055f)
                lineToRelative(-0.093f, 0.038f)
                arcToRelative(0.635f, 0.635f, 0.0f, false, true, -0.211f, 0.092f)
                lineToRelative(-0.036f, 0.02f)
                arcToRelative(25.181f, 25.181f, 0.0f, false, false, -0.474f, 0.212f)
                curveToRelative(-0.081f, 0.024f, -0.165f, 0.072f, -0.247f, 0.11f)
                curveToRelative(-0.09f, 0.04f, -0.175f, 0.075f, -0.264f, 0.114f)
                curveToRelative(-0.14f, 0.062f, -0.278f, 0.12f, -0.418f, 0.181f)
                curveToRelative(-0.004f, 0.002f, -0.012f, 0.0f, -0.016f, 0.0f)
                curveToRelative(-0.128f, 0.048f, -0.26f, 0.118f, -0.38f, 0.173f)
                curveToRelative(-0.048f, 0.026f, -0.117f, 0.053f, -0.177f, 0.077f)
                curveToRelative(-0.11f, 0.043f, -0.135f, 0.038f, -0.16f, -0.075f)
                curveToRelative(-0.071f, -0.052f, -0.078f, -0.14f, -0.104f, -0.216f)
                curveToRelative(-0.027f, -0.072f, -0.048f, -0.15f, -0.072f, -0.222f)
                curveToRelative(-0.005f, -0.024f, -0.017f, -0.02f, -0.017f, -0.034f)
                curveToRelative(-0.024f, -0.033f, -0.024f, -0.064f, -0.036f, -0.098f)
                lineToRelative(-0.003f, -0.017f)
                curveToRelative(-0.007f, -0.005f, -0.007f, -0.012f, -0.01f, -0.02f)
                lineToRelative(-0.006f, -0.016f)
                horizontalLineToRelative(0.004f)
                curveToRelative(-0.033f, -0.1f, -0.07f, -0.2f, -0.093f, -0.3f)
                curveToRelative(-0.024f, -0.067f, -0.067f, -0.132f, -0.08f, -0.202f)
                arcToRelative(0.17f, 0.17f, 0.0f, false, true, 0.0f, -0.07f)
                lineToRelative(0.008f, -0.033f)
                lineToRelative(0.004f, -0.017f)
                curveToRelative(0.02f, -0.047f, 0.05f, -0.093f, 0.075f, -0.14f)
                curveToRelative(0.017f, -0.037f, 0.03f, -0.076f, 0.048f, -0.114f)
                curveToRelative(0.017f, -0.038f, 0.03f, -0.067f, 0.048f, -0.115f)
                curveToRelative(0.038f, -0.072f, 0.062f, -0.156f, 0.11f, -0.24f)
                curveToRelative(0.0f, -0.02f, 0.015f, -0.04f, 0.02f, -0.058f)
                curveToRelative(0.043f, -0.146f, 0.09f, -0.295f, 0.149f, -0.437f)
                curveToRelative(0.0f, -0.005f, -0.005f, -0.012f, -0.003f, -0.017f)
                curveToRelative(0.017f, -0.086f, 0.098f, -0.117f, 0.146f, -0.168f)
                verticalLineToRelative(0.003f)
                curveToRelative(0.024f, -0.008f, 0.037f, -0.022f, 0.049f, -0.022f)
                curveToRelative(0.014f, -0.024f, 0.028f, -0.034f, 0.043f, -0.048f)
                arcToRelative(1.518f, 1.518f, 0.0f, false, false, 0.108f, -0.15f)
                curveToRelative(0.045f, -0.066f, 0.086f, -0.136f, 0.137f, -0.203f)
                curveToRelative(0.016f, -0.021f, 0.03f, -0.055f, 0.057f, -0.055f)
                curveToRelative(0.005f, 0.0f, 0.007f, 0.0f, 0.012f, 0.002f)
                curveToRelative(0.039f, 0.01f, 0.027f, 0.055f, 0.022f, 0.084f)
                arcToRelative(0.88f, 0.88f, 0.0f, false, false, 0.0f, 0.327f)
                curveToRelative(0.012f, 0.084f, 0.026f, 0.168f, 0.033f, 0.252f)
                lineToRelative(-0.002f, 0.038f)
                arcToRelative(0.578f, 0.578f, 0.0f, false, true, 0.036f, 0.19f)
                curveToRelative(0.02f, 0.082f, 0.036f, 0.16f, 0.06f, 0.242f)
                curveToRelative(0.072f, 0.15f, 0.125f, 0.3f, 0.173f, 0.454f)
                lineToRelative(0.005f, -0.002f)
                curveToRelative(0.08f, 0.12f, 0.163f, 0.26f, 0.245f, 0.39f)
                curveToRelative(0.024f, 0.032f, 0.05f, 0.066f, 0.074f, 0.09f)
                horizontalLineToRelative(0.005f)
                verticalLineToRelative(0.02f)
                curveToRelative(0.024f, 0.0f, 0.036f, 0.052f, 0.072f, 0.004f)
                curveToRelative(-0.007f, -0.024f, -0.012f, -0.024f, -0.02f, -0.024f)
                arcToRelative(0.448f, 0.448f, 0.0f, false, true, -0.03f, -0.08f)
                curveToRelative(-0.005f, -0.016f, -0.013f, -0.035f, -0.015f, -0.05f)
                arcToRelative(0.387f, 0.387f, 0.0f, false, true, -0.012f, -0.05f)
                curveToRelative(-0.002f, -0.007f, -0.002f, -0.017f, -0.005f, -0.024f)
                arcToRelative(0.282f, 0.282f, 0.0f, false, false, -0.01f, -0.048f)
                lineToRelative(-0.011f, -0.075f)
                lineToRelative(-0.013f, -0.074f)
                curveToRelative(-0.007f, -0.007f, -0.007f, -0.017f, -0.007f, -0.026f)
                curveToRelative(-0.002f, -0.01f, -0.004f, -0.02f, -0.01f, -0.03f)
                curveToRelative(-0.002f, -0.028f, -0.007f, -0.057f, -0.011f, -0.086f)
                lineToRelative(-0.022f, -0.172f)
                curveToRelative(-0.002f, -0.03f, -0.012f, -0.058f, -0.014f, -0.087f)
                arcToRelative(3.634f, 3.634f, 0.0f, false, true, 0.036f, -0.941f)
                horizontalLineToRelative(0.014f)
                curveToRelative(0.029f, -0.144f, 0.058f, -0.31f, 0.086f, -0.466f)
                curveToRelative(0.008f, 0.0f, 0.015f, 0.003f, 0.024f, 0.003f)
                curveToRelative(-0.01f, 0.26f, 0.017f, 0.52f, 0.075f, 0.775f)
                curveToRelative(0.002f, 0.005f, 0.002f, 0.012f, 0.002f, 0.017f)
                curveToRelative(0.036f, 0.098f, 0.075f, 0.197f, 0.106f, 0.298f)
                curveToRelative(0.007f, 0.02f, 0.014f, 0.043f, 0.022f, 0.062f)
                arcToRelative(0.338f, 0.338f, 0.0f, false, false, 0.055f, 0.094f)
                curveToRelative(0.007f, 0.012f, 0.02f, 0.024f, 0.02f, 0.036f)
                curveToRelative(0.025f, 0.019f, 0.037f, 0.04f, 0.057f, 0.06f)
                curveToRelative(0.014f, 0.016f, 0.026f, 0.036f, 0.04f, 0.053f)
                curveToRelative(0.05f, 0.048f, 0.104f, 0.093f, 0.166f, 0.156f)
                arcToRelative(3.667f, 3.667f, 0.0f, false, true, -0.017f, -0.14f)
                curveToRelative(-0.004f, -0.043f, -0.012f, -0.086f, -0.016f, -0.134f)
                curveToRelative(0.0f, 0.0f, -0.013f, -0.007f, -0.013f, -0.012f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, false, -0.01f, -0.108f)
                lineToRelative(-0.04f, -0.33f)
                curveToRelative(0.0f, -0.01f, 0.0f, -0.016f, 0.002f, -0.025f)
                curveToRelative(0.0f, -0.01f, 0.003f, -0.027f, 0.003f, -0.027f)
                arcToRelative(2.705f, 2.705f, 0.0f, false, true, -0.02f, -0.415f)
                lineToRelative(-0.002f, -0.017f)
                arcToRelative(1.122f, 1.122f, 0.0f, false, true, -0.002f, -0.37f)
                curveToRelative(0.005f, -0.033f, 0.002f, -0.07f, 0.005f, -0.103f)
                curveToRelative(0.0f, -0.007f, -0.003f, -0.012f, -0.003f, -0.02f)
                curveToRelative(0.0f, -0.158f, 0.007f, -0.32f, 0.055f, -0.472f)
                lineToRelative(0.003f, -0.017f)
                curveToRelative(0.012f, -0.072f, 0.024f, -0.158f, 0.036f, -0.238f)
                curveToRelative(0.012f, -0.08f, 0.024f, -0.16f, 0.033f, -0.24f)
                curveToRelative(0.005f, -0.033f, 0.015f, -0.05f, 0.034f, -0.05f)
                curveToRelative(0.01f, 0.0f, 0.024f, 0.005f, 0.04f, 0.017f)
                lineToRelative(0.05f, 0.03f)
                lineToRelative(0.076f, 0.049f)
                curveToRelative(0.024f, 0.017f, 0.048f, 0.033f, 0.07f, 0.055f)
                curveToRelative(0.002f, 0.002f, 0.004f, 0.005f, 0.009f, 0.007f)
                arcToRelative(0.116f, 0.116f, 0.0f, false, false, 0.017f, 0.012f)
                horizontalLineToRelative(0.005f)
                verticalLineToRelative(-0.002f)
                curveToRelative(0.168f, 0.084f, 0.26f, 0.226f, 0.374f, 0.358f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, true, 0.11f, 0.15f)
                curveToRelative(0.075f, 0.099f, 0.13f, 0.205f, 0.169f, 0.323f)
                curveToRelative(0.002f, 0.01f, 0.007f, 0.02f, 0.01f, 0.03f)
                curveToRelative(0.002f, 0.01f, 0.007f, 0.006f, 0.009f, 0.03f)
                curveToRelative(0.02f, 0.024f, 0.03f, 0.055f, 0.043f, 0.084f)
                lineToRelative(0.034f, 0.084f)
                lineToRelative(0.019f, 0.04f)
                curveToRelative(0.005f, 0.01f, 0.01f, 0.017f, 0.017f, 0.024f)
                arcToRelative(0.07f, 0.07f, 0.0f, false, false, 0.04f, 0.024f)
                curveToRelative(0.027f, -0.088f, -0.035f, -0.172f, -0.011f, -0.256f)
                horizontalLineToRelative(0.007f)
                curveToRelative(0.0f, -0.024f, -0.007f, -0.025f, -0.007f, -0.037f)
                curveToRelative(-0.024f, -0.156f, -0.044f, -0.31f, -0.11f, -0.453f)
                lineToRelative(-0.001f, -0.04f)
                curveToRelative(-0.058f, -0.143f, -0.086f, -0.29f, -0.17f, -0.416f)
                arcToRelative(0.103f, 0.103f, 0.0f, false, true, -0.037f, -0.063f)
                curveToRelative(-0.026f, -0.024f, -0.04f, -0.053f, -0.055f, -0.081f)
                arcToRelative(4.135f, 4.135f, 0.0f, false, true, -0.038f, -0.063f)
                verticalLineToRelative(0.017f)
                curveToRelative(0.0f, -0.002f, -0.005f, -0.005f, -0.005f, -0.007f)
                verticalLineToRelative(-0.003f)
                arcToRelative(2.828f, 2.828f, 0.0f, false, false, -0.22f, -0.278f)
                lineToRelative(-0.01f, -0.01f)
                curveToRelative(-0.01f, -0.01f, -0.02f, -0.01f, -0.03f, -0.033f)
                curveToRelative(-0.057f, -0.024f, -0.112f, -0.096f, -0.17f, -0.147f)
                curveToRelative(-0.007f, -0.007f, -0.014f, -0.01f, -0.02f, -0.017f)
                curveToRelative(-0.004f, -0.004f, 0.0f, -0.01f, -0.023f, -0.016f)
                curveToRelative(-0.12f, -0.082f, -0.21f, -0.183f, -0.314f, -0.255f)
                curveToRelative(-0.02f, -0.024f, -0.044f, -0.01f, -0.053f, -0.048f)
                curveToRelative(0.31f, -0.02f, 0.61f, 0.017f, 0.922f, 0.036f)
                verticalLineToRelative(-0.012f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.154f, 0.024f, 0.298f, 0.053f, 0.437f, 0.113f)
                curveToRelative(0.005f, 0.0f, 0.01f, 0.007f, 0.017f, 0.007f)
                verticalLineToRelative(0.005f)
                curveToRelative(0.096f, 0.022f, 0.187f, 0.065f, 0.278f, 0.108f)
                curveToRelative(0.02f, 0.01f, 0.044f, 0.04f, 0.065f, 0.012f)
                curveToRelative(0.017f, -0.024f, -0.01f, -0.046f, -0.024f, -0.065f)
                curveToRelative(-0.036f, -0.05f, -0.07f, -0.1f, -0.108f, -0.151f)
                curveToRelative(-0.007f, -0.012f, -0.02f, -0.024f, -0.02f, -0.036f)
                curveToRelative(-0.071f, -0.07f, -0.126f, -0.15f, -0.19f, -0.22f)
                arcToRelative(0.953f, 0.953f, 0.0f, false, true, -0.06f, -0.063f)
                arcToRelative(1.162f, 1.162f, 0.0f, false, true, -0.208f, -0.17f)
                curveToRelative(-0.012f, -0.008f, -0.024f, -0.022f, -0.036f, -0.022f)
                curveToRelative(-0.03f, 0.0f, -0.064f, -0.034f, -0.096f, -0.056f)
                curveToRelative(-0.03f, -0.021f, -0.064f, -0.04f, -0.096f, -0.062f)
                curveToRelative(-0.012f, -0.007f, -0.024f, -0.012f, -0.036f, -0.02f)
                curveToRelative(-0.146f, -0.055f, -0.293f, -0.105f, -0.44f, -0.16f)
                curveToRelative(-0.004f, 0.0f, -0.013f, -0.003f, -0.013f, -0.005f)
                curveToRelative(0.0f, 0.0f, -0.013f, 0.0f, -0.017f, -0.002f)
                arcToRelative(0.11f, 0.11f, 0.0f, false, true, -0.072f, -0.03f)
                arcToRelative(0.079f, 0.079f, 0.0f, false, true, -0.027f, -0.035f)
                lineToRelative(-0.005f, -0.012f)
                curveToRelative(-0.007f, -0.02f, -0.01f, -0.041f, -0.007f, -0.063f)
                arcToRelative(0.968f, 0.968f, 0.0f, false, false, -0.012f, -0.22f)
                curveToRelative(-0.002f, -0.022f, -0.007f, -0.041f, -0.012f, -0.063f)
                arcToRelative(2.158f, 2.158f, 0.0f, false, false, -0.014f, -0.06f)
                lineToRelative(-0.015f, -0.062f)
                arcToRelative(2.29f, 2.29f, 0.0f, false, false, -0.024f, -0.09f)
                reflectiveCurveToRelative(-0.01f, -0.002f, -0.01f, -0.01f)
                curveToRelative(-0.023f, -0.145f, -0.08f, -0.292f, -0.124f, -0.436f)
                lineToRelative(-0.017f, -0.057f)
                arcToRelative(0.369f, 0.369f, 0.0f, false, true, -0.057f, -0.168f)
                curveToRelative(0.0f, -0.02f, 0.0f, -0.036f, 0.002f, -0.056f)
                lineToRelative(0.002f, -0.026f)
                curveToRelative(0.005f, -0.027f, 0.01f, -0.055f, 0.02f, -0.082f)
                lineToRelative(0.033f, -0.108f)
                curveToRelative(0.0f, -0.005f, 0.0f, -0.017f, 0.003f, -0.017f)
                horizontalLineToRelative(-0.003f)
                curveToRelative(0.03f, -0.17f, 0.099f, -0.314f, 0.147f, -0.468f)
                curveToRelative(0.0f, -0.002f, 0.005f, -0.002f, 0.005f, -0.005f)
                lineToRelative(0.01f, -0.01f)
                curveToRelative(0.002f, -0.002f, 0.004f, -0.002f, 0.004f, -0.004f)
                arcToRelative(0.265f, 0.265f, 0.0f, false, false, 0.053f, -0.185f)
                arcToRelative(0.326f, 0.326f, 0.0f, false, false, -0.027f, -0.103f)
                curveToRelative(-0.016f, -0.043f, -0.038f, -0.084f, -0.06f, -0.127f)
                curveToRelative(-0.002f, -0.005f, -0.01f, -0.01f, -0.014f, -0.012f)
                curveToRelative(-0.002f, -0.003f, -0.005f, -0.005f, -0.005f, -0.008f)
                arcToRelative(1.196f, 1.196f, 0.0f, false, true, -0.21f, -0.355f)
                lineToRelative(-0.015f, -0.038f)
                curveToRelative(-0.005f, -0.005f, -0.005f, -0.01f, -0.008f, -0.017f)
                lineToRelative(-0.002f, -0.007f)
                arcToRelative(0.12f, 0.12f, 0.0f, false, true, -0.007f, -0.017f)
                lineToRelative(0.002f, 0.002f)
                lineToRelative(-0.002f, -0.005f)
                arcToRelative(0.276f, 0.276f, 0.0f, false, true, 0.012f, -0.043f)
                curveToRelative(0.004f, -0.01f, 0.01f, -0.017f, 0.014f, -0.026f)
                curveToRelative(0.005f, -0.007f, 0.012f, -0.014f, 0.02f, -0.022f)
                lineToRelative(0.009f, -0.007f)
                curveToRelative(0.065f, -0.094f, 0.125f, -0.192f, 0.197f, -0.283f)
                arcToRelative(0.26f, 0.26f, 0.0f, false, false, 0.05f, -0.252f)
                curveToRelative(-0.04f, -0.137f, -0.036f, -0.14f, 0.1f, -0.19f)
                curveToRelative(0.025f, -0.01f, 0.316f, -0.12f, 0.433f, -0.156f)
                lineToRelative(0.075f, -0.03f)
                lineToRelative(0.019f, -0.006f)
                arcToRelative(41.644f, 41.644f, 0.0f, false, true, 0.509f, -0.19f)
                curveToRelative(0.005f, -0.002f, 0.012f, -0.002f, 0.017f, -0.002f)
                curveToRelative(0.14f, -0.072f, 0.293f, -0.118f, 0.44f, -0.168f)
                curveToRelative(0.02f, -0.007f, 0.037f, -0.015f, 0.06f, -0.02f)
                curveToRelative(0.025f, -0.02f, 0.097f, -0.035f, 0.12f, -0.055f)
                curveToRelative(0.12f, -0.038f, 0.217f, -0.093f, 0.325f, -0.117f)
                arcToRelative(0.287f, 0.287f, 0.0f, false, true, 0.167f, -0.067f)
                close()
                moveTo(14.519f, 9.702f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, true, 0.23f, 0.036f)
                lineToRelative(0.014f, 0.004f)
                curveToRelative(0.259f, 0.08f, 0.523f, 0.142f, 0.77f, 0.26f)
                curveToRelative(0.04f, 0.019f, 0.084f, 0.038f, 0.113f, 0.077f)
                curveToRelative(0.16f, 0.115f, 0.307f, 0.247f, 0.43f, 0.405f)
                curveToRelative(0.19f, 0.245f, 0.38f, 0.492f, 0.557f, 0.773f)
                curveToRelative(-0.011f, -0.003f, -0.022f, -0.008f, -0.034f, -0.013f)
                verticalLineToRelative(-0.001f)
                arcToRelative(1.018f, 1.018f, 0.0f, false, true, -0.185f, -0.103f)
                arcToRelative(6.452f, 6.452f, 0.0f, false, false, -0.674f, -0.356f)
                arcToRelative(1.467f, 1.467f, 0.0f, false, false, -0.331f, -0.1f)
                arcToRelative(3.307f, 3.307f, 0.0f, false, false, -0.91f, -0.041f)
                curveToRelative(-0.084f, 0.007f, -0.17f, 0.0f, -0.255f, 0.0f)
                curveToRelative(-0.062f, 0.0f, -0.091f, -0.03f, -0.091f, -0.092f)
                curveToRelative(0.0f, -0.235f, 0.012f, -0.472f, -0.06f, -0.7f)
                curveToRelative(-0.015f, -0.048f, 0.014f, -0.068f, 0.055f, -0.082f)
                arcToRelative(1.12f, 1.12f, 0.0f, false, true, 0.372f, -0.067f)
                close()
                moveTo(11.769f, 10.475f)
                curveToRelative(0.423f, -0.015f, 0.812f, 0.105f, 1.167f, 0.324f)
                curveToRelative(0.132f, 0.08f, 0.253f, 0.176f, 0.363f, 0.284f)
                lineToRelative(0.014f, 0.013f)
                curveToRelative(0.122f, 0.123f, 0.23f, 0.26f, 0.32f, 0.41f)
                curveToRelative(0.08f, 0.13f, 0.059f, 0.272f, 0.032f, 0.414f)
                curveToRelative(-0.072f, 0.406f, -0.316f, 0.706f, -0.592f, 0.987f)
                curveToRelative(-0.265f, 0.269f, -0.596f, 0.444f, -0.903f, 0.648f)
                curveToRelative(-0.435f, 0.29f, -0.932f, 0.403f, -1.438f, 0.478f)
                curveToRelative(-0.632f, 0.093f, -1.273f, 0.103f, -1.906f, 0.187f)
                curveToRelative(-0.23f, 0.029f, -0.464f, 0.048f, -0.694f, 0.089f)
                arcToRelative(1.07f, 1.07f, 0.0f, false, false, -0.68f, 0.41f)
                curveToRelative(-0.062f, 0.084f, -0.1f, 0.187f, -0.16f, 0.303f)
                arcToRelative(0.527f, 0.527f, 0.0f, false, true, 0.026f, -0.394f)
                arcToRelative(1.12f, 1.12f, 0.0f, false, true, 0.533f, -0.54f)
                curveToRelative(0.415f, -0.22f, 0.879f, -0.262f, 1.323f, -0.375f)
                curveToRelative(0.36f, -0.091f, 0.73f, -0.144f, 1.087f, -0.242f)
                arcToRelative(7.234f, 7.234f, 0.0f, false, false, 1.426f, -0.55f)
                curveToRelative(0.24f, -0.125f, 0.49f, -0.252f, 0.656f, -0.485f)
                arcToRelative(0.73f, 0.73f, 0.0f, false, false, 0.12f, -0.557f)
                curveToRelative(-0.005f, -0.034f, -0.015f, -0.05f, -0.027f, -0.053f)
                curveToRelative(-0.012f, -0.002f, -0.03f, 0.007f, -0.05f, 0.027f)
                curveToRelative(-0.18f, 0.16f, -0.367f, 0.314f, -0.571f, 0.449f)
                curveToRelative(-0.32f, 0.206f, -0.673f, 0.33f, -1.038f, 0.42f)
                curveToRelative(-0.58f, 0.144f, -1.166f, 0.266f, -1.764f, 0.31f)
                arcToRelative(4.84f, 4.84f, 0.0f, false, false, -1.239f, 0.242f)
                curveToRelative(-0.34f, 0.118f, -0.687f, 0.235f, -0.96f, 0.49f)
                curveToRelative(-0.034f, 0.03f, -0.075f, 0.057f, -0.13f, 0.098f)
                lineToRelative(0.007f, -0.038f)
                lineToRelative(-0.026f, 0.019f)
                verticalLineToRelative(-0.005f)
                curveToRelative(0.01f, -0.006f, 0.016f, -0.013f, 0.024f, -0.017f)
                arcToRelative(0.599f, 0.599f, 0.0f, false, true, 0.084f, -0.2f)
                lineToRelative(0.646f, -1.022f)
                arcToRelative(0.285f, 0.285f, 0.0f, false, true, 0.041f, -0.053f)
                curveToRelative(0.334f, -0.33f, 0.653f, -0.677f, 1.023f, -0.965f)
                curveToRelative(0.614f, -0.48f, 1.284f, -0.855f, 2.055f, -1.02f)
                curveToRelative(0.187f, -0.041f, 0.377f, -0.07f, 0.57f, -0.07f)
                curveToRelative(0.22f, -0.002f, 0.443f, -0.01f, 0.66f, -0.017f)
                close()
                moveTo(4.137f, 10.497f)
                curveToRelative(0.013f, 0.0f, 0.03f, 0.002f, 0.048f, 0.009f)
                curveToRelative(0.03f, 0.01f, 0.062f, 0.007f, 0.094f, 0.01f)
                curveToRelative(0.127f, 0.028f, 0.26f, 0.03f, 0.386f, 0.062f)
                curveToRelative(0.012f, 0.0f, 0.017f, 0.002f, 0.034f, 0.01f)
                arcToRelative(2.174f, 2.174f, 0.0f, false, true, 0.4f, 0.057f)
                curveToRelative(0.145f, 0.02f, 0.29f, 0.036f, 0.433f, 0.06f)
                curveToRelative(0.033f, 0.0f, 0.062f, -0.002f, 0.093f, 0.017f)
                curveToRelative(0.005f, 0.0f, 0.012f, -0.002f, 0.012f, 0.0f)
                curveToRelative(0.168f, 0.02f, 0.3f, 0.03f, 0.445f, 0.055f)
                horizontalLineToRelative(-0.015f)
                verticalLineToRelative(0.005f)
                curveToRelative(0.096f, 0.012f, 0.16f, 0.024f, 0.233f, 0.036f)
                curveToRelative(0.077f, 0.012f, 0.156f, 0.03f, 0.23f, 0.03f)
                horizontalLineToRelative(0.003f)
                curveToRelative(0.007f, 0.0f, 0.012f, 0.004f, 0.017f, 0.004f)
                lineToRelative(0.021f, 0.005f)
                curveToRelative(0.048f, 0.002f, 0.067f, 0.028f, 0.075f, 0.07f)
                curveToRelative(0.038f, 0.227f, 0.07f, 0.455f, 0.117f, 0.683f)
                curveToRelative(0.0f, 0.017f, 0.01f, 0.032f, 0.008f, 0.046f)
                lineToRelative(0.02f, 0.11f)
                lineToRelative(0.061f, 0.332f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.03f, 0.003f, 0.036f)
                verticalLineToRelative(0.01f)
                curveToRelative(0.024f, 0.143f, 0.05f, 0.273f, 0.074f, 0.41f)
                verticalLineToRelative(0.046f)
                arcToRelative(1.717f, 1.717f, 0.0f, false, false, -0.3f, 0.46f)
                curveToRelative(-0.03f, 0.075f, -0.07f, 0.152f, -0.1f, 0.226f)
                lineToRelative(-0.006f, 0.003f)
                curveToRelative(-0.024f, 0.076f, -0.062f, 0.15f, -0.098f, 0.223f)
                curveToRelative(-0.003f, 0.0f, -0.005f, 0.005f, -0.007f, 0.01f)
                curveToRelative(-0.005f, 0.009f, -0.008f, 0.024f, -0.012f, 0.03f)
                verticalLineToRelative(0.003f)
                arcToRelative(2.478f, 2.478f, 0.0f, false, true, -0.192f, 0.415f)
                curveToRelative(-0.008f, 0.02f, -0.024f, 0.039f, -0.024f, 0.056f)
                curveToRelative(-0.024f, 0.09f, -0.046f, 0.182f, -0.092f, 0.266f)
                arcToRelative(0.757f, 0.757f, 0.0f, false, true, -0.074f, 0.226f)
                arcToRelative(2.102f, 2.102f, 0.0f, false, true, -0.13f, 0.394f)
                curveToRelative(-0.007f, 0.019f, -0.019f, 0.036f, -0.019f, 0.055f)
                lineToRelative(-0.002f, 0.007f)
                curveToRelative(-0.003f, 0.007f, -0.005f, 0.02f, -0.01f, 0.029f)
                arcToRelative(0.106f, 0.106f, 0.0f, false, true, -0.01f, 0.03f)
                lineToRelative(-0.002f, 0.01f)
                lineToRelative(-0.038f, 0.742f)
                lineToRelative(0.021f, 0.008f)
                lineToRelative(0.094f, -0.185f)
                curveToRelative(0.031f, -0.06f, 0.055f, -0.123f, 0.09f, -0.185f)
                curveToRelative(0.018f, -0.043f, 0.05f, -0.086f, 0.05f, -0.13f)
                curveToRelative(0.071f, -0.12f, 0.136f, -0.24f, 0.21f, -0.35f)
                curveToRelative(0.008f, -0.012f, 0.022f, -0.02f, 0.03f, -0.043f)
                curveToRelative(0.062f, -0.097f, 0.134f, -0.224f, 0.208f, -0.334f)
                curveToRelative(0.026f, -0.043f, 0.054f, -0.08f, 0.078f, -0.123f)
                curveToRelative(0.016f, -0.048f, 0.042f, -0.055f, 0.064f, -0.076f)
                curveToRelative(0.021f, -0.022f, 0.033f, -0.044f, 0.081f, -0.065f)
                curveToRelative(0.0f, 0.019f, 0.005f, 0.036f, 0.003f, 0.053f)
                lineToRelative(-0.003f, 0.01f)
                curveToRelative(0.0f, 0.009f, -0.004f, 0.018f, -0.007f, 0.028f)
                lineToRelative(-0.002f, 0.01f)
                curveToRelative(-0.003f, 0.007f, -0.003f, 0.012f, -0.005f, 0.019f)
                arcToRelative(0.054f, 0.054f, 0.0f, false, false, -0.002f, 0.02f)
                curveToRelative(0.0f, 0.006f, -0.005f, 0.01f, -0.003f, 0.018f)
                lineToRelative(-0.003f, 0.015f)
                horizontalLineToRelative(0.003f)
                curveToRelative(-0.022f, 0.144f, -0.02f, 0.307f, -0.024f, 0.458f)
                curveToRelative(0.0f, 0.007f, -0.005f, 0.02f, -0.005f, 0.024f)
                lineToRelative(0.005f, -0.002f)
                curveToRelative(0.02f, 0.144f, 0.043f, 0.288f, 0.062f, 0.432f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(0.003f, 0.0f, 0.005f, 0.03f, 0.005f, 0.043f)
                curveToRelative(0.024f, 0.144f, 0.055f, 0.29f, 0.072f, 0.437f)
                lineToRelative(0.002f, 0.017f)
                curveToRelative(0.003f, 0.01f, 0.005f, 0.017f, 0.005f, 0.026f)
                curveToRelative(0.024f, 0.116f, 0.11f, 0.195f, 0.163f, 0.296f)
                curveToRelative(0.039f, 0.055f, 0.08f, 0.12f, 0.116f, 0.168f)
                horizontalLineToRelative(0.002f)
                verticalLineToRelative(0.002f)
                curveToRelative(0.12f, 0.106f, 0.22f, 0.214f, 0.355f, 0.31f)
                curveToRelative(0.02f, 0.0f, 0.039f, 0.024f, 0.058f, 0.024f)
                horizontalLineToRelative(-0.002f)
                verticalLineToRelative(0.012f)
                curveToRelative(0.048f, 0.005f, 0.088f, 0.043f, 0.139f, 0.029f)
                arcToRelative(0.087f, 0.087f, 0.0f, false, false, 0.026f, -0.012f)
                curveToRelative(0.007f, -0.005f, 0.017f, -0.01f, 0.02f, -0.017f)
                curveToRelative(0.011f, -0.022f, -0.01f, -0.034f, -0.027f, -0.041f)
                curveToRelative(-0.197f, -0.125f, -0.166f, -0.33f, -0.19f, -0.521f)
                horizontalLineToRelative(0.008f)
                verticalLineToRelative(-0.003f)
                curveToRelative(0.048f, 0.046f, 0.081f, 0.09f, 0.122f, 0.14f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, false, 0.024f, 0.026f)
                lineToRelative(0.05f, 0.055f)
                curveToRelative(0.034f, 0.036f, 0.07f, 0.07f, 0.108f, 0.1f)
                curveToRelative(0.039f, 0.032f, 0.08f, 0.066f, 0.125f, 0.09f)
                curveToRelative(0.02f, 0.007f, 0.039f, 0.024f, 0.056f, 0.024f)
                horizontalLineToRelative(-0.005f)
                curveToRelative(0.144f, 0.07f, 0.269f, 0.137f, 0.4f, 0.206f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, true, 0.08f, 0.036f)
                curveToRelative(0.048f, 0.144f, 0.105f, 0.288f, 0.091f, 0.456f)
                curveToRelative(0.005f, 0.0f, 0.01f, 0.017f, 0.012f, 0.03f)
                arcToRelative(0.066f, 0.066f, 0.0f, false, true, -0.002f, 0.03f)
                curveToRelative(0.017f, 0.14f, 0.017f, 0.28f, -0.003f, 0.42f)
                arcToRelative(0.044f, 0.044f, 0.0f, false, true, -0.002f, 0.039f)
                curveToRelative(-0.003f, 0.005f, 0.0f, 0.007f, -0.002f, 0.012f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.0f, 0.14f, -0.002f, 0.278f, -0.038f, 0.415f)
                curveToRelative(-0.003f, 0.137f, -0.046f, 0.27f, -0.06f, 0.406f)
                curveToRelative(0.0f, 0.005f, -0.003f, 0.01f, -0.005f, 0.017f)
                curveToRelative(-0.008f, 0.026f, -0.02f, 0.057f, 0.038f, 0.05f)
                verticalLineToRelative(-0.002f)
                curveToRelative(0.13f, -0.136f, 0.26f, -0.267f, 0.38f, -0.418f)
                verticalLineToRelative(0.01f)
                curveToRelative(0.002f, -0.048f, 0.03f, -0.073f, 0.057f, -0.096f)
                curveToRelative(0.05f, -0.05f, 0.1f, -0.13f, 0.151f, -0.2f)
                curveToRelative(0.05f, -0.07f, 0.101f, -0.137f, 0.152f, -0.206f)
                lineToRelative(0.002f, -0.012f)
                curveToRelative(0.007f, -0.024f, 0.017f, -0.04f, 0.029f, -0.046f)
                curveToRelative(0.005f, -0.002f, 0.01f, -0.005f, 0.014f, -0.005f)
                lineTo(9.3f, 17.734f)
                arcToRelative(0.133f, 0.133f, 0.0f, false, true, 0.05f, 0.02f)
                arcToRelative(0.835f, 0.835f, 0.0f, false, true, 0.077f, 0.048f)
                curveToRelative(0.144f, 0.079f, 0.307f, 0.132f, 0.415f, 0.269f)
                curveToRelative(0.012f, 0.012f, 0.026f, 0.014f, 0.038f, 0.038f)
                curveToRelative(0.05f, 0.024f, 0.096f, 0.08f, 0.133f, 0.132f)
                lineToRelative(0.038f, 0.036f)
                curveToRelative(0.002f, 0.002f, 0.005f, 0.002f, 0.007f, 0.005f)
                curveToRelative(0.19f, 0.16f, 0.204f, 0.246f, 0.067f, 0.46f)
                curveToRelative(-0.004f, 0.007f, -0.012f, 0.014f, -0.016f, 0.014f)
                arcToRelative(0.236f, 0.236f, 0.0f, false, true, -0.024f, 0.055f)
                arcToRelative(0.216f, 0.216f, 0.0f, false, true, -0.02f, 0.036f)
                lineToRelative(-0.01f, 0.017f)
                curveToRelative(-0.035f, 0.058f, -0.074f, 0.118f, -0.088f, 0.185f)
                arcToRelative(0.443f, 0.443f, 0.0f, false, false, -0.012f, 0.168f)
                curveToRelative(0.026f, 0.094f, 0.05f, 0.19f, 0.07f, 0.286f)
                curveToRelative(0.012f, 0.057f, 0.024f, 0.115f, 0.028f, 0.175f)
                curveToRelative(0.02f, 0.142f, -0.048f, 0.228f, -0.168f, 0.288f)
                verticalLineToRelative(-0.002f)
                curveToRelative(-0.024f, 0.002f, -0.026f, 0.017f, -0.038f, 0.024f)
                arcToRelative(0.078f, 0.078f, 0.0f, false, true, -0.02f, 0.014f)
                arcToRelative(0.362f, 0.362f, 0.0f, false, true, -0.038f, 0.026f)
                arcToRelative(0.192f, 0.192f, 0.0f, false, false, -0.077f, 0.087f)
                curveToRelative(0.0f, 0.007f, 0.0f, 0.005f, -0.002f, 0.01f)
                curveToRelative(-0.002f, 0.004f, 0.0f, 0.014f, -0.002f, 0.014f)
                horizontalLineToRelative(0.007f)
                verticalLineToRelative(0.014f)
                curveToRelative(-0.024f, 0.07f, -0.036f, 0.12f, -0.048f, 0.156f)
                curveToRelative(-0.003f, 0.01f, -0.007f, 0.017f, -0.01f, 0.024f)
                curveToRelative(-0.002f, 0.008f, -0.007f, 0.012f, -0.01f, 0.017f)
                curveToRelative(-0.002f, 0.005f, -0.007f, 0.01f, -0.009f, 0.012f)
                arcToRelative(0.045f, 0.045f, 0.0f, false, true, -0.024f, 0.012f)
                horizontalLineToRelative(-0.007f)
                arcToRelative(0.165f, 0.165f, 0.0f, false, true, -0.05f, -0.012f)
                curveToRelative(-0.034f, -0.012f, -0.078f, -0.029f, -0.138f, -0.048f)
                curveToRelative(-0.004f, -0.002f, -0.009f, -0.002f, -0.011f, -0.005f)
                arcToRelative(0.025f, 0.025f, 0.0f, false, false, -0.012f, -0.004f)
                lineToRelative(-0.027f, -0.012f)
                horizontalLineToRelative(-0.01f)
                verticalLineToRelative(-0.01f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(-0.072f, -0.024f, -0.14f, -0.038f, -0.204f, -0.065f)
                curveToRelative(-0.038f, -0.014f, -0.08f, -0.026f, -0.12f, -0.043f)
                curveToRelative(-0.05f, -0.012f, -0.1f, -0.036f, -0.151f, -0.036f)
                curveToRelative(-0.14f, -0.048f, -0.281f, -0.072f, -0.416f, -0.12f)
                curveToRelative(-0.011f, 0.0f, -0.019f, 0.002f, -0.043f, 0.0f)
                verticalLineToRelative(0.002f)
                curveToRelative(-0.096f, -0.019f, -0.173f, -0.043f, -0.264f, -0.06f)
                curveToRelative(-0.089f, -0.014f, -0.122f, -0.06f, -0.113f, -0.148f)
                curveToRelative(0.005f, -0.037f, 0.003f, -0.08f, 0.003f, -0.116f)
                curveToRelative(0.0f, -0.012f, -0.003f, -0.017f, -0.003f, -0.04f)
                curveToRelative(-0.014f, -0.025f, -0.036f, -0.053f, -0.055f, -0.085f)
                arcToRelative(0.11f, 0.11f, 0.0f, false, true, -0.014f, -0.026f)
                curveToRelative(-0.012f, -0.012f, -0.036f, -0.024f, -0.036f, -0.038f)
                curveToRelative(-0.024f, -0.005f, -0.015f, -0.01f, -0.022f, -0.015f)
                curveToRelative(-0.074f, -0.07f, -0.053f, -0.163f, -0.043f, -0.252f)
                lineToRelative(0.002f, -0.029f)
                lineToRelative(0.008f, -0.055f)
                curveToRelative(0.002f, -0.01f, 0.002f, -0.02f, 0.004f, -0.026f)
                curveToRelative(0.039f, -0.15f, 0.048f, -0.29f, -0.113f, -0.38f)
                curveToRelative(-0.019f, -0.012f, -0.03f, -0.024f, -0.055f, -0.04f)
                verticalLineToRelative(0.004f)
                arcToRelative(2.869f, 2.869f, 0.0f, false, false, -0.225f, -0.165f)
                curveToRelative(-0.012f, -0.024f, -0.015f, -0.029f, -0.039f, -0.039f)
                arcToRelative(1.418f, 1.418f, 0.0f, false, true, -0.31f, -0.227f)
                lineToRelative(-0.074f, -0.04f)
                horizontalLineToRelative(0.01f)
                curveToRelative(-0.015f, -0.025f, -0.032f, -0.022f, -0.044f, -0.034f)
                curveToRelative(-0.019f, -0.014f, -0.036f, -0.024f, -0.06f, -0.04f)
                curveToRelative(-0.12f, -0.102f, -0.283f, -0.198f, -0.413f, -0.315f)
                curveToRelative(-0.045f, -0.015f, -0.074f, -0.05f, -0.11f, -0.08f)
                verticalLineToRelative(-0.004f)
                curveToRelative(-0.127f, -0.09f, -0.252f, -0.176f, -0.377f, -0.272f)
                horizontalLineToRelative(0.003f)
                curveToRelative(-0.015f, 0.0f, -0.015f, -0.012f, -0.039f, -0.024f)
                curveToRelative(-0.072f, -0.036f, -0.144f, -0.096f, -0.206f, -0.144f)
                curveToRelative(-0.02f, -0.024f, -0.039f, -0.024f, -0.058f, -0.024f)
                curveToRelative(-0.058f, -0.048f, -0.108f, -0.07f, -0.156f, -0.113f)
                curveToRelative(-0.02f, -0.012f, -0.036f, -0.026f, -0.06f, -0.04f)
                arcToRelative(2.178f, 2.178f, 0.0f, false, true, -0.396f, -0.29f)
                lineToRelative(-0.012f, -0.011f)
                lineToRelative(-0.022f, -0.024f)
                arcToRelative(0.188f, 0.188f, 0.0f, false, true, -0.038f, -0.081f)
                verticalLineToRelative(0.019f)
                curveToRelative(-0.087f, -0.094f, -0.144f, -0.202f, -0.216f, -0.3f)
                lineToRelative(-0.007f, -0.015f)
                arcToRelative(0.027f, 0.027f, 0.0f, false, true, -0.005f, -0.014f)
                arcToRelative(0.107f, 0.107f, 0.0f, false, true, -0.003f, -0.026f)
                arcToRelative(0.118f, 0.118f, 0.0f, false, true, 0.024f, -0.053f)
                curveToRelative(0.0f, -0.005f, 0.003f, -0.012f, 0.003f, -0.02f)
                curveToRelative(0.024f, -0.153f, 0.108f, -0.292f, 0.168f, -0.436f)
                verticalLineToRelative(-0.037f)
                reflectiveCurveToRelative(0.0f, -0.022f, -0.003f, -0.032f)
                lineToRelative(-0.004f, -0.014f)
                lineToRelative(-0.005f, -0.005f)
                arcToRelative(0.038f, 0.038f, 0.0f, false, false, -0.017f, -0.01f)
                horizontalLineToRelative(-0.007f)
                arcToRelative(0.122f, 0.122f, 0.0f, false, false, -0.058f, 0.022f)
                arcToRelative(0.312f, 0.312f, 0.0f, false, false, -0.055f, 0.043f)
                lineToRelative(-0.02f, 0.015f)
                arcToRelative(0.13f, 0.13f, 0.0f, false, false, -0.014f, 0.019f)
                lineToRelative(-0.007f, 0.01f)
                curveToRelative(0.0f, 0.002f, -0.002f, 0.0f, -0.002f, 0.0f)
                curveToRelative(0.0f, 0.002f, -0.003f, 0.0f, -0.003f, 0.0f)
                verticalLineToRelative(0.002f)
                curveToRelative(-0.048f, 0.055f, -0.12f, 0.103f, -0.182f, 0.154f)
                curveToRelative(-0.012f, 0.012f, -0.034f, 0.026f, -0.034f, 0.038f)
                verticalLineToRelative(-0.002f)
                horizontalLineToRelative(-0.007f)
                curveToRelative(-0.02f, 0.024f, -0.045f, 0.024f, -0.072f, 0.012f)
                lineToRelative(-0.31f, -0.137f)
                curveToRelative(-0.024f, -0.012f, -0.036f, -0.038f, -0.04f, -0.062f)
                arcToRelative(0.64f, 0.64f, 0.0f, false, true, -0.008f, -0.032f)
                lineToRelative(-0.007f, -0.026f)
                verticalLineToRelative(0.005f)
                curveToRelative(-0.036f, -0.168f, 0.022f, -0.293f, 0.053f, -0.437f)
                curveToRelative(0.002f, -0.012f, 0.005f, -0.024f, 0.005f, -0.036f)
                curveToRelative(0.024f, -0.14f, 0.033f, -0.288f, 0.074f, -0.423f)
                verticalLineToRelative(-0.062f)
                curveToRelative(-0.02f, -0.154f, -0.022f, -0.305f, -0.033f, -0.46f)
                lineToRelative(0.002f, -0.078f)
                curveToRelative(-0.014f, -0.286f, -0.033f, -0.571f, -0.043f, -0.857f)
                curveToRelative(-0.022f, -0.598f, -0.07f, -1.193f, -0.053f, -1.79f)
                arcToRelative(0.636f, 0.636f, 0.0f, false, false, -0.074f, -0.315f)
                arcToRelative(1.968f, 1.968f, 0.0f, false, false, -0.099f, -0.164f)
                arcToRelative(0.264f, 0.264f, 0.0f, false, true, -0.048f, -0.237f)
                curveToRelative(0.036f, -0.14f, 0.063f, -0.284f, 0.09f, -0.425f)
                curveToRelative(0.008f, -0.05f, 0.021f, -0.084f, 0.06f, -0.086f)
                close()
                moveTo(3.971f, 10.877f)
                lineToRelative(0.005f, 0.015f)
                curveToRelative(0.005f, 0.032f, -0.007f, 0.065f, -0.02f, 0.113f)
                arcToRelative(0.117f, 0.117f, 0.0f, false, true, 0.0f, -0.086f)
                arcToRelative(0.295f, 0.295f, 0.0f, false, true, 0.015f, -0.041f)
                close()
                moveTo(14.686f, 10.88f)
                curveToRelative(0.13f, -0.002f, 0.257f, 0.005f, 0.38f, 0.024f)
                curveToRelative(0.22f, 0.017f, 0.42f, 0.058f, 0.55f, 0.164f)
                curveToRelative(0.095f, 0.04f, 0.189f, 0.09f, 0.28f, 0.144f)
                curveToRelative(0.22f, 0.132f, 0.44f, 0.269f, 0.662f, 0.403f)
                arcToRelative(0.389f, 0.389f, 0.0f, false, true, 0.118f, 0.108f)
                lineToRelative(0.223f, 0.315f)
                curveToRelative(0.012f, 0.016f, 0.03f, 0.036f, 0.015f, 0.057f)
                arcToRelative(0.038f, 0.038f, 0.0f, false, true, -0.02f, 0.014f)
                curveToRelative(-0.018f, 0.004f, -0.034f, -0.002f, -0.05f, -0.011f)
                curveToRelative(-0.098f, -0.056f, -0.2f, -0.108f, -0.298f, -0.164f)
                arcToRelative(4.76f, 4.76f, 0.0f, false, false, -1.184f, -0.46f)
                curveToRelative(-0.107f, -0.03f, -0.208f, -0.06f, -0.323f, -0.075f)
                lineToRelative(-0.152f, -0.034f)
                curveToRelative(-0.004f, 0.003f, 0.005f, 0.012f, 0.017f, 0.024f)
                curveToRelative(0.005f, 0.005f, 0.01f, 0.01f, 0.012f, 0.015f)
                arcToRelative(0.138f, 0.138f, 0.0f, false, false, 0.04f, 0.033f)
                lineToRelative(0.02f, 0.01f)
                curveToRelative(0.228f, 0.115f, 0.613f, 0.187f, 0.893f, 0.317f)
                lineToRelative(0.058f, 0.029f)
                curveToRelative(0.156f, 0.08f, 0.298f, 0.182f, 0.44f, 0.29f)
                lineToRelative(0.268f, 0.207f)
                curveToRelative(0.404f, 0.293f, 0.65f, 0.689f, 0.77f, 1.169f)
                curveToRelative(0.003f, 0.014f, 0.008f, 0.029f, 0.01f, 0.043f)
                lineToRelative(0.01f, 0.014f)
                curveToRelative(0.02f, 0.03f, 0.024f, 0.065f, 0.017f, 0.096f)
                curveToRelative(0.002f, 0.008f, 0.002f, 0.015f, 0.005f, 0.022f)
                curveToRelative(-0.005f, 0.07f, -0.06f, 0.04f, -0.092f, 0.04f)
                arcToRelative(2.504f, 2.504f, 0.0f, false, true, -0.61f, -0.11f)
                horizontalLineToRelative(-0.006f)
                curveToRelative(-0.051f, -0.016f, -0.118f, -0.04f, -0.165f, -0.054f)
                curveToRelative(-0.211f, -0.075f, -0.41f, -0.163f, -0.615f, -0.238f)
                curveToRelative(-0.252f, -0.09f, -0.45f, -0.261f, -0.662f, -0.413f)
                arcToRelative(7.777f, 7.777f, 0.0f, false, true, -1.001f, -0.816f)
                arcToRelative(0.34f, 0.34f, 0.0f, false, true, -0.08f, -0.106f)
                arcToRelative(4.11f, 4.11f, 0.0f, false, true, -0.062f, -0.153f)
                lineToRelative(-0.036f, -0.094f)
                arcToRelative(1.088f, 1.088f, 0.0f, false, false, -0.024f, -0.06f)
                lineToRelative(-0.002f, -0.005f)
                curveToRelative(-0.003f, -0.002f, -0.003f, -0.007f, -0.003f, -0.01f)
                verticalLineToRelative(-0.002f)
                lineToRelative(-0.002f, -0.01f)
                arcToRelative(0.168f, 0.168f, 0.0f, false, true, 0.007f, -0.122f)
                curveToRelative(0.002f, -0.005f, 0.002f, -0.01f, 0.005f, -0.014f)
                lineToRelative(0.005f, -0.017f)
                lineToRelative(0.004f, -0.014f)
                curveToRelative(0.003f, -0.005f, 0.003f, -0.013f, 0.005f, -0.017f)
                lineToRelative(0.003f, -0.015f)
                lineToRelative(0.002f, -0.017f)
                lineToRelative(0.003f, -0.014f)
                lineToRelative(0.002f, -0.017f)
                lineToRelative(0.002f, -0.014f)
                lineToRelative(0.003f, -0.017f)
                lineToRelative(0.002f, -0.014f)
                lineToRelative(0.003f, -0.017f)
                curveToRelative(0.0f, -0.005f, 0.0f, -0.01f, 0.002f, -0.015f)
                curveToRelative(0.0f, -0.004f, 0.0f, -0.012f, 0.003f, -0.016f)
                verticalLineToRelative(-0.266f)
                curveToRelative(-0.003f, -0.082f, 0.026f, -0.114f, 0.108f, -0.111f)
                curveToRelative(0.08f, 0.002f, 0.162f, -0.001f, 0.243f, -0.005f)
                lineToRelative(0.075f, 0.004f)
                curveToRelative(0.04f, -0.002f, 0.08f, -0.005f, 0.122f, -0.005f)
                close()
                moveTo(14.97f, 11.412f)
                arcToRelative(0.12f, 0.12f, 0.0f, false, false, 0.028f, 0.008f)
                lineTo(15.0f, 11.42f)
                curveToRelative(-0.012f, 0.008f, -0.028f, 0.005f, -0.033f, 0.02f)
                curveToRelative(-0.004f, -0.02f, -0.002f, -0.027f, 0.003f, -0.028f)
                close()
                moveTo(15.85f, 11.754f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, false, 0.012f, 0.006f)
                horizontalLineToRelative(0.003f)
                close()
                moveTo(13.942f, 11.931f)
                lineToRelative(0.002f, 0.003f)
                curveToRelative(0.007f, 0.003f, 0.014f, 0.01f, 0.022f, 0.024f)
                curveToRelative(0.076f, 0.154f, 0.182f, 0.28f, 0.3f, 0.399f)
                curveToRelative(0.124f, 0.12f, 0.259f, 0.23f, 0.389f, 0.348f)
                curveToRelative(0.268f, 0.242f, 0.542f, 0.48f, 0.818f, 0.713f)
                curveToRelative(0.178f, 0.15f, 0.392f, 0.228f, 0.62f, 0.288f)
                curveToRelative(0.518f, 0.132f, 1.049f, 0.182f, 1.575f, 0.254f)
                curveToRelative(0.139f, 0.02f, 0.264f, 0.065f, 0.374f, 0.156f)
                horizontalLineToRelative(-0.007f)
                curveToRelative(0.01f, 0.008f, 0.017f, 0.012f, 0.024f, 0.02f)
                curveToRelative(-0.296f, -0.043f, -0.59f, -0.04f, -0.886f, -0.046f)
                curveToRelative(-0.324f, -0.007f, -0.641f, 0.03f, -0.96f, 0.067f)
                arcToRelative(0.986f, 0.986f, 0.0f, false, true, -0.336f, -0.026f)
                curveToRelative(-0.308f, -0.07f, -0.598f, -0.195f, -0.89f, -0.317f)
                curveToRelative(-0.328f, -0.14f, -0.601f, -0.353f, -0.861f, -0.588f)
                lineToRelative(-0.057f, -0.055f)
                arcToRelative(1.002f, 1.002f, 0.0f, false, true, -0.205f, -0.285f)
                lineToRelative(-0.002f, -0.006f)
                curveToRelative(-0.09f, -0.212f, -0.085f, -0.448f, -0.016f, -0.708f)
                curveToRelative(0.019f, -0.07f, 0.04f, -0.14f, 0.062f, -0.21f)
                curveToRelative(0.007f, -0.022f, 0.02f, -0.034f, 0.034f, -0.031f)
                close()
                moveTo(13.694f, 13.111f)
                curveToRelative(0.065f, 0.233f, 0.233f, 0.396f, 0.375f, 0.573f)
                lineToRelative(0.029f, 0.039f)
                lineToRelative(0.028f, 0.038f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, false, 0.106f, 0.094f)
                curveToRelative(0.017f, 0.012f, 0.03f, 0.02f, 0.046f, 0.033f)
                lineToRelative(0.02f, 0.017f)
                arcToRelative(10.088f, 10.088f, 0.0f, false, false, 0.539f, 0.396f)
                lineToRelative(0.329f, 0.229f)
                curveToRelative(0.149f, 0.103f, 0.305f, 0.19f, 0.468f, 0.266f)
                curveToRelative(0.04f, 0.02f, 0.082f, 0.036f, 0.123f, 0.055f)
                curveToRelative(0.124f, 0.053f, 0.25f, 0.099f, 0.379f, 0.14f)
                lineToRelative(0.02f, 0.007f)
                curveToRelative(0.08f, 0.02f, 0.167f, 0.028f, 0.25f, 0.038f)
                curveToRelative(0.032f, 0.002f, 0.064f, 0.007f, 0.092f, 0.01f)
                arcToRelative(0.195f, 0.195f, 0.0f, false, true, 0.06f, 0.024f)
                arcToRelative(0.411f, 0.411f, 0.0f, false, true, 0.068f, 0.05f)
                curveToRelative(0.074f, 0.067f, 0.144f, 0.163f, 0.148f, 0.22f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.018f, -0.002f, 0.025f)
                curveToRelative(-0.002f, 0.005f, -0.002f, 0.007f, -0.005f, 0.01f)
                curveToRelative(-0.01f, 0.016f, -0.024f, 0.03f, -0.033f, 0.048f)
                curveToRelative(-0.03f, 0.05f, -0.06f, 0.1f, -0.085f, 0.153f)
                lineToRelative(-0.011f, 0.027f)
                arcToRelative(0.311f, 0.311f, 0.0f, false, false, 0.002f, 0.26f)
                curveToRelative(0.115f, -0.114f, 0.218f, -0.236f, 0.293f, -0.376f)
                arcToRelative(1.139f, 1.139f, 0.0f, false, false, 0.086f, -0.201f)
                curveToRelative(0.01f, -0.027f, 0.003f, -0.058f, 0.01f, -0.084f)
                curveToRelative(0.01f, -0.03f, -0.024f, -0.07f, -0.01f, -0.09f)
                curveToRelative(0.0f, -0.001f, 0.003f, -0.001f, 0.005f, -0.004f)
                arcToRelative(0.04f, 0.04f, 0.0f, false, true, 0.014f, -0.007f)
                curveToRelative(0.01f, -0.002f, 0.02f, -0.005f, 0.027f, -0.005f)
                curveToRelative(0.019f, -0.002f, 0.036f, -0.005f, 0.055f, -0.005f)
                curveToRelative(0.048f, 0.0f, 0.094f, 0.008f, 0.14f, 0.022f)
                curveToRelative(0.028f, 0.01f, 0.019f, 0.045f, 0.016f, 0.072f)
                verticalLineToRelative(0.005f)
                curveToRelative(-0.005f, 0.086f, -0.04f, 0.165f, -0.072f, 0.242f)
                arcToRelative(0.554f, 0.554f, 0.0f, false, true, -0.024f, 0.055f)
                arcToRelative(1.68f, 1.68f, 0.0f, false, true, -0.192f, 0.375f)
                curveToRelative(-0.118f, 0.156f, -0.254f, 0.302f, -0.475f, 0.31f)
                horizontalLineToRelative(-0.063f)
                curveToRelative(-0.038f, 0.0f, -0.077f, 0.01f, -0.115f, 0.012f)
                arcToRelative(0.085f, 0.085f, 0.0f, false, false, -0.086f, 0.057f)
                curveToRelative(-0.017f, 0.039f, -0.04f, 0.072f, -0.058f, 0.11f)
                lineToRelative(-0.007f, 0.017f)
                arcToRelative(1.534f, 1.534f, 0.0f, false, true, -0.408f, 0.57f)
                curveToRelative(-0.08f, 0.07f, -0.164f, 0.139f, -0.25f, 0.203f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, -0.468f, 0.224f)
                lineToRelative(-0.036f, 0.014f)
                lineToRelative(-0.034f, 0.015f)
                lineToRelative(-0.02f, 0.007f)
                curveToRelative(-0.01f, 0.002f, -0.021f, 0.007f, -0.03f, 0.01f)
                curveToRelative(-0.036f, 0.014f, -0.065f, 0.035f, -0.046f, 0.09f)
                curveToRelative(0.02f, 0.06f, 0.063f, 0.077f, 0.118f, 0.08f)
                curveToRelative(0.012f, 0.0f, 0.026f, 0.0f, 0.04f, -0.003f)
                arcToRelative(0.613f, 0.613f, 0.0f, false, false, 0.15f, -0.033f)
                curveToRelative(0.048f, -0.017f, 0.096f, -0.04f, 0.146f, -0.06f)
                curveToRelative(0.034f, -0.015f, 0.067f, -0.03f, 0.103f, -0.041f)
                curveToRelative(-0.03f, 0.122f, -0.045f, 0.235f, -0.084f, 0.34f)
                lineToRelative(-0.021f, 0.054f)
                arcToRelative(6.794f, 6.794f, 0.0f, false, true, -0.09f, 0.192f)
                curveToRelative(-0.018f, 0.043f, -0.04f, 0.084f, -0.062f, 0.125f)
                curveToRelative(-0.115f, 0.23f, -0.245f, 0.45f, -0.405f, 0.655f)
                arcToRelative(1.682f, 1.682f, 0.0f, false, true, -0.356f, 0.34f)
                arcToRelative(3.954f, 3.954f, 0.0f, false, true, -0.103f, 0.073f)
                arcToRelative(2.788f, 2.788f, 0.0f, false, true, -0.38f, 0.205f)
                lineToRelative(-0.064f, 0.03f)
                lineToRelative(-0.053f, 0.02f)
                lineToRelative(-0.043f, 0.018f)
                curveToRelative(-0.04f, 0.016f, -0.082f, 0.03f, -0.123f, 0.045f)
                arcToRelative(2.674f, 2.674f, 0.0f, false, true, -0.168f, 0.053f)
                arcToRelative(4.848f, 4.848f, 0.0f, false, true, -0.57f, 0.134f)
                curveToRelative(-0.008f, 0.0f, -0.013f, 0.003f, -0.02f, 0.003f)
                curveToRelative(-0.055f, 0.01f, -0.108f, 0.017f, -0.163f, 0.026f)
                curveToRelative(-0.058f, 0.008f, -0.116f, 0.017f, -0.176f, 0.024f)
                arcToRelative(2.156f, 2.156f, 0.0f, false, true, -0.605f, -0.02f)
                lineToRelative(-0.028f, -0.008f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, true, -0.145f, -0.06f)
                curveToRelative(-0.062f, -0.034f, -0.12f, -0.07f, -0.182f, -0.1f)
                arcToRelative(1.728f, 1.728f, 0.0f, false, true, -0.13f, -0.073f)
                arcToRelative(1.868f, 1.868f, 0.0f, false, true, -0.16f, -0.106f)
                arcToRelative(0.632f, 0.632f, 0.0f, false, true, -0.233f, -0.278f)
                arcToRelative(1.794f, 1.794f, 0.0f, false, false, -0.092f, -0.194f)
                curveToRelative(-0.01f, -0.02f, -0.021f, -0.036f, -0.03f, -0.053f)
                arcToRelative(2.718f, 2.718f, 0.0f, false, false, -0.277f, -0.367f)
                arcToRelative(2.76f, 2.76f, 0.0f, false, false, -0.125f, -0.142f)
                curveToRelative(-0.021f, -0.024f, -0.04f, -0.048f, -0.062f, -0.07f)
                arcToRelative(7.07f, 7.07f, 0.0f, false, false, -0.26f, -0.276f)
                lineToRelative(-0.067f, -0.067f)
                arcToRelative(2.787f, 2.787f, 0.0f, false, false, -0.364f, -0.302f)
                arcToRelative(2.784f, 2.784f, 0.0f, false, false, -0.303f, -0.192f)
                lineToRelative(-0.06f, -0.04f)
                arcToRelative(1.58f, 1.58f, 0.0f, false, true, -0.63f, -0.761f)
                curveToRelative(-0.043f, -0.093f, -0.107f, -0.122f, -0.22f, -0.124f)
                arcToRelative(0.63f, 0.63f, 0.0f, false, true, -0.252f, -0.048f)
                lineToRelative(-0.002f, -0.002f)
                arcToRelative(0.457f, 0.457f, 0.0f, false, true, -0.132f, -0.084f)
                lineToRelative(-0.026f, -0.016f)
                curveToRelative(-0.022f, -0.026f, -0.038f, -0.058f, -0.058f, -0.09f)
                arcToRelative(5.295f, 5.295f, 0.0f, false, true, -0.386f, -0.658f)
                curveToRelative(0.0f, 0.003f, 0.002f, 0.005f, 0.003f, 0.008f)
                lineToRelative(-0.006f, -0.013f)
                lineToRelative(0.003f, 0.005f)
                arcToRelative(3.772f, 3.772f, 0.0f, false, false, -0.073f, -0.196f)
                lineToRelative(-0.036f, -0.086f)
                arcToRelative(0.382f, 0.382f, 0.0f, false, true, -0.014f, -0.154f)
                lineToRelative(0.007f, -0.031f)
                curveToRelative(0.002f, -0.005f, 0.002f, -0.01f, 0.005f, -0.015f)
                arcToRelative(0.145f, 0.145f, 0.0f, false, true, 0.012f, -0.03f)
                arcToRelative(0.46f, 0.46f, 0.0f, false, true, 0.127f, -0.14f)
                arcToRelative(0.898f, 0.898f, 0.0f, false, true, 0.067f, -0.05f)
                curveToRelative(0.046f, -0.034f, 0.094f, -0.063f, 0.14f, -0.094f)
                curveToRelative(0.071f, -0.044f, 0.143f, -0.084f, 0.218f, -0.123f)
                curveToRelative(0.271f, -0.14f, 0.56f, -0.238f, 0.857f, -0.314f)
                curveToRelative(0.017f, -0.005f, 0.033f, -0.008f, 0.053f, -0.012f)
                curveToRelative(0.033f, -0.008f, 0.07f, -0.01f, 0.105f, -0.015f)
                curveToRelative(0.036f, -0.002f, 0.072f, -0.005f, 0.106f, -0.005f)
                lineToRelative(0.106f, -0.002f)
                curveToRelative(0.016f, 0.0f, 0.036f, 0.0f, 0.052f, -0.002f)
                arcToRelative(17.864f, 17.864f, 0.0f, false, false, 0.9f, -0.063f)
                curveToRelative(0.18f, -0.017f, 0.36f, -0.036f, 0.54f, -0.055f)
                arcToRelative(3.504f, 3.504f, 0.0f, false, false, 1.127f, -0.324f)
                curveToRelative(0.036f, -0.02f, 0.074f, -0.036f, 0.11f, -0.055f)
                lineToRelative(0.063f, -0.034f)
                curveToRelative(0.144f, -0.077f, 0.288f, -0.151f, 0.427f, -0.233f)
                curveToRelative(0.014f, -0.02f, 0.03f, -0.026f, 0.055f, -0.033f)
                lineToRelative(0.01f, -0.003f)
                verticalLineToRelative(0.012f)
                arcToRelative(0.06f, 0.06f, 0.0f, false, true, -0.02f, 0.034f)
                lineToRelative(-0.021f, 0.014f)
                curveToRelative(-0.14f, 0.178f, -0.331f, 0.3f, -0.497f, 0.45f)
                arcToRelative(0.415f, 0.415f, 0.0f, false, false, -0.05f, 0.045f)
                curveToRelative(-0.053f, 0.043f, -0.106f, 0.089f, -0.166f, 0.137f)
                curveToRelative(0.209f, 0.0f, 0.41f, -0.024f, 0.598f, -0.08f)
                arcToRelative(1.654f, 1.654f, 0.0f, false, false, 0.869f, -0.6f)
                curveToRelative(0.103f, -0.137f, 0.197f, -0.297f, 0.278f, -0.482f)
                close()
                moveTo(10.429f, 13.127f)
                arcToRelative(1.244f, 1.244f, 0.0f, false, true, -0.343f, 0.109f)
                curveToRelative(-0.56f, 0.139f, -1.13f, 0.22f, -1.697f, 0.326f)
                arcToRelative(2.603f, 2.603f, 0.0f, false, false, -1.105f, 0.487f)
                curveToRelative(-0.019f, 0.015f, -0.04f, 0.032f, -0.062f, 0.043f)
                curveToRelative(-0.026f, 0.017f, -0.039f, 0.013f, -0.043f, -0.01f)
                curveToRelative(-0.003f, -0.004f, -0.003f, -0.011f, -0.003f, -0.018f)
                curveToRelative(-0.01f, -0.144f, 0.034f, -0.214f, 0.166f, -0.274f)
                curveToRelative(0.18f, -0.082f, 0.36f, -0.168f, 0.54f, -0.252f)
                curveToRelative(0.235f, -0.108f, 0.487f, -0.142f, 0.742f, -0.168f)
                curveToRelative(0.396f, -0.043f, 0.792f, -0.094f, 1.19f, -0.14f)
                lineToRelative(0.524f, -0.086f)
                close()
                moveTo(12.815f, 14.372f)
                horizontalLineToRelative(-0.026f)
                curveToRelative(-0.038f, 0.01f, -0.036f, 0.05f, -0.036f, 0.08f)
                curveToRelative(0.003f, 0.1f, 0.007f, 0.202f, 0.02f, 0.303f)
                curveToRelative(0.01f, 0.11f, 0.047f, 0.219f, 0.112f, 0.307f)
                arcToRelative(0.842f, 0.842f, 0.0f, false, false, 0.51f, 0.334f)
                curveToRelative(0.155f, 0.036f, 0.155f, 0.038f, 0.17f, 0.2f)
                curveToRelative(0.007f, 0.069f, 0.016f, 0.13f, 0.08f, 0.17f)
                curveToRelative(0.114f, 0.067f, 0.227f, 0.137f, 0.364f, 0.146f)
                curveToRelative(0.084f, 0.007f, 0.17f, 0.012f, 0.242f, 0.068f)
                arcToRelative(0.583f, 0.583f, 0.0f, false, false, 0.32f, 0.098f)
                curveToRelative(0.084f, 0.007f, 0.17f, 0.01f, 0.254f, 0.024f)
                curveToRelative(0.067f, 0.012f, 0.113f, -0.01f, 0.16f, -0.05f)
                curveToRelative(0.239f, -0.197f, 0.474f, -0.397f, 0.697f, -0.617f)
                curveToRelative(-0.026f, -0.03f, -0.065f, -0.04f, -0.118f, -0.012f)
                arcToRelative(6.25f, 6.25f, 0.0f, false, false, -0.415f, 0.223f)
                arcToRelative(0.315f, 0.315f, 0.0f, false, true, -0.113f, 0.048f)
                arcToRelative(4.032f, 4.032f, 0.0f, false, true, -0.722f, 0.074f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, true, -0.368f, -0.13f)
                curveToRelative(-0.067f, -0.043f, -0.134f, -0.105f, -0.146f, -0.201f)
                curveToRelative(0.036f, -0.012f, 0.07f, 0.002f, 0.103f, 0.007f)
                curveToRelative(0.127f, 0.017f, 0.252f, 0.063f, 0.382f, 0.055f)
                curveToRelative(0.312f, -0.02f, 0.605f, -0.113f, 0.898f, -0.213f)
                lineToRelative(0.283f, -0.103f)
                curveToRelative(0.043f, -0.015f, 0.055f, -0.03f, 0.017f, -0.07f)
                curveToRelative(-0.046f, -0.05f, -0.096f, -0.04f, -0.147f, -0.034f)
                arcToRelative(5.625f, 5.625f, 0.0f, false, true, -1.87f, -0.045f)
                curveToRelative(-0.18f, -0.034f, -0.372f, -0.046f, -0.442f, -0.27f)
                curveToRelative(-0.02f, -0.06f, -0.038f, -0.12f, -0.05f, -0.182f)
                arcToRelative(0.37f, 0.37f, 0.0f, false, false, -0.094f, -0.17f)
                arcToRelative(0.094f, 0.094f, 0.0f, false, false, -0.065f, -0.04f)
                close()
                moveTo(12.242f, 14.437f)
                curveToRelative(-0.048f, 0.0f, -0.08f, 0.05f, -0.103f, 0.093f)
                curveToRelative(-0.06f, 0.103f, -0.137f, 0.196f, -0.207f, 0.292f)
                curveToRelative(-0.108f, 0.147f, -0.26f, 0.178f, -0.418f, 0.154f)
                arcToRelative(17.985f, 17.985f, 0.0f, false, false, -1.718f, -0.18f)
                curveToRelative(-0.03f, -0.002f, -0.058f, -0.01f, -0.082f, 0.01f)
                curveToRelative(-0.183f, 0.134f, -0.367f, 0.264f, -0.483f, 0.468f)
                curveToRelative(0.007f, 0.002f, 0.015f, 0.007f, 0.02f, 0.007f)
                curveToRelative(0.019f, -0.002f, 0.035f, -0.007f, 0.055f, -0.01f)
                curveToRelative(0.297f, -0.074f, 0.607f, -0.098f, 0.922f, -0.072f)
                curveToRelative(0.398f, 0.034f, 0.792f, 0.113f, 1.188f, 0.168f)
                curveToRelative(0.053f, 0.008f, 0.106f, 0.01f, 0.156f, 0.036f)
                curveToRelative(0.12f, 0.063f, 0.18f, 0.173f, 0.226f, 0.29f)
                curveToRelative(0.07f, 0.18f, 0.09f, 0.373f, 0.103f, 0.565f)
                curveToRelative(0.01f, 0.15f, -0.022f, 0.278f, -0.144f, 0.38f)
                arcToRelative(0.556f, 0.556f, 0.0f, false, false, -0.2f, 0.278f)
                curveToRelative(0.154f, 0.0f, 0.286f, 0.026f, 0.387f, 0.156f)
                curveToRelative(0.063f, 0.08f, 0.144f, 0.149f, 0.223f, 0.218f)
                arcToRelative(0.379f, 0.379f, 0.0f, false, false, 0.586f, -0.081f)
                curveToRelative(0.058f, -0.094f, 0.113f, -0.19f, 0.175f, -0.281f)
                curveToRelative(0.087f, -0.127f, 0.17f, -0.264f, 0.325f, -0.32f)
                curveToRelative(0.093f, -0.03f, 0.052f, -0.076f, 0.02f, -0.115f)
                curveToRelative(-0.061f, -0.08f, -0.177f, -0.081f, -0.28f, -0.02f)
                curveToRelative(-0.16f, 0.097f, -0.266f, 0.239f, -0.381f, 0.376f)
                curveToRelative(-0.034f, 0.04f, -0.068f, 0.08f, -0.113f, 0.115f)
                curveToRelative(-0.058f, 0.04f, -0.108f, 0.043f, -0.16f, -0.01f)
                curveToRelative(-0.056f, -0.057f, -0.114f, -0.117f, -0.176f, -0.168f)
                curveToRelative(-0.053f, -0.043f, -0.063f, -0.082f, -0.032f, -0.144f)
                arcToRelative(0.728f, 0.728f, 0.0f, false, false, 0.082f, -0.413f)
                curveToRelative(-0.03f, -0.312f, -0.08f, -0.62f, -0.3f, -0.867f)
                curveToRelative(-0.024f, -0.026f, -0.024f, -0.04f, 0.01f, -0.064f)
                arcToRelative(0.94f, 0.94f, 0.0f, false, false, 0.408f, -0.701f)
                curveToRelative(0.007f, -0.075f, -0.007f, -0.135f, -0.067f, -0.156f)
                arcToRelative(0.075f, 0.075f, 0.0f, false, false, -0.022f, -0.004f)
                close()
                moveTo(16.702f, 14.472f)
                curveToRelative(0.206f, 0.0f, 0.388f, 0.08f, 0.567f, 0.182f)
                curveToRelative(-0.005f, 0.0f, -0.007f, 0.0f, -0.012f, 0.003f)
                lineToRelative(0.03f, 0.017f)
                curveToRelative(-0.27f, 0.04f, -0.54f, 0.06f, -0.81f, 0.03f)
                curveToRelative(-0.084f, -0.01f, -0.168f, -0.026f, -0.255f, -0.023f)
                curveToRelative(-0.17f, 0.005f, -0.307f, -0.084f, -0.451f, -0.161f)
                horizontalLineToRelative(0.017f)
                curveToRelative(-0.012f, -0.007f, -0.024f, -0.012f, -0.036f, -0.02f)
                curveToRelative(0.024f, 0.003f, 0.05f, 0.003f, 0.074f, 0.005f)
                curveToRelative(0.029f, 0.003f, 0.055f, 0.01f, 0.084f, 0.015f)
                curveToRelative(0.238f, 0.05f, 0.468f, -0.02f, 0.704f, -0.043f)
                arcToRelative(0.8f, 0.8f, 0.0f, false, true, 0.089f, -0.005f)
                close()
                moveTo(8.013f, 15.186f)
                arcToRelative(0.045f, 0.045f, 0.0f, false, false, -0.016f, 0.004f)
                curveToRelative(-0.05f, 0.019f, -0.098f, 0.048f, -0.112f, 0.115f)
                curveToRelative(-0.048f, 0.223f, 0.055f, 0.437f, 0.278f, 0.552f)
                curveToRelative(0.1f, 0.053f, 0.178f, 0.127f, 0.226f, 0.23f)
                curveToRelative(0.016f, 0.037f, 0.019f, 0.106f, 0.072f, 0.094f)
                curveToRelative(0.052f, -0.012f, 0.01f, -0.077f, 0.021f, -0.103f)
                curveToRelative(0.008f, -0.135f, -0.019f, -0.25f, -0.127f, -0.32f)
                curveToRelative(-0.08f, -0.05f, -0.11f, -0.12f, -0.14f, -0.201f)
                curveToRelative(-0.038f, -0.106f, -0.047f, -0.223f, -0.134f, -0.307f)
                curveToRelative(-0.02f, -0.021f, -0.036f, -0.064f, -0.069f, -0.064f)
                close()
                moveTo(9.856f, 15.54f)
                curveToRelative(-0.11f, 0.027f, -0.236f, 0.053f, -0.353f, 0.106f)
                curveToRelative(-0.082f, 0.038f, -0.087f, 0.084f, -0.015f, 0.139f)
                curveToRelative(0.043f, 0.034f, 0.087f, 0.05f, 0.14f, 0.03f)
                arcToRelative(0.466f, 0.466f, 0.0f, false, true, 0.494f, 0.097f)
                arcToRelative(0.509f, 0.509f, 0.0f, false, false, 0.523f, 0.087f)
                curveToRelative(0.106f, -0.036f, 0.197f, -0.096f, 0.293f, -0.15f)
                arcToRelative(0.319f, 0.319f, 0.0f, false, true, 0.113f, -0.04f)
                curveToRelative(0.144f, -0.014f, 0.288f, -0.033f, 0.43f, -0.053f)
                curveToRelative(0.038f, -0.005f, 0.098f, 0.01f, 0.108f, -0.036f)
                curveToRelative(0.01f, -0.048f, -0.046f, -0.077f, -0.08f, -0.108f)
                curveToRelative(-0.016f, -0.017f, -0.045f, -0.02f, -0.07f, -0.026f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, false, -0.436f, -0.015f)
                arcToRelative(2.092f, 2.092f, 0.0f, false, true, -0.888f, 0.0f)
                curveToRelative(-0.08f, -0.02f, -0.163f, -0.02f, -0.26f, -0.03f)
                close()
                moveTo(16.759f, 16.429f)
                curveToRelative(0.006f, 0.0f, 0.01f, 0.003f, 0.015f, 0.007f)
                arcToRelative(0.05f, 0.05f, 0.0f, false, true, 0.012f, 0.014f)
                lineToRelative(0.008f, 0.005f)
                curveToRelative(0.043f, 0.034f, -0.007f, 0.11f, -0.02f, 0.168f)
                curveToRelative(-0.03f, 0.168f, -0.057f, 0.334f, -0.086f, 0.502f)
                curveToRelative(-0.007f, 0.048f, -0.012f, 0.098f, -0.048f, 0.165f)
                lineToRelative(-0.007f, -0.043f)
                lineToRelative(-0.012f, 0.024f)
                arcToRelative(5.307f, 5.307f, 0.0f, false, true, -0.075f, -0.706f)
                curveToRelative(-0.002f, -0.053f, 0.034f, -0.065f, 0.068f, -0.077f)
                curveToRelative(0.048f, -0.016f, 0.107f, -0.066f, 0.145f, -0.06f)
                close()
                moveTo(13.539f, 17.331f)
                arcToRelative(0.08f, 0.08f, 0.0f, false, false, -0.022f, 0.01f)
                curveToRelative(-0.19f, 0.105f, -0.404f, 0.11f, -0.613f, 0.137f)
                curveToRelative(-0.088f, 0.012f, -0.2f, -0.015f, -0.264f, 0.05f)
                curveToRelative(-0.158f, 0.156f, -0.293f, 0.09f, -0.432f, -0.02f)
                curveToRelative(-0.007f, -0.004f, -0.014f, -0.011f, -0.024f, -0.014f)
                curveToRelative(-0.206f, -0.11f, -0.413f, -0.15f, -0.624f, -0.005f)
                arcToRelative(0.338f, 0.338f, 0.0f, false, true, -0.267f, 0.068f)
                curveToRelative(-0.074f, -0.02f, -0.131f, -0.015f, -0.19f, 0.038f)
                curveToRelative(-0.028f, 0.027f, -0.066f, 0.048f, -0.1f, 0.07f)
                curveToRelative(-0.094f, 0.062f, -0.094f, 0.072f, -0.007f, 0.14f)
                curveToRelative(0.02f, 0.018f, 0.043f, 0.025f, 0.067f, 0.033f)
                curveToRelative(0.2f, 0.06f, 0.387f, 0.016f, 0.562f, -0.08f)
                curveToRelative(0.182f, -0.098f, 0.353f, -0.093f, 0.518f, 0.032f)
                curveToRelative(0.152f, 0.112f, 0.312f, 0.115f, 0.48f, 0.045f)
                arcToRelative(2.97f, 2.97f, 0.0f, false, true, 0.653f, -0.213f)
                curveToRelative(0.034f, -0.005f, 0.068f, -0.017f, 0.099f, 0.01f)
                curveToRelative(0.096f, 0.088f, 0.187f, 0.026f, 0.279f, -0.01f)
                curveToRelative(0.036f, -0.015f, 0.04f, -0.044f, 0.038f, -0.08f)
                curveToRelative(-0.007f, -0.076f, -0.065f, -0.12f, -0.098f, -0.18f)
                curveToRelative(-0.015f, -0.025f, -0.032f, -0.035f, -0.054f, -0.03f)
                close()
                moveTo(8.822f, 17.401f)
                curveToRelative(0.009f, 0.0f, 0.02f, 0.006f, 0.032f, 0.017f)
                curveToRelative(0.039f, 0.036f, 0.075f, 0.074f, 0.113f, 0.11f)
                lineToRelative(0.015f, 0.014f)
                curveToRelative(0.019f, 0.017f, 0.021f, 0.039f, 0.012f, 0.06f)
                lineToRelative(-0.224f, 0.45f)
                lineToRelative(-0.024f, -0.008f)
                curveToRelative(0.0f, -0.005f, 0.003f, -0.007f, 0.003f, -0.012f)
                curveToRelative(0.048f, -0.197f, 0.029f, -0.4f, 0.055f, -0.6f)
                curveToRelative(0.002f, -0.02f, 0.009f, -0.03f, 0.018f, -0.03f)
                close()
                moveTo(12.722f, 17.989f)
                curveToRelative(-0.238f, 0.007f, -0.48f, 0.046f, -0.703f, 0.122f)
                curveToRelative(-0.185f, 0.063f, -0.392f, 0.106f, -0.488f, 0.32f)
                curveToRelative(-0.055f, 0.124f, -0.048f, 0.256f, -0.086f, 0.38f)
                curveToRelative(0.017f, 0.1f, 0.017f, 0.197f, 0.074f, 0.281f)
                curveToRelative(0.017f, 0.024f, 0.024f, 0.063f, 0.065f, 0.06f)
                curveToRelative(0.043f, -0.002f, 0.058f, -0.038f, 0.07f, -0.067f)
                curveToRelative(0.043f, -0.09f, 0.053f, -0.194f, 0.08f, -0.29f)
                curveToRelative(0.047f, -0.156f, 0.119f, -0.28f, 0.282f, -0.35f)
                curveToRelative(0.17f, -0.072f, 0.343f, -0.14f, 0.516f, -0.206f)
                arcToRelative(0.184f, 0.184f, 0.0f, false, true, 0.1f, -0.012f)
                curveToRelative(0.215f, 0.03f, 0.438f, 0.02f, 0.628f, 0.146f)
                arcToRelative(0.079f, 0.079f, 0.0f, false, false, 0.062f, 0.012f)
                curveToRelative(0.072f, -0.017f, 0.08f, -0.04f, 0.036f, -0.098f)
                arcToRelative(0.723f, 0.723f, 0.0f, false, false, -0.636f, -0.298f)
                close()
                moveTo(10.504f, 18.73f)
                lineToRelative(0.014f, 0.017f)
                curveToRelative(0.094f, 0.117f, 0.187f, 0.218f, 0.25f, 0.336f)
                curveToRelative(0.15f, 0.29f, 0.374f, 0.501f, 0.662f, 0.655f)
                curveToRelative(0.135f, 0.072f, 0.256f, 0.172f, 0.414f, 0.19f)
                lineToRelative(0.003f, 0.001f)
                horizontalLineToRelative(0.018f)
                curveToRelative(0.017f, 0.0f, 0.04f, -0.004f, 0.036f, 0.023f)
                curveToRelative(-0.003f, 0.014f, -0.017f, 0.014f, -0.031f, 0.012f)
                horizontalLineToRelative(-0.007f)
                curveToRelative(-0.005f, 0.0f, -0.01f, 0.0f, -0.015f, -0.003f)
                curveToRelative(-0.167f, 0.005f, -0.33f, 0.033f, -0.493f, 0.067f)
                curveToRelative(-0.085f, 0.018f, -0.17f, 0.038f, -0.255f, 0.058f)
                arcToRelative(7.838f, 7.838f, 0.0f, false, true, -0.243f, 0.055f)
                horizontalLineToRelative(-0.003f)
                curveToRelative(-0.033f, 0.008f, -0.048f, 0.024f, -0.043f, 0.058f)
                curveToRelative(0.005f, 0.04f, 0.02f, 0.062f, 0.067f, 0.072f)
                arcToRelative(1.305f, 1.305f, 0.0f, false, false, 0.274f, 0.017f)
                curveToRelative(0.118f, -0.003f, 0.235f, -0.015f, 0.353f, -0.034f)
                arcToRelative(2.602f, 2.602f, 0.0f, false, true, 0.778f, -0.002f)
                curveToRelative(-0.43f, 0.07f, -0.785f, 0.312f, -1.174f, 0.475f)
                curveToRelative(-0.202f, 0.084f, -0.358f, 0.245f, -0.55f, 0.348f)
                curveToRelative(-0.014f, 0.017f, -0.022f, 0.044f, -0.036f, 0.06f)
                curveToRelative(-0.031f, 0.04f, -0.036f, 0.118f, -0.087f, 0.11f)
                horizontalLineToRelative(-0.004f)
                curveToRelative(-0.005f, 0.0f, -0.01f, 0.003f, -0.015f, 0.0f)
                arcToRelative(0.623f, 0.623f, 0.0f, false, true, -0.266f, -0.086f)
                curveToRelative(-0.03f, -0.019f, -0.022f, -0.055f, -0.022f, -0.089f)
                verticalLineToRelative(-0.453f)
                curveToRelative(0.0f, -0.032f, 0.012f, -0.067f, -0.019f, -0.09f)
                curveToRelative(-0.106f, -0.066f, -0.08f, -0.182f, -0.106f, -0.278f)
                curveToRelative(-0.01f, -0.038f, 0.017f, -0.057f, 0.039f, -0.08f)
                lineToRelative(0.278f, -0.31f)
                curveToRelative(0.063f, -0.068f, 0.089f, -0.143f, 0.043f, -0.224f)
                curveToRelative(-0.086f, -0.163f, -0.072f, -0.32f, -0.002f, -0.485f)
                curveToRelative(0.055f, -0.13f, 0.091f, -0.267f, 0.142f, -0.42f)
                close()
                moveTo(15.089f, 18.907f)
                curveToRelative(0.005f, 0.003f, 0.01f, 0.005f, 0.012f, 0.008f)
                lineToRelative(0.007f, -0.008f)
                curveToRelative(0.039f, 0.022f, 0.04f, 0.05f, 0.05f, 0.075f)
                curveToRelative(0.102f, 0.247f, 0.2f, 0.497f, 0.3f, 0.744f)
                curveToRelative(0.025f, 0.055f, 0.03f, 0.103f, -0.006f, 0.15f)
                arcToRelative(0.502f, 0.502f, 0.0f, false, false, -0.077f, 0.49f)
                curveToRelative(0.067f, 0.205f, 0.019f, 0.347f, -0.183f, 0.448f)
                arcToRelative(0.229f, 0.229f, 0.0f, false, true, -0.12f, 0.036f)
                arcToRelative(0.124f, 0.124f, 0.0f, false, true, -0.088f, -0.03f)
                curveToRelative(-0.375f, -0.259f, -0.821f, -0.345f, -1.242f, -0.494f)
                curveToRelative(-0.06f, -0.02f, -0.117f, -0.043f, -0.18f, -0.057f)
                curveToRelative(-0.072f, -0.017f, -0.067f, -0.065f, -0.057f, -0.116f)
                curveToRelative(0.007f, -0.036f, 0.026f, -0.04f, 0.045f, -0.038f)
                curveToRelative(0.02f, -0.005f, 0.046f, 0.01f, 0.063f, 0.014f)
                curveToRelative(0.48f, 0.12f, 0.965f, 0.216f, 1.428f, 0.396f)
                curveToRelative(0.017f, 0.008f, 0.03f, 0.01f, 0.043f, 0.013f)
                curveToRelative(0.034f, -0.005f, 0.044f, -0.037f, 0.039f, -0.082f)
                curveToRelative(-0.01f, -0.108f, -0.02f, -0.214f, -0.144f, -0.27f)
                arcToRelative(2.8f, 2.8f, 0.0f, false, false, -0.975f, -0.234f)
                curveToRelative(-0.05f, -0.005f, -0.098f, -0.007f, -0.15f, -0.01f)
                curveToRelative(0.239f, -0.144f, 0.5f, -0.22f, 0.714f, -0.406f)
                arcToRelative(0.999f, 0.999f, 0.0f, false, false, 0.075f, -0.067f)
                lineToRelative(0.398f, -0.482f)
                close()
                moveTo(13.207f, 20.04f)
                horizontalLineToRelative(0.02f)
                curveToRelative(0.03f, -0.002f, 0.054f, 0.005f, 0.057f, 0.053f)
                curveToRelative(0.0f, 0.044f, 0.01f, 0.082f, -0.06f, 0.092f)
                arcToRelative(1.752f, 1.752f, 0.0f, false, true, -0.274f, 0.021f)
                curveToRelative(-0.094f, 0.0f, -0.185f, -0.01f, -0.278f, -0.03f)
                curveToRelative(-0.05f, -0.013f, -0.07f, -0.047f, -0.065f, -0.087f)
                curveToRelative(0.002f, -0.027f, 0.02f, -0.027f, 0.04f, -0.027f)
                arcToRelative(0.103f, 0.103f, 0.0f, false, true, 0.039f, 0.003f)
                horizontalLineToRelative(0.18f)
                arcToRelative(1.143f, 1.143f, 0.0f, false, false, 0.34f, -0.024f)
                close()
                moveTo(13.243f, 20.436f)
                curveToRelative(0.006f, 0.0f, 0.012f, 0.002f, 0.02f, 0.005f)
                lineToRelative(0.844f, 0.35f)
                curveToRelative(-0.132f, 0.11f, -0.254f, 0.207f, -0.374f, 0.303f)
                curveToRelative(-0.221f, 0.178f, -0.44f, 0.358f, -0.646f, 0.553f)
                curveToRelative(-0.05f, 0.048f, -0.09f, 0.05f, -0.147f, 0.014f)
                arcToRelative(9.33f, 9.33f, 0.0f, false, false, -1.097f, -0.545f)
                curveToRelative(-0.165f, -0.07f, -0.34f, -0.098f, -0.511f, -0.158f)
                curveToRelative(0.02f, -0.036f, 0.055f, -0.036f, 0.084f, -0.046f)
                curveToRelative(0.367f, -0.137f, 0.742f, -0.26f, 1.102f, -0.42f)
                curveToRelative(0.094f, -0.043f, 0.187f, -0.007f, 0.278f, 0.005f)
                curveToRelative(0.137f, 0.02f, 0.27f, 0.021f, 0.394f, -0.046f)
                arcToRelative(0.092f, 0.092f, 0.0f, false, true, 0.053f, -0.015f)
                close()
                moveTo(11.082f, 21.134f)
                arcToRelative(0.27f, 0.27f, 0.0f, false, true, 0.082f, 0.018f)
                curveToRelative(0.197f, 0.077f, 0.38f, 0.185f, 0.569f, 0.274f)
                arcToRelative(0.04f, 0.04f, 0.0f, false, true, 0.029f, 0.01f)
                curveToRelative(0.004f, 0.002f, 0.005f, 0.004f, 0.005f, 0.011f)
                verticalLineToRelative(0.005f)
                curveToRelative(0.0f, 0.003f, -0.003f, 0.003f, -0.003f, 0.005f)
                curveToRelative(-0.002f, 0.003f, -0.005f, 0.003f, -0.007f, 0.003f)
                lineToRelative(-0.01f, -0.003f)
                arcToRelative(0.03f, 0.03f, 0.0f, false, true, -0.012f, -0.012f)
                lineToRelative(-0.862f, -0.214f)
                curveToRelative(0.074f, -0.059f, 0.133f, -0.1f, 0.209f, -0.097f)
                close()
                moveTo(19.252f, 21.669f)
                curveToRelative(-0.142f, -0.004f, -0.26f, 0.062f, -0.372f, 0.15f)
                curveToRelative(-0.03f, 0.022f, -0.046f, 0.048f, -0.094f, 0.017f)
                curveToRelative(-0.105f, -0.072f, -0.206f, -0.053f, -0.295f, 0.04f)
                arcToRelative(0.402f, 0.402f, 0.0f, false, false, -0.103f, 0.186f)
                curveToRelative(-0.125f, 0.504f, -0.252f, 1.006f, -0.372f, 1.512f)
                curveToRelative(-0.041f, 0.17f, 0.048f, 0.255f, 0.223f, 0.23f)
                curveToRelative(0.158f, -0.026f, 0.238f, -0.117f, 0.264f, -0.32f)
                curveToRelative(0.026f, -0.198f, 0.053f, -0.392f, 0.11f, -0.596f)
                curveToRelative(0.15f, 0.187f, 0.29f, 0.362f, 0.433f, 0.538f)
                curveToRelative(0.139f, 0.17f, 0.29f, 0.321f, 0.494f, 0.412f)
                curveToRelative(0.144f, 0.065f, 0.269f, 0.027f, 0.382f, -0.074f)
                arcToRelative(0.186f, 0.186f, 0.0f, false, false, 0.055f, -0.206f)
                arcToRelative(0.157f, 0.157f, 0.0f, false, false, -0.158f, -0.125f)
                arcToRelative(0.246f, 0.246f, 0.0f, false, true, -0.152f, -0.07f)
                arcToRelative(2.27f, 2.27f, 0.0f, false, true, -0.362f, -0.396f)
                curveToRelative(-0.09f, -0.12f, -0.094f, -0.12f, 0.026f, -0.202f)
                curveToRelative(0.252f, -0.173f, 0.34f, -0.417f, 0.322f, -0.71f)
                curveToRelative(-0.014f, -0.219f, -0.132f, -0.346f, -0.34f, -0.38f)
                arcToRelative(0.454f, 0.454f, 0.0f, false, false, -0.061f, -0.006f)
                close()
                moveTo(8.519f, 21.699f)
                curveToRelative(-0.04f, 0.0f, -0.077f, 0.02f, -0.097f, 0.075f)
                curveToRelative(-0.019f, 0.05f, -0.053f, 0.043f, -0.091f, 0.038f)
                arcToRelative(0.751f, 0.751f, 0.0f, false, false, -0.665f, 0.22f)
                curveToRelative(-0.38f, 0.37f, -0.574f, 0.813f, -0.552f, 1.353f)
                curveToRelative(0.014f, 0.358f, 0.22f, 0.53f, 0.569f, 0.451f)
                curveToRelative(0.689f, -0.16f, 1.224f, -0.835f, 1.253f, -1.582f)
                curveToRelative(0.007f, -0.192f, -0.168f, -0.47f, -0.34f, -0.538f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.077f, -0.016f)
                close()
                moveTo(6.589f, 21.757f)
                arcToRelative(0.943f, 0.943f, 0.0f, false, false, -0.613f, 0.238f)
                curveToRelative(-0.346f, 0.302f, -0.547f, 0.693f, -0.646f, 1.138f)
                arcToRelative(0.642f, 0.642f, 0.0f, false, false, 0.075f, 0.482f)
                curveToRelative(0.07f, 0.118f, 0.158f, 0.161f, 0.292f, 0.135f)
                arcToRelative(3.12f, 3.12f, 0.0f, false, false, 0.87f, -0.305f)
                arcToRelative(0.867f, 0.867f, 0.0f, false, false, 0.225f, -0.168f)
                arcToRelative(0.291f, 0.291f, 0.0f, false, false, 0.084f, -0.204f)
                curveToRelative(0.0f, -0.075f, -0.033f, -0.1f, -0.103f, -0.104f)
                curveToRelative(-0.07f, -0.002f, -0.13f, 0.024f, -0.192f, 0.046f)
                curveToRelative(-0.207f, 0.075f, -0.408f, 0.166f, -0.622f, 0.22f)
                curveToRelative(-0.105f, 0.027f, -0.14f, 0.003f, -0.163f, -0.105f)
                arcToRelative(0.301f, 0.301f, 0.0f, false, true, 0.005f, -0.122f)
                curveToRelative(0.04f, -0.168f, 0.098f, -0.33f, 0.187f, -0.483f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, true, 0.245f, -0.283f)
                curveToRelative(0.14f, -0.089f, 0.283f, -0.137f, 0.442f, -0.04f)
                curveToRelative(0.052f, 0.03f, 0.103f, 0.016f, 0.15f, -0.013f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, false, 0.15f, -0.2f)
                curveToRelative(0.016f, -0.05f, 0.002f, -0.09f, -0.044f, -0.117f)
                arcToRelative(0.773f, 0.773f, 0.0f, false, false, -0.343f, -0.115f)
                close()
                moveTo(15.789f, 21.827f)
                arcToRelative(0.692f, 0.692f, 0.0f, false, false, -0.517f, 0.206f)
                curveToRelative(-0.156f, 0.161f, -0.183f, 0.324f, -0.084f, 0.526f)
                curveToRelative(0.074f, 0.151f, 0.177f, 0.28f, 0.278f, 0.415f)
                curveToRelative(0.072f, 0.094f, 0.149f, 0.187f, 0.216f, 0.286f)
                curveToRelative(0.048f, 0.07f, 0.024f, 0.125f, -0.058f, 0.151f)
                arcToRelative(0.199f, 0.199f, 0.0f, false, true, -0.14f, -0.005f)
                arcToRelative(1.076f, 1.076f, 0.0f, false, true, -0.373f, -0.23f)
                arcToRelative(0.243f, 0.243f, 0.0f, false, true, -0.082f, -0.125f)
                curveToRelative(-0.012f, -0.074f, -0.053f, -0.108f, -0.125f, -0.115f)
                curveToRelative(-0.081f, -0.007f, -0.156f, -0.007f, -0.204f, 0.08f)
                curveToRelative(-0.08f, 0.138f, -0.057f, 0.263f, 0.087f, 0.393f)
                curveToRelative(0.276f, 0.245f, 0.605f, 0.353f, 0.933f, 0.38f)
                curveToRelative(0.3f, 0.004f, 0.485f, -0.267f, 0.387f, -0.522f)
                curveToRelative(-0.043f, -0.115f, -0.118f, -0.216f, -0.19f, -0.314f)
                curveToRelative(-0.12f, -0.159f, -0.245f, -0.313f, -0.357f, -0.476f)
                curveToRelative(-0.09f, -0.125f, -0.048f, -0.216f, 0.098f, -0.264f)
                curveToRelative(0.135f, -0.043f, 0.25f, -0.005f, 0.36f, 0.08f)
                curveToRelative(0.13f, 0.1f, 0.24f, 0.047f, 0.269f, -0.116f)
                curveToRelative(0.017f, -0.086f, -0.03f, -0.144f, -0.09f, -0.194f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, false, -0.41f, -0.157f)
                close()
                moveTo(17.694f, 21.887f)
                curveToRelative(-0.137f, -0.003f, -0.274f, 0.0f, -0.41f, 0.016f)
                curveToRelative(-0.164f, 0.02f, -0.32f, 0.065f, -0.38f, 0.248f)
                curveToRelative(-0.002f, 0.01f, -0.014f, 0.024f, -0.024f, 0.026f)
                curveToRelative(-0.187f, 0.048f, -0.252f, 0.202f, -0.302f, 0.358f)
                curveToRelative(-0.106f, 0.346f, -0.2f, 0.696f, -0.298f, 1.042f)
                curveToRelative(-0.024f, 0.084f, 0.01f, 0.14f, 0.08f, 0.182f)
                curveToRelative(0.054f, 0.034f, 0.11f, 0.032f, 0.172f, 0.015f)
                curveToRelative(0.324f, -0.08f, 0.648f, -0.166f, 0.987f, -0.142f)
                arcToRelative(0.26f, 0.26f, 0.0f, false, false, 0.127f, -0.029f)
                arcToRelative(0.242f, 0.242f, 0.0f, false, false, 0.117f, -0.24f)
                curveToRelative(-0.014f, -0.09f, -0.086f, -0.117f, -0.163f, -0.13f)
                arcToRelative(1.484f, 1.484f, 0.0f, false, false, -0.177f, -0.016f)
                arcToRelative(3.855f, 3.855f, 0.0f, false, false, -0.62f, 0.052f)
                curveToRelative(0.03f, -0.228f, 0.048f, -0.242f, 0.264f, -0.242f)
                curveToRelative(0.16f, 0.0f, 0.322f, -0.01f, 0.473f, -0.072f)
                curveToRelative(0.1f, -0.043f, 0.166f, -0.113f, 0.176f, -0.226f)
                curveToRelative(0.007f, -0.076f, -0.025f, -0.122f, -0.104f, -0.124f)
                arcToRelative(1.65f, 1.65f, 0.0f, false, false, -0.19f, 0.002f)
                lineToRelative(-0.453f, 0.04f)
                curveToRelative(0.024f, -0.052f, 0.036f, -0.1f, 0.062f, -0.136f)
                curveToRelative(0.044f, -0.062f, -0.007f, -0.178f, 0.084f, -0.209f)
                curveToRelative(0.075f, -0.024f, 0.164f, -0.007f, 0.245f, -0.01f)
                curveToRelative(0.214f, -0.004f, 0.427f, -0.007f, 0.634f, -0.074f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, false, 0.192f, -0.13f)
                curveToRelative(0.07f, -0.108f, 0.043f, -0.18f, -0.082f, -0.185f)
                curveToRelative(-0.136f, -0.006f, -0.273f, -0.014f, -0.41f, -0.017f)
                close()
                moveTo(11.03f, 21.895f)
                curveToRelative(-0.071f, -0.003f, -0.13f, 0.042f, -0.185f, 0.093f)
                arcToRelative(3.95f, 3.95f, 0.0f, false, false, -0.392f, 0.434f)
                lineToRelative(-0.367f, 0.456f)
                curveToRelative(-0.02f, 0.024f, -0.04f, 0.07f, -0.08f, 0.05f)
                curveToRelative(-0.03f, -0.014f, -0.018f, -0.055f, -0.014f, -0.086f)
                curveToRelative(0.01f, -0.11f, 0.024f, -0.218f, 0.036f, -0.329f)
                curveToRelative(0.015f, -0.144f, 0.034f, -0.288f, 0.01f, -0.432f)
                curveToRelative(-0.031f, -0.173f, -0.156f, -0.22f, -0.295f, -0.113f)
                arcToRelative(0.836f, 0.836f, 0.0f, false, false, -0.094f, 0.091f)
                arcToRelative(3.168f, 3.168f, 0.0f, false, false, -0.298f, 0.414f)
                curveToRelative(-0.225f, 0.348f, -0.432f, 0.71f, -0.703f, 1.027f)
                curveToRelative(-0.05f, 0.06f, -0.103f, 0.118f, -0.149f, 0.182f)
                curveToRelative(-0.048f, 0.072f, -0.067f, 0.154f, -0.022f, 0.23f)
                curveToRelative(0.041f, 0.068f, 0.11f, 0.092f, 0.188f, 0.087f)
                curveToRelative(0.081f, -0.004f, 0.125f, -0.064f, 0.168f, -0.122f)
                lineToRelative(0.626f, -0.852f)
                curveToRelative(0.012f, -0.015f, 0.017f, -0.044f, 0.053f, -0.034f)
                arcToRelative(1.37f, 1.37f, 0.0f, false, false, -0.012f, 0.11f)
                curveToRelative(-0.01f, 0.137f, -0.038f, 0.274f, -0.01f, 0.413f)
                curveToRelative(0.034f, 0.16f, 0.16f, 0.224f, 0.306f, 0.152f)
                arcToRelative(0.902f, 0.902f, 0.0f, false, false, 0.204f, -0.152f)
                curveToRelative(0.117f, -0.112f, 0.228f, -0.233f, 0.33f, -0.362f)
                curveToRelative(0.114f, -0.144f, 0.229f, -0.29f, 0.349f, -0.447f)
                curveToRelative(0.036f, 0.12f, 0.022f, 0.228f, 0.017f, 0.336f)
                curveToRelative(-0.012f, 0.188f, -0.048f, 0.375f, -0.012f, 0.565f)
                curveToRelative(0.024f, 0.117f, 0.091f, 0.187f, 0.187f, 0.194f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, false, 0.278f, -0.07f)
                curveToRelative(0.125f, -0.079f, 0.137f, -0.237f, 0.02f, -0.343f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, true, -0.063f, -0.113f)
                curveToRelative(-0.026f, -0.13f, -0.004f, -0.257f, 0.017f, -0.384f)
                curveToRelative(0.039f, -0.245f, 0.115f, -0.485f, 0.103f, -0.737f)
                curveToRelative(-0.004f, -0.098f, -0.02f, -0.19f, -0.12f, -0.237f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, false, -0.076f, -0.02f)
                close()
                moveTo(19.07f, 22.085f)
                curveToRelative(0.117f, -0.01f, 0.175f, 0.063f, 0.14f, 0.176f)
                arcToRelative(0.387f, 0.387f, 0.0f, false, true, -0.07f, 0.132f)
                curveToRelative(-0.128f, 0.161f, -0.291f, 0.27f, -0.495f, 0.353f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, true, 0.11f, -0.425f)
                curveToRelative(0.062f, -0.134f, 0.163f, -0.223f, 0.315f, -0.237f)
                close()
                moveTo(12.419f, 22.105f)
                arcToRelative(0.292f, 0.292f, 0.0f, false, true, 0.15f, 0.034f)
                curveToRelative(0.076f, 0.043f, 0.098f, 0.146f, 0.045f, 0.233f)
                arcToRelative(0.676f, 0.676f, 0.0f, false, true, -0.185f, 0.184f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, true, -0.483f, 0.243f)
                curveToRelative(0.07f, -0.216f, 0.128f, -0.415f, 0.245f, -0.586f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, true, 0.228f, -0.108f)
                close()
                moveTo(14.019f, 22.196f)
                arcToRelative(0.509f, 0.509f, 0.0f, false, true, 0.213f, 0.034f)
                curveToRelative(0.113f, 0.046f, 0.15f, 0.1f, 0.149f, 0.27f)
                arcToRelative(1.257f, 1.257f, 0.0f, false, true, -0.425f, 0.818f)
                arcToRelative(0.562f, 0.562f, 0.0f, false, true, -0.324f, 0.136f)
                curveToRelative(-0.147f, 0.012f, -0.262f, -0.08f, -0.247f, -0.228f)
                curveToRelative(0.028f, -0.32f, 0.115f, -0.624f, 0.33f, -0.876f)
                arcToRelative(0.436f, 0.436f, 0.0f, false, true, 0.304f, -0.154f)
                close()
                moveTo(8.137f, 22.199f)
                arcToRelative(0.501f, 0.501f, 0.0f, false, true, 0.218f, 0.036f)
                curveToRelative(0.11f, 0.043f, 0.149f, 0.098f, 0.144f, 0.262f)
                arcToRelative(1.243f, 1.243f, 0.0f, false, true, -0.422f, 0.818f)
                arcToRelative(0.581f, 0.581f, 0.0f, false, true, -0.325f, 0.14f)
                curveToRelative(-0.15f, 0.011f, -0.266f, -0.082f, -0.252f, -0.233f)
                curveToRelative(0.03f, -0.315f, 0.116f, -0.613f, 0.325f, -0.86f)
                arcToRelative(0.442f, 0.442f, 0.0f, false, true, 0.312f, -0.163f)
                close()
            }
        }
        .build()
        return _composer!!
    }

private var _composer: ImageVector? = null
